/*
 Navicat Premium Data Transfer

 Source Server         : 192.168.2.20（中民权限测试）
 Source Server Type    : Oracle
 Source Server Version : 110200
 Source Host           : 192.168.2.20:1521
 Source Schema         : ZMRQ

 Target Server Type    : Oracle
 Target Server Version : 110200
 File Encoding         : 65001

 Date: 08/10/2022 16:58:55
*/


-- ----------------------------
-- Table structure for SYS_APP
-- ----------------------------
DROP TABLE "ZMRQ"."SYS_APP";
CREATE TABLE "ZMRQ"."SYS_APP" (
  "ID" NUMBER(20,0) NOT NULL,
  "NAME" VARCHAR2(100 BYTE),
  "TYPE" NUMBER(5,0),
  "FILE_SIZE" VARCHAR2(200 BYTE),
  "VERSION_NUMBER" VARCHAR2(500 BYTE),
  "DETAIL" VARCHAR2(1000 BYTE),
  "STATUS" NUMBER(3,0) DEFAULT 0 NOT NULL,
  "UPLOAD_USER" NUMBER(20,0),
  "UPLOAD_TIME" DATE,
  "RELEASE_USER" NUMBER(20,0),
  "RELEASE_TIME" DATE,
  "FILE_PATH" VARCHAR2(255 BYTE),
  "FILE_NAME" VARCHAR2(255 BYTE),
  "DESCRIBE" VARCHAR2(500 BYTE),
  "ANNEX" VARCHAR2(4000 BYTE),
  "RELEASE_TYPE" NUMBER(5,0),
  "UPDATE_TYPE" NUMBER(5,0),
  "TENANT_ID" NUMBER(20,0),
  "SORT" NUMBER(15,0),
  "DELETED" NUMBER(1,0) DEFAULT 0 NOT NULL,
  "CREATE_TIME" DATE,
  "CREATE_USER" NUMBER(20,0),
  "UPDATE_TIME" DATE,
  "UPDATE_USER" NUMBER(20,0)
)
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "ZMRQ"."SYS_APP"."NAME" IS 'app名称';
COMMENT ON COLUMN "ZMRQ"."SYS_APP"."TYPE" IS '类型：1 一体化采集；2  综合业务';
COMMENT ON COLUMN "ZMRQ"."SYS_APP"."FILE_SIZE" IS '文件大小';
COMMENT ON COLUMN "ZMRQ"."SYS_APP"."VERSION_NUMBER" IS '版本号';
COMMENT ON COLUMN "ZMRQ"."SYS_APP"."DETAIL" IS '说明';
COMMENT ON COLUMN "ZMRQ"."SYS_APP"."STATUS" IS '状态：0未发布，1已发布';
COMMENT ON COLUMN "ZMRQ"."SYS_APP"."UPLOAD_USER" IS '上传人';
COMMENT ON COLUMN "ZMRQ"."SYS_APP"."UPLOAD_TIME" IS '上传时间';
COMMENT ON COLUMN "ZMRQ"."SYS_APP"."RELEASE_USER" IS '发布人';
COMMENT ON COLUMN "ZMRQ"."SYS_APP"."RELEASE_TIME" IS '发布时间';
COMMENT ON COLUMN "ZMRQ"."SYS_APP"."FILE_PATH" IS '文件存储路径';
COMMENT ON COLUMN "ZMRQ"."SYS_APP"."FILE_NAME" IS '文件原始名称';
COMMENT ON COLUMN "ZMRQ"."SYS_APP"."DESCRIBE" IS '描述';
COMMENT ON COLUMN "ZMRQ"."SYS_APP"."ANNEX" IS '附件';
COMMENT ON COLUMN "ZMRQ"."SYS_APP"."RELEASE_TYPE" IS '发布方式';
COMMENT ON COLUMN "ZMRQ"."SYS_APP"."UPDATE_TYPE" IS '更新模式';
COMMENT ON COLUMN "ZMRQ"."SYS_APP"."TENANT_ID" IS '租户ID';
COMMENT ON COLUMN "ZMRQ"."SYS_APP"."SORT" IS '排序';
COMMENT ON COLUMN "ZMRQ"."SYS_APP"."DELETED" IS '逻辑删除，1删除，0不删除';
COMMENT ON COLUMN "ZMRQ"."SYS_APP"."CREATE_TIME" IS '创建时间';
COMMENT ON COLUMN "ZMRQ"."SYS_APP"."CREATE_USER" IS '创建人';
COMMENT ON COLUMN "ZMRQ"."SYS_APP"."UPDATE_TIME" IS '更新时间';
COMMENT ON COLUMN "ZMRQ"."SYS_APP"."UPDATE_USER" IS '修改人';
COMMENT ON TABLE "ZMRQ"."SYS_APP" IS '系统App管理';

-- ----------------------------
-- Records of SYS_APP
-- ----------------------------
INSERT INTO "ZMRQ"."SYS_APP" VALUES ('1567435977071915009', NULL, '1', '46.395M', '0.0.3', '测试', '0', '1562707353475338242', TO_DATE('2022-09-07 16:53:53', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, NULL, 'tofly_zmgas-1.1.apk', NULL, '[{"fileFormat":".apk","fileName":"tofly_zmgas-1.1.apk","filePath":"/base/sysApp/1567435973011828737.apk","fileSize":"47508.1KB","otherName":"1567435976988028931.apk"}]', NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-07 16:53:53', 'SYYYY-MM-DD HH24:MI:SS'), '1562707353475338242', TO_DATE('2022-09-07 16:53:53', 'SYYYY-MM-DD HH24:MI:SS'), '1562707353475338242');
INSERT INTO "ZMRQ"."SYS_APP" VALUES ('1554750164596523009', '测试', '0', NULL, NULL, NULL, '0', '1', TO_DATE('2022-09-06 11:37:16', 'SYYYY-MM-DD HH24:MI:SS'), '1', TO_DATE('2022-09-06 11:37:13', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '测试啊', NULL, '0', '0', '1', '0', '0', TO_DATE('2022-08-03 16:44:59', 'SYYYY-MM-DD HH24:MI:SS'), '1', TO_DATE('2022-08-03 16:44:59', 'SYYYY-MM-DD HH24:MI:SS'), '1');
INSERT INTO "ZMRQ"."SYS_APP" VALUES ('1554750168706940930', '测试', '0', NULL, NULL, NULL, '0', NULL, NULL, NULL, NULL, NULL, NULL, '测试啊', NULL, '0', '0', '1', '0', '0', TO_DATE('2022-08-03 16:45:00', 'SYYYY-MM-DD HH24:MI:SS'), '1', TO_DATE('2022-08-03 16:45:00', 'SYYYY-MM-DD HH24:MI:SS'), '1');
INSERT INTO "ZMRQ"."SYS_APP" VALUES ('1554750169654853634', '测试', '0', NULL, NULL, NULL, '0', NULL, NULL, NULL, NULL, NULL, NULL, '测试啊', NULL, '0', '0', '1', '0', '1', TO_DATE('2022-08-03 16:45:00', 'SYYYY-MM-DD HH24:MI:SS'), '1', TO_DATE('2022-08-03 16:45:00', 'SYYYY-MM-DD HH24:MI:SS'), '1');
INSERT INTO "ZMRQ"."SYS_APP" VALUES ('1554750170539851777', '测试', '0', NULL, NULL, NULL, '1', NULL, NULL, NULL, NULL, NULL, NULL, '测试啊', NULL, '0', '0', '1', '0', '0', TO_DATE('2022-08-03 16:45:01', 'SYYYY-MM-DD HH24:MI:SS'), '1', TO_DATE('2022-09-05 18:35:30', 'SYYYY-MM-DD HH24:MI:SS'), '1562707353475338242');
INSERT INTO "ZMRQ"."SYS_APP" VALUES ('1554750171458404354', '测试', '0', NULL, NULL, NULL, '0', NULL, NULL, NULL, NULL, NULL, NULL, '测试啊', NULL, '0', '0', '1', '0', '1', TO_DATE('2022-08-03 16:45:01', 'SYYYY-MM-DD HH24:MI:SS'), '1', TO_DATE('2022-08-03 16:45:01', 'SYYYY-MM-DD HH24:MI:SS'), '1');
INSERT INTO "ZMRQ"."SYS_APP" VALUES ('1561979065139740673', '测试软件发布', NULL, NULL, NULL, NULL, '1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '[{"fileFormat":".xlsx","fileName":"交接班管理表.xlsx","filePath":"/base/sysApp/1561979064128913409.xlsx","fileSize":"9415KB","otherName":"1561979064531566595.xlsx"}]', NULL, NULL, NULL, NULL, '0', TO_DATE('2022-08-23 15:30:03', 'SYYYY-MM-DD HH24:MI:SS'), '2', TO_DATE('2022-08-23 15:52:02', 'SYYYY-MM-DD HH24:MI:SS'), '2');
INSERT INTO "ZMRQ"."SYS_APP" VALUES ('1566984366486753281', NULL, '1', '46.394649505615234M', '0.0.1', '测试', '0', NULL, NULL, NULL, NULL, NULL, 'tofly_zmgas-1.1.apk', NULL, '[{"fileFormat":".apk","fileName":"tofly_zmgas-1.1.apk","filePath":"/base/sysApp/1566984364473487361.apk","fileSize":"47508.1KB","otherName":"1566984366386089986.apk"}]', NULL, NULL, NULL, NULL, '1', TO_DATE('2022-09-06 10:59:20', 'SYYYY-MM-DD HH24:MI:SS'), '1562707353475338242', TO_DATE('2022-09-06 10:59:20', 'SYYYY-MM-DD HH24:MI:SS'), '1562707353475338242');
INSERT INTO "ZMRQ"."SYS_APP" VALUES ('1566985083746291714', NULL, '2', '46.395M', '0.0.2', '测试', '1', NULL, NULL, NULL, NULL, NULL, 'tofly_zmgas-1.1.apk', NULL, '[{"fileFormat":".apk","fileName":"tofly_zmgas-1.1.apk","filePath":"/base/sysApp/1566985073528967169.apk","fileSize":"47508.1KB","otherName":"1566985083708542978.apk"}]', NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-06 11:02:11', 'SYYYY-MM-DD HH24:MI:SS'), '1562707353475338242', TO_DATE('2022-09-06 11:02:28', 'SYYYY-MM-DD HH24:MI:SS'), '1562707353475338242');

-- ----------------------------
-- Table structure for SYS_APP_PERMISSION
-- ----------------------------
DROP TABLE "ZMRQ"."SYS_APP_PERMISSION";
CREATE TABLE "ZMRQ"."SYS_APP_PERMISSION" (
  "ID" NUMBER(20,0) NOT NULL,
  "USER_ID" VARCHAR2(2000 BYTE),
  "APP_ID" NUMBER(20,0),
  "DEPT_ID" VARCHAR2(2000 BYTE),
  "TENANT_ID" VARCHAR2(2000 BYTE)
)
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "ZMRQ"."SYS_APP_PERMISSION"."ID" IS '主键ID';
COMMENT ON COLUMN "ZMRQ"."SYS_APP_PERMISSION"."USER_ID" IS '用户ID，多个逗号隔开';
COMMENT ON COLUMN "ZMRQ"."SYS_APP_PERMISSION"."APP_ID" IS 'App ID';
COMMENT ON COLUMN "ZMRQ"."SYS_APP_PERMISSION"."DEPT_ID" IS '部门ID，多个逗号隔开';
COMMENT ON COLUMN "ZMRQ"."SYS_APP_PERMISSION"."TENANT_ID" IS '公司ID，多个逗号隔开';
COMMENT ON TABLE "ZMRQ"."SYS_APP_PERMISSION" IS 'App发布范围表';

-- ----------------------------
-- Records of SYS_APP_PERMISSION
-- ----------------------------

-- ----------------------------
-- Table structure for SYS_DEPT
-- ----------------------------
DROP TABLE "ZMRQ"."SYS_DEPT";
CREATE TABLE "ZMRQ"."SYS_DEPT" (
  "ID" NUMBER(20,0) NOT NULL,
  "PID" NUMBER(20,0) NOT NULL,
  "TENANT_ID" NUMBER(20,0) NOT NULL,
  "TYPE" NUMBER(5,0) NOT NULL,
  "NAME" VARCHAR2(200 BYTE) NOT NULL,
  "SIMPLE_NAME" VARCHAR2(100 BYTE),
  "PHONE" VARCHAR2(100 BYTE),
  "CODE" VARCHAR2(100 BYTE),
  "DESCRIBE" VARCHAR2(200 BYTE),
  "SORT" NUMBER(15,0),
  "DELETED" NUMBER(1,0) DEFAULT 0 NOT NULL,
  "CREATE_TIME" DATE,
  "CREATE_USER" NUMBER(20,0),
  "UPDATE_TIME" DATE,
  "UPDATE_USER" NUMBER(20,0)
)
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "ZMRQ"."SYS_DEPT"."ID" IS '主键ID';
COMMENT ON COLUMN "ZMRQ"."SYS_DEPT"."PID" IS '父级ID';
COMMENT ON COLUMN "ZMRQ"."SYS_DEPT"."TENANT_ID" IS '公司ID';
COMMENT ON COLUMN "ZMRQ"."SYS_DEPT"."TYPE" IS '类型：0缺省值，暂时无意义表示，1建设单位，2施工单位，3监理单位';
COMMENT ON COLUMN "ZMRQ"."SYS_DEPT"."NAME" IS '组织全称';
COMMENT ON COLUMN "ZMRQ"."SYS_DEPT"."SIMPLE_NAME" IS '组织简称';
COMMENT ON COLUMN "ZMRQ"."SYS_DEPT"."PHONE" IS '电话';
COMMENT ON COLUMN "ZMRQ"."SYS_DEPT"."CODE" IS '编码';
COMMENT ON COLUMN "ZMRQ"."SYS_DEPT"."DESCRIBE" IS '描述';
COMMENT ON COLUMN "ZMRQ"."SYS_DEPT"."SORT" IS '排序';
COMMENT ON COLUMN "ZMRQ"."SYS_DEPT"."DELETED" IS '逻辑删除，1删除，0不删除';
COMMENT ON COLUMN "ZMRQ"."SYS_DEPT"."CREATE_TIME" IS '创建时间';
COMMENT ON COLUMN "ZMRQ"."SYS_DEPT"."CREATE_USER" IS '创建人';
COMMENT ON COLUMN "ZMRQ"."SYS_DEPT"."UPDATE_TIME" IS '更新时间';
COMMENT ON COLUMN "ZMRQ"."SYS_DEPT"."UPDATE_USER" IS '修改人';
COMMENT ON TABLE "ZMRQ"."SYS_DEPT" IS '系统部门组织';

-- ----------------------------
-- Records of SYS_DEPT
-- ----------------------------
INSERT INTO "ZMRQ"."SYS_DEPT" VALUES ('1567406138227027969', '0', '1', '0', '挨打', NULL, NULL, NULL, NULL, NULL, '1', TO_DATE('2022-09-07 14:55:19', 'SYYYY-MM-DD HH24:MI:SS'), '1562365397418708993', TO_DATE('2022-09-07 14:55:19', 'SYYYY-MM-DD HH24:MI:SS'), '1562365397418708993');
INSERT INTO "ZMRQ"."SYS_DEPT" VALUES ('1568062468164009986', '1567809784441847809', '1', '0', '产品', NULL, NULL, NULL, NULL, NULL, '1', TO_DATE('2022-09-09 10:23:20', 'SYYYY-MM-DD HH24:MI:SS'), '1562707353475338242', TO_DATE('2022-09-09 10:23:20', 'SYYYY-MM-DD HH24:MI:SS'), '1562707353475338242');
INSERT INTO "ZMRQ"."SYS_DEPT" VALUES ('1568885985331646466', '0', '123', '0', '123', '1223', '1223', NULL, NULL, NULL, '1', TO_DATE('2022-09-11 16:55:42', 'SYYYY-MM-DD HH24:MI:SS'), '1564089266203029506', TO_DATE('2022-09-11 16:55:42', 'SYYYY-MM-DD HH24:MI:SS'), '1564089266203029506');
INSERT INTO "ZMRQ"."SYS_DEPT" VALUES ('1568886076700364801', '1568885985331646466', '123', '0', '123', '123', '123', NULL, NULL, NULL, '1', TO_DATE('2022-09-11 16:56:03', 'SYYYY-MM-DD HH24:MI:SS'), '1564089266203029506', TO_DATE('2022-09-11 16:56:03', 'SYYYY-MM-DD HH24:MI:SS'), '1564089266203029506');
INSERT INTO "ZMRQ"."SYS_DEPT" VALUES ('1568886248780075009', '0', '1', '0', '2', '3', '4', NULL, NULL, NULL, '1', TO_DATE('2022-09-11 16:56:44', 'SYYYY-MM-DD HH24:MI:SS'), '1564089266203029506', TO_DATE('2022-09-11 16:56:44', 'SYYYY-MM-DD HH24:MI:SS'), '1564089266203029506');
INSERT INTO "ZMRQ"."SYS_DEPT" VALUES ('1572146643028418562', '0', '1569216846182748162', '0', '施工单位', NULL, NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-20 16:52:23', 'SYYYY-MM-DD HH24:MI:SS'), '1562365397418708993', TO_DATE('2022-09-29 16:38:56', 'SYYYY-MM-DD HH24:MI:SS'), '1574945313813704706');
INSERT INTO "ZMRQ"."SYS_DEPT" VALUES ('1572146872851111937', '0', '1570225246022770689', '0', '施工队', NULL, NULL, '111', NULL, NULL, '0', TO_DATE('2022-09-20 16:53:18', 'SYYYY-MM-DD HH24:MI:SS'), '1562365397418708993', TO_DATE('2022-09-26 10:21:39', 'SYYYY-MM-DD HH24:MI:SS'), '1573225626503593985');
INSERT INTO "ZMRQ"."SYS_DEPT" VALUES ('1574650188160135170', '0', '1570225246022770689', '2', '潼南施工单位组织', '潼南施工单位', '028-321323232', 'SGDW', NULL, NULL, '0', TO_DATE('2022-09-27 14:40:35', 'SYYYY-MM-DD HH24:MI:SS'), '1574204813473345537', TO_DATE('2022-09-27 14:40:50', 'SYYYY-MM-DD HH24:MI:SS'), '1574204813473345537');
INSERT INTO "ZMRQ"."SYS_DEPT" VALUES ('1574689587551924225', '0', '1569602913205559298', '3', '业兢公司', '业兢公司', NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-27 17:17:08', 'SYYYY-MM-DD HH24:MI:SS'), '1570226660144947202', TO_DATE('2022-09-29 16:36:49', 'SYYYY-MM-DD HH24:MI:SS'), '1574945313813704706');
INSERT INTO "ZMRQ"."SYS_DEPT" VALUES ('1574689935695933442', '1574677713116565506', '1569602913205559298', '2', '财务管理部', '财务部', NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-27 17:18:31', 'SYYYY-MM-DD HH24:MI:SS'), '1570226660144947202', TO_DATE('2022-09-27 17:18:31', 'SYYYY-MM-DD HH24:MI:SS'), '1570226660144947202');
INSERT INTO "ZMRQ"."SYS_DEPT" VALUES ('1574690017275146242', '1574677713116565506', '1569602913205559298', '2', '质量安全部', '安全部', NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-27 17:18:51', 'SYYYY-MM-DD HH24:MI:SS'), '1570226660144947202', TO_DATE('2022-09-27 17:18:51', 'SYYYY-MM-DD HH24:MI:SS'), '1570226660144947202');
INSERT INTO "ZMRQ"."SYS_DEPT" VALUES ('1565216877553729538', '0', '123', '0', '阿松大', NULL, NULL, NULL, NULL, NULL, '1', TO_DATE('2022-09-01 13:55:58', 'SYYYY-MM-DD HH24:MI:SS'), '1562365397418708993', TO_DATE('2022-09-01 13:55:58', 'SYYYY-MM-DD HH24:MI:SS'), '1562365397418708993');
INSERT INTO "ZMRQ"."SYS_DEPT" VALUES ('1567808267768938498', '0', '1', '0', '燃气集团公司', '燃气', NULL, NULL, NULL, NULL, '1', TO_DATE('2022-09-08 17:33:14', 'SYYYY-MM-DD HH24:MI:SS'), '1562707353475338242', TO_DATE('2022-09-08 17:33:14', 'SYYYY-MM-DD HH24:MI:SS'), '1562707353475338242');
INSERT INTO "ZMRQ"."SYS_DEPT" VALUES ('1567808516335976450', '1567808267768938498', '1', '0', '绵竹子公司', NULL, NULL, NULL, NULL, NULL, '1', TO_DATE('2022-09-08 17:34:13', 'SYYYY-MM-DD HH24:MI:SS'), '1562707353475338242', TO_DATE('2022-09-08 17:34:26', 'SYYYY-MM-DD HH24:MI:SS'), '1562707353475338242');
INSERT INTO "ZMRQ"."SYS_DEPT" VALUES ('1567809027751657473', '0', '2222', '0', '绵竹燃气公司', NULL, NULL, NULL, NULL, NULL, '1', TO_DATE('2022-09-08 17:36:15', 'SYYYY-MM-DD HH24:MI:SS'), '1562707353475338242', TO_DATE('2022-09-08 17:36:24', 'SYYYY-MM-DD HH24:MI:SS'), '1562707353475338242');
INSERT INTO "ZMRQ"."SYS_DEPT" VALUES ('1567809140695875585', '1567809027751657473', '1', '0', '燃气公司部门1', NULL, NULL, NULL, NULL, NULL, '1', TO_DATE('2022-09-08 17:36:42', 'SYYYY-MM-DD HH24:MI:SS'), '1562707353475338242', TO_DATE('2022-09-08 17:38:12', 'SYYYY-MM-DD HH24:MI:SS'), '1562707353475338242');
INSERT INTO "ZMRQ"."SYS_DEPT" VALUES ('1567809608176222210', '1567809027751657473', '1', '0', '燃气公司部门2', NULL, NULL, NULL, NULL, NULL, '1', TO_DATE('2022-09-08 17:38:33', 'SYYYY-MM-DD HH24:MI:SS'), '1562707353475338242', TO_DATE('2022-09-08 17:38:33', 'SYYYY-MM-DD HH24:MI:SS'), '1562707353475338242');
INSERT INTO "ZMRQ"."SYS_DEPT" VALUES ('1567809784441847809', '0', '22222', '0', '同飞公司', '同飞', NULL, NULL, NULL, NULL, '1', TO_DATE('2022-09-08 17:39:15', 'SYYYY-MM-DD HH24:MI:SS'), '1562707353475338242', TO_DATE('2022-09-08 17:39:15', 'SYYYY-MM-DD HH24:MI:SS'), '1562707353475338242');
INSERT INTO "ZMRQ"."SYS_DEPT" VALUES ('1567809874833293314', '1554750588556771329', '1', '0', '研发部', NULL, NULL, NULL, NULL, NULL, '1', TO_DATE('2022-09-08 17:39:37', 'SYYYY-MM-DD HH24:MI:SS'), '1562707353475338242', TO_DATE('2022-09-08 17:39:37', 'SYYYY-MM-DD HH24:MI:SS'), '1562707353475338242');
INSERT INTO "ZMRQ"."SYS_DEPT" VALUES ('1567809945675087874', '1567809784441847809', '1', '0', '研发', NULL, NULL, NULL, NULL, NULL, '1', TO_DATE('2022-09-08 17:39:54', 'SYYYY-MM-DD HH24:MI:SS'), '1562707353475338242', TO_DATE('2022-09-08 17:40:29', 'SYYYY-MM-DD HH24:MI:SS'), '1562707353475338242');
INSERT INTO "ZMRQ"."SYS_DEPT" VALUES ('1567810027954749441', '1567809784441847809', '1', '0', '测试', NULL, NULL, NULL, NULL, NULL, '1', TO_DATE('2022-09-08 17:40:13', 'SYYYY-MM-DD HH24:MI:SS'), '1562707353475338242', TO_DATE('2022-09-08 17:40:13', 'SYYYY-MM-DD HH24:MI:SS'), '1562707353475338242');
INSERT INTO "ZMRQ"."SYS_DEPT" VALUES ('1568887183518470145', '1568885985331646466', '212', '0', '测试', '测算出', NULL, NULL, NULL, NULL, '1', TO_DATE('2022-09-11 17:00:27', 'SYYYY-MM-DD HH24:MI:SS'), '1564089266203029506', TO_DATE('2022-09-11 17:00:27', 'SYYYY-MM-DD HH24:MI:SS'), '1564089266203029506');
INSERT INTO "ZMRQ"."SYS_DEPT" VALUES ('1568887484447199233', '0', '21', '0', '21', '21', '21', NULL, NULL, NULL, '1', TO_DATE('2022-09-11 17:01:39', 'SYYYY-MM-DD HH24:MI:SS'), '1564089266203029506', TO_DATE('2022-09-11 17:01:39', 'SYYYY-MM-DD HH24:MI:SS'), '1564089266203029506');
INSERT INTO "ZMRQ"."SYS_DEPT" VALUES ('1569153876757057537', '1569152821327564802', '1', '0', '研发部', NULL, NULL, NULL, NULL, NULL, '1', TO_DATE('2022-09-12 10:40:12', 'SYYYY-MM-DD HH24:MI:SS'), '1562707353475338242', TO_DATE('2022-09-12 10:40:12', 'SYYYY-MM-DD HH24:MI:SS'), '1562707353475338242');
INSERT INTO "ZMRQ"."SYS_DEPT" VALUES ('1569155260579581953', '1569152821327564802', '1', '0', '研发部', NULL, NULL, NULL, NULL, NULL, '1', TO_DATE('2022-09-12 10:45:42', 'SYYYY-MM-DD HH24:MI:SS'), '1562707353475338242', TO_DATE('2022-09-12 10:45:42', 'SYYYY-MM-DD HH24:MI:SS'), '1562707353475338242');
INSERT INTO "ZMRQ"."SYS_DEPT" VALUES ('1569212496614002689', '0', '1569152821327564802', '0', '测试', NULL, NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-12 14:33:08', 'SYYYY-MM-DD HH24:MI:SS'), '1562707353475338242', TO_DATE('2022-09-12 14:33:08', 'SYYYY-MM-DD HH24:MI:SS'), '1562707353475338242');
INSERT INTO "ZMRQ"."SYS_DEPT" VALUES ('1569216886867496961', '0', '1569216846182748162', '0', '运维部门', NULL, NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-12 14:50:35', 'SYYYY-MM-DD HH24:MI:SS'), '1569214798926188546', TO_DATE('2022-09-12 14:50:35', 'SYYYY-MM-DD HH24:MI:SS'), '1569214798926188546');
INSERT INTO "ZMRQ"."SYS_DEPT" VALUES ('1569216962281082881', '0', '1569216846182748162', '0', '检修部门', NULL, NULL, NULL, NULL, NULL, '1', TO_DATE('2022-09-12 14:50:53', 'SYYYY-MM-DD HH24:MI:SS'), '1569214798926188546', TO_DATE('2022-09-13 17:01:14', 'SYYYY-MM-DD HH24:MI:SS'), '1562707661060427778');
INSERT INTO "ZMRQ"."SYS_DEPT" VALUES ('1569500356474904577', '0', '1569152821327564802', '0', '产品', NULL, NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-13 09:36:59', 'SYYYY-MM-DD HH24:MI:SS'), '1562707353475338242', TO_DATE('2022-09-13 09:36:59', 'SYYYY-MM-DD HH24:MI:SS'), '1562707353475338242');
INSERT INTO "ZMRQ"."SYS_DEPT" VALUES ('1570225570573819906', '0', '1569602913205559298', '1', '市场保障部', '市场部', NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-15 09:38:44', 'SYYYY-MM-DD HH24:MI:SS'), '1569490064726630401', TO_DATE('2022-09-26 09:34:49', 'SYYYY-MM-DD HH24:MI:SS'), '1570226660144947202');
INSERT INTO "ZMRQ"."SYS_DEPT" VALUES ('1570225636764131329', '0', '1569602913205559298', '2', '绵竹市龙腾燃气安装有限责任公司', '绵竹龙腾', NULL, NULL, NULL, NULL, '1', TO_DATE('2022-09-15 09:38:59', 'SYYYY-MM-DD HH24:MI:SS'), '1569490064726630401', TO_DATE('2022-09-26 09:30:38', 'SYYYY-MM-DD HH24:MI:SS'), '1570226660144947202');
INSERT INTO "ZMRQ"."SYS_DEPT" VALUES ('1572125394252410881', '0', '1569602913205559298', '3', '测试名称', NULL, '123465', NULL, NULL, NULL, '1', TO_DATE('2022-09-20 15:27:57', 'SYYYY-MM-DD HH24:MI:SS'), '1571786458174857218', TO_DATE('2022-09-20 15:28:19', 'SYYYY-MM-DD HH24:MI:SS'), '1571786458174857218');
INSERT INTO "ZMRQ"."SYS_DEPT" VALUES ('1572127443060871170', '0', '1569602913205559298', '0', '测试部门', NULL, NULL, NULL, NULL, NULL, '1', TO_DATE('2022-09-20 15:36:05', 'SYYYY-MM-DD HH24:MI:SS'), '1571786458174857218', TO_DATE('2022-09-20 15:36:05', 'SYYYY-MM-DD HH24:MI:SS'), '1571786458174857218');
INSERT INTO "ZMRQ"."SYS_DEPT" VALUES ('1572426934326521858', '0', '1569602913205559298', '0', '32', NULL, NULL, NULL, NULL, NULL, '1', TO_DATE('2022-09-21 11:26:10', 'SYYYY-MM-DD HH24:MI:SS'), '1572117095968747521', TO_DATE('2022-09-21 11:26:10', 'SYYYY-MM-DD HH24:MI:SS'), '1572117095968747521');
INSERT INTO "ZMRQ"."SYS_DEPT" VALUES ('1572427089113116674', '0', '1569602913205559298', '1', '财务管理部', '财务部', NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-21 11:26:46', 'SYYYY-MM-DD HH24:MI:SS'), '1572117095968747521', TO_DATE('2022-09-26 09:34:34', 'SYYYY-MM-DD HH24:MI:SS'), '1570226660144947202');
INSERT INTO "ZMRQ"."SYS_DEPT" VALUES ('1572427172126781441', '0', '1569602913205559298', '3', '业兢集团有限公司', '业兢公司', NULL, NULL, NULL, NULL, '1', TO_DATE('2022-09-21 11:27:06', 'SYYYY-MM-DD HH24:MI:SS'), '1572117095968747521', TO_DATE('2022-09-26 09:30:17', 'SYYYY-MM-DD HH24:MI:SS'), '1570226660144947202');
INSERT INTO "ZMRQ"."SYS_DEPT" VALUES ('1572427274966921218', '0', '1569602913205559298', '1', '安全管理部', '安全部', NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-21 11:27:31', 'SYYYY-MM-DD HH24:MI:SS'), '1572117095968747521', TO_DATE('2022-09-26 09:35:06', 'SYYYY-MM-DD HH24:MI:SS'), '1570226660144947202');
INSERT INTO "ZMRQ"."SYS_DEPT" VALUES ('1572427329446735874', '0', '1569602913205559298', '0', '施工单位', NULL, NULL, NULL, NULL, NULL, '1', TO_DATE('2022-09-21 11:27:44', 'SYYYY-MM-DD HH24:MI:SS'), '1572117095968747521', TO_DATE('2022-09-21 11:27:44', 'SYYYY-MM-DD HH24:MI:SS'), '1572117095968747521');
INSERT INTO "ZMRQ"."SYS_DEPT" VALUES ('1572427441996689409', '0', '1569602913205559298', '1', '生产运营部', '运营部', NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-21 11:28:11', 'SYYYY-MM-DD HH24:MI:SS'), '1572117095968747521', TO_DATE('2022-09-26 09:35:22', 'SYYYY-MM-DD HH24:MI:SS'), '1570226660144947202');
INSERT INTO "ZMRQ"."SYS_DEPT" VALUES ('1574216391539159041', '0', '1570225246022770689', '0', '21', NULL, NULL, NULL, NULL, NULL, '1', TO_DATE('2022-09-26 09:56:49', 'SYYYY-MM-DD HH24:MI:SS'), '1574213725660508161', TO_DATE('2022-09-26 09:56:49', 'SYYYY-MM-DD HH24:MI:SS'), '1574213725660508161');
INSERT INTO "ZMRQ"."SYS_DEPT" VALUES ('1574589499110432769', '0', '1574588676133462018', '1', '测试部门', NULL, NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-27 10:39:25', 'SYYYY-MM-DD HH24:MI:SS'), '1562707353475338242', TO_DATE('2022-09-27 10:39:25', 'SYYYY-MM-DD HH24:MI:SS'), '1562707353475338242');
INSERT INTO "ZMRQ"."SYS_DEPT" VALUES ('1574589584305135618', '1574589499110432769', '1574588676133462018', '1', '测试子部门', NULL, NULL, NULL, NULL, NULL, '1', TO_DATE('2022-09-27 10:39:46', 'SYYYY-MM-DD HH24:MI:SS'), '1562707353475338242', TO_DATE('2022-09-27 10:39:46', 'SYYYY-MM-DD HH24:MI:SS'), '1562707353475338242');
INSERT INTO "ZMRQ"."SYS_DEPT" VALUES ('1574590874439491586', '1574589584305135618', '1574588676133462018', '2', '测试子子部门', NULL, NULL, NULL, NULL, NULL, '1', TO_DATE('2022-09-27 10:44:53', 'SYYYY-MM-DD HH24:MI:SS'), '1562707353475338242', TO_DATE('2022-09-27 10:44:53', 'SYYYY-MM-DD HH24:MI:SS'), '1562707353475338242');
INSERT INTO "ZMRQ"."SYS_DEPT" VALUES ('1574591001594011649', '1574590874439491586', '1574588676133462018', '2', '测试子子子部门', NULL, NULL, NULL, NULL, NULL, '1', TO_DATE('2022-09-27 10:45:23', 'SYYYY-MM-DD HH24:MI:SS'), '1562707353475338242', TO_DATE('2022-09-27 10:45:23', 'SYYYY-MM-DD HH24:MI:SS'), '1562707353475338242');
INSERT INTO "ZMRQ"."SYS_DEPT" VALUES ('1574594608955498497', '1570225570573819906', '1569602913205559298', '1', '子部门', NULL, NULL, NULL, NULL, NULL, '1', TO_DATE('2022-09-27 10:59:43', 'SYYYY-MM-DD HH24:MI:SS'), '1562707353475338242', TO_DATE('2022-09-27 11:27:20', 'SYYYY-MM-DD HH24:MI:SS'), '1562707353475338242');
INSERT INTO "ZMRQ"."SYS_DEPT" VALUES ('1574594676634787841', '1574594608955498497', '1569602913205559298', '1', '子子部门', NULL, NULL, NULL, NULL, NULL, '1', TO_DATE('2022-09-27 11:00:00', 'SYYYY-MM-DD HH24:MI:SS'), '1562707353475338242', TO_DATE('2022-09-27 11:00:00', 'SYYYY-MM-DD HH24:MI:SS'), '1562707353475338242');
INSERT INTO "ZMRQ"."SYS_DEPT" VALUES ('1574662376706904066', '1570225636764131329', '1569602913205559298', '2', '龙腾公司的施工单位', '1', '1', '1', NULL, NULL, '1', TO_DATE('2022-09-27 15:29:01', 'SYYYY-MM-DD HH24:MI:SS'), '1573210716168110082', TO_DATE('2022-09-27 15:29:01', 'SYYYY-MM-DD HH24:MI:SS'), '1573210716168110082');
INSERT INTO "ZMRQ"."SYS_DEPT" VALUES ('1574689772189380609', '1574677713116565506', '1569602913205559298', '2', '工程技术部', '工程部', NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-27 17:17:52', 'SYYYY-MM-DD HH24:MI:SS'), '1570226660144947202', TO_DATE('2022-09-27 17:17:52', 'SYYYY-MM-DD HH24:MI:SS'), '1570226660144947202');
INSERT INTO "ZMRQ"."SYS_DEPT" VALUES ('1574689851017129985', '1574677713116565506', '1569602913205559298', '2', '综合管理部', '综合部', NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-27 17:18:11', 'SYYYY-MM-DD HH24:MI:SS'), '1570226660144947202', TO_DATE('2022-09-27 17:18:11', 'SYYYY-MM-DD HH24:MI:SS'), '1570226660144947202');
INSERT INTO "ZMRQ"."SYS_DEPT" VALUES ('1574933163321962497', '1574650188160135170', '1570225246022770689', '2', '施工班组1', NULL, NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-28 09:25:01', 'SYYYY-MM-DD HH24:MI:SS'), '1574204813473345537', TO_DATE('2022-09-28 09:25:01', 'SYYYY-MM-DD HH24:MI:SS'), '1574204813473345537');
INSERT INTO "ZMRQ"."SYS_DEPT" VALUES ('1574933232846745601', '1574650188160135170', '1570225246022770689', '2', '施工班组2', NULL, NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-28 09:25:18', 'SYYYY-MM-DD HH24:MI:SS'), '1574204813473345537', TO_DATE('2022-09-29 16:38:43', 'SYYYY-MM-DD HH24:MI:SS'), '1574945313813704706');
INSERT INTO "ZMRQ"."SYS_DEPT" VALUES ('1575028673894539266', '1575023763878699009', '1574644518840958977', '1', '3232', '3232', '323', '3232', NULL, NULL, '1', TO_DATE('2022-09-28 15:44:33', 'SYYYY-MM-DD HH24:MI:SS'), '1575021278879408130', TO_DATE('2022-09-28 15:44:33', 'SYYYY-MM-DD HH24:MI:SS'), '1575021278879408130');
INSERT INTO "ZMRQ"."SYS_DEPT" VALUES ('1575028751531106306', '1575028673894539266', '1574644518840958977', '1', '32', '32', '232', '3232', NULL, NULL, '1', TO_DATE('2022-09-28 15:44:51', 'SYYYY-MM-DD HH24:MI:SS'), '1575021278879408130', TO_DATE('2022-09-28 15:44:51', 'SYYYY-MM-DD HH24:MI:SS'), '1575021278879408130');
INSERT INTO "ZMRQ"."SYS_DEPT" VALUES ('1554750588556771329', '0', '1', '0', '公司1', '测试', NULL, NULL, '测试', '0', '1', TO_DATE('2022-08-03 16:46:40', 'SYYYY-MM-DD HH24:MI:SS'), '1', TO_DATE('2022-08-31 11:47:40', 'SYYYY-MM-DD HH24:MI:SS'), '1562707353475338242');
INSERT INTO "ZMRQ"."SYS_DEPT" VALUES ('1554750591421480962', '1554750588556771329', '1', '0', '部门1', '测试简称', '1111111', NULL, '测试', '0', '1', TO_DATE('2022-08-03 16:46:41', 'SYYYY-MM-DD HH24:MI:SS'), '1', TO_DATE('2022-08-31 11:47:47', 'SYYYY-MM-DD HH24:MI:SS'), '1562707353475338242');
INSERT INTO "ZMRQ"."SYS_DEPT" VALUES ('1554750592121929730', '1554750588556771329', '1', '0', '部门2', '测试', NULL, NULL, '测试', '0', '1', TO_DATE('2022-08-03 16:46:41', 'SYYYY-MM-DD HH24:MI:SS'), '1', TO_DATE('2022-08-31 11:47:57', 'SYYYY-MM-DD HH24:MI:SS'), '1562707353475338242');
INSERT INTO "ZMRQ"."SYS_DEPT" VALUES ('1554750592872710146', '0', '1', '0', '公司2', '测试', NULL, NULL, '测试', '0', '1', TO_DATE('2022-08-03 16:46:41', 'SYYYY-MM-DD HH24:MI:SS'), '1', TO_DATE('2022-08-31 11:48:05', 'SYYYY-MM-DD HH24:MI:SS'), '1562707353475338242');
INSERT INTO "ZMRQ"."SYS_DEPT" VALUES ('1554750594126807041', '0', '1', '0', '公司3', '测试', NULL, NULL, '测试', '0', '1', TO_DATE('2022-08-03 16:46:42', 'SYYYY-MM-DD HH24:MI:SS'), '1', TO_DATE('2022-08-31 11:48:14', 'SYYYY-MM-DD HH24:MI:SS'), '1562707353475338242');
INSERT INTO "ZMRQ"."SYS_DEPT" VALUES ('1554750595821305857', '0', '1', '0', '公司4', '测试', NULL, NULL, '测试', '0', '1', TO_DATE('2022-08-03 16:46:42', 'SYYYY-MM-DD HH24:MI:SS'), '1', TO_DATE('2022-08-31 11:48:22', 'SYYYY-MM-DD HH24:MI:SS'), '1562707353475338242');
INSERT INTO "ZMRQ"."SYS_DEPT" VALUES ('1554750597272535042', '1554750595821305857', '1', '0', '部门1', '测试', NULL, NULL, '测试', '0', '1', TO_DATE('2022-08-03 16:46:42', 'SYYYY-MM-DD HH24:MI:SS'), '1', TO_DATE('2022-08-31 11:48:30', 'SYYYY-MM-DD HH24:MI:SS'), '1562707353475338242');
INSERT INTO "ZMRQ"."SYS_DEPT" VALUES ('1554750598446940161', '0', '1', '0', '公司4', '测试', '13366623461', NULL, '测试', '0', '1', TO_DATE('2022-08-03 16:46:43', 'SYYYY-MM-DD HH24:MI:SS'), '1', TO_DATE('2022-08-31 11:48:38', 'SYYYY-MM-DD HH24:MI:SS'), '1562707353475338242');
INSERT INTO "ZMRQ"."SYS_DEPT" VALUES ('1554750599394852866', '1554750597272535042', '1', '0', '哇哈哈哈哈哈哈', '测试', NULL, NULL, '测试', '0', '1', TO_DATE('2022-08-03 16:46:43', 'SYYYY-MM-DD HH24:MI:SS'), '1', TO_DATE('2022-08-03 16:46:43', 'SYYYY-MM-DD HH24:MI:SS'), '1');
INSERT INTO "ZMRQ"."SYS_DEPT" VALUES ('1554750600074330113', '1554750597272535042', '1', '0', '哇哈哈哈哈哈哈', '测试', NULL, NULL, '测试', '0', '1', TO_DATE('2022-08-03 16:46:43', 'SYYYY-MM-DD HH24:MI:SS'), '1', TO_DATE('2022-08-03 16:46:43', 'SYYYY-MM-DD HH24:MI:SS'), '1');
INSERT INTO "ZMRQ"."SYS_DEPT" VALUES ('1554750600749613058', '1554750597272535042', '1', '0', '哇哈哈哈哈哈哈', '测试', NULL, NULL, '测试', '0', '1', TO_DATE('2022-08-03 16:46:43', 'SYYYY-MM-DD HH24:MI:SS'), '1', TO_DATE('2022-08-03 16:46:43', 'SYYYY-MM-DD HH24:MI:SS'), '1');
INSERT INTO "ZMRQ"."SYS_DEPT" VALUES ('1554750601496199169', '1554750597272535042', '1', '0', '下级部门', '测试', NULL, NULL, '测试', '0', '1', TO_DATE('2022-08-03 16:46:43', 'SYYYY-MM-DD HH24:MI:SS'), '1', TO_DATE('2022-09-08 14:58:43', 'SYYYY-MM-DD HH24:MI:SS'), '1562707353475338242');
INSERT INTO "ZMRQ"."SYS_DEPT" VALUES ('1554750602184065025', '0', '1', '0', '哇哈哈哈哈哈哈', '测试', NULL, NULL, '测试', '0', '1', TO_DATE('2022-08-03 16:46:44', 'SYYYY-MM-DD HH24:MI:SS'), '1', TO_DATE('2022-08-03 16:46:44', 'SYYYY-MM-DD HH24:MI:SS'), '1');
INSERT INTO "ZMRQ"."SYS_DEPT" VALUES ('1554750602947428353', '0', '1', '0', '哇哈哈哈哈哈哈', '测试', NULL, NULL, '测试', '0', '1', TO_DATE('2022-08-03 16:46:44', 'SYYYY-MM-DD HH24:MI:SS'), '1', TO_DATE('2022-08-03 16:46:44', 'SYYYY-MM-DD HH24:MI:SS'), '1');
INSERT INTO "ZMRQ"."SYS_DEPT" VALUES ('1554750603664654338', '1554750602947428353', '1', '0', '哇哈哈哈哈哈哈', '测试', NULL, NULL, '测试', '0', '1', TO_DATE('2022-08-03 16:46:44', 'SYYYY-MM-DD HH24:MI:SS'), '1', TO_DATE('2022-08-03 16:46:44', 'SYYYY-MM-DD HH24:MI:SS'), '1');
INSERT INTO "ZMRQ"."SYS_DEPT" VALUES ('1554750604386074625', '1554750602947428353', '1', '0', '哇哈哈哈哈哈哈', '测试', NULL, NULL, '测试', '0', '1', TO_DATE('2022-08-03 16:46:44', 'SYYYY-MM-DD HH24:MI:SS'), '1', TO_DATE('2022-08-03 16:46:44', 'SYYYY-MM-DD HH24:MI:SS'), '1');
INSERT INTO "ZMRQ"."SYS_DEPT" VALUES ('1554750605120077825', '1554750602947428353', '1', '0', '哇哈哈哈哈哈哈', '测试', NULL, NULL, '测试', '0', '1', TO_DATE('2022-08-03 16:46:44', 'SYYYY-MM-DD HH24:MI:SS'), '1', TO_DATE('2022-08-03 16:46:44', 'SYYYY-MM-DD HH24:MI:SS'), '1');
INSERT INTO "ZMRQ"."SYS_DEPT" VALUES ('1554750605875052546', '1554750602947428353', '1', '0', '哇哈哈哈哈哈哈', '测试', NULL, NULL, '测试', '0', '1', TO_DATE('2022-08-03 16:46:44', 'SYYYY-MM-DD HH24:MI:SS'), '1', TO_DATE('2022-08-03 16:46:44', 'SYYYY-MM-DD HH24:MI:SS'), '1');
INSERT INTO "ZMRQ"."SYS_DEPT" VALUES ('1554750606638415874', '1554750602947428353', '1', '0', '哇哈哈哈哈哈哈', '测试', NULL, NULL, '测试', '0', '1', TO_DATE('2022-08-03 16:46:45', 'SYYYY-MM-DD HH24:MI:SS'), '1', TO_DATE('2022-08-03 16:46:45', 'SYYYY-MM-DD HH24:MI:SS'), '1');
INSERT INTO "ZMRQ"."SYS_DEPT" VALUES ('1564820917233205249', '0', '11111', '0', '公司5', 'ad', '13326656236', NULL, NULL, NULL, '1', TO_DATE('2022-08-31 11:42:34', 'SYYYY-MM-DD HH24:MI:SS'), '1562707353475338242', TO_DATE('2022-08-31 11:48:49', 'SYYYY-MM-DD HH24:MI:SS'), '1562707353475338242');
INSERT INTO "ZMRQ"."SYS_DEPT" VALUES ('1564859691396841474', '0', '1111', '0', '1111', NULL, NULL, NULL, NULL, NULL, '1', TO_DATE('2022-08-31 14:16:38', 'SYYYY-MM-DD HH24:MI:SS'), '1562707353475338242', TO_DATE('2022-08-31 14:16:38', 'SYYYY-MM-DD HH24:MI:SS'), '1562707353475338242');
INSERT INTO "ZMRQ"."SYS_DEPT" VALUES ('1564859848351891457', '0', '1', '0', '2222', '222', NULL, NULL, NULL, NULL, '1', TO_DATE('2022-08-31 14:17:16', 'SYYYY-MM-DD HH24:MI:SS'), '1562707353475338242', TO_DATE('2022-08-31 14:17:16', 'SYYYY-MM-DD HH24:MI:SS'), '1562707353475338242');
INSERT INTO "ZMRQ"."SYS_DEPT" VALUES ('1567803571767459841', '1554750588556771329', '1', '0', '测试部门', NULL, NULL, NULL, NULL, NULL, '1', TO_DATE('2022-09-08 17:14:34', 'SYYYY-MM-DD HH24:MI:SS'), '1562707353475338242', TO_DATE('2022-09-08 17:14:34', 'SYYYY-MM-DD HH24:MI:SS'), '1562707353475338242');
INSERT INTO "ZMRQ"."SYS_DEPT" VALUES ('1567803690260742146', '1567803571767459841', '1', '0', '测试部门2', NULL, NULL, NULL, NULL, NULL, '1', TO_DATE('2022-09-08 17:15:02', 'SYYYY-MM-DD HH24:MI:SS'), '1562707353475338242', TO_DATE('2022-09-08 17:15:02', 'SYYYY-MM-DD HH24:MI:SS'), '1562707353475338242');
INSERT INTO "ZMRQ"."SYS_DEPT" VALUES ('1567804094428069889', '1564820917233205249', '1', '0', '测试部门', NULL, NULL, NULL, NULL, NULL, '1', TO_DATE('2022-09-08 17:16:39', 'SYYYY-MM-DD HH24:MI:SS'), '1562707353475338242', TO_DATE('2022-09-08 17:16:39', 'SYYYY-MM-DD HH24:MI:SS'), '1562707353475338242');
INSERT INTO "ZMRQ"."SYS_DEPT" VALUES ('1568892042623848450', '0', '1', '0', '绵竹中民', '中民', NULL, NULL, NULL, NULL, '1', TO_DATE('2022-09-11 17:19:46', 'SYYYY-MM-DD HH24:MI:SS'), '1564089266203029506', TO_DATE('2022-09-11 17:19:46', 'SYYYY-MM-DD HH24:MI:SS'), '1564089266203029506');
INSERT INTO "ZMRQ"."SYS_DEPT" VALUES ('1568892634909904898', '1568892042623848450', '2', '0', '运维部门', '运维', NULL, NULL, NULL, NULL, '1', TO_DATE('2022-09-11 17:22:07', 'SYYYY-MM-DD HH24:MI:SS'), '1564089266203029506', TO_DATE('2022-09-11 17:22:07', 'SYYYY-MM-DD HH24:MI:SS'), '1564089266203029506');
INSERT INTO "ZMRQ"."SYS_DEPT" VALUES ('1568892923486408706', '1568892042623848450', '3', '0', '检修部门', '检修', NULL, NULL, NULL, NULL, '1', TO_DATE('2022-09-11 17:23:16', 'SYYYY-MM-DD HH24:MI:SS'), '1564089266203029506', TO_DATE('2022-09-11 17:23:16', 'SYYYY-MM-DD HH24:MI:SS'), '1564089266203029506');
INSERT INTO "ZMRQ"."SYS_DEPT" VALUES ('1569171597490130945', '0', '1559439416258174978', '0', '测试部门', '测试', '1111111', NULL, NULL, NULL, '1', TO_DATE('2022-09-12 11:50:37', 'SYYYY-MM-DD HH24:MI:SS'), '1562707353475338242', TO_DATE('2022-09-12 11:50:47', 'SYYYY-MM-DD HH24:MI:SS'), '1562707353475338242');
INSERT INTO "ZMRQ"."SYS_DEPT" VALUES ('1569215957451673602', '0', '1', '0', '检修部门', '检修', '11111111111', NULL, NULL, NULL, '1', TO_DATE('2022-09-12 14:46:53', 'SYYYY-MM-DD HH24:MI:SS'), '1569214798926188546', TO_DATE('2022-09-12 14:47:22', 'SYYYY-MM-DD HH24:MI:SS'), '1569214798926188546');
INSERT INTO "ZMRQ"."SYS_DEPT" VALUES ('1569215997255618561', '0', '1', '0', '运维部门', NULL, NULL, NULL, NULL, NULL, '1', TO_DATE('2022-09-12 14:47:03', 'SYYYY-MM-DD HH24:MI:SS'), '1569214798926188546', TO_DATE('2022-09-12 14:47:03', 'SYYYY-MM-DD HH24:MI:SS'), '1569214798926188546');
INSERT INTO "ZMRQ"."SYS_DEPT" VALUES ('1569606471426580482', '0', '1569602913205559298', '0', '装修大队', '装修', '08386202631', '2342', NULL, NULL, '1', TO_DATE('2022-09-13 16:38:39', 'SYYYY-MM-DD HH24:MI:SS'), '1562707661060427778', TO_DATE('2022-09-21 11:27:17', 'SYYYY-MM-DD HH24:MI:SS'), '1572117095968747521');
INSERT INTO "ZMRQ"."SYS_DEPT" VALUES ('1571810200158494722', '0', '1', '0', '施工单位', NULL, NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-19 18:35:29', 'SYYYY-MM-DD HH24:MI:SS'), '1', TO_DATE('2022-09-19 18:35:29', 'SYYYY-MM-DD HH24:MI:SS'), '1');
INSERT INTO "ZMRQ"."SYS_DEPT" VALUES ('1572125854061375490', '0', '1569216846182748162', '1', '测试部门', NULL, '111111', NULL, NULL, NULL, '1', TO_DATE('2022-09-20 15:29:46', 'SYYYY-MM-DD HH24:MI:SS'), '1562707353475338242', TO_DATE('2022-09-20 15:29:57', 'SYYYY-MM-DD HH24:MI:SS'), '1562707353475338242');
INSERT INTO "ZMRQ"."SYS_DEPT" VALUES ('1575653484953985025', '1570225570573819906', '1569602913205559298', '2', '维修大队', NULL, NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-30 09:07:19', 'SYYYY-MM-DD HH24:MI:SS'), '1573210716168110082', TO_DATE('2022-09-30 09:07:19', 'SYYYY-MM-DD HH24:MI:SS'), '1573210716168110082');
INSERT INTO "ZMRQ"."SYS_DEPT" VALUES ('1578595776467664898', '0', '1575029703222878209', '2', '测试', NULL, NULL, NULL, NULL, NULL, '0', TO_DATE('2022-10-08 11:58:56', 'SYYYY-MM-DD HH24:MI:SS'), '1574945313813704706', TO_DATE('2022-10-08 11:58:56', 'SYYYY-MM-DD HH24:MI:SS'), '1574945313813704706');
INSERT INTO "ZMRQ"."SYS_DEPT" VALUES ('1569159349908541441', '0', '1569152821327564802', '0', '研发部', NULL, '1331232132', NULL, NULL, NULL, '0', TO_DATE('2022-09-12 11:01:57', 'SYYYY-MM-DD HH24:MI:SS'), '1562707353475338242', TO_DATE('2022-09-19 10:12:31', 'SYYYY-MM-DD HH24:MI:SS'), '1562707661060427778');
INSERT INTO "ZMRQ"."SYS_DEPT" VALUES ('1569220262791483394', '0', '1', '0', '测试部门', NULL, NULL, NULL, NULL, NULL, '1', TO_DATE('2022-09-12 15:04:00', 'SYYYY-MM-DD HH24:MI:SS'), '1569214798926188546', TO_DATE('2022-09-12 15:04:00', 'SYYYY-MM-DD HH24:MI:SS'), '1569214798926188546');
INSERT INTO "ZMRQ"."SYS_DEPT" VALUES ('1569621985485987842', '0', '1', '1', '集团建设部门', '集团建设', '08386202631', 'A0213', NULL, NULL, '1', TO_DATE('2022-09-13 17:40:18', 'SYYYY-MM-DD HH24:MI:SS'), '1562707661060427778', TO_DATE('2022-09-13 17:57:33', 'SYYYY-MM-DD HH24:MI:SS'), '1562707661060427778');
INSERT INTO "ZMRQ"."SYS_DEPT" VALUES ('1569623900114460674', '0', '1', '0', '集团建设部门', NULL, NULL, NULL, NULL, NULL, '1', TO_DATE('2022-09-13 17:47:54', 'SYYYY-MM-DD HH24:MI:SS'), '1562707661060427778', TO_DATE('2022-09-13 17:47:54', 'SYYYY-MM-DD HH24:MI:SS'), '1562707661060427778');
INSERT INTO "ZMRQ"."SYS_DEPT" VALUES ('1569623993550970881', '0', '1', '0', '3213', NULL, NULL, NULL, NULL, NULL, '1', TO_DATE('2022-09-13 17:48:16', 'SYYYY-MM-DD HH24:MI:SS'), '1562707661060427778', TO_DATE('2022-09-13 17:48:16', 'SYYYY-MM-DD HH24:MI:SS'), '1562707661060427778');
INSERT INTO "ZMRQ"."SYS_DEPT" VALUES ('1569971580036521985', '0', '1569602913205559298', '2', '工程技术部', '工程部', NULL, '213', NULL, NULL, '1', TO_DATE('2022-09-14 16:49:28', 'SYYYY-MM-DD HH24:MI:SS'), '1562365397418708993', TO_DATE('2022-09-26 09:43:02', 'SYYYY-MM-DD HH24:MI:SS'), '1570226660144947202');
INSERT INTO "ZMRQ"."SYS_DEPT" VALUES ('1570684996602658818', '0', '1570684909436633089', '0', '检修部门', NULL, NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-16 16:04:19', 'SYYYY-MM-DD HH24:MI:SS'), '1562707661060427778', TO_DATE('2022-09-16 16:04:19', 'SYYYY-MM-DD HH24:MI:SS'), '1562707661060427778');
INSERT INTO "ZMRQ"."SYS_DEPT" VALUES ('1572145011712598018', '0', '1569602913205559298', '1', '客户服务部', '客服部', NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-20 16:45:54', 'SYYYY-MM-DD HH24:MI:SS'), '1572139598602600449', TO_DATE('2022-09-26 09:43:20', 'SYYYY-MM-DD HH24:MI:SS'), '1570226660144947202');
INSERT INTO "ZMRQ"."SYS_DEPT" VALUES ('1574210413519302657', '0', '1569602913205559298', '1', '综合管理部', '综合部', NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-26 09:33:04', 'SYYYY-MM-DD HH24:MI:SS'), '1570226660144947202', TO_DATE('2022-09-26 09:43:31', 'SYYYY-MM-DD HH24:MI:SS'), '1570226660144947202');
INSERT INTO "ZMRQ"."SYS_DEPT" VALUES ('1574210514929184770', '0', '1569602913205559298', '0', '财务管理部', NULL, NULL, NULL, NULL, NULL, '1', TO_DATE('2022-09-26 09:33:28', 'SYYYY-MM-DD HH24:MI:SS'), '1570226660144947202', TO_DATE('2022-09-26 09:33:28', 'SYYYY-MM-DD HH24:MI:SS'), '1570226660144947202');
INSERT INTO "ZMRQ"."SYS_DEPT" VALUES ('1574210598299365378', '0', '1569602913205559298', '1', '质量安全部', NULL, NULL, NULL, NULL, NULL, '1', TO_DATE('2022-09-26 09:33:48', 'SYYYY-MM-DD HH24:MI:SS'), '1570226660144947202', TO_DATE('2022-09-26 09:33:55', 'SYYYY-MM-DD HH24:MI:SS'), '1570226660144947202');
INSERT INTO "ZMRQ"."SYS_DEPT" VALUES ('1574342473189801986', '0', '1570225246022770689', '0', '监理单位', NULL, NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-26 18:17:50', 'SYYYY-MM-DD HH24:MI:SS'), '1574204813473345537', TO_DATE('2022-09-28 14:19:56', 'SYYYY-MM-DD HH24:MI:SS'), '1574945313813704706');
INSERT INTO "ZMRQ"."SYS_DEPT" VALUES ('1574677713116565506', '0', '1569602913205559298', '2', '绵竹龙腾', '绵竹龙腾', NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-27 16:29:57', 'SYYYY-MM-DD HH24:MI:SS'), '1570226660144947202', TO_DATE('2022-09-27 16:29:57', 'SYYYY-MM-DD HH24:MI:SS'), '1570226660144947202');
INSERT INTO "ZMRQ"."SYS_DEPT" VALUES ('1575023763878699009', '0', '1574644518840958977', '2', '子格式', NULL, NULL, NULL, NULL, NULL, '1', TO_DATE('2022-09-28 15:25:02', 'SYYYY-MM-DD HH24:MI:SS'), '1', TO_DATE('2022-09-28 15:25:02', 'SYYYY-MM-DD HH24:MI:SS'), '1');
INSERT INTO "ZMRQ"."SYS_DEPT" VALUES ('1575036251668078594', '0', '1574644518840958977', '3', '子公司的监理单位', NULL, NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-28 16:14:39', 'SYYYY-MM-DD HH24:MI:SS'), '1574204813473345537', TO_DATE('2022-09-28 16:14:39', 'SYYYY-MM-DD HH24:MI:SS'), '1574204813473345537');
INSERT INTO "ZMRQ"."SYS_DEPT" VALUES ('1569621006795481089', '0', '1569620933881700353', '0', '3232', NULL, NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-13 17:36:24', 'SYYYY-MM-DD HH24:MI:SS'), '1562707661060427778', TO_DATE('2022-09-13 17:36:24', 'SYYYY-MM-DD HH24:MI:SS'), '1562707661060427778');
INSERT INTO "ZMRQ"."SYS_DEPT" VALUES ('1569624186618978305', '0', '1', '0', '3213423423', NULL, NULL, NULL, NULL, NULL, '1', TO_DATE('2022-09-13 17:49:02', 'SYYYY-MM-DD HH24:MI:SS'), '1562707661060427778', TO_DATE('2022-09-13 17:49:07', 'SYYYY-MM-DD HH24:MI:SS'), '1562707661060427778');
INSERT INTO "ZMRQ"."SYS_DEPT" VALUES ('1569625099291140097', '0', '1', '0', '3213423423', NULL, NULL, NULL, NULL, NULL, '1', TO_DATE('2022-09-13 17:52:40', 'SYYYY-MM-DD HH24:MI:SS'), '1562707661060427778', TO_DATE('2022-09-13 17:52:40', 'SYYYY-MM-DD HH24:MI:SS'), '1562707661060427778');
INSERT INTO "ZMRQ"."SYS_DEPT" VALUES ('1570256231753949186', '0', '1569152821327564802', '0', '运维', NULL, NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-15 11:40:34', 'SYYYY-MM-DD HH24:MI:SS'), '1562707353475338242', TO_DATE('2022-09-15 11:40:34', 'SYYYY-MM-DD HH24:MI:SS'), '1562707353475338242');
INSERT INTO "ZMRQ"."SYS_DEPT" VALUES ('1571795832805007361', '0', '1', '0', '施工单位', NULL, NULL, NULL, NULL, NULL, '1', TO_DATE('2022-09-19 17:38:23', 'SYYYY-MM-DD HH24:MI:SS'), '1571688988283506690', TO_DATE('2022-09-19 17:38:23', 'SYYYY-MM-DD HH24:MI:SS'), '1571688988283506690');

-- ----------------------------
-- Table structure for SYS_DICT
-- ----------------------------
DROP TABLE "ZMRQ"."SYS_DICT";
CREATE TABLE "ZMRQ"."SYS_DICT" (
  "ID" NUMBER(20,0) NOT NULL,
  "PID" NUMBER(20,0) DEFAULT 0 NOT NULL,
  "CODE" VARCHAR2(255 BYTE),
  "NAME" VARCHAR2(255 BYTE),
  "DESCRIBE" VARCHAR2(500 BYTE),
  "VALUE" VARCHAR2(600 BYTE),
  "ACTIVE" NUMBER(1,0) DEFAULT 1 NOT NULL,
  "TENANT_ID" NUMBER(20,0),
  "SORT" NUMBER(20,0),
  "DELETED" NUMBER(1,0) DEFAULT 0 NOT NULL,
  "CREATE_TIME" DATE,
  "CREATE_USER" NUMBER(20,0),
  "UPDATE_TIME" DATE,
  "UPDATE_USER" NUMBER(20,0)
)
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "ZMRQ"."SYS_DICT"."ID" IS '主键ID';
COMMENT ON COLUMN "ZMRQ"."SYS_DICT"."PID" IS '父级ID';
COMMENT ON COLUMN "ZMRQ"."SYS_DICT"."CODE" IS '编码';
COMMENT ON COLUMN "ZMRQ"."SYS_DICT"."NAME" IS '字典名称';
COMMENT ON COLUMN "ZMRQ"."SYS_DICT"."DESCRIBE" IS '描述';
COMMENT ON COLUMN "ZMRQ"."SYS_DICT"."VALUE" IS '数据值';
COMMENT ON COLUMN "ZMRQ"."SYS_DICT"."ACTIVE" IS '状态：0禁用，1激活';
COMMENT ON COLUMN "ZMRQ"."SYS_DICT"."TENANT_ID" IS '租户ID';
COMMENT ON COLUMN "ZMRQ"."SYS_DICT"."SORT" IS '排序';
COMMENT ON COLUMN "ZMRQ"."SYS_DICT"."DELETED" IS '逻辑删除，1删除，0不删除';
COMMENT ON COLUMN "ZMRQ"."SYS_DICT"."CREATE_TIME" IS '创建时间';
COMMENT ON COLUMN "ZMRQ"."SYS_DICT"."CREATE_USER" IS '创建人';
COMMENT ON COLUMN "ZMRQ"."SYS_DICT"."UPDATE_TIME" IS '更新时间';
COMMENT ON COLUMN "ZMRQ"."SYS_DICT"."UPDATE_USER" IS '修改人';
COMMENT ON TABLE "ZMRQ"."SYS_DICT" IS '系统字典';

-- ----------------------------
-- Records of SYS_DICT
-- ----------------------------
INSERT INTO "ZMRQ"."SYS_DICT" VALUES ('1554360182518059009', '0', 'ACTIVE', '状态', NULL, '1', '1', '1', '0', '0', TO_DATE('2022-08-02 14:55:20', 'SYYYY-MM-DD HH24:MI:SS'), '258', TO_DATE('2022-09-09 20:47:59', 'SYYYY-MM-DD HH24:MI:SS'), '1562365397418708993');
INSERT INTO "ZMRQ"."SYS_DICT" VALUES ('1554360684257480705', '0', 'ACTIVE', '状态', '激活状态', '1', '1', '1', '0', '1', TO_DATE('2022-08-02 14:57:20', 'SYYYY-MM-DD HH24:MI:SS'), '258', TO_DATE('2022-09-20 17:17:45', 'SYYYY-MM-DD HH24:MI:SS'), '2');
INSERT INTO "ZMRQ"."SYS_DICT" VALUES ('1554374896795508738', '0', 'ACTIVE', '状态', '激活状态', '1', '1', '1', '0', '1', TO_DATE('2022-08-02 15:53:48', 'SYYYY-MM-DD HH24:MI:SS'), '258', TO_DATE('2022-09-20 17:17:35', 'SYYYY-MM-DD HH24:MI:SS'), '2');
INSERT INTO "ZMRQ"."SYS_DICT" VALUES ('1554376446443638785', '0', 'ACTIVE', '状态', '激活状态', '1', '1', '1', '0', '1', TO_DATE('2022-08-02 15:59:58', 'SYYYY-MM-DD HH24:MI:SS'), '258', TO_DATE('2022-08-02 15:59:58', 'SYYYY-MM-DD HH24:MI:SS'), '258');
INSERT INTO "ZMRQ"."SYS_DICT" VALUES ('1568201915916472321', '0', '01', '秋海', NULL, NULL, '1', NULL, NULL, '1', TO_DATE('2022-09-09 19:37:27', 'SYYYY-MM-DD HH24:MI:SS'), '1562365397418708993', TO_DATE('2022-09-09 19:37:27', 'SYYYY-MM-DD HH24:MI:SS'), '1562365397418708993');
INSERT INTO "ZMRQ"."SYS_DICT" VALUES ('1572477316880744450', '1554404349352893654', NULL, '无填报', NULL, '1', '1', NULL, '1', '1', TO_DATE('2022-09-21 14:46:22', 'SYYYY-MM-DD HH24:MI:SS'), '1562365397418708993', TO_DATE('2022-09-21 14:46:22', 'SYYYY-MM-DD HH24:MI:SS'), '1562365397418708993');
INSERT INTO "ZMRQ"."SYS_DICT" VALUES ('1574610029662175234', '1574609579781128194', NULL, '集中小区', NULL, '0', '1', NULL, '1', '0', TO_DATE('2022-09-27 12:01:00', 'SYYYY-MM-DD HH24:MI:SS'), '1571688988283506690', TO_DATE('2022-09-27 12:06:31', 'SYYYY-MM-DD HH24:MI:SS'), '1571688988283506690');
INSERT INTO "ZMRQ"."SYS_DICT" VALUES ('1574964154769989634', '0', '12312', '1', NULL, NULL, '1', NULL, NULL, '1', TO_DATE('2022-09-28 11:28:10', 'SYYYY-MM-DD HH24:MI:SS'), '1574946019425660929', TO_DATE('2022-09-28 11:28:10', 'SYYYY-MM-DD HH24:MI:SS'), '1574946019425660929');
INSERT INTO "ZMRQ"."SYS_DICT" VALUES ('1575033404515803138', '1554404349352897623', NULL, '市场维修班组', NULL, '1', '1', NULL, '1', '0', TO_DATE('2022-09-28 16:03:20', 'SYYYY-MM-DD HH24:MI:SS'), '1562365397418708993', TO_DATE('2022-09-28 16:03:20', 'SYYYY-MM-DD HH24:MI:SS'), '1562365397418708993');
INSERT INTO "ZMRQ"."SYS_DICT" VALUES ('1578628051158810625', '1578627393173176321', NULL, '预算方式3', NULL, '3', '1', NULL, NULL, '0', TO_DATE('2022-10-08 14:07:11', 'SYYYY-MM-DD HH24:MI:SS'), '1562707353475338242', TO_DATE('2022-10-08 14:07:11', 'SYYYY-MM-DD HH24:MI:SS'), '1562707353475338242');
INSERT INTO "ZMRQ"."SYS_DICT" VALUES ('1554354282382258177', '0', 'ACTIVE', '状态', NULL, '0', '1', '1', '0', '1', TO_DATE('2022-08-02 14:31:54', 'SYYYY-MM-DD HH24:MI:SS'), '258', TO_DATE('2022-08-02 14:31:54', 'SYYYY-MM-DD HH24:MI:SS'), '258');
INSERT INTO "ZMRQ"."SYS_DICT" VALUES ('1572473571455270914', '0', '111111', '11111', NULL, NULL, '1', NULL, NULL, '1', TO_DATE('2022-09-21 14:31:29', 'SYYYY-MM-DD HH24:MI:SS'), '2', TO_DATE('2022-09-21 14:31:29', 'SYYYY-MM-DD HH24:MI:SS'), '2');
INSERT INTO "ZMRQ"."SYS_DICT" VALUES ('5146666666666666', '0', 'SEX', '性别', NULL, NULL, '1', '0', '0', '1', TO_DATE('2022-09-08 18:17:56', 'SYYYY-MM-DD HH24:MI:SS'), '1', TO_DATE('2022-09-20 17:44:23', 'SYYYY-MM-DD HH24:MI:SS'), '2');
INSERT INTO "ZMRQ"."SYS_DICT" VALUES ('1572473687801069570', '0', '13', '工程性质', NULL, NULL, '1', NULL, NULL, '0', TO_DATE('2022-09-21 14:31:56', 'SYYYY-MM-DD HH24:MI:SS'), '1562365397418708993', TO_DATE('2022-09-21 14:31:56', 'SYYYY-MM-DD HH24:MI:SS'), '1562365397418708993');
INSERT INTO "ZMRQ"."SYS_DICT" VALUES ('1572482525312954369', '1554360182518059009', NULL, '好', '还行', '1', '1', NULL, '1', '1', TO_DATE('2022-09-21 15:07:04', 'SYYYY-MM-DD HH24:MI:SS'), '1562365397418708993', TO_DATE('2022-09-21 15:08:36', 'SYYYY-MM-DD HH24:MI:SS'), '1562365397418708993');
INSERT INTO "ZMRQ"."SYS_DICT" VALUES ('1572484134977777666', '1554404349352897623', NULL, '中班', '阿松大', '3', '0', NULL, '3', '1', TO_DATE('2022-09-21 15:13:27', 'SYYYY-MM-DD HH24:MI:SS'), '1562365397418708993', TO_DATE('2022-09-21 15:13:48', 'SYYYY-MM-DD HH24:MI:SS'), '1562365397418708993');
INSERT INTO "ZMRQ"."SYS_DICT" VALUES ('1572834806684196866', '0', 'SURVEY_RESULT', '勘察结果', NULL, NULL, '1', NULL, NULL, '0', TO_DATE('2022-09-22 14:26:54', 'SYYYY-MM-DD HH24:MI:SS'), '1562365397418708993', TO_DATE('2022-09-22 14:26:54', 'SYYYY-MM-DD HH24:MI:SS'), '1562365397418708993');
INSERT INTO "ZMRQ"."SYS_DICT" VALUES ('1572838197535711233', '0', '33333333333333333333', '啊大苏打盛大的', NULL, NULL, '1', NULL, NULL, '1', TO_DATE('2022-09-22 14:40:22', 'SYYYY-MM-DD HH24:MI:SS'), '1562365397418708993', TO_DATE('2022-09-22 14:40:22', 'SYYYY-MM-DD HH24:MI:SS'), '1562365397418708993');
INSERT INTO "ZMRQ"."SYS_DICT" VALUES ('1574239345425555457', '1574238667651194882', NULL, '子公司管理员', NULL, '2', '1', NULL, '2', '0', TO_DATE('2022-09-26 11:28:02', 'SYYYY-MM-DD HH24:MI:SS'), '1', TO_DATE('2022-09-26 11:28:02', 'SYYYY-MM-DD HH24:MI:SS'), '1');
INSERT INTO "ZMRQ"."SYS_DICT" VALUES ('1574315608727212034', '0', '12', '用户类型', NULL, NULL, '1', NULL, NULL, '1', TO_DATE('2022-09-26 16:31:05', 'SYYYY-MM-DD HH24:MI:SS'), '1571688988283506690', TO_DATE('2022-09-26 16:31:05', 'SYYYY-MM-DD HH24:MI:SS'), '1571688988283506690');
INSERT INTO "ZMRQ"."SYS_DICT" VALUES ('1574963902897840129', '1554404349352893654', NULL, '无埋地管道', NULL, '1', '1', NULL, '1', '0', TO_DATE('2022-09-28 11:27:10', 'SYYYY-MM-DD HH24:MI:SS'), '1574946019425660929', TO_DATE('2022-09-28 11:27:10', 'SYYYY-MM-DD HH24:MI:SS'), '1574946019425660929');
INSERT INTO "ZMRQ"."SYS_DICT" VALUES ('1574963975367024642', '1554404349352893654', NULL, '有埋地管不监检', NULL, '2', '1', NULL, '2', '0', TO_DATE('2022-09-28 11:27:27', 'SYYYY-MM-DD HH24:MI:SS'), '1574946019425660929', TO_DATE('2022-09-28 11:27:27', 'SYYYY-MM-DD HH24:MI:SS'), '1574946019425660929');
INSERT INTO "ZMRQ"."SYS_DICT" VALUES ('1574964044849864706', '1554404349352893654', NULL, '有埋地管需要监检', NULL, '3', '1', NULL, '3', '0', TO_DATE('2022-09-28 11:27:44', 'SYYYY-MM-DD HH24:MI:SS'), '1574946019425660929', TO_DATE('2022-09-28 11:27:44', 'SYYYY-MM-DD HH24:MI:SS'), '1574946019425660929');
INSERT INTO "ZMRQ"."SYS_DICT" VALUES ('1554404349352898562', '0', 'ACTIVE1', '状态', 'xxxxx', '1', '1', '1', '0', '0', TO_DATE('2022-08-02 17:50:50', 'SYYYY-MM-DD HH24:MI:SS'), '2', TO_DATE('2022-09-20 17:35:57', 'SYYYY-MM-DD HH24:MI:SS'), '1');
INSERT INTO "ZMRQ"."SYS_DICT" VALUES ('1568078286897045505', '0', 'INSTALL_CONTENT', '安装内容', '安装内容', NULL, '1', NULL, '0', '0', TO_DATE('2022-09-09 11:26:11', 'SYYYY-MM-DD HH24:MI:SS'), '1', TO_DATE('2022-09-14 11:12:51', 'SYYYY-MM-DD HH24:MI:SS'), '1562707661060427778');
INSERT INTO "ZMRQ"."SYS_DICT" VALUES ('1568078987303870465', '1568078286897045505', NULL, '中餐', '中餐', '0', '1', NULL, '0', '0', TO_DATE('2022-09-09 11:28:58', 'SYYYY-MM-DD HH24:MI:SS'), '1', TO_DATE('2022-09-14 11:44:17', 'SYYYY-MM-DD HH24:MI:SS'), '1562707661060427778');
INSERT INTO "ZMRQ"."SYS_DICT" VALUES ('1568079584681811969', '1568078286897045505', NULL, '火锅', '火锅', '1', '1', NULL, '0', '0', TO_DATE('2022-09-09 11:31:21', 'SYYYY-MM-DD HH24:MI:SS'), '1', TO_DATE('2022-09-14 11:44:21', 'SYYYY-MM-DD HH24:MI:SS'), '1562707661060427778');
INSERT INTO "ZMRQ"."SYS_DICT" VALUES ('1568079644857491457', '1568078286897045505', NULL, '宾馆', '宾馆', '2', '1', NULL, '0', '0', TO_DATE('2022-09-09 11:31:35', 'SYYYY-MM-DD HH24:MI:SS'), '1', TO_DATE('2022-09-09 11:31:35', 'SYYYY-MM-DD HH24:MI:SS'), '1');
INSERT INTO "ZMRQ"."SYS_DICT" VALUES ('1568079695382077441', '1568078286897045505', NULL, '茶庄', '茶庄', '3', '1', NULL, '0', '0', TO_DATE('2022-09-09 11:31:47', 'SYYYY-MM-DD HH24:MI:SS'), '1', TO_DATE('2022-09-09 11:31:47', 'SYYYY-MM-DD HH24:MI:SS'), '1');
INSERT INTO "ZMRQ"."SYS_DICT" VALUES ('1568079809530060802', '1568078286897045505', NULL, '美容美发', '美容美发', '4', '1', NULL, '0', '0', TO_DATE('2022-09-09 11:32:14', 'SYYYY-MM-DD HH24:MI:SS'), '1', TO_DATE('2022-09-09 11:32:14', 'SYYYY-MM-DD HH24:MI:SS'), '1');
INSERT INTO "ZMRQ"."SYS_DICT" VALUES ('1568079874227200002', '1568078286897045505', NULL, '食堂', '食堂', '5', '1', NULL, '0', '0', TO_DATE('2022-09-09 11:32:30', 'SYYYY-MM-DD HH24:MI:SS'), '1', TO_DATE('2022-09-09 11:32:30', 'SYYYY-MM-DD HH24:MI:SS'), '1');
INSERT INTO "ZMRQ"."SYS_DICT" VALUES ('1568079937540218881', '1568078286897045505', NULL, '热水锅炉', '热水锅炉', '6', '1', NULL, '0', '0', TO_DATE('2022-09-09 11:32:45', 'SYYYY-MM-DD HH24:MI:SS'), '1', TO_DATE('2022-09-09 11:32:45', 'SYYYY-MM-DD HH24:MI:SS'), '1');
INSERT INTO "ZMRQ"."SYS_DICT" VALUES ('1568079995820072962', '1568078286897045505', NULL, '工业锅炉', '工业锅炉', '7', '1', NULL, '0', '0', TO_DATE('2022-09-09 11:32:59', 'SYYYY-MM-DD HH24:MI:SS'), '1', TO_DATE('2022-09-09 11:32:59', 'SYYYY-MM-DD HH24:MI:SS'), '1');
INSERT INTO "ZMRQ"."SYS_DICT" VALUES ('1568080097829740546', '1568078286897045505', NULL, '工业燃烧器', '工业燃烧器', '8', '1', NULL, '0', '0', TO_DATE('2022-09-09 11:33:23', 'SYYYY-MM-DD HH24:MI:SS'), '1', TO_DATE('2022-09-09 11:33:23', 'SYYYY-MM-DD HH24:MI:SS'), '1');
INSERT INTO "ZMRQ"."SYS_DICT" VALUES ('1568080167232888833', '1568078286897045505', NULL, '民用', '民用', '9', '1', NULL, '0', '0', TO_DATE('2022-09-09 11:33:40', 'SYYYY-MM-DD HH24:MI:SS'), '1', TO_DATE('2022-09-09 11:33:40', 'SYYYY-MM-DD HH24:MI:SS'), '1');
INSERT INTO "ZMRQ"."SYS_DICT" VALUES ('1568080239790153730', '1568078286897045505', NULL, '其他', '其他', '10', '1', NULL, '0', '0', TO_DATE('2022-09-09 11:33:57', 'SYYYY-MM-DD HH24:MI:SS'), '1', TO_DATE('2022-09-09 11:33:57', 'SYYYY-MM-DD HH24:MI:SS'), '1');
INSERT INTO "ZMRQ"."SYS_DICT" VALUES ('1568080603130126338', '0', 'DESIGN_UNIT', '设计单位', '设计单位', NULL, '1', NULL, '0', '0', TO_DATE('2022-09-09 11:35:23', 'SYYYY-MM-DD HH24:MI:SS'), '1', TO_DATE('2022-09-09 11:35:23', 'SYYYY-MM-DD HH24:MI:SS'), '1');
INSERT INTO "ZMRQ"."SYS_DICT" VALUES ('1568081538522832897', '1568080603130126338', NULL, '设计单位1', '设计单位1', '1', '1', NULL, '0', '0', TO_DATE('2022-09-09 11:39:06', 'SYYYY-MM-DD HH24:MI:SS'), '1', TO_DATE('2022-09-09 11:39:06', 'SYYYY-MM-DD HH24:MI:SS'), '1');
INSERT INTO "ZMRQ"."SYS_DICT" VALUES ('1568081579241136130', '1568080603130126338', NULL, '设计单位2', '设计单位2', '2', '1', NULL, '0', '0', TO_DATE('2022-09-09 11:39:16', 'SYYYY-MM-DD HH24:MI:SS'), '1', TO_DATE('2022-09-09 11:39:16', 'SYYYY-MM-DD HH24:MI:SS'), '1');
INSERT INTO "ZMRQ"."SYS_DICT" VALUES ('1572471367482736642', '0', 'USER_TYPE', '用户类型', NULL, NULL, '1', NULL, NULL, '1', TO_DATE('2022-09-21 14:22:43', 'SYYYY-MM-DD HH24:MI:SS'), '1562707353475338242', TO_DATE('2022-09-21 14:22:43', 'SYYYY-MM-DD HH24:MI:SS'), '1562707353475338242');
INSERT INTO "ZMRQ"."SYS_DICT" VALUES ('1572471569060986882', '1572471367482736642', '0', '普通人员', NULL, '1', '1', NULL, NULL, '1', TO_DATE('2022-09-21 14:23:31', 'SYYYY-MM-DD HH24:MI:SS'), '1562707353475338242', TO_DATE('2022-09-21 15:04:13', 'SYYYY-MM-DD HH24:MI:SS'), '1562365397418708993');
INSERT INTO "ZMRQ"."SYS_DICT" VALUES ('1572773148058304514', '1572769439119163393', NULL, '身份证', NULL, 'shenfengzheng', '1', NULL, '1', '0', TO_DATE('2022-09-22 10:21:53', 'SYYYY-MM-DD HH24:MI:SS'), '1564089266203029506', TO_DATE('2022-09-22 10:21:53', 'SYYYY-MM-DD HH24:MI:SS'), '1564089266203029506');
INSERT INTO "ZMRQ"."SYS_DICT" VALUES ('1572773246234378242', '1572769439119163393', NULL, '工商执照', NULL, 'gongshangzhizhao', '1', NULL, '2', '0', TO_DATE('2022-09-22 10:22:17', 'SYYYY-MM-DD HH24:MI:SS'), '1564089266203029506', TO_DATE('2022-09-22 10:22:17', 'SYYYY-MM-DD HH24:MI:SS'), '1564089266203029506');
INSERT INTO "ZMRQ"."SYS_DICT" VALUES ('1572773337166888962', '1572769439119163393', NULL, '其它', NULL, 'zhengjianqita', '1', NULL, '3', '0', TO_DATE('2022-09-22 10:22:38', 'SYYYY-MM-DD HH24:MI:SS'), '1564089266203029506', TO_DATE('2022-09-22 10:22:38', 'SYYYY-MM-DD HH24:MI:SS'), '1564089266203029506');
INSERT INTO "ZMRQ"."SYS_DICT" VALUES ('1572773541379162114', '0', 'emergencyDegree', '紧急程度', NULL, NULL, '1', NULL, NULL, '0', TO_DATE('2022-09-22 10:23:27', 'SYYYY-MM-DD HH24:MI:SS'), '1564089266203029506', TO_DATE('2022-09-22 10:23:27', 'SYYYY-MM-DD HH24:MI:SS'), '1564089266203029506');
INSERT INTO "ZMRQ"."SYS_DICT" VALUES ('1572773758732189697', '1572773541379162114', NULL, '一般', NULL, 'yiban', '1', NULL, '1', '0', TO_DATE('2022-09-22 10:24:19', 'SYYYY-MM-DD HH24:MI:SS'), '1564089266203029506', TO_DATE('2022-09-22 10:24:19', 'SYYYY-MM-DD HH24:MI:SS'), '1564089266203029506');
INSERT INTO "ZMRQ"."SYS_DICT" VALUES ('1572773880346034177', '1572773541379162114', NULL, '紧急', NULL, 'jinji', '1', NULL, '2', '0', TO_DATE('2022-09-22 10:24:48', 'SYYYY-MM-DD HH24:MI:SS'), '1564089266203029506', TO_DATE('2022-09-22 10:24:48', 'SYYYY-MM-DD HH24:MI:SS'), '1564089266203029506');
INSERT INTO "ZMRQ"."SYS_DICT" VALUES ('1572773971718946818', '1572773541379162114', NULL, '特急', NULL, 'teji', '1', NULL, '3', '0', TO_DATE('2022-09-22 10:25:10', 'SYYYY-MM-DD HH24:MI:SS'), '1564089266203029506', TO_DATE('2022-09-22 10:25:10', 'SYYYY-MM-DD HH24:MI:SS'), '1564089266203029506');
INSERT INTO "ZMRQ"."SYS_DICT" VALUES ('1572842090432831489', '1572841751583399938', NULL, '安装', NULL, '1', '1', NULL, '1', '0', TO_DATE('2022-09-22 14:55:51', 'SYYYY-MM-DD HH24:MI:SS'), '1562365397418708993', TO_DATE('2022-09-22 14:55:51', 'SYYYY-MM-DD HH24:MI:SS'), '1562365397418708993');
INSERT INTO "ZMRQ"."SYS_DICT" VALUES ('1572842167981318146', '1572841751583399938', NULL, '土建', NULL, '2', '1', NULL, '2', '0', TO_DATE('2022-09-22 14:56:09', 'SYYYY-MM-DD HH24:MI:SS'), '1562365397418708993', TO_DATE('2022-09-22 14:56:09', 'SYYYY-MM-DD HH24:MI:SS'), '1562365397418708993');
INSERT INTO "ZMRQ"."SYS_DICT" VALUES ('1572842300965920770', '1572841751583399938', NULL, '室内燃气实施改造', NULL, '3', '1', NULL, '3', '0', TO_DATE('2022-09-22 14:56:41', 'SYYYY-MM-DD HH24:MI:SS'), '1562365397418708993', TO_DATE('2022-09-22 14:56:41', 'SYYYY-MM-DD HH24:MI:SS'), '1562365397418708993');
INSERT INTO "ZMRQ"."SYS_DICT" VALUES ('1572842412551184385', '1572841751583399938', NULL, '其他', NULL, '4', '1', NULL, '4', '0', TO_DATE('2022-09-22 14:57:07', 'SYYYY-MM-DD HH24:MI:SS'), '1562365397418708993', TO_DATE('2022-09-22 14:57:07', 'SYYYY-MM-DD HH24:MI:SS'), '1562365397418708993');
INSERT INTO "ZMRQ"."SYS_DICT" VALUES ('1575324860497289217', '0', 'Charge_Mode', '收费方式', NULL, NULL, '1', NULL, NULL, '0', TO_DATE('2022-09-29 11:21:29', 'SYYYY-MM-DD HH24:MI:SS'), '1574222129820868609', TO_DATE('2022-09-29 11:21:29', 'SYYYY-MM-DD HH24:MI:SS'), '1574222129820868609');
INSERT INTO "ZMRQ"."SYS_DICT" VALUES ('1575325623797702657', '1575324860497289217', NULL, '银联支付', '银联支付', '3', '1', NULL, '3', '0', TO_DATE('2022-09-29 11:24:31', 'SYYYY-MM-DD HH24:MI:SS'), '1574222129820868609', TO_DATE('2022-09-29 11:24:31', 'SYYYY-MM-DD HH24:MI:SS'), '1574222129820868609');
INSERT INTO "ZMRQ"."SYS_DICT" VALUES ('1578627902101635073', '1578627393173176321', NULL, '预算方式1', NULL, '1', '1', NULL, '1', '0', TO_DATE('2022-10-08 14:06:36', 'SYYYY-MM-DD HH24:MI:SS'), '1562707353475338242', TO_DATE('2022-10-08 14:06:36', 'SYYYY-MM-DD HH24:MI:SS'), '1562707353475338242');
INSERT INTO "ZMRQ"."SYS_DICT" VALUES ('1578627981910851585', '1578627393173176321', NULL, '预算方式2', NULL, '2', '1', NULL, '2', '0', TO_DATE('2022-10-08 14:06:55', 'SYYYY-MM-DD HH24:MI:SS'), '1562707353475338242', TO_DATE('2022-10-08 14:06:55', 'SYYYY-MM-DD HH24:MI:SS'), '1562707353475338242');
INSERT INTO "ZMRQ"."SYS_DICT" VALUES ('1554404349352893654', '0', 'ENGINEERING_PROPERTIES', '工程性质', NULL, NULL, '1', '1', '0', '0', TO_DATE('2022-08-11 13:45:00', 'SYYYY-MM-DD HH24:MI:SS'), '1', TO_DATE('2022-09-20 17:45:57', 'SYYYY-MM-DD HH24:MI:SS'), '2');
INSERT INTO "ZMRQ"."SYS_DICT" VALUES ('1554404349352893655', '1554404349352893654', NULL, '土木', NULL, '1', '1', '1', '1', '1', TO_DATE('2022-08-11 13:46:51', 'SYYYY-MM-DD HH24:MI:SS'), '1', TO_DATE('2022-08-11 13:46:51', 'SYYYY-MM-DD HH24:MI:SS'), '1');
INSERT INTO "ZMRQ"."SYS_DICT" VALUES ('1554404349352893656', '1554404349352893654', NULL, '河流', NULL, '1', '1', '1', '2', '1', TO_DATE('2022-08-11 13:47:56', 'SYYYY-MM-DD HH24:MI:SS'), '1', TO_DATE('2022-09-26 11:21:16', 'SYYYY-MM-DD HH24:MI:SS'), '1');
INSERT INTO "ZMRQ"."SYS_DICT" VALUES ('1554404349352897623', '0', 'NATURE OF TEAM', '班组性质', NULL, '1', '1', '1', '0', '0', TO_DATE('2022-08-11 13:56:41', 'SYYYY-MM-DD HH24:MI:SS'), '1', TO_DATE('2022-09-20 17:46:29', 'SYYYY-MM-DD HH24:MI:SS'), '2');
INSERT INTO "ZMRQ"."SYS_DICT" VALUES ('1554404349352897624', '1554404349352897623', '1', '大班', NULL, '1', '1', '1', '1', '1', TO_DATE('2022-08-11 13:57:03', 'SYYYY-MM-DD HH24:MI:SS'), '1', TO_DATE('2022-08-11 13:57:03', 'SYYYY-MM-DD HH24:MI:SS'), '1');
INSERT INTO "ZMRQ"."SYS_DICT" VALUES ('1554404349352897625', '1554404349352897623', '2', '小班', NULL, '2', '1', '1', '2', '1', TO_DATE('2022-08-11 13:57:13', 'SYYYY-MM-DD HH24:MI:SS'), '1', TO_DATE('2022-08-11 13:57:13', 'SYYYY-MM-DD HH24:MI:SS'), '1');
INSERT INTO "ZMRQ"."SYS_DICT" VALUES ('1569880189394558977', '0', 'Ace_test1', '字典', NULL, NULL, '1', NULL, NULL, '1', TO_DATE('2022-09-14 10:46:18', 'SYYYY-MM-DD HH24:MI:SS'), '1562707661060427778', TO_DATE('2022-09-23 15:38:30', 'SYYYY-MM-DD HH24:MI:SS'), '1');
INSERT INTO "ZMRQ"."SYS_DICT" VALUES ('1569894879449391106', '1568078286897045505', NULL, '6', NULL, NULL, '1', NULL, NULL, '0', TO_DATE('2022-09-14 11:44:41', 'SYYYY-MM-DD HH24:MI:SS'), '1562707661060427778', TO_DATE('2022-09-14 11:44:41', 'SYYYY-MM-DD HH24:MI:SS'), '1562707661060427778');
INSERT INTO "ZMRQ"."SYS_DICT" VALUES ('1569900652753657858', '0', 'AAA-A01', '字段2', NULL, NULL, '0', NULL, NULL, '0', TO_DATE('2022-09-14 12:07:37', 'SYYYY-MM-DD HH24:MI:SS'), '1562707661060427778', TO_DATE('2022-09-14 12:07:37', 'SYYYY-MM-DD HH24:MI:SS'), '1562707661060427778');
INSERT INTO "ZMRQ"."SYS_DICT" VALUES ('1570685520009854977', '0', 'contractType', '合同类型', NULL, NULL, '1', NULL, NULL, '0', TO_DATE('2022-09-16 16:06:24', 'SYYYY-MM-DD HH24:MI:SS'), '1562707353475338242', TO_DATE('2022-09-16 16:06:24', 'SYYYY-MM-DD HH24:MI:SS'), '1562707353475338242');
INSERT INTO "ZMRQ"."SYS_DICT" VALUES ('1572157825084825601', '1554404349352898562', '01', '大码1', '1', NULL, '1', NULL, '1', '0', TO_DATE('2022-09-20 17:36:49', 'SYYYY-MM-DD HH24:MI:SS'), '1562365397418708993', TO_DATE('2022-09-20 17:36:49', 'SYYYY-MM-DD HH24:MI:SS'), '1562365397418708993');
INSERT INTO "ZMRQ"."SYS_DICT" VALUES ('1572413644565168130', '0', 'SERVICE_TYPE', '服务类型', NULL, NULL, '1', NULL, NULL, '0', TO_DATE('2022-09-21 10:33:21', 'SYYYY-MM-DD HH24:MI:SS'), '2', TO_DATE('2022-09-21 10:33:21', 'SYYYY-MM-DD HH24:MI:SS'), '2');
INSERT INTO "ZMRQ"."SYS_DICT" VALUES ('1572430347302989826', '0', '32', '323', NULL, NULL, '1', NULL, NULL, '1', TO_DATE('2022-09-21 11:39:43', 'SYYYY-MM-DD HH24:MI:SS'), '1572117095968747521', TO_DATE('2022-09-21 11:39:43', 'SYYYY-MM-DD HH24:MI:SS'), '1572117095968747521');
INSERT INTO "ZMRQ"."SYS_DICT" VALUES ('1572765518602555394', '1572471367482736642', NULL, '集中小区', NULL, 'jizhongxiaoqu', '1', NULL, '1', '1', TO_DATE('2022-09-22 09:51:34', 'SYYYY-MM-DD HH24:MI:SS'), '1564089266203029506', TO_DATE('2022-09-22 09:51:34', 'SYYYY-MM-DD HH24:MI:SS'), '1564089266203029506');
INSERT INTO "ZMRQ"."SYS_DICT" VALUES ('1572765593328275458', '1572471367482736642', NULL, '商业', NULL, 'shangye', '1', NULL, '2', '1', TO_DATE('2022-09-22 09:51:52', 'SYYYY-MM-DD HH24:MI:SS'), '1564089266203029506', TO_DATE('2022-09-22 09:51:52', 'SYYYY-MM-DD HH24:MI:SS'), '1564089266203029506');
INSERT INTO "ZMRQ"."SYS_DICT" VALUES ('1572765693651832833', '1572471367482736642', NULL, '工业', NULL, 'gongye', '1', NULL, '3', '1', TO_DATE('2022-09-22 09:52:16', 'SYYYY-MM-DD HH24:MI:SS'), '1564089266203029506', TO_DATE('2022-09-22 09:52:16', 'SYYYY-MM-DD HH24:MI:SS'), '1564089266203029506');
INSERT INTO "ZMRQ"."SYS_DICT" VALUES ('1572765922954432513', '1572471367482736642', NULL, '公服', NULL, 'gongfu', '1', NULL, '4', '1', TO_DATE('2022-09-22 09:53:11', 'SYYYY-MM-DD HH24:MI:SS'), '1564089266203029506', TO_DATE('2022-09-22 09:53:11', 'SYYYY-MM-DD HH24:MI:SS'), '1564089266203029506');
INSERT INTO "ZMRQ"."SYS_DICT" VALUES ('1572766054286479361', '1572471367482736642', NULL, '民用', NULL, 'mingyong', '1', NULL, '5', '1', TO_DATE('2022-09-22 09:53:42', 'SYYYY-MM-DD HH24:MI:SS'), '1564089266203029506', TO_DATE('2022-09-22 09:53:42', 'SYYYY-MM-DD HH24:MI:SS'), '1564089266203029506');
INSERT INTO "ZMRQ"."SYS_DICT" VALUES ('1572766591186751490', '0', '111111111111', '111111111111111', NULL, NULL, '1', NULL, NULL, '1', TO_DATE('2022-09-22 09:55:50', 'SYYYY-MM-DD HH24:MI:SS'), '2', TO_DATE('2022-09-22 09:55:50', 'SYYYY-MM-DD HH24:MI:SS'), '2');
INSERT INTO "ZMRQ"."SYS_DICT" VALUES ('1572769439119163393', '0', 'codeType', '证件类型', NULL, NULL, '1', NULL, NULL, '0', TO_DATE('2022-09-22 10:07:09', 'SYYYY-MM-DD HH24:MI:SS'), '2', TO_DATE('2022-09-22 10:07:09', 'SYYYY-MM-DD HH24:MI:SS'), '2');
INSERT INTO "ZMRQ"."SYS_DICT" VALUES ('1572836799519662082', '0', 'ccr', '阿萨大大实打实的', NULL, NULL, '1', NULL, NULL, '1', TO_DATE('2022-09-22 14:34:49', 'SYYYY-MM-DD HH24:MI:SS'), '1562365397418708993', TO_DATE('2022-09-22 14:34:49', 'SYYYY-MM-DD HH24:MI:SS'), '1562365397418708993');
INSERT INTO "ZMRQ"."SYS_DICT" VALUES ('1574238667651194882', '0', 'SYS_USER_TYPE', '系统用户类型', NULL, NULL, '1', NULL, NULL, '0', TO_DATE('2022-09-26 11:25:20', 'SYYYY-MM-DD HH24:MI:SS'), '1', TO_DATE('2022-10-08 14:31:31', 'SYYYY-MM-DD HH24:MI:SS'), '1562707353475338242');
INSERT INTO "ZMRQ"."SYS_DICT" VALUES ('1574239231856386049', '1574238667651194882', NULL, '总公司管理员', NULL, '0', '1', NULL, '1', '0', TO_DATE('2022-09-26 11:27:35', 'SYYYY-MM-DD HH24:MI:SS'), '1', TO_DATE('2022-09-26 11:27:35', 'SYYYY-MM-DD HH24:MI:SS'), '1');
INSERT INTO "ZMRQ"."SYS_DICT" VALUES ('1574674417614163969', '0', 'MODULES_TYPE', '模块类型', NULL, NULL, '1', NULL, NULL, '0', TO_DATE('2022-09-27 16:16:51', 'SYYYY-MM-DD HH24:MI:SS'), '1562365397418708993', TO_DATE('2022-09-27 16:16:51', 'SYYYY-MM-DD HH24:MI:SS'), '1562365397418708993');
INSERT INTO "ZMRQ"."SYS_DICT" VALUES ('1574674716974223362', '1574674417614163969', NULL, '菜单', NULL, '0', '1', NULL, '1', '0', TO_DATE('2022-09-27 16:18:03', 'SYYYY-MM-DD HH24:MI:SS'), '1562365397418708993', TO_DATE('2022-09-27 16:18:03', 'SYYYY-MM-DD HH24:MI:SS'), '1562365397418708993');
INSERT INTO "ZMRQ"."SYS_DICT" VALUES ('1574674808783343618', '1574674417614163969', NULL, '功能', NULL, '1', '1', NULL, '2', '0', TO_DATE('2022-09-27 16:18:25', 'SYYYY-MM-DD HH24:MI:SS'), '1562365397418708993', TO_DATE('2022-09-27 16:18:25', 'SYYYY-MM-DD HH24:MI:SS'), '1562365397418708993');
INSERT INTO "ZMRQ"."SYS_DICT" VALUES ('1574674929856122881', '1574674417614163969', NULL, '工具', NULL, '2', '1', NULL, '3', '0', TO_DATE('2022-09-27 16:18:53', 'SYYYY-MM-DD HH24:MI:SS'), '1562365397418708993', TO_DATE('2022-09-27 16:18:53', 'SYYYY-MM-DD HH24:MI:SS'), '1562365397418708993');
INSERT INTO "ZMRQ"."SYS_DICT" VALUES ('1574675012735569922', '1574674417614163969', NULL, '按钮', NULL, '3', '1', NULL, '4', '0', TO_DATE('2022-09-27 16:19:13', 'SYYYY-MM-DD HH24:MI:SS'), '1562365397418708993', TO_DATE('2022-09-27 16:19:13', 'SYYYY-MM-DD HH24:MI:SS'), '1562365397418708993');
INSERT INTO "ZMRQ"."SYS_DICT" VALUES ('1574675095300444162', '1574674417614163969', NULL, 'App菜单', NULL, '4', '1', NULL, '5', '0', TO_DATE('2022-09-27 16:19:33', 'SYYYY-MM-DD HH24:MI:SS'), '1562365397418708993', TO_DATE('2022-09-27 16:19:33', 'SYYYY-MM-DD HH24:MI:SS'), '1562365397418708993');
INSERT INTO "ZMRQ"."SYS_DICT" VALUES ('1574675790279839745', '1554360182518059009', NULL, '禁用', NULL, '0', '1', NULL, '2', '0', TO_DATE('2022-09-27 16:22:19', 'SYYYY-MM-DD HH24:MI:SS'), '1562365397418708993', TO_DATE('2022-09-27 16:22:48', 'SYYYY-MM-DD HH24:MI:SS'), '1562365397418708993');
INSERT INTO "ZMRQ"."SYS_DICT" VALUES ('1574675863524970497', '1554360182518059009', NULL, '启用', NULL, '1', '1', NULL, '1', '0', TO_DATE('2022-09-27 16:22:36', 'SYYYY-MM-DD HH24:MI:SS'), '1562365397418708993', TO_DATE('2022-09-27 16:22:36', 'SYYYY-MM-DD HH24:MI:SS'), '1562365397418708993');
INSERT INTO "ZMRQ"."SYS_DICT" VALUES ('1575033472576774146', '1554404349352897623', NULL, '生产经营班组', NULL, '2', '1', NULL, '2', '0', TO_DATE('2022-09-28 16:03:37', 'SYYYY-MM-DD HH24:MI:SS'), '1562365397418708993', TO_DATE('2022-09-28 16:03:37', 'SYYYY-MM-DD HH24:MI:SS'), '1562365397418708993');
INSERT INTO "ZMRQ"."SYS_DICT" VALUES ('1575325292938420225', '1575324860497289217', NULL, '现金支付', '现金支付', '0', '1', NULL, '1', '0', TO_DATE('2022-09-29 11:23:12', 'SYYYY-MM-DD HH24:MI:SS'), '1574222129820868609', TO_DATE('2022-09-29 11:23:12', 'SYYYY-MM-DD HH24:MI:SS'), '1574222129820868609');
INSERT INTO "ZMRQ"."SYS_DICT" VALUES ('1575325402938236929', '1575324860497289217', NULL, '扫码支付', '扫码支付', '1', '1', NULL, '2', '0', TO_DATE('2022-09-29 11:23:38', 'SYYYY-MM-DD HH24:MI:SS'), '1574222129820868609', TO_DATE('2022-09-29 11:23:38', 'SYYYY-MM-DD HH24:MI:SS'), '1574222129820868609');
INSERT INTO "ZMRQ"."SYS_DICT" VALUES ('1575325512237604865', '1575324860497289217', NULL, 'POS支付', 'POS支付', '2', '1', NULL, '2', '0', TO_DATE('2022-09-29 11:24:04', 'SYYYY-MM-DD HH24:MI:SS'), '1574222129820868609', TO_DATE('2022-09-29 11:24:04', 'SYYYY-MM-DD HH24:MI:SS'), '1574222129820868609');
INSERT INTO "ZMRQ"."SYS_DICT" VALUES ('1578627393173176321', '0', 'BUDGET_TYPE', '预算方式', NULL, NULL, '1', NULL, NULL, '0', TO_DATE('2022-10-08 14:04:34', 'SYYYY-MM-DD HH24:MI:SS'), '1562707353475338242', TO_DATE('2022-10-08 14:04:34', 'SYYYY-MM-DD HH24:MI:SS'), '1562707353475338242');
INSERT INTO "ZMRQ"."SYS_DICT" VALUES ('1570686550613266433', '1570685520009854977', '1', '非居民', NULL, '1', '1', NULL, NULL, '0', TO_DATE('2022-09-16 16:10:30', 'SYYYY-MM-DD HH24:MI:SS'), '1562707353475338242', TO_DATE('2022-09-21 15:03:20', 'SYYYY-MM-DD HH24:MI:SS'), '1562365397418708993');
INSERT INTO "ZMRQ"."SYS_DICT" VALUES ('1570686781107048449', '1570685520009854977', '2', '居民', NULL, '2', '1', NULL, NULL, '0', TO_DATE('2022-09-16 16:11:25', 'SYYYY-MM-DD HH24:MI:SS'), '1562707353475338242', TO_DATE('2022-09-16 16:11:25', 'SYYYY-MM-DD HH24:MI:SS'), '1562707353475338242');
INSERT INTO "ZMRQ"."SYS_DICT" VALUES ('1572157923827130370', '1554404349352898562', '02', '大码2', '1', NULL, '1', NULL, '2', '0', TO_DATE('2022-09-20 17:37:12', 'SYYYY-MM-DD HH24:MI:SS'), '1562365397418708993', TO_DATE('2022-09-20 17:37:12', 'SYYYY-MM-DD HH24:MI:SS'), '1562365397418708993');
INSERT INTO "ZMRQ"."SYS_DICT" VALUES ('1572416294794870786', '1572413644565168130', 'tile', '切片服务', NULL, 'tiled', '1', NULL, NULL, '0', TO_DATE('2022-09-21 10:43:53', 'SYYYY-MM-DD HH24:MI:SS'), '1562707353475338242', TO_DATE('2022-09-27 17:20:27', 'SYYYY-MM-DD HH24:MI:SS'), '1574222129820868609');
INSERT INTO "ZMRQ"."SYS_DICT" VALUES ('1572416449082343426', '1572413644565168130', 'dynamic', '动态服务', NULL, 'dynamic', '1', NULL, NULL, '0', TO_DATE('2022-09-21 10:44:30', 'SYYYY-MM-DD HH24:MI:SS'), '1562707353475338242', TO_DATE('2022-09-27 17:21:12', 'SYYYY-MM-DD HH24:MI:SS'), '1574222129820868609');
INSERT INTO "ZMRQ"."SYS_DICT" VALUES ('1572416532465106946', '1572413644565168130', 'online', '在线服务', NULL, 'webTiled', '1', NULL, NULL, '0', TO_DATE('2022-09-21 10:44:50', 'SYYYY-MM-DD HH24:MI:SS'), '1562707353475338242', TO_DATE('2022-09-27 17:20:49', 'SYYYY-MM-DD HH24:MI:SS'), '1574222129820868609');
INSERT INTO "ZMRQ"."SYS_DICT" VALUES ('1572840139599126530', '0', '阿三大苏打', '阿斯顿萨达萨达是', NULL, NULL, '1', NULL, NULL, '1', TO_DATE('2022-09-22 14:48:05', 'SYYYY-MM-DD HH24:MI:SS'), '1562365397418708993', TO_DATE('2022-09-22 14:48:05', 'SYYYY-MM-DD HH24:MI:SS'), '1562365397418708993');
INSERT INTO "ZMRQ"."SYS_DICT" VALUES ('1572840876026634242', '1572834806684196866', NULL, '符合天然气安装', NULL, '1', '1', NULL, '1', '0', TO_DATE('2022-09-22 14:51:01', 'SYYYY-MM-DD HH24:MI:SS'), '1562365397418708993', TO_DATE('2022-09-28 11:27:18', 'SYYYY-MM-DD HH24:MI:SS'), '1');
INSERT INTO "ZMRQ"."SYS_DICT" VALUES ('1572841045589762049', '1572834806684196866', NULL, '不符合天然气安装', NULL, '2', '1', NULL, '2', '0', TO_DATE('2022-09-22 14:51:41', 'SYYYY-MM-DD HH24:MI:SS'), '1562365397418708993', TO_DATE('2022-09-28 11:27:30', 'SYYYY-MM-DD HH24:MI:SS'), '1');
INSERT INTO "ZMRQ"."SYS_DICT" VALUES ('1572841751583399938', '0', 'WORKS_AREA', '工程范围', NULL, NULL, '1', NULL, NULL, '0', TO_DATE('2022-09-22 14:54:30', 'SYYYY-MM-DD HH24:MI:SS'), '1562365397418708993', TO_DATE('2022-09-22 14:54:30', 'SYYYY-MM-DD HH24:MI:SS'), '1562365397418708993');
INSERT INTO "ZMRQ"."SYS_DICT" VALUES ('1573216088232673282', '0', 'character', '性格', NULL, NULL, '1', NULL, NULL, '1', TO_DATE('2022-09-23 15:41:59', 'SYYYY-MM-DD HH24:MI:SS'), '1', TO_DATE('2022-09-26 11:20:54', 'SYYYY-MM-DD HH24:MI:SS'), '1');
INSERT INTO "ZMRQ"."SYS_DICT" VALUES ('1573216249763708930', '1573216088232673282', NULL, '开朗', NULL, '1', '1', NULL, '1', '1', TO_DATE('2022-09-23 15:42:37', 'SYYYY-MM-DD HH24:MI:SS'), '1', TO_DATE('2022-09-23 15:42:37', 'SYYYY-MM-DD HH24:MI:SS'), '1');
INSERT INTO "ZMRQ"."SYS_DICT" VALUES ('1573216367996944386', '1573216088232673282', NULL, '内向', '1', '2', '1', NULL, '2', '1', TO_DATE('2022-09-23 15:43:05', 'SYYYY-MM-DD HH24:MI:SS'), '1', TO_DATE('2022-09-23 15:43:13', 'SYYYY-MM-DD HH24:MI:SS'), '1');
INSERT INTO "ZMRQ"."SYS_DICT" VALUES ('1573216496657219586', '1573216088232673282', NULL, '53534', '5345', '4334', '0', NULL, '5345', '1', TO_DATE('2022-09-23 15:43:36', 'SYYYY-MM-DD HH24:MI:SS'), '1', TO_DATE('2022-09-23 15:43:36', 'SYYYY-MM-DD HH24:MI:SS'), '1');
INSERT INTO "ZMRQ"."SYS_DICT" VALUES ('1573216555926929410', '1573216088232673282', NULL, '4234', '4324', '3423434234', '1', NULL, NULL, '1', TO_DATE('2022-09-23 15:43:50', 'SYYYY-MM-DD HH24:MI:SS'), '1', TO_DATE('2022-09-23 15:43:50', 'SYYYY-MM-DD HH24:MI:SS'), '1');
INSERT INTO "ZMRQ"."SYS_DICT" VALUES ('1574609579781128194', '0', 'userType', '用户类型', NULL, NULL, '1', NULL, NULL, '0', TO_DATE('2022-09-27 11:59:13', 'SYYYY-MM-DD HH24:MI:SS'), '1571688988283506690', TO_DATE('2022-09-27 12:07:02', 'SYYYY-MM-DD HH24:MI:SS'), '1571688988283506690');
INSERT INTO "ZMRQ"."SYS_DICT" VALUES ('1574611119417851905', '1574609579781128194', NULL, '商业', NULL, '1', '1', NULL, '2', '0', TO_DATE('2022-09-27 12:05:20', 'SYYYY-MM-DD HH24:MI:SS'), '1571688988283506690', TO_DATE('2022-09-27 12:06:35', 'SYYYY-MM-DD HH24:MI:SS'), '1571688988283506690');
INSERT INTO "ZMRQ"."SYS_DICT" VALUES ('1574611178805002241', '1574609579781128194', NULL, '工业', NULL, '2', '1', NULL, '3', '0', TO_DATE('2022-09-27 12:05:34', 'SYYYY-MM-DD HH24:MI:SS'), '1571688988283506690', TO_DATE('2022-09-27 12:06:39', 'SYYYY-MM-DD HH24:MI:SS'), '1571688988283506690');
INSERT INTO "ZMRQ"."SYS_DICT" VALUES ('1574611230944395265', '1574609579781128194', NULL, '公服', NULL, '3', '1', NULL, '4', '0', TO_DATE('2022-09-27 12:05:46', 'SYYYY-MM-DD HH24:MI:SS'), '1571688988283506690', TO_DATE('2022-09-27 12:06:42', 'SYYYY-MM-DD HH24:MI:SS'), '1571688988283506690');
INSERT INTO "ZMRQ"."SYS_DICT" VALUES ('1574611352122032129', '1574609579781128194', NULL, '民用', NULL, '4', '1', NULL, '5', '0', TO_DATE('2022-09-27 12:06:15', 'SYYYY-MM-DD HH24:MI:SS'), '1571688988283506690', TO_DATE('2022-09-27 12:06:46', 'SYYYY-MM-DD HH24:MI:SS'), '1571688988283506690');

-- ----------------------------
-- Table structure for SYS_LOG
-- ----------------------------
DROP TABLE "ZMRQ"."SYS_LOG";
CREATE TABLE "ZMRQ"."SYS_LOG" (
  "ID" NUMBER(18,0) NOT NULL,
  "TYPE" CHAR(1 BYTE),
  "SERVICE_ID" VARCHAR2(32 BYTE),
  "REMOTE_ADDR" VARCHAR2(255 BYTE),
  "USER_AGENT" VARCHAR2(1000 BYTE),
  "REQUEST_URI" VARCHAR2(255 BYTE),
  "METHOD" VARCHAR2(10 BYTE),
  "PARAMS" VARCHAR2(2000 BYTE),
  "TIME" NUMBER(16,0),
  "DEL_FLAG" CHAR(1 BYTE),
  "EXCEPTION" VARCHAR2(2000 BYTE),
  "TITLE" VARCHAR2(2000 BYTE),
  "TABLE_NAME" VARCHAR2(50 BYTE),
  "TABLE_ID" NUMBER(15,0),
  "ROUTE_IP" VARCHAR2(255 BYTE),
  "OPERATING_TIME" NUMBER,
  "TENANT_ID" NUMBER(15,0),
  "DELETED" NUMBER(1,0) DEFAULT 0 NOT NULL,
  "CREATE_TIME" DATE,
  "UPDATE_TIME" DATE,
  "CREATE_USER" NUMBER(15,0),
  "UPDATE_USER" NUMBER(15,0)
)
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "ZMRQ"."SYS_LOG"."ID" IS '日志ID';
COMMENT ON COLUMN "ZMRQ"."SYS_LOG"."TYPE" IS '日志类型';
COMMENT ON COLUMN "ZMRQ"."SYS_LOG"."SERVICE_ID" IS '服务ID';
COMMENT ON COLUMN "ZMRQ"."SYS_LOG"."REMOTE_ADDR" IS '操作ip';
COMMENT ON COLUMN "ZMRQ"."SYS_LOG"."USER_AGENT" IS '用户代理';
COMMENT ON COLUMN "ZMRQ"."SYS_LOG"."REQUEST_URI" IS '请求URI';
COMMENT ON COLUMN "ZMRQ"."SYS_LOG"."METHOD" IS '操作方法';
COMMENT ON COLUMN "ZMRQ"."SYS_LOG"."PARAMS" IS '操作提交数据';
COMMENT ON COLUMN "ZMRQ"."SYS_LOG"."TIME" IS '响应时间';
COMMENT ON COLUMN "ZMRQ"."SYS_LOG"."DEL_FLAG" IS '删除标记';
COMMENT ON COLUMN "ZMRQ"."SYS_LOG"."EXCEPTION" IS '异常信息';
COMMENT ON COLUMN "ZMRQ"."SYS_LOG"."TITLE" IS '日志内容';
COMMENT ON COLUMN "ZMRQ"."SYS_LOG"."TABLE_NAME" IS '关联表名';
COMMENT ON COLUMN "ZMRQ"."SYS_LOG"."TABLE_ID" IS '关联表名对应关键值ID';
COMMENT ON COLUMN "ZMRQ"."SYS_LOG"."ROUTE_IP" IS '路由地址进行跳转';
COMMENT ON COLUMN "ZMRQ"."SYS_LOG"."OPERATING_TIME" IS '登录时长';
COMMENT ON COLUMN "ZMRQ"."SYS_LOG"."TENANT_ID" IS '租户ID';
COMMENT ON COLUMN "ZMRQ"."SYS_LOG"."DELETED" IS '逻辑删除，1删除，0不删除';
COMMENT ON COLUMN "ZMRQ"."SYS_LOG"."CREATE_TIME" IS '创建时间';
COMMENT ON COLUMN "ZMRQ"."SYS_LOG"."UPDATE_TIME" IS '更新时间';
COMMENT ON COLUMN "ZMRQ"."SYS_LOG"."CREATE_USER" IS '创建人';
COMMENT ON COLUMN "ZMRQ"."SYS_LOG"."UPDATE_USER" IS '修改人';
COMMENT ON TABLE "ZMRQ"."SYS_LOG" IS '系统日志';

-- ----------------------------
-- Records of SYS_LOG
-- ----------------------------

-- ----------------------------
-- Table structure for SYS_MENU
-- ----------------------------
DROP TABLE "ZMRQ"."SYS_MENU";
CREATE TABLE "ZMRQ"."SYS_MENU" (
  "ID" NUMBER(20,0) NOT NULL,
  "NAME" VARCHAR2(510 BYTE),
  "PERMISSION" VARCHAR2(32 BYTE),
  "PATH" VARCHAR2(128 BYTE),
  "PARENT_ID" NUMBER(20,0) DEFAULT 0 NOT NULL,
  "ICON" VARCHAR2(200 BYTE),
  "SORT" NUMBER(8,0),
  "KEEP_ALIVE" NUMBER(1,0) DEFAULT 1,
  "TYPE" NUMBER(5,0),
  "ACTIVE" NUMBER(1,0) DEFAULT 1,
  "CODE" VARCHAR2(50 BYTE),
  "MOUSE_ICON" VARCHAR2(200 BYTE),
  "INPANEL" NUMBER(1,0),
  "PANEL" VARCHAR2(50 BYTE),
  "AUTO_RUN" NUMBER(1,0),
  "META" VARCHAR2(510 BYTE),
  "COMPONENT" VARCHAR2(510 BYTE),
  "EXTEND" VARCHAR2(1000 BYTE),
  "REDIRECT" VARCHAR2(510 BYTE),
  "METHOD" VARCHAR2(255 BYTE),
  "TENANT_ID" NUMBER(20,0),
  "DELETED" NUMBER(1,0) DEFAULT 0 NOT NULL,
  "CREATE_TIME" DATE,
  "UPDATE_TIME" DATE,
  "CREATE_USER" NUMBER(20,0),
  "UPDATE_USER" NUMBER(20,0)
)
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "ZMRQ"."SYS_MENU"."ID" IS '主键ID';
COMMENT ON COLUMN "ZMRQ"."SYS_MENU"."NAME" IS '菜单名称';
COMMENT ON COLUMN "ZMRQ"."SYS_MENU"."PERMISSION" IS '菜单权限标识（保留字段）';
COMMENT ON COLUMN "ZMRQ"."SYS_MENU"."PATH" IS '路由地址';
COMMENT ON COLUMN "ZMRQ"."SYS_MENU"."PARENT_ID" IS '父菜单ID';
COMMENT ON COLUMN "ZMRQ"."SYS_MENU"."ICON" IS '默认图标';
COMMENT ON COLUMN "ZMRQ"."SYS_MENU"."SORT" IS '排序';
COMMENT ON COLUMN "ZMRQ"."SYS_MENU"."KEEP_ALIVE" IS '开启关闭 1开启，0关闭';
COMMENT ON COLUMN "ZMRQ"."SYS_MENU"."TYPE" IS '菜单类型 0菜单 1功能 2工具 3按钮';
COMMENT ON COLUMN "ZMRQ"."SYS_MENU"."ACTIVE" IS '是否启用禁用 1启用，0禁用';
COMMENT ON COLUMN "ZMRQ"."SYS_MENU"."CODE" IS '菜单编码（自定义菜单）';
COMMENT ON COLUMN "ZMRQ"."SYS_MENU"."MOUSE_ICON" IS '鼠标经过图标';
COMMENT ON COLUMN "ZMRQ"."SYS_MENU"."INPANEL" IS '是否放置在模板内  1放置在模板内，0不放置。';
COMMENT ON COLUMN "ZMRQ"."SYS_MENU"."PANEL" IS '放置模板';
COMMENT ON COLUMN "ZMRQ"."SYS_MENU"."AUTO_RUN" IS '是否跟随系统启动 1启动 2不启动';
COMMENT ON COLUMN "ZMRQ"."SYS_MENU"."META" IS '元标签';
COMMENT ON COLUMN "ZMRQ"."SYS_MENU"."COMPONENT" IS '组件';
COMMENT ON COLUMN "ZMRQ"."SYS_MENU"."EXTEND" IS '扩展JSON字段';
COMMENT ON COLUMN "ZMRQ"."SYS_MENU"."REDIRECT" IS '重定向地址';
COMMENT ON COLUMN "ZMRQ"."SYS_MENU"."METHOD" IS '请求方法';
COMMENT ON COLUMN "ZMRQ"."SYS_MENU"."TENANT_ID" IS '租户ID';
COMMENT ON COLUMN "ZMRQ"."SYS_MENU"."DELETED" IS '逻辑删除，1删除，0不删除';
COMMENT ON COLUMN "ZMRQ"."SYS_MENU"."CREATE_TIME" IS '创建时间';
COMMENT ON COLUMN "ZMRQ"."SYS_MENU"."UPDATE_TIME" IS '更新时间';
COMMENT ON COLUMN "ZMRQ"."SYS_MENU"."CREATE_USER" IS '创建人';
COMMENT ON COLUMN "ZMRQ"."SYS_MENU"."UPDATE_USER" IS '修改人';
COMMENT ON TABLE "ZMRQ"."SYS_MENU" IS '系统菜单';

-- ----------------------------
-- Records of SYS_MENU
-- ----------------------------
INSERT INTO "ZMRQ"."SYS_MENU" VALUES ('1572789278025981954', '工程管控配置', NULL, 'processConfiguration', '1572779532166479873', NULL, '1', '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL, 'processConfiguration', NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-22 11:25:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 11:36:01', 'SYYYY-MM-DD HH24:MI:SS'), '1572117095968747521', '1572117095968747521');
INSERT INTO "ZMRQ"."SYS_MENU" VALUES ('1572789644633317377', '小仓库材料管理', NULL, 'warehouse', '1572789481680412674', NULL, '1', '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL, 'warehouse', NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-22 11:27:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 11:36:26', 'SYYYY-MM-DD HH24:MI:SS'), '1572117095968747521', '1572117095968747521');
INSERT INTO "ZMRQ"."SYS_MENU" VALUES ('1572789737491013633', ' 材料领用', NULL, 'addRequisition', '1572789481680412674', NULL, '2', '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL, 'addRequisition', NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-22 11:27:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 11:36:33', 'SYYYY-MM-DD HH24:MI:SS'), '1572117095968747521', '1572117095968747521');
INSERT INTO "ZMRQ"."SYS_MENU" VALUES ('1554642838305005569', '新安装工程', NULL, NULL, '0', NULL, '2', '1', '0', '1', NULL, NULL, NULL, NULL, NULL, NULL, 'newInstall', NULL, NULL, NULL, NULL, '0', TO_DATE('2022-08-03 09:38:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 17:34:04', 'SYYYY-MM-DD HH24:MI:SS'), '2', '1');
INSERT INTO "ZMRQ"."SYS_MENU" VALUES ('1554643767427227650', '首页', NULL, NULL, '0', NULL, '5', '1', '0', '1', NULL, NULL, NULL, NULL, NULL, NULL, 'dashboard', NULL, NULL, NULL, '1', '0', TO_DATE('2022-08-03 09:42:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:41:16', 'SYYYY-MM-DD HH24:MI:SS'), '2', '1564089266203029506');
INSERT INTO "ZMRQ"."SYS_MENU" VALUES ('1567426391619268610', '市政工程', NULL, NULL, '0', NULL, '4', '1', '0', '1', NULL, NULL, NULL, NULL, NULL, NULL, 'mcpProject', NULL, NULL, NULL, '1', '0', TO_DATE('2022-09-07 16:15:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 17:35:05', 'SYYYY-MM-DD HH24:MI:SS'), '1562365397418708993', '1');
INSERT INTO "ZMRQ"."SYS_MENU" VALUES ('1567427074263216130', '工程变更管理', NULL, NULL, '0', NULL, '4', '1', '0', '1', NULL, NULL, NULL, NULL, NULL, NULL, 'prjManageChange', NULL, NULL, NULL, '1', '0', TO_DATE('2022-09-07 16:18:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 17:35:23', 'SYYYY-MM-DD HH24:MI:SS'), '1562365397418708993', '1');
INSERT INTO "ZMRQ"."SYS_MENU" VALUES ('1570674628832604162', '角色管理', NULL, 'RoleManagement', '1570618270527598594', NULL, '2', '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL, 'roleManage', NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-16 15:23:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 14:59:50', 'SYYYY-MM-DD HH24:MI:SS'), '1564089266203029506', '1');
INSERT INTO "ZMRQ"."SYS_MENU" VALUES ('1570673639358541825', '用户管理', NULL, 'UserManagement', '1570312013841289217', NULL, '1', '1', '0', '1', NULL, NULL, NULL, NULL, NULL, NULL, 'userManage', NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-16 15:19:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 15:19:11', 'SYYYY-MM-DD HH24:MI:SS'), '1564089266203029506', '1564089266203029506');
INSERT INTO "ZMRQ"."SYS_MENU" VALUES ('1570673797857095681', '用户管理', NULL, 'userManage', '1570618270527598594', NULL, '1', '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL, 'userManage', NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-16 15:19:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 14:59:42', 'SYYYY-MM-DD HH24:MI:SS'), '1564089266203029506', '1');
INSERT INTO "ZMRQ"."SYS_MENU" VALUES ('1570674923604094978', '日志管理', NULL, 'journal', '1570618551243976705', NULL, '1', '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL, 'journalManage', NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-16 15:24:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 15:18:57', 'SYYYY-MM-DD HH24:MI:SS'), '1564089266203029506', '1');
INSERT INTO "ZMRQ"."SYS_MENU" VALUES ('1570675136129478657', 'APP管理', NULL, 'builder', '1570618551243976705', NULL, '2', '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL, 'appManage', NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-16 15:25:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 15:19:02', 'SYYYY-MM-DD HH24:MI:SS'), '1564089266203029506', '1');
INSERT INTO "ZMRQ"."SYS_MENU" VALUES ('1570675318665588738', '模块管理', NULL, 'ModulesManage', '1570618551243976705', NULL, '3', '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL, 'ModulesManage', NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-16 15:25:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 15:19:10', 'SYYYY-MM-DD HH24:MI:SS'), '1564089266203029506', '1');
INSERT INTO "ZMRQ"."SYS_MENU" VALUES ('1570675604020867074', '组织机构管理', NULL, 'organizationManage', '1570618551243976705', NULL, '4', '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL, 'organizationManage', NULL, NULL, NULL, NULL, '1', TO_DATE('2022-09-16 15:27:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-17 18:53:00', 'SYYYY-MM-DD HH24:MI:SS'), '1564089266203029506', '1564089266203029506');
INSERT INTO "ZMRQ"."SYS_MENU" VALUES ('1572851339917533186', '工程结算款确认', NULL, 'addSettle', '1568484152826150913', NULL, '1', '1', '0', '1', NULL, NULL, NULL, NULL, NULL, NULL, 'addSettle', NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-22 15:32:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 15:32:36', 'SYYYY-MM-DD HH24:MI:SS'), '1572117095968747521', '1572117095968747521');
INSERT INTO "ZMRQ"."SYS_MENU" VALUES ('1570676000210628609', '字典管理', NULL, 'dictionariesManage', '1570618551243976705', NULL, '6', '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL, 'dictionariesManage', NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-16 15:28:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 15:19:15', 'SYYYY-MM-DD HH24:MI:SS'), '1564089266203029506', '1');
INSERT INTO "ZMRQ"."SYS_MENU" VALUES ('1570677175186173954', '单位管理', NULL, 'departmentManage', '1570618059361169409', NULL, '1', '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL, 'departmentManage', NULL, NULL, NULL, NULL, '1', TO_DATE('2022-09-16 15:33:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-17 18:55:27', 'SYYYY-MM-DD HH24:MI:SS'), '1564089266203029506', '1564089266203029506');
INSERT INTO "ZMRQ"."SYS_MENU" VALUES ('1571674389127630850', '配置管理', NULL, NULL, '0', NULL, '6', '1', '0', '1', NULL, NULL, NULL, NULL, NULL, NULL, 'headConfManage', NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-19 09:35:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 10:43:40', 'SYYYY-MM-DD HH24:MI:SS'), '1563042152077426689', '1572117095968747521');
INSERT INTO "ZMRQ"."SYS_MENU" VALUES ('1571674879462739970', '工序名称', NULL, '/workProcedure', '1571674389127630850', NULL, '1', '1', '0', '1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-19 09:37:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 15:02:59', 'SYYYY-MM-DD HH24:MI:SS'), '1563042152077426689', '1');
INSERT INTO "ZMRQ"."SYS_MENU" VALUES ('1571678995383586817', '节假日设置', NULL, '/holidaySetting', '1571674389127630850', NULL, '3', '1', '0', '1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-19 09:54:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 15:04:08', 'SYYYY-MM-DD HH24:MI:SS'), '1563042152077426689', '1');
INSERT INTO "ZMRQ"."SYS_MENU" VALUES ('1571680257302859778', '合同模板管理', NULL, 'contractTemp', '1571677684139298818', NULL, '1', '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL, 'contractTemp', NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-19 09:59:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 15:03:54', 'SYYYY-MM-DD HH24:MI:SS'), '1563042152077426689', '1');
INSERT INTO "ZMRQ"."SYS_MENU" VALUES ('1571680589978275842', '合同字段维护', NULL, 'contractField', '1571677684139298818', NULL, '2', '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL, 'contractField', NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-19 10:00:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 15:04:01', 'SYYYY-MM-DD HH24:MI:SS'), '1563042152077426689', '1');
INSERT INTO "ZMRQ"."SYS_MENU" VALUES ('1571681854649012225', '配置管理（子公司）', NULL, NULL, '0', NULL, '7', '1', '0', '1', NULL, NULL, NULL, NULL, NULL, NULL, 'projectConfigManager', NULL, NULL, NULL, NULL, '1', TO_DATE('2022-09-19 10:05:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 13:45:48', 'SYYYY-MM-DD HH24:MI:SS'), '1563042152077426689', '1572117095968747521');
INSERT INTO "ZMRQ"."SYS_MENU" VALUES ('1571736697136861185', '配置管理', NULL, '/projectConfigManager', '1571681854649012225', NULL, '1', '1', '0', '1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1', TO_DATE('2022-09-19 13:43:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 13:43:24', 'SYYYY-MM-DD HH24:MI:SS'), '1563042152077426689', '1563042152077426689');
INSERT INTO "ZMRQ"."SYS_MENU" VALUES ('1571737066420162561', '改管维修小仓库管理', NULL, '/wxWarehouse', '1571681854649012225', NULL, '2', '1', '0', '1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1', TO_DATE('2022-09-19 13:44:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 13:44:52', 'SYYYY-MM-DD HH24:MI:SS'), '1563042152077426689', '1563042152077426689');
INSERT INTO "ZMRQ"."SYS_MENU" VALUES ('1572789822597636098', ' 材料核销', NULL, 'addwriteOff', '1572789481680412674', NULL, '3', '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL, 'addwriteOff', NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-22 11:28:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 11:36:41', 'SYYYY-MM-DD HH24:MI:SS'), '1572117095968747521', '1572117095968747521');
INSERT INTO "ZMRQ"."SYS_MENU" VALUES ('1572789946174414849', '开工报告条目', NULL, 'reportPreparation', '1572781698071511042', NULL, '1', '1', '0', '1', NULL, NULL, NULL, NULL, NULL, NULL, 'reportPreparation', NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-22 11:28:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 11:37:12', 'SYYYY-MM-DD HH24:MI:SS'), '1572117095968747521', '1572117095968747521');
INSERT INTO "ZMRQ"."SYS_MENU" VALUES ('1572851541135073282', '用户结算', NULL, 'userSettle', '1568484152826150913', NULL, '2', '1', '0', '1', NULL, NULL, NULL, NULL, NULL, NULL, 'userSettle', NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-22 15:33:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 15:33:24', 'SYYYY-MM-DD HH24:MI:SS'), '1572117095968747521', '1572117095968747521');
INSERT INTO "ZMRQ"."SYS_MENU" VALUES ('1572796167635869698', '验收资料移交', NULL, 'mcpcheckMaterial', '1568483976925429762', NULL, '3', '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL, 'mcpcheckMaterial', NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-22 11:53:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 15:10:32', 'SYYYY-MM-DD HH24:MI:SS'), '1572117095968747521', '1572117095968747521');
INSERT INTO "ZMRQ"."SYS_MENU" VALUES ('1573140954457096193', '开工报告条目', NULL, 'reportPreparation', '1573137161678077954', NULL, '1', '1', '0', '1', NULL, NULL, NULL, NULL, NULL, NULL, 'reportPreparation', NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-23 10:43:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 10:43:25', 'SYYYY-MM-DD HH24:MI:SS'), '1', '1');
INSERT INTO "ZMRQ"."SYS_MENU" VALUES ('1574671618553778178', '11', NULL, NULL, '1570618270527598594', NULL, '6', '1', '0', '1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1', TO_DATE('2022-09-27 16:05:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 16:05:44', 'SYYYY-MM-DD HH24:MI:SS'), '1562365397418708993', '1562365397418708993');
INSERT INTO "ZMRQ"."SYS_MENU" VALUES ('1575321414872358914', '21312', NULL, '3123', '0', '3213', '1', '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL, '312', NULL, NULL, NULL, NULL, '1', TO_DATE('2022-09-29 11:07:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 11:07:48', 'SYYYY-MM-DD HH24:MI:SS'), '1', '1');
INSERT INTO "ZMRQ"."SYS_MENU" VALUES ('1572836695614169089', '工程预算', NULL, 'gongchengyusuan', '1572832383626387458', NULL, '2', '1', '4', '1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-22 14:34:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:36:04', 'SYYYY-MM-DD HH24:MI:SS'), '1571808470779846657', '1574945313813704706');
INSERT INTO "ZMRQ"."SYS_MENU" VALUES ('1572832711356719105', '现场勘察', NULL, 'xianchangkancha', '1572832383626387458', NULL, '1', '1', '4', '1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-22 14:18:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 14:34:00', 'SYYYY-MM-DD HH24:MI:SS'), '1564089266203029506', '1571808470779846657');
INSERT INTO "ZMRQ"."SYS_MENU" VALUES ('1572837185089445889', '领料签字', NULL, 'lingliaoqianzi', '1572832383626387458', NULL, '6', '1', '4', '1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-22 14:36:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:36:54', 'SYYYY-MM-DD HH24:MI:SS'), '1571808470779846657', '1574945313813704706');
INSERT INTO "ZMRQ"."SYS_MENU" VALUES ('1570678050017345538', '服务配置', NULL, 'serviceManage', '1570618059361169409', NULL, '2', '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL, 'serviceManage', NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-16 15:36:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 15:12:02', 'SYYYY-MM-DD HH24:MI:SS'), '1564089266203029506', '1');
INSERT INTO "ZMRQ"."SYS_MENU" VALUES ('1570678305647591425', '服务关联', NULL, 'ServiceRelation', '1570618059361169409', NULL, '3', '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL, 'ServiceRelation', NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-16 15:37:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 15:12:08', 'SYYYY-MM-DD HH24:MI:SS'), '1564089266203029506', '1');
INSERT INTO "ZMRQ"."SYS_MENU" VALUES ('1571326768206962690', '工程登记', NULL, 'register', '1568482594885484546', NULL, '1', '1', '0', '1', NULL, NULL, NULL, NULL, NULL, NULL, 'register', NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-18 10:34:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:44:09', 'SYYYY-MM-DD HH24:MI:SS'), '1564089266203029506', '1574945313813704706');
INSERT INTO "ZMRQ"."SYS_MENU" VALUES ('1571326984775655426', '现场勘察管理', NULL, 'investigation', '1568482739010158593', NULL, '1', '1', '0', '1', NULL, NULL, NULL, NULL, NULL, NULL, 'investigation', NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-18 10:35:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 10:35:21', 'SYYYY-MM-DD HH24:MI:SS'), '1564089266203029506', '1564089266203029506');
INSERT INTO "ZMRQ"."SYS_MENU" VALUES ('1571327170130337793', '设计预算', NULL, 'addBudget', '1568483117915193345', NULL, '1', '1', '0', '1', NULL, NULL, NULL, NULL, NULL, NULL, 'addBudget', NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-18 10:36:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 10:36:05', 'SYYYY-MM-DD HH24:MI:SS'), '1564089266203029506', '1564089266203029506');
INSERT INTO "ZMRQ"."SYS_MENU" VALUES ('1571327400036917249', '合同会审管理', NULL, 'contractCheck', '1568483272991195137', NULL, '1', '1', '0', '1', NULL, NULL, NULL, NULL, NULL, NULL, 'contractCheck', NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-18 10:37:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 10:37:00', 'SYYYY-MM-DD HH24:MI:SS'), '1564089266203029506', '1564089266203029506');
INSERT INTO "ZMRQ"."SYS_MENU" VALUES ('1571327560720703489', '合同签订管理', NULL, 'contractSign', '1568483527858077698', NULL, '1', '1', '0', '1', NULL, NULL, NULL, NULL, NULL, NULL, 'contractSign', NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-18 10:37:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 10:37:38', 'SYYYY-MM-DD HH24:MI:SS'), '1564089266203029506', '1564089266203029506');
INSERT INTO "ZMRQ"."SYS_MENU" VALUES ('1571327731676340226', '用户缴费管理', NULL, 'addUserSettle', '1568483651631988738', NULL, '1', '1', '0', '1', NULL, NULL, NULL, NULL, NULL, NULL, 'addUserSettle', NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-18 10:38:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 10:38:19', 'SYYYY-MM-DD HH24:MI:SS'), '1564089266203029506', '1564089266203029506');
INSERT INTO "ZMRQ"."SYS_MENU" VALUES ('1571327917362372610', '工程派工管理', NULL, 'addDispatch', '1568483739917893633', NULL, '1', '1', '0', '1', NULL, NULL, NULL, NULL, NULL, NULL, 'addDispatch', NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-18 10:39:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 15:42:23', 'SYYYY-MM-DD HH24:MI:SS'), '1564089266203029506', '1574215643808002049');
INSERT INTO "ZMRQ"."SYS_MENU" VALUES ('1574696317912444929', '666', NULL, NULL, '1570618270527598594', NULL, '32', '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1', TO_DATE('2022-09-27 17:43:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 17:43:53', 'SYYYY-MM-DD HH24:MI:SS'), '1562365397418708993', '1562365397418708993');
INSERT INTO "ZMRQ"."SYS_MENU" VALUES ('1571328373371297794', '工程验收', NULL, 'mcpaddCheck', '1568483976925429762', NULL, '1', '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL, 'mcpaddCheck', NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-18 10:40:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 15:29:30', 'SYYYY-MM-DD HH24:MI:SS'), '1564089266203029506', '1572117095968747521');
INSERT INTO "ZMRQ"."SYS_MENU" VALUES ('1571328533291720705', '竣工资料移交', NULL, 'mcpcompletedMaterial', '1568484152826150913', NULL, '1', '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL, 'mcpcompletedMaterial', NULL, NULL, NULL, NULL, '1', TO_DATE('2022-09-18 10:41:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 15:30:34', 'SYYYY-MM-DD HH24:MI:SS'), '1564089266203029506', '1572117095968747521');
INSERT INTO "ZMRQ"."SYS_MENU" VALUES ('1571328725877383169', '费用汇总管理', NULL, 'mcpcostGather', '1568484284103671809', NULL, '1', '1', '0', '1', NULL, NULL, NULL, NULL, NULL, NULL, 'mcpcostGather', NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-18 10:42:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 10:42:16', 'SYYYY-MM-DD HH24:MI:SS'), '1564089266203029506', '1564089266203029506');
INSERT INTO "ZMRQ"."SYS_MENU" VALUES ('1571328916844044290', '用户移交维保管理', NULL, 'transferAndSettlement', '1568484466941771777', NULL, '1', '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL, 'transferAndSettlement', NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-18 10:43:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:17:58', 'SYYYY-MM-DD HH24:MI:SS'), '1564089266203029506', '1574945313813704706');
INSERT INTO "ZMRQ"."SYS_MENU" VALUES ('1571738113884672002', '施工班组设置', NULL, 'constructionTeam', '1571736697136861185', NULL, '1', '1', '0', '1', NULL, NULL, NULL, NULL, NULL, NULL, 'constructionTeam', NULL, NULL, NULL, NULL, '1', TO_DATE('2022-09-19 13:49:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 13:49:02', 'SYYYY-MM-DD HH24:MI:SS'), '1563042152077426689', '1563042152077426689');
INSERT INTO "ZMRQ"."SYS_MENU" VALUES ('1571738343174688770', '工程管控配置', NULL, 'processConfiguration', '1571736697136861185', NULL, '2', '1', '0', '1', NULL, NULL, NULL, NULL, NULL, NULL, 'processConfiguration', NULL, NULL, NULL, NULL, '1', TO_DATE('2022-09-19 13:49:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 13:49:57', 'SYYYY-MM-DD HH24:MI:SS'), '1563042152077426689', '1563042152077426689');
INSERT INTO "ZMRQ"."SYS_MENU" VALUES ('1571738901520437250', '开工报告条目', NULL, 'reportPreparation', '1571736697136861185', NULL, '5', '1', '0', '1', NULL, NULL, NULL, NULL, NULL, NULL, 'reportPreparation', NULL, NULL, NULL, NULL, '1', TO_DATE('2022-09-19 13:52:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 13:52:10', 'SYYYY-MM-DD HH24:MI:SS'), '1563042152077426689', '1563042152077426689');
INSERT INTO "ZMRQ"."SYS_MENU" VALUES ('1572837334729629698', '工程自检', NULL, 'gongchengzijian', '1572832383626387458', NULL, '7', '1', '4', '1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-22 14:36:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:37:01', 'SYYYY-MM-DD HH24:MI:SS'), '1571808470779846657', '1574945313813704706');
INSERT INTO "ZMRQ"."SYS_MENU" VALUES ('1571740428268064770', '小仓库材料管理', NULL, 'warehouse', '1571737066420162561', NULL, '1', '1', '0', '1', NULL, NULL, NULL, NULL, NULL, NULL, 'warehouse', NULL, NULL, NULL, NULL, '1', TO_DATE('2022-09-19 13:58:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 13:58:14', 'SYYYY-MM-DD HH24:MI:SS'), '1563042152077426689', '1563042152077426689');
INSERT INTO "ZMRQ"."SYS_MENU" VALUES ('1571740628743213058', '材料领用', NULL, 'addRequisition', '1571737066420162561', NULL, '2', '1', '0', '1', NULL, NULL, NULL, NULL, NULL, NULL, 'addRequisition', NULL, NULL, NULL, NULL, '1', TO_DATE('2022-09-19 13:59:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 13:59:02', 'SYYYY-MM-DD HH24:MI:SS'), '1563042152077426689', '1563042152077426689');
INSERT INTO "ZMRQ"."SYS_MENU" VALUES ('1571740807860965377', '材料核销', NULL, 'addwriteOff', '1571737066420162561', NULL, '3', '1', '0', '1', NULL, NULL, NULL, NULL, NULL, NULL, 'addwriteOff', NULL, NULL, NULL, NULL, '1', TO_DATE('2022-09-19 13:59:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:21:28', 'SYYYY-MM-DD HH24:MI:SS'), '1563042152077426689', '1571688988283506690');
INSERT INTO "ZMRQ"."SYS_MENU" VALUES ('1572053608865296386', '户内改造工程', NULL, NULL, '0', NULL, '3', '1', '0', '1', NULL, NULL, NULL, NULL, NULL, NULL, 'IndoorRenovation', NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-20 10:42:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 17:34:48', 'SYYYY-MM-DD HH24:MI:SS'), '1563042152077426689', '1');
INSERT INTO "ZMRQ"."SYS_MENU" VALUES ('1572062580129230849', '项目负责人变更', NULL, 'bgaddChargeChange', '1572062283721961473', NULL, '1', '1', '0', '1', NULL, NULL, NULL, NULL, NULL, NULL, 'bgaddChargeChange', NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-20 11:18:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:18:21', 'SYYYY-MM-DD HH24:MI:SS'), '1563042152077426689', '1563042152077426689');
INSERT INTO "ZMRQ"."SYS_MENU" VALUES ('1572837468880248833', '退料签字', NULL, 'tuiliaoqianzi', '1572832383626387458', NULL, '8', '1', '4', '1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-22 14:37:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 14:38:16', 'SYYYY-MM-DD HH24:MI:SS'), '1571808470779846657', '1571808470779846657');
INSERT INTO "ZMRQ"."SYS_MENU" VALUES ('1572837564405522433', '用户结算', NULL, 'yonghujiesuan', '1572832383626387458', NULL, '9', '1', '4', '1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-22 14:37:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:37:12', 'SYYYY-MM-DD HH24:MI:SS'), '1571808470779846657', '1574945313813704706');
INSERT INTO "ZMRQ"."SYS_MENU" VALUES ('1572852444684623873', '竣工资料移交', NULL, 'completedMaterial', '1568484152826150913', NULL, '3', '1', '0', '1', NULL, NULL, NULL, NULL, NULL, NULL, 'completedMaterial', NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-22 15:36:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 15:36:59', 'SYYYY-MM-DD HH24:MI:SS'), '1572117095968747521', '1572117095968747521');
INSERT INTO "ZMRQ"."SYS_MENU" VALUES ('1572852591229411329', '施工单位结算', NULL, 'unitSettle', '1568484152826150913', NULL, '4', '1', '0', '1', NULL, NULL, NULL, NULL, NULL, NULL, 'unitSettle', NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-22 15:37:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 15:37:34', 'SYYYY-MM-DD HH24:MI:SS'), '1572117095968747521', '1572117095968747521');
INSERT INTO "ZMRQ"."SYS_MENU" VALUES ('1572852712595791874', '其他单位结算', NULL, 'otherUnitSettle', '1568484152826150913', NULL, '5', '1', '0', '1', NULL, NULL, NULL, NULL, NULL, NULL, 'otherUnitSettle', NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-22 15:38:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 15:38:03', 'SYYYY-MM-DD HH24:MI:SS'), '1572117095968747521', '1572117095968747521');
INSERT INTO "ZMRQ"."SYS_MENU" VALUES ('1573137161678077954', '开工报告条目', NULL, '/reportPreparation', '1571674389127630850', NULL, '8', '1', '0', '1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-23 10:28:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 10:42:59', 'SYYYY-MM-DD HH24:MI:SS'), '1', '1');
INSERT INTO "ZMRQ"."SYS_MENU" VALUES ('1572773180723544066', '工程退料', NULL, 'mcpproRematerial', '1572036218219782146', NULL, '1', '1', '0', '1', NULL, NULL, NULL, NULL, NULL, NULL, 'mcpproRematerial', NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-22 10:22:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 10:22:01', 'SYYYY-MM-DD HH24:MI:SS'), '1572117095968747521', '1572117095968747521');
INSERT INTO "ZMRQ"."SYS_MENU" VALUES ('1572849139547906049', '工程管控信息', NULL, 'projectControl', '1568483871778422785', NULL, '6', '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL, 'projectControl', NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-22 15:23:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 15:28:25', 'SYYYY-MM-DD HH24:MI:SS'), '1572117095968747521', '1572117095968747521');
INSERT INTO "ZMRQ"."SYS_MENU" VALUES ('1572849283362201602', '安全检查', NULL, 'safeCheck', '1568483871778422785', NULL, '6', '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL, 'safeCheck', NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-22 15:24:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 15:28:33', 'SYYYY-MM-DD HH24:MI:SS'), '1572117095968747521', '1572117095968747521');
INSERT INTO "ZMRQ"."SYS_MENU" VALUES ('1572849377348165633', '工程自检', NULL, 'projectCheckSelf', '1568483871778422785', NULL, '7', '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL, 'projectCheckSelf', NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-22 15:24:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 15:28:16', 'SYYYY-MM-DD HH24:MI:SS'), '1572117095968747521', '1572117095968747521');
INSERT INTO "ZMRQ"."SYS_MENU" VALUES ('1575064934688571393', '1321', NULL, NULL, '1570618270527598594', NULL, '1231', '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1', TO_DATE('2022-09-28 18:08:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 18:09:25', 'SYYYY-MM-DD HH24:MI:SS'), '1574946019425660929', '1574946019425660929');
INSERT INTO "ZMRQ"."SYS_MENU" VALUES ('1575065320677785601', '12312', NULL, NULL, '1570618270527598594', NULL, '1111', '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1', TO_DATE('2022-09-28 18:10:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 18:10:10', 'SYYYY-MM-DD HH24:MI:SS'), '1574946019425660929', '1574946019425660929');
INSERT INTO "ZMRQ"."SYS_MENU" VALUES ('1575324890608197634', '测试', NULL, '1', '1570618270527598594', '1', '1', '1', '3', '1', NULL, NULL, NULL, NULL, NULL, NULL, '1', NULL, NULL, NULL, NULL, '1', TO_DATE('2022-09-29 11:21:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 11:22:28', 'SYYYY-MM-DD HH24:MI:SS'), '1574945313813704706', '1574945313813704706');
INSERT INTO "ZMRQ"."SYS_MENU" VALUES ('1570678605024428034', '业务配置页面', NULL, 'flowType', '1570618788180209665', NULL, '1', '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL, 'flowType', NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-16 15:38:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:01:04', 'SYYYY-MM-DD HH24:MI:SS'), '1564089266203029506', '1');
INSERT INTO "ZMRQ"."SYS_MENU" VALUES ('1572037801762480129', '工程管控信息', NULL, 'mcpProjControl', '1571772738531074049', NULL, '5', '1', '0', '1', NULL, NULL, NULL, NULL, NULL, NULL, 'mcpProjControl', NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-20 09:39:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 09:39:53', 'SYYYY-MM-DD HH24:MI:SS'), '1563042152077426689', '1563042152077426689');
INSERT INTO "ZMRQ"."SYS_MENU" VALUES ('1571677684139298818', '合同模板', NULL, '/contractTemp', '1571674389127630850', NULL, '2', '1', '0', '1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-19 09:48:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 15:03:44', 'SYYYY-MM-DD HH24:MI:SS'), '1563042152077426689', '1');
INSERT INTO "ZMRQ"."SYS_MENU" VALUES ('1572037659424579586', '工程领料', NULL, 'mcpProjRecieveMaterial', '1571772738531074049', NULL, '4', '1', '0', '1', NULL, NULL, NULL, NULL, NULL, NULL, 'mcpProjRecieveMaterial', NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-20 09:39:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 09:39:19', 'SYYYY-MM-DD HH24:MI:SS'), '1563042152077426689', '1563042152077426689');
INSERT INTO "ZMRQ"."SYS_MENU" VALUES ('1572037997279961089', '安全检查', NULL, 'mcpSafeCheck', '1571772738531074049', NULL, '6', '1', '0', '1', NULL, NULL, NULL, NULL, NULL, NULL, 'mcpSafeCheck', NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-20 09:40:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 09:40:40', 'SYYYY-MM-DD HH24:MI:SS'), '1563042152077426689', '1563042152077426689');
INSERT INTO "ZMRQ"."SYS_MENU" VALUES ('1572038159096209409', '工程自检', NULL, 'mcpProjCheckSelf', '1571772738531074049', NULL, '7', '1', '0', '1', NULL, NULL, NULL, NULL, NULL, NULL, 'mcpProjCheckSelf', NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-20 09:41:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 09:41:18', 'SYYYY-MM-DD HH24:MI:SS'), '1563042152077426689', '1563042152077426689');
INSERT INTO "ZMRQ"."SYS_MENU" VALUES ('1572045023032733697', '工程验收', NULL, 'mcpaddCheck', '1572036130646908929', NULL, '1', '1', '0', '1', NULL, NULL, NULL, NULL, NULL, NULL, 'mcpaddCheck', NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-20 10:08:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:08:35', 'SYYYY-MM-DD HH24:MI:SS'), '1563042152077426689', '1563042152077426689');
INSERT INTO "ZMRQ"."SYS_MENU" VALUES ('1572045159892873218', '阀井验收', NULL, 'mcpvalveWellCheck', '1572036130646908929', NULL, '2', '1', '0', '1', NULL, NULL, NULL, NULL, NULL, NULL, 'mcpvalveWellCheck', NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-20 10:09:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:09:07', 'SYYYY-MM-DD HH24:MI:SS'), '1563042152077426689', '1563042152077426689');
INSERT INTO "ZMRQ"."SYS_MENU" VALUES ('1572045377849880578', '工程退料', NULL, 'mcpproRematerial', '1572036130646908929', NULL, '3', '1', '0', '1', NULL, NULL, NULL, NULL, NULL, NULL, 'mcpproRematerial', NULL, NULL, NULL, NULL, '1', TO_DATE('2022-09-20 10:09:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:09:59', 'SYYYY-MM-DD HH24:MI:SS'), '1563042152077426689', '1563042152077426689');
INSERT INTO "ZMRQ"."SYS_MENU" VALUES ('1572045499287564290', '验收资料移交', NULL, 'mcpcheckMaterial', '1572036130646908929', NULL, '4', '1', '0', '1', NULL, NULL, NULL, NULL, NULL, NULL, 'mcpcheckMaterial', NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-20 10:10:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:10:28', 'SYYYY-MM-DD HH24:MI:SS'), '1563042152077426689', '1563042152077426689');
INSERT INTO "ZMRQ"."SYS_MENU" VALUES ('1572045787574661122', '竣工资料移交', NULL, 'mcpcompletedMaterial', '1572036218219782146', NULL, '2', '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL, 'mcpcompletedMaterial', NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-20 10:11:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 10:22:53', 'SYYYY-MM-DD HH24:MI:SS'), '1563042152077426689', '1572117095968747521');
INSERT INTO "ZMRQ"."SYS_MENU" VALUES ('1572045970182074370', '资料归集', NULL, 'mcpmeansCollection', '1572036218219782146', NULL, '3', '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL, 'mcpmeansCollection', NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-20 10:12:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 10:23:52', 'SYYYY-MM-DD HH24:MI:SS'), '1563042152077426689', '1572117095968747521');
INSERT INTO "ZMRQ"."SYS_MENU" VALUES ('1572046116772999170', '施工单位结算', NULL, 'mcpunitSettle', '1572036218219782146', NULL, '5', '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL, 'mcpunitSettle', NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-20 10:12:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 10:25:10', 'SYYYY-MM-DD HH24:MI:SS'), '1563042152077426689', '1572117095968747521');
INSERT INTO "ZMRQ"."SYS_MENU" VALUES ('1572046243940102145', '其他单位结算', NULL, 'mcpotherUnitSettle', '1572036218219782146', NULL, '5', '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL, 'mcpotherUnitSettle', NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-20 10:13:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 10:25:32', 'SYYYY-MM-DD HH24:MI:SS'), '1563042152077426689', '1572117095968747521');
INSERT INTO "ZMRQ"."SYS_MENU" VALUES ('1572046386718404609', '费用汇总', NULL, 'mcpcostGather', '1572036218219782146', NULL, '6', '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL, 'mcpcostGather', NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-20 10:14:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 10:26:01', 'SYYYY-MM-DD HH24:MI:SS'), '1563042152077426689', '1572117095968747521');
INSERT INTO "ZMRQ"."SYS_MENU" VALUES ('1572046656248573954', '转固', NULL, 'toFixedAssets', '1572036361681756161', NULL, '1', '1', '0', '1', NULL, NULL, NULL, NULL, NULL, NULL, 'toFixedAssets', NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-20 10:15:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:15:04', 'SYYYY-MM-DD HH24:MI:SS'), '1563042152077426689', '1563042152077426689');
INSERT INTO "ZMRQ"."SYS_MENU" VALUES ('1572048860535681025', '管道维修', NULL, NULL, '0', NULL, '4', '1', '0', '1', NULL, NULL, NULL, NULL, NULL, NULL, 'pipeRepair', NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-20 10:23:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:23:50', 'SYYYY-MM-DD HH24:MI:SS'), '1563042152077426689', '1563042152077426689');
INSERT INTO "ZMRQ"."SYS_MENU" VALUES ('1572049155793711106', '工程报修', NULL, '/prRepairReport', '1572048860535681025', NULL, '1', '1', '0', '1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-20 10:25:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:46:41', 'SYYYY-MM-DD HH24:MI:SS'), '1563042152077426689', '1574945313813704706');
INSERT INTO "ZMRQ"."SYS_MENU" VALUES ('1572049474112024577', '工程报修', NULL, 'wxaddProject', '1572049155793711106', NULL, '1', '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL, 'wxaddProject', NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-20 10:26:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:46:10', 'SYYYY-MM-DD HH24:MI:SS'), '1563042152077426689', '1574945313813704706');
INSERT INTO "ZMRQ"."SYS_MENU" VALUES ('1572049641863213057', '任务分配', NULL, 'wxtaskAllocation', '1572049155793711106', NULL, '2', '1', '0', '1', NULL, NULL, NULL, NULL, NULL, NULL, 'wxtaskAllocation', NULL, NULL, NULL, NULL, '1', TO_DATE('2022-09-20 10:26:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:26:56', 'SYYYY-MM-DD HH24:MI:SS'), '1563042152077426689', '1563042152077426689');
INSERT INTO "ZMRQ"."SYS_MENU" VALUES ('1572049812999204865', '工程派工', NULL, '/wxproDispatch', '1572048860535681025', NULL, '2', '1', '0', '1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-20 10:27:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:27:37', 'SYYYY-MM-DD HH24:MI:SS'), '1563042152077426689', '1563042152077426689');
INSERT INTO "ZMRQ"."SYS_MENU" VALUES ('1572050019954552834', '工程派工', NULL, 'wxaddDispatch', '1572049812999204865', NULL, '1', '1', '0', '1', NULL, NULL, NULL, NULL, NULL, NULL, 'wxaddDispatch', NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-20 10:28:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:28:26', 'SYYYY-MM-DD HH24:MI:SS'), '1563042152077426689', '1563042152077426689');
INSERT INTO "ZMRQ"."SYS_MENU" VALUES ('1572050180164382722', '施工班组和人员', NULL, 'wxproTeamPerson', '1572049812999204865', NULL, '2', '1', '0', '1', NULL, NULL, NULL, NULL, NULL, NULL, 'wxproTeamPerson', NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-20 10:29:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:29:04', 'SYYYY-MM-DD HH24:MI:SS'), '1563042152077426689', '1563042152077426689');
INSERT INTO "ZMRQ"."SYS_MENU" VALUES ('1572050327518670850', '安全监护', NULL, 'wxsafeCustody', '1572049812999204865', NULL, '3', '1', '0', '1', NULL, NULL, NULL, NULL, NULL, NULL, 'wxsafeCustody', NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-20 10:29:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:29:40', 'SYYYY-MM-DD HH24:MI:SS'), '1563042152077426689', '1563042152077426689');
INSERT INTO "ZMRQ"."SYS_MENU" VALUES ('1572050594012164098', '工程实施', NULL, '/projTemp', '1572048860535681025', NULL, '3', '1', '0', '1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-20 10:30:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:30:43', 'SYYYY-MM-DD HH24:MI:SS'), '1563042152077426689', '1563042152077426689');
INSERT INTO "ZMRQ"."SYS_MENU" VALUES ('1572050750451314690', '工程领料', NULL, 'prProjRecieveMaterial', '1572050594012164098', NULL, '1', '1', '0', '1', NULL, NULL, NULL, NULL, NULL, NULL, 'prProjRecieveMaterial', NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-20 10:31:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:31:20', 'SYYYY-MM-DD HH24:MI:SS'), '1563042152077426689', '1563042152077426689');
INSERT INTO "ZMRQ"."SYS_MENU" VALUES ('1572050889572184065', '工程管控', NULL, 'prProjControl', '1572050594012164098', NULL, '2', '1', '0', '1', NULL, NULL, NULL, NULL, NULL, NULL, 'prProjControl', NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-20 10:31:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:31:54', 'SYYYY-MM-DD HH24:MI:SS'), '1563042152077426689', '1563042152077426689');
INSERT INTO "ZMRQ"."SYS_MENU" VALUES ('1572051151435165698', '工程验收', NULL, '/wxproCheck', '1572048860535681025', NULL, '4', '1', '0', '1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-20 10:32:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:32:56', 'SYYYY-MM-DD HH24:MI:SS'), '1563042152077426689', '1563042152077426689');
INSERT INTO "ZMRQ"."SYS_MENU" VALUES ('1572051270926692354', '工程验收', NULL, 'wxaddCheck', '1572051151435165698', NULL, '1', '1', '0', '1', NULL, NULL, NULL, NULL, NULL, NULL, 'wxaddCheck', NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-20 10:33:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:33:24', 'SYYYY-MM-DD HH24:MI:SS'), '1563042152077426689', '1563042152077426689');
INSERT INTO "ZMRQ"."SYS_MENU" VALUES ('1572051966845612033', '费用汇总', NULL, '/wxcostGather', '1572048860535681025', NULL, '5', '1', '0', '1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-20 10:36:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:38:16', 'SYYYY-MM-DD HH24:MI:SS'), '1563042152077426689', '1563042152077426689');
INSERT INTO "ZMRQ"."SYS_MENU" VALUES ('1572052255518584833', '费用汇总', NULL, 'wxaddCostGather', '1572051966845612033', NULL, '1', '1', '0', '1', NULL, NULL, NULL, NULL, NULL, NULL, 'wxaddCostGather', NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-20 10:37:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:37:19', 'SYYYY-MM-DD HH24:MI:SS'), '1563042152077426689', '1563042152077426689');
INSERT INTO "ZMRQ"."SYS_MENU" VALUES ('1572053835118637057', '工程登记', NULL, '/indoorregister', '1572053608865296386', NULL, '1', '1', '0', '1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-20 10:43:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:45:42', 'SYYYY-MM-DD HH24:MI:SS'), '1563042152077426689', '1574945313813704706');
INSERT INTO "ZMRQ"."SYS_MENU" VALUES ('1572053975959171073', '工程登记', NULL, 'indooraddProject', '1572053835118637057', NULL, '1', '1', '0', '1', NULL, NULL, NULL, NULL, NULL, NULL, 'indooraddProject', NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-20 10:44:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:44:09', 'SYYYY-MM-DD HH24:MI:SS'), '1563042152077426689', '1563042152077426689');
INSERT INTO "ZMRQ"."SYS_MENU" VALUES ('1572054122646564865', '任务分配', NULL, 'indoortaskAllocation', '1572053835118637057', NULL, '2', '1', '0', '1', NULL, NULL, NULL, NULL, NULL, NULL, 'indoortaskAllocation', NULL, NULL, NULL, NULL, '1', TO_DATE('2022-09-20 10:44:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:44:44', 'SYYYY-MM-DD HH24:MI:SS'), '1563042152077426689', '1563042152077426689');
INSERT INTO "ZMRQ"."SYS_MENU" VALUES ('1572054387495890945', '设计预算', NULL, '/indoordesignBudget', '1572053608865296386', NULL, '2', '1', '0', '1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-20 10:45:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:45:47', 'SYYYY-MM-DD HH24:MI:SS'), '1563042152077426689', '1563042152077426689');
INSERT INTO "ZMRQ"."SYS_MENU" VALUES ('1572054530337107969', '设计预算', NULL, 'indooraddBudget', '1572054387495890945', NULL, '1', '1', '0', '1', NULL, NULL, NULL, NULL, NULL, NULL, 'indooraddBudget', NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-20 10:46:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:46:22', 'SYYYY-MM-DD HH24:MI:SS'), '1563042152077426689', '1563042152077426689');
INSERT INTO "ZMRQ"."SYS_MENU" VALUES ('1572054770343571457', '合同会审', NULL, '/contractCheck', '1572053608865296386', NULL, '3', '1', '0', '1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-20 10:47:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:47:19', 'SYYYY-MM-DD HH24:MI:SS'), '1563042152077426689', '1563042152077426689');
INSERT INTO "ZMRQ"."SYS_MENU" VALUES ('1572054915005116417', '合同编制', NULL, 'indoorContractCheck', '1572054770343571457', NULL, '1', '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL, 'indoorContractCheck', NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-20 10:47:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 11:13:32', 'SYYYY-MM-DD HH24:MI:SS'), '1563042152077426689', '1571688988283506690');
INSERT INTO "ZMRQ"."SYS_MENU" VALUES ('1572055105258745858', '合同签订', NULL, '/contractSign', '1572053608865296386', NULL, '4', '1', '0', '1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-20 10:48:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:48:39', 'SYYYY-MM-DD HH24:MI:SS'), '1563042152077426689', '1563042152077426689');
INSERT INTO "ZMRQ"."SYS_MENU" VALUES ('1572055244186677249', '合同签订', NULL, 'indoorContractSign', '1572055105258745858', NULL, '1', '1', '0', '1', NULL, NULL, NULL, NULL, NULL, NULL, 'indoorContractSign', NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-20 10:49:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:49:12', 'SYYYY-MM-DD HH24:MI:SS'), '1563042152077426689', '1563042152077426689');
INSERT INTO "ZMRQ"."SYS_MENU" VALUES ('1572055684576014338', '用户缴费', NULL, '/indooruserPayment', '1572053608865296386', NULL, '5', '1', '0', '1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-20 10:50:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:50:57', 'SYYYY-MM-DD HH24:MI:SS'), '1563042152077426689', '1563042152077426689');
INSERT INTO "ZMRQ"."SYS_MENU" VALUES ('1572055810799398914', '用户缴费', NULL, 'indooraddUserSettle', '1572055684576014338', NULL, '1', '1', '0', '1', NULL, NULL, NULL, NULL, NULL, NULL, 'indooraddUserSettle', NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-20 10:51:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:51:27', 'SYYYY-MM-DD HH24:MI:SS'), '1563042152077426689', '1563042152077426689');
INSERT INTO "ZMRQ"."SYS_MENU" VALUES ('1572055937270247426', '工程派工', NULL, '/indoorproDispatch', '1572053608865296386', NULL, '6', '1', '0', '1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-20 10:51:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:55:13', 'SYYYY-MM-DD HH24:MI:SS'), '1563042152077426689', '1563042152077426689');
INSERT INTO "ZMRQ"."SYS_MENU" VALUES ('1572056063363608577', '工程实施', NULL, '/indoorprojTemp', '1572053608865296386', NULL, '7', '1', '0', '1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-20 10:52:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:06:02', 'SYYYY-MM-DD HH24:MI:SS'), '1563042152077426689', '1563042152077426689');
INSERT INTO "ZMRQ"."SYS_MENU" VALUES ('1572056158939213826', '工程验收', NULL, '/indoorproCheck', '1572053608865296386', NULL, '8', '1', '0', '1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-20 10:52:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:56:41', 'SYYYY-MM-DD HH24:MI:SS'), '1563042152077426689', '1563042152077426689');
INSERT INTO "ZMRQ"."SYS_MENU" VALUES ('1572056257467609089', '工程结算', NULL, '/indoorproSettlement', '1572053608865296386', NULL, '9', '1', '0', '1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-20 10:53:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:59:17', 'SYYYY-MM-DD HH24:MI:SS'), '1563042152077426689', '1563042152077426689');
INSERT INTO "ZMRQ"."SYS_MENU" VALUES ('1572776211745718274', '岗位管理', NULL, 'jobManage', '1570618270527598594', NULL, '1', '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL, 'jobManage', NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-22 10:34:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 13:43:26', 'SYYYY-MM-DD HH24:MI:SS'), '1572117095968747521', '1574945313813704706');
INSERT INTO "ZMRQ"."SYS_MENU" VALUES ('1570312013841289217', '权限管理', NULL, '/sys/widgets', '1570312013841289217', NULL, '1', '1', '0', '1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-15 15:22:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 11:23:53', 'SYYYY-MM-DD HH24:MI:SS'), '1564089266203029506', '1564089266203029506');
INSERT INTO "ZMRQ"."SYS_MENU" VALUES ('1570614272458305538', '权限管理', NULL, NULL, '0', NULL, '1', '1', '0', '1', NULL, NULL, NULL, NULL, NULL, NULL, 'sysSetting', NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-16 11:23:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-17 11:56:05', 'SYYYY-MM-DD HH24:MI:SS'), '1564089266203029506', '1564089266203029506');
INSERT INTO "ZMRQ"."SYS_MENU" VALUES ('1570614693734199298', '系统管理', NULL, '/sys', '1570312013841289217', NULL, '2', '1', '0', '1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-16 11:24:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 11:24:58', 'SYYYY-MM-DD HH24:MI:SS'), '1564089266203029506', '1564089266203029506');
INSERT INTO "ZMRQ"."SYS_MENU" VALUES ('1570618059361169409', '系统设置', NULL, '/sysType', '1570614272458305538', NULL, '2', '1', '0', '1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-16 11:38:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 15:11:37', 'SYYYY-MM-DD HH24:MI:SS'), '1564089266203029506', '1');
INSERT INTO "ZMRQ"."SYS_MENU" VALUES ('1570618270527598594', '权限管理', NULL, '/sys/widgets', '1570614272458305538', NULL, '1', '1', '0', '1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-16 11:39:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-17 15:44:54', 'SYYYY-MM-DD HH24:MI:SS'), '1564089266203029506', '1564089266203029506');
INSERT INTO "ZMRQ"."SYS_MENU" VALUES ('1570618551243976705', '系统管理', NULL, '/sys', '1570614272458305538', NULL, '2', '1', '0', '1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-16 11:40:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 15:18:50', 'SYYYY-MM-DD HH24:MI:SS'), '1564089266203029506', '1');
INSERT INTO "ZMRQ"."SYS_MENU" VALUES ('1570618788180209665', '公共流程管理', NULL, '/flowManage', '1570614272458305538', NULL, '4', '1', '0', '1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-16 11:41:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:57:54', 'SYYYY-MM-DD HH24:MI:SS'), '1564089266203029506', '1');
INSERT INTO "ZMRQ"."SYS_MENU" VALUES ('1571738726118838273', '材料类型维护', NULL, 'mlTypeMaintenance', '1571736697136861185', NULL, '4', '1', '0', '1', NULL, NULL, NULL, NULL, NULL, NULL, 'mlTypeMaintenance', NULL, NULL, NULL, NULL, '1', TO_DATE('2022-09-19 13:51:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 13:51:28', 'SYYYY-MM-DD HH24:MI:SS'), '1563042152077426689', '1563042152077426689');
INSERT INTO "ZMRQ"."SYS_MENU" VALUES ('1571746139102248962', '设计方案', NULL, '/designPlan', '1567426391619268610', NULL, '2', '1', '0', '1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-19 14:20:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:20:55', 'SYYYY-MM-DD HH24:MI:SS'), '1563042152077426689', '1563042152077426689');
INSERT INTO "ZMRQ"."SYS_MENU" VALUES ('1571747466465247233', '设计方案', NULL, 'designPlan', '1571746139102248962', NULL, '1', '1', '0', '1', NULL, NULL, NULL, NULL, NULL, NULL, 'designPlan', NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-19 14:26:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:26:12', 'SYYYY-MM-DD HH24:MI:SS'), '1563042152077426689', '1563042152077426689');
INSERT INTO "ZMRQ"."SYS_MENU" VALUES ('1572036130646908929', '工程验收', NULL, '/mcpproCheck', '1567426391619268610', NULL, '5', '1', '0', '1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-20 09:33:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:07:58', 'SYYYY-MM-DD HH24:MI:SS'), '1563042152077426689', '1563042152077426689');
INSERT INTO "ZMRQ"."SYS_MENU" VALUES ('1572036218219782146', '工程结算', NULL, '/mcpproSettlement', '1567426391619268610', NULL, '6', '1', '0', '1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-20 09:33:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:11:00', 'SYYYY-MM-DD HH24:MI:SS'), '1563042152077426689', '1563042152077426689');
INSERT INTO "ZMRQ"."SYS_MENU" VALUES ('1572036361681756161', '转固', NULL, NULL, '1567426391619268610', NULL, '7', '1', '0', '1', NULL, NULL, NULL, NULL, NULL, NULL, '/toFixedAssets', NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-20 09:34:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:14:23', 'SYYYY-MM-DD HH24:MI:SS'), '1563042152077426689', '1563042152077426689');
INSERT INTO "ZMRQ"."SYS_MENU" VALUES ('1572037163766898689', '工程监检上报', NULL, 'mcpProjReport', '1571772738531074049', NULL, '1', '1', '0', '1', NULL, NULL, NULL, NULL, NULL, NULL, 'mcpProjReport', NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-20 09:37:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 09:37:21', 'SYYYY-MM-DD HH24:MI:SS'), '1563042152077426689', '1563042152077426689');
INSERT INTO "ZMRQ"."SYS_MENU" VALUES ('1572037370143432706', '工程监检完成', NULL, 'mcpProjComp', '1571772738531074049', NULL, '2', '1', '0', '1', NULL, NULL, NULL, NULL, NULL, NULL, 'mcpProjComp', NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-20 09:38:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 09:38:10', 'SYYYY-MM-DD HH24:MI:SS'), '1563042152077426689', '1563042152077426689');
INSERT INTO "ZMRQ"."SYS_MENU" VALUES ('1572037508773568514', '开工报告', NULL, 'mcpStartProj', '1571772738531074049', NULL, '3', '1', '0', '1', NULL, NULL, NULL, NULL, NULL, NULL, 'mcpStartProj', NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-20 09:38:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 09:38:43', 'SYYYY-MM-DD HH24:MI:SS'), '1563042152077426689', '1563042152077426689');
INSERT INTO "ZMRQ"."SYS_MENU" VALUES ('1572777354345431041', '组织机构管理', NULL, 'organizationManage', '1570618059361169409', NULL, '1', '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL, 'organizationManage', NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-22 10:38:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 15:11:54', 'SYYYY-MM-DD HH24:MI:SS'), '1572117095968747521', '1');
INSERT INTO "ZMRQ"."SYS_MENU" VALUES ('1572039843977449473', '工程派工', NULL, 'mcpaddDispatch', '1570595328229978114', NULL, '1', '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL, 'mcpaddDispatch', NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-20 09:48:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 09:48:41', 'SYYYY-MM-DD HH24:MI:SS'), '1563042152077426689', '1563042152077426689');
INSERT INTO "ZMRQ"."SYS_MENU" VALUES ('1572040598385938433', '材料计划', NULL, 'mcpmaterialPlan', '1570595328229978114', NULL, '2', '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL, 'mcpmaterialPlan', NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-20 09:51:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 09:51:58', 'SYYYY-MM-DD HH24:MI:SS'), '1563042152077426689', '1563042152077426689');
INSERT INTO "ZMRQ"."SYS_MENU" VALUES ('1572040787188338689', '施工班组和人员', NULL, 'mcpproTeamPerson', '1570595328229978114', NULL, '3', '1', '0', '1', NULL, NULL, NULL, NULL, NULL, NULL, 'mcpproTeamPerson', NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-20 09:51:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 09:51:45', 'SYYYY-MM-DD HH24:MI:SS'), '1563042152077426689', '1563042152077426689');
INSERT INTO "ZMRQ"."SYS_MENU" VALUES ('1572041017162027010', '技术交底', NULL, 'mcpTecDisclosure', '1570595328229978114', NULL, '4', '1', '0', '1', NULL, NULL, NULL, NULL, NULL, NULL, 'mcpTecDisclosure', NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-20 09:52:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 09:52:40', 'SYYYY-MM-DD HH24:MI:SS'), '1563042152077426689', '1563042152077426689');
INSERT INTO "ZMRQ"."SYS_MENU" VALUES ('1572056617812848642', '工程派工', NULL, 'indooraddDispatch', '1572055937270247426', NULL, '1', '1', '0', '1', NULL, NULL, NULL, NULL, NULL, NULL, 'indooraddDispatch', NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-20 10:54:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:54:39', 'SYYYY-MM-DD HH24:MI:SS'), '1563042152077426689', '1563042152077426689');
INSERT INTO "ZMRQ"."SYS_MENU" VALUES ('1572056967978512385', '施工班组和人员', NULL, 'indoorproTeamPerson', '1572055937270247426', NULL, '2', '1', '0', '1', NULL, NULL, NULL, NULL, NULL, NULL, 'indoorproTeamPerson', NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-20 10:56:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:56:03', 'SYYYY-MM-DD HH24:MI:SS'), '1563042152077426689', '1563042152077426689');
INSERT INTO "ZMRQ"."SYS_MENU" VALUES ('1572057250385195010', '工程验收', NULL, 'indooraddCheck', '1572056158939213826', NULL, '1', '1', '0', '1', NULL, NULL, NULL, NULL, NULL, NULL, 'indooraddCheck', NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-20 10:57:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:57:10', 'SYYYY-MM-DD HH24:MI:SS'), '1563042152077426689', '1563042152077426689');
INSERT INTO "ZMRQ"."SYS_MENU" VALUES ('1572058033885376514', '用户结算', NULL, 'indooruserSettle', '1572056257467609089', NULL, '1', '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL, 'indooruserSettle', NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-20 11:00:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:01:05', 'SYYYY-MM-DD HH24:MI:SS'), '1563042152077426689', '1563042152077426689');
INSERT INTO "ZMRQ"."SYS_MENU" VALUES ('1572058168476397570', '施工单位结算', NULL, 'indoorunitSettle', '1572056257467609089', NULL, '2', '1', '0', '1', NULL, NULL, NULL, NULL, NULL, NULL, 'indoorunitSettle', NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-20 11:00:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:00:49', 'SYYYY-MM-DD HH24:MI:SS'), '1563042152077426689', '1563042152077426689');
INSERT INTO "ZMRQ"."SYS_MENU" VALUES ('1572059228838391810', '工程领料', NULL, 'indoorProjRecieveMaterial', '1572056063363608577', NULL, '1', '1', '0', '1', NULL, NULL, NULL, NULL, NULL, NULL, 'indoorProjRecieveMaterial', NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-20 11:05:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:05:02', 'SYYYY-MM-DD HH24:MI:SS'), '1563042152077426689', '1563042152077426689');
INSERT INTO "ZMRQ"."SYS_MENU" VALUES ('1572059390486867969', '工程管控信息', NULL, 'indoorProjControl', '1572056063363608577', NULL, '2', '1', '0', '1', NULL, NULL, NULL, NULL, NULL, NULL, 'indoorProjControl', NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-20 11:05:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:05:40', 'SYYYY-MM-DD HH24:MI:SS'), '1563042152077426689', '1563042152077426689');
INSERT INTO "ZMRQ"."SYS_MENU" VALUES ('1572059614559170562', '工程自检', NULL, 'indoorProjCheckSelf', '1572056063363608577', NULL, '3', '1', '0', '1', NULL, NULL, NULL, NULL, NULL, NULL, 'indoorProjCheckSelf', NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-20 11:06:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:06:34', 'SYYYY-MM-DD HH24:MI:SS'), '1563042152077426689', '1563042152077426689');
INSERT INTO "ZMRQ"."SYS_MENU" VALUES ('1572060584970121217', '工程补料', NULL, '/getMaterial', '1567427074263216130', NULL, '1', '1', '0', '1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-20 11:10:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:10:25', 'SYYYY-MM-DD HH24:MI:SS'), '1563042152077426689', '1563042152077426689');
INSERT INTO "ZMRQ"."SYS_MENU" VALUES ('1572060735642103810', '工程补料', NULL, 'getMaterial', '1572060584970121217', NULL, '1', '1', '0', '1', NULL, NULL, NULL, NULL, NULL, NULL, 'getMaterial', NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-20 11:11:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:11:01', 'SYYYY-MM-DD HH24:MI:SS'), '1563042152077426689', '1563042152077426689');
INSERT INTO "ZMRQ"."SYS_MENU" VALUES ('1572060891699572737', '设计变更', NULL, '/designChange', '1567427074263216130', NULL, '2', '1', '0', '1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-20 11:11:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:11:38', 'SYYYY-MM-DD HH24:MI:SS'), '1563042152077426689', '1563042152077426689');
INSERT INTO "ZMRQ"."SYS_MENU" VALUES ('1572061017499332609', '设计变更', NULL, 'designChange', '1572060891699572737', NULL, '1', '1', '0', '1', NULL, NULL, NULL, NULL, NULL, NULL, 'designChange', NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-20 11:12:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:12:08', 'SYYYY-MM-DD HH24:MI:SS'), '1563042152077426689', '1563042152077426689');
INSERT INTO "ZMRQ"."SYS_MENU" VALUES ('1572061200400347138', '工程终止', NULL, '/projTermination', '1567427074263216130', NULL, '3', '1', '0', '1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-20 11:12:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:12:52', 'SYYYY-MM-DD HH24:MI:SS'), '1563042152077426689', '1563042152077426689');
INSERT INTO "ZMRQ"."SYS_MENU" VALUES ('1572061335876366337', '工程终止', NULL, 'projTermination', '1572061200400347138', NULL, '1', '1', '0', '1', NULL, NULL, NULL, NULL, NULL, NULL, 'projTermination', NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-20 11:13:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:13:24', 'SYYYY-MM-DD HH24:MI:SS'), '1563042152077426689', '1563042152077426689');
INSERT INTO "ZMRQ"."SYS_MENU" VALUES ('1572061571604639745', '延期合同签订', NULL, '/delayContract', '1567427074263216130', NULL, '7', '1', '0', '1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-20 11:14:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:14:20', 'SYYYY-MM-DD HH24:MI:SS'), '1563042152077426689', '1563042152077426689');
INSERT INTO "ZMRQ"."SYS_MENU" VALUES ('1572061726387040257', '延期合同签订', NULL, 'delayContract', '1572061571604639745', NULL, '1', '1', '0', '1', NULL, NULL, NULL, NULL, NULL, NULL, 'delayContract', NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-20 11:14:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:14:57', 'SYYYY-MM-DD HH24:MI:SS'), '1563042152077426689', '1563042152077426689');
INSERT INTO "ZMRQ"."SYS_MENU" VALUES ('1572061970663305218', '工程退费管理', NULL, '/ProRefund', '1567427074263216130', NULL, '4', '1', '0', '1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-20 11:15:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 11:10:27', 'SYYYY-MM-DD HH24:MI:SS'), '1563042152077426689', '1571688988283506690');
INSERT INTO "ZMRQ"."SYS_MENU" VALUES ('1572062101240377346', '工程退费申请', NULL, 'bgaddRefund', '1572061970663305218', NULL, '1', '1', '0', '1', NULL, NULL, NULL, NULL, NULL, NULL, 'bgaddRefund', NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-20 11:16:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:16:27', 'SYYYY-MM-DD HH24:MI:SS'), '1563042152077426689', '1563042152077426689');
INSERT INTO "ZMRQ"."SYS_MENU" VALUES ('1572062283721961473', '项目负责人变更', NULL, '/proChargeChange', '1567427074263216130', NULL, '6', '1', '0', '1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-20 11:17:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:17:10', 'SYYYY-MM-DD HH24:MI:SS'), '1563042152077426689', '1563042152077426689');
INSERT INTO "ZMRQ"."SYS_MENU" VALUES ('1572779186476138498', '施工班组设置', NULL, '/constructionTeam', '1571674389127630850', NULL, '4', '1', '0', '1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-22 10:45:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 14:16:39', 'SYYYY-MM-DD HH24:MI:SS'), '1572117095968747521', '1572117095968747521');
INSERT INTO "ZMRQ"."SYS_MENU" VALUES ('1572779532166479873', '工程管控配置', NULL, '/processConfiguration', '1571674389127630850', NULL, '5', '1', '0', '1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-22 10:47:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 14:16:22', 'SYYYY-MM-DD HH24:MI:SS'), '1572117095968747521', '1572117095968747521');
INSERT INTO "ZMRQ"."SYS_MENU" VALUES ('1572779702211952641', '材料管理', NULL, '/materialMaintenance', '1571674389127630850', NULL, '6', '1', '0', '1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-22 10:47:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 14:15:52', 'SYYYY-MM-DD HH24:MI:SS'), '1572117095968747521', '1572117095968747521');
INSERT INTO "ZMRQ"."SYS_MENU" VALUES ('1572780446189207554', '材料信息维护', NULL, 'materialMaintenance', '1572779702211952641', NULL, '1', '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL, 'materialMaintenance', NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-22 10:50:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 11:36:09', 'SYYYY-MM-DD HH24:MI:SS'), '1572117095968747521', '1572117095968747521');
INSERT INTO "ZMRQ"."SYS_MENU" VALUES ('1572780574992089089', '材料类型维护', NULL, 'mlTypeMaintenance', '1572779702211952641', NULL, '2', '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL, 'mlTypeMaintenance', NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-22 10:51:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 11:36:14', 'SYYYY-MM-DD HH24:MI:SS'), '1572117095968747521', '1572117095968747521');
INSERT INTO "ZMRQ"."SYS_MENU" VALUES ('1572795538091810818', '材料计划', NULL, 'materialPlan', '1568483739917893633', NULL, '2', '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL, 'materialPlan', NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-22 11:50:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 15:08:46', 'SYYYY-MM-DD HH24:MI:SS'), '1572117095968747521', '1572117095968747521');
INSERT INTO "ZMRQ"."SYS_MENU" VALUES ('1572795661505011713', '施工班组和人员', NULL, 'proTeamPerson', '1568483739917893633', NULL, '3', '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL, 'proTeamPerson', NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-22 11:51:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 15:09:14', 'SYYYY-MM-DD HH24:MI:SS'), '1572117095968747521', '1572117095968747521');
INSERT INTO "ZMRQ"."SYS_MENU" VALUES ('1572795781466300418', '技术交底', NULL, 'TecDisclosure', '1568483739917893633', NULL, '4', '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL, 'TecDisclosure', NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-22 11:51:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 15:09:39', 'SYYYY-MM-DD HH24:MI:SS'), '1572117095968747521', '1572117095968747521');
INSERT INTO "ZMRQ"."SYS_MENU" VALUES ('1572796082785099778', '工程退料', NULL, 'proRematerial', '1568483976925429762', NULL, '2', '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL, 'proRematerial', NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-22 11:53:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 15:10:13', 'SYYYY-MM-DD HH24:MI:SS'), '1572117095968747521', '1572117095968747521');
INSERT INTO "ZMRQ"."SYS_MENU" VALUES ('1572789021925974017', '施工班组配置', NULL, 'constructionTeam', '1572779186476138498', NULL, '1', '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL, 'constructionTeam', NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-22 11:24:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 11:25:36', 'SYYYY-MM-DD HH24:MI:SS'), '1572117095968747521', '1572117095968747521');
INSERT INTO "ZMRQ"."SYS_MENU" VALUES ('1572789481680412674', '改管维修小仓库管理', NULL, '/wxWarehouse', '1571674389127630850', NULL, '7', '1', '0', '1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-22 11:26:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 11:42:04', 'SYYYY-MM-DD HH24:MI:SS'), '1572117095968747521', '1572117095968747521');
INSERT INTO "ZMRQ"."SYS_MENU" VALUES ('1572832383626387458', 'APP菜单设置', NULL, NULL, '0', NULL, '8', '1', '4', '1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-22 14:17:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:40:35', 'SYYYY-MM-DD HH24:MI:SS'), '1564089266203029506', '1574945313813704706');
INSERT INTO "ZMRQ"."SYS_MENU" VALUES ('1572836841324290050', '用户缴费', NULL, 'yonghujiaofei', '1572832383626387458', NULL, '3', '1', '4', '1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-22 14:34:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:36:34', 'SYYYY-MM-DD HH24:MI:SS'), '1571808470779846657', '1574945313813704706');
INSERT INTO "ZMRQ"."SYS_MENU" VALUES ('1572836939831713793', '工程派工', NULL, 'gongchengpaigong', '1572832383626387458', NULL, '4', '1', '4', '1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-22 14:35:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:36:40', 'SYYYY-MM-DD HH24:MI:SS'), '1571808470779846657', '1574945313813704706');
INSERT INTO "ZMRQ"."SYS_MENU" VALUES ('1572837052390055938', '技术交底', NULL, 'jishujiaodi', '1572832383626387458', NULL, '5', '1', '4', '1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-22 14:35:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:36:45', 'SYYYY-MM-DD HH24:MI:SS'), '1571808470779846657', '1574945313813704706');
INSERT INTO "ZMRQ"."SYS_MENU" VALUES ('1572847122557444098', '工程监检完成', NULL, 'projcheckComp', '1568483871778422785', NULL, '1', '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL, 'projcheckComp', NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-22 15:15:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 15:25:12', 'SYYYY-MM-DD HH24:MI:SS'), '1572117095968747521', '1572117095968747521');
INSERT INTO "ZMRQ"."SYS_MENU" VALUES ('1572848592463863809', '工程监检上报', NULL, 'projcheckReport', '1568483871778422785', NULL, '2', '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL, 'projcheckReport', NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-22 15:21:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 15:25:27', 'SYYYY-MM-DD HH24:MI:SS'), '1572117095968747521', '1572117095968747521');
INSERT INTO "ZMRQ"."SYS_MENU" VALUES ('1568482594885484546', '工程登记', NULL, '/register', '1554642838305005569', NULL, '1', '1', '0', '1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-10 14:12:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 10:51:44', 'SYYYY-MM-DD HH24:MI:SS'), '1564089266203029506', '1564089266203029506');
INSERT INTO "ZMRQ"."SYS_MENU" VALUES ('1568482739010158593', '现场勘察', NULL, '/investigation', '1554642838305005569', NULL, '2', '1', '0', '1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-10 14:13:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 10:52:13', 'SYYYY-MM-DD HH24:MI:SS'), '1564089266203029506', '1564089266203029506');
INSERT INTO "ZMRQ"."SYS_MENU" VALUES ('1572848789214470145', '开工报告', NULL, 'startReport', '1568483871778422785', NULL, '4', '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL, 'startReport', NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-22 15:22:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 15:25:34', 'SYYYY-MM-DD HH24:MI:SS'), '1572117095968747521', '1572117095968747521');
INSERT INTO "ZMRQ"."SYS_MENU" VALUES ('1568483117915193345', '设计预算', NULL, '/addBudget', '1554642838305005569', NULL, '3', '1', '0', '1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-10 14:14:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 10:52:37', 'SYYYY-MM-DD HH24:MI:SS'), '1564089266203029506', '1564089266203029506');
INSERT INTO "ZMRQ"."SYS_MENU" VALUES ('1568483272991195137', '合同会审', NULL, '/contractCheck', '1554642838305005569', NULL, '4', '1', '0', '1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-10 14:15:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 15:44:46', 'SYYYY-MM-DD HH24:MI:SS'), '1564089266203029506', '1564089266203029506');
INSERT INTO "ZMRQ"."SYS_MENU" VALUES ('1568483527858077698', '合同签订', NULL, '/contractSign', '1554642838305005569', NULL, '5', '1', '0', '1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-10 14:16:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 15:45:11', 'SYYYY-MM-DD HH24:MI:SS'), '1564089266203029506', '1564089266203029506');
INSERT INTO "ZMRQ"."SYS_MENU" VALUES ('1568483651631988738', '用户缴费', NULL, '/userPayment', '1554642838305005569', NULL, '6', '1', '0', '1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-10 14:16:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 15:45:43', 'SYYYY-MM-DD HH24:MI:SS'), '1564089266203029506', '1564089266203029506');
INSERT INTO "ZMRQ"."SYS_MENU" VALUES ('1568483739917893633', '工程派工', NULL, '/proDispatch', '1554642838305005569', NULL, '7', '1', '0', '1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-10 14:17:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 15:41:44', 'SYYYY-MM-DD HH24:MI:SS'), '1564089266203029506', '1574215643808002049');
INSERT INTO "ZMRQ"."SYS_MENU" VALUES ('1568483871778422785', '工程实施', NULL, '/indoorprojTemp', '1554642838305005569', NULL, '8', '1', '0', '1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-10 14:17:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 15:46:49', 'SYYYY-MM-DD HH24:MI:SS'), '1564089266203029506', '1564089266203029506');
INSERT INTO "ZMRQ"."SYS_MENU" VALUES ('1568483976925429762', '工程验收', NULL, '/mcpproCheck', '1554642838305005569', NULL, '9', '1', '0', '1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-10 14:18:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 15:47:15', 'SYYYY-MM-DD HH24:MI:SS'), '1564089266203029506', '1564089266203029506');
INSERT INTO "ZMRQ"."SYS_MENU" VALUES ('1568484152826150913', '工程结算', NULL, '/mcpproSettlement', '1554642838305005569', NULL, '10', '1', '0', '1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-10 14:18:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 15:47:46', 'SYYYY-MM-DD HH24:MI:SS'), '1564089266203029506', '1564089266203029506');
INSERT INTO "ZMRQ"."SYS_MENU" VALUES ('1568484284103671809', '费用汇总', NULL, '/mcpcostGather', '1554642838305005569', NULL, '11', '1', '0', '1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-10 14:19:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 15:48:14', 'SYYYY-MM-DD HH24:MI:SS'), '1564089266203029506', '1564089266203029506');
INSERT INTO "ZMRQ"."SYS_MENU" VALUES ('1568484466941771777', '用户移交维保', NULL, '/transferAndSettlement', '1554642838305005569', NULL, '12', '1', '0', '1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-10 14:20:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:17:44', 'SYYYY-MM-DD HH24:MI:SS'), '1564089266203029506', '1574945313813704706');
INSERT INTO "ZMRQ"."SYS_MENU" VALUES ('1572848935910252546', '工程领料', NULL, 'recieveMaterial', '1568483871778422785', NULL, '5', '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL, 'recieveMaterial', NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-22 15:23:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 15:28:40', 'SYYYY-MM-DD HH24:MI:SS'), '1572117095968747521', '1572117095968747521');
INSERT INTO "ZMRQ"."SYS_MENU" VALUES ('1570586436246818818', '工程立项', NULL, '/projectBuild', '1567426391619268610', NULL, '1', '1', '0', '1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1', '0', TO_DATE('2022-09-16 09:32:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 10:56:40', 'SYYYY-MM-DD HH24:MI:SS'), '1562365397418708993', '1');
INSERT INTO "ZMRQ"."SYS_MENU" VALUES ('1570595328229978114', '工程派工', NULL, '/mcpproDispatch', '1567426391619268610', NULL, '3', '1', '0', '1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-16 10:08:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 09:49:38', 'SYYYY-MM-DD HH24:MI:SS'), '1562365397418708993', '1563042152077426689');
INSERT INTO "ZMRQ"."SYS_MENU" VALUES ('1570678741326725121', '流程配置页面', NULL, 'flowConfig', '1570618788180209665', NULL, '2', '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL, 'flowConfig', NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-16 15:39:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:58:02', 'SYYYY-MM-DD HH24:MI:SS'), '1564089266203029506', '1');
INSERT INTO "ZMRQ"."SYS_MENU" VALUES ('1570679403540217858', '流程模板配置页面', NULL, 'modelflowConfig', '1570618788180209665', NULL, '3', '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL, 'modelflowConfig', NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-16 15:42:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:01:14', 'SYYYY-MM-DD HH24:MI:SS'), '1564089266203029506', '1');
INSERT INTO "ZMRQ"."SYS_MENU" VALUES ('1571679659857809409', '工序名称', NULL, 'workProcedure', '1571674879462739970', NULL, '1', '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL, 'workProcedure', NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-19 09:56:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 15:03:22', 'SYYYY-MM-DD HH24:MI:SS'), '1563042152077426689', '1');
INSERT INTO "ZMRQ"."SYS_MENU" VALUES ('1571680876851892225', '节假日设置', NULL, 'holidaySetting', '1571678995383586817', NULL, '1', '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL, 'holidaySetting', NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-19 10:01:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 15:04:20', 'SYYYY-MM-DD HH24:MI:SS'), '1563042152077426689', '1');
INSERT INTO "ZMRQ"."SYS_MENU" VALUES ('1571738521319362561', '材料信息维护', NULL, 'materialMaintenance', '1571736697136861185', NULL, '3', '1', '0', '1', NULL, NULL, NULL, NULL, NULL, NULL, 'materialMaintenance', NULL, NULL, NULL, NULL, '1', TO_DATE('2022-09-19 13:50:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 13:50:39', 'SYYYY-MM-DD HH24:MI:SS'), '1563042152077426689', '1563042152077426689');
INSERT INTO "ZMRQ"."SYS_MENU" VALUES ('1571746737381965825', '工程立项', NULL, 'projectBuild', '1570586436246818818', NULL, '1', '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL, 'projectBuild', NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-19 14:23:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 10:54:44', 'SYYYY-MM-DD HH24:MI:SS'), '1563042152077426689', '1');
INSERT INTO "ZMRQ"."SYS_MENU" VALUES ('1571772738531074049', '工程实施', NULL, '/prJtemp', '1567426391619268610', NULL, '4', '1', '0', '1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-19 16:06:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 09:50:09', 'SYYYY-MM-DD HH24:MI:SS'), '1563042152077426689', '1563042152077426689');
INSERT INTO "ZMRQ"."SYS_MENU" VALUES ('1572855226154098689', '资料归集', NULL, 'addMeans', '1568484152826150913', NULL, '7', '1', '0', '1', NULL, NULL, NULL, NULL, NULL, NULL, 'addMeans', NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-22 15:48:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 15:48:02', 'SYYYY-MM-DD HH24:MI:SS'), '1571688988283506690', '1571688988283506690');
INSERT INTO "ZMRQ"."SYS_MENU" VALUES ('1574672365441880066', '111', NULL, NULL, '1570618270527598594', NULL, '111', '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1', TO_DATE('2022-09-27 16:08:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 16:08:42', 'SYYYY-MM-DD HH24:MI:SS'), '1562365397418708993', '1562365397418708993');
INSERT INTO "ZMRQ"."SYS_MENU" VALUES ('1574695295013974018', '阿达萨达萨达萨达萨达', NULL, NULL, '1570618270527598594', NULL, '34', '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1', TO_DATE('2022-09-27 17:39:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 17:39:49', 'SYYYY-MM-DD HH24:MI:SS'), '1562365397418708993', '1562365397418708993');
INSERT INTO "ZMRQ"."SYS_MENU" VALUES ('1574943367807643650', '个人信息', NULL, '/dashboard', '1554643767427227650', NULL, '1', '1', '0', '1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-28 10:05:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:05:34', 'SYYYY-MM-DD HH24:MI:SS'), '1573859622077870082', '1573859622077870082');
INSERT INTO "ZMRQ"."SYS_MENU" VALUES ('1574943706833235970', '首页信息', NULL, '/dashboard', '1574943367807643650', NULL, '1', '1', '1', '1', NULL, NULL, NULL, NULL, NULL, NULL, 'dashboard', NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-28 10:06:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:06:55', 'SYYYY-MM-DD HH24:MI:SS'), '1573859622077870082', '1573859622077870082');
INSERT INTO "ZMRQ"."SYS_MENU" VALUES ('1575321639330537474', '321', NULL, '321', '1572789278025981954', '312', '23', '1', '3', '1', NULL, NULL, NULL, NULL, NULL, NULL, '312', NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-29 11:08:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 11:08:41', 'SYYYY-MM-DD HH24:MI:SS'), '1', '1');
INSERT INTO "ZMRQ"."SYS_MENU" VALUES ('1575322733758668802', '测试按钮', NULL, '1', '1570618270527598594', '1', '1', '1', '2', '1', NULL, NULL, NULL, NULL, NULL, NULL, '1', NULL, NULL, NULL, NULL, '1', TO_DATE('2022-09-29 11:13:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 11:13:02', 'SYYYY-MM-DD HH24:MI:SS'), '1', '1');

-- ----------------------------
-- Table structure for SYS_MENU_TENANT
-- ----------------------------
DROP TABLE "ZMRQ"."SYS_MENU_TENANT";
CREATE TABLE "ZMRQ"."SYS_MENU_TENANT" (
  "ID" NUMBER(20,0) NOT NULL,
  "MENU_ID" NUMBER(20,0) NOT NULL,
  "TENANT_ID" NUMBER(20,0) NOT NULL
)
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "ZMRQ"."SYS_MENU_TENANT"."ID" IS '主键ID';
COMMENT ON COLUMN "ZMRQ"."SYS_MENU_TENANT"."MENU_ID" IS '菜单ID';
COMMENT ON COLUMN "ZMRQ"."SYS_MENU_TENANT"."TENANT_ID" IS '租户ID，0代表全部';
COMMENT ON TABLE "ZMRQ"."SYS_MENU_TENANT" IS '菜单组织权限关联';

-- ----------------------------
-- Records of SYS_MENU_TENANT
-- ----------------------------
INSERT INTO "ZMRQ"."SYS_MENU_TENANT" VALUES ('1570673639379513346', '1570673639358541825', '0');
INSERT INTO "ZMRQ"."SYS_MENU_TENANT" VALUES ('1571405091389915137', '1568483651631988738', '0');
INSERT INTO "ZMRQ"."SYS_MENU_TENANT" VALUES ('1571404851987431425', '1568483272991195137', '0');
INSERT INTO "ZMRQ"."SYS_MENU_TENANT" VALUES ('1571404956899557377', '1568483527858077698', '0');
INSERT INTO "ZMRQ"."SYS_MENU_TENANT" VALUES ('1575056738662072321', '1572836695614169089', '0');
INSERT INTO "ZMRQ"."SYS_MENU_TENANT" VALUES ('1571405368440471553', '1568483871778422785', '0');
INSERT INTO "ZMRQ"."SYS_MENU_TENANT" VALUES ('1571405476376690690', '1568483976925429762', '0');
INSERT INTO "ZMRQ"."SYS_MENU_TENANT" VALUES ('1571405605938741249', '1568484152826150913', '0');
INSERT INTO "ZMRQ"."SYS_MENU_TENANT" VALUES ('1571405723328921601', '1568484284103671809', '0');
INSERT INTO "ZMRQ"."SYS_MENU_TENANT" VALUES ('1575056866999386114', '1572836841324290050', '0');
INSERT INTO "ZMRQ"."SYS_MENU_TENANT" VALUES ('1570984915536187394', '1570614272458305538', '0');
INSERT INTO "ZMRQ"."SYS_MENU_TENANT" VALUES ('1572851339942699010', '1572851339917533186', '0');
INSERT INTO "ZMRQ"."SYS_MENU_TENANT" VALUES ('1575056892215541762', '1572836939831713793', '0');
INSERT INTO "ZMRQ"."SYS_MENU_TENANT" VALUES ('1572851541164433410', '1572851541135073282', '0');
INSERT INTO "ZMRQ"."SYS_MENU_TENANT" VALUES ('1575056913354833921', '1572837052390055938', '0');
INSERT INTO "ZMRQ"."SYS_MENU_TENANT" VALUES ('1573140845719764994', '1573137161678077954', '0');
INSERT INTO "ZMRQ"."SYS_MENU_TENANT" VALUES ('1575056949518123009', '1572837185089445889', '0');
INSERT INTO "ZMRQ"."SYS_MENU_TENANT" VALUES ('1573140954478067714', '1573140954457096193', '0');
INSERT INTO "ZMRQ"."SYS_MENU_TENANT" VALUES ('1573144287989252097', '1570586436246818818', '0');
INSERT INTO "ZMRQ"."SYS_MENU_TENANT" VALUES ('1575056976684630017', '1572837334729629698', '0');
INSERT INTO "ZMRQ"."SYS_MENU_TENANT" VALUES ('1573143802624393217', '1571746737381965825', '0');
INSERT INTO "ZMRQ"."SYS_MENU_TENANT" VALUES ('1575057024550027265', '1572837564405522433', '0');
INSERT INTO "ZMRQ"."SYS_MENU_TENANT" VALUES ('1575360582579150849', '1572776211745718274', '0');
INSERT INTO "ZMRQ"."SYS_MENU_TENANT" VALUES ('1572790222709071873', '1572790222692294657', '0');
INSERT INTO "ZMRQ"."SYS_MENU_TENANT" VALUES ('1574946489758134275', '1571328916844044290', '1');
INSERT INTO "ZMRQ"."SYS_MENU_TENANT" VALUES ('1574292191760130050', '1570678741326725121', '0');
INSERT INTO "ZMRQ"."SYS_MENU_TENANT" VALUES ('1572836595357720577', '1572832711356719105', '0');
INSERT INTO "ZMRQ"."SYS_MENU_TENANT" VALUES ('1571042495184887809', '1570618270527598594', '0');
INSERT INTO "ZMRQ"."SYS_MENU_TENANT" VALUES ('1571326984800821249', '1571326984775655426', '0');
INSERT INTO "ZMRQ"."SYS_MENU_TENANT" VALUES ('1574946427325919234', '1568484466941771777', '1570225246022770689');
INSERT INTO "ZMRQ"."SYS_MENU_TENANT" VALUES ('1574946427334307842', '1568484466941771777', '1');
INSERT INTO "ZMRQ"."SYS_MENU_TENANT" VALUES ('1574946489758134274', '1571328916844044290', '1570225246022770689');
INSERT INTO "ZMRQ"."SYS_MENU_TENANT" VALUES ('1572850319963463681', '1572849283362201602', '0');
INSERT INTO "ZMRQ"."SYS_MENU_TENANT" VALUES ('1572850349835296770', '1572848935910252546', '0');
INSERT INTO "ZMRQ"."SYS_MENU_TENANT" VALUES ('1571327170155503618', '1571327170130337793', '0');
INSERT INTO "ZMRQ"."SYS_MENU_TENANT" VALUES ('1571327400062083073', '1571327400036917249', '0');
INSERT INTO "ZMRQ"."SYS_MENU_TENANT" VALUES ('1571327560745869314', '1571327560720703489', '0');
INSERT INTO "ZMRQ"."SYS_MENU_TENANT" VALUES ('1571327731701506050', '1571327731676340226', '0');
INSERT INTO "ZMRQ"."SYS_MENU_TENANT" VALUES ('1572852444701401090', '1572852444684623873', '0');
INSERT INTO "ZMRQ"."SYS_MENU_TENANT" VALUES ('1572852591254577154', '1572852591229411329', '0');
INSERT INTO "ZMRQ"."SYS_MENU_TENANT" VALUES ('1572852712620957698', '1572852712595791874', '0');
INSERT INTO "ZMRQ"."SYS_MENU_TENANT" VALUES ('1571328725906743297', '1571328725877383169', '0');
INSERT INTO "ZMRQ"."SYS_MENU_TENANT" VALUES ('1572837666331303937', '1572837468880248833', '0');
INSERT INTO "ZMRQ"."SYS_MENU_TENANT" VALUES ('1573147756099846146', '1572061970663305218', '0');
INSERT INTO "ZMRQ"."SYS_MENU_TENANT" VALUES ('1572062580146008065', '1572062580129230849', '0');
INSERT INTO "ZMRQ"."SYS_MENU_TENANT" VALUES ('1572037801787645953', '1572037801762480129', '0');
INSERT INTO "ZMRQ"."SYS_MENU_TENANT" VALUES ('1573210265238487042', '1570618551243976705', '1');
INSERT INTO "ZMRQ"."SYS_MENU_TENANT" VALUES ('1572845343719563266', '1572795538091810818', '0');
INSERT INTO "ZMRQ"."SYS_MENU_TENANT" VALUES ('1572037659441356802', '1572037659424579586', '0');
INSERT INTO "ZMRQ"."SYS_MENU_TENANT" VALUES ('1572037997300932609', '1572037997279961089', '0');
INSERT INTO "ZMRQ"."SYS_MENU_TENANT" VALUES ('1572038159112986625', '1572038159096209409', '0');
INSERT INTO "ZMRQ"."SYS_MENU_TENANT" VALUES ('1572044867323392001', '1572036130646908929', '0');
INSERT INTO "ZMRQ"."SYS_MENU_TENANT" VALUES ('1572045023057899521', '1572045023032733697', '0');
INSERT INTO "ZMRQ"."SYS_MENU_TENANT" VALUES ('1572045159918039041', '1572045159892873218', '0');
INSERT INTO "ZMRQ"."SYS_MENU_TENANT" VALUES ('1572773646102544386', '1572045970182074370', '0');
INSERT INTO "ZMRQ"."SYS_MENU_TENANT" VALUES ('1572045499308535809', '1572045499287564290', '0');
INSERT INTO "ZMRQ"."SYS_MENU_TENANT" VALUES ('1572045631991148546', '1572036218219782146', '0');
INSERT INTO "ZMRQ"."SYS_MENU_TENANT" VALUES ('1572773972209680386', '1572046116772999170', '0');
INSERT INTO "ZMRQ"."SYS_MENU_TENANT" VALUES ('1572774066782846977', '1572046243940102145', '0');
INSERT INTO "ZMRQ"."SYS_MENU_TENANT" VALUES ('1572774185615867905', '1572046386718404609', '0');
INSERT INTO "ZMRQ"."SYS_MENU_TENANT" VALUES ('1573206566483116033', '1571678995383586817', '1');
INSERT INTO "ZMRQ"."SYS_MENU_TENANT" VALUES ('1572845460132470785', '1572795661505011713', '0');
INSERT INTO "ZMRQ"."SYS_MENU_TENANT" VALUES ('1572046485339074562', '1572036361681756161', '0');
INSERT INTO "ZMRQ"."SYS_MENU_TENANT" VALUES ('1572046656273739778', '1572046656248573954', '0');
INSERT INTO "ZMRQ"."SYS_MENU_TENANT" VALUES ('1572048860560846849', '1572048860535681025', '0');
INSERT INTO "ZMRQ"."SYS_MENU_TENANT" VALUES ('1573210292962836481', '1570674923604094978', '1');
INSERT INTO "ZMRQ"."SYS_MENU_TENANT" VALUES ('1572773396470153217', '1572045787574661122', '0');
INSERT INTO "ZMRQ"."SYS_MENU_TENANT" VALUES ('1573210314320232449', '1570675136129478657', '1');
INSERT INTO "ZMRQ"."SYS_MENU_TENANT" VALUES ('1572049813036953602', '1572049812999204865', '0');
INSERT INTO "ZMRQ"."SYS_MENU_TENANT" VALUES ('1572050019979718658', '1572050019954552834', '0');
INSERT INTO "ZMRQ"."SYS_MENU_TENANT" VALUES ('1572050180189548546', '1572050180164382722', '0');
INSERT INTO "ZMRQ"."SYS_MENU_TENANT" VALUES ('1572050327577391106', '1572050327518670850', '0');
INSERT INTO "ZMRQ"."SYS_MENU_TENANT" VALUES ('1572050594037329921', '1572050594012164098', '0');
INSERT INTO "ZMRQ"."SYS_MENU_TENANT" VALUES ('1572050750476480513', '1572050750451314690', '0');
INSERT INTO "ZMRQ"."SYS_MENU_TENANT" VALUES ('1572050889588961281', '1572050889572184065', '0');
INSERT INTO "ZMRQ"."SYS_MENU_TENANT" VALUES ('1572051151460331522', '1572051151435165698', '0');
INSERT INTO "ZMRQ"."SYS_MENU_TENANT" VALUES ('1572051270943469570', '1572051270926692354', '0');
INSERT INTO "ZMRQ"."SYS_MENU_TENANT" VALUES ('1573210346549264385', '1570675318665588738', '1');
INSERT INTO "ZMRQ"."SYS_MENU_TENANT" VALUES ('1572052255535362050', '1572052255518584833', '0');
INSERT INTO "ZMRQ"."SYS_MENU_TENANT" VALUES ('1572052495671848962', '1572051966845612033', '0');
INSERT INTO "ZMRQ"."SYS_MENU_TENANT" VALUES ('1575391601420259330', '1572049155793711106', '0');
INSERT INTO "ZMRQ"."SYS_MENU_TENANT" VALUES ('1572053975975948290', '1572053975959171073', '0');
INSERT INTO "ZMRQ"."SYS_MENU_TENANT" VALUES ('1572054387512668162', '1572054387495890945', '0');
INSERT INTO "ZMRQ"."SYS_MENU_TENANT" VALUES ('1572054530353885186', '1572054530337107969', '0');
INSERT INTO "ZMRQ"."SYS_MENU_TENANT" VALUES ('1572054770448429057', '1572054770343571457', '0');
INSERT INTO "ZMRQ"."SYS_MENU_TENANT" VALUES ('1575391470872547330', '1572049474112024577', '0');
INSERT INTO "ZMRQ"."SYS_MENU_TENANT" VALUES ('1572055105267134466', '1572055105258745858', '0');
INSERT INTO "ZMRQ"."SYS_MENU_TENANT" VALUES ('1572055244211843073', '1572055244186677249', '0');
INSERT INTO "ZMRQ"."SYS_MENU_TENANT" VALUES ('1572055684710232066', '1572055684576014338', '0');
INSERT INTO "ZMRQ"."SYS_MENU_TENANT" VALUES ('1572055810887479297', '1572055810799398914', '0');
INSERT INTO "ZMRQ"."SYS_MENU_TENANT" VALUES ('1572057129710874625', '1572056158939213826', '0');
INSERT INTO "ZMRQ"."SYS_MENU_TENANT" VALUES ('1573244554445443074', '1567426391619268610', '0');
INSERT INTO "ZMRQ"."SYS_MENU_TENANT" VALUES ('1572057781237280770', '1572056257467609089', '0');
INSERT INTO "ZMRQ"."SYS_MENU_TENANT" VALUES ('1572058235258105858', '1572058033885376514', '0');
INSERT INTO "ZMRQ"."SYS_MENU_TENANT" VALUES ('1572060735658881025', '1572060735642103810', '0');
INSERT INTO "ZMRQ"."SYS_MENU_TENANT" VALUES ('1572056617900929025', '1572056617812848642', '0');
INSERT INTO "ZMRQ"."SYS_MENU_TENANT" VALUES ('1572056760125583361', '1572055937270247426', '0');
INSERT INTO "ZMRQ"."SYS_MENU_TENANT" VALUES ('1572056967986900993', '1572056967978512385', '0');
INSERT INTO "ZMRQ"."SYS_MENU_TENANT" VALUES ('1572057250498441218', '1572057250385195010', '0');
INSERT INTO "ZMRQ"."SYS_MENU_TENANT" VALUES ('1572059390512033794', '1572059390486867969', '0');
INSERT INTO "ZMRQ"."SYS_MENU_TENANT" VALUES ('1572058168493174785', '1572058168476397570', '0');
INSERT INTO "ZMRQ"."SYS_MENU_TENANT" VALUES ('1572059230314786818', '1572059228838391810', '0');
INSERT INTO "ZMRQ"."SYS_MENU_TENANT" VALUES ('1572059482736390146', '1572056063363608577', '0');
INSERT INTO "ZMRQ"."SYS_MENU_TENANT" VALUES ('1572059614584336386', '1572059614559170562', '0');
INSERT INTO "ZMRQ"."SYS_MENU_TENANT" VALUES ('1572060584986898434', '1572060584970121217', '0');
INSERT INTO "ZMRQ"."SYS_MENU_TENANT" VALUES ('1572060891716349954', '1572060891699572737', '0');
INSERT INTO "ZMRQ"."SYS_MENU_TENANT" VALUES ('1572061017566441474', '1572061017499332609', '0');
INSERT INTO "ZMRQ"."SYS_MENU_TENANT" VALUES ('1572061200417124353', '1572061200400347138', '0');
INSERT INTO "ZMRQ"."SYS_MENU_TENANT" VALUES ('1572061335893143553', '1572061335876366337', '0');
INSERT INTO "ZMRQ"."SYS_MENU_TENANT" VALUES ('1572061571621416961', '1572061571604639745', '0');
INSERT INTO "ZMRQ"."SYS_MENU_TENANT" VALUES ('1572061726403817474', '1572061726387040257', '0');
INSERT INTO "ZMRQ"."SYS_MENU_TENANT" VALUES ('1573205450181689346', '1570673797857095681', '0');
INSERT INTO "ZMRQ"."SYS_MENU_TENANT" VALUES ('1572062101265543169', '1572062101240377346', '0');
INSERT INTO "ZMRQ"."SYS_MENU_TENANT" VALUES ('1572062284124614657', '1572062283721961473', '0');
INSERT INTO "ZMRQ"."SYS_MENU_TENANT" VALUES ('1573205483245387777', '1570674628832604162', '0');
INSERT INTO "ZMRQ"."SYS_MENU_TENANT" VALUES ('1572845566319665154', '1572795781466300418', '0');
INSERT INTO "ZMRQ"."SYS_MENU_TENANT" VALUES ('1572773180757098498', '1572773180723544066', '0');
INSERT INTO "ZMRQ"."SYS_MENU_TENANT" VALUES ('1572845707562852353', '1572796082785099778', '0');
INSERT INTO "ZMRQ"."SYS_MENU_TENANT" VALUES ('1572845787099439105', '1572796167635869698', '0');
INSERT INTO "ZMRQ"."SYS_MENU_TENANT" VALUES ('1573210369932509185', '1570676000210628609', '1');
INSERT INTO "ZMRQ"."SYS_MENU_TENANT" VALUES ('1573220894187831298', '1570678605024428034', '1');
INSERT INTO "ZMRQ"."SYS_MENU_TENANT" VALUES ('1572849541693579266', '1572848592463863809', '0');
INSERT INTO "ZMRQ"."SYS_MENU_TENANT" VALUES ('1572850287453413378', '1572849139547906049', '0');
INSERT INTO "ZMRQ"."SYS_MENU_TENANT" VALUES ('1572849477717860354', '1572847122557444098', '0');
INSERT INTO "ZMRQ"."SYS_MENU_TENANT" VALUES ('1572849570697191426', '1572848789214470145', '0');
INSERT INTO "ZMRQ"."SYS_MENU_TENANT" VALUES ('1572850251088797698', '1572849377348165633', '0');
INSERT INTO "ZMRQ"."SYS_MENU_TENANT" VALUES ('1573220935682080770', '1570679403540217858', '1');
INSERT INTO "ZMRQ"."SYS_MENU_TENANT" VALUES ('1573206275360669698', '1571674879462739970', '1');
INSERT INTO "ZMRQ"."SYS_MENU_TENANT" VALUES ('1573206373150867458', '1571679659857809409', '1');
INSERT INTO "ZMRQ"."SYS_MENU_TENANT" VALUES ('1573206465769488386', '1571677684139298818', '1');
INSERT INTO "ZMRQ"."SYS_MENU_TENANT" VALUES ('1573206506856890369', '1571680257302859778', '1');
INSERT INTO "ZMRQ"."SYS_MENU_TENANT" VALUES ('1573206535411712002', '1571680589978275842', '1');
INSERT INTO "ZMRQ"."SYS_MENU_TENANT" VALUES ('1573206614424010753', '1571680876851892225', '1');
INSERT INTO "ZMRQ"."SYS_MENU_TENANT" VALUES ('1573244298496430082', '1554642838305005569', '0');
INSERT INTO "ZMRQ"."SYS_MENU_TENANT" VALUES ('1573244628319719425', '1567427074263216130', '0');
INSERT INTO "ZMRQ"."SYS_MENU_TENANT" VALUES ('1573244480327897090', '1572053608865296386', '0');
INSERT INTO "ZMRQ"."SYS_MENU_TENANT" VALUES ('1573208448622510081', '1570618059361169409', '0');
INSERT INTO "ZMRQ"."SYS_MENU_TENANT" VALUES ('1573208520856813570', '1572777354345431041', '0');
INSERT INTO "ZMRQ"."SYS_MENU_TENANT" VALUES ('1573208551269711874', '1570678050017345538', '1');
INSERT INTO "ZMRQ"."SYS_MENU_TENANT" VALUES ('1575057877474328578', '1572832383626387458', '0');
INSERT INTO "ZMRQ"."SYS_MENU_TENANT" VALUES ('1571746139135803394', '1571746139102248962', '0');
INSERT INTO "ZMRQ"."SYS_MENU_TENANT" VALUES ('1572775961823920129', '1572775961790365697', '0');
INSERT INTO "ZMRQ"."SYS_MENU_TENANT" VALUES ('1575321639343120386', '1575321639330537474', '1');
INSERT INTO "ZMRQ"."SYS_MENU_TENANT" VALUES ('1574292160109912065', '1570618788180209665', '0');
INSERT INTO "ZMRQ"."SYS_MENU_TENANT" VALUES ('1573208578738208769', '1570678305647591425', '1');
INSERT INTO "ZMRQ"."SYS_MENU_TENANT" VALUES ('1571747466482024449', '1571747466465247233', '0');
INSERT INTO "ZMRQ"."SYS_MENU_TENANT" VALUES ('1567768749871316994', '1567768749871316994', '1');
INSERT INTO "ZMRQ"."SYS_MENU_TENANT" VALUES ('1567770469414322178', '1567770469414322178', '1');
INSERT INTO "ZMRQ"."SYS_MENU_TENANT" VALUES ('1574665580727341057', '1568483739917893633', '0');
INSERT INTO "ZMRQ"."SYS_MENU_TENANT" VALUES ('1574665740618403842', '1571327917362372610', '0');
INSERT INTO "ZMRQ"."SYS_MENU_TENANT" VALUES ('1572855226179264514', '1572855226154098689', '0');
INSERT INTO "ZMRQ"."SYS_MENU_TENANT" VALUES ('1572040843786276866', '1572040598385938433', '0');
INSERT INTO "ZMRQ"."SYS_MENU_TENANT" VALUES ('1554646649043685377', '1554646649043685377', '1');
INSERT INTO "ZMRQ"."SYS_MENU_TENANT" VALUES ('1554646651220529153', '1554646651220529153', '1');
INSERT INTO "ZMRQ"."SYS_MENU_TENANT" VALUES ('1554646653217017858', '1554646653217017858', '1');
INSERT INTO "ZMRQ"."SYS_MENU_TENANT" VALUES ('1554646655276421121', '1554646655276421121', '1');
INSERT INTO "ZMRQ"."SYS_MENU_TENANT" VALUES ('1572037163800453121', '1572037163766898689', '0');
INSERT INTO "ZMRQ"."SYS_MENU_TENANT" VALUES ('1572037370168598530', '1572037370143432706', '0');
INSERT INTO "ZMRQ"."SYS_MENU_TENANT" VALUES ('1572037508798734337', '1572037508773568514', '0');
INSERT INTO "ZMRQ"."SYS_MENU_TENANT" VALUES ('1571331109043167233', '1568482594885484546', '0');
INSERT INTO "ZMRQ"."SYS_MENU_TENANT" VALUES ('1571331227498700802', '1568482739010158593', '0');
INSERT INTO "ZMRQ"."SYS_MENU_TENANT" VALUES ('1571331329793581058', '1568483117915193345', '0');
INSERT INTO "ZMRQ"."SYS_MENU_TENANT" VALUES ('1572040016283652097', '1572039843977449473', '0');
INSERT INTO "ZMRQ"."SYS_MENU_TENANT" VALUES ('1572040385961218050', '1571772738531074049', '0');
INSERT INTO "ZMRQ"."SYS_MENU_TENANT" VALUES ('1572778629929746434', '1571674389127630850', '0');
INSERT INTO "ZMRQ"."SYS_MENU_TENANT" VALUES ('1572040254557868034', '1570595328229978114', '0');
INSERT INTO "ZMRQ"."SYS_MENU_TENANT" VALUES ('1572040787205115906', '1572040787188338689', '0');
INSERT INTO "ZMRQ"."SYS_MENU_TENANT" VALUES ('1572041017178804226', '1572041017162027010', '0');
INSERT INTO "ZMRQ"."SYS_MENU_TENANT" VALUES ('1574943367837003777', '1574943367807643650', '0');
INSERT INTO "ZMRQ"."SYS_MENU_TENANT" VALUES ('1572779395872571394', '1572779395855794178', '0');
INSERT INTO "ZMRQ"."SYS_MENU_TENANT" VALUES ('1572791858638626817', '1572780574992089089', '0');
INSERT INTO "ZMRQ"."SYS_MENU_TENANT" VALUES ('1572780275283902465', '1572780275258736642', '0');
INSERT INTO "ZMRQ"."SYS_MENU_TENANT" VALUES ('1572791905572888578', '1572789644633317377', '0');
INSERT INTO "ZMRQ"."SYS_MENU_TENANT" VALUES ('1572791970848841729', '1572789822597636098', '0');
INSERT INTO "ZMRQ"."SYS_MENU_TENANT" VALUES ('1572791834735288321', '1572780446189207554', '0');
INSERT INTO "ZMRQ"."SYS_MENU_TENANT" VALUES ('1572791937726423041', '1572789737491013633', '0');
INSERT INTO "ZMRQ"."SYS_MENU_TENANT" VALUES ('1572792100280868866', '1572789946174414849', '0');
INSERT INTO "ZMRQ"."SYS_MENU_TENANT" VALUES ('1572793325177020418', '1572789481680412674', '0');
INSERT INTO "ZMRQ"."SYS_MENU_TENANT" VALUES ('1573148533077884929', '1572054915005116417', '0');
INSERT INTO "ZMRQ"."SYS_MENU_TENANT" VALUES ('1572795389487620098', '1572795389462454273', '0');
INSERT INTO "ZMRQ"."SYS_MENU_TENANT" VALUES ('1572783407812321282', '1572783407787155458', '1569602913205559298');
INSERT INTO "ZMRQ"."SYS_MENU_TENANT" VALUES ('1574937253087031297', '1554643767427227650', '0');
INSERT INTO "ZMRQ"."SYS_MENU_TENANT" VALUES ('1575390960807432194', '1571326768206962690', '0');
INSERT INTO "ZMRQ"."SYS_MENU_TENANT" VALUES ('1574943706866790402', '1574943706833235970', '0');
INSERT INTO "ZMRQ"."SYS_MENU_TENANT" VALUES ('1572832225962500097', '1572779186476138498', '0');
INSERT INTO "ZMRQ"."SYS_MENU_TENANT" VALUES ('1572850560615849986', '1571328373371297794', '0');
INSERT INTO "ZMRQ"."SYS_MENU_TENANT" VALUES ('1575391353645944833', '1572053835118637057', '0');
INSERT INTO "ZMRQ"."SYS_MENU_TENANT" VALUES ('1572783271702962178', '1572783271677796354', '1569602913205559298');
INSERT INTO "ZMRQ"."SYS_MENU_TENANT" VALUES ('1572783539966451714', '1572783539941285890', '1569602913205559298');
INSERT INTO "ZMRQ"."SYS_MENU_TENANT" VALUES ('1572791801046638593', '1572789278025981954', '0');
INSERT INTO "ZMRQ"."SYS_MENU_TENANT" VALUES ('1572789180986564609', '1572789021925974017', '0');
INSERT INTO "ZMRQ"."SYS_MENU_TENANT" VALUES ('1572832363611168770', '1572781698071511042', '0');
INSERT INTO "ZMRQ"."SYS_MENU_TENANT" VALUES ('1572832032303095810', '1572779702211952641', '0');
INSERT INTO "ZMRQ"."SYS_MENU_TENANT" VALUES ('1572832154252484610', '1572779532166479873', '0');

-- ----------------------------
-- Table structure for SYS_MESSAGE
-- ----------------------------
DROP TABLE "ZMRQ"."SYS_MESSAGE";
CREATE TABLE "ZMRQ"."SYS_MESSAGE" (
  "ID" NUMBER(20,0) NOT NULL,
  "TOPIC" VARCHAR2(300 BYTE),
  "MESSAGE" CLOB,
  "REPLY_ID" NUMBER(20,0),
  "TYPE" VARCHAR2(10 BYTE),
  "TABLE_NAME" VARCHAR2(300 BYTE),
  "TABLE_ID" NUMBER(30,0),
  "ROUTE_IP" VARCHAR2(200 BYTE),
  "ROUTE_IP_APP" VARCHAR2(200 BYTE),
  "USER_PUSH_ID" NUMBER(20,0),
  "USER_PULL_ID" NUMBER(20,0),
  "TENANT_ID" NUMBER(20,0),
  "DELETED" NUMBER(1,0) DEFAULT 0 NOT NULL,
  "CREATE_TIME" DATE,
  "UPDATE_TIME" DATE,
  "CREATE_USER" NUMBER(20,0),
  "UPDATE_USER" NUMBER(20,0),
  "FLAG" NUMBER(1,0) DEFAULT 0,
  "RECIPIENT_TIME" DATE
)
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "ZMRQ"."SYS_MESSAGE"."ID" IS '唯一编码';
COMMENT ON COLUMN "ZMRQ"."SYS_MESSAGE"."TOPIC" IS '消息主题';
COMMENT ON COLUMN "ZMRQ"."SYS_MESSAGE"."MESSAGE" IS '消息详情';
COMMENT ON COLUMN "ZMRQ"."SYS_MESSAGE"."REPLY_ID" IS '回复的原消息ID';
COMMENT ON COLUMN "ZMRQ"."SYS_MESSAGE"."TYPE" IS '消息类型：0普通消息,...待定义';
COMMENT ON COLUMN "ZMRQ"."SYS_MESSAGE"."TABLE_NAME" IS '消息链接表名';
COMMENT ON COLUMN "ZMRQ"."SYS_MESSAGE"."TABLE_ID" IS '链接ID';
COMMENT ON COLUMN "ZMRQ"."SYS_MESSAGE"."ROUTE_IP" IS '路由地址进行跳转';
COMMENT ON COLUMN "ZMRQ"."SYS_MESSAGE"."ROUTE_IP_APP" IS 'APP跳转路由';
COMMENT ON COLUMN "ZMRQ"."SYS_MESSAGE"."USER_PUSH_ID" IS '消息发送者';
COMMENT ON COLUMN "ZMRQ"."SYS_MESSAGE"."USER_PULL_ID" IS '消息接收者';
COMMENT ON COLUMN "ZMRQ"."SYS_MESSAGE"."TENANT_ID" IS '租户ID';
COMMENT ON COLUMN "ZMRQ"."SYS_MESSAGE"."DELETED" IS '逻辑删除，1删除，0不删除';
COMMENT ON COLUMN "ZMRQ"."SYS_MESSAGE"."CREATE_TIME" IS '创建时间';
COMMENT ON COLUMN "ZMRQ"."SYS_MESSAGE"."UPDATE_TIME" IS '更新时间';
COMMENT ON COLUMN "ZMRQ"."SYS_MESSAGE"."CREATE_USER" IS '创建人';
COMMENT ON COLUMN "ZMRQ"."SYS_MESSAGE"."UPDATE_USER" IS '修改人';
COMMENT ON COLUMN "ZMRQ"."SYS_MESSAGE"."FLAG" IS '消息是否接收，0：未接收，1：已接收';
COMMENT ON COLUMN "ZMRQ"."SYS_MESSAGE"."RECIPIENT_TIME" IS '消息接收时间';
COMMENT ON TABLE "ZMRQ"."SYS_MESSAGE" IS '消息通知';

-- ----------------------------
-- Records of SYS_MESSAGE
-- ----------------------------
INSERT INTO "ZMRQ"."SYS_MESSAGE" VALUES ('1565616680051339265', '新安装工程_现场勘测', '[新安装工程]新增[现场勘测]', NULL, '11', 'TF_PROCESS_L', '1565215112469393410', 'xazgc|3;1559424501707382785|3', 'xazgc|3;1559424501707382785|3', NULL, '1', '1', '0', TO_DATE('2022-09-02 16:24:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-02 16:24:38', 'SYYYY-MM-DD HH24:MI:SS'), '1', '1', '0', NULL);
INSERT INTO "ZMRQ"."SYS_MESSAGE" VALUES ('1574220008308350977', '绵竹中民燃气有限公司-新安装工程流程_现场勘察', '[绵竹中民燃气有限公司-新安装工程流程]新增[现场勘察]', NULL, '11', 'TF_PROCESS_L', '1574219785834180609', 'xazgc|3;1568576682649546753|3', 'xazgc|3;1568576682649546753|3', NULL, NULL, '1569602913205559298', '0', TO_DATE('2022-09-26 10:11:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:11:12', 'SYYYY-MM-DD HH24:MI:SS'), '1573859622077870082', '1573859622077870082', '0', NULL);
INSERT INTO "ZMRQ"."SYS_MESSAGE" VALUES ('1574314014711336962', '绵竹中民燃气有限公司-新安装工程流程_任务分配', '[绵竹中民燃气有限公司-新安装工程流程]新增[任务分配]', NULL, '11', 'TF_PROCESS_L', '1574314012068810754', 'xazgc|2;1568576682649546753|2', 'xazgc|2;1568576682649546753|2', NULL, NULL, '1569602913205559298', '0', TO_DATE('2022-09-26 16:24:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:24:45', 'SYYYY-MM-DD HH24:MI:SS'), '1573859622077870082', '1573859622077870082', '0', NULL);
INSERT INTO "ZMRQ"."SYS_MESSAGE" VALUES ('1574702510647095298', '绵竹中民燃气有限公司-新安装工程流程_现场勘察', '[绵竹中民燃气有限公司-新安装工程流程]新增[现场勘察]', NULL, '11', 'TF_PROCESS_L', '1574702138742296578', 'xazgc|3;1568576682649546753|3', 'xazgc|3;1568576682649546753|3', NULL, NULL, '1569602913205559298', '0', TO_DATE('2022-09-27 18:08:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:08:29', 'SYYYY-MM-DD HH24:MI:SS'), '1562365397418708993', '1562365397418708993', '0', NULL);
INSERT INTO "ZMRQ"."SYS_MESSAGE" VALUES ('1574705191746867202', '绵竹中民燃气有限公司-新安装工程流程_现场勘察', '[绵竹中民燃气有限公司-新安装工程流程]新增[现场勘察]', NULL, '11', 'TF_PROCESS_L', '1574704733733068801', 'xazgc|3;1568576682649546753|3', 'xazgc|3;1568576682649546753|3', NULL, NULL, '1569602913205559298', '0', TO_DATE('2022-09-27 18:19:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:19:08', 'SYYYY-MM-DD HH24:MI:SS'), '1572763574748172290', '1572763574748172290', '0', NULL);
INSERT INTO "ZMRQ"."SYS_MESSAGE" VALUES ('1575036491893006337', '绵竹中民燃气有限公司-新安装工程流程_合同签订', '[绵竹中民燃气有限公司-新安装工程流程]新增[合同签订]', NULL, '11', 'TF_PROCESS_L', '1575004329017425921', 'xazgc|13;1568576682649546753|13', 'xazgc|13;1568576682649546753|13', NULL, NULL, '1569602913205559298', '0', TO_DATE('2022-09-28 16:15:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:15:37', 'SYYYY-MM-DD HH24:MI:SS'), '1574222129820868609', '1574222129820868609', '0', NULL);
INSERT INTO "ZMRQ"."SYS_MESSAGE" VALUES ('1575333778493562881', '测试流程-定位到功能_任务分配', '[测试流程-定位到功能]新增[任务分配]', NULL, '11', 'TF_PROCESS_L', '1575333777340104706', 'xazgc|2;1568576682649546753|2', 'xazgc|2;1568576682649546753|2', NULL, NULL, '1569602913205559298', '0', TO_DATE('2022-09-29 11:56:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 11:56:55', 'SYYYY-MM-DD HH24:MI:SS'), '1573859622077870082', '1573859622077870082', '0', NULL);
INSERT INTO "ZMRQ"."SYS_MESSAGE" VALUES ('1575426729173442562', '绵竹中民燃气有限公司-新安装工程流程_设计预算', '[绵竹中民燃气有限公司-新安装工程流程]新增[设计预算]', NULL, '11', 'TF_PROCESS_L', '1575426230143492098', 'xazgc|4;1568576682649546753|4', 'xazgc|4;1568576682649546753|4', NULL, NULL, '1569602913205559298', '0', TO_DATE('2022-09-29 18:06:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:06:16', 'SYYYY-MM-DD HH24:MI:SS'), '1572763574748172290', '1572763574748172290', '0', NULL);
INSERT INTO "ZMRQ"."SYS_MESSAGE" VALUES ('1575426788199882754', '绵竹中民燃气有限公司-新安装工程流程_现场勘察', '[绵竹中民燃气有限公司-新安装工程流程]新增[现场勘察]', NULL, '11', 'TF_PROCESS_L', '1575426595366707202', 'xazgc|3;1568576682649546753|3', 'xazgc|3;1568576682649546753|3', NULL, NULL, '1569602913205559298', '0', TO_DATE('2022-09-29 18:06:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:06:30', 'SYYYY-MM-DD HH24:MI:SS'), '1562365397418708993', '1562365397418708993', '0', NULL);
INSERT INTO "ZMRQ"."SYS_MESSAGE" VALUES ('1575687007966343169', '绵竹中民燃气有限公司-新安装工程流程_财务部审核', '[绵竹中民燃气有限公司-新安装工程流程]新增[财务部审核]', NULL, '11', 'TF_PROCESS_L', '1575685082881576961', 'xazgc|6;1568576682649546753|6', 'xazgc|6;1568576682649546753|6', NULL, NULL, '1569602913205559298', '0', TO_DATE('2022-09-30 11:20:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:20:32', 'SYYYY-MM-DD HH24:MI:SS'), '1574222129820868609', '1574222129820868609', '0', NULL);
INSERT INTO "ZMRQ"."SYS_MESSAGE" VALUES ('1575687055194206210', '绵竹中民燃气有限公司-新安装工程流程_合同编制', '[绵竹中民燃气有限公司-新安装工程流程]新增[合同编制]', NULL, '11', 'TF_PROCESS_L', '1575685082881576961', 'xazgc|7;1568576682649546753|7', 'xazgc|7;1568576682649546753|7', NULL, NULL, '1569602913205559298', '0', TO_DATE('2022-09-30 11:20:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:20:43', 'SYYYY-MM-DD HH24:MI:SS'), '1574222129820868609', '1574222129820868609', '0', NULL);
INSERT INTO "ZMRQ"."SYS_MESSAGE" VALUES ('1575687136433680385', '绵竹中民燃气有限公司-新安装工程流程_常务副总', '[绵竹中民燃气有限公司-新安装工程流程]新增[常务副总]', NULL, '11', 'TF_PROCESS_L', '1575685082881576961', 'xazgc|12;1568576682649546753|12', 'xazgc|12;1568576682649546753|12', NULL, NULL, '1569602913205559298', '0', TO_DATE('2022-09-30 11:21:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:21:02', 'SYYYY-MM-DD HH24:MI:SS'), '1574222129820868609', '1574222129820868609', '0', NULL);
INSERT INTO "ZMRQ"."SYS_MESSAGE" VALUES ('1575687161301708801', '绵竹中民燃气有限公司-新安装工程流程_合同签订', '[绵竹中民燃气有限公司-新安装工程流程]新增[合同签订]', NULL, '11', 'TF_PROCESS_L', '1575685082881576961', 'xazgc|13;1568576682649546753|13', 'xazgc|13;1568576682649546753|13', NULL, NULL, '1569602913205559298', '0', TO_DATE('2022-09-30 11:21:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:21:08', 'SYYYY-MM-DD HH24:MI:SS'), '1574222129820868609', '1574222129820868609', '0', NULL);
INSERT INTO "ZMRQ"."SYS_MESSAGE" VALUES ('1575687198534545410', '绵竹中民燃气有限公司-新安装工程流程_用户缴费', '[绵竹中民燃气有限公司-新安装工程流程]新增[用户缴费]', NULL, '11', 'TF_PROCESS_L', '1575685082881576961', 'xazgc|14;1568576682649546753|14', 'xazgc|14;1568576682649546753|14', NULL, NULL, '1569602913205559298', '0', TO_DATE('2022-09-30 11:21:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:21:17', 'SYYYY-MM-DD HH24:MI:SS'), '1574222129820868609', '1574222129820868609', '0', NULL);
INSERT INTO "ZMRQ"."SYS_MESSAGE" VALUES ('1575688977888403457', '绵竹中民燃气有限公司-新安装工程流程_任务分配', '[绵竹中民燃气有限公司-新安装工程流程]新增[任务分配]', NULL, '11', 'TF_PROCESS_L', '1575688977028562946', 'xazgc|2;1568576682649546753|2', 'xazgc|2;1568576682649546753|2', NULL, NULL, '1569602913205559298', '0', TO_DATE('2022-09-30 11:28:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:28:21', 'SYYYY-MM-DD HH24:MI:SS'), '1572763574748172290', '1572763574748172290', '0', NULL);
INSERT INTO "ZMRQ"."SYS_MESSAGE" VALUES ('1575736128634970114', '绵竹中民燃气有限公司-新安装工程流程_技术交底', '[绵竹中民燃气有限公司-新安装工程流程]新增[技术交底]', NULL, '11', 'TF_PROCESS_L', '1575685082881576961', 'xazgc|18;1568576682649546753|18', 'xazgc|18;1568576682649546753|18', NULL, NULL, '1569602913205559298', '0', TO_DATE('2022-09-30 14:35:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 14:35:43', 'SYYYY-MM-DD HH24:MI:SS'), '1574222129820868609', '1574222129820868609', '0', NULL);
INSERT INTO "ZMRQ"."SYS_MESSAGE" VALUES ('1575736225200431106', '绵竹中民燃气有限公司-新安装工程流程_工程监检上报', '[绵竹中民燃气有限公司-新安装工程流程]新增[工程监检上报]', NULL, '11', 'TF_PROCESS_L', '1575685082881576961', 'xazgc|20;1568576682649546753|20', 'xazgc|20;1568576682649546753|20', NULL, NULL, '1569602913205559298', '0', TO_DATE('2022-09-30 14:36:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 14:36:06', 'SYYYY-MM-DD HH24:MI:SS'), '1574222129820868609', '1574222129820868609', '0', NULL);
INSERT INTO "ZMRQ"."SYS_MESSAGE" VALUES ('1575739510271598594', '绵竹中民燃气有限公司-新安装工程流程_任务分配', '[绵竹中民燃气有限公司-新安装工程流程]新增[任务分配]', NULL, '11', 'TF_PROCESS_L', '1575739510061875201', 'xazgc|2;1568576682649546753|2', 'xazgc|2;1568576682649546753|2', NULL, NULL, '1569602913205559298', '0', TO_DATE('2022-09-30 14:49:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 14:49:09', 'SYYYY-MM-DD HH24:MI:SS'), '1562365397418708993', '1562365397418708993', '0', NULL);
INSERT INTO "ZMRQ"."SYS_MESSAGE" VALUES ('1575768553498959874', '绵竹中民燃气有限公司-新安装工程流程_现场勘察', '[绵竹中民燃气有限公司-新安装工程流程]新增[现场勘察]', NULL, '11', 'TF_PROCESS_L', '1575739510061875201', 'xazgc|3;1568576682649546753|3', 'xazgc|3;1568576682649546753|3', NULL, NULL, '1569602913205559298', '0', TO_DATE('2022-09-30 16:44:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 16:44:34', 'SYYYY-MM-DD HH24:MI:SS'), '1562365397418708993', '1562365397418708993', '0', NULL);
INSERT INTO "ZMRQ"."SYS_MESSAGE" VALUES ('1578561996956729345', '绵竹中民燃气有限公司-新安装工程流程_任务分配', '[绵竹中民燃气有限公司-新安装工程流程]新增[任务分配]', NULL, '11', 'TF_PROCESS_L', '1578561996038176770', 'xazgc|2;1568576682649546753|2', 'xazgc|2;1568576682649546753|2', NULL, NULL, '1569602913205559298', '0', TO_DATE('2022-10-08 09:44:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 09:44:42', 'SYYYY-MM-DD HH24:MI:SS'), '1562707353475338242', '1562707353475338242', '0', NULL);
INSERT INTO "ZMRQ"."SYS_MESSAGE" VALUES ('1578595923574489089', '绵竹中民燃气有限公司-新安装工程流程_任务分配', '[绵竹中民燃气有限公司-新安装工程流程]新增[任务分配]', NULL, '11', 'TF_PROCESS_L', '1578595923222167553', 'xazgc|2;1568576682649546753|2', 'xazgc|2;1568576682649546753|2', NULL, NULL, '1569602913205559298', '0', TO_DATE('2022-10-08 11:59:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 11:59:31', 'SYYYY-MM-DD HH24:MI:SS'), '1562707353475338242', '1562707353475338242', '0', NULL);
INSERT INTO "ZMRQ"."SYS_MESSAGE" VALUES ('1578620111622356993', '绵竹中民燃气有限公司-新安装工程流程_任务分配', '[绵竹中民燃气有限公司-新安装工程流程]新增[任务分配]', NULL, '11', 'TF_PROCESS_L', '1578620110460428289', 'xazgc|2;1568576682649546753|2', 'xazgc|2;1568576682649546753|2', NULL, NULL, '1569602913205559298', '0', TO_DATE('2022-10-08 13:35:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:35:38', 'SYYYY-MM-DD HH24:MI:SS'), '1573859622077870082', '1573859622077870082', '0', NULL);
INSERT INTO "ZMRQ"."SYS_MESSAGE" VALUES ('1573256202271268866', '12_1', '[12]新增[1]', NULL, '11', 'TF_PROCESS_L', '1573256199146496001', 'xazgc|1;1568576682649546753|1', 'xazgc|1;1568576682649546753|1', NULL, NULL, '1', '0', TO_DATE('2022-09-23 18:21:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 18:21:22', 'SYYYY-MM-DD HH24:MI:SS'), '1', '1', '0', NULL);
INSERT INTO "ZMRQ"."SYS_MESSAGE" VALUES ('1573268339877740545', '12_2', '[12]新增[2]', NULL, '11', 'TF_PROCESS_L', '1573256199146496001', 'xazgc|2;1568576682649546753|2', 'xazgc|2;1568576682649546753|2', NULL, NULL, '1', '0', TO_DATE('2022-09-23 19:09:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 19:09:36', 'SYYYY-MM-DD HH24:MI:SS'), '1562707353475338242', '1562707353475338242', '0', NULL);
INSERT INTO "ZMRQ"."SYS_MESSAGE" VALUES ('1574215303775776769', '绵竹中民燃气有限公司-新安装工程流程_设计预算', '[绵竹中民燃气有限公司-新安装工程流程]新增[设计预算]', NULL, '11', 'TF_PROCESS_L', '1573919105386835969', 'xazgc|4;1568576682649546753|4', 'xazgc|4;1568576682649546753|4', NULL, NULL, '1569602913205559298', '0', TO_DATE('2022-09-26 09:52:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:52:30', 'SYYYY-MM-DD HH24:MI:SS'), '1562365397418708993', '1562365397418708993', '0', NULL);
INSERT INTO "ZMRQ"."SYS_MESSAGE" VALUES ('1574293039600934914', '绵竹中民燃气有限公司-新安装工程流程_任务分配', '[绵竹中民燃气有限公司-新安装工程流程]新增[任务分配]', NULL, '11', 'TF_PROCESS_L', '1574293039374479362', 'xazgc|2;1568576682649546753|2', 'xazgc|2;1568576682649546753|2', NULL, NULL, '1569602913205559298', '0', TO_DATE('2022-09-26 15:01:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:01:24', 'SYYYY-MM-DD HH24:MI:SS'), '1562365397418708993', '1562365397418708993', '0', NULL);
INSERT INTO "ZMRQ"."SYS_MESSAGE" VALUES ('1574293262851153922', '绵竹中民燃气有限公司-新安装工程流程_现场勘察', '[绵竹中民燃气有限公司-新安装工程流程]新增[现场勘察]', NULL, '11', 'TF_PROCESS_L', '1574293039374479362', 'xazgc|3;1568576682649546753|3', 'xazgc|3;1568576682649546753|3', NULL, NULL, '1569602913205559298', '0', TO_DATE('2022-09-26 15:02:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:02:17', 'SYYYY-MM-DD HH24:MI:SS'), '1562365397418708993', '1562365397418708993', '0', NULL);
INSERT INTO "ZMRQ"."SYS_MESSAGE" VALUES ('1574938029482061825', '绵竹中民燃气有限公司-新安装工程流程_任务分配', '[绵竹中民燃气有限公司-新安装工程流程]新增[任务分配]', NULL, '11', 'TF_PROCESS_L', '1574938027984769025', 'xazgc|2;1568576682649546753|2', 'xazgc|2;1568576682649546753|2', NULL, NULL, '1569602913205559298', '0', TO_DATE('2022-09-28 09:44:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:44:21', 'SYYYY-MM-DD HH24:MI:SS'), '1574222129820868609', '1574222129820868609', '0', NULL);
INSERT INTO "ZMRQ"."SYS_MESSAGE" VALUES ('1574955506861727746', '绵竹中民燃气有限公司-新安装工程流程_设计预算', '[绵竹中民燃气有限公司-新安装工程流程]新增[设计预算]', NULL, '11', 'TF_PROCESS_L', '1574954775253434369', 'xazgc|4;1568576682649546753|4', 'xazgc|4;1568576682649546753|4', NULL, NULL, '1569602913205559298', '0', TO_DATE('2022-09-28 10:53:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:53:48', 'SYYYY-MM-DD HH24:MI:SS'), '1572763574748172290', '1572763574748172290', '0', NULL);
INSERT INTO "ZMRQ"."SYS_MESSAGE" VALUES ('1574971148973236225', '绵竹中民燃气有限公司-新安装工程流程_现场勘察', '[绵竹中民燃气有限公司-新安装工程流程]新增[现场勘察]', NULL, '11', 'TF_PROCESS_L', '1574971019650220034', 'xazgc|3;1568576682649546753|3', 'xazgc|3;1568576682649546753|3', NULL, NULL, '1569602913205559298', '0', TO_DATE('2022-09-28 11:55:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:55:58', 'SYYYY-MM-DD HH24:MI:SS'), '1572763574748172290', '1572763574748172290', '0', NULL);
INSERT INTO "ZMRQ"."SYS_MESSAGE" VALUES ('1575004329281708034', '绵竹中民燃气有限公司-新安装工程流程_任务分配', '[绵竹中民燃气有限公司-新安装工程流程]新增[任务分配]', NULL, '11', 'TF_PROCESS_L', '1575004329017425921', 'xazgc|2;1568576682649546753|2', 'xazgc|2;1568576682649546753|2', NULL, NULL, '1569602913205559298', '0', TO_DATE('2022-09-28 14:07:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:07:48', 'SYYYY-MM-DD HH24:MI:SS'), '1574222129820868609', '1574222129820868609', '0', NULL);
INSERT INTO "ZMRQ"."SYS_MESSAGE" VALUES ('1575009443899891714', '绵竹中民燃气有限公司-新安装工程流程_市场部审核', '[绵竹中民燃气有限公司-新安装工程流程]新增[市场部审核]', NULL, '11', 'TF_PROCESS_L', '1575004329017425921', 'xazgc|5;1568576682649546753|5', 'xazgc|5;1568576682649546753|5', NULL, NULL, '1569602913205559298', '0', TO_DATE('2022-09-28 14:28:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:28:08', 'SYYYY-MM-DD HH24:MI:SS'), '1574222129820868609', '1574222129820868609', '0', NULL);
INSERT INTO "ZMRQ"."SYS_MESSAGE" VALUES ('1575009622740819969', '绵竹中民燃气有限公司-新安装工程流程_财务部审核', '[绵竹中民燃气有限公司-新安装工程流程]新增[财务部审核]', NULL, '11', 'TF_PROCESS_L', '1575004329017425921', 'xazgc|6;1568576682649546753|6', 'xazgc|6;1568576682649546753|6', NULL, NULL, '1569602913205559298', '0', TO_DATE('2022-09-28 14:28:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:28:50', 'SYYYY-MM-DD HH24:MI:SS'), '1574222129820868609', '1574222129820868609', '0', NULL);
INSERT INTO "ZMRQ"."SYS_MESSAGE" VALUES ('1575009975091716097', '绵竹中民燃气有限公司-新安装工程流程_合同编制', '[绵竹中民燃气有限公司-新安装工程流程]新增[合同编制]', NULL, '11', 'TF_PROCESS_L', '1575004329017425921', 'xazgc|7;1568576682649546753|7', 'xazgc|7;1568576682649546753|7', NULL, NULL, '1569602913205559298', '0', TO_DATE('2022-09-28 14:30:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:30:14', 'SYYYY-MM-DD HH24:MI:SS'), '1574222129820868609', '1574222129820868609', '0', NULL);
INSERT INTO "ZMRQ"."SYS_MESSAGE" VALUES ('1575010003776561153', '绵竹中民燃气有限公司-新安装工程流程_市场部审核', '[绵竹中民燃气有限公司-新安装工程流程]新增[市场部审核]', NULL, '11', 'TF_PROCESS_L', '1575004329017425921', 'xazgc|8;1568576682649546753|8', 'xazgc|8;1568576682649546753|8', NULL, NULL, '1569602913205559298', '0', TO_DATE('2022-09-28 14:30:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:30:21', 'SYYYY-MM-DD HH24:MI:SS'), '1574222129820868609', '1574222129820868609', '0', NULL);
INSERT INTO "ZMRQ"."SYS_MESSAGE" VALUES ('1575019415203340289', '绵竹中民燃气有限公司-新安装工程流程_现场勘察', '[绵竹中民燃气有限公司-新安装工程流程]新增[现场勘察]', NULL, '11', 'TF_PROCESS_L', '1575019157928886274', 'xazgc|3;1568576682649546753|3', 'xazgc|3;1568576682649546753|3', NULL, NULL, '1569602913205559298', '0', TO_DATE('2022-09-28 15:07:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:07:45', 'SYYYY-MM-DD HH24:MI:SS'), '1572763574748172290', '1572763574748172290', '0', NULL);
INSERT INTO "ZMRQ"."SYS_MESSAGE" VALUES ('1575024362170998786', '绵竹中民燃气有限公司-新安装工程流程_常务副总', '[绵竹中民燃气有限公司-新安装工程流程]新增[常务副总]', NULL, '11', 'TF_PROCESS_L', '1575004329017425921', 'xazgc|12;1568576682649546753|12', 'xazgc|12;1568576682649546753|12', NULL, NULL, '1569602913205559298', '0', TO_DATE('2022-09-28 15:27:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:27:25', 'SYYYY-MM-DD HH24:MI:SS'), '1574222129820868609', '1574222129820868609', '0', NULL);
INSERT INTO "ZMRQ"."SYS_MESSAGE" VALUES ('1575334530037342210', '测试流程-定位到功能_现场勘测', '[测试流程-定位到功能]新增[现场勘测]', NULL, '11', 'TF_PROCESS_L', '1575333777340104706', 'xazgc|3;1568576682649546753|3', 'xazgc|3;1568576682649546753|3', NULL, NULL, '1569602913205559298', '0', TO_DATE('2022-09-29 11:59:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 11:59:54', 'SYYYY-MM-DD HH24:MI:SS'), '1573859622077870082', '1573859622077870082', '0', NULL);
INSERT INTO "ZMRQ"."SYS_MESSAGE" VALUES ('1575685439946764290', '绵竹中民燃气有限公司-新安装工程流程_现场勘察', '[绵竹中民燃气有限公司-新安装工程流程]新增[现场勘察]', NULL, '11', 'TF_PROCESS_L', '1575685082881576961', 'xazgc|3;1568576682649546753|3', 'xazgc|3;1568576682649546753|3', NULL, NULL, '1569602913205559298', '0', TO_DATE('2022-09-30 11:14:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:14:18', 'SYYYY-MM-DD HH24:MI:SS'), '1574222129820868609', '1574222129820868609', '0', NULL);
INSERT INTO "ZMRQ"."SYS_MESSAGE" VALUES ('1575687078602616834', '绵竹中民燃气有限公司-新安装工程流程_市场部审核', '[绵竹中民燃气有限公司-新安装工程流程]新增[市场部审核]', NULL, '11', 'TF_PROCESS_L', '1575685082881576961', 'xazgc|8;1568576682649546753|8', 'xazgc|8;1568576682649546753|8', NULL, NULL, '1569602913205559298', '0', TO_DATE('2022-09-30 11:20:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:20:49', 'SYYYY-MM-DD HH24:MI:SS'), '1574222129820868609', '1574222129820868609', '0', NULL);
INSERT INTO "ZMRQ"."SYS_MESSAGE" VALUES ('1575687109808238594', '绵竹中民燃气有限公司-新安装工程流程_分管市场副总', '[绵竹中民燃气有限公司-新安装工程流程]新增[分管市场副总]', NULL, '11', 'TF_PROCESS_L', '1575685082881576961', 'xazgc|10;1568576682649546753|10', 'xazgc|10;1568576682649546753|10', NULL, NULL, '1569602913205559298', '0', TO_DATE('2022-09-30 11:20:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:20:56', 'SYYYY-MM-DD HH24:MI:SS'), '1574222129820868609', '1574222129820868609', '0', NULL);
INSERT INTO "ZMRQ"."SYS_MESSAGE" VALUES ('1578620552988966914', '绵竹中民燃气有限公司-新安装工程流程_现场勘察', '[绵竹中民燃气有限公司-新安装工程流程]新增[现场勘察]', NULL, '11', 'TF_PROCESS_L', '1578620110460428289', 'xazgc|3;1568576682649546753|3', 'xazgc|3;1568576682649546753|3', NULL, NULL, '1569602913205559298', '0', TO_DATE('2022-10-08 13:37:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:37:23', 'SYYYY-MM-DD HH24:MI:SS'), '1573859622077870082', '1573859622077870082', '0', NULL);
INSERT INTO "ZMRQ"."SYS_MESSAGE" VALUES ('1578624184111185921', '绵竹中民燃气有限公司-新安装工程流程_设计预算', '[绵竹中民燃气有限公司-新安装工程流程]新增[设计预算]', NULL, '11', 'TF_PROCESS_L', '1578620110460428289', 'xazgc|4;1568576682649546753|4', 'xazgc|4;1568576682649546753|4', NULL, NULL, '1569602913205559298', '0', TO_DATE('2022-10-08 13:51:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:51:49', 'SYYYY-MM-DD HH24:MI:SS'), '1573859622077870082', '1573859622077870082', '0', NULL);
INSERT INTO "ZMRQ"."SYS_MESSAGE" VALUES ('1578624444917202945', '绵竹中民燃气有限公司-新安装工程流程_设计预算', '[绵竹中民燃气有限公司-新安装工程流程]新增[设计预算]', NULL, '11', 'TF_PROCESS_L', '1578620110460428289', 'xazgc|4;1568576682649546753|4', 'xazgc|4;1568576682649546753|4', NULL, NULL, '1569602913205559298', '0', TO_DATE('2022-10-08 13:52:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:52:51', 'SYYYY-MM-DD HH24:MI:SS'), '1573859622077870082', '1573859622077870082', '0', NULL);
INSERT INTO "ZMRQ"."SYS_MESSAGE" VALUES ('1578624971495292929', '绵竹中民燃气有限公司-新安装工程流程_现场勘察', '[绵竹中民燃气有限公司-新安装工程流程]新增[现场勘察]', NULL, '11', 'TF_PROCESS_L', '1578595923222167553', 'xazgc|3;1568576682649546753|3', 'xazgc|3;1568576682649546753|3', NULL, NULL, '1569602913205559298', '0', TO_DATE('2022-10-08 13:54:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:54:57', 'SYYYY-MM-DD HH24:MI:SS'), '1562707353475338242', '1562707353475338242', '0', NULL);
INSERT INTO "ZMRQ"."SYS_MESSAGE" VALUES ('1554750315092344834', '测试', NULL, '0', NULL, NULL, '0', NULL, NULL, '0', '0', '1', '0', TO_DATE('2022-08-03 16:45:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-03 16:45:35', 'SYYYY-MM-DD HH24:MI:SS'), '1', '1', '0', NULL);
INSERT INTO "ZMRQ"."SYS_MESSAGE" VALUES ('1554750316895895553', '测试', NULL, '0', NULL, NULL, '0', NULL, NULL, '0', '0', '1', '0', TO_DATE('2022-08-03 16:45:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-03 16:45:36', 'SYYYY-MM-DD HH24:MI:SS'), '1', '1', '0', NULL);
INSERT INTO "ZMRQ"."SYS_MESSAGE" VALUES ('1554750318980464642', '测试', NULL, '0', NULL, NULL, '0', NULL, NULL, '0', '0', '1', '0', TO_DATE('2022-08-03 16:45:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-03 16:45:36', 'SYYYY-MM-DD HH24:MI:SS'), '1', '1', '0', NULL);
INSERT INTO "ZMRQ"."SYS_MESSAGE" VALUES ('1554750320037429250', '测试', NULL, '0', NULL, NULL, '0', NULL, NULL, '0', '0', '1', '0', TO_DATE('2022-08-03 16:45:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-03 16:45:36', 'SYYYY-MM-DD HH24:MI:SS'), '1', '1', '0', NULL);
INSERT INTO "ZMRQ"."SYS_MESSAGE" VALUES ('1554750321320886274', '测试', NULL, '0', NULL, NULL, '0', NULL, NULL, '0', '0', '1', '0', TO_DATE('2022-08-03 16:45:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-03 16:45:37', 'SYYYY-MM-DD HH24:MI:SS'), '1', '1', '0', NULL);
INSERT INTO "ZMRQ"."SYS_MESSAGE" VALUES ('1554750322876973058', '测试', NULL, '0', NULL, NULL, '0', NULL, NULL, '0', '0', '1', '0', TO_DATE('2022-08-03 16:45:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-03 16:45:37', 'SYYYY-MM-DD HH24:MI:SS'), '1', '1', '0', NULL);
INSERT INTO "ZMRQ"."SYS_MESSAGE" VALUES ('1557288962849406978', NULL, '推送消息啦', '0', NULL, NULL, '0', NULL, NULL, '0', '0', '1', '0', TO_DATE('2022-08-10 16:53:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-10 16:53:16', 'SYYYY-MM-DD HH24:MI:SS'), '2', '2', '0', NULL);
INSERT INTO "ZMRQ"."SYS_MESSAGE" VALUES ('1573272444101185538', '12_2', '[12]新增[2]', NULL, '11', 'TF_PROCESS_L', '1573256199146496001', 'xazgc|2;1568576682649546753|2', 'xazgc|2;1568576682649546753|2', NULL, NULL, '1', '0', TO_DATE('2022-09-23 19:25:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 19:25:55', 'SYYYY-MM-DD HH24:MI:SS'), '1562707353475338242', '1562707353475338242', '0', NULL);
INSERT INTO "ZMRQ"."SYS_MESSAGE" VALUES ('1573272999422840833', '12_2', '[12]新增[2]', NULL, '11', 'TF_PROCESS_L', '1573256199146496001', 'xazgc|2;1568576682649546753|2', 'xazgc|2;1568576682649546753|2', NULL, NULL, '1', '0', TO_DATE('2022-09-23 19:28:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 19:28:07', 'SYYYY-MM-DD HH24:MI:SS'), '1562707353475338242', '1562707353475338242', '0', NULL);
INSERT INTO "ZMRQ"."SYS_MESSAGE" VALUES ('1573274183990759426', '12_1', '[12]新增[1]', NULL, '11', 'TF_PROCESS_L', '1573274177313312769', 'xazgc|1;1568576682649546753|1', 'xazgc|1;1568576682649546753|1', NULL, NULL, '1', '0', TO_DATE('2022-09-23 19:32:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 19:32:50', 'SYYYY-MM-DD HH24:MI:SS'), '1562707353475338242', '1562707353475338242', '0', NULL);
INSERT INTO "ZMRQ"."SYS_MESSAGE" VALUES ('1573963472877252609', '绵竹中民燃气有限公司-新安装工程流程_现场勘察', '[绵竹中民燃气有限公司-新安装工程流程]新增[现场勘察]', NULL, '11', 'TF_PROCESS_L', '1573919105386835969', 'xazgc|3;1568576682649546753|3', 'xazgc|3;1568576682649546753|3', NULL, NULL, '1569602913205559298', '0', TO_DATE('2022-09-25 17:11:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 17:11:49', 'SYYYY-MM-DD HH24:MI:SS'), '1573859622077870082', '1573859622077870082', '0', NULL);
INSERT INTO "ZMRQ"."SYS_MESSAGE" VALUES ('1574289805440229378', '绵竹中民燃气有限公司-新安装工程流程_设计预算', '[绵竹中民燃气有限公司-新安装工程流程]新增[设计预算]', NULL, '11', 'TF_PROCESS_L', '1574219785834180609', 'xazgc|4;1568576682649546753|4', 'xazgc|4;1568576682649546753|4', NULL, NULL, '1569602913205559298', '0', TO_DATE('2022-09-26 14:48:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:48:33', 'SYYYY-MM-DD HH24:MI:SS'), '1562365397418708993', '1562365397418708993', '0', NULL);
INSERT INTO "ZMRQ"."SYS_MESSAGE" VALUES ('1574314327790964738', '绵竹中民燃气有限公司-新安装工程流程_现场勘察', '[绵竹中民燃气有限公司-新安装工程流程]新增[现场勘察]', NULL, '11', 'TF_PROCESS_L', '1574314012068810754', 'xazgc|3;1568576682649546753|3', 'xazgc|3;1568576682649546753|3', NULL, NULL, '1569602913205559298', '0', TO_DATE('2022-09-26 16:25:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:25:59', 'SYYYY-MM-DD HH24:MI:SS'), '1573859622077870082', '1573859622077870082', '0', NULL);
INSERT INTO "ZMRQ"."SYS_MESSAGE" VALUES ('1574318976312922114', '绵竹中民燃气有限公司-新安装工程流程_设计预算', '[绵竹中民燃气有限公司-新安装工程流程]新增[设计预算]', NULL, '11', 'TF_PROCESS_L', '1574293039374479362', 'xazgc|4;1568576682649546753|4', 'xazgc|4;1568576682649546753|4', NULL, NULL, '1569602913205559298', '0', TO_DATE('2022-09-26 16:44:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:44:28', 'SYYYY-MM-DD HH24:MI:SS'), '1562365397418708993', '1562365397418708993', '0', NULL);
INSERT INTO "ZMRQ"."SYS_MESSAGE" VALUES ('1574971297812307970', '绵竹中民燃气有限公司-新安装工程流程_设计预算', '[绵竹中民燃气有限公司-新安装工程流程]新增[设计预算]', NULL, '11', 'TF_PROCESS_L', '1574971019650220034', 'xazgc|4;1568576682649546753|4', 'xazgc|4;1568576682649546753|4', NULL, NULL, '1569602913205559298', '0', TO_DATE('2022-09-28 11:56:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:56:33', 'SYYYY-MM-DD HH24:MI:SS'), '1572763574748172290', '1572763574748172290', '0', NULL);
INSERT INTO "ZMRQ"."SYS_MESSAGE" VALUES ('1575370934066896898', '绵竹中民燃气有限公司-新安装工程流程_现场勘察', '[绵竹中民燃气有限公司-新安装工程流程]新增[现场勘察]', NULL, '11', 'TF_PROCESS_L', '1575369325094109185', 'xazgc|3;1568576682649546753|3', 'xazgc|3;1568576682649546753|3', NULL, NULL, '1569602913205559298', '0', TO_DATE('2022-09-29 14:24:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 14:24:34', 'SYYYY-MM-DD HH24:MI:SS'), '1574222129820868609', '1574222129820868609', '0', NULL);
INSERT INTO "ZMRQ"."SYS_MESSAGE" VALUES ('1575370972864208897', '绵竹中民燃气有限公司-新安装工程流程_设计预算', '[绵竹中民燃气有限公司-新安装工程流程]新增[设计预算]', NULL, '11', 'TF_PROCESS_L', '1575369325094109185', 'xazgc|4;1568576682649546753|4', 'xazgc|4;1568576682649546753|4', NULL, NULL, '1569602913205559298', '0', TO_DATE('2022-09-29 14:24:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 14:24:43', 'SYYYY-MM-DD HH24:MI:SS'), '1574222129820868609', '1574222129820868609', '0', NULL);
INSERT INTO "ZMRQ"."SYS_MESSAGE" VALUES ('1575371002723459074', '绵竹中民燃气有限公司-新安装工程流程_市场部审核', '[绵竹中民燃气有限公司-新安装工程流程]新增[市场部审核]', NULL, '11', 'TF_PROCESS_L', '1575369325094109185', 'xazgc|5;1568576682649546753|5', 'xazgc|5;1568576682649546753|5', NULL, NULL, '1569602913205559298', '0', TO_DATE('2022-09-29 14:24:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 14:24:50', 'SYYYY-MM-DD HH24:MI:SS'), '1574222129820868609', '1574222129820868609', '0', NULL);
INSERT INTO "ZMRQ"."SYS_MESSAGE" VALUES ('1575371025074905089', '绵竹中民燃气有限公司-新安装工程流程_财务部审核', '[绵竹中民燃气有限公司-新安装工程流程]新增[财务部审核]', NULL, '11', 'TF_PROCESS_L', '1575369325094109185', 'xazgc|6;1568576682649546753|6', 'xazgc|6;1568576682649546753|6', NULL, NULL, '1569602913205559298', '0', TO_DATE('2022-09-29 14:24:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 14:24:56', 'SYYYY-MM-DD HH24:MI:SS'), '1574222129820868609', '1574222129820868609', '0', NULL);
INSERT INTO "ZMRQ"."SYS_MESSAGE" VALUES ('1575371048420401154', '绵竹中民燃气有限公司-新安装工程流程_合同编制', '[绵竹中民燃气有限公司-新安装工程流程]新增[合同编制]', NULL, '11', 'TF_PROCESS_L', '1575369325094109185', 'xazgc|7;1568576682649546753|7', 'xazgc|7;1568576682649546753|7', NULL, NULL, '1569602913205559298', '0', TO_DATE('2022-09-29 14:25:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 14:25:01', 'SYYYY-MM-DD HH24:MI:SS'), '1574222129820868609', '1574222129820868609', '0', NULL);
INSERT INTO "ZMRQ"."SYS_MESSAGE" VALUES ('1575371072361488386', '绵竹中民燃气有限公司-新安装工程流程_市场部审核', '[绵竹中民燃气有限公司-新安装工程流程]新增[市场部审核]', NULL, '11', 'TF_PROCESS_L', '1575369325094109185', 'xazgc|8;1568576682649546753|8', 'xazgc|8;1568576682649546753|8', NULL, NULL, '1569602913205559298', '0', TO_DATE('2022-09-29 14:25:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 14:25:07', 'SYYYY-MM-DD HH24:MI:SS'), '1574222129820868609', '1574222129820868609', '0', NULL);
INSERT INTO "ZMRQ"."SYS_MESSAGE" VALUES ('1575371094503219202', '绵竹中民燃气有限公司-新安装工程流程_分管市场副总', '[绵竹中民燃气有限公司-新安装工程流程]新增[分管市场副总]', NULL, '11', 'TF_PROCESS_L', '1575369325094109185', 'xazgc|10;1568576682649546753|10', 'xazgc|10;1568576682649546753|10', NULL, NULL, '1569602913205559298', '0', TO_DATE('2022-09-29 14:25:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 14:25:12', 'SYYYY-MM-DD HH24:MI:SS'), '1574222129820868609', '1574222129820868609', '0', NULL);
INSERT INTO "ZMRQ"."SYS_MESSAGE" VALUES ('1575371294550548482', '绵竹中民燃气有限公司-新安装工程流程_常务副总', '[绵竹中民燃气有限公司-新安装工程流程]新增[常务副总]', NULL, '11', 'TF_PROCESS_L', '1575369325094109185', 'xazgc|12;1568576682649546753|12', 'xazgc|12;1568576682649546753|12', NULL, NULL, '1569602913205559298', '0', TO_DATE('2022-09-29 14:26:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 14:26:00', 'SYYYY-MM-DD HH24:MI:SS'), '1574222129820868609', '1574222129820868609', '0', NULL);
INSERT INTO "ZMRQ"."SYS_MESSAGE" VALUES ('1575371323570937858', '绵竹中民燃气有限公司-新安装工程流程_合同签订', '[绵竹中民燃气有限公司-新安装工程流程]新增[合同签订]', NULL, '11', 'TF_PROCESS_L', '1575369325094109185', 'xazgc|13;1568576682649546753|13', 'xazgc|13;1568576682649546753|13', NULL, NULL, '1569602913205559298', '0', TO_DATE('2022-09-29 14:26:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 14:26:07', 'SYYYY-MM-DD HH24:MI:SS'), '1574222129820868609', '1574222129820868609', '0', NULL);
INSERT INTO "ZMRQ"."SYS_MESSAGE" VALUES ('1575371352658436098', '绵竹中民燃气有限公司-新安装工程流程_用户缴费', '[绵竹中民燃气有限公司-新安装工程流程]新增[用户缴费]', NULL, '11', 'TF_PROCESS_L', '1575369325094109185', 'xazgc|14;1568576682649546753|14', 'xazgc|14;1568576682649546753|14', NULL, NULL, '1569602913205559298', '0', TO_DATE('2022-09-29 14:26:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 14:26:14', 'SYYYY-MM-DD HH24:MI:SS'), '1574222129820868609', '1574222129820868609', '0', NULL);
INSERT INTO "ZMRQ"."SYS_MESSAGE" VALUES ('1575426230932070402', '绵竹中民燃气有限公司-新安装工程流程_任务分配', '[绵竹中民燃气有限公司-新安装工程流程]新增[任务分配]', NULL, '11', 'TF_PROCESS_L', '1575426230143492098', 'xazgc|2;1568576682649546753|2', 'xazgc|2;1568576682649546753|2', NULL, NULL, '1569602913205559298', '0', TO_DATE('2022-09-29 18:04:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:04:18', 'SYYYY-MM-DD HH24:MI:SS'), '1572763574748172290', '1572763574748172290', '0', NULL);
INSERT INTO "ZMRQ"."SYS_MESSAGE" VALUES ('1575689447356850177', '绵竹中民燃气有限公司-新安装工程流程_现场勘察', '[绵竹中民燃气有限公司-新安装工程流程]新增[现场勘察]', NULL, '11', 'TF_PROCESS_L', '1575688977028562946', 'xazgc|3;1568576682649546753|3', 'xazgc|3;1568576682649546753|3', NULL, NULL, '1569602913205559298', '0', TO_DATE('2022-09-30 11:30:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:30:13', 'SYYYY-MM-DD HH24:MI:SS'), '1571808470779846657', '1571808470779846657', '0', NULL);
INSERT INTO "ZMRQ"."SYS_MESSAGE" VALUES ('1575736076877258753', '绵竹中民燃气有限公司-新安装工程流程_财务部确认', '[绵竹中民燃气有限公司-新安装工程流程]新增[财务部确认]', NULL, '11', 'TF_PROCESS_L', '1575685082881576961', 'xazgc|15;1568576682649546753|15', 'xazgc|15;1568576682649546753|15', NULL, NULL, '1569602913205559298', '0', TO_DATE('2022-09-30 14:35:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 14:35:31', 'SYYYY-MM-DD HH24:MI:SS'), '1574222129820868609', '1574222129820868609', '0', NULL);
INSERT INTO "ZMRQ"."SYS_MESSAGE" VALUES ('1565634829492613121', '新安装工程_任务分配', '[新安装工程]新增[任务分配]', NULL, '11', 'TF_PROCESS_L', '1565631350208364546', 'xazgc|2;1559424501707382785|2', 'xazgc|2;1559424501707382785|2', NULL, NULL, '1', '0', TO_DATE('2022-09-02 17:36:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-02 17:36:46', 'SYYYY-MM-DD HH24:MI:SS'), '1', '1', '0', NULL);
INSERT INTO "ZMRQ"."SYS_MESSAGE" VALUES ('1573265455287218178', '12_2', '[12]新增[2]', NULL, '11', 'TF_PROCESS_L', '1573256199146496001', 'xazgc|2;1568576682649546753|2', 'xazgc|2;1568576682649546753|2', NULL, NULL, '1', '0', TO_DATE('2022-09-23 18:58:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 18:58:09', 'SYYYY-MM-DD HH24:MI:SS'), '1562707353475338242', '1562707353475338242', '0', NULL);
INSERT INTO "ZMRQ"."SYS_MESSAGE" VALUES ('1573935885597667330', '绵竹中民燃气有限公司-新安装工程流程_任务分配', '[绵竹中民燃气有限公司-新安装工程流程]新增[任务分配]', NULL, '11', 'TF_PROCESS_L', '1573919105386835969', 'xazgc|2;1568576682649546753|2', 'xazgc|2;1568576682649546753|2', NULL, NULL, '1569602913205559298', '0', TO_DATE('2022-09-25 15:22:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 15:22:12', 'SYYYY-MM-DD HH24:MI:SS'), '1573859622077870082', '1573859622077870082', '0', NULL);
INSERT INTO "ZMRQ"."SYS_MESSAGE" VALUES ('1574219786693910529', '绵竹中民燃气有限公司-新安装工程流程_任务分配', '[绵竹中民燃气有限公司-新安装工程流程]新增[任务分配]', NULL, '11', 'TF_PROCESS_L', '1574219785834180609', 'xazgc|2;1568576682649546753|2', 'xazgc|2;1568576682649546753|2', NULL, NULL, '1569602913205559298', '0', TO_DATE('2022-09-26 10:10:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:10:19', 'SYYYY-MM-DD HH24:MI:SS'), '1573859622077870082', '1573859622077870082', '0', NULL);
INSERT INTO "ZMRQ"."SYS_MESSAGE" VALUES ('1574237794351439873', '绵竹中民燃气有限公司-新安装工程流程_任务分配', '[绵竹中民燃气有限公司-新安装工程流程]新增[任务分配]', NULL, '11', 'TF_PROCESS_L', '1574237792111685633', 'xazgc|2;1568576682649546753|2', 'xazgc|2;1568576682649546753|2', NULL, NULL, '1569602913205559298', '0', TO_DATE('2022-09-26 11:21:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 11:21:52', 'SYYYY-MM-DD HH24:MI:SS'), '1572763574748172290', '1572763574748172290', '0', NULL);
INSERT INTO "ZMRQ"."SYS_MESSAGE" VALUES ('1574240411760713729', '绵竹中民燃气有限公司-新安装工程流程_现场勘察', '[绵竹中民燃气有限公司-新安装工程流程]新增[现场勘察]', NULL, '11', 'TF_PROCESS_L', '1574237792111685633', 'xazgc|3;1568576682649546753|3', 'xazgc|3;1568576682649546753|3', NULL, NULL, '1569602913205559298', '0', TO_DATE('2022-09-26 11:32:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 11:32:16', 'SYYYY-MM-DD HH24:MI:SS'), '1572763574748172290', '1572763574748172290', '0', NULL);
INSERT INTO "ZMRQ"."SYS_MESSAGE" VALUES ('1574242006212796417', '绵竹中民燃气有限公司-新安装工程流程_设计预算', '[绵竹中民燃气有限公司-新安装工程流程]新增[设计预算]', NULL, '11', 'TF_PROCESS_L', '1574237792111685633', 'xazgc|4;1568576682649546753|4', 'xazgc|4;1568576682649546753|4', NULL, NULL, '1569602913205559298', '0', TO_DATE('2022-09-26 11:38:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 11:38:36', 'SYYYY-MM-DD HH24:MI:SS'), '1572763574748172290', '1572763574748172290', '0', NULL);
INSERT INTO "ZMRQ"."SYS_MESSAGE" VALUES ('1574704734655811585', '绵竹中民燃气有限公司-新安装工程流程_任务分配', '[绵竹中民燃气有限公司-新安装工程流程]新增[任务分配]', NULL, '11', 'TF_PROCESS_L', '1574704733733068801', 'xazgc|2;1568576682649546753|2', 'xazgc|2;1568576682649546753|2', NULL, NULL, '1569602913205559298', '0', TO_DATE('2022-09-27 18:17:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:17:19', 'SYYYY-MM-DD HH24:MI:SS'), '1572763574748172290', '1572763574748172290', '0', NULL);
INSERT INTO "ZMRQ"."SYS_MESSAGE" VALUES ('1574710395770875905', '绵竹中民燃气有限公司-新安装工程流程_现场勘察', '[绵竹中民燃气有限公司-新安装工程流程]新增[现场勘察]', NULL, '11', 'TF_PROCESS_L', '1574709951149391874', 'xazgc|3;1568576682649546753|3', 'xazgc|3;1568576682649546753|3', NULL, NULL, '1569602913205559298', '0', TO_DATE('2022-09-27 18:39:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:39:49', 'SYYYY-MM-DD HH24:MI:SS'), '1572763574748172290', '1572763574748172290', '0', NULL);
INSERT INTO "ZMRQ"."SYS_MESSAGE" VALUES ('1574971019935473666', '绵竹中民燃气有限公司-新安装工程流程_任务分配', '[绵竹中民燃气有限公司-新安装工程流程]新增[任务分配]', NULL, '11', 'TF_PROCESS_L', '1574971019650220034', 'xazgc|2;1568576682649546753|2', 'xazgc|2;1568576682649546753|2', NULL, NULL, '1569602913205559298', '0', TO_DATE('2022-09-28 11:55:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:55:27', 'SYYYY-MM-DD HH24:MI:SS'), '1572763574748172290', '1572763574748172290', '0', NULL);
INSERT INTO "ZMRQ"."SYS_MESSAGE" VALUES ('1575004557221158914', '绵竹中民燃气有限公司-新安装工程流程_现场勘察', '[绵竹中民燃气有限公司-新安装工程流程]新增[现场勘察]', NULL, '11', 'TF_PROCESS_L', '1575004329017425921', 'xazgc|3;1568576682649546753|3', 'xazgc|3;1568576682649546753|3', NULL, NULL, '1569602913205559298', '0', TO_DATE('2022-09-28 14:08:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:08:43', 'SYYYY-MM-DD HH24:MI:SS'), '1574222129820868609', '1574222129820868609', '0', NULL);
INSERT INTO "ZMRQ"."SYS_MESSAGE" VALUES ('1575005804493922306', '绵竹中民燃气有限公司-新安装工程流程_设计预算', '[绵竹中民燃气有限公司-新安装工程流程]新增[设计预算]', NULL, '11', 'TF_PROCESS_L', '1575004329017425921', 'xazgc|4;1568576682649546753|4', 'xazgc|4;1568576682649546753|4', NULL, NULL, '1569602913205559298', '0', TO_DATE('2022-09-28 14:13:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:13:40', 'SYYYY-MM-DD HH24:MI:SS'), '1574222129820868609', '1574222129820868609', '0', NULL);
INSERT INTO "ZMRQ"."SYS_MESSAGE" VALUES ('1575019158134448129', '绵竹中民燃气有限公司-新安装工程流程_任务分配', '[绵竹中民燃气有限公司-新安装工程流程]新增[任务分配]', NULL, '11', 'TF_PROCESS_L', '1575019157928886274', 'xazgc|2;1568576682649546753|2', 'xazgc|2;1568576682649546753|2', NULL, NULL, '1569602913205559298', '0', TO_DATE('2022-09-28 15:06:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:06:44', 'SYYYY-MM-DD HH24:MI:SS'), '1572763574748172290', '1572763574748172290', '0', NULL);
INSERT INTO "ZMRQ"."SYS_MESSAGE" VALUES ('1575019692232925186', '绵竹中民燃气有限公司-新安装工程流程_设计预算', '[绵竹中民燃气有限公司-新安装工程流程]新增[设计预算]', NULL, '11', 'TF_PROCESS_L', '1575019157928886274', 'xazgc|4;1568576682649546753|4', 'xazgc|4;1568576682649546753|4', NULL, NULL, '1569602913205559298', '0', TO_DATE('2022-09-28 15:08:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:08:51', 'SYYYY-MM-DD HH24:MI:SS'), '1572763574748172290', '1572763574748172290', '0', NULL);
INSERT INTO "ZMRQ"."SYS_MESSAGE" VALUES ('1575024132272807938', '绵竹中民燃气有限公司-新安装工程流程_分管市场副总', '[绵竹中民燃气有限公司-新安装工程流程]新增[分管市场副总]', NULL, '11', 'TF_PROCESS_L', '1575004329017425921', 'xazgc|10;1568576682649546753|10', 'xazgc|10;1568576682649546753|10', NULL, NULL, '1569602913205559298', '0', TO_DATE('2022-09-28 15:26:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:26:30', 'SYYYY-MM-DD HH24:MI:SS'), '1574222129820868609', '1574222129820868609', '0', NULL);
INSERT INTO "ZMRQ"."SYS_MESSAGE" VALUES ('1575043786382868482', '绵竹中民燃气有限公司-新安装工程流程_用户缴费', '[绵竹中民燃气有限公司-新安装工程流程]新增[用户缴费]', NULL, '11', 'TF_PROCESS_L', '1575004329017425921', 'xazgc|14;1568576682649546753|14', 'xazgc|14;1568576682649546753|14', NULL, NULL, '1569602913205559298', '0', TO_DATE('2022-09-28 16:44:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:44:36', 'SYYYY-MM-DD HH24:MI:SS'), '1574222129820868609', '1574222129820868609', '0', NULL);
INSERT INTO "ZMRQ"."SYS_MESSAGE" VALUES ('1575331536201867266', '绵竹中民燃气有限公司-新安装工程流程_财务部确认', '[绵竹中民燃气有限公司-新安装工程流程]新增[财务部确认]', NULL, '11', 'TF_PROCESS_L', '1575004329017425921', 'xazgc|15;1568576682649546753|15', 'xazgc|15;1568576682649546753|15', NULL, NULL, '1569602913205559298', '0', TO_DATE('2022-09-29 11:48:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 11:48:01', 'SYYYY-MM-DD HH24:MI:SS'), '1574222129820868609', '1574222129820868609', '0', NULL);
INSERT INTO "ZMRQ"."SYS_MESSAGE" VALUES ('1575369325471621122', '绵竹中民燃气有限公司-新安装工程流程_任务分配', '[绵竹中民燃气有限公司-新安装工程流程]新增[任务分配]', NULL, '11', 'TF_PROCESS_L', '1575369325094109185', 'xazgc|2;1568576682649546753|2', 'xazgc|2;1568576682649546753|2', NULL, NULL, '1569602913205559298', '0', TO_DATE('2022-09-29 14:18:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 14:18:10', 'SYYYY-MM-DD HH24:MI:SS'), '1574222129820868609', '1574222129820868609', '0', NULL);
INSERT INTO "ZMRQ"."SYS_MESSAGE" VALUES ('1575387895714926593', '绵竹中民燃气有限公司-新安装工程流程_现场勘察', '[绵竹中民燃气有限公司-新安装工程流程]新增[现场勘察]', NULL, '11', 'TF_PROCESS_L', '1575387349670957057', 'xazgc|3;1568576682649546753|3', 'xazgc|3;1568576682649546753|3', NULL, NULL, '1569602913205559298', '0', TO_DATE('2022-09-29 15:31:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:31:58', 'SYYYY-MM-DD HH24:MI:SS'), '1572120700478107650', '1572120700478107650', '0', NULL);
INSERT INTO "ZMRQ"."SYS_MESSAGE" VALUES ('1575424434503155713', '绵竹中民燃气有限公司-新安装工程流程_任务分配', '[绵竹中民燃气有限公司-新安装工程流程]新增[任务分配]', NULL, '11', 'TF_PROCESS_L', '1575424433622429698', 'xazgc|2;1568576682649546753|2', 'xazgc|2;1568576682649546753|2', NULL, NULL, '1569602913205559298', '0', TO_DATE('2022-09-29 17:57:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:57:09', 'SYYYY-MM-DD HH24:MI:SS'), '1573859622077870082', '1573859622077870082', '0', NULL);
INSERT INTO "ZMRQ"."SYS_MESSAGE" VALUES ('1575426595610025985', '绵竹中民燃气有限公司-新安装工程流程_任务分配', '[绵竹中民燃气有限公司-新安装工程流程]新增[任务分配]', NULL, '11', 'TF_PROCESS_L', '1575426595366707202', 'xazgc|2;1568576682649546753|2', 'xazgc|2;1568576682649546753|2', NULL, NULL, '1569602913205559298', '0', TO_DATE('2022-09-29 18:05:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:05:45', 'SYYYY-MM-DD HH24:MI:SS'), '1562365397418708993', '1562365397418708993', '0', NULL);
INSERT INTO "ZMRQ"."SYS_MESSAGE" VALUES ('1575736104815517698', '绵竹中民燃气有限公司-新安装工程流程_工程派工', '[绵竹中民燃气有限公司-新安装工程流程]新增[工程派工]', NULL, '11', 'TF_PROCESS_L', '1575685082881576961', 'xazgc|16;1568576682649546753|16', 'xazgc|16;1568576682649546753|16', NULL, NULL, '1569602913205559298', '0', TO_DATE('2022-09-30 14:35:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 14:35:37', 'SYYYY-MM-DD HH24:MI:SS'), '1574222129820868609', '1574222129820868609', '0', NULL);
INSERT INTO "ZMRQ"."SYS_MESSAGE" VALUES ('0', NULL, '推送消息啦', '0', NULL, NULL, '0', NULL, NULL, '0', '0', '1', '0', TO_DATE('2022-08-10 16:32:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-10 16:32:13', 'SYYYY-MM-DD HH24:MI:SS'), '2', '2', '0', NULL);
INSERT INTO "ZMRQ"."SYS_MESSAGE" VALUES ('1557283943982567425', NULL, '推送消息啦', '0', NULL, NULL, '0', NULL, NULL, '0', '0', '1', '0', TO_DATE('2022-08-10 16:33:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-10 16:33:19', 'SYYYY-MM-DD HH24:MI:SS'), '2', '2', '0', NULL);
INSERT INTO "ZMRQ"."SYS_MESSAGE" VALUES ('1557283947795189761', NULL, '推送消息啦', '0', NULL, NULL, '0', NULL, NULL, '0', '0', '1', '0', TO_DATE('2022-08-10 16:33:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-10 16:33:20', 'SYYYY-MM-DD HH24:MI:SS'), '2', '2', '0', NULL);
INSERT INTO "ZMRQ"."SYS_MESSAGE" VALUES ('1557283950735396866', NULL, '推送消息啦', '0', NULL, NULL, '0', NULL, NULL, '0', '0', '1', '0', TO_DATE('2022-08-10 16:33:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-10 16:33:21', 'SYYYY-MM-DD HH24:MI:SS'), '2', '2', '0', NULL);
INSERT INTO "ZMRQ"."SYS_MESSAGE" VALUES ('1557292744148275202', NULL, '推送消息啦', '0', NULL, NULL, '0', NULL, NULL, '0', '0', '1', '0', TO_DATE('2022-08-10 17:08:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-10 17:08:17', 'SYYYY-MM-DD HH24:MI:SS'), '2', '2', '0', NULL);
INSERT INTO "ZMRQ"."SYS_MESSAGE" VALUES ('1557659770851196929', NULL, '推送消息啦', '0', NULL, NULL, '0', NULL, NULL, '0', '0', '1', '0', TO_DATE('2022-08-11 17:26:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-11 17:26:43', 'SYYYY-MM-DD HH24:MI:SS'), '2', '2', '0', NULL);
INSERT INTO "ZMRQ"."SYS_MESSAGE" VALUES ('1557660729190940673', NULL, '推送消息啦', '0', NULL, NULL, '0', NULL, NULL, '0', '0', '1', '0', TO_DATE('2022-08-11 17:30:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-11 17:30:32', 'SYYYY-MM-DD HH24:MI:SS'), '2', '2', '0', NULL);
INSERT INTO "ZMRQ"."SYS_MESSAGE" VALUES ('1557660763571650562', NULL, '推送消息啦', '0', NULL, NULL, '0', NULL, NULL, '0', '0', '1', '0', TO_DATE('2022-08-11 17:30:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-11 17:30:40', 'SYYYY-MM-DD HH24:MI:SS'), '2', '2', '0', NULL);
INSERT INTO "ZMRQ"."SYS_MESSAGE" VALUES ('1557662367960039425', NULL, '推送消息啦', '0', NULL, NULL, '0', NULL, NULL, '0', '0', '1', '0', TO_DATE('2022-08-11 17:37:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-11 17:37:03', 'SYYYY-MM-DD HH24:MI:SS'), '2', '2', '0', NULL);
INSERT INTO "ZMRQ"."SYS_MESSAGE" VALUES ('1557662370719891458', NULL, '推送消息啦', '0', NULL, NULL, '0', NULL, NULL, '0', '0', '1', '0', TO_DATE('2022-08-11 17:37:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-11 17:37:03', 'SYYYY-MM-DD HH24:MI:SS'), '2', '2', '0', NULL);
INSERT INTO "ZMRQ"."SYS_MESSAGE" VALUES ('1557662372389224449', NULL, '推送消息啦', '0', NULL, NULL, '0', NULL, NULL, '0', '0', '1', '0', TO_DATE('2022-08-11 17:37:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-11 17:37:04', 'SYYYY-MM-DD HH24:MI:SS'), '2', '2', '0', NULL);
INSERT INTO "ZMRQ"."SYS_MESSAGE" VALUES ('1557662373307777025', NULL, '推送消息啦', '0', NULL, NULL, '0', NULL, NULL, '0', '0', '1', '0', TO_DATE('2022-08-11 17:37:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-11 17:37:04', 'SYYYY-MM-DD HH24:MI:SS'), '2', '2', '0', NULL);
INSERT INTO "ZMRQ"."SYS_MESSAGE" VALUES ('1557662374108889089', NULL, '推送消息啦', '0', NULL, NULL, '0', NULL, NULL, '0', '0', '1', '0', TO_DATE('2022-08-11 17:37:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-11 17:37:04', 'SYYYY-MM-DD HH24:MI:SS'), '2', '2', '0', NULL);
INSERT INTO "ZMRQ"."SYS_MESSAGE" VALUES ('1557662374922584065', NULL, '推送消息啦', '0', NULL, NULL, '0', NULL, NULL, '0', '0', '1', '0', TO_DATE('2022-08-11 17:37:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-11 17:37:04', 'SYYYY-MM-DD HH24:MI:SS'), '2', '2', '0', NULL);
INSERT INTO "ZMRQ"."SYS_MESSAGE" VALUES ('1565170684820172801', '新安装工程_任务分配', '[新安装工程]新增[任务分配]', NULL, '11', 'TF_PROCESS_L', '1565159213251891202', 'xazgc|2;1559424501707382785|2', 'xazgc|2;1559424501707382785|2', NULL, '1', '1', '0', TO_DATE('2022-09-01 10:52:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-01 10:52:25', 'SYYYY-MM-DD HH24:MI:SS'), '1', '1', '0', NULL);
INSERT INTO "ZMRQ"."SYS_MESSAGE" VALUES ('1565185714521354242', '新安装工程_任务分配', '[新安装工程]新增[任务分配]', NULL, '11', 'TF_PROCESS_L', '1565185175112777730', 'xazgc|2;1559424501707382785|2', 'xazgc|2;1559424501707382785|2', NULL, '1', '1', '0', TO_DATE('2022-09-01 11:52:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-01 11:52:08', 'SYYYY-MM-DD HH24:MI:SS'), '1', '1', '0', NULL);
INSERT INTO "ZMRQ"."SYS_MESSAGE" VALUES ('1565213556550381569', '新安装工程_任务分配', '[新安装工程]新增[任务分配]', NULL, '11', 'TF_PROCESS_L', '1565213203985465345', 'xazgc|2;1559424501707382785|2', 'xazgc|2;1559424501707382785|2', NULL, '1', '1', '0', TO_DATE('2022-09-01 13:42:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-01 13:42:46', 'SYYYY-MM-DD HH24:MI:SS'), '1', '1', '0', NULL);
INSERT INTO "ZMRQ"."SYS_MESSAGE" VALUES ('1565215478401445890', '新安装工程_任务分配', '[新安装工程]新增[任务分配]', NULL, '11', 'TF_PROCESS_L', '1565215112469393410', 'xazgc|2;1559424501707382785|2', 'xazgc|2;1559424501707382785|2', NULL, '1', '1', '0', TO_DATE('2022-09-01 13:50:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-01 13:50:25', 'SYYYY-MM-DD HH24:MI:SS'), '1', '1', '0', NULL);
INSERT INTO "ZMRQ"."SYS_MESSAGE" VALUES ('1565634677210017793', '新安装工程_任务分配', '[新安装工程]新增[任务分配]', NULL, '11', 'TF_PROCESS_L', '1565631350208364546', 'xazgc|2;1559424501707382785|2', 'xazgc|2;1559424501707382785|2', NULL, NULL, '1', '0', TO_DATE('2022-09-02 17:36:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-02 17:36:09', 'SYYYY-MM-DD HH24:MI:SS'), '1', '1', '0', NULL);
INSERT INTO "ZMRQ"."SYS_MESSAGE" VALUES ('1569617178400104450', '新安装工程_任务分配', '[新安装工程]新增[任务分配]', NULL, '11', 'TF_PROCESS_L', '1569616564261691393', 'xazgc|2;1559424501707382785|2', 'xazgc|2;1559424501707382785|2', NULL, '1', '1', '0', TO_DATE('2022-09-13 17:21:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 17:21:12', 'SYYYY-MM-DD HH24:MI:SS'), '1', '1', '0', NULL);
INSERT INTO "ZMRQ"."SYS_MESSAGE" VALUES ('1569617586606546946', '新安装工程_现场勘测', '[新安装工程]新增[现场勘测]', NULL, '11', 'TF_PROCESS_L', '1569616564261691393', 'xazgc|3;1559424501707382785|3', 'xazgc|3;1559424501707382785|3', NULL, '1', '1', '0', TO_DATE('2022-09-13 17:22:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 17:22:49', 'SYYYY-MM-DD HH24:MI:SS'), '1', '1', '0', NULL);
INSERT INTO "ZMRQ"."SYS_MESSAGE" VALUES ('1574702139677683714', '绵竹中民燃气有限公司-新安装工程流程_任务分配', '[绵竹中民燃气有限公司-新安装工程流程]新增[任务分配]', NULL, '11', 'TF_PROCESS_L', '1574702138742296578', 'xazgc|2;1568576682649546753|2', 'xazgc|2;1568576682649546753|2', NULL, NULL, '1569602913205559298', '0', TO_DATE('2022-09-27 18:07:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:07:01', 'SYYYY-MM-DD HH24:MI:SS'), '1562365397418708993', '1562365397418708993', '0', NULL);
INSERT INTO "ZMRQ"."SYS_MESSAGE" VALUES ('1574707434088935425', '绵竹中民燃气有限公司-新安装工程流程_设计预算', '[绵竹中民燃气有限公司-新安装工程流程]新增[设计预算]', NULL, '11', 'TF_PROCESS_L', '1574704733733068801', 'xazgc|4;1568576682649546753|4', 'xazgc|4;1568576682649546753|4', NULL, NULL, '1569602913205559298', '0', TO_DATE('2022-09-27 18:28:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:28:03', 'SYYYY-MM-DD HH24:MI:SS'), '1572763574748172290', '1572763574748172290', '0', NULL);
INSERT INTO "ZMRQ"."SYS_MESSAGE" VALUES ('1574709951430504450', '绵竹中民燃气有限公司-新安装工程流程_任务分配', '[绵竹中民燃气有限公司-新安装工程流程]新增[任务分配]', NULL, '11', 'TF_PROCESS_L', '1574709951149391874', 'xazgc|2;1568576682649546753|2', 'xazgc|2;1568576682649546753|2', NULL, NULL, '1569602913205559298', '0', TO_DATE('2022-09-27 18:38:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:38:03', 'SYYYY-MM-DD HH24:MI:SS'), '1572763574748172290', '1572763574748172290', '0', NULL);
INSERT INTO "ZMRQ"."SYS_MESSAGE" VALUES ('1574954776109113346', '绵竹中民燃气有限公司-新安装工程流程_任务分配', '[绵竹中民燃气有限公司-新安装工程流程]新增[任务分配]', NULL, '11', 'TF_PROCESS_L', '1574954775253434369', 'xazgc|2;1568576682649546753|2', 'xazgc|2;1568576682649546753|2', NULL, NULL, '1569602913205559298', '0', TO_DATE('2022-09-28 10:50:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:50:54', 'SYYYY-MM-DD HH24:MI:SS'), '1572763574748172290', '1572763574748172290', '0', NULL);
INSERT INTO "ZMRQ"."SYS_MESSAGE" VALUES ('1574954961191165953', '绵竹中民燃气有限公司-新安装工程流程_现场勘察', '[绵竹中民燃气有限公司-新安装工程流程]新增[现场勘察]', NULL, '11', 'TF_PROCESS_L', '1574954775253434369', 'xazgc|3;1568576682649546753|3', 'xazgc|3;1568576682649546753|3', NULL, NULL, '1569602913205559298', '0', TO_DATE('2022-09-28 10:51:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:51:38', 'SYYYY-MM-DD HH24:MI:SS'), '1572763574748172290', '1572763574748172290', '0', NULL);
INSERT INTO "ZMRQ"."SYS_MESSAGE" VALUES ('1575307168163844097', '绵竹中民燃气有限公司-新安装工程流程_市场部审核', '[绵竹中民燃气有限公司-新安装工程流程]新增[市场部审核]', NULL, '11', 'TF_PROCESS_L', '1573919105386835969', 'xazgc|5;1568576682649546753|5', 'xazgc|5;1568576682649546753|5', NULL, NULL, '1569602913205559298', '0', TO_DATE('2022-09-29 10:11:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:11:11', 'SYYYY-MM-DD HH24:MI:SS'), '1562707353475338242', '1562707353475338242', '0', NULL);
INSERT INTO "ZMRQ"."SYS_MESSAGE" VALUES ('1575309464465592321', '绵竹中民燃气有限公司-新安装工程流程_任务分配', '[绵竹中民燃气有限公司-新安装工程流程]新增[任务分配]', NULL, '11', 'TF_PROCESS_L', '1575309464218214402', 'xazgc|2;1568576682649546753|2', 'xazgc|2;1568576682649546753|2', NULL, NULL, '1569602913205559298', '0', TO_DATE('2022-09-29 10:20:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:20:18', 'SYYYY-MM-DD HH24:MI:SS'), '1562365397418708993', '1562365397418708993', '0', NULL);
INSERT INTO "ZMRQ"."SYS_MESSAGE" VALUES ('1575387350275051521', '绵竹中民燃气有限公司-新安装工程流程_任务分配', '[绵竹中民燃气有限公司-新安装工程流程]新增[任务分配]', NULL, '11', 'TF_PROCESS_L', '1575387349670957057', 'xazgc|2;1568576682649546753|2', 'xazgc|2;1568576682649546753|2', NULL, NULL, '1569602913205559298', '0', TO_DATE('2022-09-29 15:29:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:29:48', 'SYYYY-MM-DD HH24:MI:SS'), '1572763574748172290', '1572763574748172290', '0', NULL);
INSERT INTO "ZMRQ"."SYS_MESSAGE" VALUES ('1575426495097724929', '绵竹中民燃气有限公司-新安装工程流程_现场勘察', '[绵竹中民燃气有限公司-新安装工程流程]新增[现场勘察]', NULL, '11', 'TF_PROCESS_L', '1575426230143492098', 'xazgc|3;1568576682649546753|3', 'xazgc|3;1568576682649546753|3', NULL, NULL, '1569602913205559298', '0', TO_DATE('2022-09-29 18:05:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:05:21', 'SYYYY-MM-DD HH24:MI:SS'), '1572763574748172290', '1572763574748172290', '0', NULL);
INSERT INTO "ZMRQ"."SYS_MESSAGE" VALUES ('1575685083833577473', '绵竹中民燃气有限公司-新安装工程流程_任务分配', '[绵竹中民燃气有限公司-新安装工程流程]新增[任务分配]', NULL, '11', 'TF_PROCESS_L', '1575685082881576961', 'xazgc|2;1568576682649546753|2', 'xazgc|2;1568576682649546753|2', NULL, NULL, '1569602913205559298', '0', TO_DATE('2022-09-30 11:12:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:12:53', 'SYYYY-MM-DD HH24:MI:SS'), '1574222129820868609', '1574222129820868609', '0', NULL);
INSERT INTO "ZMRQ"."SYS_MESSAGE" VALUES ('1575686571540623362', '绵竹中民燃气有限公司-新安装工程流程_设计预算', '[绵竹中民燃气有限公司-新安装工程流程]新增[设计预算]', NULL, '11', 'TF_PROCESS_L', '1575685082881576961', 'xazgc|4;1568576682649546753|4', 'xazgc|4;1568576682649546753|4', NULL, NULL, '1569602913205559298', '0', TO_DATE('2022-09-30 11:18:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:18:48', 'SYYYY-MM-DD HH24:MI:SS'), '1574222129820868609', '1574222129820868609', '0', NULL);
INSERT INTO "ZMRQ"."SYS_MESSAGE" VALUES ('1575686981051494402', '绵竹中民燃气有限公司-新安装工程流程_市场部审核', '[绵竹中民燃气有限公司-新安装工程流程]新增[市场部审核]', NULL, '11', 'TF_PROCESS_L', '1575685082881576961', 'xazgc|5;1568576682649546753|5', 'xazgc|5;1568576682649546753|5', NULL, NULL, '1569602913205559298', '0', TO_DATE('2022-09-30 11:20:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:20:25', 'SYYYY-MM-DD HH24:MI:SS'), '1574222129820868609', '1574222129820868609', '0', NULL);
INSERT INTO "ZMRQ"."SYS_MESSAGE" VALUES ('1578657704997060609', '绵竹中民燃气有限公司-新安装工程流程_市场部审核', '[绵竹中民燃气有限公司-新安装工程流程]新增[市场部审核]', NULL, '11', 'TF_PROCESS_L', '1575426230143492098', 'xazgc|5;1568576682649546753|5', 'xazgc|5;1568576682649546753|5', NULL, NULL, '1569602913205559298', '0', TO_DATE('2022-10-08 16:05:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:05:01', 'SYYYY-MM-DD HH24:MI:SS'), '1572763574748172290', '1572763574748172290', '0', NULL);
INSERT INTO "ZMRQ"."SYS_MESSAGE" VALUES ('1578657737888792577', '绵竹中民燃气有限公司-新安装工程流程_市场部审核', '[绵竹中民燃气有限公司-新安装工程流程]新增[市场部审核]', NULL, '11', 'TF_PROCESS_L', '1575426230143492098', 'xazgc|5;1568576682649546753|5', 'xazgc|5;1568576682649546753|5', NULL, NULL, '1569602913205559298', '0', TO_DATE('2022-10-08 16:05:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:05:09', 'SYYYY-MM-DD HH24:MI:SS'), '1572763574748172290', '1572763574748172290', '0', NULL);
INSERT INTO "ZMRQ"."SYS_MESSAGE" VALUES ('1578658423300980738', '绵竹中民燃气有限公司-新安装工程流程_市场部审核', '[绵竹中民燃气有限公司-新安装工程流程]新增[市场部审核]', NULL, '11', 'TF_PROCESS_L', '1575426230143492098', 'xazgc|5;1568576682649546753|5', 'xazgc|5;1568576682649546753|5', NULL, NULL, '1569602913205559298', '0', TO_DATE('2022-10-08 16:07:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:07:52', 'SYYYY-MM-DD HH24:MI:SS'), '1572763574748172290', '1572763574748172290', '0', NULL);
INSERT INTO "ZMRQ"."SYS_MESSAGE" VALUES ('1578664668363808769', '绵竹中民燃气有限公司-新安装工程流程_合同编制', '[绵竹中民燃气有限公司-新安装工程流程]新增[合同编制]', NULL, '11', 'TF_PROCESS_L', '1578620110460428289', 'xazgc|7;1568576682649546753|7', 'xazgc|7;1568576682649546753|7', NULL, NULL, '1569602913205559298', '0', TO_DATE('2022-10-08 16:32:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:32:41', 'SYYYY-MM-DD HH24:MI:SS'), '1573859622077870082', '1573859622077870082', '0', NULL);
INSERT INTO "ZMRQ"."SYS_MESSAGE" VALUES ('1578626702929149953', '绵竹中民燃气有限公司-新安装工程流程_设计预算', '[绵竹中民燃气有限公司-新安装工程流程]新增[设计预算]', NULL, '11', 'TF_PROCESS_L', '1578595923222167553', 'xazgc|4;1568576682649546753|4', 'xazgc|4;1568576682649546753|4', NULL, NULL, '1569602913205559298', '0', TO_DATE('2022-10-08 14:01:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:01:50', 'SYYYY-MM-DD HH24:MI:SS'), '1562707353475338242', '1562707353475338242', '0', NULL);
INSERT INTO "ZMRQ"."SYS_MESSAGE" VALUES ('1578627451981512706', '绵竹中民燃气有限公司-新安装工程流程_市场部审核', '[绵竹中民燃气有限公司-新安装工程流程]新增[市场部审核]', NULL, '11', 'TF_PROCESS_L', '1578620110460428289', 'xazgc|5;1568576682649546753|5', 'xazgc|5;1568576682649546753|5', NULL, NULL, '1569602913205559298', '0', TO_DATE('2022-10-08 14:04:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:04:48', 'SYYYY-MM-DD HH24:MI:SS'), '1573859622077870082', '1573859622077870082', '0', NULL);
INSERT INTO "ZMRQ"."SYS_MESSAGE" VALUES ('1578625896033140738', '绵竹中民燃气有限公司-新安装工程流程_设计预算', '[绵竹中民燃气有限公司-新安装工程流程]新增[设计预算]', NULL, '11', 'TF_PROCESS_L', '1578595923222167553', 'xazgc|4;1568576682649546753|4', 'xazgc|4;1568576682649546753|4', NULL, NULL, '1569602913205559298', '0', TO_DATE('2022-10-08 13:58:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:58:37', 'SYYYY-MM-DD HH24:MI:SS'), '1562707353475338242', '1562707353475338242', '0', NULL);
INSERT INTO "ZMRQ"."SYS_MESSAGE" VALUES ('1578626347487051777', '绵竹中民燃气有限公司-新安装工程流程_设计预算', '[绵竹中民燃气有限公司-新安装工程流程]新增[设计预算]', NULL, '11', 'TF_PROCESS_L', '1578620110460428289', 'xazgc|4;1568576682649546753|4', 'xazgc|4;1568576682649546753|4', NULL, NULL, '1569602913205559298', '0', TO_DATE('2022-10-08 14:00:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:00:25', 'SYYYY-MM-DD HH24:MI:SS'), '1573859622077870082', '1573859622077870082', '0', NULL);
INSERT INTO "ZMRQ"."SYS_MESSAGE" VALUES ('1578664214301040641', '绵竹中民燃气有限公司-新安装工程流程_财务部审核', '[绵竹中民燃气有限公司-新安装工程流程]新增[财务部审核]', NULL, '11', 'TF_PROCESS_L', '1578620110460428289', 'xazgc|6;1568576682649546753|6', 'xazgc|6;1568576682649546753|6', NULL, NULL, '1569602913205559298', '0', TO_DATE('2022-10-08 16:30:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:30:53', 'SYYYY-MM-DD HH24:MI:SS'), '1573859622077870082', '1573859622077870082', '0', NULL);
INSERT INTO "ZMRQ"."SYS_MESSAGE" VALUES ('1578643098346024962', '绵竹中民燃气有限公司-新安装工程流程_任务分配', '[绵竹中民燃气有限公司-新安装工程流程]新增[任务分配]', NULL, '11', 'TF_PROCESS_L', '1578643097498791937', 'xazgc|2;1568576682649546753|2', 'xazgc|2;1568576682649546753|2', NULL, NULL, '1569602913205559298', '0', TO_DATE('2022-10-08 15:06:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:06:59', 'SYYYY-MM-DD HH24:MI:SS'), '1562365397418708993', '1562365397418708993', '0', NULL);
INSERT INTO "ZMRQ"."SYS_MESSAGE" VALUES ('1578643247633887233', '绵竹中民燃气有限公司-新安装工程流程_现场勘察', '[绵竹中民燃气有限公司-新安装工程流程]新增[现场勘察]', NULL, '11', 'TF_PROCESS_L', '1578643097498791937', 'xazgc|3;1568576682649546753|3', 'xazgc|3;1568576682649546753|3', NULL, NULL, '1569602913205559298', '0', TO_DATE('2022-10-08 15:07:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:07:34', 'SYYYY-MM-DD HH24:MI:SS'), '1562365397418708993', '1562365397418708993', '0', NULL);

-- ----------------------------
-- Table structure for SYS_POST
-- ----------------------------
DROP TABLE "ZMRQ"."SYS_POST";
CREATE TABLE "ZMRQ"."SYS_POST" (
  "ID" NUMBER(20,0) NOT NULL,
  "TENANT_ID" NUMBER(20,0) NOT NULL,
  "NAME" VARCHAR2(300 BYTE) NOT NULL,
  "REMARK" VARCHAR2(1500 BYTE),
  "CODE" VARCHAR2(300 BYTE),
  "DESCRIBE" VARCHAR2(1500 BYTE),
  "SORT" NUMBER(20,0),
  "DELETED" NUMBER(1,0) DEFAULT 0 NOT NULL,
  "CREATE_TIME" DATE,
  "CREATE_USER" NUMBER(20,0),
  "UPDATE_TIME" DATE,
  "UPDATE_USER" NUMBER(20,0)
)
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "ZMRQ"."SYS_POST"."ID" IS '主键ID';
COMMENT ON COLUMN "ZMRQ"."SYS_POST"."TENANT_ID" IS '公司ID';
COMMENT ON COLUMN "ZMRQ"."SYS_POST"."NAME" IS '岗位名称';
COMMENT ON COLUMN "ZMRQ"."SYS_POST"."REMARK" IS '备注';
COMMENT ON COLUMN "ZMRQ"."SYS_POST"."CODE" IS '编码';
COMMENT ON COLUMN "ZMRQ"."SYS_POST"."DESCRIBE" IS '岗位职责描述';
COMMENT ON COLUMN "ZMRQ"."SYS_POST"."SORT" IS '排序';
COMMENT ON COLUMN "ZMRQ"."SYS_POST"."DELETED" IS '逻辑删除，1删除，0不删除';
COMMENT ON COLUMN "ZMRQ"."SYS_POST"."CREATE_TIME" IS '创建时间';
COMMENT ON COLUMN "ZMRQ"."SYS_POST"."CREATE_USER" IS '创建人';
COMMENT ON COLUMN "ZMRQ"."SYS_POST"."UPDATE_TIME" IS '更新时间';
COMMENT ON COLUMN "ZMRQ"."SYS_POST"."UPDATE_USER" IS '修改人';
COMMENT ON TABLE "ZMRQ"."SYS_POST" IS '系统岗位';

-- ----------------------------
-- Records of SYS_POST
-- ----------------------------
INSERT INTO "ZMRQ"."SYS_POST" VALUES ('1566691068236886018', '1', '项目经理', '设计产品，管理产品', NULL, '产品', NULL, '1', TO_DATE('2022-09-05 15:33:53', 'SYYYY-MM-DD HH24:MI:SS'), '1562707353475338242', TO_DATE('2022-09-05 15:33:53', 'SYYYY-MM-DD HH24:MI:SS'), '1562707353475338242');
INSERT INTO "ZMRQ"."SYS_POST" VALUES ('1569856511973859329', '1569602913205559298', '测试工程师', NULL, NULL, NULL, NULL, '1', TO_DATE('2022-09-14 09:12:13', 'SYYYY-MM-DD HH24:MI:SS'), '1562707661060427778', TO_DATE('2022-09-14 09:12:13', 'SYYYY-MM-DD HH24:MI:SS'), '1562707661060427778');
INSERT INTO "ZMRQ"."SYS_POST" VALUES ('1569856554676068354', '1569216846182748162', '21', NULL, NULL, NULL, NULL, '1', TO_DATE('2022-09-14 09:12:23', 'SYYYY-MM-DD HH24:MI:SS'), '1562707661060427778', TO_DATE('2022-09-14 09:12:23', 'SYYYY-MM-DD HH24:MI:SS'), '1562707661060427778');
INSERT INTO "ZMRQ"."SYS_POST" VALUES ('1569856780803579906', '1569602913205559298', '测试工程师', '二位', NULL, '恶趣味', NULL, '1', TO_DATE('2022-09-14 09:13:17', 'SYYYY-MM-DD HH24:MI:SS'), '1562707661060427778', TO_DATE('2022-09-14 09:13:17', 'SYYYY-MM-DD HH24:MI:SS'), '1562707661060427778');
INSERT INTO "ZMRQ"."SYS_POST" VALUES ('1569861547726544898', '1569602913205559298', '检修部门', NULL, NULL, '负责定期检修', NULL, '1', TO_DATE('2022-09-14 09:32:14', 'SYYYY-MM-DD HH24:MI:SS'), '1562707661060427778', TO_DATE('2022-09-14 09:32:14', 'SYYYY-MM-DD HH24:MI:SS'), '1562707661060427778');
INSERT INTO "ZMRQ"."SYS_POST" VALUES ('1571671418029477889', '1569152821327564802', '产品设计', NULL, NULL, '复杂产品设计工作', NULL, '1', TO_DATE('2022-09-19 09:24:00', 'SYYYY-MM-DD HH24:MI:SS'), '1562707661060427778', TO_DATE('2022-09-19 09:24:00', 'SYYYY-MM-DD HH24:MI:SS'), '1562707661060427778');
INSERT INTO "ZMRQ"."SYS_POST" VALUES ('1571671496764952578', '1569152821327564802', '研发人员', NULL, NULL, '研发', NULL, '1', TO_DATE('2022-09-19 09:24:19', 'SYYYY-MM-DD HH24:MI:SS'), '1562707661060427778', TO_DATE('2022-09-19 09:24:19', 'SYYYY-MM-DD HH24:MI:SS'), '1562707661060427778');
INSERT INTO "ZMRQ"."SYS_POST" VALUES ('1571671864693493761', '1569152821327564802', '客户服务部', NULL, NULL, '负责前端接待，负责提交工程登记信息。', NULL, '1', TO_DATE('2022-09-19 09:25:47', 'SYYYY-MM-DD HH24:MI:SS'), '1562707661060427778', TO_DATE('2022-09-19 09:25:47', 'SYYYY-MM-DD HH24:MI:SS'), '1562707661060427778');
INSERT INTO "ZMRQ"."SYS_POST" VALUES ('1571672036433465345', '1569152821327564802', '市场保障部', '1', NULL, '负责工程登记分配', NULL, '1', TO_DATE('2022-09-19 09:26:28', 'SYYYY-MM-DD HH24:MI:SS'), '1562707661060427778', TO_DATE('2022-09-19 09:26:28', 'SYYYY-MM-DD HH24:MI:SS'), '1562707661060427778');
INSERT INTO "ZMRQ"."SYS_POST" VALUES ('1571672363803086849', '1569152821327564802', '项目负责人', NULL, NULL, '项目负责人，根据工程登记选择的项目负责人配置', NULL, '1', TO_DATE('2022-09-19 09:27:46', 'SYYYY-MM-DD HH24:MI:SS'), '1562707661060427778', TO_DATE('2022-09-19 09:27:46', 'SYYYY-MM-DD HH24:MI:SS'), '1562707661060427778');
INSERT INTO "ZMRQ"."SYS_POST" VALUES ('1571673192710803458', '1569152821327564802', '安全管理部', NULL, NULL, NULL, NULL, '1', TO_DATE('2022-09-19 09:31:04', 'SYYYY-MM-DD HH24:MI:SS'), '1562707661060427778', TO_DATE('2022-09-19 09:31:04', 'SYYYY-MM-DD HH24:MI:SS'), '1562707661060427778');
INSERT INTO "ZMRQ"."SYS_POST" VALUES ('1571673296582742017', '1569152821327564802', '监理单位', NULL, NULL, NULL, NULL, '1', TO_DATE('2022-09-19 09:31:28', 'SYYYY-MM-DD HH24:MI:SS'), '1562707661060427778', TO_DATE('2022-09-19 09:31:28', 'SYYYY-MM-DD HH24:MI:SS'), '1562707661060427778');
INSERT INTO "ZMRQ"."SYS_POST" VALUES ('1571673354417999874', '1569152821327564802', '生产运营部', NULL, NULL, NULL, NULL, '1', TO_DATE('2022-09-19 09:31:42', 'SYYYY-MM-DD HH24:MI:SS'), '1562707661060427778', TO_DATE('2022-09-19 09:31:42', 'SYYYY-MM-DD HH24:MI:SS'), '1562707661060427778');
INSERT INTO "ZMRQ"."SYS_POST" VALUES ('1571674007445966850', '1569152821327564802', '财务管理部经理', NULL, NULL, NULL, NULL, '1', TO_DATE('2022-09-19 09:34:18', 'SYYYY-MM-DD HH24:MI:SS'), '1562707661060427778', TO_DATE('2022-09-19 09:34:18', 'SYYYY-MM-DD HH24:MI:SS'), '1562707661060427778');
INSERT INTO "ZMRQ"."SYS_POST" VALUES ('1571674503216893954', '1569152821327564802', '市场保障部负责人', NULL, NULL, NULL, NULL, '1', TO_DATE('2022-09-19 09:36:16', 'SYYYY-MM-DD HH24:MI:SS'), '1562707661060427778', TO_DATE('2022-09-19 09:36:16', 'SYYYY-MM-DD HH24:MI:SS'), '1562707661060427778');
INSERT INTO "ZMRQ"."SYS_POST" VALUES ('1571675280387870722', '1569152821327564802', '分管市场副总', NULL, NULL, NULL, NULL, '1', TO_DATE('2022-09-19 09:39:21', 'SYYYY-MM-DD HH24:MI:SS'), '1562707661060427778', TO_DATE('2022-09-19 09:39:21', 'SYYYY-MM-DD HH24:MI:SS'), '1562707661060427778');
INSERT INTO "ZMRQ"."SYS_POST" VALUES ('1571675323543064578', '1569152821327564802', '财务总监', NULL, NULL, NULL, NULL, '1', TO_DATE('2022-09-19 09:39:32', 'SYYYY-MM-DD HH24:MI:SS'), '1562707661060427778', TO_DATE('2022-09-19 09:39:32', 'SYYYY-MM-DD HH24:MI:SS'), '1562707661060427778');
INSERT INTO "ZMRQ"."SYS_POST" VALUES ('1571675366270439426', '1569152821327564802', '常务副总', NULL, NULL, NULL, NULL, '1', TO_DATE('2022-09-19 09:39:42', 'SYYYY-MM-DD HH24:MI:SS'), '1562707661060427778', TO_DATE('2022-09-19 09:39:42', 'SYYYY-MM-DD HH24:MI:SS'), '1562707661060427778');
INSERT INTO "ZMRQ"."SYS_POST" VALUES ('1571675737999020033', '1569152821327564802', '客户服务部 ', NULL, NULL, NULL, NULL, '1', TO_DATE('2022-09-19 09:41:10', 'SYYYY-MM-DD HH24:MI:SS'), '1562707661060427778', TO_DATE('2022-09-19 09:41:10', 'SYYYY-MM-DD HH24:MI:SS'), '1562707661060427778');
INSERT INTO "ZMRQ"."SYS_POST" VALUES ('1571696122912129025', '1', '客户服务部', NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-19 11:02:11', 'SYYYY-MM-DD HH24:MI:SS'), '1562707661060427778', TO_DATE('2022-09-19 11:02:11', 'SYYYY-MM-DD HH24:MI:SS'), '1562707661060427778');
INSERT INTO "ZMRQ"."SYS_POST" VALUES ('1571696174464319489', '1', '市场保障部', NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-19 11:02:23', 'SYYYY-MM-DD HH24:MI:SS'), '1562707661060427778', TO_DATE('2022-09-19 11:02:23', 'SYYYY-MM-DD HH24:MI:SS'), '1562707661060427778');
INSERT INTO "ZMRQ"."SYS_POST" VALUES ('1571696243976519682', '1', '财务管理部负责人', NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-19 11:02:39', 'SYYYY-MM-DD HH24:MI:SS'), '1562707661060427778', TO_DATE('2022-09-19 11:02:39', 'SYYYY-MM-DD HH24:MI:SS'), '1562707661060427778');
INSERT INTO "ZMRQ"."SYS_POST" VALUES ('1571696282257932290', '1', '分管市场副总', NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-19 11:02:49', 'SYYYY-MM-DD HH24:MI:SS'), '1562707661060427778', TO_DATE('2022-09-19 11:02:49', 'SYYYY-MM-DD HH24:MI:SS'), '1562707661060427778');
INSERT INTO "ZMRQ"."SYS_POST" VALUES ('1571696321852162050', '1', '财务总监', NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-19 11:02:58', 'SYYYY-MM-DD HH24:MI:SS'), '1562707661060427778', TO_DATE('2022-09-19 11:02:58', 'SYYYY-MM-DD HH24:MI:SS'), '1562707661060427778');
INSERT INTO "ZMRQ"."SYS_POST" VALUES ('1571696366282424321', '1', '常务副总', NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-19 11:03:09', 'SYYYY-MM-DD HH24:MI:SS'), '1562707661060427778', TO_DATE('2022-09-19 11:03:09', 'SYYYY-MM-DD HH24:MI:SS'), '1562707661060427778');
INSERT INTO "ZMRQ"."SYS_POST" VALUES ('1571696407088807938', '1', '监理单位', NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-19 11:03:18', 'SYYYY-MM-DD HH24:MI:SS'), '1562707661060427778', TO_DATE('2022-09-19 11:03:18', 'SYYYY-MM-DD HH24:MI:SS'), '1562707661060427778');
INSERT INTO "ZMRQ"."SYS_POST" VALUES ('1571696444627828738', '1', '安全管理部', NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-19 11:03:27', 'SYYYY-MM-DD HH24:MI:SS'), '1562707661060427778', TO_DATE('2022-09-19 11:03:27', 'SYYYY-MM-DD HH24:MI:SS'), '1562707661060427778');
INSERT INTO "ZMRQ"."SYS_POST" VALUES ('1574234197819170817', '1569602913205559298', '项目实习主管', NULL, NULL, '勘察、规划、预算、合同、工程管理、用户结算、施工单位结算、各类资料审核', NULL, '0', TO_DATE('2022-09-26 11:07:35', 'SYYYY-MM-DD HH24:MI:SS'), '1574214292021571585', TO_DATE('2022-09-26 11:07:35', 'SYYYY-MM-DD HH24:MI:SS'), '1574214292021571585');
INSERT INTO "ZMRQ"."SYS_POST" VALUES ('1574234502623436801', '1569602913205559298', '项目实习主管', NULL, NULL, '勘察、规划、预算、合同、工程管理、用户结算、施工单位结算、各类资料审核', NULL, '1', TO_DATE('2022-09-26 11:08:47', 'SYYYY-MM-DD HH24:MI:SS'), '1574214292021571585', TO_DATE('2022-09-26 11:08:47', 'SYYYY-MM-DD HH24:MI:SS'), '1574214292021571585');
INSERT INTO "ZMRQ"."SYS_POST" VALUES ('1575405354861797378', '1', '批量新增岗位', '221', NULL, '221', NULL, '0', TO_DATE('2022-09-29 16:41:20', 'SYYYY-MM-DD HH24:MI:SS'), '1574945313813704706', TO_DATE('2022-09-29 16:41:20', 'SYYYY-MM-DD HH24:MI:SS'), '1574945313813704706');
INSERT INTO "ZMRQ"."SYS_POST" VALUES ('1575405354886963201', '1569216846182748162', '批量新增岗位', '221', NULL, '2212212212', NULL, '0', TO_DATE('2022-09-29 16:41:20', 'SYYYY-MM-DD HH24:MI:SS'), '1574945313813704706', TO_DATE('2022-09-29 16:42:41', 'SYYYY-MM-DD HH24:MI:SS'), '1574945313813704706');
INSERT INTO "ZMRQ"."SYS_POST" VALUES ('1575405354895351809', '1569602913205559298', '批量新增岗位', '221', NULL, '221', NULL, '0', TO_DATE('2022-09-29 16:41:20', 'SYYYY-MM-DD HH24:MI:SS'), '1574945313813704706', TO_DATE('2022-09-29 16:41:20', 'SYYYY-MM-DD HH24:MI:SS'), '1574945313813704706');
INSERT INTO "ZMRQ"."SYS_POST" VALUES ('1575405948687163394', '1574644518840958977', '潼南批量岗位', '批量岗位测试', NULL, '批量岗位测试', NULL, '1', TO_DATE('2022-09-29 16:43:42', 'SYYYY-MM-DD HH24:MI:SS'), '1574945313813704706', TO_DATE('2022-09-29 16:45:16', 'SYYYY-MM-DD HH24:MI:SS'), '1574204813473345537');
INSERT INTO "ZMRQ"."SYS_POST" VALUES ('1575405948703940610', '1570225246022770689', '潼南批量岗位', NULL, NULL, NULL, NULL, '1', TO_DATE('2022-09-29 16:43:42', 'SYYYY-MM-DD HH24:MI:SS'), '1574945313813704706', TO_DATE('2022-09-29 16:43:42', 'SYYYY-MM-DD HH24:MI:SS'), '1574945313813704706');
INSERT INTO "ZMRQ"."SYS_POST" VALUES ('1554748179940274177', '1', '老师', '老师', NULL, '老师', '0', '1', TO_DATE('2022-08-03 16:37:06', 'SYYYY-MM-DD HH24:MI:SS'), '1', TO_DATE('2022-08-03 16:37:06', 'SYYYY-MM-DD HH24:MI:SS'), '1');
INSERT INTO "ZMRQ"."SYS_POST" VALUES ('1565144946678775809', '1', '21', '21', NULL, '12', NULL, '1', TO_DATE('2022-09-01 09:10:08', 'SYYYY-MM-DD HH24:MI:SS'), '1562365397418708993', TO_DATE('2022-09-01 09:10:08', 'SYYYY-MM-DD HH24:MI:SS'), '1562365397418708993');
INSERT INTO "ZMRQ"."SYS_POST" VALUES ('1565146111936118785', '1', '前端工程师', '前端工程师', NULL, '前端工程师', NULL, '1', TO_DATE('2022-09-01 09:14:46', 'SYYYY-MM-DD HH24:MI:SS'), '2', TO_DATE('2022-09-01 09:14:46', 'SYYYY-MM-DD HH24:MI:SS'), '2');
INSERT INTO "ZMRQ"."SYS_POST" VALUES ('1569855560122703874', '1569216846182748162', '安全部门', NULL, NULL, NULL, NULL, '1', TO_DATE('2022-09-14 09:08:26', 'SYYYY-MM-DD HH24:MI:SS'), '1562707661060427778', TO_DATE('2022-09-14 09:08:26', 'SYYYY-MM-DD HH24:MI:SS'), '1562707661060427778');
INSERT INTO "ZMRQ"."SYS_POST" VALUES ('1569855999668985857', '1569855472025542658', ' 测试工程师', '废物废物废物废物废物废物废物废物废物废物废物废物废物废物废物废物废物废物废物废物废物废物废物废物废物废物废物废物废物废物废物废物废物废物废物废物废物废物废物废物废物废物废物废物废物废物废物废物废', NULL, '主要应用与项目相关测试工作，保障项目的质量问题，并产出相关测试文档。', NULL, '1', TO_DATE('2022-09-14 09:10:11', 'SYYYY-MM-DD HH24:MI:SS'), '1562707661060427778', TO_DATE('2022-09-14 09:10:11', 'SYYYY-MM-DD HH24:MI:SS'), '1562707661060427778');
INSERT INTO "ZMRQ"."SYS_POST" VALUES ('1569856200622284802', '1569602913205559298', '测试工程师', NULL, NULL, '保障相关测试工作保障相关测试工作相关测试工作保障相关测试工作保障相关', NULL, '1', TO_DATE('2022-09-14 09:10:59', 'SYYYY-MM-DD HH24:MI:SS'), '1562707661060427778', TO_DATE('2022-09-14 09:10:59', 'SYYYY-MM-DD HH24:MI:SS'), '1562707661060427778');
INSERT INTO "ZMRQ"."SYS_POST" VALUES ('1569856319350448130', '1569602913205559298', '测试工程师', '342423', NULL, '323232', NULL, '1', TO_DATE('2022-09-14 09:11:27', 'SYYYY-MM-DD HH24:MI:SS'), '1562707661060427778', TO_DATE('2022-09-14 09:11:27', 'SYYYY-MM-DD HH24:MI:SS'), '1562707661060427778');
INSERT INTO "ZMRQ"."SYS_POST" VALUES ('1569859880612339714', '1569602913205559298', '测试工程师', '备注', NULL, '负责项目的测试工作。', NULL, '1', TO_DATE('2022-09-14 09:25:36', 'SYYYY-MM-DD HH24:MI:SS'), '1562707661060427778', TO_DATE('2022-09-14 09:25:36', 'SYYYY-MM-DD HH24:MI:SS'), '1562707661060427778');
INSERT INTO "ZMRQ"."SYS_POST" VALUES ('1572106113599008769', '1569602913205559298', '施工单位施工员', '备注', NULL, NULL, NULL, '1', TO_DATE('2022-09-20 14:11:20', 'SYYYY-MM-DD HH24:MI:SS'), '1571688988283506690', TO_DATE('2022-09-26 11:19:45', 'SYYYY-MM-DD HH24:MI:SS'), '1562707353475338242');
INSERT INTO "ZMRQ"."SYS_POST" VALUES ('1572106155193921537', '1569602913205559298', '监理人员', NULL, NULL, '监理', NULL, '0', TO_DATE('2022-09-20 14:11:30', 'SYYYY-MM-DD HH24:MI:SS'), '1571688988283506690', TO_DATE('2022-09-26 11:20:07', 'SYYYY-MM-DD HH24:MI:SS'), '1562707353475338242');
INSERT INTO "ZMRQ"."SYS_POST" VALUES ('1572536774545756162', '1569602913205559298', '开发管理员', NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-21 18:42:38', 'SYYYY-MM-DD HH24:MI:SS'), '1562365397418708993', TO_DATE('2022-09-21 18:42:38', 'SYYYY-MM-DD HH24:MI:SS'), '1562365397418708993');
INSERT INTO "ZMRQ"."SYS_POST" VALUES ('1574232280883830785', '1569602913205559298', '工程结审员', NULL, NULL, '申请登记及流程节点查询、施工合同签订、工程预收、结算办理', NULL, '0', TO_DATE('2022-09-26 10:59:58', 'SYYYY-MM-DD HH24:MI:SS'), '1574214292021571585', TO_DATE('2022-09-26 10:59:58', 'SYYYY-MM-DD HH24:MI:SS'), '1574214292021571585');
INSERT INTO "ZMRQ"."SYS_POST" VALUES ('1574233694720794625', '1569602913205559298', '项目主管', NULL, NULL, '勘察、规划、预算、合同、工程管理、用户结算、施工单位结算、各类资料审核', NULL, '0', TO_DATE('2022-09-26 11:05:35', 'SYYYY-MM-DD HH24:MI:SS'), '1574214292021571585', TO_DATE('2022-09-26 11:05:35', 'SYYYY-MM-DD HH24:MI:SS'), '1574214292021571585');
INSERT INTO "ZMRQ"."SYS_POST" VALUES ('1574234911194783745', '1569602913205559298', '维修组长', NULL, NULL, '接收派单、施工照片上传、验收申请、资料（如有）上传', NULL, '0', TO_DATE('2022-09-26 11:10:25', 'SYYYY-MM-DD HH24:MI:SS'), '1574214292021571585', TO_DATE('2022-09-26 11:10:25', 'SYYYY-MM-DD HH24:MI:SS'), '1574214292021571585');
INSERT INTO "ZMRQ"."SYS_POST" VALUES ('1574646405820579842', '1570225246022770689', '财务部经理', '232', NULL, '负责审批', NULL, '0', TO_DATE('2022-09-27 14:25:33', 'SYYYY-MM-DD HH24:MI:SS'), '1', TO_DATE('2022-09-27 14:25:33', 'SYYYY-MM-DD HH24:MI:SS'), '1');
INSERT INTO "ZMRQ"."SYS_POST" VALUES ('1574653207551504386', '1569602913205559298', '项目管理员', NULL, NULL, '勘察、规划、预算、合同、工程管理、用户结算、施工单位结算、各类资料审核', NULL, '0', TO_DATE('2022-09-27 14:52:34', 'SYYYY-MM-DD HH24:MI:SS'), '1574214292021571585', TO_DATE('2022-09-27 14:52:34', 'SYYYY-MM-DD HH24:MI:SS'), '1574214292021571585');
INSERT INTO "ZMRQ"."SYS_POST" VALUES ('1574946953354555393', '1574644518840958977', '财务总监', '财务审批1', NULL, '财务审批', NULL, '0', TO_DATE('2022-09-28 10:19:49', 'SYYYY-MM-DD HH24:MI:SS'), '1574945313813704706', TO_DATE('2022-09-28 13:50:44', 'SYYYY-MM-DD HH24:MI:SS'), '1574945313813704706');
INSERT INTO "ZMRQ"."SYS_POST" VALUES ('1575408431371198466', '1', '1', NULL, NULL, NULL, NULL, '1', TO_DATE('2022-09-29 16:53:34', 'SYYYY-MM-DD HH24:MI:SS'), '1574940855788646402', TO_DATE('2022-09-29 16:53:34', 'SYYYY-MM-DD HH24:MI:SS'), '1574940855788646402');
INSERT INTO "ZMRQ"."SYS_POST" VALUES ('1575408431387975682', '1569216846182748162', '1', NULL, NULL, NULL, NULL, '1', TO_DATE('2022-09-29 16:53:34', 'SYYYY-MM-DD HH24:MI:SS'), '1574940855788646402', TO_DATE('2022-09-29 16:53:34', 'SYYYY-MM-DD HH24:MI:SS'), '1574940855788646402');
INSERT INTO "ZMRQ"."SYS_POST" VALUES ('1564866718982553601', '1', '11', '333', NULL, '2223', NULL, '1', TO_DATE('2022-08-31 14:44:34', 'SYYYY-MM-DD HH24:MI:SS'), '1562707353475338242', TO_DATE('2022-08-31 14:44:34', 'SYYYY-MM-DD HH24:MI:SS'), '1562707353475338242');
INSERT INTO "ZMRQ"."SYS_POST" VALUES ('1564871334721830913', '1', '项目经理', '测试岗位', NULL, '项目管理', NULL, '0', TO_DATE('2022-08-31 15:02:54', 'SYYYY-MM-DD HH24:MI:SS'), '1562707353475338242', TO_DATE('2022-08-31 15:02:54', 'SYYYY-MM-DD HH24:MI:SS'), '1562707353475338242');
INSERT INTO "ZMRQ"."SYS_POST" VALUES ('1569599290903961601', '1569216846182748162', '111', NULL, NULL, NULL, NULL, '1', TO_DATE('2022-09-13 16:10:07', 'SYYYY-MM-DD HH24:MI:SS'), '1562707661060427778', TO_DATE('2022-09-13 16:10:07', 'SYYYY-MM-DD HH24:MI:SS'), '1562707661060427778');
INSERT INTO "ZMRQ"."SYS_POST" VALUES ('1571785557544542210', '1', '生产运营部', NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-19 16:57:33', 'SYYYY-MM-DD HH24:MI:SS'), '1571688988283506690', TO_DATE('2022-09-19 16:57:33', 'SYYYY-MM-DD HH24:MI:SS'), '1571688988283506690');
INSERT INTO "ZMRQ"."SYS_POST" VALUES ('1574953254059106305', '1569216846182748162', '测试岗位', '测试', NULL, NULL, NULL, '1', TO_DATE('2022-09-28 10:44:51', 'SYYYY-MM-DD HH24:MI:SS'), '1', TO_DATE('2022-09-28 10:44:51', 'SYYYY-MM-DD HH24:MI:SS'), '1');
INSERT INTO "ZMRQ"."SYS_POST" VALUES ('1574953254075883522', '1569602913205559298', '测试岗位', '测试', NULL, NULL, NULL, '1', TO_DATE('2022-09-28 10:44:51', 'SYYYY-MM-DD HH24:MI:SS'), '1', TO_DATE('2022-09-28 10:44:51', 'SYYYY-MM-DD HH24:MI:SS'), '1');
INSERT INTO "ZMRQ"."SYS_POST" VALUES ('1574953254084272130', '1570225246022770689', '测试岗位', '测试', NULL, NULL, NULL, '1', TO_DATE('2022-09-28 10:44:51', 'SYYYY-MM-DD HH24:MI:SS'), '1', TO_DATE('2022-09-28 10:44:51', 'SYYYY-MM-DD HH24:MI:SS'), '1');
INSERT INTO "ZMRQ"."SYS_POST" VALUES ('1575327904240787458', '1', '2342342342342342342342342342342342342342342342342342342342342342342342342342342342342342342342342342', '234234234', NULL, '234234234234234234234234234234234234234234234234234234234234234234234234234234234', NULL, '1', TO_DATE('2022-09-29 11:33:35', 'SYYYY-MM-DD HH24:MI:SS'), '1574945313813704706', TO_DATE('2022-09-29 11:33:35', 'SYYYY-MM-DD HH24:MI:SS'), '1574945313813704706');
INSERT INTO "ZMRQ"."SYS_POST" VALUES ('1', '1', '管理员', NULL, NULL, NULL, NULL, '0', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."SYS_POST" VALUES ('2', '1', '技术员', NULL, NULL, NULL, NULL, '0', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."SYS_POST" VALUES ('1567693159466135553', '1', '产品经理', '设计', NULL, '设计产品', NULL, '1', TO_DATE('2022-09-08 09:55:50', 'SYYYY-MM-DD HH24:MI:SS'), '1562707353475338242', TO_DATE('2022-09-08 09:55:50', 'SYYYY-MM-DD HH24:MI:SS'), '1562707353475338242');
INSERT INTO "ZMRQ"."SYS_POST" VALUES ('1567712182270554114', '1559439416258174978', '产品', NULL, NULL, '设计', NULL, '0', TO_DATE('2022-09-08 11:11:25', 'SYYYY-MM-DD HH24:MI:SS'), '1562707353475338242', TO_DATE('2022-09-08 11:11:25', 'SYYYY-MM-DD HH24:MI:SS'), '1562707353475338242');
INSERT INTO "ZMRQ"."SYS_POST" VALUES ('1570729972984193025', '1569152821327564802', '前线检修人员', NULL, NULL, '检修', NULL, '1', TO_DATE('2022-09-16 19:03:02', 'SYYYY-MM-DD HH24:MI:SS'), '1562707661060427778', TO_DATE('2022-09-16 19:03:02', 'SYYYY-MM-DD HH24:MI:SS'), '1562707661060427778');
INSERT INTO "ZMRQ"."SYS_POST" VALUES ('1572103146242174977', '1569602913205559298', '常务副总', '领导', NULL, NULL, NULL, '1', TO_DATE('2022-09-20 13:59:32', 'SYYYY-MM-DD HH24:MI:SS'), '1571688988283506690', TO_DATE('2022-09-20 13:59:32', 'SYYYY-MM-DD HH24:MI:SS'), '1571688988283506690');
INSERT INTO "ZMRQ"."SYS_POST" VALUES ('1572103206669512706', '1569602913205559298', '财务总监', '领导', NULL, NULL, NULL, '1', TO_DATE('2022-09-20 13:59:47', 'SYYYY-MM-DD HH24:MI:SS'), '1571688988283506690', TO_DATE('2022-09-20 13:59:47', 'SYYYY-MM-DD HH24:MI:SS'), '1571688988283506690');
INSERT INTO "ZMRQ"."SYS_POST" VALUES ('1572103343198302209', '1569602913205559298', '分管市场副总', '领导', NULL, NULL, NULL, '1', TO_DATE('2022-09-20 14:00:19', 'SYYYY-MM-DD HH24:MI:SS'), '1571688988283506690', TO_DATE('2022-09-20 14:00:19', 'SYYYY-MM-DD HH24:MI:SS'), '1571688988283506690');
INSERT INTO "ZMRQ"."SYS_POST" VALUES ('1572103633406390274', '1569602913205559298', '市场保障部经理', '市场保障部', NULL, NULL, NULL, '1', TO_DATE('2022-09-20 14:01:29', 'SYYYY-MM-DD HH24:MI:SS'), '1571688988283506690', TO_DATE('2022-09-20 14:01:29', 'SYYYY-MM-DD HH24:MI:SS'), '1571688988283506690');
INSERT INTO "ZMRQ"."SYS_POST" VALUES ('1572103702939561986', '1569602913205559298', '市场保障部副经理', '市场保障部', NULL, NULL, NULL, '1', TO_DATE('2022-09-20 14:01:45', 'SYYYY-MM-DD HH24:MI:SS'), '1571688988283506690', TO_DATE('2022-09-20 14:01:45', 'SYYYY-MM-DD HH24:MI:SS'), '1571688988283506690');
INSERT INTO "ZMRQ"."SYS_POST" VALUES ('1572103840651145217', '1569602913205559298', '项目负责人', '市场保障部', NULL, NULL, NULL, '0', TO_DATE('2022-09-20 14:02:18', 'SYYYY-MM-DD HH24:MI:SS'), '1571688988283506690', TO_DATE('2022-09-20 14:02:18', 'SYYYY-MM-DD HH24:MI:SS'), '1571688988283506690');
INSERT INTO "ZMRQ"."SYS_POST" VALUES ('1572103943520645122', '1569602913205559298', '项目主管', NULL, NULL, NULL, NULL, '1', TO_DATE('2022-09-20 14:02:43', 'SYYYY-MM-DD HH24:MI:SS'), '1571688988283506690', TO_DATE('2022-09-20 14:02:43', 'SYYYY-MM-DD HH24:MI:SS'), '1571688988283506690');
INSERT INTO "ZMRQ"."SYS_POST" VALUES ('1572104068699648002', '1569602913205559298', '维修大队工人', NULL, NULL, NULL, NULL, '1', TO_DATE('2022-09-20 14:03:12', 'SYYYY-MM-DD HH24:MI:SS'), '1571688988283506690', TO_DATE('2022-09-20 14:03:12', 'SYYYY-MM-DD HH24:MI:SS'), '1571688988283506690');
INSERT INTO "ZMRQ"."SYS_POST" VALUES ('1572104218587295746', '1569602913205559298', '客户服务部负责人', NULL, NULL, NULL, NULL, '1', TO_DATE('2022-09-20 14:03:48', 'SYYYY-MM-DD HH24:MI:SS'), '1571688988283506690', TO_DATE('2022-09-20 14:03:48', 'SYYYY-MM-DD HH24:MI:SS'), '1571688988283506690');
INSERT INTO "ZMRQ"."SYS_POST" VALUES ('1572105600690155522', '1569602913205559298', '客户服务部工程接审员', NULL, NULL, NULL, NULL, '1', TO_DATE('2022-09-20 14:09:18', 'SYYYY-MM-DD HH24:MI:SS'), '1571688988283506690', TO_DATE('2022-09-20 14:09:18', 'SYYYY-MM-DD HH24:MI:SS'), '1571688988283506690');
INSERT INTO "ZMRQ"."SYS_POST" VALUES ('1572105673595547649', '1569602913205559298', '财务管理部经理', NULL, NULL, '财务监管', NULL, '1', TO_DATE('2022-09-20 14:09:35', 'SYYYY-MM-DD HH24:MI:SS'), '1571688988283506690', TO_DATE('2022-09-26 14:19:05', 'SYYYY-MM-DD HH24:MI:SS'), '1574214292021571585');
INSERT INTO "ZMRQ"."SYS_POST" VALUES ('1572105804734656514', '1569602913205559298', '财务管理部材料接审员', NULL, NULL, NULL, NULL, '1', TO_DATE('2022-09-20 14:10:06', 'SYYYY-MM-DD HH24:MI:SS'), '1571688988283506690', TO_DATE('2022-09-20 14:10:06', 'SYYYY-MM-DD HH24:MI:SS'), '1571688988283506690');
INSERT INTO "ZMRQ"."SYS_POST" VALUES ('1572105863379415041', '1569602913205559298', '安全管理部经理', NULL, NULL, NULL, NULL, '1', TO_DATE('2022-09-20 14:10:20', 'SYYYY-MM-DD HH24:MI:SS'), '1571688988283506690', TO_DATE('2022-09-20 14:10:20', 'SYYYY-MM-DD HH24:MI:SS'), '1571688988283506690');
INSERT INTO "ZMRQ"."SYS_POST" VALUES ('1572105917452382209', '1569602913205559298', '专职安全员', NULL, NULL, NULL, NULL, '1', TO_DATE('2022-09-20 14:10:33', 'SYYYY-MM-DD HH24:MI:SS'), '1571688988283506690', TO_DATE('2022-09-20 14:10:33', 'SYYYY-MM-DD HH24:MI:SS'), '1571688988283506690');
INSERT INTO "ZMRQ"."SYS_POST" VALUES ('1572106018212147201', '1569602913205559298', '生产运营部负责人', NULL, NULL, NULL, NULL, '1', TO_DATE('2022-09-20 14:10:57', 'SYYYY-MM-DD HH24:MI:SS'), '1571688988283506690', TO_DATE('2022-09-20 14:10:57', 'SYYYY-MM-DD HH24:MI:SS'), '1571688988283506690');
INSERT INTO "ZMRQ"."SYS_POST" VALUES ('1572106070452203521', '1569602913205559298', '施工单位负责人', NULL, NULL, NULL, NULL, '1', TO_DATE('2022-09-20 14:11:10', 'SYYYY-MM-DD HH24:MI:SS'), '1571688988283506690', TO_DATE('2022-09-20 14:11:10', 'SYYYY-MM-DD HH24:MI:SS'), '1571688988283506690');
INSERT INTO "ZMRQ"."SYS_POST" VALUES ('1574229720504475650', '1569602913205559298', '客服部副经理', NULL, NULL, '申请登记及流程节点查询', NULL, '0', TO_DATE('2022-09-26 10:49:47', 'SYYYY-MM-DD HH24:MI:SS'), '1574214292021571585', TO_DATE('2022-09-26 10:49:47', 'SYYYY-MM-DD HH24:MI:SS'), '1574214292021571585');
INSERT INTO "ZMRQ"."SYS_POST" VALUES ('1574231695187025922', '1569602913205559298', '客服部前台主管', NULL, NULL, '申请登记及流程节点查询', NULL, '0', TO_DATE('2022-09-26 10:57:38', 'SYYYY-MM-DD HH24:MI:SS'), '1574214292021571585', TO_DATE('2022-09-28 11:16:29', 'SYYYY-MM-DD HH24:MI:SS'), '1573210716168110082');
INSERT INTO "ZMRQ"."SYS_POST" VALUES ('1574231694977310722', '1569602913205559298', '前台主管', NULL, NULL, '申请登记及流程节点查询', NULL, '1', TO_DATE('2022-09-26 10:57:38', 'SYYYY-MM-DD HH24:MI:SS'), '1574214292021571585', TO_DATE('2022-09-26 10:57:38', 'SYYYY-MM-DD HH24:MI:SS'), '1574214292021571585');
INSERT INTO "ZMRQ"."SYS_POST" VALUES ('1574232075849474050', '1569602913205559298', '客服部档案管理员', NULL, NULL, '申请登记及流程节点查询、竣工资料收集', NULL, '0', TO_DATE('2022-09-26 10:59:09', 'SYYYY-MM-DD HH24:MI:SS'), '1574214292021571585', TO_DATE('2022-09-28 11:16:24', 'SYYYY-MM-DD HH24:MI:SS'), '1573210716168110082');
INSERT INTO "ZMRQ"."SYS_POST" VALUES ('1574232184037351426', '1569602913205559298', '客服部综合受理员', NULL, NULL, '申请登记及流程节点查询', NULL, '0', TO_DATE('2022-09-26 10:59:35', 'SYYYY-MM-DD HH24:MI:SS'), '1574214292021571585', TO_DATE('2022-09-28 11:16:15', 'SYYYY-MM-DD HH24:MI:SS'), '1573210716168110082');
INSERT INTO "ZMRQ"."SYS_POST" VALUES ('1574232809802342401', '1569602913205559298', '市场部部门副经理', NULL, NULL, '派工、勘察、规划、预算、合同、工程管理、用户结算、施工单位结算、各类资料审核', NULL, '0', TO_DATE('2022-09-26 11:02:04', 'SYYYY-MM-DD HH24:MI:SS'), '1574214292021571585', TO_DATE('2022-09-26 11:02:04', 'SYYYY-MM-DD HH24:MI:SS'), '1574214292021571585');
INSERT INTO "ZMRQ"."SYS_POST" VALUES ('1574234789186674690', '1569602913205559298', '工程技术员', NULL, NULL, '勘察、规划、预算、合同、工程管理、用户结算、施工单位结算、各类资料审核', NULL, '0', TO_DATE('2022-09-26 11:09:56', 'SYYYY-MM-DD HH24:MI:SS'), '1574214292021571585', TO_DATE('2022-09-26 11:09:56', 'SYYYY-MM-DD HH24:MI:SS'), '1574214292021571585');
INSERT INTO "ZMRQ"."SYS_POST" VALUES ('1574235944461574145', '1569602913205559298', '维修大队工人', NULL, NULL, '接收派单、施工照片上传、验收申请、资料（如有）上传', NULL, '0', TO_DATE('2022-09-26 11:14:31', 'SYYYY-MM-DD HH24:MI:SS'), '1574214292021571585', TO_DATE('2022-09-28 11:14:22', 'SYYYY-MM-DD HH24:MI:SS'), '1573210716168110082');
INSERT INTO "ZMRQ"."SYS_POST" VALUES ('1574236313778429954', '1569602913205559298', '财务部会计主管', NULL, NULL, '财务监管', NULL, '0', TO_DATE('2022-09-26 11:15:59', 'SYYYY-MM-DD HH24:MI:SS'), '1574214292021571585', TO_DATE('2022-09-28 11:13:55', 'SYYYY-MM-DD HH24:MI:SS'), '1573210716168110082');
INSERT INTO "ZMRQ"."SYS_POST" VALUES ('1574236405310726146', '1569602913205559298', '财务部核算员', NULL, NULL, '材料收发存', NULL, '0', TO_DATE('2022-09-26 11:16:21', 'SYYYY-MM-DD HH24:MI:SS'), '1574214292021571585', TO_DATE('2022-09-28 11:14:02', 'SYYYY-MM-DD HH24:MI:SS'), '1573210716168110082');
INSERT INTO "ZMRQ"."SYS_POST" VALUES ('1574236503029620737', '1569602913205559298', '财务部出纳', NULL, NULL, '工程款确认', NULL, '0', TO_DATE('2022-09-26 11:16:44', 'SYYYY-MM-DD HH24:MI:SS'), '1574214292021571585', TO_DATE('2022-09-28 11:14:08', 'SYYYY-MM-DD HH24:MI:SS'), '1573210716168110082');
INSERT INTO "ZMRQ"."SYS_POST" VALUES ('1574650475155386369', '1570225246022770689', '施工负责人', NULL, NULL, '负责施工的一切事务', NULL, '0', TO_DATE('2022-09-27 14:41:43', 'SYYYY-MM-DD HH24:MI:SS'), '1574204813473345537', TO_DATE('2022-09-27 14:41:43', 'SYYYY-MM-DD HH24:MI:SS'), '1574204813473345537');
INSERT INTO "ZMRQ"."SYS_POST" VALUES ('1574651560699981826', '1570225246022770689', '市场保障部经理', NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-27 14:46:02', 'SYYYY-MM-DD HH24:MI:SS'), '1574204813473345537', TO_DATE('2022-09-27 14:46:02', 'SYYYY-MM-DD HH24:MI:SS'), '1574204813473345537');
INSERT INTO "ZMRQ"."SYS_POST" VALUES ('1574651614206717953', '1574644518840958977', '项目负责人', NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-27 14:46:15', 'SYYYY-MM-DD HH24:MI:SS'), '1574204813473345537', TO_DATE('2022-09-27 14:46:15', 'SYYYY-MM-DD HH24:MI:SS'), '1574204813473345537');
INSERT INTO "ZMRQ"."SYS_POST" VALUES ('1574651692640202754', '1574644518840958977', '项目负责人', NULL, NULL, NULL, NULL, '1', TO_DATE('2022-09-27 14:46:33', 'SYYYY-MM-DD HH24:MI:SS'), '1574204813473345537', TO_DATE('2022-09-27 14:46:33', 'SYYYY-MM-DD HH24:MI:SS'), '1574204813473345537');
INSERT INTO "ZMRQ"."SYS_POST" VALUES ('1574651885301362689', '1570225246022770689', '市场保障部经理', '32', NULL, '3232', NULL, '1', TO_DATE('2022-09-27 14:47:19', 'SYYYY-MM-DD HH24:MI:SS'), '1574204813473345537', TO_DATE('2022-09-29 16:48:46', 'SYYYY-MM-DD HH24:MI:SS'), '1574204813473345537');
INSERT INTO "ZMRQ"."SYS_POST" VALUES ('1574652391511912449', '1574644518840958977', '子公司', NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-27 14:49:20', 'SYYYY-MM-DD HH24:MI:SS'), '1574204813473345537', TO_DATE('2022-09-27 14:49:20', 'SYYYY-MM-DD HH24:MI:SS'), '1574204813473345537');
INSERT INTO "ZMRQ"."SYS_POST" VALUES ('1574652521115906050', '1574644518840958977', '子公司负责人', NULL, NULL, NULL, NULL, '1', TO_DATE('2022-09-27 14:49:51', 'SYYYY-MM-DD HH24:MI:SS'), '1574204813473345537', TO_DATE('2022-09-27 14:49:51', 'SYYYY-MM-DD HH24:MI:SS'), '1574204813473345537');
INSERT INTO "ZMRQ"."SYS_POST" VALUES ('1575030341704998913', '1575029703222878209', '未4の', '未4の2未4の', NULL, '未4の2未4', NULL, '1', TO_DATE('2022-09-28 15:51:10', 'SYYYY-MM-DD HH24:MI:SS'), '1575021278879408130', TO_DATE('2022-09-28 16:06:05', 'SYYYY-MM-DD HH24:MI:SS'), '1574204813473345537');
INSERT INTO "ZMRQ"."SYS_POST" VALUES ('1569515062883328001', '1569216846182748162', '运维工程师', '测试', NULL, NULL, NULL, '0', TO_DATE('2022-09-13 10:35:25', 'SYYYY-MM-DD HH24:MI:SS'), '1562707353475338242', TO_DATE('2022-09-13 10:35:25', 'SYYYY-MM-DD HH24:MI:SS'), '1562707353475338242');
INSERT INTO "ZMRQ"."SYS_POST" VALUES ('1571672678413635585', '1569152821327564802', '财务管理部', NULL, NULL, '负责财务信息确认', NULL, '1', TO_DATE('2022-09-19 09:29:01', 'SYYYY-MM-DD HH24:MI:SS'), '1562707661060427778', TO_DATE('2022-09-19 09:29:01', 'SYYYY-MM-DD HH24:MI:SS'), '1562707661060427778');
INSERT INTO "ZMRQ"."SYS_POST" VALUES ('1571795908235370497', '1', '项目负责人', NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-19 17:38:41', 'SYYYY-MM-DD HH24:MI:SS'), '1571688988283506690', TO_DATE('2022-09-19 17:38:41', 'SYYYY-MM-DD HH24:MI:SS'), '1571688988283506690');
INSERT INTO "ZMRQ"."SYS_POST" VALUES ('1571810293355929602', '1', '施工单位负责人', NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-19 18:35:51', 'SYYYY-MM-DD HH24:MI:SS'), '1', TO_DATE('2022-09-19 18:35:51', 'SYYYY-MM-DD HH24:MI:SS'), '1');
INSERT INTO "ZMRQ"."SYS_POST" VALUES ('1572521876654718977', '1569602913205559298', '普通员工', NULL, NULL, NULL, NULL, '1', TO_DATE('2022-09-21 17:43:26', 'SYYYY-MM-DD HH24:MI:SS'), '1572117095968747521', TO_DATE('2022-09-21 17:43:26', 'SYYYY-MM-DD HH24:MI:SS'), '1572117095968747521');
INSERT INTO "ZMRQ"."SYS_POST" VALUES ('1574232603245453314', '1569602913205559298', '市场部部门经理', NULL, NULL, '派工、勘察、规划、预算、合同、工程管理、用户结算、施工单位结算、各类资料审核', NULL, '0', TO_DATE('2022-09-26 11:01:15', 'SYYYY-MM-DD HH24:MI:SS'), '1574214292021571585', TO_DATE('2022-09-26 11:01:15', 'SYYYY-MM-DD HH24:MI:SS'), '1574214292021571585');
INSERT INTO "ZMRQ"."SYS_POST" VALUES ('1574957040001474561', '1569216846182748162', 'wawawa', NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-28 10:59:54', 'SYYYY-MM-DD HH24:MI:SS'), '1571688988283506690', TO_DATE('2022-09-28 10:59:54', 'SYYYY-MM-DD HH24:MI:SS'), '1571688988283506690');
INSERT INTO "ZMRQ"."SYS_POST" VALUES ('1574957040009863169', '1569602913205559298', 'wawawa', NULL, NULL, NULL, NULL, '1', TO_DATE('2022-09-28 10:59:54', 'SYYYY-MM-DD HH24:MI:SS'), '1571688988283506690', TO_DATE('2022-09-28 10:59:54', 'SYYYY-MM-DD HH24:MI:SS'), '1571688988283506690');
INSERT INTO "ZMRQ"."SYS_POST" VALUES ('1574957040009863170', '1570225246022770689', 'wawawa', NULL, NULL, NULL, NULL, '1', TO_DATE('2022-09-28 10:59:54', 'SYYYY-MM-DD HH24:MI:SS'), '1571688988283506690', TO_DATE('2022-09-28 10:59:54', 'SYYYY-MM-DD HH24:MI:SS'), '1571688988283506690');

-- ----------------------------
-- Table structure for SYS_RESOURCE
-- ----------------------------
DROP TABLE "ZMRQ"."SYS_RESOURCE";
CREATE TABLE "ZMRQ"."SYS_RESOURCE" (
  "ID" NUMBER(20,0) NOT NULL,
  "PID" NUMBER(20,0) DEFAULT 0 NOT NULL,
  "CODE" VARCHAR2(255 BYTE),
  "NAME" VARCHAR2(255 BYTE),
  "DESCRIBE" VARCHAR2(500 BYTE),
  "VALUE" VARCHAR2(600 BYTE),
  "ACTIVE" NUMBER(1,0) DEFAULT 1 NOT NULL,
  "TENANT_ID" NUMBER(20,0),
  "SORT" NUMBER(15,0),
  "DELETED" NUMBER(1,0) DEFAULT 0 NOT NULL,
  "CREATE_TIME" DATE,
  "CREATE_USER" NUMBER(20,0),
  "UPDATE_TIME" DATE,
  "UPDATE_USER" NUMBER(20,0),
  "TYPE_ID" NUMBER(20,0)
)
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "ZMRQ"."SYS_RESOURCE"."ID" IS '主键ID';
COMMENT ON COLUMN "ZMRQ"."SYS_RESOURCE"."PID" IS '父级ID';
COMMENT ON COLUMN "ZMRQ"."SYS_RESOURCE"."CODE" IS '编码';
COMMENT ON COLUMN "ZMRQ"."SYS_RESOURCE"."NAME" IS '资源名称';
COMMENT ON COLUMN "ZMRQ"."SYS_RESOURCE"."DESCRIBE" IS '描述';
COMMENT ON COLUMN "ZMRQ"."SYS_RESOURCE"."VALUE" IS '资源值';
COMMENT ON COLUMN "ZMRQ"."SYS_RESOURCE"."ACTIVE" IS '状态：0禁用，1激活';
COMMENT ON COLUMN "ZMRQ"."SYS_RESOURCE"."TENANT_ID" IS '租户ID';
COMMENT ON COLUMN "ZMRQ"."SYS_RESOURCE"."SORT" IS '排序';
COMMENT ON COLUMN "ZMRQ"."SYS_RESOURCE"."DELETED" IS '逻辑删除，1删除，0不删除';
COMMENT ON COLUMN "ZMRQ"."SYS_RESOURCE"."CREATE_TIME" IS '创建时间';
COMMENT ON COLUMN "ZMRQ"."SYS_RESOURCE"."CREATE_USER" IS '创建人';
COMMENT ON COLUMN "ZMRQ"."SYS_RESOURCE"."UPDATE_TIME" IS '更新时间';
COMMENT ON COLUMN "ZMRQ"."SYS_RESOURCE"."UPDATE_USER" IS '修改人';
COMMENT ON COLUMN "ZMRQ"."SYS_RESOURCE"."TYPE_ID" IS '字典类型ID';
COMMENT ON TABLE "ZMRQ"."SYS_RESOURCE" IS '系统资源';

-- ----------------------------
-- Records of SYS_RESOURCE
-- ----------------------------
INSERT INTO "ZMRQ"."SYS_RESOURCE" VALUES ('1574655230502072322', '1569274151037378561', '1', '1', NULL, '1', '1', NULL, NULL, '1', TO_DATE('2022-09-27 15:00:37', 'SYYYY-MM-DD HH24:MI:SS'), '1', TO_DATE('2022-09-27 15:00:37', 'SYYYY-MM-DD HH24:MI:SS'), '1', NULL);
INSERT INTO "ZMRQ"."SYS_RESOURCE" VALUES ('1574749547530924033', '1574696142636675074', 'mzImageService', '影像图', NULL, 'http://36.137.119.21:6080/arcgis/rest/services/ZhongMin/MianZhu_Image/MapServer', '1', NULL, NULL, '0', TO_DATE('2022-09-27 21:15:24', 'SYYYY-MM-DD HH24:MI:SS'), '1574222129820868609', TO_DATE('2022-09-27 21:15:24', 'SYYYY-MM-DD HH24:MI:SS'), '1574222129820868609', NULL);
INSERT INTO "ZMRQ"."SYS_RESOURCE" VALUES ('1574749881368162305', '1574696142636675074', 'mzTDTService', '天地图', NULL, 'http://36.137.119.21:6080/arcgis/rest/services/ZhongMin/MianZhu_TDT/MapServer', '1', NULL, NULL, '0', TO_DATE('2022-09-27 21:16:43', 'SYYYY-MM-DD HH24:MI:SS'), '1574222129820868609', TO_DATE('2022-09-27 21:16:43', 'SYYYY-MM-DD HH24:MI:SS'), '1574222129820868609', NULL);
INSERT INTO "ZMRQ"."SYS_RESOURCE" VALUES ('1569266048971644929', '0', '1', '222', NULL, NULL, '1', NULL, NULL, '1', TO_DATE('2022-09-12 18:05:56', 'SYYYY-MM-DD HH24:MI:SS'), '1562707353475338242', TO_DATE('2022-09-12 18:13:59', 'SYYYY-MM-DD HH24:MI:SS'), '1562707353475338242', NULL);
INSERT INTO "ZMRQ"."SYS_RESOURCE" VALUES ('1569268134455091201', '0', '2', '23333', NULL, NULL, '1', NULL, NULL, '1', TO_DATE('2022-09-12 18:14:13', 'SYYYY-MM-DD HH24:MI:SS'), '1562707353475338242', TO_DATE('2022-09-12 18:14:24', 'SYYYY-MM-DD HH24:MI:SS'), '1562707353475338242', NULL);
INSERT INTO "ZMRQ"."SYS_RESOURCE" VALUES ('1569271244065939458', '1568078286897045505', '测试', '测试2', NULL, '测试3', '1', NULL, NULL, '1', TO_DATE('2022-09-12 18:26:34', 'SYYYY-MM-DD HH24:MI:SS'), '1562707353475338242', TO_DATE('2022-09-12 18:29:14', 'SYYYY-MM-DD HH24:MI:SS'), '1562707353475338242', NULL);
INSERT INTO "ZMRQ"."SYS_RESOURCE" VALUES ('1569271318170902530', '1568078286897045505', '测试2', '测试2', NULL, '测试2', '1', NULL, NULL, '1', TO_DATE('2022-09-12 18:26:52', 'SYYYY-MM-DD HH24:MI:SS'), '1562707353475338242', TO_DATE('2022-09-12 18:26:52', 'SYYYY-MM-DD HH24:MI:SS'), '1562707353475338242', NULL);
INSERT INTO "ZMRQ"."SYS_RESOURCE" VALUES ('1569274151037378561', '0', 'MapService', '地图服务', NULL, NULL, '1', NULL, NULL, '1', TO_DATE('2022-09-12 18:38:07', 'SYYYY-MM-DD HH24:MI:SS'), '1562707353475338242', TO_DATE('2022-09-12 18:38:07', 'SYYYY-MM-DD HH24:MI:SS'), '1562707353475338242', NULL);
INSERT INTO "ZMRQ"."SYS_RESOURCE" VALUES ('1569274317278617602', '0', 'BaseMapService', '底图服务', NULL, NULL, '1', NULL, NULL, '1', TO_DATE('2022-09-12 18:38:47', 'SYYYY-MM-DD HH24:MI:SS'), '1562707353475338242', TO_DATE('2022-09-21 11:30:43', 'SYYYY-MM-DD HH24:MI:SS'), '1572117095968747521', NULL);
INSERT INTO "ZMRQ"."SYS_RESOURCE" VALUES ('1569274762172637186', '1569274151037378561', 'map1', '地图1', NULL, 'http://192.168.2.20', '1', NULL, NULL, '1', TO_DATE('2022-09-12 18:40:33', 'SYYYY-MM-DD HH24:MI:SS'), '1562707353475338242', TO_DATE('2022-09-12 18:40:33', 'SYYYY-MM-DD HH24:MI:SS'), '1562707353475338242', NULL);
INSERT INTO "ZMRQ"."SYS_RESOURCE" VALUES ('1569274813301202945', '1569274151037378561', 'map2', '地图2', NULL, 'http://192.168.2.20:9000', '1', NULL, NULL, '1', TO_DATE('2022-09-12 18:40:45', 'SYYYY-MM-DD HH24:MI:SS'), '1562707353475338242', TO_DATE('2022-09-12 18:40:45', 'SYYYY-MM-DD HH24:MI:SS'), '1562707353475338242', NULL);
INSERT INTO "ZMRQ"."SYS_RESOURCE" VALUES ('1569274928522928129', '1569274317278617602', 'tilemap', '切片服务', NULL, 'http://192.168.2.20:9000', '1', NULL, NULL, '1', TO_DATE('2022-09-12 18:41:13', 'SYYYY-MM-DD HH24:MI:SS'), '1562707353475338242', TO_DATE('2022-09-21 09:34:06', 'SYYYY-MM-DD HH24:MI:SS'), '1572117095968747521', NULL);
INSERT INTO "ZMRQ"."SYS_RESOURCE" VALUES ('1569275034173251586', '1569274317278617602', 'vectormap', '矢量服务', NULL, 'http://192.168.2.20:9000', '1', NULL, NULL, '1', TO_DATE('2022-09-12 18:41:38', 'SYYYY-MM-DD HH24:MI:SS'), '1562707353475338242', TO_DATE('2022-09-12 18:41:38', 'SYYYY-MM-DD HH24:MI:SS'), '1562707353475338242', NULL);
INSERT INTO "ZMRQ"."SYS_RESOURCE" VALUES ('1572395414693957633', '0', '1', '1', NULL, NULL, '1', NULL, NULL, '1', TO_DATE('2022-09-21 09:20:55', 'SYYYY-MM-DD HH24:MI:SS'), '1572117095968747521', TO_DATE('2022-09-21 09:20:55', 'SYYYY-MM-DD HH24:MI:SS'), '1572117095968747521', NULL);
INSERT INTO "ZMRQ"."SYS_RESOURCE" VALUES ('1572404162711830529', '0', NULL, '3232', NULL, NULL, '1', NULL, NULL, '1', TO_DATE('2022-09-21 09:55:40', 'SYYYY-MM-DD HH24:MI:SS'), '1572117095968747521', TO_DATE('2022-09-21 09:56:05', 'SYYYY-MM-DD HH24:MI:SS'), '1572117095968747521', NULL);
INSERT INTO "ZMRQ"."SYS_RESOURCE" VALUES ('1574689912895696898', '0', '123', '11', NULL, NULL, '1', NULL, NULL, '1', TO_DATE('2022-09-27 17:18:26', 'SYYYY-MM-DD HH24:MI:SS'), '1574222129820868609', TO_DATE('2022-09-27 17:18:26', 'SYYYY-MM-DD HH24:MI:SS'), '1574222129820868609', '1572416294794870786');
INSERT INTO "ZMRQ"."SYS_RESOURCE" VALUES ('1574696142636675074', '0', 'mzTiledService', '绵竹地图服务', NULL, NULL, '1', NULL, NULL, '0', TO_DATE('2022-09-27 17:43:11', 'SYYYY-MM-DD HH24:MI:SS'), '1574222129820868609', TO_DATE('2022-09-27 17:44:04', 'SYYYY-MM-DD HH24:MI:SS'), '1574222129820868609', '1572416294794870786');
INSERT INTO "ZMRQ"."SYS_RESOURCE" VALUES ('1554360182518059009', '0', 'ACTIVE', '状态', NULL, '1', '1', '1', '0', '1', TO_DATE('2022-08-02 14:55:20', 'SYYYY-MM-DD HH24:MI:SS'), '258', TO_DATE('2022-08-02 14:55:20', 'SYYYY-MM-DD HH24:MI:SS'), '258', NULL);
INSERT INTO "ZMRQ"."SYS_RESOURCE" VALUES ('1554360684257480705', '0', 'ACTIVE', '状态', '激活状态', '1', '1', '1', '0', '1', TO_DATE('2022-08-02 14:57:20', 'SYYYY-MM-DD HH24:MI:SS'), '258', TO_DATE('2022-08-02 14:57:20', 'SYYYY-MM-DD HH24:MI:SS'), '258', NULL);
INSERT INTO "ZMRQ"."SYS_RESOURCE" VALUES ('1554374896795508738', '0', 'ACTIVE', '状态', '激活状态', '1', '1', '1', '0', '1', TO_DATE('2022-08-02 15:53:48', 'SYYYY-MM-DD HH24:MI:SS'), '258', TO_DATE('2022-08-02 15:53:48', 'SYYYY-MM-DD HH24:MI:SS'), '258', NULL);
INSERT INTO "ZMRQ"."SYS_RESOURCE" VALUES ('1554376446443638785', '0', 'ACTIVE', '状态', '激活状态', '1', '1', '1', '0', '1', TO_DATE('2022-08-02 15:59:58', 'SYYYY-MM-DD HH24:MI:SS'), '258', TO_DATE('2022-08-02 15:59:58', 'SYYYY-MM-DD HH24:MI:SS'), '258', NULL);
INSERT INTO "ZMRQ"."SYS_RESOURCE" VALUES ('1554354282382258177', '0', 'ACTIVE', '状态', NULL, '0', '1', '1', '0', '1', TO_DATE('2022-08-02 14:31:54', 'SYYYY-MM-DD HH24:MI:SS'), '258', TO_DATE('2022-08-02 14:31:54', 'SYYYY-MM-DD HH24:MI:SS'), '258', NULL);
INSERT INTO "ZMRQ"."SYS_RESOURCE" VALUES ('1', '0', NULL, NULL, NULL, NULL, '0', '0', '0', '1', TO_DATE('2022-09-08 18:17:56', 'SYYYY-MM-DD HH24:MI:SS'), '1', TO_DATE('2022-09-08 18:17:56', 'SYYYY-MM-DD HH24:MI:SS'), '1', NULL);
INSERT INTO "ZMRQ"."SYS_RESOURCE" VALUES ('1554404349352898562', '0', 'ACTIVE', '状态', '激活状态', '1', '1', '1', '0', '1', TO_DATE('2022-08-02 17:50:50', 'SYYYY-MM-DD HH24:MI:SS'), '2', TO_DATE('2022-08-02 17:50:50', 'SYYYY-MM-DD HH24:MI:SS'), '2', NULL);
INSERT INTO "ZMRQ"."SYS_RESOURCE" VALUES ('1568078286897045505', '0', 'INSTALL_CONTENT', '安装内容', '安装内容', NULL, '1', NULL, '0', '1', TO_DATE('2022-09-09 11:26:11', 'SYYYY-MM-DD HH24:MI:SS'), '1', TO_DATE('2022-09-09 11:26:11', 'SYYYY-MM-DD HH24:MI:SS'), '1', NULL);
INSERT INTO "ZMRQ"."SYS_RESOURCE" VALUES ('1568078987303870465', '1568078286897045505', NULL, '中餐', '中餐', '0', '1', NULL, '0', '1', TO_DATE('2022-09-09 11:28:58', 'SYYYY-MM-DD HH24:MI:SS'), '1', TO_DATE('2022-09-09 11:28:58', 'SYYYY-MM-DD HH24:MI:SS'), '1', NULL);
INSERT INTO "ZMRQ"."SYS_RESOURCE" VALUES ('1568079584681811969', '1568078286897045505', NULL, '火锅', '火锅', '1', '1', NULL, '0', '1', TO_DATE('2022-09-09 11:31:21', 'SYYYY-MM-DD HH24:MI:SS'), '1', TO_DATE('2022-09-09 11:31:21', 'SYYYY-MM-DD HH24:MI:SS'), '1', NULL);
INSERT INTO "ZMRQ"."SYS_RESOURCE" VALUES ('1568079644857491457', '1568078286897045505', NULL, '宾馆', '宾馆', '2', '1', NULL, '0', '1', TO_DATE('2022-09-09 11:31:35', 'SYYYY-MM-DD HH24:MI:SS'), '1', TO_DATE('2022-09-09 11:31:35', 'SYYYY-MM-DD HH24:MI:SS'), '1', NULL);
INSERT INTO "ZMRQ"."SYS_RESOURCE" VALUES ('1568079695382077441', '1568078286897045505', NULL, '茶庄', '茶庄', '3', '1', NULL, '0', '1', TO_DATE('2022-09-09 11:31:47', 'SYYYY-MM-DD HH24:MI:SS'), '1', TO_DATE('2022-09-09 11:31:47', 'SYYYY-MM-DD HH24:MI:SS'), '1', NULL);
INSERT INTO "ZMRQ"."SYS_RESOURCE" VALUES ('1568079809530060802', '1568078286897045505', NULL, '美容美发', '美容美发', '4', '1', NULL, '0', '1', TO_DATE('2022-09-09 11:32:14', 'SYYYY-MM-DD HH24:MI:SS'), '1', TO_DATE('2022-09-09 11:32:14', 'SYYYY-MM-DD HH24:MI:SS'), '1', NULL);
INSERT INTO "ZMRQ"."SYS_RESOURCE" VALUES ('1568079874227200002', '1568078286897045505', NULL, '食堂', '食堂', '5', '1', NULL, '0', '1', TO_DATE('2022-09-09 11:32:30', 'SYYYY-MM-DD HH24:MI:SS'), '1', TO_DATE('2022-09-09 11:32:30', 'SYYYY-MM-DD HH24:MI:SS'), '1', NULL);
INSERT INTO "ZMRQ"."SYS_RESOURCE" VALUES ('1568079937540218881', '1568078286897045505', NULL, '热水锅炉', '热水锅炉', '6', '1', NULL, '0', '1', TO_DATE('2022-09-09 11:32:45', 'SYYYY-MM-DD HH24:MI:SS'), '1', TO_DATE('2022-09-09 11:32:45', 'SYYYY-MM-DD HH24:MI:SS'), '1', NULL);
INSERT INTO "ZMRQ"."SYS_RESOURCE" VALUES ('1568079995820072962', '1568078286897045505', NULL, '工业锅炉', '工业锅炉', '7', '1', NULL, '0', '1', TO_DATE('2022-09-09 11:32:59', 'SYYYY-MM-DD HH24:MI:SS'), '1', TO_DATE('2022-09-09 11:32:59', 'SYYYY-MM-DD HH24:MI:SS'), '1', NULL);
INSERT INTO "ZMRQ"."SYS_RESOURCE" VALUES ('1568080097829740546', '1568078286897045505', NULL, '工业燃烧器', '工业燃烧器', '8', '1', NULL, '0', '1', TO_DATE('2022-09-09 11:33:23', 'SYYYY-MM-DD HH24:MI:SS'), '1', TO_DATE('2022-09-09 11:33:23', 'SYYYY-MM-DD HH24:MI:SS'), '1', NULL);
INSERT INTO "ZMRQ"."SYS_RESOURCE" VALUES ('1568080167232888833', '1568078286897045505', NULL, '民用', '民用', '9', '1', NULL, '0', '1', TO_DATE('2022-09-09 11:33:40', 'SYYYY-MM-DD HH24:MI:SS'), '1', TO_DATE('2022-09-09 11:33:40', 'SYYYY-MM-DD HH24:MI:SS'), '1', NULL);
INSERT INTO "ZMRQ"."SYS_RESOURCE" VALUES ('1568080239790153730', '1568078286897045505', NULL, '其他', '其他', '10', '1', NULL, '0', '1', TO_DATE('2022-09-09 11:33:57', 'SYYYY-MM-DD HH24:MI:SS'), '1', TO_DATE('2022-09-09 11:33:57', 'SYYYY-MM-DD HH24:MI:SS'), '1', NULL);
INSERT INTO "ZMRQ"."SYS_RESOURCE" VALUES ('1568080603130126338', '0', 'DESIGN_UNIT', '设计单位', '设计单位', NULL, '1', NULL, '0', '1', TO_DATE('2022-09-09 11:35:23', 'SYYYY-MM-DD HH24:MI:SS'), '1', TO_DATE('2022-09-09 11:35:23', 'SYYYY-MM-DD HH24:MI:SS'), '1', NULL);
INSERT INTO "ZMRQ"."SYS_RESOURCE" VALUES ('1568081538522832897', '1568080603130126338', NULL, '设计单位1', '设计单位1', '1', '1', NULL, '0', '1', TO_DATE('2022-09-09 11:39:06', 'SYYYY-MM-DD HH24:MI:SS'), '1', TO_DATE('2022-09-09 11:39:06', 'SYYYY-MM-DD HH24:MI:SS'), '1', NULL);
INSERT INTO "ZMRQ"."SYS_RESOURCE" VALUES ('1568081579241136130', '1568080603130126338', NULL, '设计单位2', '设计单位2', '2', '1', NULL, '0', '1', TO_DATE('2022-09-09 11:39:16', 'SYYYY-MM-DD HH24:MI:SS'), '1', TO_DATE('2022-09-09 11:39:16', 'SYYYY-MM-DD HH24:MI:SS'), '1', NULL);
INSERT INTO "ZMRQ"."SYS_RESOURCE" VALUES ('1554404349352893654', '0', NULL, '工程性质', NULL, NULL, '1', '1', '0', '1', TO_DATE('2022-08-11 13:45:00', 'SYYYY-MM-DD HH24:MI:SS'), '1', TO_DATE('2022-08-11 13:45:00', 'SYYYY-MM-DD HH24:MI:SS'), '1', NULL);
INSERT INTO "ZMRQ"."SYS_RESOURCE" VALUES ('1554404349352893655', '1554404349352893654', NULL, '土木', NULL, '1', '1', '1', '1', '1', TO_DATE('2022-08-11 13:46:51', 'SYYYY-MM-DD HH24:MI:SS'), '1', TO_DATE('2022-08-11 13:46:51', 'SYYYY-MM-DD HH24:MI:SS'), '1', NULL);
INSERT INTO "ZMRQ"."SYS_RESOURCE" VALUES ('1554404349352893656', '1554404349352893654', NULL, '河流', NULL, '1', '1', '1', '2', '1', TO_DATE('2022-08-11 13:47:56', 'SYYYY-MM-DD HH24:MI:SS'), '1', TO_DATE('2022-08-11 13:47:56', 'SYYYY-MM-DD HH24:MI:SS'), '1', NULL);
INSERT INTO "ZMRQ"."SYS_RESOURCE" VALUES ('1554404349352897623', '0', NULL, '班组性质', NULL, '1', '1', '1', '0', '1', TO_DATE('2022-08-11 13:56:41', 'SYYYY-MM-DD HH24:MI:SS'), '1', TO_DATE('2022-08-11 13:56:41', 'SYYYY-MM-DD HH24:MI:SS'), '1', NULL);
INSERT INTO "ZMRQ"."SYS_RESOURCE" VALUES ('1554404349352897624', '1554404349352897623', NULL, '大班', NULL, '1', '1', '1', '1', '1', TO_DATE('2022-08-11 13:57:03', 'SYYYY-MM-DD HH24:MI:SS'), '1', TO_DATE('2022-08-11 13:57:03', 'SYYYY-MM-DD HH24:MI:SS'), '1', NULL);
INSERT INTO "ZMRQ"."SYS_RESOURCE" VALUES ('1554404349352897625', '1554404349352897623', NULL, '小班', NULL, '1', '1', '1', '2', '1', TO_DATE('2022-08-11 13:57:13', 'SYYYY-MM-DD HH24:MI:SS'), '1', TO_DATE('2022-08-11 13:57:13', 'SYYYY-MM-DD HH24:MI:SS'), '1', NULL);
INSERT INTO "ZMRQ"."SYS_RESOURCE" VALUES ('1568191942125178881', '0', 'xxxxxx', '测试', 'xxxxxxxxxx', 'xxxxx', '0', '1', '0', '1', TO_DATE('2022-09-09 18:57:49', 'SYYYY-MM-DD HH24:MI:SS'), '1', TO_DATE('2022-09-09 18:57:49', 'SYYYY-MM-DD HH24:MI:SS'), '1', '1');
INSERT INTO "ZMRQ"."SYS_RESOURCE" VALUES ('1572403851276369921', '0', NULL, NULL, NULL, NULL, '1', NULL, NULL, '1', TO_DATE('2022-09-21 09:54:26', 'SYYYY-MM-DD HH24:MI:SS'), '1572117095968747521', TO_DATE('2022-09-21 09:54:26', 'SYYYY-MM-DD HH24:MI:SS'), '1572117095968747521', NULL);
INSERT INTO "ZMRQ"."SYS_RESOURCE" VALUES ('1572404438407626753', '0', 'aMapService', '影像服务', NULL, NULL, '1', NULL, NULL, '1', TO_DATE('2022-09-21 09:56:46', 'SYYYY-MM-DD HH24:MI:SS'), '1572117095968747521', TO_DATE('2022-09-21 09:56:46', 'SYYYY-MM-DD HH24:MI:SS'), '1572117095968747521', NULL);
INSERT INTO "ZMRQ"."SYS_RESOURCE" VALUES ('1570617119195344897', '0', NULL, NULL, NULL, NULL, '1', NULL, NULL, '1', TO_DATE('2022-09-16 11:34:36', 'SYYYY-MM-DD HH24:MI:SS'), '1562707661060427778', TO_DATE('2022-09-16 11:34:36', 'SYYYY-MM-DD HH24:MI:SS'), '1562707661060427778', NULL);
INSERT INTO "ZMRQ"."SYS_RESOURCE" VALUES ('1572152858403938306', '0', NULL, NULL, NULL, NULL, '1', NULL, NULL, '1', TO_DATE('2022-09-20 17:17:05', 'SYYYY-MM-DD HH24:MI:SS'), '1572117095968747521', TO_DATE('2022-09-20 17:17:05', 'SYYYY-MM-DD HH24:MI:SS'), '1572117095968747521', NULL);
INSERT INTO "ZMRQ"."SYS_RESOURCE" VALUES ('1572398467329380353', '1569274151037378561', NULL, NULL, NULL, NULL, '1', NULL, NULL, '1', TO_DATE('2022-09-21 09:33:03', 'SYYYY-MM-DD HH24:MI:SS'), '1572117095968747521', TO_DATE('2022-09-21 09:33:03', 'SYYYY-MM-DD HH24:MI:SS'), '1572117095968747521', NULL);
INSERT INTO "ZMRQ"."SYS_RESOURCE" VALUES ('1572398518944485377', '0', NULL, NULL, NULL, NULL, '1', NULL, NULL, '1', TO_DATE('2022-09-21 09:33:15', 'SYYYY-MM-DD HH24:MI:SS'), '1572117095968747521', TO_DATE('2022-09-21 09:33:15', 'SYYYY-MM-DD HH24:MI:SS'), '1572117095968747521', NULL);
INSERT INTO "ZMRQ"."SYS_RESOURCE" VALUES ('1572398768799174658', '1569274317278617602', '4343', '4343', NULL, NULL, '1', NULL, NULL, '1', TO_DATE('2022-09-21 09:34:14', 'SYYYY-MM-DD HH24:MI:SS'), '1572117095968747521', TO_DATE('2022-09-21 09:34:14', 'SYYYY-MM-DD HH24:MI:SS'), '1572117095968747521', NULL);
INSERT INTO "ZMRQ"."SYS_RESOURCE" VALUES ('1572410507393548290', '0', 'vector', '矢量服务', NULL, NULL, '1', NULL, NULL, '1', TO_DATE('2022-09-21 10:20:53', 'SYYYY-MM-DD HH24:MI:SS'), '1562707353475338242', TO_DATE('2022-09-21 10:20:53', 'SYYYY-MM-DD HH24:MI:SS'), '1562707353475338242', NULL);
INSERT INTO "ZMRQ"."SYS_RESOURCE" VALUES ('1572411988779778050', '0', 'ssds', 'dds', NULL, NULL, '1', NULL, NULL, '1', TO_DATE('2022-09-21 10:26:46', 'SYYYY-MM-DD HH24:MI:SS'), '1562707353475338242', TO_DATE('2022-09-21 10:26:46', 'SYYYY-MM-DD HH24:MI:SS'), '1562707353475338242', NULL);
INSERT INTO "ZMRQ"."SYS_RESOURCE" VALUES ('1572418069560082434', '0', 'vec', '动态服务', NULL, NULL, '1', NULL, NULL, '1', TO_DATE('2022-09-21 10:50:56', 'SYYYY-MM-DD HH24:MI:SS'), '1562707353475338242', TO_DATE('2022-09-21 10:50:56', 'SYYYY-MM-DD HH24:MI:SS'), '1562707353475338242', '1572416294794870786');
INSERT INTO "ZMRQ"."SYS_RESOURCE" VALUES ('1572419268258660353', '1569274317278617602', 'das', 'dadsa', NULL, 'dad2222', '1', NULL, NULL, '1', TO_DATE('2022-09-21 10:55:42', 'SYYYY-MM-DD HH24:MI:SS'), '1562707353475338242', TO_DATE('2022-09-21 10:55:51', 'SYYYY-MM-DD HH24:MI:SS'), '1562707353475338242', NULL);

-- ----------------------------
-- Table structure for SYS_ROLE
-- ----------------------------
DROP TABLE "ZMRQ"."SYS_ROLE";
CREATE TABLE "ZMRQ"."SYS_ROLE" (
  "ID" NUMBER(20,0) NOT NULL,
  "NAME" VARCHAR2(300 BYTE),
  "CODE" VARCHAR2(300 BYTE),
  "DESCRIBE" VARCHAR2(1500 BYTE),
  "ACTIVE" NUMBER(1,0) DEFAULT 1,
  "TENANT_ID" NUMBER(20,0),
  "SORT" NUMBER(20,0),
  "DELETED" NUMBER(1,0) DEFAULT 0 NOT NULL,
  "CREATE_TIME" DATE,
  "CREATE_USER" NUMBER(20,0),
  "UPDATE_TIME" DATE,
  "UPDATE_USER" NUMBER(20,0)
)
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "ZMRQ"."SYS_ROLE"."ID" IS '角色ID';
COMMENT ON COLUMN "ZMRQ"."SYS_ROLE"."NAME" IS '角色名字';
COMMENT ON COLUMN "ZMRQ"."SYS_ROLE"."CODE" IS '角色标识';
COMMENT ON COLUMN "ZMRQ"."SYS_ROLE"."DESCRIBE" IS '角色描述';
COMMENT ON COLUMN "ZMRQ"."SYS_ROLE"."ACTIVE" IS '是否启用禁用 1启用 0禁用';
COMMENT ON COLUMN "ZMRQ"."SYS_ROLE"."TENANT_ID" IS '租户ID';
COMMENT ON COLUMN "ZMRQ"."SYS_ROLE"."SORT" IS '排序';
COMMENT ON COLUMN "ZMRQ"."SYS_ROLE"."DELETED" IS '逻辑删除，1删除，0不删除';
COMMENT ON COLUMN "ZMRQ"."SYS_ROLE"."CREATE_TIME" IS '创建时间';
COMMENT ON COLUMN "ZMRQ"."SYS_ROLE"."CREATE_USER" IS '创建人';
COMMENT ON COLUMN "ZMRQ"."SYS_ROLE"."UPDATE_TIME" IS '更新时间';
COMMENT ON COLUMN "ZMRQ"."SYS_ROLE"."UPDATE_USER" IS '修改人';
COMMENT ON TABLE "ZMRQ"."SYS_ROLE" IS '系统角色';

-- ----------------------------
-- Records of SYS_ROLE
-- ----------------------------
INSERT INTO "ZMRQ"."SYS_ROLE" VALUES ('1569943758739939330', '测试', NULL, '11', '1', NULL, NULL, '1', TO_DATE('2022-09-14 14:58:54', 'SYYYY-MM-DD HH24:MI:SS'), '1562365397418708993', TO_DATE('2022-09-14 14:58:54', 'SYYYY-MM-DD HH24:MI:SS'), '1562365397418708993');
INSERT INTO "ZMRQ"."SYS_ROLE" VALUES ('1569944116161748993', '测试2', NULL, '123', '1', NULL, NULL, '1', TO_DATE('2022-09-14 15:00:20', 'SYYYY-MM-DD HH24:MI:SS'), '1562365397418708993', TO_DATE('2022-09-14 15:20:43', 'SYYYY-MM-DD HH24:MI:SS'), '1562365397418708993');
INSERT INTO "ZMRQ"."SYS_ROLE" VALUES ('1570662742649024514', '开发的测试角色', NULL, '伊呀呀呀呀', '1', '1', NULL, '0', TO_DATE('2022-09-16 14:35:54', 'SYYYY-MM-DD HH24:MI:SS'), '1562365397418708993', TO_DATE('2022-09-29 16:54:49', 'SYYYY-MM-DD HH24:MI:SS'), '1574940855788646402');
INSERT INTO "ZMRQ"."SYS_ROLE" VALUES ('1573160570566836226', '财务管理经理', NULL, '财务管理经理说明', '1', '1', NULL, '0', TO_DATE('2022-09-23 12:01:22', 'SYYYY-MM-DD HH24:MI:SS'), '1571688988283506690', TO_DATE('2022-09-29 17:51:40', 'SYYYY-MM-DD HH24:MI:SS'), '1');
INSERT INTO "ZMRQ"."SYS_ROLE" VALUES ('1573191951284039682', '安全管理员', NULL, '安全管理员', '1', '1', NULL, '0', TO_DATE('2022-09-23 14:06:04', 'SYYYY-MM-DD HH24:MI:SS'), '1571688988283506690', TO_DATE('2022-09-30 10:27:00', 'SYYYY-MM-DD HH24:MI:SS'), '1574945313813704706');
INSERT INTO "ZMRQ"."SYS_ROLE" VALUES ('1574212932664422401', '潼南施工单位负责人', NULL, '潼南施工单位负责人', '1', '1570225246022770689', NULL, '0', TO_DATE('2022-09-26 09:43:05', 'SYYYY-MM-DD HH24:MI:SS'), '1574204813473345537', TO_DATE('2022-09-29 11:29:40', 'SYYYY-MM-DD HH24:MI:SS'), '1574204813473345537');
INSERT INTO "ZMRQ"."SYS_ROLE" VALUES ('1574643059168641025', '项目负责人', NULL, '无', '1', '1569602913205559298', NULL, '0', TO_DATE('2022-09-27 14:12:15', 'SYYYY-MM-DD HH24:MI:SS'), '1574214292021571585', TO_DATE('2022-09-29 11:30:03', 'SYYYY-MM-DD HH24:MI:SS'), '1574945313813704706');
INSERT INTO "ZMRQ"."SYS_ROLE" VALUES ('1574644095044288514', '11', NULL, '11', '1', '1569602913205559298', NULL, '1', TO_DATE('2022-09-27 14:16:22', 'SYYYY-MM-DD HH24:MI:SS'), '1562365397418708993', TO_DATE('2022-09-27 14:16:22', 'SYYYY-MM-DD HH24:MI:SS'), '1562365397418708993');
INSERT INTO "ZMRQ"."SYS_ROLE" VALUES ('1574644458795302913', '111', NULL, '11', '1', '1569602913205559298', NULL, '1', TO_DATE('2022-09-27 14:17:49', 'SYYYY-MM-DD HH24:MI:SS'), '1562365397418708993', TO_DATE('2022-09-27 14:19:34', 'SYYYY-MM-DD HH24:MI:SS'), '1562365397418708993');
INSERT INTO "ZMRQ"."SYS_ROLE" VALUES ('1574664845436489730', '111', NULL, '11', '1', '1569602913205559298', NULL, '1', TO_DATE('2022-09-27 15:38:49', 'SYYYY-MM-DD HH24:MI:SS'), '1562365397418708993', TO_DATE('2022-09-27 15:38:49', 'SYYYY-MM-DD HH24:MI:SS'), '1562365397418708993');
INSERT INTO "ZMRQ"."SYS_ROLE" VALUES ('1574664935978930177', '1', NULL, '1', '1', '1574663614760587265', NULL, '1', TO_DATE('2022-09-27 15:39:11', 'SYYYY-MM-DD HH24:MI:SS'), '1562365397418708993', TO_DATE('2022-09-27 15:39:11', 'SYYYY-MM-DD HH24:MI:SS'), '1562365397418708993');
INSERT INTO "ZMRQ"."SYS_ROLE" VALUES ('1574698322076725250', '1', NULL, '1', '1', NULL, NULL, '1', TO_DATE('2022-09-27 17:51:51', 'SYYYY-MM-DD HH24:MI:SS'), '1573210716168110082', TO_DATE('2022-09-27 17:51:51', 'SYYYY-MM-DD HH24:MI:SS'), '1573210716168110082');
INSERT INTO "ZMRQ"."SYS_ROLE" VALUES ('1574708833401024513', '11', NULL, '11', '1', '1569602913205559298', NULL, '1', TO_DATE('2022-09-27 18:33:37', 'SYYYY-MM-DD HH24:MI:SS'), '1562365397418708993', TO_DATE('2022-09-27 18:33:37', 'SYYYY-MM-DD HH24:MI:SS'), '1562365397418708993');
INSERT INTO "ZMRQ"."SYS_ROLE" VALUES ('1574715674457649153', '1111大苏打', NULL, '11', '1', '1569602913205559298', NULL, '1', TO_DATE('2022-09-27 19:00:48', 'SYYYY-MM-DD HH24:MI:SS'), '1', TO_DATE('2022-09-27 19:00:48', 'SYYYY-MM-DD HH24:MI:SS'), '1');
INSERT INTO "ZMRQ"."SYS_ROLE" VALUES ('1574933871974559745', 'qiu1aa', NULL, 'dasd', '1', '1569602913205559298', NULL, '1', TO_DATE('2022-09-28 09:27:50', 'SYYYY-MM-DD HH24:MI:SS'), '1', TO_DATE('2022-09-28 09:27:50', 'SYYYY-MM-DD HH24:MI:SS'), '1');
INSERT INTO "ZMRQ"."SYS_ROLE" VALUES ('1574933873186713601', 'qiu1aa', NULL, 'dasd', '1', '1570225246022770689', NULL, '1', TO_DATE('2022-09-28 09:27:50', 'SYYYY-MM-DD HH24:MI:SS'), '1', TO_DATE('2022-09-28 09:27:50', 'SYYYY-MM-DD HH24:MI:SS'), '1');
INSERT INTO "ZMRQ"."SYS_ROLE" VALUES ('1574934105718927361', 'qiu1aa', NULL, 'ada', '1', '1569216846182748162', NULL, '1', TO_DATE('2022-09-28 09:28:46', 'SYYYY-MM-DD HH24:MI:SS'), '1', TO_DATE('2022-09-28 09:28:46', 'SYYYY-MM-DD HH24:MI:SS'), '1');
INSERT INTO "ZMRQ"."SYS_ROLE" VALUES ('1574949880815267841', '绵竹角色测试', NULL, '2323131', '1', '1569602913205559298', NULL, '0', TO_DATE('2022-09-28 10:31:27', 'SYYYY-MM-DD HH24:MI:SS'), '1574945313813704706', TO_DATE('2022-10-08 11:48:16', 'SYYYY-MM-DD HH24:MI:SS'), '1574945313813704706');
INSERT INTO "ZMRQ"."SYS_ROLE" VALUES ('1575000277609209858', '财务总监', NULL, NULL, '1', '1574644518840958977', NULL, '0', TO_DATE('2022-09-28 13:51:42', 'SYYYY-MM-DD HH24:MI:SS'), '1574945313813704706', TO_DATE('2022-09-29 11:29:34', 'SYYYY-MM-DD HH24:MI:SS'), '1574204813473345537');
INSERT INTO "ZMRQ"."SYS_ROLE" VALUES ('1575001128616714242', '演示角色', NULL, '1', '1', '1569602913205559298', NULL, '0', TO_DATE('2022-09-28 13:55:05', 'SYYYY-MM-DD HH24:MI:SS'), '1572763574748172290', TO_DATE('2022-09-29 09:21:27', 'SYYYY-MM-DD HH24:MI:SS'), '1562365397418708993');
INSERT INTO "ZMRQ"."SYS_ROLE" VALUES ('1575029208810905602', 'o-', NULL, NULL, '1', '1574644518840958977', NULL, '1', TO_DATE('2022-09-28 15:46:40', 'SYYYY-MM-DD HH24:MI:SS'), '1575021278879408130', TO_DATE('2022-09-28 15:46:40', 'SYYYY-MM-DD HH24:MI:SS'), '1575021278879408130');
INSERT INTO "ZMRQ"."SYS_ROLE" VALUES ('1575035279243862018', '1', NULL, NULL, '1', '1570225246022770689', NULL, '1', TO_DATE('2022-09-28 16:10:47', 'SYYYY-MM-DD HH24:MI:SS'), '1574204813473345537', TO_DATE('2022-09-28 16:10:47', 'SYYYY-MM-DD HH24:MI:SS'), '1574204813473345537');
INSERT INTO "ZMRQ"."SYS_ROLE" VALUES ('1575035307983233025', '2', NULL, '2', '1', '1574644518840958977', NULL, '1', TO_DATE('2022-09-28 16:10:54', 'SYYYY-MM-DD HH24:MI:SS'), '1574204813473345537', TO_DATE('2022-09-28 16:10:54', 'SYYYY-MM-DD HH24:MI:SS'), '1574204813473345537');
INSERT INTO "ZMRQ"."SYS_ROLE" VALUES ('1575327204899315714', '批量新增角色213123', NULL, '21', '1', '1', NULL, '1', TO_DATE('2022-09-29 11:30:48', 'SYYYY-MM-DD HH24:MI:SS'), '1574945313813704706', TO_DATE('2022-09-29 11:30:48', 'SYYYY-MM-DD HH24:MI:SS'), '1574945313813704706');
INSERT INTO "ZMRQ"."SYS_ROLE" VALUES ('1575327204924481538', '批量新增角色213123', NULL, '21', '1', '1569216846182748162', NULL, '1', TO_DATE('2022-09-29 11:30:48', 'SYYYY-MM-DD HH24:MI:SS'), '1574945313813704706', TO_DATE('2022-09-29 11:30:48', 'SYYYY-MM-DD HH24:MI:SS'), '1574945313813704706');
INSERT INTO "ZMRQ"."SYS_ROLE" VALUES ('1575332944552681474', '批量测试', NULL, NULL, '1', '1', NULL, '0', TO_DATE('2022-09-29 11:53:36', 'SYYYY-MM-DD HH24:MI:SS'), '1574945313813704706', TO_DATE('2022-09-29 11:53:36', 'SYYYY-MM-DD HH24:MI:SS'), '1574945313813704706');
INSERT INTO "ZMRQ"."SYS_ROLE" VALUES ('1575332944603013121', '批量测试', NULL, NULL, '1', '1569216846182748162', NULL, '0', TO_DATE('2022-09-29 11:53:36', 'SYYYY-MM-DD HH24:MI:SS'), '1574945313813704706', TO_DATE('2022-09-29 11:53:36', 'SYYYY-MM-DD HH24:MI:SS'), '1574945313813704706');
INSERT INTO "ZMRQ"."SYS_ROLE" VALUES ('1575332944636567554', '批量测试', NULL, NULL, '1', '1569602913205559298', NULL, '0', TO_DATE('2022-09-29 11:53:36', 'SYYYY-MM-DD HH24:MI:SS'), '1574945313813704706', TO_DATE('2022-09-29 11:53:36', 'SYYYY-MM-DD HH24:MI:SS'), '1574945313813704706');
INSERT INTO "ZMRQ"."SYS_ROLE" VALUES ('1575332944670121985', '批量测试', NULL, NULL, '1', '1570225246022770689', NULL, '0', TO_DATE('2022-09-29 11:53:36', 'SYYYY-MM-DD HH24:MI:SS'), '1574945313813704706', TO_DATE('2022-09-29 11:53:36', 'SYYYY-MM-DD HH24:MI:SS'), '1574945313813704706');
INSERT INTO "ZMRQ"."SYS_ROLE" VALUES ('1575332944703676418', '批量测试', NULL, NULL, '1', '1574644518840958977', NULL, '0', TO_DATE('2022-09-29 11:53:36', 'SYYYY-MM-DD HH24:MI:SS'), '1574945313813704706', TO_DATE('2022-09-29 11:53:36', 'SYYYY-MM-DD HH24:MI:SS'), '1574945313813704706');
INSERT INTO "ZMRQ"."SYS_ROLE" VALUES ('1575668686487412738', '21', NULL, '1', '1', '1569602913205559298', NULL, '1', TO_DATE('2022-09-30 10:07:44', 'SYYYY-MM-DD HH24:MI:SS'), '1572763574748172290', TO_DATE('2022-09-30 10:07:44', 'SYYYY-MM-DD HH24:MI:SS'), '1572763574748172290');
INSERT INTO "ZMRQ"."SYS_ROLE" VALUES ('1575669734404907010', '111', NULL, '111', '1', '1569602913205559298', NULL, '1', TO_DATE('2022-09-30 10:11:53', 'SYYYY-MM-DD HH24:MI:SS'), '1562365397418708993', TO_DATE('2022-09-30 10:11:53', 'SYYYY-MM-DD HH24:MI:SS'), '1562365397418708993');
INSERT INTO "ZMRQ"."SYS_ROLE" VALUES ('1578596083163561985', '测试', NULL, NULL, '1', '1574671682785349634', NULL, '0', TO_DATE('2022-10-08 12:00:09', 'SYYYY-MM-DD HH24:MI:SS'), '1574945313813704706', TO_DATE('2022-10-08 12:00:09', 'SYYYY-MM-DD HH24:MI:SS'), '1574945313813704706');
INSERT INTO "ZMRQ"."SYS_ROLE" VALUES ('1568079457867644929', '开发', NULL, '111', '1', '1569602913205559298', NULL, '0', TO_DATE('2022-09-09 11:30:50', 'SYYYY-MM-DD HH24:MI:SS'), '1562365397418708993', TO_DATE('2022-09-28 16:57:46', 'SYYYY-MM-DD HH24:MI:SS'), '1562365397418708993');
INSERT INTO "ZMRQ"."SYS_ROLE" VALUES ('1569954547832004609', '测试1', NULL, '111', '1', NULL, NULL, '1', TO_DATE('2022-09-14 15:41:47', 'SYYYY-MM-DD HH24:MI:SS'), '1562365397418708993', TO_DATE('2022-09-14 15:41:47', 'SYYYY-MM-DD HH24:MI:SS'), '1562365397418708993');
INSERT INTO "ZMRQ"."SYS_ROLE" VALUES ('1570245890466750466', '测试员账号', NULL, '测试站哈哈', '1', NULL, NULL, '1', TO_DATE('2022-09-15 10:59:28', 'SYYYY-MM-DD HH24:MI:SS'), '1562707661060427778', TO_DATE('2022-09-15 14:01:18', 'SYYYY-MM-DD HH24:MI:SS'), '1564089266203029506');
INSERT INTO "ZMRQ"."SYS_ROLE" VALUES ('1573136814960132097', '子公司管理员', NULL, '子公司管理员权限配置', '1', '1', NULL, '1', TO_DATE('2022-09-23 10:26:58', 'SYYYY-MM-DD HH24:MI:SS'), '1', TO_DATE('2022-09-23 11:09:15', 'SYYYY-MM-DD HH24:MI:SS'), '1571688988283506690');
INSERT INTO "ZMRQ"."SYS_ROLE" VALUES ('1573148331310891010', '常务副总', NULL, '常务副总角色配置', '1', '1', NULL, '0', TO_DATE('2022-09-23 11:12:44', 'SYYYY-MM-DD HH24:MI:SS'), '1571688988283506690', TO_DATE('2022-09-23 11:12:44', 'SYYYY-MM-DD HH24:MI:SS'), '1571688988283506690');
INSERT INTO "ZMRQ"."SYS_ROLE" VALUES ('1573187298542612481', '客户服务负责人/专员', NULL, '客户服务负责人/专员', '1', '1', NULL, '0', TO_DATE('2022-09-23 13:47:35', 'SYYYY-MM-DD HH24:MI:SS'), '1571688988283506690', TO_DATE('2022-09-27 14:27:29', 'SYYYY-MM-DD HH24:MI:SS'), '1');
INSERT INTO "ZMRQ"."SYS_ROLE" VALUES ('1573187668975153154', '施工单位负责人', NULL, '施工单位负责人角色', '1', '1', NULL, '0', TO_DATE('2022-09-23 13:49:03', 'SYYYY-MM-DD HH24:MI:SS'), '1571688988283506690', TO_DATE('2022-09-23 13:59:43', 'SYYYY-MM-DD HH24:MI:SS'), '1571688988283506690');
INSERT INTO "ZMRQ"."SYS_ROLE" VALUES ('1573190756435881985', '施工单位工人', NULL, '施工单位工人角色', '1', '1569602913205559298', NULL, '0', TO_DATE('2022-09-23 14:01:19', 'SYYYY-MM-DD HH24:MI:SS'), '1571688988283506690', TO_DATE('2022-09-23 14:20:02', 'SYYYY-MM-DD HH24:MI:SS'), '1572117095968747521');
INSERT INTO "ZMRQ"."SYS_ROLE" VALUES ('1573198943016828929', '生产经营负责人', NULL, '生产经营负责人', '1', '1', NULL, '0', TO_DATE('2022-09-23 14:33:51', 'SYYYY-MM-DD HH24:MI:SS'), '1571688988283506690', TO_DATE('2022-09-23 14:33:51', 'SYYYY-MM-DD HH24:MI:SS'), '1571688988283506690');
INSERT INTO "ZMRQ"."SYS_ROLE" VALUES ('1573199276069732353', '监理人员', NULL, '监理人员', '1', '1', NULL, '0', TO_DATE('2022-09-23 14:35:10', 'SYYYY-MM-DD HH24:MI:SS'), '1571688988283506690', TO_DATE('2022-09-23 14:35:10', 'SYYYY-MM-DD HH24:MI:SS'), '1571688988283506690');
INSERT INTO "ZMRQ"."SYS_ROLE" VALUES ('1574207499715342337', 'zj', NULL, '潼南普通用户', '1', '1570225246022770689', NULL, '1', TO_DATE('2022-09-26 09:21:29', 'SYYYY-MM-DD HH24:MI:SS'), '1574204813473345537', TO_DATE('2022-09-26 09:21:29', 'SYYYY-MM-DD HH24:MI:SS'), '1574204813473345537');
INSERT INTO "ZMRQ"."SYS_ROLE" VALUES ('1574569037722660865', '1', NULL, '111', '1', '1569602913205559298', NULL, '1', TO_DATE('2022-09-27 09:18:07', 'SYYYY-MM-DD HH24:MI:SS'), '1562365397418708993', TO_DATE('2022-09-27 09:18:07', 'SYYYY-MM-DD HH24:MI:SS'), '1562365397418708993');
INSERT INTO "ZMRQ"."SYS_ROLE" VALUES ('1574570278473281537', '1', NULL, '1', '1', '1569602913205559298', NULL, '1', TO_DATE('2022-09-27 09:23:03', 'SYYYY-MM-DD HH24:MI:SS'), '1562365397418708993', TO_DATE('2022-09-27 09:23:03', 'SYYYY-MM-DD HH24:MI:SS'), '1562365397418708993');
INSERT INTO "ZMRQ"."SYS_ROLE" VALUES ('1574583705572843522', '萨达萨达', NULL, '阿松大', '1', '1569602913205559298', NULL, '1', TO_DATE('2022-09-27 10:16:24', 'SYYYY-MM-DD HH24:MI:SS'), '1562365397418708993', TO_DATE('2022-09-27 10:16:24', 'SYYYY-MM-DD HH24:MI:SS'), '1562365397418708993');
INSERT INTO "ZMRQ"."SYS_ROLE" VALUES ('1574583735134298113', '啊大大', NULL, '挨打', '1', '1569602913205559298', NULL, '1', TO_DATE('2022-09-27 10:16:31', 'SYYYY-MM-DD HH24:MI:SS'), '1562365397418708993', TO_DATE('2022-09-27 10:16:31', 'SYYYY-MM-DD HH24:MI:SS'), '1562365397418708993');
INSERT INTO "ZMRQ"."SYS_ROLE" VALUES ('1574587979845443585', '市场保障（副）经理', NULL, '无', '1', '1569602913205559298', NULL, '1', TO_DATE('2022-09-27 10:33:23', 'SYYYY-MM-DD HH24:MI:SS'), '1574214292021571585', TO_DATE('2022-09-27 10:33:23', 'SYYYY-MM-DD HH24:MI:SS'), '1574214292021571585');
INSERT INTO "ZMRQ"."SYS_ROLE" VALUES ('1574658567666495490', '1', NULL, '1', '1', '1569602913205559298', NULL, '1', TO_DATE('2022-09-27 15:13:52', 'SYYYY-MM-DD HH24:MI:SS'), '1570226660144947202', TO_DATE('2022-09-27 15:13:52', 'SYYYY-MM-DD HH24:MI:SS'), '1570226660144947202');
INSERT INTO "ZMRQ"."SYS_ROLE" VALUES ('1575320562795307009', '材料管理角色', NULL, '材料管理角色', '1', '1575029819602231298', NULL, '0', TO_DATE('2022-09-29 11:04:24', 'SYYYY-MM-DD HH24:MI:SS'), '1574204813473345537', TO_DATE('2022-09-29 11:04:24', 'SYYYY-MM-DD HH24:MI:SS'), '1574204813473345537');
INSERT INTO "ZMRQ"."SYS_ROLE" VALUES ('1575673301266194434', '11', NULL, '11', '1', '1569602913205559298', NULL, '1', TO_DATE('2022-09-30 10:26:04', 'SYYYY-MM-DD HH24:MI:SS'), '1562365397418708993', TO_DATE('2022-09-30 10:26:04', 'SYYYY-MM-DD HH24:MI:SS'), '1562365397418708993');
INSERT INTO "ZMRQ"."SYS_ROLE" VALUES ('1575673779089694721', '1', NULL, '1', '1', '1569602913205559298', NULL, '1', TO_DATE('2022-09-30 10:27:58', 'SYYYY-MM-DD HH24:MI:SS'), '1562365397418708993', TO_DATE('2022-09-30 10:27:58', 'SYYYY-MM-DD HH24:MI:SS'), '1562365397418708993');
INSERT INTO "ZMRQ"."SYS_ROLE" VALUES ('1575673967418138626', '13123', NULL, '1', '1', '1569602913205559298', NULL, '1', TO_DATE('2022-09-30 10:28:43', 'SYYYY-MM-DD HH24:MI:SS'), '1562365397418708993', TO_DATE('2022-09-30 10:28:43', 'SYYYY-MM-DD HH24:MI:SS'), '1562365397418708993');
INSERT INTO "ZMRQ"."SYS_ROLE" VALUES ('1575674270620180482', '1121', NULL, NULL, '1', '1569602913205559298', NULL, '1', TO_DATE('2022-09-30 10:29:55', 'SYYYY-MM-DD HH24:MI:SS'), '1562365397418708993', TO_DATE('2022-09-30 10:29:55', 'SYYYY-MM-DD HH24:MI:SS'), '1562365397418708993');
INSERT INTO "ZMRQ"."SYS_ROLE" VALUES ('1575675569851981825', '112312', NULL, '1', '1', '1569602913205559298', NULL, '1', TO_DATE('2022-09-30 10:35:05', 'SYYYY-MM-DD HH24:MI:SS'), '1562365397418708993', TO_DATE('2022-09-30 10:35:05', 'SYYYY-MM-DD HH24:MI:SS'), '1562365397418708993');
INSERT INTO "ZMRQ"."SYS_ROLE" VALUES ('1573155845951766530', '项目负责人', NULL, '项目负责人角色', '1', '1', NULL, '0', TO_DATE('2022-09-23 11:42:36', 'SYYYY-MM-DD HH24:MI:SS'), '1571688988283506690', TO_DATE('2022-09-23 17:33:02', 'SYYYY-MM-DD HH24:MI:SS'), '1');
INSERT INTO "ZMRQ"."SYS_ROLE" VALUES ('1573157213793992706', '维修大队工人', NULL, '维修大队工人角色', '1', '1570225246022770689', NULL, '1', TO_DATE('2022-09-23 11:48:02', 'SYYYY-MM-DD HH24:MI:SS'), '1571688988283506690', TO_DATE('2022-09-26 09:27:25', 'SYYYY-MM-DD HH24:MI:SS'), '1574204813473345537');
INSERT INTO "ZMRQ"."SYS_ROLE" VALUES ('1573185693076287489', '财务管理材料核销员', NULL, '财务管理材料核销员', '1', '1', NULL, '0', TO_DATE('2022-09-23 13:41:12', 'SYYYY-MM-DD HH24:MI:SS'), '1571688988283506690', TO_DATE('2022-09-23 13:41:12', 'SYYYY-MM-DD HH24:MI:SS'), '1571688988283506690');
INSERT INTO "ZMRQ"."SYS_ROLE" VALUES ('1574208152919470081', '维修大队工人1', NULL, '维修大队工人1', '1', '1570225246022770689', NULL, '1', TO_DATE('2022-09-26 09:24:05', 'SYYYY-MM-DD HH24:MI:SS'), '1574204813473345537', TO_DATE('2022-09-26 09:24:05', 'SYYYY-MM-DD HH24:MI:SS'), '1574204813473345537');
INSERT INTO "ZMRQ"."SYS_ROLE" VALUES ('1574696955824140289', '1', NULL, '1', '1', '1569602913205559298', NULL, '1', TO_DATE('2022-09-27 17:46:25', 'SYYYY-MM-DD HH24:MI:SS'), '1', TO_DATE('2022-09-27 17:46:25', 'SYYYY-MM-DD HH24:MI:SS'), '1');
INSERT INTO "ZMRQ"."SYS_ROLE" VALUES ('1574697049977876481', '1', NULL, '1', '1', '1', NULL, '1', TO_DATE('2022-09-27 17:46:47', 'SYYYY-MM-DD HH24:MI:SS'), '1', TO_DATE('2022-09-27 17:46:47', 'SYYYY-MM-DD HH24:MI:SS'), '1');
INSERT INTO "ZMRQ"."SYS_ROLE" VALUES ('1574697094898872322', '21', NULL, '321', '1', '1574671682785349634', NULL, '1', TO_DATE('2022-09-27 17:46:58', 'SYYYY-MM-DD HH24:MI:SS'), '1', TO_DATE('2022-09-27 17:46:58', 'SYYYY-MM-DD HH24:MI:SS'), '1');
INSERT INTO "ZMRQ"."SYS_ROLE" VALUES ('1574697191053291522', '材料管理角色', NULL, '1', '1', '1570225246022770689', NULL, '1', TO_DATE('2022-09-27 17:47:21', 'SYYYY-MM-DD HH24:MI:SS'), '1', TO_DATE('2022-09-28 09:08:27', 'SYYYY-MM-DD HH24:MI:SS'), '1574204813473345537');
INSERT INTO "ZMRQ"."SYS_ROLE" VALUES ('1574697255318417409', '23', NULL, '32', '1', '1569602913205559298', NULL, '1', TO_DATE('2022-09-27 17:47:36', 'SYYYY-MM-DD HH24:MI:SS'), '1', TO_DATE('2022-09-27 17:47:36', 'SYYYY-MM-DD HH24:MI:SS'), '1');
INSERT INTO "ZMRQ"."SYS_ROLE" VALUES ('1575053773909901314', '秋海1', NULL, '11', '1', '1570225246022770689', NULL, '1', TO_DATE('2022-09-28 17:24:17', 'SYYYY-MM-DD HH24:MI:SS'), '1574204813473345537', TO_DATE('2022-09-28 17:25:58', 'SYYYY-MM-DD HH24:MI:SS'), '1574204813473345537');
INSERT INTO "ZMRQ"."SYS_ROLE" VALUES ('1575053773968621570', '秋海11', NULL, '11', '1', '1574644518840958977', NULL, '1', TO_DATE('2022-09-28 17:24:17', 'SYYYY-MM-DD HH24:MI:SS'), '1574204813473345537', TO_DATE('2022-09-28 17:27:05', 'SYYYY-MM-DD HH24:MI:SS'), '1574204813473345537');
INSERT INTO "ZMRQ"."SYS_ROLE" VALUES ('1575326658134040578', '批量新增角色测试e', NULL, '额', '1', '1570225246022770689', NULL, '1', TO_DATE('2022-09-29 11:28:38', 'SYYYY-MM-DD HH24:MI:SS'), '1574204813473345537', TO_DATE('2022-09-29 15:05:47', 'SYYYY-MM-DD HH24:MI:SS'), '1574204813473345537');
INSERT INTO "ZMRQ"."SYS_ROLE" VALUES ('1575326658381504513', '批量新增角色测试e', NULL, '额', '1', '1574644518840958977', NULL, '1', TO_DATE('2022-09-29 11:28:38', 'SYYYY-MM-DD HH24:MI:SS'), '1574204813473345537', TO_DATE('2022-09-29 11:29:27', 'SYYYY-MM-DD HH24:MI:SS'), '1574204813473345537');
INSERT INTO "ZMRQ"."SYS_ROLE" VALUES ('1575326658515722242', '批量新增角色测试e', NULL, '额', '1', '1575029703222878209', NULL, '1', TO_DATE('2022-09-29 11:28:38', 'SYYYY-MM-DD HH24:MI:SS'), '1574204813473345537', TO_DATE('2022-09-29 11:28:38', 'SYYYY-MM-DD HH24:MI:SS'), '1574204813473345537');
INSERT INTO "ZMRQ"."SYS_ROLE" VALUES ('1575326658645745666', '批量新增角色测试e', NULL, '额', '1', '1575029754871537666', NULL, '1', TO_DATE('2022-09-29 11:28:38', 'SYYYY-MM-DD HH24:MI:SS'), '1574204813473345537', TO_DATE('2022-09-29 11:28:38', 'SYYYY-MM-DD HH24:MI:SS'), '1574204813473345537');
INSERT INTO "ZMRQ"."SYS_ROLE" VALUES ('1575326658763186177', '批量新增角色测试e', NULL, '额', '1', '1575029819602231298', NULL, '1', TO_DATE('2022-09-29 11:28:38', 'SYYYY-MM-DD HH24:MI:SS'), '1574204813473345537', TO_DATE('2022-09-29 11:28:38', 'SYYYY-MM-DD HH24:MI:SS'), '1574204813473345537');
INSERT INTO "ZMRQ"."SYS_ROLE" VALUES ('1575326658872238082', '批量新增角色测试e', NULL, '额', '1', '1574671682785349634', NULL, '1', TO_DATE('2022-09-29 11:28:38', 'SYYYY-MM-DD HH24:MI:SS'), '1574204813473345537', TO_DATE('2022-09-29 11:28:38', 'SYYYY-MM-DD HH24:MI:SS'), '1574204813473345537');
INSERT INTO "ZMRQ"."SYS_ROLE" VALUES ('1578594934142369794', '委屈问委屈问委屈问委屈问委屈问委屈问委屈问委屈问', NULL, '委屈问委屈问委屈问委屈问委屈问委屈问委屈问委屈问委屈问委屈问委屈问委屈问委屈问委屈问委屈问委屈问委屈', '1', '1569216846182748162', NULL, '1', TO_DATE('2022-10-08 11:55:35', 'SYYYY-MM-DD HH24:MI:SS'), '1574945313813704706', TO_DATE('2022-10-08 11:55:35', 'SYYYY-MM-DD HH24:MI:SS'), '1574945313813704706');
INSERT INTO "ZMRQ"."SYS_ROLE" VALUES ('1578594934196895745', '委屈问委屈问委屈问委屈问委屈问委屈问委屈问委屈问', NULL, '委屈问委屈问委屈问委屈问委屈问委屈问委屈问委屈问委屈问委屈问委屈问委屈问委屈问委屈问委屈问委屈问委屈', '1', '1', NULL, '1', TO_DATE('2022-10-08 11:55:35', 'SYYYY-MM-DD HH24:MI:SS'), '1574945313813704706', TO_DATE('2022-10-08 11:55:35', 'SYYYY-MM-DD HH24:MI:SS'), '1574945313813704706');
INSERT INTO "ZMRQ"."SYS_ROLE" VALUES ('1', '管理员', NULL, '1', '1', '1569602913205559298', NULL, '0', NULL, NULL, TO_DATE('2022-09-28 10:07:12', 'SYYYY-MM-DD HH24:MI:SS'), '1573859622077870082');
INSERT INTO "ZMRQ"."SYS_ROLE" VALUES ('2', '超级管理员', NULL, '123', '1', '1569602913205559298', NULL, '0', NULL, NULL, TO_DATE('2022-09-28 10:07:16', 'SYYYY-MM-DD HH24:MI:SS'), '1573859622077870082');
INSERT INTO "ZMRQ"."SYS_ROLE" VALUES ('1572432203404144642', '小测试', NULL, '阿萨大时代', '1', '1569602913205559298', NULL, '1', TO_DATE('2022-09-21 11:47:06', 'SYYYY-MM-DD HH24:MI:SS'), '1562365397418708993', TO_DATE('2022-09-21 11:47:06', 'SYYYY-MM-DD HH24:MI:SS'), '1562365397418708993');
INSERT INTO "ZMRQ"."SYS_ROLE" VALUES ('1572520816087203841', '新安装工程菜单权限', NULL, 'の2呃3开发开发开发开发开发开发开发开发开发开发开发', '1', '1569602913205559298', NULL, '1', TO_DATE('2022-09-21 17:39:13', 'SYYYY-MM-DD HH24:MI:SS'), '1572117095968747521', TO_DATE('2022-09-21 17:39:13', 'SYYYY-MM-DD HH24:MI:SS'), '1572117095968747521');
INSERT INTO "ZMRQ"."SYS_ROLE" VALUES ('1573149437248192513', '分管市场副总', NULL, '分管市场副总角色配置', '1', '1569602913205559298', NULL, '0', TO_DATE('2022-09-23 11:17:08', 'SYYYY-MM-DD HH24:MI:SS'), '1571688988283506690', TO_DATE('2022-09-23 14:20:07', 'SYYYY-MM-DD HH24:MI:SS'), '1572117095968747521');
INSERT INTO "ZMRQ"."SYS_ROLE" VALUES ('1573154771446579202', '市场保障（副）经理', NULL, '市场保障（副）经理角色配置', '1', '1', NULL, '0', TO_DATE('2022-09-23 11:38:19', 'SYYYY-MM-DD HH24:MI:SS'), '1571688988283506690', TO_DATE('2022-09-23 17:20:48', 'SYYYY-MM-DD HH24:MI:SS'), '1');
INSERT INTO "ZMRQ"."SYS_ROLE" VALUES ('1574209879756369921', '科技经济', NULL, '11', '1', '1569602913205559298', NULL, '1', TO_DATE('2022-09-26 09:30:57', 'SYYYY-MM-DD HH24:MI:SS'), '1562365397418708993', TO_DATE('2022-09-26 09:30:57', 'SYYYY-MM-DD HH24:MI:SS'), '1562365397418708993');
INSERT INTO "ZMRQ"."SYS_ROLE" VALUES ('1574210286545137666', '就没换过分别多少', NULL, '啊大苏打', '1', '1569602913205559298', NULL, '1', TO_DATE('2022-09-26 09:32:34', 'SYYYY-MM-DD HH24:MI:SS'), '1562365397418708993', TO_DATE('2022-09-26 09:33:13', 'SYYYY-MM-DD HH24:MI:SS'), '1562365397418708993');
INSERT INTO "ZMRQ"."SYS_ROLE" VALUES ('1574210401703948289', '恶趣味', NULL, '额3 ', '1', '1570225246022770689', NULL, '1', TO_DATE('2022-09-26 09:33:01', 'SYYYY-MM-DD HH24:MI:SS'), '1574204813473345537', TO_DATE('2022-09-26 09:33:01', 'SYYYY-MM-DD HH24:MI:SS'), '1574204813473345537');
INSERT INTO "ZMRQ"."SYS_ROLE" VALUES ('1574210530481664001', '2', NULL, '213', '1', '1570225246022770689', NULL, '1', TO_DATE('2022-09-26 09:33:32', 'SYYYY-MM-DD HH24:MI:SS'), '1574204813473345537', TO_DATE('2022-09-26 09:33:32', 'SYYYY-MM-DD HH24:MI:SS'), '1574204813473345537');
INSERT INTO "ZMRQ"."SYS_ROLE" VALUES ('1574210639307075586', '22', NULL, '22', '1', '1570225246022770689', NULL, '1', TO_DATE('2022-09-26 09:33:58', 'SYYYY-MM-DD HH24:MI:SS'), '1574204813473345537', TO_DATE('2022-09-26 09:33:58', 'SYYYY-MM-DD HH24:MI:SS'), '1574204813473345537');
INSERT INTO "ZMRQ"."SYS_ROLE" VALUES ('1574210685335367682', '321312', NULL, '31232131', '1', '1570225246022770689', NULL, '1', TO_DATE('2022-09-26 09:34:09', 'SYYYY-MM-DD HH24:MI:SS'), '1574204813473345537', TO_DATE('2022-09-26 09:34:09', 'SYYYY-MM-DD HH24:MI:SS'), '1574204813473345537');
INSERT INTO "ZMRQ"."SYS_ROLE" VALUES ('1574210830730915841', '施为3呃1', NULL, '施工单位工人', '1', '1570225246022770689', NULL, '1', TO_DATE('2022-09-26 09:34:44', 'SYYYY-MM-DD HH24:MI:SS'), '1574204813473345537', TO_DATE('2022-09-26 09:34:44', 'SYYYY-MM-DD HH24:MI:SS'), '1574204813473345537');
INSERT INTO "ZMRQ"."SYS_ROLE" VALUES ('1574298022484459521', '市场保障部经理', NULL, '市场保障部经理', '1', '1569602913205559298', NULL, '0', TO_DATE('2022-09-26 15:21:12', 'SYYYY-MM-DD HH24:MI:SS'), '1573210716168110082', TO_DATE('2022-09-28 10:32:09', 'SYYYY-MM-DD HH24:MI:SS'), '1574214292021571585');
INSERT INTO "ZMRQ"."SYS_ROLE" VALUES ('1574595239187423234', '11', NULL, '111', '1', '1569602913205559298', NULL, '1', TO_DATE('2022-09-27 11:02:14', 'SYYYY-MM-DD HH24:MI:SS'), '1562365397418708993', TO_DATE('2022-09-27 11:02:14', 'SYYYY-MM-DD HH24:MI:SS'), '1562365397418708993');
INSERT INTO "ZMRQ"."SYS_ROLE" VALUES ('1574595265426989058', '2123', NULL, '213213', '1', '1569602913205559298', NULL, '1', TO_DATE('2022-09-27 11:02:20', 'SYYYY-MM-DD HH24:MI:SS'), '1562365397418708993', TO_DATE('2022-09-27 11:02:20', 'SYYYY-MM-DD HH24:MI:SS'), '1562365397418708993');
INSERT INTO "ZMRQ"."SYS_ROLE" VALUES ('1574659221659152386', '绵竹负责人', NULL, '32', '1', '1569602913205559298', NULL, '0', TO_DATE('2022-09-27 15:16:28', 'SYYYY-MM-DD HH24:MI:SS'), '1573210716168110082', TO_DATE('2022-09-27 15:16:28', 'SYYYY-MM-DD HH24:MI:SS'), '1573210716168110082');
INSERT INTO "ZMRQ"."SYS_ROLE" VALUES ('1574665501140422657', '111', NULL, '11', '1', '1569602913205559298', NULL, '1', TO_DATE('2022-09-27 15:41:25', 'SYYYY-MM-DD HH24:MI:SS'), '1', TO_DATE('2022-09-27 15:41:25', 'SYYYY-MM-DD HH24:MI:SS'), '1');
INSERT INTO "ZMRQ"."SYS_ROLE" VALUES ('1574696815075880961', '绵竹无角色', NULL, '1', '1', '1569602913205559298', NULL, '1', TO_DATE('2022-09-27 17:45:51', 'SYYYY-MM-DD HH24:MI:SS'), '1', TO_DATE('2022-09-27 17:45:51', 'SYYYY-MM-DD HH24:MI:SS'), '1');
INSERT INTO "ZMRQ"."SYS_ROLE" VALUES ('1574709397174202369', '1', NULL, '1', '1', '1569602913205559298', NULL, '1', TO_DATE('2022-09-27 18:35:51', 'SYYYY-MM-DD HH24:MI:SS'), '1562365397418708993', TO_DATE('2022-09-27 18:35:51', 'SYYYY-MM-DD HH24:MI:SS'), '1562365397418708993');
INSERT INTO "ZMRQ"."SYS_ROLE" VALUES ('1575061308528246786', '1111', NULL, '11', '1', '1574644518840958977', NULL, '1', TO_DATE('2022-09-28 17:54:13', 'SYYYY-MM-DD HH24:MI:SS'), '1574946019425660929', TO_DATE('2022-09-28 17:54:13', 'SYYYY-MM-DD HH24:MI:SS'), '1574946019425660929');
INSERT INTO "ZMRQ"."SYS_ROLE" VALUES ('1575061409497726978', '111', NULL, '11', '1', '1574644518840958977', NULL, '1', TO_DATE('2022-09-28 17:54:37', 'SYYYY-MM-DD HH24:MI:SS'), '1574946019425660929', TO_DATE('2022-09-28 17:54:37', 'SYYYY-MM-DD HH24:MI:SS'), '1574946019425660929');
INSERT INTO "ZMRQ"."SYS_ROLE" VALUES ('1575325887229353985', '31', NULL, '3123', '1', '1', NULL, '1', TO_DATE('2022-09-29 11:25:34', 'SYYYY-MM-DD HH24:MI:SS'), '1574945313813704706', TO_DATE('2022-09-29 11:25:48', 'SYYYY-MM-DD HH24:MI:SS'), '1574945313813704706');
INSERT INTO "ZMRQ"."SYS_ROLE" VALUES ('1575325887283879937', '31', NULL, '3123', '1', '1569216846182748162', NULL, '1', TO_DATE('2022-09-29 11:25:34', 'SYYYY-MM-DD HH24:MI:SS'), '1574945313813704706', TO_DATE('2022-09-29 11:25:34', 'SYYYY-MM-DD HH24:MI:SS'), '1574945313813704706');
INSERT INTO "ZMRQ"."SYS_ROLE" VALUES ('1575325887317434370', '31', NULL, '3123', '1', '1569602913205559298', NULL, '1', TO_DATE('2022-09-29 11:25:34', 'SYYYY-MM-DD HH24:MI:SS'), '1574945313813704706', TO_DATE('2022-09-29 11:25:34', 'SYYYY-MM-DD HH24:MI:SS'), '1574945313813704706');
INSERT INTO "ZMRQ"."SYS_ROLE" VALUES ('1570233320104108033', '测试员账号', NULL, '测试账号', '1', NULL, NULL, '1', TO_DATE('2022-09-15 10:09:31', 'SYYYY-MM-DD HH24:MI:SS'), '1562707661060427778', TO_DATE('2022-09-15 10:54:41', 'SYYYY-MM-DD HH24:MI:SS'), '1562707661060427778');
INSERT INTO "ZMRQ"."SYS_ROLE" VALUES ('1572429494131212290', '开发1111', NULL, '萨达萨达', '1', '1569602913205559298', NULL, '1', TO_DATE('2022-09-21 11:36:20', 'SYYYY-MM-DD HH24:MI:SS'), '1562365397418708993', TO_DATE('2022-09-21 11:36:20', 'SYYYY-MM-DD HH24:MI:SS'), '1562365397418708993');
INSERT INTO "ZMRQ"."SYS_ROLE" VALUES ('1572431235753046017', '角色1', NULL, '角色测试', '1', '1569602913205559298', NULL, '1', TO_DATE('2022-09-21 11:43:15', 'SYYYY-MM-DD HH24:MI:SS'), '1572117095968747521', TO_DATE('2022-09-21 11:43:15', 'SYYYY-MM-DD HH24:MI:SS'), '1572117095968747521');
INSERT INTO "ZMRQ"."SYS_ROLE" VALUES ('1572431536803409922', '角色12', NULL, '角色', '1', '1569602913205559298', NULL, '1', TO_DATE('2022-09-21 11:44:27', 'SYYYY-MM-DD HH24:MI:SS'), '1572117095968747521', TO_DATE('2022-09-21 11:44:27', 'SYYYY-MM-DD HH24:MI:SS'), '1572117095968747521');
INSERT INTO "ZMRQ"."SYS_ROLE" VALUES ('1572435305079369729', '1', NULL, '1', '1', '1569602913205559298', NULL, '1', TO_DATE('2022-09-21 11:59:25', 'SYYYY-MM-DD HH24:MI:SS'), '1570226660144947202', TO_DATE('2022-09-21 13:44:11', 'SYYYY-MM-DD HH24:MI:SS'), '1570226660144947202');
INSERT INTO "ZMRQ"."SYS_ROLE" VALUES ('1573135645567205378', '总公司管理员', NULL, '总公司管理员', '1', '1', NULL, '0', TO_DATE('2022-09-23 10:22:20', 'SYYYY-MM-DD HH24:MI:SS'), '1', TO_DATE('2022-09-23 10:43:59', 'SYYYY-MM-DD HH24:MI:SS'), '1571688988283506690');
INSERT INTO "ZMRQ"."SYS_ROLE" VALUES ('1573149815993843713', '财务总监', NULL, '财务总监角色配置', '1', '1', NULL, '0', TO_DATE('2022-09-23 11:18:38', 'SYYYY-MM-DD HH24:MI:SS'), '1571688988283506690', TO_DATE('2022-09-23 11:35:34', 'SYYYY-MM-DD HH24:MI:SS'), '1571688988283506690');
INSERT INTO "ZMRQ"."SYS_ROLE" VALUES ('1574580801801658369', '挨打', NULL, '七万五千', '1', '1569602913205559298', NULL, '1', TO_DATE('2022-09-27 10:04:52', 'SYYYY-MM-DD HH24:MI:SS'), '1562365397418708993', TO_DATE('2022-09-27 10:04:52', 'SYYYY-MM-DD HH24:MI:SS'), '1562365397418708993');
INSERT INTO "ZMRQ"."SYS_ROLE" VALUES ('1574581106526232578', '挨打', NULL, '11', '1', '1569602913205559298', NULL, '1', TO_DATE('2022-09-27 10:06:04', 'SYYYY-MM-DD HH24:MI:SS'), '1562365397418708993', TO_DATE('2022-09-27 10:06:04', 'SYYYY-MM-DD HH24:MI:SS'), '1562365397418708993');
INSERT INTO "ZMRQ"."SYS_ROLE" VALUES ('1574581145109635073', '过来', NULL, '11', '1', '1569602913205559298', NULL, '1', TO_DATE('2022-09-27 10:06:13', 'SYYYY-MM-DD HH24:MI:SS'), '1562365397418708993', TO_DATE('2022-09-27 10:06:13', 'SYYYY-MM-DD HH24:MI:SS'), '1562365397418708993');
INSERT INTO "ZMRQ"."SYS_ROLE" VALUES ('1574648762532982786', '11', NULL, '1', '1', '1569602913205559298', NULL, '1', TO_DATE('2022-09-27 14:34:55', 'SYYYY-MM-DD HH24:MI:SS'), '1562365397418708993', TO_DATE('2022-09-27 14:35:04', 'SYYYY-MM-DD HH24:MI:SS'), '1562365397418708993');
INSERT INTO "ZMRQ"."SYS_ROLE" VALUES ('1574937184082341889', '顶顶顶顶顶', NULL, '顶顶顶顶', '1', '1569602913205559298', NULL, '1', TO_DATE('2022-09-28 09:41:00', 'SYYYY-MM-DD HH24:MI:SS'), '2', TO_DATE('2022-09-28 09:41:00', 'SYYYY-MM-DD HH24:MI:SS'), '2');
INSERT INTO "ZMRQ"."SYS_ROLE" VALUES ('1575035128106311682', '子公司的子公司的角色', NULL, NULL, '1', '1575029703222878209', NULL, '0', TO_DATE('2022-09-28 16:10:11', 'SYYYY-MM-DD HH24:MI:SS'), '1574204813473345537', TO_DATE('2022-10-08 11:59:27', 'SYYYY-MM-DD HH24:MI:SS'), '1574945313813704706');
INSERT INTO "ZMRQ"."SYS_ROLE" VALUES ('1575675803592155137', '测试1231', NULL, '阿松大', '1', '1569602913205559298', NULL, '1', TO_DATE('2022-09-30 10:36:00', 'SYYYY-MM-DD HH24:MI:SS'), '1562365397418708993', TO_DATE('2022-09-30 10:36:18', 'SYYYY-MM-DD HH24:MI:SS'), '1562365397418708993');
INSERT INTO "ZMRQ"."SYS_ROLE" VALUES ('1578593379972382721', '总经理', NULL, NULL, '1', '1', NULL, '0', TO_DATE('2022-10-08 11:49:25', 'SYYYY-MM-DD HH24:MI:SS'), '1574945313813704706', TO_DATE('2022-10-08 11:49:25', 'SYYYY-MM-DD HH24:MI:SS'), '1574945313813704706');

-- ----------------------------
-- Table structure for SYS_ROLE_MENU
-- ----------------------------
DROP TABLE "ZMRQ"."SYS_ROLE_MENU";
CREATE TABLE "ZMRQ"."SYS_ROLE_MENU" (
  "ID" NUMBER(20,0) NOT NULL,
  "ROLE_ID" NUMBER(20,0) NOT NULL,
  "MENU_ID" NUMBER(20,0) NOT NULL,
  "TENANT_ID" NUMBER(20,0) DEFAULT 0 NOT NULL
)
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "ZMRQ"."SYS_ROLE_MENU"."ID" IS '主键ID';
COMMENT ON COLUMN "ZMRQ"."SYS_ROLE_MENU"."ROLE_ID" IS '角色ID';
COMMENT ON COLUMN "ZMRQ"."SYS_ROLE_MENU"."MENU_ID" IS '菜单ID';
COMMENT ON COLUMN "ZMRQ"."SYS_ROLE_MENU"."TENANT_ID" IS '租户ID';
COMMENT ON TABLE "ZMRQ"."SYS_ROLE_MENU" IS '系统角色菜单关联';

-- ----------------------------
-- Records of SYS_ROLE_MENU
-- ----------------------------
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573141094504906753', '1573135645567205378', '1571746139102248962', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573141094513295361', '1573135645567205378', '1571747466465247233', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573141094513295362', '1573135645567205378', '1570595328229978114', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573141094521683969', '1573135645567205378', '1572039843977449473', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573141094521683970', '1573135645567205378', '1572040598385938433', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573141094521683971', '1573135645567205378', '1572040787188338689', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573141094521683972', '1573135645567205378', '1572041017162027010', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573141094521683973', '1573135645567205378', '1571772738531074049', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573141094521683974', '1573135645567205378', '1572037163766898689', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573141094530072577', '1573135645567205378', '1572037370143432706', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573141094530072578', '1573135645567205378', '1572037508773568514', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573141094530072579', '1573135645567205378', '1572037659424579586', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573141094530072580', '1573135645567205378', '1572037801762480129', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573141094530072581', '1573135645567205378', '1572037997279961089', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573141094530072582', '1573135645567205378', '1572038159096209409', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573141094530072583', '1573135645567205378', '1572045023032733697', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573141094538461186', '1573135645567205378', '1572045159892873218', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573141094538461187', '1573135645567205378', '1572045499287564290', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573141094546849794', '1573135645567205378', '1572036218219782146', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573141094546849795', '1573135645567205378', '1572773180723544066', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573141094546849796', '1573135645567205378', '1572045787574661122', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573141094546849797', '1573135645567205378', '1572045970182074370', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573141094546849798', '1573135645567205378', '1572046116772999170', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573141094546849799', '1573135645567205378', '1572046243940102145', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573141094546849800', '1573135645567205378', '1572046386718404609', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573141094546849801', '1573135645567205378', '1572036361681756161', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573141094555238401', '1573135645567205378', '1572046656248573954', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573141094555238402', '1573135645567205378', '1570618059361169409', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573141094555238404', '1573135645567205378', '1572777354345431041', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573141094555238405', '1573135645567205378', '1570678050017345538', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573141094555238406', '1573135645567205378', '1570678305647591425', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573141094555238407', '1573135645567205378', '1570618270527598594', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573141094555238408', '1573135645567205378', '1570673797857095681', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573141094555238409', '1573135645567205378', '1572776211745718274', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573141094555238410', '1573135645567205378', '1570674628832604162', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573141094555238411', '1573135645567205378', '1570674923604094978', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573141094563627009', '1573135645567205378', '1570675136129478657', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573141094563627010', '1573135645567205378', '1570675318665588738', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573141094563627011', '1573135645567205378', '1570676000210628609', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573141094563627012', '1573135645567205378', '1570618788180209665', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573141094563627013', '1573135645567205378', '1570678605024428034', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573141094563627014', '1573135645567205378', '1570678741326725121', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573141094563627015', '1573135645567205378', '1570679403540217858', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573141094563627016', '1573135645567205378', '1568482594885484546', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573141094563627017', '1573135645567205378', '1571326768206962690', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573141094563627018', '1573135645567205378', '1568482739010158593', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573141094572015617', '1573135645567205378', '1571326984775655426', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573141094572015618', '1573135645567205378', '1568483117915193345', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573141094572015619', '1573135645567205378', '1571327170130337793', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573141094572015620', '1573135645567205378', '1568483272991195137', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573141094572015621', '1573135645567205378', '1571327400036917249', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573141094572015622', '1573135645567205378', '1568483527858077698', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573141094572015623', '1573135645567205378', '1571327560720703489', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573141094572015624', '1573135645567205378', '1568483651631988738', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573141094572015625', '1573135645567205378', '1571327731676340226', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573141094580404225', '1573135645567205378', '1568483739917893633', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573141094580404226', '1573135645567205378', '1571327917362372610', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573141094580404227', '1573135645567205378', '1572795389462454273', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573141094580404228', '1573135645567205378', '1572795538091810818', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573141094580404229', '1573135645567205378', '1572795661505011713', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573141094580404230', '1573135645567205378', '1572795781466300418', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573141094580404231', '1573135645567205378', '1572847122557444098', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573141094580404232', '1573135645567205378', '1572848592463863809', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573141094580404233', '1573135645567205378', '1572848789214470145', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573141094580404234', '1573135645567205378', '1572848935910252546', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573141094588792834', '1573135645567205378', '1572849139547906049', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573141094588792835', '1573135645567205378', '1572849283362201602', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573141094588792836', '1573135645567205378', '1572849377348165633', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573141094588792837', '1573135645567205378', '1568483976925429762', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573141094588792838', '1573135645567205378', '1571328373371297794', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573141094588792839', '1573135645567205378', '1572796082785099778', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573141094588792840', '1573135645567205378', '1572796167635869698', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573141094588792841', '1573135645567205378', '1572851339917533186', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573141094588792842', '1573135645567205378', '1572851541135073282', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573141094588792843', '1573135645567205378', '1572852444684623873', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573141094597181441', '1573135645567205378', '1572852591229411329', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573141094597181442', '1573135645567205378', '1572852712595791874', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573141094597181443', '1573135645567205378', '1572855226154098689', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573141094597181444', '1573135645567205378', '1568484284103671809', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573141094597181445', '1573135645567205378', '1571328725877383169', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573141094597181446', '1573135645567205378', '1568484466941771777', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573141094597181447', '1573135645567205378', '1571328916844044290', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573141094597181448', '1573135645567205378', '1567427074263216130', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573141094597181449', '1573135645567205378', '1572060584970121217', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573141094597181450', '1573135645567205378', '1572060735642103810', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573141094605570049', '1573135645567205378', '1572060891699572737', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573141094605570050', '1573135645567205378', '1572061017499332609', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573141094605570051', '1573135645567205378', '1572061200400347138', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573141094605570052', '1573135645567205378', '1572061335876366337', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573141094605570053', '1573135645567205378', '1572061970663305218', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573141094605570054', '1573135645567205378', '1572062101240377346', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573141094605570055', '1573135645567205378', '1572062283721961473', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573141094605570056', '1573135645567205378', '1572062580129230849', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573141094605570057', '1573135645567205378', '1572061571604639745', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573141094605570058', '1573135645567205378', '1572061726387040257', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573141094605570059', '1573135645567205378', '1572049474112024577', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575326893002481665', '1575000277609209858', '1554642838305005569', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575326893010870273', '1575000277609209858', '1568482594885484546', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575326893010870274', '1575000277609209858', '1571326768206962690', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575326893010870275', '1575000277609209858', '1568482739010158593', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575326893010870276', '1575000277609209858', '1571326984775655426', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575326893010870277', '1575000277609209858', '1568483117915193345', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575326893019258881', '1575000277609209858', '1571327170130337793', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575326893019258882', '1575000277609209858', '1568483272991195137', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575326893019258883', '1575000277609209858', '1571327400036917249', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575326893019258884', '1575000277609209858', '1568483527858077698', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575326893019258885', '1575000277609209858', '1571327560720703489', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575326893027647490', '1575000277609209858', '1568483651631988738', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575326893027647491', '1575000277609209858', '1571327731676340226', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575326893027647492', '1575000277609209858', '1568483739917893633', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575326893027647493', '1575000277609209858', '1571327917362372610', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575326893027647494', '1575000277609209858', '1572795538091810818', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575326893027647495', '1575000277609209858', '1572795661505011713', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575326893036036098', '1575000277609209858', '1572795781466300418', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575326893036036099', '1575000277609209858', '1568483871778422785', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575326893036036100', '1575000277609209858', '1572847122557444098', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575326893036036101', '1575000277609209858', '1572848592463863809', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575326893036036102', '1575000277609209858', '1572848789214470145', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575326893044424706', '1575000277609209858', '1572848935910252546', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575326893044424707', '1575000277609209858', '1572849139547906049', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575326893044424708', '1575000277609209858', '1572849283362201602', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575326893044424709', '1575000277609209858', '1572849377348165633', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575326893044424710', '1575000277609209858', '1568483976925429762', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575326893044424711', '1575000277609209858', '1571328373371297794', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575326893052813313', '1575000277609209858', '1572796082785099778', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575326893052813314', '1575000277609209858', '1572796167635869698', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575326893052813315', '1575000277609209858', '1568484152826150913', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575326893052813316', '1575000277609209858', '1572851339917533186', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575326893052813317', '1575000277609209858', '1572851541135073282', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575326893052813318', '1575000277609209858', '1572852444684623873', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575326893061201922', '1575000277609209858', '1572852591229411329', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575326893061201923', '1575000277609209858', '1572852712595791874', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575326893061201924', '1575000277609209858', '1572855226154098689', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575326893061201925', '1575000277609209858', '1568484284103671809', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575326893065396225', '1575000277609209858', '1571328725877383169', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575326893065396226', '1575000277609209858', '1568484466941771777', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575326893065396227', '1575000277609209858', '1571328916844044290', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575326893065396228', '1575000277609209858', '1567426391619268610', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575326893065396229', '1575000277609209858', '1570586436246818818', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575326893065396230', '1575000277609209858', '1571746737381965825', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575326893065396231', '1575000277609209858', '1571746139102248962', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575326893065396232', '1575000277609209858', '1571747466465247233', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575326893065396233', '1575000277609209858', '1570595328229978114', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575326893073784834', '1575000277609209858', '1572039843977449473', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575326893073784835', '1575000277609209858', '1572040598385938433', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575326893073784836', '1575000277609209858', '1572040787188338689', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575326893073784837', '1575000277609209858', '1572041017162027010', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575326893073784838', '1575000277609209858', '1571772738531074049', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575326893073784839', '1575000277609209858', '1572037163766898689', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575326893073784840', '1575000277609209858', '1572037370143432706', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575326893073784841', '1575000277609209858', '1572037508773568514', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575326893082173442', '1575000277609209858', '1572037659424579586', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575326893082173443', '1575000277609209858', '1572037801762480129', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575326893082173444', '1575000277609209858', '1572037997279961089', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575326893082173445', '1575000277609209858', '1572038159096209409', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575326893082173446', '1575000277609209858', '1572036130646908929', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575326893082173447', '1575000277609209858', '1572045023032733697', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575326893082173448', '1575000277609209858', '1572045159892873218', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575326893082173449', '1575000277609209858', '1572045499287564290', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575326893082173450', '1575000277609209858', '1572036218219782146', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575326893090562050', '1575000277609209858', '1572773180723544066', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575326893090562051', '1575000277609209858', '1572045787574661122', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573154076156805122', '1573149815993843713', '1568483272991195137', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573154076165193729', '1573149815993843713', '1571327400036917249', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573154076165193730', '1573149815993843713', '1568483527858077698', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573154076165193731', '1573149815993843713', '1571327560720703489', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573154076173582338', '1573149815993843713', '1568483651631988738', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573154076173582339', '1573149815993843713', '1571327731676340226', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573141094613958657', '1573135645567205378', '1572049812999204865', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573141094613958658', '1573135645567205378', '1572050019954552834', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573154076173582340', '1573149815993843713', '1572061200400347138', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573154076173582341', '1573149815993843713', '1572061335876366337', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573154076173582342', '1573149815993843713', '1572061970663305218', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573154076181970945', '1573149815993843713', '1572062101240377346', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573154076181970946', '1573149815993843713', '1572061571604639745', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573154076181970947', '1573149815993843713', '1572061726387040257', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573154076181970948', '1573149815993843713', '1554643767427227650', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573154076181970949', '1573149815993843713', '1572054770343571457', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573154076181970950', '1573149815993843713', '1572054915005116417', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573154076190359554', '1573149815993843713', '1572055105258745858', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573154076190359555', '1573149815993843713', '1572055244186677249', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573154076190359556', '1573149815993843713', '1572055684576014338', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573154076190359557', '1573149815993843713', '1572055810799398914', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573154076190359558', '1573149815993843713', '1554642838305005569', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573154076190359559', '1573149815993843713', '1567427074263216130', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573154076190359560', '1573149815993843713', '1572053608865296386', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573141094613958659', '1573135645567205378', '1572050180164382722', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573141094613958660', '1573135645567205378', '1572050327518670850', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573141094613958661', '1573135645567205378', '1572050594012164098', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573141094613958662', '1573135645567205378', '1572050750451314690', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573141094613958663', '1573135645567205378', '1572050889572184065', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573141094622347266', '1573135645567205378', '1572051151435165698', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573141094622347267', '1573135645567205378', '1572051270926692354', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573141094622347268', '1573135645567205378', '1572051966845612033', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573141094622347269', '1573135645567205378', '1572052255518584833', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573141094622347270', '1573135645567205378', '1554643767427227650', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573141094622347271', '1573135645567205378', '1572053975959171073', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573141094622347272', '1573135645567205378', '1572054387495890945', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573141094622347273', '1573135645567205378', '1572054530337107969', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573141094630735874', '1573135645567205378', '1572054770343571457', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573141094630735875', '1573135645567205378', '1572054915005116417', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573141094630735876', '1573135645567205378', '1572055105258745858', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573141094630735877', '1573135645567205378', '1572055244186677249', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573141094630735878', '1573135645567205378', '1572055684576014338', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573141094630735879', '1573135645567205378', '1572055810799398914', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573141094630735880', '1573135645567205378', '1572055937270247426', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573141094630735881', '1573135645567205378', '1572056617812848642', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573141094630735882', '1573135645567205378', '1572056967978512385', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573141094639124482', '1573135645567205378', '1572056063363608577', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573141094639124483', '1573135645567205378', '1572059228838391810', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573141094639124484', '1573135645567205378', '1572059390486867969', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573141094639124485', '1573135645567205378', '1572059614559170562', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573141094639124486', '1573135645567205378', '1572056158939213826', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573141094639124487', '1573135645567205378', '1572057250385195010', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573141094639124488', '1573135645567205378', '1572056257467609089', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573141094647513089', '1573135645567205378', '1572058033885376514', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573141094647513090', '1573135645567205378', '1572058168476397570', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573141094647513091', '1573135645567205378', '1571674389127630850', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573141094647513092', '1573135645567205378', '1571674879462739970', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573141094647513093', '1573135645567205378', '1571679659857809409', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573141094647513094', '1573135645567205378', '1571677684139298818', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573141094647513095', '1573135645567205378', '1571680257302859778', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573141094647513096', '1573135645567205378', '1571680589978275842', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573141094655901698', '1573135645567205378', '1571678995383586817', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573141094655901699', '1573135645567205378', '1571680876851892225', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573141094655901700', '1573135645567205378', '1572779186476138498', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573141094655901701', '1573135645567205378', '1572789021925974017', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573141094655901702', '1573135645567205378', '1572779532166479873', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573141094655901703', '1573135645567205378', '1572789278025981954', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573141094655901704', '1573135645567205378', '1572779702211952641', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573141094655901705', '1573135645567205378', '1572780446189207554', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573141094655901706', '1573135645567205378', '1572780574992089089', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573141094664290305', '1573135645567205378', '1572789481680412674', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573141094664290306', '1573135645567205378', '1572789644633317377', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573141094672678914', '1573135645567205378', '1572789737491013633', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573141094672678915', '1573135645567205378', '1572789822597636098', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573141094672678916', '1573135645567205378', '1573137161678077954', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573141094672678917', '1573135645567205378', '1573140954457096193', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573141094672678918', '1573135645567205378', '1572832383626387458', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573141094672678919', '1573135645567205378', '1572832711356719105', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573141094672678920', '1573135645567205378', '1572836695614169089', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573141094672678921', '1573135645567205378', '1572836841324290050', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573141094681067521', '1573135645567205378', '1572836939831713793', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573141094681067522', '1573135645567205378', '1572837052390055938', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573141094681067523', '1573135645567205378', '1572837185089445889', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573141094681067524', '1573135645567205378', '1572837334729629698', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573141094681067525', '1573135645567205378', '1572837468880248833', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573141094681067526', '1573135645567205378', '1572837564405522433', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573141094681067527', '1573135645567205378', '1567426391619268610', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573141094681067528', '1573135645567205378', '1572036130646908929', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573141094689456130', '1573135645567205378', '1570614272458305538', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573141094689456131', '1573135645567205378', '1570618551243976705', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573141094689456132', '1573135645567205378', '1554642838305005569', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573141094689456133', '1573135645567205378', '1568483871778422785', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573141094689456134', '1573135645567205378', '1568484152826150913', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573141094689456135', '1573135645567205378', '1572048860535681025', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573141094689456136', '1573135645567205378', '1572049155793711106', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573141094689456137', '1573135645567205378', '1572053608865296386', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573141094689456138', '1573135645567205378', '1572053835118637057', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574659221688512513', '1574659221659152386', '1567426391619268610', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574659221688512514', '1574659221659152386', '1570586436246818818', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574659221688512515', '1574659221659152386', '1571746737381965825', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574659221688512516', '1574659221659152386', '1571746139102248962', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574659221688512517', '1574659221659152386', '1571747466465247233', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574659221688512518', '1574659221659152386', '1570595328229978114', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574659221688512519', '1574659221659152386', '1572039843977449473', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574659221696901121', '1574659221659152386', '1572040598385938433', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574659221696901122', '1574659221659152386', '1572040787188338689', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574659221696901123', '1574659221659152386', '1572041017162027010', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574659221696901124', '1574659221659152386', '1571772738531074049', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574659221696901125', '1574659221659152386', '1572037163766898689', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574659221696901126', '1574659221659152386', '1572037370143432706', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574659221696901127', '1574659221659152386', '1572037508773568514', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574659221696901128', '1574659221659152386', '1572037659424579586', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574659221696901129', '1574659221659152386', '1572037801762480129', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574659221696901130', '1574659221659152386', '1572037997279961089', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574659221705289729', '1574659221659152386', '1572038159096209409', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574659221705289730', '1574659221659152386', '1572036130646908929', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574659221705289731', '1574659221659152386', '1572045023032733697', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574659221705289732', '1574659221659152386', '1572045159892873218', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574659221705289733', '1574659221659152386', '1572045499287564290', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574659221705289734', '1574659221659152386', '1572036218219782146', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574659221705289735', '1574659221659152386', '1572773180723544066', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574659221705289736', '1574659221659152386', '1572045787574661122', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574659221705289737', '1574659221659152386', '1572045970182074370', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574659221705289738', '1574659221659152386', '1572046243940102145', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574659221713678338', '1574659221659152386', '1572046116772999170', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574659221713678339', '1574659221659152386', '1572046386718404609', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574659221713678340', '1574659221659152386', '1572036361681756161', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574659221713678341', '1574659221659152386', '1572046656248573954', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575294653665198081', '1575001128616714242', '1570614272458305538', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575294653665198082', '1575001128616714242', '1570618270527598594', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575294653673586690', '1575001128616714242', '1570673797857095681', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575294653673586691', '1575001128616714242', '1572776211745718274', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575294653673586692', '1575001128616714242', '1570674628832604162', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575294653673586693', '1575001128616714242', '1570618059361169409', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575294653673586694', '1575001128616714242', '1572777354345431041', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575294653681975298', '1575001128616714242', '1570678050017345538', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575294653681975299', '1575001128616714242', '1570678305647591425', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575294653690363906', '1575001128616714242', '1570618551243976705', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575294653690363907', '1575001128616714242', '1570674923604094978', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575294653690363908', '1575001128616714242', '1570675136129478657', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575294653690363909', '1575001128616714242', '1570675318665588738', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575294653690363910', '1575001128616714242', '1570676000210628609', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575294653690363911', '1575001128616714242', '1570618788180209665', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575294653690363912', '1575001128616714242', '1570678605024428034', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575294653698752513', '1575001128616714242', '1570678741326725121', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575294653698752514', '1575001128616714242', '1570679403540217858', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575294653698752515', '1575001128616714242', '1568482594885484546', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575294653698752516', '1575001128616714242', '1571326768206962690', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575294653698752517', '1575001128616714242', '1568482739010158593', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575294653698752518', '1575001128616714242', '1571326984775655426', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575294653698752519', '1575001128616714242', '1568483117915193345', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575294653698752520', '1575001128616714242', '1571327170130337793', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575294653698752521', '1575001128616714242', '1568483272991195137', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575294653707141122', '1575001128616714242', '1571327400036917249', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575294653707141123', '1575001128616714242', '1568483527858077698', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575294653707141124', '1575001128616714242', '1571327560720703489', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575294653707141125', '1575001128616714242', '1568483651631988738', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575294653707141126', '1575001128616714242', '1571327731676340226', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573148331344445450', '1573148331310891010', '1572055684576014338', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573148331352834050', '1573148331310891010', '1572055810799398914', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1578595907371892738', '1575035128106311682', '1570618270527598594', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1578595907380281346', '1575035128106311682', '1570673797857095681', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1578595907380281347', '1575035128106311682', '1572776211745718274', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1578595907380281348', '1575035128106311682', '1570674628832604162', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1578596083180339201', '1578596083163561985', '1554642838305005569', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1578596083188727809', '1578596083163561985', '1568482594885484546', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1578595907380281349', '1575035128106311682', '1572777354345431041', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1578595907388669953', '1575035128106311682', '1570678741326725121', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1578595907388669954', '1575035128106311682', '1568483117915193345', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1578595907388669955', '1575035128106311682', '1571327170130337793', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1578595907388669956', '1575035128106311682', '1568483272991195137', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1578595907388669957', '1575035128106311682', '1571327400036917249', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1578595907397058561', '1575035128106311682', '1568483527858077698', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1578595907397058562', '1575035128106311682', '1571327560720703489', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1578595907397058563', '1575035128106311682', '1568483651631988738', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1578595907397058564', '1575035128106311682', '1571327731676340226', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1578595907397058565', '1575035128106311682', '1568483739917893633', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1578595907397058566', '1575035128106311682', '1571327917362372610', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1578595907397058567', '1575035128106311682', '1572795538091810818', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1578595907405447170', '1575035128106311682', '1572795661505011713', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1578595907405447171', '1575035128106311682', '1572795781466300418', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1578595907405447172', '1575035128106311682', '1568483871778422785', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1578595907405447173', '1575035128106311682', '1572847122557444098', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1578595907405447174', '1575035128106311682', '1572848592463863809', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1578595907405447175', '1575035128106311682', '1572848789214470145', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1578595907405447176', '1575035128106311682', '1572848935910252546', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1578595907405447177', '1575035128106311682', '1572849139547906049', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1578595907405447178', '1575035128106311682', '1572849283362201602', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1578595907413835777', '1575035128106311682', '1572849377348165633', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1578595907413835778', '1575035128106311682', '1568483976925429762', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1578595907413835779', '1575035128106311682', '1571328373371297794', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1578595907413835780', '1575035128106311682', '1572796082785099778', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1578595907413835781', '1575035128106311682', '1572796167635869698', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1578595907413835782', '1575035128106311682', '1568484152826150913', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1578595907413835783', '1575035128106311682', '1572851339917533186', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575047101204234246', '1568079457867644929', '1572050180164382722', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575047101204234247', '1568079457867644929', '1572050327518670850', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575047101204234248', '1568079457867644929', '1572050594012164098', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575047101204234249', '1568079457867644929', '1572050750451314690', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575047101204234250', '1568079457867644929', '1572050889572184065', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575047101204234251', '1568079457867644929', '1572051151435165698', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575047101212622850', '1568079457867644929', '1572051270926692354', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575047101212622851', '1568079457867644929', '1572051966845612033', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575047101212622852', '1568079457867644929', '1572052255518584833', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575047101153902593', '1568079457867644929', '1570673797857095681', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575047101153902594', '1568079457867644929', '1570674628832604162', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575047101153902595', '1568079457867644929', '1570678050017345538', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575047101153902596', '1568079457867644929', '1570678305647591425', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575047101162291202', '1568079457867644929', '1570618551243976705', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575047101162291203', '1568079457867644929', '1570674923604094978', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575047101162291204', '1568079457867644929', '1570675136129478657', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575047101162291205', '1568079457867644929', '1570675318665588738', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575047101162291206', '1568079457867644929', '1570676000210628609', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575047101162291207', '1568079457867644929', '1570618788180209665', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575047101162291208', '1568079457867644929', '1570678605024428034', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575047101162291209', '1568079457867644929', '1570678741326725121', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575047101162291210', '1568079457867644929', '1570679403540217858', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575047101162291211', '1568079457867644929', '1568482594885484546', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575047101170679809', '1568079457867644929', '1571326768206962690', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575047101170679810', '1568079457867644929', '1568482739010158593', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575047101170679811', '1568079457867644929', '1571326984775655426', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575047101170679812', '1568079457867644929', '1568483117915193345', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575047101170679813', '1568079457867644929', '1571327170130337793', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575047101170679814', '1568079457867644929', '1568483272991195137', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575047101179068417', '1568079457867644929', '1571327400036917249', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575047101179068418', '1568079457867644929', '1568483527858077698', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575047101179068419', '1568079457867644929', '1571327560720703489', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575047101179068420', '1568079457867644929', '1568483651631988738', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575047101179068421', '1568079457867644929', '1571327731676340226', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575047101179068422', '1568079457867644929', '1571328373371297794', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575047101179068423', '1568079457867644929', '1568484284103671809', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575047101179068424', '1568079457867644929', '1571328725877383169', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575047101179068425', '1568079457867644929', '1568484466941771777', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575047101179068426', '1568079457867644929', '1571328916844044290', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575047101179068427', '1568079457867644929', '1572053608865296386', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575047101179068428', '1568079457867644929', '1572053835118637057', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575047101187457026', '1568079457867644929', '1572053975959171073', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575047101187457027', '1568079457867644929', '1572054387495890945', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575047101187457028', '1568079457867644929', '1572054530337107969', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575047101187457029', '1568079457867644929', '1572054770343571457', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575047101187457030', '1568079457867644929', '1572054915005116417', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575047101187457031', '1568079457867644929', '1572055105258745858', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575047101187457032', '1568079457867644929', '1572055244186677249', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575047101187457033', '1568079457867644929', '1572055684576014338', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575047101187457034', '1568079457867644929', '1572055810799398914', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575047101187457035', '1568079457867644929', '1572055937270247426', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575047101187457036', '1568079457867644929', '1572056617812848642', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575047101195845633', '1568079457867644929', '1572056967978512385', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575047101195845634', '1568079457867644929', '1572056063363608577', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575047101195845635', '1568079457867644929', '1572059228838391810', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575047101195845636', '1568079457867644929', '1572059390486867969', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575047101195845637', '1568079457867644929', '1572059614559170562', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575047101195845638', '1568079457867644929', '1572056158939213826', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575047101195845639', '1568079457867644929', '1572057250385195010', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575047101195845640', '1568079457867644929', '1572056257467609089', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575047101195845641', '1568079457867644929', '1572058033885376514', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575047101195845642', '1568079457867644929', '1572058168476397570', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575047101195845643', '1568079457867644929', '1572048860535681025', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575047101204234242', '1568079457867644929', '1572049155793711106', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575047101204234243', '1568079457867644929', '1572049474112024577', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575047101204234244', '1568079457867644929', '1572049812999204865', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575047101204234245', '1568079457867644929', '1572050019954552834', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575294653707141127', '1575001128616714242', '1568483739917893633', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575294653715529730', '1575001128616714242', '1571327917362372610', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575294653715529731', '1575001128616714242', '1572795538091810818', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575294653715529732', '1575001128616714242', '1572795661505011713', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575294653715529733', '1575001128616714242', '1572795781466300418', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575294653715529734', '1575001128616714242', '1568483871778422785', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575294653715529735', '1575001128616714242', '1572847122557444098', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575294653715529736', '1575001128616714242', '1572848592463863809', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575294653723918338', '1575001128616714242', '1572848789214470145', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575294653723918339', '1575001128616714242', '1572848935910252546', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575294653723918340', '1575001128616714242', '1572849139547906049', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575294653723918341', '1575001128616714242', '1572849283362201602', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575294653723918342', '1575001128616714242', '1572849377348165633', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575294653723918343', '1575001128616714242', '1568483976925429762', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575294653723918344', '1575001128616714242', '1571328373371297794', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575294653723918345', '1575001128616714242', '1572796082785099778', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575294653723918346', '1575001128616714242', '1572796167635869698', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575294653732306945', '1575001128616714242', '1568484152826150913', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575294653732306946', '1575001128616714242', '1572851339917533186', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575294653732306947', '1575001128616714242', '1572851541135073282', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575294653732306948', '1575001128616714242', '1572852444684623873', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575294653732306949', '1575001128616714242', '1572852591229411329', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575294653732306950', '1575001128616714242', '1572852712595791874', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575294653732306951', '1575001128616714242', '1572855226154098689', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575294653732306952', '1575001128616714242', '1568484284103671809', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575294653732306953', '1575001128616714242', '1571328725877383169', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575294653732306954', '1575001128616714242', '1554643767427227650', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575294653740695553', '1575001128616714242', '1574943367807643650', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575294653740695554', '1575001128616714242', '1574943706833235970', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575294653740695555', '1575001128616714242', '1554642838305005569', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1578595907413835784', '1575035128106311682', '1572851541135073282', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1578595907422224386', '1575035128106311682', '1572852444684623873', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1578595907422224387', '1575035128106311682', '1572852591229411329', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1578595907422224388', '1575035128106311682', '1572852712595791874', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1578595907422224389', '1575035128106311682', '1572855226154098689', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1578595907422224390', '1575035128106311682', '1568484284103671809', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1578595907422224391', '1575035128106311682', '1571328725877383169', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1578595907422224392', '1575035128106311682', '1568484466941771777', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1578595907422224393', '1575035128106311682', '1571328916844044290', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1578595907422224394', '1575035128106311682', '1570614272458305538', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1578595907430612993', '1575035128106311682', '1570618059361169409', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1578595907430612994', '1575035128106311682', '1570618788180209665', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1578595907430612995', '1575035128106311682', '1554642838305005569', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573148331336056834', '1573148331310891010', '1568483272991195137', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573148331336056835', '1573148331310891010', '1571327400036917249', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573148331336056836', '1573148331310891010', '1568483527858077698', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573148331344445442', '1573148331310891010', '1571327560720703489', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573148331344445443', '1573148331310891010', '1568483651631988738', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573148331344445444', '1573148331310891010', '1571327731676340226', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573148331344445445', '1573148331310891010', '1554643767427227650', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573148331344445446', '1573148331310891010', '1572054770343571457', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573148331344445447', '1573148331310891010', '1572054915005116417', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573148331344445448', '1573148331310891010', '1572055105258745858', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573148331344445449', '1573148331310891010', '1572055244186677249', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575673538084986881', '1573191951284039682', '1572795781466300418', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575673538101764097', '1573191951284039682', '1572849139547906049', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575673538101764098', '1573191951284039682', '1572849283362201602', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575673538101764099', '1573191951284039682', '1572849377348165633', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575673538110152705', '1573191951284039682', '1571328373371297794', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575673538110152706', '1573191951284039682', '1572796167635869698', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1578596083188727810', '1578596083163561985', '1571326768206962690', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1578596083188727811', '1578596083163561985', '1568482739010158593', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1578596083188727812', '1578596083163561985', '1571326984775655426', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1578596083188727813', '1578596083163561985', '1568483117915193345', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1578596083188727814', '1578596083163561985', '1571327170130337793', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1578596083197116417', '1578596083163561985', '1568483272991195137', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1578596083197116418', '1578596083163561985', '1571327400036917249', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1578596083197116419', '1578596083163561985', '1568483527858077698', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1578596083197116420', '1578596083163561985', '1571327560720703489', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1578596083197116421', '1578596083163561985', '1568483651631988738', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1578596083197116422', '1578596083163561985', '1571327731676340226', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1578596083197116423', '1578596083163561985', '1568483739917893633', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575047101212622853', '1568079457867644929', '1571674879462739970', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575047101212622854', '1568079457867644929', '1571679659857809409', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575047101212622855', '1568079457867644929', '1571677684139298818', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575047101212622856', '1568079457867644929', '1571680257302859778', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575047101221011457', '1568079457867644929', '1571680589978275842', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575047101221011458', '1568079457867644929', '1570614272458305538', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575047101221011459', '1568079457867644929', '1570618270527598594', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575047101221011460', '1568079457867644929', '1570618059361169409', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575047101221011461', '1568079457867644929', '1554642838305005569', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575047101221011462', '1568079457867644929', '1568483976925429762', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575047101221011463', '1568079457867644929', '1571674389127630850', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1578596083197116424', '1578596083163561985', '1571327917362372610', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1578596083197116425', '1578596083163561985', '1572795538091810818', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1578596083197116426', '1578596083163561985', '1572795661505011713', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1578596083205505026', '1578596083163561985', '1572795781466300418', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1578596083205505027', '1578596083163561985', '1568483871778422785', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1578596083205505028', '1578596083163561985', '1572847122557444098', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1578596083205505029', '1578596083163561985', '1572848592463863809', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1578596083205505030', '1578596083163561985', '1572848789214470145', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1578596083205505031', '1578596083163561985', '1572848935910252546', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575673538110152707', '1573191951284039682', '1572041017162027010', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575673538110152708', '1573191951284039682', '1572037997279961089', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575673538110152709', '1573191951284039682', '1572036130646908929', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575673538110152710', '1573191951284039682', '1572045023032733697', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575673538110152711', '1573191951284039682', '1572045159892873218', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575673538118541314', '1573191951284039682', '1572045499287564290', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575673538118541315', '1573191951284039682', '1572045787574661122', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575673538118541316', '1573191951284039682', '1572049155793711106', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575673538118541317', '1573191951284039682', '1572049474112024577', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575673538118541318', '1573191951284039682', '1572050180164382722', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575673538118541319', '1573191951284039682', '1572050327518670850', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575673538126929921', '1573191951284039682', '1572050594012164098', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575673538126929922', '1573191951284039682', '1572050750451314690', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575673538126929923', '1573191951284039682', '1572050889572184065', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575673538126929924', '1573191951284039682', '1572051151435165698', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575673538126929925', '1573191951284039682', '1572051270926692354', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575673538126929926', '1573191951284039682', '1572051966845612033', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575673538135318529', '1573191951284039682', '1572052255518584833', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575673538135318530', '1573191951284039682', '1572789481680412674', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575673538135318531', '1573191951284039682', '1572789644633317377', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575673538135318532', '1573191951284039682', '1572789737491013633', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575673538135318533', '1573191951284039682', '1572789822597636098', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575673538135318534', '1573191951284039682', '1554642838305005569', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575673538135318535', '1573191951284039682', '1568483739917893633', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575673538143707138', '1573191951284039682', '1568483871778422785', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575673538143707139', '1573191951284039682', '1568483976925429762', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575673538143707140', '1573191951284039682', '1567426391619268610', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575673538143707141', '1573191951284039682', '1570595328229978114', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575673538143707142', '1573191951284039682', '1571772738531074049', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575673538143707143', '1573191951284039682', '1572036218219782146', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575673538152095746', '1573191951284039682', '1572048860535681025', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575673538152095747', '1573191951284039682', '1572049812999204865', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575673538152095748', '1573191951284039682', '1571674389127630850', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1578596083205505032', '1578596083163561985', '1572849139547906049', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1578596083205505033', '1578596083163561985', '1572849283362201602', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1578596083205505034', '1578596083163561985', '1572849377348165633', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1578596083213893633', '1578596083163561985', '1568483976925429762', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1578596083213893634', '1578596083163561985', '1571328373371297794', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1578596083213893635', '1578596083163561985', '1572796082785099778', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1578596083213893636', '1578596083163561985', '1572796167635869698', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1578596083213893637', '1578596083163561985', '1568484152826150913', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1578596083213893638', '1578596083163561985', '1572851339917533186', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1578596083213893639', '1578596083163561985', '1572851541135073282', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1578596083213893640', '1578596083163561985', '1572852444684623873', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1578596083213893641', '1578596083163561985', '1572852591229411329', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1578596083213893642', '1578596083163561985', '1572852712595791874', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1578596083222282241', '1578596083163561985', '1572855226154098689', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1578596083222282242', '1578596083163561985', '1568484284103671809', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1578596083222282243', '1578596083163561985', '1571328725877383169', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1578596083222282244', '1578596083163561985', '1568484466941771777', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1578596083222282245', '1578596083163561985', '1571328916844044290', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575326893090562052', '1575000277609209858', '1572045970182074370', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575326893090562053', '1575000277609209858', '1572046116772999170', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575326893090562054', '1575000277609209858', '1572046243940102145', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575326893090562055', '1575000277609209858', '1572046386718404609', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573190352142725122', '1573187668975153154', '1572040598385938433', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573190352142725123', '1573187668975153154', '1572040787188338689', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573190352142725124', '1573187668975153154', '1572041017162027010', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573190352142725125', '1573187668975153154', '1571772738531074049', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573190352142725126', '1573187668975153154', '1572037163766898689', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573190352151113730', '1573187668975153154', '1572037370143432706', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573190352151113731', '1573187668975153154', '1572037508773568514', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573190352151113732', '1573187668975153154', '1572037659424579586', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573190352151113733', '1573187668975153154', '1572037801762480129', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573190352151113734', '1573187668975153154', '1572037997279961089', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573190352151113735', '1573187668975153154', '1572038159096209409', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573190352159502337', '1573187668975153154', '1572045023032733697', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573190352159502338', '1573187668975153154', '1572045159892873218', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573190352159502339', '1573187668975153154', '1572036218219782146', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573190352159502340', '1573187668975153154', '1572773180723544066', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573190352159502341', '1573187668975153154', '1572045787574661122', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573190352159502342', '1573187668975153154', '1572045970182074370', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573190352159502343', '1573187668975153154', '1572046116772999170', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573190352167890945', '1573187668975153154', '1572046243940102145', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573190352167890946', '1573187668975153154', '1572046386718404609', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573190352167890947', '1573187668975153154', '1572795538091810818', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573190352167890948', '1573187668975153154', '1572795661505011713', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573190352167890949', '1573187668975153154', '1572795781466300418', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573190352167890950', '1573187668975153154', '1568483871778422785', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573190352176279553', '1573187668975153154', '1572847122557444098', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573190352176279554', '1573187668975153154', '1572848592463863809', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573190352176279555', '1573187668975153154', '1572848789214470145', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573190352176279556', '1573187668975153154', '1572848935910252546', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573190352176279557', '1573187668975153154', '1572849139547906049', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573190352176279558', '1573187668975153154', '1572849283362201602', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573190352176279559', '1573187668975153154', '1572849377348165633', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573190352176279560', '1573187668975153154', '1571328373371297794', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573190352184668161', '1573187668975153154', '1572796082785099778', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573190352184668162', '1573187668975153154', '1571328533291720705', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573190352184668163', '1573187668975153154', '1572852591229411329', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573190352184668164', '1573187668975153154', '1572060584970121217', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573190352184668165', '1573187668975153154', '1572060735642103810', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573190352184668166', '1573187668975153154', '1572050750451314690', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573190352184668167', '1573187668975153154', '1554643767427227650', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573190352193056769', '1573187668975153154', '1572056967978512385', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573190352193056770', '1573187668975153154', '1572056063363608577', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573190352193056771', '1573187668975153154', '1572059228838391810', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573190352193056772', '1573187668975153154', '1572059390486867969', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573190352193056773', '1573187668975153154', '1572059614559170562', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573190352193056774', '1573187668975153154', '1572056158939213826', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573190352193056775', '1573187668975153154', '1572057250385195010', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573190352193056776', '1573187668975153154', '1572058168476397570', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573190352201445378', '1573187668975153154', '1572837052390055938', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573190352201445379', '1573187668975153154', '1572837185089445889', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573190352201445380', '1573187668975153154', '1572837334729629698', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573190352201445381', '1573187668975153154', '1572837468880248833', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573190352201445382', '1573187668975153154', '1567426391619268610', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573190352201445383', '1573187668975153154', '1570595328229978114', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573190352201445384', '1573187668975153154', '1572036130646908929', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573190352209833985', '1573187668975153154', '1554642838305005569', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573190352209833986', '1573187668975153154', '1568483739917893633', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573190352209833987', '1573187668975153154', '1568483976925429762', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573190352209833988', '1573187668975153154', '1568484152826150913', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573190352209833989', '1573187668975153154', '1567427074263216130', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573190352209833990', '1573187668975153154', '1572048860535681025', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573190352209833991', '1573187668975153154', '1572050594012164098', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573190352209833992', '1573187668975153154', '1572053608865296386', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573190352218222594', '1573187668975153154', '1572055937270247426', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573190352218222595', '1573187668975153154', '1572056257467609089', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573190352218222596', '1573187668975153154', '1572832383626387458', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573185693206310913', '1573185693076287489', '1572040598385938433', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573185693223088129', '1573185693076287489', '1572037659424579586', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573185693231476737', '1573185693076287489', '1572773180723544066', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573185693231476738', '1573185693076287489', '1572795538091810818', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573185693231476739', '1573185693076287489', '1572848935910252546', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573185693239865346', '1573185693076287489', '1572796082785099778', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573185693239865347', '1573185693076287489', '1572050750451314690', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573185693239865348', '1573185693076287489', '1554643767427227650', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573240958328885250', '1573154771446579202', '1567426391619268610', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573240958328885251', '1573154771446579202', '1570586436246818818', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573240958328885252', '1573154771446579202', '1571746737381965825', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573240958328885253', '1573154771446579202', '1571746139102248962', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573240958328885254', '1573154771446579202', '1571747466465247233', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573240958328885255', '1573154771446579202', '1570595328229978114', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573240958337273857', '1573154771446579202', '1572039843977449473', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573240958337273858', '1573154771446579202', '1572040598385938433', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573240958337273859', '1573154771446579202', '1572040787188338689', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573240958337273860', '1573154771446579202', '1572041017162027010', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573240958337273861', '1573154771446579202', '1571772738531074049', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573240958337273862', '1573154771446579202', '1572037163766898689', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573240958345662466', '1573154771446579202', '1572037370143432706', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573240958345662467', '1573154771446579202', '1572037508773568514', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573240958345662468', '1573154771446579202', '1572037659424579586', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573240958345662469', '1573154771446579202', '1572037801762480129', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573240958345662470', '1573154771446579202', '1572037997279961089', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573240958345662471', '1573154771446579202', '1572038159096209409', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573240958345662472', '1573154771446579202', '1572036130646908929', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573240958345662473', '1573154771446579202', '1572045023032733697', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573240958345662474', '1573154771446579202', '1572045159892873218', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573240958354051073', '1573154771446579202', '1572045499287564290', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573240958354051074', '1573154771446579202', '1572036218219782146', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573240958354051075', '1573154771446579202', '1572773180723544066', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573240958354051076', '1573154771446579202', '1572045787574661122', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573240958354051077', '1573154771446579202', '1572045970182074370', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573240958354051078', '1573154771446579202', '1572046243940102145', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573240958354051079', '1573154771446579202', '1572046116772999170', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573240958354051080', '1573154771446579202', '1572046386718404609', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573240958354051081', '1573154771446579202', '1572036361681756161', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573240958362439682', '1573154771446579202', '1572046656248573954', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573240958362439683', '1573154771446579202', '1568482594885484546', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573240958362439684', '1573154771446579202', '1571326768206962690', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573240958362439685', '1573154771446579202', '1568482739010158593', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573240958362439686', '1573154771446579202', '1571326984775655426', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573240958362439687', '1573154771446579202', '1568483117915193345', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573240958362439688', '1573154771446579202', '1571327170130337793', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573240958362439689', '1573154771446579202', '1568483272991195137', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573240958362439690', '1573154771446579202', '1571327400036917249', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573240958370828289', '1573154771446579202', '1568483527858077698', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573240958370828290', '1573154771446579202', '1571327560720703489', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573240958370828291', '1573154771446579202', '1568483651631988738', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573240958370828292', '1573154771446579202', '1571327731676340226', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573240958370828293', '1573154771446579202', '1568483739917893633', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573240958370828294', '1573154771446579202', '1571327917362372610', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573240958370828295', '1573154771446579202', '1572795538091810818', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573240958370828296', '1573154771446579202', '1572795661505011713', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573240958370828297', '1573154771446579202', '1572795781466300418', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573240958370828298', '1573154771446579202', '1568483871778422785', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573240958379216898', '1573154771446579202', '1572847122557444098', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573244037841408001', '1573155845951766530', '1571746139102248962', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573244037841408002', '1573155845951766530', '1571747466465247233', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573244037841408003', '1573155845951766530', '1570595328229978114', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573244037841408004', '1573155845951766530', '1572039843977449473', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573244037841408005', '1573155845951766530', '1572040598385938433', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573244037841408006', '1573155845951766530', '1572040787188338689', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573244037841408007', '1573155845951766530', '1572041017162027010', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573240958379216899', '1573154771446579202', '1572848592463863809', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573240958379216900', '1573154771446579202', '1572848789214470145', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573240958379216901', '1573154771446579202', '1572848935910252546', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573240958379216902', '1573154771446579202', '1572849283362201602', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573240958379216903', '1573154771446579202', '1572849139547906049', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573240958379216904', '1573154771446579202', '1572849377348165633', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573240958379216905', '1573154771446579202', '1568483976925429762', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573240958379216906', '1573154771446579202', '1571328373371297794', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573240958379216907', '1573154771446579202', '1572796082785099778', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573240958387605506', '1573154771446579202', '1572796167635869698', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573240958387605507', '1573154771446579202', '1568484152826150913', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573240958387605508', '1573154771446579202', '1572851339917533186', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573240958387605509', '1573154771446579202', '1572851541135073282', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573240958387605510', '1573154771446579202', '1572852444684623873', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573240958387605511', '1573154771446579202', '1572852591229411329', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573240958387605512', '1573154771446579202', '1572852712595791874', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573240958387605513', '1573154771446579202', '1572855226154098689', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573240958387605514', '1573154771446579202', '1568484284103671809', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573240958387605515', '1573154771446579202', '1571328725877383169', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573240958387605516', '1573154771446579202', '1567427074263216130', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573240958387605517', '1573154771446579202', '1572060584970121217', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573240958395994113', '1573154771446579202', '1572060735642103810', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573240958395994114', '1573154771446579202', '1572060891699572737', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573240958395994115', '1573154771446579202', '1572061017499332609', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573240958395994116', '1573154771446579202', '1572061200400347138', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573240958395994117', '1573154771446579202', '1572061335876366337', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573240958395994118', '1573154771446579202', '1572061970663305218', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573240958395994119', '1573154771446579202', '1572062101240377346', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573240958395994120', '1573154771446579202', '1572062283721961473', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573240958395994121', '1573154771446579202', '1572062580129230849', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573240958395994122', '1573154771446579202', '1572061571604639745', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573240958404382721', '1573154771446579202', '1572061726387040257', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573240958404382722', '1573154771446579202', '1572048860535681025', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573240958404382723', '1573154771446579202', '1572049155793711106', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573240958404382724', '1573154771446579202', '1572049474112024577', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573240958404382725', '1573154771446579202', '1572049812999204865', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573240958404382726', '1573154771446579202', '1572050019954552834', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573240958404382727', '1573154771446579202', '1572050180164382722', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573240958404382728', '1573154771446579202', '1572050327518670850', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573240958404382729', '1573154771446579202', '1572050594012164098', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573240958404382730', '1573154771446579202', '1572050750451314690', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573240958412771329', '1573154771446579202', '1572050889572184065', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573240958412771330', '1573154771446579202', '1572051151435165698', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573240958412771331', '1573154771446579202', '1572051270926692354', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573240958412771332', '1573154771446579202', '1572051966845612033', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573240958412771333', '1573154771446579202', '1572052255518584833', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573240958412771334', '1573154771446579202', '1572053608865296386', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573240958412771335', '1573154771446579202', '1572053835118637057', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573240958412771336', '1573154771446579202', '1572053975959171073', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573240958412771337', '1573154771446579202', '1572054387495890945', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573240958421159937', '1573154771446579202', '1572054530337107969', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573240958421159938', '1573154771446579202', '1572054770343571457', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573240958421159939', '1573154771446579202', '1572054915005116417', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573240958421159940', '1573154771446579202', '1572055105258745858', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573240958421159941', '1573154771446579202', '1572055244186677249', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573240958421159942', '1573154771446579202', '1572055684576014338', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573240958421159943', '1573154771446579202', '1572055810799398914', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573240958421159944', '1573154771446579202', '1572055937270247426', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573240958421159945', '1573154771446579202', '1572056617812848642', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573240958429548545', '1573154771446579202', '1572056967978512385', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573240958429548546', '1573154771446579202', '1572056063363608577', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573240958429548547', '1573154771446579202', '1572059228838391810', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573240958429548548', '1573154771446579202', '1572059390486867969', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573240958429548549', '1573154771446579202', '1572059614559170562', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573240958429548550', '1573154771446579202', '1572056158939213826', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573240958429548551', '1573154771446579202', '1572057250385195010', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573240958429548552', '1573154771446579202', '1572056257467609089', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573240958429548553', '1573154771446579202', '1572058033885376514', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573240958429548554', '1573154771446579202', '1572058168476397570', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573240958437937153', '1573154771446579202', '1554643767427227650', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573240958437937154', '1573154771446579202', '1572779186476138498', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573240958437937155', '1573154771446579202', '1572789021925974017', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573240958437937156', '1573154771446579202', '1572779532166479873', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573240958437937157', '1573154771446579202', '1572789278025981954', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573240958437937158', '1573154771446579202', '1572779702211952641', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573240958437937159', '1573154771446579202', '1572780446189207554', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573240958437937160', '1573154771446579202', '1572780574992089089', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573240958437937161', '1573154771446579202', '1572789481680412674', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573240958446325762', '1573154771446579202', '1572789644633317377', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573240958446325763', '1573154771446579202', '1572789737491013633', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573240958446325764', '1573154771446579202', '1572789822597636098', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573240958446325765', '1573154771446579202', '1573137161678077954', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573240958446325766', '1573154771446579202', '1573140954457096193', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573240958446325767', '1573154771446579202', '1572832383626387458', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573240958446325768', '1573154771446579202', '1572832711356719105', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573240958446325769', '1573154771446579202', '1572836695614169089', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573240958454714370', '1573154771446579202', '1572836841324290050', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573240958454714371', '1573154771446579202', '1572836939831713793', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573240958454714372', '1573154771446579202', '1572837052390055938', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573240958454714373', '1573154771446579202', '1572837185089445889', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573240958454714374', '1573154771446579202', '1572837334729629698', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573240958454714375', '1573154771446579202', '1572837468880248833', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573240958454714376', '1573154771446579202', '1572837564405522433', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573240958454714377', '1573154771446579202', '1554642838305005569', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573240958454714378', '1573154771446579202', '1571674389127630850', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573244037833019394', '1573155845951766530', '1570586436246818818', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573244037833019395', '1573155845951766530', '1571746737381965825', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573244037841408008', '1573155845951766530', '1571772738531074049', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573244037841408009', '1573155845951766530', '1572037163766898689', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573244037841408010', '1573155845951766530', '1572037370143432706', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573244037849796609', '1573155845951766530', '1572037508773568514', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573244037849796610', '1573155845951766530', '1572037659424579586', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573244037849796611', '1573155845951766530', '1572037801762480129', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573244037849796612', '1573155845951766530', '1572037997279961089', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573244037849796613', '1573155845951766530', '1572038159096209409', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573244037849796614', '1573155845951766530', '1572036130646908929', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573244037849796615', '1573155845951766530', '1572045023032733697', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573244037849796616', '1573155845951766530', '1572045159892873218', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573244037849796617', '1573155845951766530', '1572045499287564290', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573244037849796618', '1573155845951766530', '1572036218219782146', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573244037849796619', '1573155845951766530', '1572773180723544066', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573244037858185217', '1573155845951766530', '1572045787574661122', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573244037858185218', '1573155845951766530', '1572045970182074370', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573244037858185219', '1573155845951766530', '1572046243940102145', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573244037858185220', '1573155845951766530', '1572046116772999170', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573244037858185221', '1573155845951766530', '1572046386718404609', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573244037858185222', '1573155845951766530', '1568482739010158593', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573244037858185223', '1573155845951766530', '1571326984775655426', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573244037858185224', '1573155845951766530', '1568483117915193345', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573244037858185225', '1573155845951766530', '1571327170130337793', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573244037858185226', '1573155845951766530', '1568483272991195137', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573244037858185227', '1573155845951766530', '1571327400036917249', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573244037866573826', '1573155845951766530', '1568483739917893633', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573244037866573827', '1573155845951766530', '1571327917362372610', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573244037866573828', '1573155845951766530', '1572795538091810818', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573244037866573829', '1573155845951766530', '1572795661505011713', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573244037866573830', '1573155845951766530', '1572795781466300418', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573244037866573831', '1573155845951766530', '1568483871778422785', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573244037866573832', '1573155845951766530', '1572847122557444098', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573244037866573833', '1573155845951766530', '1572848592463863809', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573244037866573834', '1573155845951766530', '1572848789214470145', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573244037866573835', '1573155845951766530', '1572848935910252546', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573244037874962433', '1573155845951766530', '1572849283362201602', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573244037874962434', '1573155845951766530', '1572849139547906049', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573244037874962435', '1573155845951766530', '1572849377348165633', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573244037874962436', '1573155845951766530', '1568483976925429762', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573244037874962437', '1573155845951766530', '1571328373371297794', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573244037874962438', '1573155845951766530', '1572796082785099778', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573244037874962439', '1573155845951766530', '1572796167635869698', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573244037874962440', '1573155845951766530', '1572851339917533186', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573244037874962441', '1573155845951766530', '1572851541135073282', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573244037874962442', '1573155845951766530', '1572852591229411329', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573244037874962443', '1573155845951766530', '1572852712595791874', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573244037874962444', '1573155845951766530', '1572855226154098689', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573244037883351041', '1573155845951766530', '1572060584970121217', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573244037883351042', '1573155845951766530', '1572060735642103810', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573244037883351043', '1573155845951766530', '1572060891699572737', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573244037883351044', '1573155845951766530', '1572061017499332609', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573244037883351045', '1573155845951766530', '1572061200400347138', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573244037883351046', '1573155845951766530', '1572061335876366337', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573244037883351047', '1573155845951766530', '1572061970663305218', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573244037883351048', '1573155845951766530', '1572062101240377346', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573244037883351049', '1573155845951766530', '1572061571604639745', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573244037883351050', '1573155845951766530', '1572061726387040257', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573244037891739649', '1573155845951766530', '1572048860535681025', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573244037891739650', '1573155845951766530', '1572049155793711106', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573244037891739651', '1573155845951766530', '1572049474112024577', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573244037891739652', '1573155845951766530', '1572049812999204865', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573244037891739653', '1573155845951766530', '1572050019954552834', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573244037891739654', '1573155845951766530', '1572050180164382722', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573244037891739655', '1573155845951766530', '1572050327518670850', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573244037891739656', '1573155845951766530', '1572050594012164098', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573244037891739657', '1573155845951766530', '1572050750451314690', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573244037891739658', '1573155845951766530', '1572050889572184065', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573244037891739659', '1573155845951766530', '1572051151435165698', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573244037891739660', '1573155845951766530', '1572051270926692354', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573244037900128258', '1573155845951766530', '1572051966845612033', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573244037900128259', '1573155845951766530', '1572052255518584833', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573244037900128260', '1573155845951766530', '1572053835118637057', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573244037900128261', '1573155845951766530', '1572053975959171073', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573244037900128262', '1573155845951766530', '1572054387495890945', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573244037900128263', '1573155845951766530', '1572054530337107969', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573244037900128264', '1573155845951766530', '1572054770343571457', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573244037900128265', '1573155845951766530', '1572054915005116417', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573244037900128266', '1573155845951766530', '1572055937270247426', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573244037900128267', '1573155845951766530', '1572056617812848642', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573244037900128268', '1573155845951766530', '1572056967978512385', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573244037908516866', '1573155845951766530', '1572056063363608577', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573244037908516867', '1573155845951766530', '1572059228838391810', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573244037908516868', '1573155845951766530', '1572059390486867969', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573244037908516869', '1573155845951766530', '1572059614559170562', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573244037908516870', '1573155845951766530', '1572056158939213826', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573244037908516871', '1573155845951766530', '1572057250385195010', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573244037908516872', '1573155845951766530', '1572056257467609089', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573244037908516873', '1573155845951766530', '1572058033885376514', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573244037908516874', '1573155845951766530', '1572058168476397570', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573244037908516875', '1573155845951766530', '1554643767427227650', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573244037916905474', '1573155845951766530', '1572779702211952641', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573244037916905475', '1573155845951766530', '1572780446189207554', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573244037916905476', '1573155845951766530', '1572780574992089089', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573244037916905477', '1573155845951766530', '1572789481680412674', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573244037916905478', '1573155845951766530', '1572789644633317377', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573244037916905479', '1573155845951766530', '1572789737491013633', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573244037916905480', '1573155845951766530', '1572789822597636098', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573244037916905481', '1573155845951766530', '1573137161678077954', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573244037916905482', '1573155845951766530', '1573140954457096193', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573244037916905483', '1573155845951766530', '1572832383626387458', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573244037925294081', '1573155845951766530', '1572832711356719105', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573244037925294082', '1573155845951766530', '1572836695614169089', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573244037925294083', '1573155845951766530', '1572836841324290050', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573244037925294084', '1573155845951766530', '1572836939831713793', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573244037925294085', '1573155845951766530', '1572837052390055938', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573244037925294086', '1573155845951766530', '1572837185089445889', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573244037925294087', '1573155845951766530', '1572837334729629698', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573244037925294088', '1573155845951766530', '1572837468880248833', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573244037925294089', '1573155845951766530', '1572837564405522433', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573244037925294090', '1573155845951766530', '1567426391619268610', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573244037925294091', '1573155845951766530', '1554642838305005569', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573244037925294092', '1573155845951766530', '1568484152826150913', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573244037933682689', '1573155845951766530', '1567427074263216130', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573244037933682690', '1573155845951766530', '1572053608865296386', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573244037933682691', '1573155845951766530', '1571674389127630850', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943776769060876', '1', '1572038159096209409', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943776769060877', '1', '1572036130646908929', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943776777449473', '1', '1572045023032733697', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943776777449474', '1', '1572045159892873218', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943776777449475', '1', '1572045499287564290', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943776777449476', '1', '1572036218219782146', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943776777449477', '1', '1572773180723544066', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943776777449478', '1', '1572045787574661122', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943776777449479', '1', '1572045970182074370', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943776777449480', '1', '1572046116772999170', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943776777449481', '1', '1572046243940102145', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943776777449482', '1', '1572046386718404609', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943776777449483', '1', '1572036361681756161', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943776785838081', '1', '1572046656248573954', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943776785838082', '1', '1567427074263216130', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943776785838083', '1', '1572060584970121217', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943776785838084', '1', '1572060735642103810', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943776785838085', '1', '1572060891699572737', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943776785838086', '1', '1572061017499332609', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943776785838087', '1', '1572061200400347138', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943776785838088', '1', '1572061335876366337', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943776785838089', '1', '1572061970663305218', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943776785838090', '1', '1572062101240377346', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943776785838091', '1', '1572062283721961473', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943776790032386', '1', '1572062580129230849', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943776790032387', '1', '1572061571604639745', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943776790032388', '1', '1572061726387040257', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943776790032389', '1', '1572048860535681025', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943776790032390', '1', '1572049155793711106', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943776790032391', '1', '1572049474112024577', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943776790032392', '1', '1572049812999204865', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943776790032393', '1', '1572050019954552834', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943776790032394', '1', '1572050180164382722', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943776790032395', '1', '1572050327518670850', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943776790032396', '1', '1572050594012164098', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943776790032397', '1', '1572050750451314690', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943776790032398', '1', '1572050889572184065', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943776798420993', '1', '1572051151435165698', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943776798420994', '1', '1572051270926692354', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943776798420995', '1', '1572051966845612033', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943776798420996', '1', '1572052255518584833', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943776798420997', '1', '1554643767427227650', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943776798420998', '1', '1574943367807643650', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943776798420999', '1', '1574943706833235970', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943776798421000', '1', '1571674389127630850', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943776798421001', '1', '1571674879462739970', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943776798421002', '1', '1571679659857809409', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943776798421003', '1', '1571677684139298818', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943776798421004', '1', '1571680257302859778', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943776806809602', '1', '1571680589978275842', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943776806809603', '1', '1571678995383586817', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943776806809604', '1', '1571680876851892225', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943776806809605', '1', '1572779186476138498', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943776806809606', '1', '1572789021925974017', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943776676786178', '1', '1570614272458305538', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943776676786179', '1', '1570618270527598594', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943776676786180', '1', '1570673797857095681', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943776685174785', '1', '1572776211745718274', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943776685174786', '1', '1570674628832604162', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943776685174787', '1', '1570618059361169409', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943776685174788', '1', '1572777354345431041', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943776685174789', '1', '1570678050017345538', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943776685174790', '1', '1570678305647591425', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943776685174791', '1', '1570618551243976705', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943776685174792', '1', '1570674923604094978', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943776693563394', '1', '1570675136129478657', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943776693563395', '1', '1570675318665588738', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943776693563396', '1', '1570676000210628609', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943776693563397', '1', '1570618788180209665', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943776693563398', '1', '1570678605024428034', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943776693563399', '1', '1570678741326725121', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943776693563400', '1', '1570679403540217858', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943776701952002', '1', '1554642838305005569', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943776701952003', '1', '1568482594885484546', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943776701952004', '1', '1571326768206962690', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943776701952005', '1', '1568482739010158593', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943776701952006', '1', '1571326984775655426', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943776701952007', '1', '1568483117915193345', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943776710340610', '1', '1571327170130337793', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943776710340611', '1', '1568483272991195137', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943776710340612', '1', '1571327400036917249', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943776710340613', '1', '1568483527858077698', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943776710340614', '1', '1571327560720703489', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943776710340615', '1', '1568483651631988738', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943776718729218', '1', '1571327731676340226', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943776718729219', '1', '1568483739917893633', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943776718729220', '1', '1571327917362372610', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943776718729221', '1', '1572795538091810818', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943776718729222', '1', '1572795661505011713', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943776718729223', '1', '1572795781466300418', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943776718729224', '1', '1568483871778422785', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943776718729225', '1', '1572847122557444098', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943776727117826', '1', '1572848592463863809', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943776727117827', '1', '1572848789214470145', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943776727117828', '1', '1572848935910252546', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943776727117829', '1', '1572849139547906049', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943776727117830', '1', '1572849283362201602', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943776727117831', '1', '1572849377348165633', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943776735506433', '1', '1568483976925429762', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943776735506434', '1', '1571328373371297794', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943776735506435', '1', '1572796082785099778', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943776735506436', '1', '1572796167635869698', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943776735506437', '1', '1568484152826150913', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943776735506438', '1', '1572851339917533186', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943776735506439', '1', '1572851541135073282', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943776735506440', '1', '1572852444684623873', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943776735506441', '1', '1572852591229411329', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943776743895042', '1', '1572852712595791874', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943776743895043', '1', '1572855226154098689', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943776743895044', '1', '1568484284103671809', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943776743895045', '1', '1571328725877383169', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943776743895046', '1', '1568484466941771777', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943776743895047', '1', '1571328916844044290', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943776743895048', '1', '1572053608865296386', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943776743895049', '1', '1572053835118637057', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943776743895050', '1', '1572053975959171073', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943776743895051', '1', '1572054387495890945', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943776752283650', '1', '1572054530337107969', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943776752283651', '1', '1572054770343571457', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943776752283652', '1', '1572054915005116417', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943776752283653', '1', '1572055105258745858', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943776752283654', '1', '1572055244186677249', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943776752283655', '1', '1572055684576014338', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943776752283656', '1', '1572055810799398914', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943776752283657', '1', '1572055937270247426', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943776752283658', '1', '1572056617812848642', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943776752283659', '1', '1572056967978512385', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943776752283660', '1', '1572056063363608577', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943776752283661', '1', '1572059228838391810', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943776752283662', '1', '1572059390486867969', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943776760672257', '1', '1572059614559170562', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943776760672258', '1', '1572056158939213826', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943776760672259', '1', '1572057250385195010', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943776760672260', '1', '1572056257467609089', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943776760672261', '1', '1572058033885376514', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943776760672262', '1', '1572058168476397570', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943776760672263', '1', '1567426391619268610', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943776760672264', '1', '1570586436246818818', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943776760672265', '1', '1571746737381965825', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943776760672266', '1', '1571746139102248962', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943776760672267', '1', '1571747466465247233', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943776760672268', '1', '1570595328229978114', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943776769060865', '1', '1572039843977449473', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943776769060866', '1', '1572040598385938433', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943776769060867', '1', '1572040787188338689', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943776769060868', '1', '1572041017162027010', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943776769060869', '1', '1571772738531074049', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943776769060870', '1', '1572037163766898689', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943776769060871', '1', '1572037370143432706', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943776769060872', '1', '1572037508773568514', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943776769060873', '1', '1572037659424579586', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943776769060874', '1', '1572037801762480129', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943776769060875', '1', '1572037997279961089', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943776806809607', '1', '1572779532166479873', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943776806809608', '1', '1572789278025981954', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943776806809609', '1', '1572779702211952641', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943776806809610', '1', '1572780446189207554', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943776806809611', '1', '1572780574992089089', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943776806809612', '1', '1572789481680412674', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943776806809613', '1', '1572789644633317377', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943776806809614', '1', '1572789737491013633', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943776806809615', '1', '1572789822597636098', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943776815198209', '1', '1573137161678077954', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943776815198210', '1', '1573140954457096193', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943795395964929', '2', '1570618270527598594', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943795395964930', '2', '1570673797857095681', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943795395964931', '2', '1572776211745718274', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943795404353537', '2', '1570674628832604162', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574646893400031233', '1573187298542612481', '1568483527858077698', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574646893408419842', '1573187298542612481', '1571327560720703489', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574646893408419843', '1573187298542612481', '1568483651631988738', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574646893408419844', '1573187298542612481', '1571327731676340226', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943795454685190', '2', '1572056617812848642', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943795454685191', '2', '1572056967978512385', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943795454685192', '2', '1572056063363608577', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943795404353538', '2', '1572777354345431041', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943795404353539', '2', '1570678741326725121', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943795404353540', '2', '1568482594885484546', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943795404353541', '2', '1571326768206962690', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943795404353542', '2', '1568482739010158593', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943795404353543', '2', '1571326984775655426', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943795404353544', '2', '1568483117915193345', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943795404353545', '2', '1571327170130337793', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943795404353546', '2', '1568483272991195137', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943795412742145', '2', '1571327400036917249', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943795412742146', '2', '1568483527858077698', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943795412742147', '2', '1571327560720703489', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943795412742148', '2', '1568483651631988738', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943795412742149', '2', '1571327731676340226', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943795412742150', '2', '1568483739917893633', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573198943079743490', '1573198943016828929', '1572045159892873218', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573195489355624449', '1573149437248192513', '1568483272991195137', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573195489355624450', '1573149437248192513', '1571327400036917249', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573195489355624451', '1573149437248192513', '1568483527858077698', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573195489364013058', '1573149437248192513', '1571327560720703489', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573195489364013059', '1573149437248192513', '1568483651631988738', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573195489364013060', '1573149437248192513', '1571327731676340226', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573195489364013061', '1573149437248192513', '1572061200400347138', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573195489364013062', '1573149437248192513', '1572061335876366337', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573195489364013063', '1573149437248192513', '1572061970663305218', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573195489364013064', '1573149437248192513', '1572062101240377346', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573195489364013065', '1573149437248192513', '1572061571604639745', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573195489372401665', '1573149437248192513', '1572061726387040257', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573195489372401666', '1573149437248192513', '1554643767427227650', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573195489372401667', '1573149437248192513', '1572054770343571457', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573195489372401668', '1573149437248192513', '1572054915005116417', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573195489372401669', '1573149437248192513', '1572055105258745858', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573195489372401670', '1573149437248192513', '1572055244186677249', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573195489372401671', '1573149437248192513', '1572055684576014338', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573195489372401672', '1573149437248192513', '1572055810799398914', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573195489380790273', '1573149437248192513', '1554642838305005569', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573195489380790274', '1573149437248192513', '1567427074263216130', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573195489380790275', '1573149437248192513', '1572053608865296386', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943795412742151', '2', '1571327917362372610', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943795421130754', '2', '1572795538091810818', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943795421130755', '2', '1572795661505011713', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943795421130756', '2', '1572795781466300418', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943795421130757', '2', '1568483871778422785', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943795421130758', '2', '1572847122557444098', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943795421130759', '2', '1572848592463863809', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943795421130760', '2', '1572848789214470145', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943795421130761', '2', '1572848935910252546', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943795421130762', '2', '1572849139547906049', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943795421130763', '2', '1572849283362201602', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943795429519361', '2', '1572849377348165633', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943795429519362', '2', '1568483976925429762', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943795429519363', '2', '1571328373371297794', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943795429519364', '2', '1572796082785099778', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943795429519365', '2', '1572796167635869698', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943795429519366', '2', '1568484152826150913', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943795429519367', '2', '1572851339917533186', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943795437907970', '2', '1572851541135073282', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943795437907971', '2', '1572852444684623873', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943795437907972', '2', '1572852591229411329', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943795437907973', '2', '1572852712595791874', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943795437907974', '2', '1572855226154098689', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943795437907975', '2', '1568484284103671809', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943795437907976', '2', '1571328725877383169', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943795437907977', '2', '1572053608865296386', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943795446296577', '2', '1572053835118637057', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943795446296578', '2', '1572053975959171073', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943795446296579', '2', '1572054387495890945', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943795446296580', '2', '1572054530337107969', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943795446296581', '2', '1572054770343571457', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943795446296582', '2', '1572054915005116417', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943795446296583', '2', '1572055105258745858', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943795454685186', '2', '1572055244186677249', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943795454685187', '2', '1572055684576014338', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943795454685188', '2', '1572055810799398914', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943795454685189', '2', '1572055937270247426', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943795463073793', '2', '1572059228838391810', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573195466987401217', '1573190756435881985', '1572832383626387458', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573195466995789825', '1573190756435881985', '1572832711356719105', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573195466995789826', '1573190756435881985', '1572836695614169089', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573195466995789827', '1573190756435881985', '1572836841324290050', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573195466995789828', '1573190756435881985', '1572836939831713793', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573195466995789829', '1573190756435881985', '1572837052390055938', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573195466995789830', '1573190756435881985', '1572837185089445889', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573195466995789831', '1573190756435881985', '1572837334729629698', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573195467004178434', '1573190756435881985', '1572837468880248833', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573195467004178435', '1573190756435881985', '1572837564405522433', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573198943088132097', '1573198943016828929', '1572795781466300418', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573198943088132098', '1573198943016828929', '1572849139547906049', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573198943096520705', '1573198943016828929', '1572849283362201602', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573198943096520706', '1573198943016828929', '1572849377348165633', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573198943096520707', '1573198943016828929', '1571328373371297794', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573198943096520708', '1573198943016828929', '1572049155793711106', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573198943096520709', '1573198943016828929', '1572049474112024577', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573198943104909313', '1573198943016828929', '1572050019954552834', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573198943104909314', '1573198943016828929', '1572050594012164098', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573198943104909315', '1573198943016828929', '1572050750451314690', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573198943104909316', '1573198943016828929', '1572050889572184065', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573198943104909317', '1573198943016828929', '1572051151435165698', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573198943104909318', '1573198943016828929', '1572051270926692354', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573198943104909319', '1573198943016828929', '1572051966845612033', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573198943113297922', '1573198943016828929', '1572052255518584833', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573198943113297923', '1573198943016828929', '1554643767427227650', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573198943113297924', '1573198943016828929', '1572789481680412674', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573198943121686529', '1573198943016828929', '1572789644633317377', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573198943121686530', '1573198943016828929', '1572789737491013633', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573198943121686531', '1573198943016828929', '1572789822597636098', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573199276094898178', '1573199276069732353', '1572832383626387458', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573199276094898179', '1573199276069732353', '1572832711356719105', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573199276094898180', '1573199276069732353', '1572836695614169089', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573199276103286785', '1573199276069732353', '1572836841324290050', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573199276103286786', '1573199276069732353', '1572836939831713793', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573199276103286787', '1573199276069732353', '1572837052390055938', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573199276103286788', '1573199276069732353', '1572837185089445889', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573199276103286789', '1573199276069732353', '1572837334729629698', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573199276103286790', '1573199276069732353', '1572837468880248833', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1573199276103286791', '1573199276069732353', '1572837564405522433', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943795555348486', '2', '1571674389127630850', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943795463073794', '2', '1572059390486867969', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943795463073795', '2', '1572059614559170562', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943795467268097', '2', '1572056158939213826', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943795467268098', '2', '1572057250385195010', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943795467268099', '2', '1572056257467609089', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943795467268100', '2', '1572058033885376514', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943795467268101', '2', '1572058168476397570', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943795467268102', '2', '1567426391619268610', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943795467268103', '2', '1570586436246818818', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943795467268104', '2', '1571746737381965825', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943795475656705', '2', '1571746139102248962', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943795475656706', '2', '1571747466465247233', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943795475656707', '2', '1570595328229978114', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943795475656708', '2', '1572039843977449473', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943795475656709', '2', '1572040598385938433', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943795475656710', '2', '1572040787188338689', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943795484045313', '2', '1572041017162027010', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943795484045314', '2', '1571772738531074049', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943795484045315', '2', '1572037163766898689', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943795484045316', '2', '1572037370143432706', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943795484045317', '2', '1572037508773568514', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943795484045318', '2', '1572037659424579586', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943795484045319', '2', '1572037801762480129', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943795492433921', '2', '1572037997279961089', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943795492433922', '2', '1572038159096209409', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943795492433923', '2', '1572036130646908929', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943795492433924', '2', '1572045023032733697', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943795492433925', '2', '1572045159892873218', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943795492433926', '2', '1572045499287564290', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943795492433927', '2', '1572036218219782146', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943795500822530', '2', '1572773180723544066', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943795500822531', '2', '1572045787574661122', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943795500822532', '2', '1572045970182074370', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943795500822533', '2', '1572046116772999170', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943795500822534', '2', '1572046243940102145', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943795500822535', '2', '1572046386718404609', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943795500822536', '2', '1572036361681756161', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943795509211138', '2', '1572046656248573954', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943795509211139', '2', '1567427074263216130', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943795509211140', '2', '1572060584970121217', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943795509211141', '2', '1572060735642103810', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943795509211142', '2', '1572060891699572737', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943795509211143', '2', '1572061017499332609', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943795517599746', '2', '1572061200400347138', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943795517599747', '2', '1572061335876366337', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943795517599748', '2', '1572061970663305218', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943795517599749', '2', '1572062101240377346', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943795517599750', '2', '1572062283721961473', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943795517599751', '2', '1572062580129230849', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943795525988353', '2', '1572061571604639745', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943795525988354', '2', '1572061726387040257', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943795525988355', '2', '1572048860535681025', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943795525988356', '2', '1572049155793711106', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943795525988357', '2', '1572049474112024577', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943795525988358', '2', '1572049812999204865', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943795525988359', '2', '1572050019954552834', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943795534376961', '2', '1572050180164382722', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943795534376962', '2', '1572050327518670850', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943795534376963', '2', '1572050594012164098', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943795534376964', '2', '1572050750451314690', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943795534376965', '2', '1572050889572184065', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943795534376966', '2', '1572051151435165698', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943795534376967', '2', '1572051270926692354', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943795542765569', '2', '1572051966845612033', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943795542765570', '2', '1572052255518584833', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943795542765571', '2', '1554643767427227650', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943795542765572', '2', '1574943367807643650', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943795542765573', '2', '1574943706833235970', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943795542765574', '2', '1572779186476138498', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943795542765575', '2', '1572789021925974017', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943795542765576', '2', '1572779532166479873', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943795546959874', '2', '1572789278025981954', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943795546959875', '2', '1572779702211952641', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943795546959876', '2', '1572780446189207554', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943795546959877', '2', '1572780574992089089', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943795546959878', '2', '1572789481680412674', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943795546959879', '2', '1572789644633317377', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943795546959880', '2', '1572789737491013633', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943795546959881', '2', '1572789822597636098', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943795546959882', '2', '1573137161678077954', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943795546959883', '2', '1573140954457096193', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943795555348482', '2', '1570614272458305538', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943795555348483', '2', '1570618059361169409', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943795555348484', '2', '1570618788180209665', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574943795555348485', '2', '1554642838305005569', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574646893408419845', '1573187298542612481', '1572796167635869698', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574646893408419846', '1573187298542612481', '1572851541135073282', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574646893408419847', '1573187298542612481', '1572855226154098689', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574646893408419848', '1573187298542612481', '1572053835118637057', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574646893416808450', '1573187298542612481', '1572053975959171073', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574646893416808451', '1573187298542612481', '1572054770343571457', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574646893416808452', '1573187298542612481', '1572054915005116417', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574646893416808453', '1573187298542612481', '1572055105258745858', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574646893416808454', '1573187298542612481', '1572055244186677249', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574646893416808455', '1573187298542612481', '1572055684576014338', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574646893425197057', '1573187298542612481', '1572055810799398914', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574646893425197058', '1573187298542612481', '1572058033885376514', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574646893425197059', '1573187298542612481', '1554643767427227650', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574646893425197060', '1573187298542612481', '1554642838305005569', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574646893425197061', '1573187298542612481', '1568483976925429762', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574646893433585666', '1573187298542612481', '1568484152826150913', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574646893433585667', '1573187298542612481', '1572053608865296386', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574646893433585668', '1573187298542612481', '1572056257467609089', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574950055734521857', '1574298022484459521', '1572789737491013633', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574950055734521858', '1574298022484459521', '1572789822597636098', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574950055734521859', '1574298022484459521', '1573137161678077954', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574950055734521860', '1574298022484459521', '1573140954457096193', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574950055734521861', '1574298022484459521', '1572832383626387458', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574950055734521862', '1574298022484459521', '1572832711356719105', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574950055734521863', '1574298022484459521', '1572836695614169089', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574950055734521864', '1574298022484459521', '1572836841324290050', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574950055734521865', '1574298022484459521', '1572836939831713793', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574950055734521866', '1574298022484459521', '1572837052390055938', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574950055734521867', '1574298022484459521', '1572837185089445889', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574950055742910466', '1574298022484459521', '1572837334729629698', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574950055742910467', '1574298022484459521', '1572837468880248833', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574950055742910468', '1574298022484459521', '1572837564405522433', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574950055742910469', '1574298022484459521', '1567426391619268610', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574950055600304130', '1574298022484459521', '1554642838305005569', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574950055608692737', '1574298022484459521', '1568482594885484546', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574950055608692738', '1574298022484459521', '1571326768206962690', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574950055608692739', '1574298022484459521', '1568482739010158593', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574950055608692740', '1574298022484459521', '1571326984775655426', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574950055608692741', '1574298022484459521', '1568483117915193345', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574950055608692742', '1574298022484459521', '1571327170130337793', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574950055608692743', '1574298022484459521', '1568483272991195137', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574950055617081345', '1574298022484459521', '1571327400036917249', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574950055617081346', '1574298022484459521', '1568483527858077698', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574950055617081347', '1574298022484459521', '1571327560720703489', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574950055617081348', '1574298022484459521', '1568483651631988738', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574950055617081349', '1574298022484459521', '1571327731676340226', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574950055617081350', '1574298022484459521', '1568483739917893633', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574950055617081351', '1574298022484459521', '1571327917362372610', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574950055617081352', '1574298022484459521', '1572795538091810818', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574950055617081353', '1574298022484459521', '1572795661505011713', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574950055617081354', '1574298022484459521', '1572795781466300418', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574950055625469953', '1574298022484459521', '1568483871778422785', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574950055625469954', '1574298022484459521', '1572847122557444098', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574950055625469955', '1574298022484459521', '1572848592463863809', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574950055625469956', '1574298022484459521', '1572848789214470145', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574950055625469957', '1574298022484459521', '1572848935910252546', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574950055625469958', '1574298022484459521', '1572849139547906049', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574950055625469959', '1574298022484459521', '1572849283362201602', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574950055625469960', '1574298022484459521', '1572849377348165633', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574950055625469961', '1574298022484459521', '1568483976925429762', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574950055633858561', '1574298022484459521', '1571328373371297794', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574950055633858562', '1574298022484459521', '1572796082785099778', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574950055633858563', '1574298022484459521', '1572796167635869698', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574950055633858564', '1574298022484459521', '1568484152826150913', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574950055633858565', '1574298022484459521', '1572851339917533186', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574950055633858566', '1574298022484459521', '1572851541135073282', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574950055633858567', '1574298022484459521', '1572852444684623873', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574950055633858568', '1574298022484459521', '1572852591229411329', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574950055633858569', '1574298022484459521', '1572852712595791874', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574950055642247169', '1574298022484459521', '1572855226154098689', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574950055642247170', '1574298022484459521', '1568484284103671809', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574950055642247171', '1574298022484459521', '1571328725877383169', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574950055642247172', '1574298022484459521', '1572053608865296386', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574950055642247173', '1574298022484459521', '1572053835118637057', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574950055642247174', '1574298022484459521', '1572053975959171073', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574950055642247175', '1574298022484459521', '1572054387495890945', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574950055642247176', '1574298022484459521', '1572054530337107969', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574950055642247177', '1574298022484459521', '1572054770343571457', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574950055642247178', '1574298022484459521', '1572054915005116417', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574950055650635777', '1574298022484459521', '1572055105258745858', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574950055650635778', '1574298022484459521', '1572055244186677249', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574950055650635779', '1574298022484459521', '1572055684576014338', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574950055650635780', '1574298022484459521', '1572055810799398914', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574950055650635781', '1574298022484459521', '1572055937270247426', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574950055650635782', '1574298022484459521', '1572056617812848642', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574950055650635783', '1574298022484459521', '1572056967978512385', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574950055650635784', '1574298022484459521', '1572056063363608577', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574950055650635785', '1574298022484459521', '1572059228838391810', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574950055650635786', '1574298022484459521', '1572059390486867969', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574950055650635787', '1574298022484459521', '1572059614559170562', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574950055659024386', '1574298022484459521', '1572056158939213826', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574950055659024387', '1574298022484459521', '1572057250385195010', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574950055659024388', '1574298022484459521', '1572056257467609089', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574950055659024389', '1574298022484459521', '1572058033885376514', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574950055659024390', '1574298022484459521', '1572058168476397570', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574950055659024391', '1574298022484459521', '1570586436246818818', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574950055659024392', '1574298022484459521', '1571746737381965825', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574950055659024393', '1574298022484459521', '1571746139102248962', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574950055659024394', '1574298022484459521', '1571747466465247233', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574950055659024395', '1574298022484459521', '1570595328229978114', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574950055667412994', '1574298022484459521', '1572039843977449473', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574950055667412995', '1574298022484459521', '1572040598385938433', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574950055667412996', '1574298022484459521', '1572040787188338689', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574950055667412997', '1574298022484459521', '1572041017162027010', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574950055667412998', '1574298022484459521', '1571772738531074049', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574950055667412999', '1574298022484459521', '1572037163766898689', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574950055667413000', '1574298022484459521', '1572037370143432706', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574950055667413001', '1574298022484459521', '1572037508773568514', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574950055667413002', '1574298022484459521', '1572037659424579586', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574950055675801601', '1574298022484459521', '1572037801762480129', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574950055675801602', '1574298022484459521', '1572037997279961089', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574950055675801603', '1574298022484459521', '1572038159096209409', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574950055675801604', '1574298022484459521', '1572036130646908929', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574950055675801605', '1574298022484459521', '1572045023032733697', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574950055684190209', '1574298022484459521', '1572045159892873218', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574950055684190210', '1574298022484459521', '1572045499287564290', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574950055684190211', '1574298022484459521', '1572036218219782146', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574950055684190212', '1574298022484459521', '1572773180723544066', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574950055684190213', '1574298022484459521', '1572045787574661122', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574950055684190214', '1574298022484459521', '1572045970182074370', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574950055684190215', '1574298022484459521', '1572046116772999170', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574950055684190216', '1574298022484459521', '1572046243940102145', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574950055684190217', '1574298022484459521', '1572046386718404609', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574950055692578817', '1574298022484459521', '1567427074263216130', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574950055692578818', '1574298022484459521', '1572060584970121217', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574950055692578819', '1574298022484459521', '1572060735642103810', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574950055692578820', '1574298022484459521', '1572060891699572737', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574950055700967426', '1574298022484459521', '1572061017499332609', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574950055700967427', '1574298022484459521', '1572061200400347138', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574950055700967428', '1574298022484459521', '1572061335876366337', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574950055700967429', '1574298022484459521', '1572061970663305218', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574950055700967430', '1574298022484459521', '1572062101240377346', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574950055700967431', '1574298022484459521', '1572062283721961473', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574950055700967432', '1574298022484459521', '1572062580129230849', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574950055700967433', '1574298022484459521', '1572061571604639745', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574950055700967434', '1574298022484459521', '1572061726387040257', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574950055709356033', '1574298022484459521', '1572048860535681025', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574950055709356034', '1574298022484459521', '1572049155793711106', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574950055709356035', '1574298022484459521', '1572049474112024577', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574950055709356036', '1574298022484459521', '1572049812999204865', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574950055709356037', '1574298022484459521', '1572050019954552834', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574950055709356038', '1574298022484459521', '1572050180164382722', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574950055709356039', '1574298022484459521', '1572050327518670850', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574950055709356040', '1574298022484459521', '1572050594012164098', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574950055709356041', '1574298022484459521', '1572050750451314690', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574950055717744641', '1574298022484459521', '1572050889572184065', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574950055717744642', '1574298022484459521', '1572051151435165698', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574950055717744643', '1574298022484459521', '1572051270926692354', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574950055717744644', '1574298022484459521', '1572051966845612033', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574950055717744645', '1574298022484459521', '1572052255518584833', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574950055717744646', '1574298022484459521', '1554643767427227650', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574950055717744647', '1574298022484459521', '1574943367807643650', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574950055717744648', '1574298022484459521', '1574943706833235970', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574950055726133249', '1574298022484459521', '1571674389127630850', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574950055726133250', '1574298022484459521', '1572779186476138498', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574950055726133251', '1574298022484459521', '1572789021925974017', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574950055726133252', '1574298022484459521', '1572779532166479873', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574950055726133253', '1574298022484459521', '1572789278025981954', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574950055726133254', '1574298022484459521', '1572779702211952641', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574950055726133255', '1574298022484459521', '1572780446189207554', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574950055726133256', '1574298022484459521', '1572780574992089089', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574950055726133257', '1574298022484459521', '1572789481680412674', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1574950055726133258', '1574298022484459521', '1572789644633317377', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575408747135180806', '1570662742649024514', '1572836939831713793', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575408747135180807', '1570662742649024514', '1572837052390055938', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575408747135180808', '1570662742649024514', '1572837185089445889', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575408747135180809', '1570662742649024514', '1572837334729629698', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575408747135180810', '1570662742649024514', '1572837468880248833', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575408747135180811', '1570662742649024514', '1572837564405522433', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575423054740717570', '1573160570566836226', '1568483272991195137', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575423054740717571', '1573160570566836226', '1571327400036917249', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575423054740717572', '1573160570566836226', '1568483527858077698', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575423054740717573', '1573160570566836226', '1571327560720703489', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575423054740717574', '1573160570566836226', '1568483651631988738', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575423054749106178', '1573160570566836226', '1571327731676340226', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575423054749106179', '1573160570566836226', '1572795538091810818', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575423054749106180', '1573160570566836226', '1572848935910252546', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575423054749106181', '1573160570566836226', '1572796082785099778', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575423054749106182', '1573160570566836226', '1572059228838391810', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575423054749106183', '1573160570566836226', '1572040598385938433', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575423054749106184', '1573160570566836226', '1572037659424579586', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575423054749106185', '1573160570566836226', '1572773180723544066', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575423054749106186', '1573160570566836226', '1572046243940102145', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575423054749106187', '1573160570566836226', '1572046116772999170', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575423054757494786', '1573160570566836226', '1572046386718404609', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575423054757494787', '1573160570566836226', '1572036361681756161', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575423054757494788', '1573160570566836226', '1572046656248573954', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575423054757494789', '1573160570566836226', '1572060584970121217', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575423054757494790', '1573160570566836226', '1572060735642103810', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575423054757494791', '1573160570566836226', '1572061200400347138', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575423054757494792', '1573160570566836226', '1572061335876366337', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575423054757494793', '1573160570566836226', '1572061970663305218', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575423054757494794', '1573160570566836226', '1572062101240377346', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575423054757494795', '1573160570566836226', '1572050750451314690', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575423054765883394', '1573160570566836226', '1572051966845612033', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575423054765883395', '1573160570566836226', '1572052255518584833', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575423054765883396', '1573160570566836226', '1554642838305005569', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575423054765883397', '1573160570566836226', '1568483739917893633', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575423054765883398', '1573160570566836226', '1568483871778422785', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575423054765883399', '1573160570566836226', '1568483976925429762', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575423054765883400', '1573160570566836226', '1572053608865296386', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575423054765883401', '1573160570566836226', '1572056063363608577', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575423054765883402', '1573160570566836226', '1567426391619268610', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575423054765883403', '1573160570566836226', '1570595328229978114', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575423054765883404', '1573160570566836226', '1571772738531074049', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575423054765883405', '1573160570566836226', '1572036218219782146', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575423054774272001', '1573160570566836226', '1567427074263216130', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575423054774272002', '1573160570566836226', '1572048860535681025', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575423054774272003', '1573160570566836226', '1572050594012164098', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1578593090666070018', '1574949880815267841', '1567426391619268610', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1578593090674458625', '1574949880815267841', '1570586436246818818', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1578593090674458626', '1574949880815267841', '1571746737381965825', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1578593090674458627', '1574949880815267841', '1571746139102248962', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1578593090674458628', '1574949880815267841', '1571747466465247233', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1578593090674458629', '1574949880815267841', '1570595328229978114', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1578593090674458630', '1574949880815267841', '1572039843977449473', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1578593090682847234', '1574949880815267841', '1572040598385938433', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1578593090682847235', '1574949880815267841', '1572040787188338689', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1578593090682847236', '1574949880815267841', '1572041017162027010', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1578593090682847237', '1574949880815267841', '1571772738531074049', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1578593090682847238', '1574949880815267841', '1572037163766898689', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1578593090682847239', '1574949880815267841', '1572037370143432706', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1578593090682847240', '1574949880815267841', '1572037508773568514', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1578593090682847241', '1574949880815267841', '1572037659424579586', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1578593090682847242', '1574949880815267841', '1572037801762480129', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1578593090691235841', '1574949880815267841', '1572037997279961089', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1578593090691235842', '1574949880815267841', '1572038159096209409', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1578593090691235843', '1574949880815267841', '1572036130646908929', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1578593090691235844', '1574949880815267841', '1572045023032733697', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1578593090691235845', '1574949880815267841', '1572045159892873218', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1578593090691235846', '1574949880815267841', '1572045499287564290', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1578593090699624449', '1574949880815267841', '1572036218219782146', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1578593090699624450', '1574949880815267841', '1572773180723544066', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1578593090699624451', '1574949880815267841', '1572045787574661122', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1578593090699624452', '1574949880815267841', '1572045970182074370', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1578593090699624453', '1574949880815267841', '1572046116772999170', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1578593090699624454', '1574949880815267841', '1572046243940102145', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1578593090699624455', '1574949880815267841', '1572046386718404609', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1578593090699624456', '1574949880815267841', '1572036361681756161', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1578593090699624457', '1574949880815267841', '1572046656248573954', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1578593090699624458', '1574949880815267841', '1567427074263216130', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1578593090699624459', '1574949880815267841', '1572060584970121217', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1578593090708013058', '1574949880815267841', '1572060735642103810', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1578593090708013059', '1574949880815267841', '1572060891699572737', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1578593090708013060', '1574949880815267841', '1572061017499332609', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1578593090708013061', '1574949880815267841', '1572061200400347138', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1578593090708013062', '1574949880815267841', '1572061335876366337', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1578593090708013063', '1574949880815267841', '1572061970663305218', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1578593090708013064', '1574949880815267841', '1572062101240377346', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1578593090708013065', '1574949880815267841', '1572062283721961473', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1578593090708013066', '1574949880815267841', '1572062580129230849', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1578593090708013067', '1574949880815267841', '1572061571604639745', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1578593090708013068', '1574949880815267841', '1572061726387040257', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1578593090708013069', '1574949880815267841', '1572048860535681025', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1578593090716401666', '1574949880815267841', '1572049155793711106', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1578593090716401667', '1574949880815267841', '1572049474112024577', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1578593090716401668', '1574949880815267841', '1572049812999204865', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1578593090716401669', '1574949880815267841', '1572050019954552834', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1578593090716401670', '1574949880815267841', '1572050180164382722', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1578593090716401671', '1574949880815267841', '1572050327518670850', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1578593090716401672', '1574949880815267841', '1572050594012164098', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1578593090716401673', '1574949880815267841', '1572050750451314690', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1578593090716401674', '1574949880815267841', '1572050889572184065', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1578593090716401675', '1574949880815267841', '1572051151435165698', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1578593090716401676', '1574949880815267841', '1572051270926692354', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1578593090724790273', '1574949880815267841', '1572051966845612033', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1578593090724790274', '1574949880815267841', '1572052255518584833', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1578593379989159938', '1578593379972382721', '1570673797857095681', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1578593379989159939', '1578593379972382721', '1572776211745718274', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575326893090562056', '1575000277609209858', '1572036361681756161', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575326893090562057', '1575000277609209858', '1572046656248573954', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575326893090562058', '1575000277609209858', '1572048860535681025', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575326893098950657', '1575000277609209858', '1572049155793711106', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575326893098950658', '1575000277609209858', '1572049474112024577', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575326893098950659', '1575000277609209858', '1572049812999204865', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575326893098950660', '1575000277609209858', '1572050019954552834', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575326893098950661', '1575000277609209858', '1572050180164382722', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575326893098950662', '1575000277609209858', '1572050327518670850', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575326893098950663', '1575000277609209858', '1572050594012164098', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575326893098950664', '1575000277609209858', '1572050750451314690', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575326893098950665', '1575000277609209858', '1572050889572184065', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575326893098950666', '1575000277609209858', '1572051151435165698', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575326893107339266', '1575000277609209858', '1572051270926692354', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575326893107339267', '1575000277609209858', '1572051966845612033', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575326893107339268', '1575000277609209858', '1572052255518584833', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575326893107339269', '1575000277609209858', '1554643767427227650', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575326893107339270', '1575000277609209858', '1574943367807643650', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575326893107339271', '1575000277609209858', '1574943706833235970', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575326920894603265', '1574212932664422401', '1572795538091810818', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575326920894603266', '1574212932664422401', '1572795661505011713', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575326920894603267', '1574212932664422401', '1572795781466300418', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575326920902991874', '1574212932664422401', '1568483871778422785', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575326920902991875', '1574212932664422401', '1572847122557444098', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575326920902991876', '1574212932664422401', '1572848592463863809', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575326920902991877', '1574212932664422401', '1572848789214470145', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575326920902991878', '1574212932664422401', '1572848935910252546', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575326920902991879', '1574212932664422401', '1572849139547906049', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575326920902991880', '1574212932664422401', '1572849283362201602', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575326920902991881', '1574212932664422401', '1572849377348165633', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575326920902991882', '1574212932664422401', '1571328373371297794', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575326920902991883', '1574212932664422401', '1572796082785099778', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575326920902991884', '1574212932664422401', '1572852444684623873', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575326920902991885', '1574212932664422401', '1572852591229411329', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575326920902991886', '1574212932664422401', '1568484466941771777', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575326920902991887', '1574212932664422401', '1571328916844044290', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575326920902991888', '1574212932664422401', '1572056967978512385', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575326920902991889', '1574212932664422401', '1572056063363608577', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575326920902991890', '1574212932664422401', '1572059228838391810', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575326920911380481', '1574212932664422401', '1572059390486867969', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575326920911380482', '1574212932664422401', '1572059614559170562', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575326920911380483', '1574212932664422401', '1572056158939213826', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575326920919769090', '1574212932664422401', '1572057250385195010', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575326920919769091', '1574212932664422401', '1572058168476397570', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575326920919769092', '1574212932664422401', '1572040598385938433', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575326920919769093', '1574212932664422401', '1572040787188338689', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575326920919769094', '1574212932664422401', '1572041017162027010', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575326920928157698', '1574212932664422401', '1571772738531074049', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575326920928157699', '1574212932664422401', '1572037163766898689', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575326920928157700', '1574212932664422401', '1572037370143432706', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575326920928157701', '1574212932664422401', '1572037508773568514', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575326920928157702', '1574212932664422401', '1572037659424579586', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575326920928157703', '1574212932664422401', '1572037801762480129', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575326920928157704', '1574212932664422401', '1572037997279961089', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575326920928157705', '1574212932664422401', '1572038159096209409', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575326920928157706', '1574212932664422401', '1572045023032733697', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575326920928157707', '1574212932664422401', '1572045159892873218', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575326920936546305', '1574212932664422401', '1572036218219782146', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575326920936546306', '1574212932664422401', '1572773180723544066', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575326920936546307', '1574212932664422401', '1572045787574661122', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575326920936546308', '1574212932664422401', '1572045970182074370', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575326920936546309', '1574212932664422401', '1572046116772999170', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575326920936546310', '1574212932664422401', '1572046243940102145', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575326920936546311', '1574212932664422401', '1572046386718404609', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575326920936546312', '1574212932664422401', '1572060584970121217', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575326920936546313', '1574212932664422401', '1572060735642103810', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575326920936546314', '1574212932664422401', '1572050750451314690', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575326920936546315', '1574212932664422401', '1572832711356719105', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575326920936546316', '1574212932664422401', '1572837052390055938', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575326920944934913', '1574212932664422401', '1572837185089445889', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575326920944934914', '1574212932664422401', '1572837334729629698', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575326920944934915', '1574212932664422401', '1572837468880248833', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575326920944934916', '1574212932664422401', '1554642838305005569', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575326920944934917', '1574212932664422401', '1568483739917893633', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575326920944934918', '1574212932664422401', '1568483976925429762', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575326920944934919', '1574212932664422401', '1568484152826150913', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575326920944934920', '1574212932664422401', '1572053608865296386', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575326920944934921', '1574212932664422401', '1572055937270247426', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575326920944934922', '1574212932664422401', '1572056257467609089', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575326920944934923', '1574212932664422401', '1567426391619268610', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575326920944934924', '1574212932664422401', '1570595328229978114', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575326920944934925', '1574212932664422401', '1572036130646908929', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575326920953323522', '1574212932664422401', '1567427074263216130', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575326920953323523', '1574212932664422401', '1572048860535681025', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575326920953323524', '1574212932664422401', '1572050594012164098', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575326920953323525', '1574212932664422401', '1572832383626387458', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575327017225183234', '1574643059168641025', '1568482594885484546', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575327017225183235', '1574643059168641025', '1571326768206962690', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575327017225183236', '1574643059168641025', '1568483117915193345', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575327017225183237', '1574643059168641025', '1571327170130337793', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575327017225183238', '1574643059168641025', '1568483272991195137', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575327017233571842', '1574643059168641025', '1571327400036917249', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575327017233571843', '1574643059168641025', '1568483527858077698', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575327017233571844', '1574643059168641025', '1571327560720703489', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575327017233571845', '1574643059168641025', '1568483739917893633', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575327017233571846', '1574643059168641025', '1571327917362372610', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575327017233571847', '1574643059168641025', '1572795538091810818', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575327017233571848', '1574643059168641025', '1572795661505011713', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575327017233571849', '1574643059168641025', '1572795781466300418', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575327017233571850', '1574643059168641025', '1568483871778422785', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575327017233571851', '1574643059168641025', '1572847122557444098', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575327017241960449', '1574643059168641025', '1572848592463863809', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575327017241960450', '1574643059168641025', '1572848789214470145', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575327017241960451', '1574643059168641025', '1572848935910252546', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575327017241960452', '1574643059168641025', '1572849139547906049', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575327017241960453', '1574643059168641025', '1572849283362201602', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575327017241960454', '1574643059168641025', '1572849377348165633', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575327017241960455', '1574643059168641025', '1568483976925429762', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575327017241960456', '1574643059168641025', '1571328373371297794', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575327017241960457', '1574643059168641025', '1572796082785099778', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575327017241960458', '1574643059168641025', '1572796167635869698', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575327017250349058', '1574643059168641025', '1572851339917533186', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575327017250349059', '1574643059168641025', '1572851541135073282', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575327017250349060', '1574643059168641025', '1572852591229411329', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575327017250349061', '1574643059168641025', '1572852712595791874', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575327017250349062', '1574643059168641025', '1572855226154098689', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575327017250349063', '1574643059168641025', '1568484284103671809', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575327017250349064', '1574643059168641025', '1571328725877383169', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575327017250349065', '1574643059168641025', '1572053835118637057', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575327017250349066', '1574643059168641025', '1572053975959171073', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575327017250349067', '1574643059168641025', '1572054387495890945', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575327017250349068', '1574643059168641025', '1572054530337107969', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575327017254543361', '1574643059168641025', '1572054770343571457', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575327017254543362', '1574643059168641025', '1572054915005116417', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575327017254543363', '1574643059168641025', '1572055937270247426', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575327017254543364', '1574643059168641025', '1572056617812848642', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575327017254543365', '1574643059168641025', '1572056967978512385', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575327017254543366', '1574643059168641025', '1572056063363608577', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575327017254543367', '1574643059168641025', '1572059228838391810', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575327017254543368', '1574643059168641025', '1572059390486867969', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575327017254543369', '1574643059168641025', '1572059614559170562', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575327017254543370', '1574643059168641025', '1572056158939213826', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575327017254543371', '1574643059168641025', '1572057250385195010', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575327017254543372', '1574643059168641025', '1572056257467609089', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575327017262931969', '1574643059168641025', '1572058033885376514', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575327017262931970', '1574643059168641025', '1572058168476397570', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575327017262931971', '1574643059168641025', '1570586436246818818', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575327017262931972', '1574643059168641025', '1571746737381965825', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575327017262931973', '1574643059168641025', '1571746139102248962', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575327017262931974', '1574643059168641025', '1571747466465247233', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575327017262931975', '1574643059168641025', '1570595328229978114', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575327017262931976', '1574643059168641025', '1572039843977449473', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575327017262931977', '1574643059168641025', '1572040598385938433', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575327017262931978', '1574643059168641025', '1572040787188338689', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575327017262931979', '1574643059168641025', '1572041017162027010', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575327017271320578', '1574643059168641025', '1571772738531074049', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575327017271320579', '1574643059168641025', '1572037163766898689', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575327017271320580', '1574643059168641025', '1572037370143432706', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575327017271320581', '1574643059168641025', '1572037508773568514', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575327017271320582', '1574643059168641025', '1572037659424579586', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575327017271320583', '1574643059168641025', '1572037801762480129', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575327017271320584', '1574643059168641025', '1572037997279961089', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575327017271320585', '1574643059168641025', '1572038159096209409', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575327017279709185', '1574643059168641025', '1572036130646908929', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575327017279709186', '1574643059168641025', '1572045023032733697', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575327017279709187', '1574643059168641025', '1572045159892873218', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575327017279709188', '1574643059168641025', '1572045499287564290', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575327017279709189', '1574643059168641025', '1572036218219782146', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575327017279709190', '1574643059168641025', '1572773180723544066', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575327017279709191', '1574643059168641025', '1572045787574661122', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575327017279709192', '1574643059168641025', '1572045970182074370', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575327017279709193', '1574643059168641025', '1572046116772999170', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575327017279709194', '1574643059168641025', '1572046243940102145', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575327017279709195', '1574643059168641025', '1572046386718404609', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575327017288097794', '1574643059168641025', '1572060584970121217', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575327017288097795', '1574643059168641025', '1572060735642103810', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575327017288097796', '1574643059168641025', '1572060891699572737', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575327017288097797', '1574643059168641025', '1572061017499332609', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575327017288097798', '1574643059168641025', '1572061200400347138', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575327017288097799', '1574643059168641025', '1572061335876366337', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575327017288097800', '1574643059168641025', '1572061970663305218', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575327017288097801', '1574643059168641025', '1572062101240377346', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575327017288097802', '1574643059168641025', '1572061571604639745', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575327017288097803', '1574643059168641025', '1572061726387040257', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575327017288097804', '1574643059168641025', '1572048860535681025', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575327017288097805', '1574643059168641025', '1572049155793711106', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575327017296486402', '1574643059168641025', '1572049474112024577', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575327017296486403', '1574643059168641025', '1572049812999204865', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575327017296486404', '1574643059168641025', '1572050019954552834', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575327017296486405', '1574643059168641025', '1572050180164382722', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575327017296486406', '1574643059168641025', '1572050327518670850', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575327017296486407', '1574643059168641025', '1572050594012164098', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575327017296486408', '1574643059168641025', '1572050750451314690', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575327017296486409', '1574643059168641025', '1572050889572184065', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575327017296486410', '1574643059168641025', '1572051151435165698', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575327017296486411', '1574643059168641025', '1572051270926692354', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575327017296486412', '1574643059168641025', '1572051966845612033', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575327017296486413', '1574643059168641025', '1572052255518584833', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575327017296486414', '1574643059168641025', '1572779702211952641', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575327017304875009', '1574643059168641025', '1572780446189207554', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575327017304875010', '1574643059168641025', '1572780574992089089', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575327017304875011', '1574643059168641025', '1572789481680412674', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575327017304875012', '1574643059168641025', '1572789644633317377', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575327017304875013', '1574643059168641025', '1572789737491013633', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575327017304875014', '1574643059168641025', '1572789822597636098', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575327017304875015', '1574643059168641025', '1573137161678077954', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575327017304875016', '1574643059168641025', '1573140954457096193', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575327017304875017', '1574643059168641025', '1554642838305005569', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575327017304875018', '1574643059168641025', '1568484152826150913', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575327017304875019', '1574643059168641025', '1572053608865296386', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575327017304875020', '1574643059168641025', '1567426391619268610', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575327017313263617', '1574643059168641025', '1567427074263216130', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575327017313263618', '1574643059168641025', '1571674389127630850', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575332944569458690', '1575332944552681474', '1572053835118637057', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575332944577847297', '1575332944552681474', '1572053975959171073', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575332944577847298', '1575332944552681474', '1572054387495890945', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575332944577847299', '1575332944552681474', '1572054530337107969', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575332944577847300', '1575332944552681474', '1572056063363608577', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575332944577847301', '1575332944552681474', '1572059228838391810', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575332944577847302', '1575332944552681474', '1572059390486867969', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575332944577847303', '1575332944552681474', '1572059614559170562', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575332944586235906', '1575332944552681474', '1572056158939213826', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575332944586235907', '1575332944552681474', '1572057250385195010', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575332944586235908', '1575332944552681474', '1572056257467609089', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575332944586235909', '1575332944552681474', '1572058033885376514', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575332944586235910', '1575332944552681474', '1572058168476397570', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575332944611401729', '1575332944603013121', '1572053835118637057', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575332944619790337', '1575332944603013121', '1572053975959171073', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575332944619790338', '1575332944603013121', '1572054387495890945', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575332944619790339', '1575332944603013121', '1572054530337107969', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575332944619790340', '1575332944603013121', '1572056063363608577', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575332944619790341', '1575332944603013121', '1572059228838391810', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575332944619790342', '1575332944603013121', '1572059390486867969', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575332944619790343', '1575332944603013121', '1572059614559170562', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575332944619790344', '1575332944603013121', '1572056158939213826', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575332944628178946', '1575332944603013121', '1572057250385195010', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575332944628178947', '1575332944603013121', '1572056257467609089', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575332944628178948', '1575332944603013121', '1572058033885376514', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575332944628178949', '1575332944603013121', '1572058168476397570', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575332944653344769', '1575332944636567554', '1572053835118637057', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575332944653344770', '1575332944636567554', '1572053975959171073', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575332944653344771', '1575332944636567554', '1572054387495890945', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575332944653344772', '1575332944636567554', '1572054530337107969', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575332944653344773', '1575332944636567554', '1572056063363608577', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575332944653344774', '1575332944636567554', '1572059228838391810', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575332944653344775', '1575332944636567554', '1572059390486867969', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575332944653344776', '1575332944636567554', '1572059614559170562', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575332944653344777', '1575332944636567554', '1572056158939213826', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575332944653344778', '1575332944636567554', '1572057250385195010', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575332944661733377', '1575332944636567554', '1572056257467609089', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575332944661733378', '1575332944636567554', '1572058033885376514', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575332944661733379', '1575332944636567554', '1572058168476397570', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575332944686899201', '1575332944670121985', '1572053835118637057', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575332944686899202', '1575332944670121985', '1572053975959171073', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575332944686899203', '1575332944670121985', '1572054387495890945', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575332944686899204', '1575332944670121985', '1572054530337107969', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575332944686899205', '1575332944670121985', '1572056063363608577', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575332944686899206', '1575332944670121985', '1572059228838391810', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575332944686899207', '1575332944670121985', '1572059390486867969', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575332944686899208', '1575332944670121985', '1572059614559170562', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575332944686899209', '1575332944670121985', '1572056158939213826', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575332944686899210', '1575332944670121985', '1572057250385195010', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575332944695287809', '1575332944670121985', '1572056257467609089', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575332944695287810', '1575332944670121985', '1572058033885376514', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575332944695287811', '1575332944670121985', '1572058168476397570', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575332944712065026', '1575332944703676418', '1572053835118637057', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575332944720453634', '1575332944703676418', '1572053975959171073', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575332944720453635', '1575332944703676418', '1572054387495890945', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575332944720453636', '1575332944703676418', '1572054530337107969', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575332944720453637', '1575332944703676418', '1572056063363608577', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575332944720453638', '1575332944703676418', '1572059228838391810', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575332944720453639', '1575332944703676418', '1572059390486867969', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575332944720453640', '1575332944703676418', '1572059614559170562', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575332944720453641', '1575332944703676418', '1572056158939213826', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575332944720453642', '1575332944703676418', '1572057250385195010', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575332944720453643', '1575332944703676418', '1572056257467609089', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575332944728842241', '1575332944703676418', '1572058033885376514', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575332944728842242', '1575332944703676418', '1572058168476397570', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575408746996768769', '1570662742649024514', '1570614272458305538', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575408747005157378', '1570662742649024514', '1570618270527598594', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575408747005157379', '1570662742649024514', '1570673797857095681', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575408747005157380', '1570662742649024514', '1572776211745718274', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575408747005157381', '1570662742649024514', '1570674628832604162', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575408747005157382', '1570662742649024514', '1570618059361169409', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575408747005157383', '1570662742649024514', '1572777354345431041', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575408747005157384', '1570662742649024514', '1570678050017345538', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575408747005157385', '1570662742649024514', '1570678305647591425', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575408747013545985', '1570662742649024514', '1570618551243976705', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575408747013545986', '1570662742649024514', '1570674923604094978', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575408747013545987', '1570662742649024514', '1570675136129478657', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575408747013545988', '1570662742649024514', '1570675318665588738', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575408747013545989', '1570662742649024514', '1570676000210628609', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575408747013545990', '1570662742649024514', '1570618788180209665', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575408747013545991', '1570662742649024514', '1570678605024428034', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575408747013545992', '1570662742649024514', '1570678741326725121', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575408747013545993', '1570662742649024514', '1570679403540217858', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575408747013545994', '1570662742649024514', '1554642838305005569', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575408747021934594', '1570662742649024514', '1568482594885484546', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575408747021934595', '1570662742649024514', '1571326768206962690', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575408747021934596', '1570662742649024514', '1568482739010158593', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575408747021934597', '1570662742649024514', '1571326984775655426', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575408747021934598', '1570662742649024514', '1568483117915193345', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575408747021934599', '1570662742649024514', '1571327170130337793', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575408747021934600', '1570662742649024514', '1568483272991195137', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575408747021934601', '1570662742649024514', '1571327400036917249', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575408747021934602', '1570662742649024514', '1568483527858077698', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575408747030323201', '1570662742649024514', '1571327560720703489', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575408747030323202', '1570662742649024514', '1568483651631988738', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575408747030323203', '1570662742649024514', '1571327731676340226', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575408747030323204', '1570662742649024514', '1568483739917893633', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575408747030323205', '1570662742649024514', '1571327917362372610', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575408747030323206', '1570662742649024514', '1572795538091810818', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575408747030323207', '1570662742649024514', '1572795661505011713', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575408747030323208', '1570662742649024514', '1572795781466300418', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575408747030323209', '1570662742649024514', '1568483871778422785', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575408747030323210', '1570662742649024514', '1572847122557444098', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575408747038711810', '1570662742649024514', '1572848592463863809', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575408747038711811', '1570662742649024514', '1572848789214470145', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575408747038711812', '1570662742649024514', '1572848935910252546', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575408747038711813', '1570662742649024514', '1572849139547906049', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575408747038711814', '1570662742649024514', '1572849283362201602', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575408747038711815', '1570662742649024514', '1572849377348165633', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575408747038711816', '1570662742649024514', '1568483976925429762', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575408747038711817', '1570662742649024514', '1571328373371297794', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575408747038711818', '1570662742649024514', '1572796082785099778', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575408747047100417', '1570662742649024514', '1572796167635869698', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575408747047100418', '1570662742649024514', '1568484152826150913', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575408747047100419', '1570662742649024514', '1572851339917533186', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575408747047100420', '1570662742649024514', '1572851541135073282', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575408747047100421', '1570662742649024514', '1572852444684623873', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575408747047100422', '1570662742649024514', '1572852591229411329', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575408747047100423', '1570662742649024514', '1572852712595791874', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575408747047100424', '1570662742649024514', '1572855226154098689', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575408747047100425', '1570662742649024514', '1568484284103671809', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575408747047100426', '1570662742649024514', '1571328725877383169', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575408747055489025', '1570662742649024514', '1568484466941771777', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575408747055489026', '1570662742649024514', '1571328916844044290', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575408747055489027', '1570662742649024514', '1572053608865296386', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575408747055489028', '1570662742649024514', '1572053835118637057', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575408747055489029', '1570662742649024514', '1572053975959171073', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575408747055489030', '1570662742649024514', '1572054387495890945', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575408747055489031', '1570662742649024514', '1572054530337107969', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575408747055489032', '1570662742649024514', '1572054770343571457', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575408747055489033', '1570662742649024514', '1572054915005116417', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575408747063877634', '1570662742649024514', '1572055105258745858', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575408747063877635', '1570662742649024514', '1572055244186677249', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575408747063877636', '1570662742649024514', '1572055684576014338', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575408747063877637', '1570662742649024514', '1572055810799398914', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575408747063877638', '1570662742649024514', '1572055937270247426', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575408747063877639', '1570662742649024514', '1572056617812848642', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575408747063877640', '1570662742649024514', '1572056967978512385', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575408747063877641', '1570662742649024514', '1572056063363608577', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575408747063877642', '1570662742649024514', '1572059228838391810', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575408747063877643', '1570662742649024514', '1572059390486867969', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575408747063877644', '1570662742649024514', '1572059614559170562', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575408747063877645', '1570662742649024514', '1572056158939213826', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575408747068071938', '1570662742649024514', '1572057250385195010', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575408747068071939', '1570662742649024514', '1572056257467609089', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575408747068071940', '1570662742649024514', '1572058033885376514', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575408747068071941', '1570662742649024514', '1572058168476397570', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575408747068071942', '1570662742649024514', '1567426391619268610', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575408747068071943', '1570662742649024514', '1570586436246818818', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575408747068071944', '1570662742649024514', '1571746737381965825', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575408747068071945', '1570662742649024514', '1571746139102248962', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575408747068071946', '1570662742649024514', '1571747466465247233', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575408747068071947', '1570662742649024514', '1570595328229978114', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575408747068071948', '1570662742649024514', '1572039843977449473', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575408747076460545', '1570662742649024514', '1572040598385938433', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575408747076460546', '1570662742649024514', '1572040787188338689', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575408747076460547', '1570662742649024514', '1572041017162027010', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575408747076460548', '1570662742649024514', '1571772738531074049', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575408747076460549', '1570662742649024514', '1572037163766898689', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575408747076460550', '1570662742649024514', '1572037370143432706', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575408747076460551', '1570662742649024514', '1572037508773568514', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575408747076460552', '1570662742649024514', '1572037659424579586', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575408747076460553', '1570662742649024514', '1572037801762480129', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575408747076460554', '1570662742649024514', '1572037997279961089', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575408747076460555', '1570662742649024514', '1572038159096209409', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575408747084849153', '1570662742649024514', '1572036130646908929', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575408747084849154', '1570662742649024514', '1572045023032733697', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575408747084849155', '1570662742649024514', '1572045159892873218', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575408747084849156', '1570662742649024514', '1572045499287564290', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575408747084849157', '1570662742649024514', '1572036218219782146', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575408747084849158', '1570662742649024514', '1572773180723544066', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575408747084849159', '1570662742649024514', '1572045787574661122', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575408747084849160', '1570662742649024514', '1572045970182074370', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575408747084849161', '1570662742649024514', '1572046116772999170', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575408747084849162', '1570662742649024514', '1572046243940102145', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575408747093237761', '1570662742649024514', '1572046386718404609', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575408747093237762', '1570662742649024514', '1572036361681756161', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575408747093237763', '1570662742649024514', '1572046656248573954', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575408747093237764', '1570662742649024514', '1572048860535681025', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575408747093237765', '1570662742649024514', '1572049155793711106', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575408747093237766', '1570662742649024514', '1572049474112024577', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575408747093237767', '1570662742649024514', '1572049812999204865', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575408747093237768', '1570662742649024514', '1572050019954552834', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575408747093237769', '1570662742649024514', '1572050180164382722', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575408747093237770', '1570662742649024514', '1572050327518670850', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575408747101626370', '1570662742649024514', '1572050594012164098', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575408747101626371', '1570662742649024514', '1572050750451314690', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575408747101626372', '1570662742649024514', '1572050889572184065', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575408747101626373', '1570662742649024514', '1572051151435165698', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575408747101626374', '1570662742649024514', '1572051270926692354', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575408747101626375', '1570662742649024514', '1572051966845612033', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575408747101626376', '1570662742649024514', '1572052255518584833', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575408747101626377', '1570662742649024514', '1567427074263216130', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575408747101626378', '1570662742649024514', '1572060584970121217', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575408747101626379', '1570662742649024514', '1572060735642103810', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575408747101626380', '1570662742649024514', '1572060891699572737', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575408747101626381', '1570662742649024514', '1572061017499332609', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575408747110014977', '1570662742649024514', '1572061200400347138', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575408747110014978', '1570662742649024514', '1572061335876366337', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575408747110014979', '1570662742649024514', '1572061970663305218', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575408747110014980', '1570662742649024514', '1572062101240377346', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575408747110014981', '1570662742649024514', '1572062283721961473', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575408747110014982', '1570662742649024514', '1572062580129230849', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575408747110014983', '1570662742649024514', '1572061571604639745', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575408747110014984', '1570662742649024514', '1572061726387040257', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575408747110014985', '1570662742649024514', '1554643767427227650', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575408747110014986', '1570662742649024514', '1574943367807643650', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575408747110014987', '1570662742649024514', '1574943706833235970', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575408747110014988', '1570662742649024514', '1571674389127630850', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575408747118403586', '1570662742649024514', '1571674879462739970', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575408747118403587', '1570662742649024514', '1571679659857809409', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575408747118403588', '1570662742649024514', '1571677684139298818', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575408747118403589', '1570662742649024514', '1571680257302859778', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575408747118403590', '1570662742649024514', '1571680589978275842', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575408747118403591', '1570662742649024514', '1571678995383586817', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575408747118403592', '1570662742649024514', '1571680876851892225', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575408747118403593', '1570662742649024514', '1572779186476138498', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575408747118403594', '1570662742649024514', '1572789021925974017', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575408747118403595', '1570662742649024514', '1572779532166479873', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575408747126792194', '1570662742649024514', '1572789278025981954', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575408747126792195', '1570662742649024514', '1572779702211952641', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575408747126792196', '1570662742649024514', '1572780446189207554', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575408747126792197', '1570662742649024514', '1572780574992089089', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575408747126792198', '1570662742649024514', '1572789481680412674', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575408747126792199', '1570662742649024514', '1572789644633317377', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575408747126792200', '1570662742649024514', '1572789737491013633', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575408747126792201', '1570662742649024514', '1572789822597636098', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575408747126792202', '1570662742649024514', '1573137161678077954', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575408747126792203', '1570662742649024514', '1573140954457096193', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575408747135180802', '1570662742649024514', '1572832383626387458', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575408747135180803', '1570662742649024514', '1572832711356719105', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575408747135180804', '1570662742649024514', '1572836695614169089', '0');
INSERT INTO "ZMRQ"."SYS_ROLE_MENU" VALUES ('1575408747135180805', '1570662742649024514', '1572836841324290050', '0');

-- ----------------------------
-- Table structure for SYS_ROLE_PERMISSION
-- ----------------------------
DROP TABLE "ZMRQ"."SYS_ROLE_PERMISSION";
CREATE TABLE "ZMRQ"."SYS_ROLE_PERMISSION" (
  "ID" NUMBER(20,0) NOT NULL,
  "USER_ID" VARCHAR2(2000 BYTE),
  "ROLE_ID" VARCHAR2(2000 BYTE),
  "DEPT_ID" VARCHAR2(2000 BYTE),
  "TENANT_ID" VARCHAR2(2000 BYTE)
)
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "ZMRQ"."SYS_ROLE_PERMISSION"."ID" IS '主键ID';
COMMENT ON COLUMN "ZMRQ"."SYS_ROLE_PERMISSION"."USER_ID" IS '用户ID，多个逗号隔开';
COMMENT ON COLUMN "ZMRQ"."SYS_ROLE_PERMISSION"."ROLE_ID" IS '角色ID';
COMMENT ON COLUMN "ZMRQ"."SYS_ROLE_PERMISSION"."DEPT_ID" IS '部门ID，多个逗号隔开';
COMMENT ON COLUMN "ZMRQ"."SYS_ROLE_PERMISSION"."TENANT_ID" IS '公司ID，多个逗号隔开';
COMMENT ON TABLE "ZMRQ"."SYS_ROLE_PERMISSION" IS '角色绑定公司部门权限';

-- ----------------------------
-- Records of SYS_ROLE_PERMISSION
-- ----------------------------

-- ----------------------------
-- Table structure for SYS_ROLE_TENANT
-- ----------------------------
DROP TABLE "ZMRQ"."SYS_ROLE_TENANT";
CREATE TABLE "ZMRQ"."SYS_ROLE_TENANT" (
  "ID" NUMBER(20,0) NOT NULL,
  "ROLE_ID" NUMBER(20,0) NOT NULL,
  "TENANT_ID" NUMBER(20,0) DEFAULT 0 NOT NULL
)
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "ZMRQ"."SYS_ROLE_TENANT"."ID" IS '主键ID';
COMMENT ON COLUMN "ZMRQ"."SYS_ROLE_TENANT"."ROLE_ID" IS '角色ID';
COMMENT ON COLUMN "ZMRQ"."SYS_ROLE_TENANT"."TENANT_ID" IS '租户ID';
COMMENT ON TABLE "ZMRQ"."SYS_ROLE_TENANT" IS '角色组织关联';

-- ----------------------------
-- Records of SYS_ROLE_TENANT
-- ----------------------------

-- ----------------------------
-- Table structure for SYS_TASK
-- ----------------------------
DROP TABLE "ZMRQ"."SYS_TASK";
CREATE TABLE "ZMRQ"."SYS_TASK" (
  "ID" NUMBER(20,0) NOT NULL,
  "DESCRIBE" VARCHAR2(3000 BYTE),
  "MAX_TYPE" VARCHAR2(255 BYTE),
  "MIN_TYPE" NUMBER(5,0),
  "RANK" NUMBER(2,0) DEFAULT 0,
  "TABLE_NAME" VARCHAR2(50 BYTE),
  "TABLE_ID" NUMBER(20,0),
  "ROUTE_IP" VARCHAR2(200 BYTE),
  "STATUS" NUMBER(2,0) DEFAULT 0,
  "HANDLE_TIME" DATE,
  "HANDLE_USER" NUMBER(20,0),
  "START_TIME" DATE,
  "END_TIME" DATE,
  "ROUTE_APP_IP" VARCHAR2(200 BYTE),
  "SORT" NUMBER(15,0),
  "TENANT_ID" NUMBER(20,0),
  "DELETED" NUMBER(1,0) DEFAULT 0 NOT NULL,
  "CREATE_TIME" DATE,
  "CREATE_USER" NUMBER(20,0),
  "UPDATE_TIME" DATE,
  "UPDATE_USER" NUMBER(20,0)
)
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "ZMRQ"."SYS_TASK"."ID" IS '主键ID';
COMMENT ON COLUMN "ZMRQ"."SYS_TASK"."DESCRIBE" IS '名称描述';
COMMENT ON COLUMN "ZMRQ"."SYS_TASK"."MAX_TYPE" IS '待办类型大类，根据发起的任务进行分类，如：1巡检任务、2抢维修任务';
COMMENT ON COLUMN "ZMRQ"."SYS_TASK"."MIN_TYPE" IS '待办任务子类，如：1_1管线巡查';
COMMENT ON COLUMN "ZMRQ"."SYS_TASK"."RANK" IS '级别：0一般、1紧急';
COMMENT ON COLUMN "ZMRQ"."SYS_TASK"."TABLE_NAME" IS '任务链接表名';
COMMENT ON COLUMN "ZMRQ"."SYS_TASK"."TABLE_ID" IS '链接ID';
COMMENT ON COLUMN "ZMRQ"."SYS_TASK"."ROUTE_IP" IS '路由地址进行跳转';
COMMENT ON COLUMN "ZMRQ"."SYS_TASK"."STATUS" IS '处理状态：0待完成，1已完成';
COMMENT ON COLUMN "ZMRQ"."SYS_TASK"."HANDLE_TIME" IS '处理时间';
COMMENT ON COLUMN "ZMRQ"."SYS_TASK"."HANDLE_USER" IS '处理人ID';
COMMENT ON COLUMN "ZMRQ"."SYS_TASK"."START_TIME" IS '任务开始时间';
COMMENT ON COLUMN "ZMRQ"."SYS_TASK"."END_TIME" IS '任务结束时间';
COMMENT ON COLUMN "ZMRQ"."SYS_TASK"."ROUTE_APP_IP" IS 'APP路由地址进行跳转';
COMMENT ON COLUMN "ZMRQ"."SYS_TASK"."SORT" IS '排序';
COMMENT ON COLUMN "ZMRQ"."SYS_TASK"."TENANT_ID" IS '租户ID';
COMMENT ON COLUMN "ZMRQ"."SYS_TASK"."DELETED" IS '逻辑删除，1删除，0不删除';
COMMENT ON COLUMN "ZMRQ"."SYS_TASK"."CREATE_TIME" IS '创建时间';
COMMENT ON COLUMN "ZMRQ"."SYS_TASK"."CREATE_USER" IS '创建人';
COMMENT ON COLUMN "ZMRQ"."SYS_TASK"."UPDATE_TIME" IS '更新时间';
COMMENT ON COLUMN "ZMRQ"."SYS_TASK"."UPDATE_USER" IS '修改人';
COMMENT ON TABLE "ZMRQ"."SYS_TASK" IS '系统任务待办';

-- ----------------------------
-- Records of SYS_TASK
-- ----------------------------
INSERT INTO "ZMRQ"."SYS_TASK" VALUES ('1565616680839868417', '新安装工程_现场勘测', '11', NULL, '0', 'TF_PROCESS_L', '1565215112469393410', 'xazgc|3;1559424501707382785|3', '0', NULL, '1', NULL, NULL, 'xazgc|3;1559424501707382785|3', NULL, '1', '0', TO_DATE('2022-09-02 16:24:39', 'SYYYY-MM-DD HH24:MI:SS'), '1', TO_DATE('2022-09-02 16:24:39', 'SYYYY-MM-DD HH24:MI:SS'), '1');
INSERT INTO "ZMRQ"."SYS_TASK" VALUES ('0', '测试测试', NULL, '0', '0', NULL, '0', NULL, '0', NULL, '0', NULL, NULL, NULL, '0', '1', '0', TO_DATE('2022-08-03 16:43:42', 'SYYYY-MM-DD HH24:MI:SS'), '1', TO_DATE('2022-08-03 16:43:42', 'SYYYY-MM-DD HH24:MI:SS'), '1');
INSERT INTO "ZMRQ"."SYS_TASK" VALUES ('1554749890062548994', '测试测试1', NULL, '0', '0', NULL, '0', NULL, '0', NULL, '0', NULL, NULL, NULL, '0', '1', '0', TO_DATE('2022-08-03 16:43:54', 'SYYYY-MM-DD HH24:MI:SS'), '1', TO_DATE('2022-08-03 16:43:54', 'SYYYY-MM-DD HH24:MI:SS'), '1');
INSERT INTO "ZMRQ"."SYS_TASK" VALUES ('1554749892780457985', '测试测试1', NULL, '0', '0', NULL, '0', NULL, '0', NULL, '0', NULL, NULL, NULL, '0', '1', '0', TO_DATE('2022-08-03 16:43:54', 'SYYYY-MM-DD HH24:MI:SS'), '1', TO_DATE('2022-08-03 16:43:54', 'SYYYY-MM-DD HH24:MI:SS'), '1');
INSERT INTO "ZMRQ"."SYS_TASK" VALUES ('1554749893548015617', '测试测试1', NULL, '0', '0', NULL, '0', NULL, '0', NULL, '0', NULL, NULL, NULL, '0', '1', '0', TO_DATE('2022-08-03 16:43:55', 'SYYYY-MM-DD HH24:MI:SS'), '1', TO_DATE('2022-08-03 16:43:55', 'SYYYY-MM-DD HH24:MI:SS'), '1');
INSERT INTO "ZMRQ"."SYS_TASK" VALUES ('1554749894311378945', '测试测试1', NULL, '0', '0', NULL, '0', NULL, '0', NULL, '0', NULL, NULL, NULL, '0', '1', '0', TO_DATE('2022-08-03 16:43:55', 'SYYYY-MM-DD HH24:MI:SS'), '1', TO_DATE('2022-08-03 16:43:55', 'SYYYY-MM-DD HH24:MI:SS'), '1');
INSERT INTO "ZMRQ"."SYS_TASK" VALUES ('1554749895074742273', '测试测试1', NULL, '0', '0', NULL, '0', NULL, '0', NULL, '0', NULL, NULL, NULL, '0', '1', '0', TO_DATE('2022-08-03 16:43:55', 'SYYYY-MM-DD HH24:MI:SS'), '1', TO_DATE('2022-08-03 16:43:55', 'SYYYY-MM-DD HH24:MI:SS'), '1');
INSERT INTO "ZMRQ"."SYS_TASK" VALUES ('1554749895737442305', '测试测试1', NULL, '0', '0', NULL, '0', NULL, '0', NULL, '0', NULL, NULL, NULL, '0', '1', '0', TO_DATE('2022-08-03 16:43:55', 'SYYYY-MM-DD HH24:MI:SS'), '1', TO_DATE('2022-08-03 16:43:55', 'SYYYY-MM-DD HH24:MI:SS'), '1');
INSERT INTO "ZMRQ"."SYS_TASK" VALUES ('1554749896408530945', '测试测试1', NULL, '0', '0', NULL, '0', NULL, '0', NULL, '0', NULL, NULL, NULL, '0', '1', '0', TO_DATE('2022-08-03 16:43:55', 'SYYYY-MM-DD HH24:MI:SS'), '1', TO_DATE('2022-08-03 16:43:55', 'SYYYY-MM-DD HH24:MI:SS'), '1');
INSERT INTO "ZMRQ"."SYS_TASK" VALUES ('1554749897071230978', '测试测试1', NULL, '0', '0', NULL, '0', NULL, '0', NULL, '0', NULL, NULL, NULL, '0', '1', '0', TO_DATE('2022-08-03 16:43:55', 'SYYYY-MM-DD HH24:MI:SS'), '1', TO_DATE('2022-08-03 16:43:55', 'SYYYY-MM-DD HH24:MI:SS'), '1');
INSERT INTO "ZMRQ"."SYS_TASK" VALUES ('1554749897704570882', '测试测试1', NULL, '0', '0', NULL, '0', NULL, '0', NULL, '0', NULL, NULL, NULL, '0', '1', '0', TO_DATE('2022-08-03 16:43:56', 'SYYYY-MM-DD HH24:MI:SS'), '1', TO_DATE('2022-08-03 16:43:56', 'SYYYY-MM-DD HH24:MI:SS'), '1');
INSERT INTO "ZMRQ"."SYS_TASK" VALUES ('1554749898421796866', '测试测试1', NULL, '0', '0', NULL, '0', NULL, '0', NULL, '0', NULL, NULL, NULL, '0', '1', '0', TO_DATE('2022-08-03 16:43:56', 'SYYYY-MM-DD HH24:MI:SS'), '1', TO_DATE('2022-08-03 16:43:56', 'SYYYY-MM-DD HH24:MI:SS'), '1');
INSERT INTO "ZMRQ"."SYS_TASK" VALUES ('1554749899126439938', '测试测试1', NULL, '0', '0', NULL, '0', NULL, '0', NULL, '0', NULL, NULL, NULL, '0', '1', '0', TO_DATE('2022-08-03 16:43:56', 'SYYYY-MM-DD HH24:MI:SS'), '1', TO_DATE('2022-08-03 16:43:56', 'SYYYY-MM-DD HH24:MI:SS'), '1');
INSERT INTO "ZMRQ"."SYS_TASK" VALUES ('1554749899826888706', '测试测试1', NULL, '0', '0', NULL, '0', NULL, '0', NULL, '0', NULL, NULL, NULL, '0', '1', '0', TO_DATE('2022-08-03 16:43:56', 'SYYYY-MM-DD HH24:MI:SS'), '1', TO_DATE('2022-08-03 16:43:56', 'SYYYY-MM-DD HH24:MI:SS'), '1');
INSERT INTO "ZMRQ"."SYS_TASK" VALUES ('1554749900573474817', '测试测试1', NULL, '0', '0', NULL, '0', NULL, '0', NULL, '0', NULL, NULL, NULL, '0', '1', '0', TO_DATE('2022-08-03 16:43:56', 'SYYYY-MM-DD HH24:MI:SS'), '1', TO_DATE('2022-08-03 16:43:56', 'SYYYY-MM-DD HH24:MI:SS'), '1');
INSERT INTO "ZMRQ"."SYS_TASK" VALUES ('1554749901320060929', '测试测试1', NULL, '0', '0', NULL, '0', NULL, '0', NULL, '0', NULL, NULL, NULL, '0', '1', '0', TO_DATE('2022-08-03 16:43:56', 'SYYYY-MM-DD HH24:MI:SS'), '1', TO_DATE('2022-08-03 16:43:56', 'SYYYY-MM-DD HH24:MI:SS'), '1');
INSERT INTO "ZMRQ"."SYS_TASK" VALUES ('1554749902007926786', '测试测试1', NULL, '0', '0', NULL, '0', NULL, '0', NULL, '0', NULL, NULL, NULL, '0', '1', '0', TO_DATE('2022-08-03 16:43:57', 'SYYYY-MM-DD HH24:MI:SS'), '1', TO_DATE('2022-08-03 16:43:57', 'SYYYY-MM-DD HH24:MI:SS'), '1');
INSERT INTO "ZMRQ"."SYS_TASK" VALUES ('1554749902771290113', '测试测试1', NULL, '0', '0', NULL, '0', NULL, '0', NULL, '0', NULL, NULL, NULL, '0', '1', '0', TO_DATE('2022-08-03 16:43:57', 'SYYYY-MM-DD HH24:MI:SS'), '1', TO_DATE('2022-08-03 16:43:57', 'SYYYY-MM-DD HH24:MI:SS'), '1');
INSERT INTO "ZMRQ"."SYS_TASK" VALUES ('1554749903459155970', '测试测试1', NULL, '0', '0', NULL, '0', NULL, '0', NULL, '0', NULL, NULL, NULL, '0', '1', '0', TO_DATE('2022-08-03 16:43:57', 'SYYYY-MM-DD HH24:MI:SS'), '1', TO_DATE('2022-08-03 16:43:57', 'SYYYY-MM-DD HH24:MI:SS'), '1');
INSERT INTO "ZMRQ"."SYS_TASK" VALUES ('1554749904126050306', '测试测试1', NULL, '0', '0', NULL, '0', NULL, '0', NULL, '0', NULL, NULL, NULL, '0', '1', '0', TO_DATE('2022-08-03 16:43:57', 'SYYYY-MM-DD HH24:MI:SS'), '1', TO_DATE('2022-08-03 16:43:57', 'SYYYY-MM-DD HH24:MI:SS'), '1');
INSERT INTO "ZMRQ"."SYS_TASK" VALUES ('1554749921268170754', '测试测试2', NULL, '0', '0', NULL, '0', NULL, '0', NULL, '0', NULL, NULL, NULL, '0', '1', '0', TO_DATE('2022-08-03 16:44:01', 'SYYYY-MM-DD HH24:MI:SS'), '1', TO_DATE('2022-08-03 16:44:01', 'SYYYY-MM-DD HH24:MI:SS'), '1');
INSERT INTO "ZMRQ"."SYS_TASK" VALUES ('1554749922014756866', '测试测试2', NULL, '0', '0', NULL, '0', NULL, '0', NULL, '0', NULL, NULL, NULL, '0', '1', '0', TO_DATE('2022-08-03 16:44:01', 'SYYYY-MM-DD HH24:MI:SS'), '1', TO_DATE('2022-08-03 16:44:01', 'SYYYY-MM-DD HH24:MI:SS'), '1');
INSERT INTO "ZMRQ"."SYS_TASK" VALUES ('1554749922614542337', '测试测试2', NULL, '0', '0', NULL, '0', NULL, '0', NULL, '0', NULL, NULL, NULL, '0', '1', '0', TO_DATE('2022-08-03 16:44:02', 'SYYYY-MM-DD HH24:MI:SS'), '1', TO_DATE('2022-08-03 16:44:02', 'SYYYY-MM-DD HH24:MI:SS'), '1');
INSERT INTO "ZMRQ"."SYS_TASK" VALUES ('1554749923407265794', '测试测试2', NULL, '0', '0', NULL, '0', NULL, '0', NULL, '0', NULL, NULL, NULL, '0', '1', '0', TO_DATE('2022-08-03 16:44:02', 'SYYYY-MM-DD HH24:MI:SS'), '1', TO_DATE('2022-08-03 16:44:02', 'SYYYY-MM-DD HH24:MI:SS'), '1');
INSERT INTO "ZMRQ"."SYS_TASK" VALUES ('1554749924120297473', '测试测试2', NULL, '0', '0', NULL, '0', NULL, '0', NULL, '0', NULL, NULL, NULL, '0', '1', '0', TO_DATE('2022-08-03 16:44:02', 'SYYYY-MM-DD HH24:MI:SS'), '1', TO_DATE('2022-08-03 16:44:02', 'SYYYY-MM-DD HH24:MI:SS'), '1');
INSERT INTO "ZMRQ"."SYS_TASK" VALUES ('1554749924862689281', '测试测试2', NULL, '0', '0', NULL, '0', NULL, '0', NULL, '0', NULL, NULL, NULL, '0', '1', '0', TO_DATE('2022-08-03 16:44:02', 'SYYYY-MM-DD HH24:MI:SS'), '1', TO_DATE('2022-08-03 16:44:02', 'SYYYY-MM-DD HH24:MI:SS'), '1');
INSERT INTO "ZMRQ"."SYS_TASK" VALUES ('1554749925600886785', '测试测试2', NULL, '0', '0', NULL, '0', NULL, '0', NULL, '0', NULL, NULL, NULL, '0', '1', '0', TO_DATE('2022-08-03 16:44:02', 'SYYYY-MM-DD HH24:MI:SS'), '1', TO_DATE('2022-08-03 16:44:02', 'SYYYY-MM-DD HH24:MI:SS'), '1');
INSERT INTO "ZMRQ"."SYS_TASK" VALUES ('1554749926368444417', '测试测试2', NULL, '0', '0', NULL, '0', NULL, '0', NULL, '0', NULL, NULL, NULL, '0', '1', '0', TO_DATE('2022-08-03 16:44:02', 'SYYYY-MM-DD HH24:MI:SS'), '1', TO_DATE('2022-08-03 16:44:02', 'SYYYY-MM-DD HH24:MI:SS'), '1');
INSERT INTO "ZMRQ"."SYS_TASK" VALUES ('1554749927085670401', '测试测试2', NULL, '0', '0', NULL, '0', NULL, '0', NULL, '0', NULL, NULL, NULL, '0', '1', '0', TO_DATE('2022-08-03 16:44:03', 'SYYYY-MM-DD HH24:MI:SS'), '1', TO_DATE('2022-08-03 16:44:03', 'SYYYY-MM-DD HH24:MI:SS'), '1');
INSERT INTO "ZMRQ"."SYS_TASK" VALUES ('1554749927853228034', '测试测试2', NULL, '0', '0', NULL, '0', NULL, '0', NULL, '0', NULL, NULL, NULL, '0', '1', '0', TO_DATE('2022-08-03 16:44:03', 'SYYYY-MM-DD HH24:MI:SS'), '1', TO_DATE('2022-08-03 16:44:03', 'SYYYY-MM-DD HH24:MI:SS'), '1');
INSERT INTO "ZMRQ"."SYS_TASK" VALUES ('1554749928654340098', '测试测试2', NULL, '0', '0', NULL, '0', NULL, '0', NULL, '0', NULL, NULL, NULL, '0', '1', '0', TO_DATE('2022-08-03 16:44:03', 'SYYYY-MM-DD HH24:MI:SS'), '1', TO_DATE('2022-08-03 16:44:03', 'SYYYY-MM-DD HH24:MI:SS'), '1');
INSERT INTO "ZMRQ"."SYS_TASK" VALUES ('1565634829752659970', '新安装工程_任务分配', '11', NULL, '0', 'TF_PROCESS_L', '1565631350208364546', 'xazgc|2;1559424501707382785|2', '0', NULL, NULL, NULL, NULL, 'xazgc|2;1559424501707382785|2', NULL, '1', '0', TO_DATE('2022-09-02 17:36:46', 'SYYYY-MM-DD HH24:MI:SS'), '1', TO_DATE('2022-09-02 17:36:46', 'SYYYY-MM-DD HH24:MI:SS'), '1');
INSERT INTO "ZMRQ"."SYS_TASK" VALUES ('1557283902949691394', '推送任务啦', NULL, '0', '0', NULL, '0', NULL, '0', NULL, '0', NULL, NULL, NULL, '0', '1', '0', TO_DATE('2022-08-10 16:33:10', 'SYYYY-MM-DD HH24:MI:SS'), '2', TO_DATE('2022-08-10 16:33:10', 'SYYYY-MM-DD HH24:MI:SS'), '2');
INSERT INTO "ZMRQ"."SYS_TASK" VALUES ('1565170686044909569', '新安装工程_任务分配', '11', NULL, '0', 'TF_PROCESS_L', '1565159213251891202', 'xazgc|2;1559424501707382785|2', '0', NULL, '1', NULL, NULL, 'xazgc|2;1559424501707382785|2', NULL, '1', '0', TO_DATE('2022-09-01 10:52:25', 'SYYYY-MM-DD HH24:MI:SS'), '1', TO_DATE('2022-09-01 10:52:25', 'SYYYY-MM-DD HH24:MI:SS'), '1');
INSERT INTO "ZMRQ"."SYS_TASK" VALUES ('1565185714911424514', '新安装工程_任务分配', '11', NULL, '0', 'TF_PROCESS_L', '1565185175112777730', 'xazgc|2;1559424501707382785|2', '0', NULL, '1', NULL, NULL, 'xazgc|2;1559424501707382785|2', NULL, '1', '0', TO_DATE('2022-09-01 11:52:08', 'SYYYY-MM-DD HH24:MI:SS'), '1', TO_DATE('2022-09-01 11:52:08', 'SYYYY-MM-DD HH24:MI:SS'), '1');
INSERT INTO "ZMRQ"."SYS_TASK" VALUES ('1565213556810428417', '新安装工程_任务分配', '11', NULL, '0', 'TF_PROCESS_L', '1565213203985465345', 'xazgc|2;1559424501707382785|2', '0', NULL, '1', NULL, NULL, 'xazgc|2;1559424501707382785|2', NULL, '1', '0', TO_DATE('2022-09-01 13:42:46', 'SYYYY-MM-DD HH24:MI:SS'), '1', TO_DATE('2022-09-01 13:42:46', 'SYYYY-MM-DD HH24:MI:SS'), '1');
INSERT INTO "ZMRQ"."SYS_TASK" VALUES ('1565215478917345281', '新安装工程_任务分配', '11', NULL, '0', 'TF_PROCESS_L', '1565215112469393410', 'xazgc|2;1559424501707382785|2', '0', NULL, '1', NULL, NULL, 'xazgc|2;1559424501707382785|2', NULL, '1', '0', TO_DATE('2022-09-01 13:50:25', 'SYYYY-MM-DD HH24:MI:SS'), '1', TO_DATE('2022-09-01 13:50:25', 'SYYYY-MM-DD HH24:MI:SS'), '1');
INSERT INTO "ZMRQ"."SYS_TASK" VALUES ('1569617179402543106', '新安装工程_任务分配', '11', NULL, '0', 'TF_PROCESS_L', '1569616564261691393', 'xazgc|2;1559424501707382785|2', '0', NULL, '1', NULL, NULL, 'xazgc|2;1559424501707382785|2', NULL, '1', '0', TO_DATE('2022-09-13 17:21:12', 'SYYYY-MM-DD HH24:MI:SS'), '1', TO_DATE('2022-09-13 17:21:12', 'SYYYY-MM-DD HH24:MI:SS'), '1');
INSERT INTO "ZMRQ"."SYS_TASK" VALUES ('1569617586866593793', '新安装工程_现场勘测', '11', NULL, '0', 'TF_PROCESS_L', '1569616564261691393', 'xazgc|3;1559424501707382785|3', '0', NULL, '1', NULL, NULL, 'xazgc|3;1559424501707382785|3', NULL, '1', '0', TO_DATE('2022-09-13 17:22:49', 'SYYYY-MM-DD HH24:MI:SS'), '1', TO_DATE('2022-09-13 17:22:49', 'SYYYY-MM-DD HH24:MI:SS'), '1');

-- ----------------------------
-- Table structure for SYS_TENANT
-- ----------------------------
DROP TABLE "ZMRQ"."SYS_TENANT";
CREATE TABLE "ZMRQ"."SYS_TENANT" (
  "ID" NUMBER(20,0) NOT NULL,
  "NAME" VARCHAR2(300 BYTE) NOT NULL,
  "DESCRIBE" VARCHAR2(500 BYTE),
  "CODE" VARCHAR2(300 BYTE),
  "REALM" VARCHAR2(300 BYTE),
  "ADDR" VARCHAR2(500 BYTE),
  "TYPE" VARCHAR2(300 BYTE),
  "PARENT_ID" NUMBER(20,0) DEFAULT 0 NOT NULL,
  "ACTIVE" NUMBER(1,0) DEFAULT 1,
  "SIMPLE_NAME" VARCHAR2(300 BYTE),
  "BANK_ACCOUNT" VARCHAR2(300 BYTE),
  "BANK_NUMBER" VARCHAR2(300 BYTE),
  "PHONE" VARCHAR2(300 BYTE),
  "SORT" NUMBER(15,0),
  "DELETED" NUMBER(1,0) DEFAULT 0 NOT NULL,
  "CREATE_TIME" DATE,
  "CREATE_USER" NUMBER(20,0),
  "UPDATE_TIME" DATE,
  "UPDATE_USER" NUMBER(20,0)
)
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "ZMRQ"."SYS_TENANT"."ID" IS '主键ID';
COMMENT ON COLUMN "ZMRQ"."SYS_TENANT"."NAME" IS '公司名称';
COMMENT ON COLUMN "ZMRQ"."SYS_TENANT"."DESCRIBE" IS '描述';
COMMENT ON COLUMN "ZMRQ"."SYS_TENANT"."CODE" IS '编码';
COMMENT ON COLUMN "ZMRQ"."SYS_TENANT"."REALM" IS '域名';
COMMENT ON COLUMN "ZMRQ"."SYS_TENANT"."ADDR" IS '地址';
COMMENT ON COLUMN "ZMRQ"."SYS_TENANT"."TYPE" IS '类型';
COMMENT ON COLUMN "ZMRQ"."SYS_TENANT"."PARENT_ID" IS '父级ID';
COMMENT ON COLUMN "ZMRQ"."SYS_TENANT"."ACTIVE" IS '是否启用禁用 1启用 0禁用';
COMMENT ON COLUMN "ZMRQ"."SYS_TENANT"."SIMPLE_NAME" IS '公司简称';
COMMENT ON COLUMN "ZMRQ"."SYS_TENANT"."BANK_ACCOUNT" IS '开户行';
COMMENT ON COLUMN "ZMRQ"."SYS_TENANT"."BANK_NUMBER" IS '银行卡号';
COMMENT ON COLUMN "ZMRQ"."SYS_TENANT"."PHONE" IS '联系电话';
COMMENT ON COLUMN "ZMRQ"."SYS_TENANT"."SORT" IS '排序';
COMMENT ON COLUMN "ZMRQ"."SYS_TENANT"."DELETED" IS '逻辑删除，1删除，0不删除';
COMMENT ON COLUMN "ZMRQ"."SYS_TENANT"."CREATE_TIME" IS '创建时间';
COMMENT ON COLUMN "ZMRQ"."SYS_TENANT"."CREATE_USER" IS '创建人';
COMMENT ON COLUMN "ZMRQ"."SYS_TENANT"."UPDATE_TIME" IS '更新时间';
COMMENT ON COLUMN "ZMRQ"."SYS_TENANT"."UPDATE_USER" IS '修改人';
COMMENT ON TABLE "ZMRQ"."SYS_TENANT" IS '系统公司表';

-- ----------------------------
-- Records of SYS_TENANT
-- ----------------------------
INSERT INTO "ZMRQ"."SYS_TENANT" VALUES ('1559439416258174978', '绵竹燃气', NULL, NULL, NULL, NULL, '0', '1', '1', '绵竹燃气', NULL, NULL, '13236415123', '0', '1', TO_DATE('2022-08-16 15:18:24', 'SYYYY-MM-DD HH24:MI:SS'), '1', TO_DATE('2022-09-12 11:47:29', 'SYYYY-MM-DD HH24:MI:SS'), '1562707353475338242');
INSERT INTO "ZMRQ"."SYS_TENANT" VALUES ('1574584866069651457', '子公司', NULL, NULL, NULL, NULL, '0', '1574584701334167553', '1', NULL, NULL, NULL, NULL, NULL, '1', TO_DATE('2022-09-27 10:21:01', 'SYYYY-MM-DD HH24:MI:SS'), '1', TO_DATE('2022-09-27 10:21:01', 'SYYYY-MM-DD HH24:MI:SS'), '1');
INSERT INTO "ZMRQ"."SYS_TENANT" VALUES ('1574644518840958977', '潼南子公司', NULL, NULL, NULL, NULL, '0', '1570225246022770689', '1', NULL, NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-27 14:18:03', 'SYYYY-MM-DD HH24:MI:SS'), '1574204813473345537', TO_DATE('2022-09-28 15:45:55', 'SYYYY-MM-DD HH24:MI:SS'), '1575021278879408130');
INSERT INTO "ZMRQ"."SYS_TENANT" VALUES ('1574644645622185986', 'sss', NULL, NULL, NULL, NULL, '0', '1569602913205559298', '1', NULL, NULL, NULL, NULL, NULL, '1', TO_DATE('2022-09-27 14:18:33', 'SYYYY-MM-DD HH24:MI:SS'), '1562707353475338242', TO_DATE('2022-09-27 14:18:33', 'SYYYY-MM-DD HH24:MI:SS'), '1562707353475338242');
INSERT INTO "ZMRQ"."SYS_TENANT" VALUES ('1574662735571554306', '绵竹三级子公司', NULL, NULL, NULL, NULL, '0', '1569602913205559298', '1', NULL, NULL, NULL, NULL, NULL, '1', TO_DATE('2022-09-27 15:30:26', 'SYYYY-MM-DD HH24:MI:SS'), '1573210716168110082', TO_DATE('2022-09-27 15:30:26', 'SYYYY-MM-DD HH24:MI:SS'), '1573210716168110082');
INSERT INTO "ZMRQ"."SYS_TENANT" VALUES ('1574663614760587265', '绵竹子公司', NULL, NULL, NULL, NULL, '0', '1569602913205559298', '1', NULL, NULL, NULL, NULL, NULL, '1', TO_DATE('2022-09-27 15:33:56', 'SYYYY-MM-DD HH24:MI:SS'), '1', TO_DATE('2022-09-27 15:33:56', 'SYYYY-MM-DD HH24:MI:SS'), '1');
INSERT INTO "ZMRQ"."SYS_TENANT" VALUES ('1574671682785349634', '潼南子公司2', NULL, NULL, NULL, NULL, '0', '1570225246022770689', '1', NULL, NULL, NULL, NULL, NULL, '1', TO_DATE('2022-09-27 16:05:59', 'SYYYY-MM-DD HH24:MI:SS'), '1574204813473345537', TO_DATE('2022-09-27 16:05:59', 'SYYYY-MM-DD HH24:MI:SS'), '1574204813473345537');
INSERT INTO "ZMRQ"."SYS_TENANT" VALUES ('1575410295978401793', '3242324232423242324232423242324232423242324232423242324232423242324232423242324232423242324232423242', NULL, '3242', NULL, 'v324232423242324232423242324232423242324232423242324232423242324232423242324232423242324232423242324', '0', '1569216846182748162', '1', '3242324232423242324232423242324232423242324232423242324232423242324232423242324232423242324232423242', '3242324232423242324232423242324232423242324232423242324232423242324232423242324232423242324232423242', '3242324232423242324232423242324232423242324232423242324232423242324232423242324232423242324232423242', '3242324232423242324232423242324232423242324232423242324232423242324232423242324232423242324232423242', NULL, '1', TO_DATE('2022-09-29 17:00:58', 'SYYYY-MM-DD HH24:MI:SS'), '1574940855788646402', TO_DATE('2022-09-29 17:01:02', 'SYYYY-MM-DD HH24:MI:SS'), '1574940855788646402');
INSERT INTO "ZMRQ"."SYS_TENANT" VALUES ('1', '集团公司', NULL, NULL, NULL, '测试地址', '0', '0', '1', '大集团公司', NULL, NULL, NULL, '0', '0', TO_DATE('2022-08-03 16:37:57', 'SYYYY-MM-DD HH24:MI:SS'), '1', TO_DATE('2022-09-28 15:43:00', 'SYYYY-MM-DD HH24:MI:SS'), '1574945313813704706');
INSERT INTO "ZMRQ"."SYS_TENANT" VALUES ('1569152821327564802', '同飞科技(总公司)', NULL, NULL, NULL, '青羊中坝', '0', '0', '1', '同飞', NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-12 10:36:00', 'SYYYY-MM-DD HH24:MI:SS'), '1562707353475338242', TO_DATE('2022-09-16 16:03:45', 'SYYYY-MM-DD HH24:MI:SS'), '1562707661060427778');
INSERT INTO "ZMRQ"."SYS_TENANT" VALUES ('1569216846182748162', '盐亭中民燃气', NULL, NULL, NULL, NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-12 14:50:25', 'SYYYY-MM-DD HH24:MI:SS'), '1569214798926188546', TO_DATE('2022-09-28 10:43:59', 'SYYYY-MM-DD HH24:MI:SS'), '1574945313813704706');
INSERT INTO "ZMRQ"."SYS_TENANT" VALUES ('1569626101922734081', '文', NULL, NULL, NULL, NULL, '0', '0', '1', NULL, NULL, NULL, '的', NULL, '1', TO_DATE('2022-09-13 17:56:39', 'SYYYY-MM-DD HH24:MI:SS'), '1562707661060427778', TO_DATE('2022-09-13 17:56:39', 'SYYYY-MM-DD HH24:MI:SS'), '1562707661060427778');
INSERT INTO "ZMRQ"."SYS_TENANT" VALUES ('1570225246022770689', '潼南中民燃气', NULL, NULL, NULL, NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-15 09:37:26', 'SYYYY-MM-DD HH24:MI:SS'), '1569490064726630401', TO_DATE('2022-09-28 16:24:29', 'SYYYY-MM-DD HH24:MI:SS'), '1574204813473345537');
INSERT INTO "ZMRQ"."SYS_TENANT" VALUES ('1572125584594120706', '测试公司', NULL, NULL, NULL, NULL, '0', '1569602913205559298', '1', NULL, NULL, NULL, NULL, NULL, '1', TO_DATE('2022-09-20 15:28:42', 'SYYYY-MM-DD HH24:MI:SS'), '1571786458174857218', TO_DATE('2022-09-20 15:28:42', 'SYYYY-MM-DD HH24:MI:SS'), '1571786458174857218');
INSERT INTO "ZMRQ"."SYS_TENANT" VALUES ('1574579480314880001', '测试一个公司', NULL, NULL, NULL, NULL, '0', '0', '1', NULL, NULL, NULL, NULL, NULL, '1', TO_DATE('2022-09-27 09:59:37', 'SYYYY-MM-DD HH24:MI:SS'), '1', TO_DATE('2022-09-27 09:59:37', 'SYYYY-MM-DD HH24:MI:SS'), '1');
INSERT INTO "ZMRQ"."SYS_TENANT" VALUES ('1574580355460603905', '测试公司', NULL, NULL, NULL, NULL, '0', '0', '1', NULL, NULL, NULL, NULL, NULL, '1', TO_DATE('2022-09-27 10:03:05', 'SYYYY-MM-DD HH24:MI:SS'), '1', TO_DATE('2022-09-27 10:03:05', 'SYYYY-MM-DD HH24:MI:SS'), '1');
INSERT INTO "ZMRQ"."SYS_TENANT" VALUES ('1574584638222475266', '测试公司', NULL, NULL, NULL, NULL, '0', '0', '1', NULL, NULL, NULL, NULL, NULL, '1', TO_DATE('2022-09-27 10:20:06', 'SYYYY-MM-DD HH24:MI:SS'), '1', TO_DATE('2022-09-27 10:20:06', 'SYYYY-MM-DD HH24:MI:SS'), '1');
INSERT INTO "ZMRQ"."SYS_TENANT" VALUES ('1574584701334167553', '子公司', NULL, NULL, NULL, '测试地址', '0', '1574584638222475266', '1', NULL, NULL, NULL, NULL, NULL, '1', TO_DATE('2022-09-27 10:20:21', 'SYYYY-MM-DD HH24:MI:SS'), '1', TO_DATE('2022-09-27 10:22:01', 'SYYYY-MM-DD HH24:MI:SS'), '1');
INSERT INTO "ZMRQ"."SYS_TENANT" VALUES ('1574588563067609090', '测试公司', NULL, NULL, NULL, NULL, '0', '0', '1', NULL, NULL, NULL, NULL, NULL, '1', TO_DATE('2022-09-27 10:35:42', 'SYYYY-MM-DD HH24:MI:SS'), '1562707353475338242', TO_DATE('2022-09-27 10:35:42', 'SYYYY-MM-DD HH24:MI:SS'), '1562707353475338242');
INSERT INTO "ZMRQ"."SYS_TENANT" VALUES ('1574588676133462018', '测试公司', NULL, NULL, NULL, NULL, '0', '1569602913205559298', '1', NULL, NULL, NULL, NULL, NULL, '1', TO_DATE('2022-09-27 10:36:09', 'SYYYY-MM-DD HH24:MI:SS'), '1562707353475338242', TO_DATE('2022-09-27 10:36:09', 'SYYYY-MM-DD HH24:MI:SS'), '1562707353475338242');
INSERT INTO "ZMRQ"."SYS_TENANT" VALUES ('1569602913205559298', '绵竹中民燃气有限公司', NULL, '45115427-9', NULL, '四川省德阳市绵竹市南京大道60号', '0', '1', '1', '绵竹中民', '建设银行绵竹支行', '51001647226050671261', '0838-6202631', NULL, '0', TO_DATE('2022-09-13 16:24:30', 'SYYYY-MM-DD HH24:MI:SS'), '1562707661060427778', TO_DATE('2022-09-29 16:36:33', 'SYYYY-MM-DD HH24:MI:SS'), '1574945313813704706');
INSERT INTO "ZMRQ"."SYS_TENANT" VALUES ('1569608202059325442', '23', NULL, NULL, NULL, NULL, '0', '0', '1', NULL, NULL, NULL, NULL, NULL, '1', TO_DATE('2022-09-13 16:45:31', 'SYYYY-MM-DD HH24:MI:SS'), '1562707661060427778', TO_DATE('2022-09-13 16:45:31', 'SYYYY-MM-DD HH24:MI:SS'), '1562707661060427778');
INSERT INTO "ZMRQ"."SYS_TENANT" VALUES ('1569608653022502914', '23', NULL, NULL, NULL, NULL, '0', '0', '1', NULL, NULL, NULL, NULL, NULL, '1', TO_DATE('2022-09-13 16:47:19', 'SYYYY-MM-DD HH24:MI:SS'), '1562707661060427778', TO_DATE('2022-09-13 16:47:19', 'SYYYY-MM-DD HH24:MI:SS'), '1562707661060427778');
INSERT INTO "ZMRQ"."SYS_TENANT" VALUES ('1575029703222878209', '潼南子公司下的子公司', NULL, NULL, NULL, NULL, '0', '1574644518840958977', '1', NULL, NULL, NULL, NULL, NULL, '0', TO_DATE('2022-09-28 15:48:38', 'SYYYY-MM-DD HH24:MI:SS'), '1575021278879408130', TO_DATE('2022-10-08 11:56:45', 'SYYYY-MM-DD HH24:MI:SS'), '1574945313813704706');
INSERT INTO "ZMRQ"."SYS_TENANT" VALUES ('1575029754871537666', '潼南子公司的子公司', NULL, NULL, NULL, NULL, '0', '1574644518840958977', '1', NULL, NULL, NULL, NULL, NULL, '1', TO_DATE('2022-09-28 15:48:50', 'SYYYY-MM-DD HH24:MI:SS'), '1575021278879408130', TO_DATE('2022-10-08 11:56:56', 'SYYYY-MM-DD HH24:MI:SS'), '1574945313813704706');
INSERT INTO "ZMRQ"."SYS_TENANT" VALUES ('1575029819602231298', '潼南子公司下的子公司', NULL, NULL, NULL, NULL, '0', '1574644518840958977', '1', NULL, NULL, NULL, NULL, NULL, '1', TO_DATE('2022-09-28 15:49:06', 'SYYYY-MM-DD HH24:MI:SS'), '1575021278879408130', TO_DATE('2022-10-08 11:57:10', 'SYYYY-MM-DD HH24:MI:SS'), '1574945313813704706');
INSERT INTO "ZMRQ"."SYS_TENANT" VALUES ('1569609163213447170', '3232', NULL, NULL, NULL, NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, '1', TO_DATE('2022-09-13 16:49:21', 'SYYYY-MM-DD HH24:MI:SS'), '1562707661060427778', TO_DATE('2022-09-13 16:49:21', 'SYYYY-MM-DD HH24:MI:SS'), '1562707661060427778');
INSERT INTO "ZMRQ"."SYS_TENANT" VALUES ('1569609362107342850', 'ewewewew', NULL, NULL, NULL, NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, '1', TO_DATE('2022-09-13 16:50:08', 'SYYYY-MM-DD HH24:MI:SS'), '1562707661060427778', TO_DATE('2022-09-13 16:50:08', 'SYYYY-MM-DD HH24:MI:SS'), '1562707661060427778');
INSERT INTO "ZMRQ"."SYS_TENANT" VALUES ('1569622830445305857', '中民燃气', NULL, NULL, NULL, NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, '1', TO_DATE('2022-09-13 17:43:39', 'SYYYY-MM-DD HH24:MI:SS'), '1562707661060427778', TO_DATE('2022-09-13 17:43:39', 'SYYYY-MM-DD HH24:MI:SS'), '1562707661060427778');
INSERT INTO "ZMRQ"."SYS_TENANT" VALUES ('1569622849156096001', '中民燃气', NULL, NULL, NULL, NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, '1', TO_DATE('2022-09-13 17:43:44', 'SYYYY-MM-DD HH24:MI:SS'), '1562707661060427778', TO_DATE('2022-09-13 17:43:44', 'SYYYY-MM-DD HH24:MI:SS'), '1562707661060427778');
INSERT INTO "ZMRQ"."SYS_TENANT" VALUES ('1569622886607036418', '中民燃气', NULL, NULL, NULL, NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, '1', TO_DATE('2022-09-13 17:43:53', 'SYYYY-MM-DD HH24:MI:SS'), '1562707661060427778', TO_DATE('2022-09-13 17:43:53', 'SYYYY-MM-DD HH24:MI:SS'), '1562707661060427778');
INSERT INTO "ZMRQ"."SYS_TENANT" VALUES ('1570684909436633089', '子公司', NULL, NULL, NULL, NULL, '0', '1569152821327564802', '1', NULL, NULL, NULL, NULL, NULL, '1', TO_DATE('2022-09-16 16:03:58', 'SYYYY-MM-DD HH24:MI:SS'), '1562707661060427778', TO_DATE('2022-09-16 16:03:58', 'SYYYY-MM-DD HH24:MI:SS'), '1562707661060427778');
INSERT INTO "ZMRQ"."SYS_TENANT" VALUES ('1575028552628822017', '2132', NULL, '3232', NULL, '323', '0', '1574644518840958977', '1', '3232', '323', '3232', '323', NULL, '1', TO_DATE('2022-09-28 15:44:04', 'SYYYY-MM-DD HH24:MI:SS'), '1575021278879408130', TO_DATE('2022-09-28 15:44:09', 'SYYYY-MM-DD HH24:MI:SS'), '1575021278879408130');
INSERT INTO "ZMRQ"."SYS_TENANT" VALUES ('1569620933881700353', '1', NULL, NULL, NULL, NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, '1', TO_DATE('2022-09-13 17:36:07', 'SYYYY-MM-DD HH24:MI:SS'), '1562707661060427778', TO_DATE('2022-09-13 17:36:07', 'SYYYY-MM-DD HH24:MI:SS'), '1562707661060427778');
INSERT INTO "ZMRQ"."SYS_TENANT" VALUES ('1569628738655166465', '你好你好你好你好你好你好你好你', NULL, NULL, NULL, ' 额威威', '0', '0', '1', '二位你好你好你好你好你好你好', '我认为', '热污染', 'eqeq', NULL, '1', TO_DATE('2022-09-13 18:07:08', 'SYYYY-MM-DD HH24:MI:SS'), '1562707661060427778', TO_DATE('2022-09-13 18:12:26', 'SYYYY-MM-DD HH24:MI:SS'), '1562707661060427778');
INSERT INTO "ZMRQ"."SYS_TENANT" VALUES ('1569855136397336578', '中民燃气', NULL, NULL, NULL, NULL, '0', '0', '1', NULL, NULL, NULL, NULL, NULL, '1', TO_DATE('2022-09-14 09:06:45', 'SYYYY-MM-DD HH24:MI:SS'), '1562707661060427778', TO_DATE('2022-09-14 09:06:45', 'SYYYY-MM-DD HH24:MI:SS'), '1562707661060427778');
INSERT INTO "ZMRQ"."SYS_TENANT" VALUES ('1569855196866617345', '中民燃气', NULL, NULL, NULL, NULL, '0', '1', '1', NULL, NULL, NULL, NULL, NULL, '1', TO_DATE('2022-09-14 09:07:00', 'SYYYY-MM-DD HH24:MI:SS'), '1562707661060427778', TO_DATE('2022-09-14 09:07:00', 'SYYYY-MM-DD HH24:MI:SS'), '1562707661060427778');
INSERT INTO "ZMRQ"."SYS_TENANT" VALUES ('1569855472025542658', '同飞科技子公司', NULL, NULL, NULL, NULL, '0', '1569152821327564802', '1', NULL, NULL, NULL, NULL, NULL, '1', TO_DATE('2022-09-14 09:08:05', 'SYYYY-MM-DD HH24:MI:SS'), '1562707661060427778', TO_DATE('2022-09-14 09:08:05', 'SYYYY-MM-DD HH24:MI:SS'), '1562707661060427778');
INSERT INTO "ZMRQ"."SYS_TENANT" VALUES ('1572145400574910466', '1', NULL, NULL, NULL, NULL, '0', '0', '1', NULL, NULL, NULL, NULL, NULL, '1', TO_DATE('2022-09-20 16:47:27', 'SYYYY-MM-DD HH24:MI:SS'), '1572139598602600449', TO_DATE('2022-09-20 16:47:27', 'SYYYY-MM-DD HH24:MI:SS'), '1572139598602600449');
INSERT INTO "ZMRQ"."SYS_TENANT" VALUES ('1574581123337003010', '测试公司', NULL, NULL, NULL, NULL, '0', '0', '1', NULL, NULL, NULL, NULL, NULL, '1', TO_DATE('2022-09-27 10:06:08', 'SYYYY-MM-DD HH24:MI:SS'), '1', TO_DATE('2022-09-27 10:06:08', 'SYYYY-MM-DD HH24:MI:SS'), '1');
INSERT INTO "ZMRQ"."SYS_TENANT" VALUES ('1574642001675550722', '213', NULL, '23232', NULL, NULL, '0', '1570225246022770689', '1', '11', NULL, NULL, NULL, NULL, '1', TO_DATE('2022-09-27 14:08:03', 'SYYYY-MM-DD HH24:MI:SS'), '1574204813473345537', TO_DATE('2022-09-27 14:08:03', 'SYYYY-MM-DD HH24:MI:SS'), '1574204813473345537');
INSERT INTO "ZMRQ"."SYS_TENANT" VALUES ('1574642948074110978', 'sss', NULL, NULL, NULL, NULL, '0', '0', '1', NULL, NULL, NULL, NULL, NULL, '1', TO_DATE('2022-09-27 14:11:48', 'SYYYY-MM-DD HH24:MI:SS'), '1562707353475338242', TO_DATE('2022-09-27 14:11:48', 'SYYYY-MM-DD HH24:MI:SS'), '1562707353475338242');

-- ----------------------------
-- Table structure for SYS_TENANT_RESOURCE
-- ----------------------------
DROP TABLE "ZMRQ"."SYS_TENANT_RESOURCE";
CREATE TABLE "ZMRQ"."SYS_TENANT_RESOURCE" (
  "ID" NUMBER(20,0) NOT NULL,
  "RESOURCE_ID" NUMBER(20,0) NOT NULL,
  "TENANT_ID" NUMBER(20,0) DEFAULT 0 NOT NULL
)
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "ZMRQ"."SYS_TENANT_RESOURCE"."ID" IS '主键ID';
COMMENT ON COLUMN "ZMRQ"."SYS_TENANT_RESOURCE"."RESOURCE_ID" IS '资源ID';
COMMENT ON COLUMN "ZMRQ"."SYS_TENANT_RESOURCE"."TENANT_ID" IS '租户ID';
COMMENT ON TABLE "ZMRQ"."SYS_TENANT_RESOURCE" IS '公司资源关联表';

-- ----------------------------
-- Records of SYS_TENANT_RESOURCE
-- ----------------------------
INSERT INTO "ZMRQ"."SYS_TENANT_RESOURCE" VALUES ('1574696546057416706', '1574696142636675074', '1569602913205559298');
INSERT INTO "ZMRQ"."SYS_TENANT_RESOURCE" VALUES ('1574690976571191297', '1574655230502072322', '1574644518840958977');
INSERT INTO "ZMRQ"."SYS_TENANT_RESOURCE" VALUES ('1574690976579579905', '1569274813301202945', '1574644518840958977');
INSERT INTO "ZMRQ"."SYS_TENANT_RESOURCE" VALUES ('1574690976579579906', '1569275034173251586', '1574644518840958977');
INSERT INTO "ZMRQ"."SYS_TENANT_RESOURCE" VALUES ('1569611841419157505', '1569274762172637186', '1');
INSERT INTO "ZMRQ"."SYS_TENANT_RESOURCE" VALUES ('1569611841427546113', '1569274317278617602', '1');
INSERT INTO "ZMRQ"."SYS_TENANT_RESOURCE" VALUES ('1569611841427546114', '1569275034173251586', '1');
INSERT INTO "ZMRQ"."SYS_TENANT_RESOURCE" VALUES ('1569611841427546115', '1569274928522928129', '1');
INSERT INTO "ZMRQ"."SYS_TENANT_RESOURCE" VALUES ('1569611953063141378', '1569274151037378561', '1569152821327564802');
INSERT INTO "ZMRQ"."SYS_TENANT_RESOURCE" VALUES ('1569611953071529985', '1569274813301202945', '1569152821327564802');
INSERT INTO "ZMRQ"."SYS_TENANT_RESOURCE" VALUES ('1569611953071529986', '1569274762172637186', '1569152821327564802');
INSERT INTO "ZMRQ"."SYS_TENANT_RESOURCE" VALUES ('1569611953071529987', '1569274317278617602', '1569152821327564802');
INSERT INTO "ZMRQ"."SYS_TENANT_RESOURCE" VALUES ('1569611953071529988', '1569275034173251586', '1569152821327564802');
INSERT INTO "ZMRQ"."SYS_TENANT_RESOURCE" VALUES ('1569611953071529989', '1569274928522928129', '1569152821327564802');
INSERT INTO "ZMRQ"."SYS_TENANT_RESOURCE" VALUES ('1569611655250780162', '1569274151037378561', '1569216846182748162');
INSERT INTO "ZMRQ"."SYS_TENANT_RESOURCE" VALUES ('1569611655259168770', '1569274813301202945', '1569216846182748162');
INSERT INTO "ZMRQ"."SYS_TENANT_RESOURCE" VALUES ('1569611655259168771', '1569274762172637186', '1569216846182748162');
INSERT INTO "ZMRQ"."SYS_TENANT_RESOURCE" VALUES ('1572148030617427970', '1569274813301202945', '1572145400574910466');
INSERT INTO "ZMRQ"."SYS_TENANT_RESOURCE" VALUES ('1572420834747318274', '1569274762172637186', '1570684909436633089');

-- ----------------------------
-- Table structure for SYS_USER
-- ----------------------------
DROP TABLE "ZMRQ"."SYS_USER";
CREATE TABLE "ZMRQ"."SYS_USER" (
  "ID" NUMBER(20,0) NOT NULL,
  "USERNAME" VARCHAR2(64 BYTE) NOT NULL,
  "PASSWORD" VARCHAR2(255 BYTE) NOT NULL,
  "SALT" VARCHAR2(255 BYTE),
  "PHONE" VARCHAR2(20 BYTE),
  "AVATAR" VARCHAR2(255 BYTE),
  "LOCK_FLAG" NUMBER(1,0) DEFAULT 1,
  "ACTIVE" NUMBER(1,0) DEFAULT 1,
  "WX_OPENID" VARCHAR2(32 BYTE),
  "QQ_OPENID" VARCHAR2(32 BYTE),
  "EMAIL" VARCHAR2(50 BYTE),
  "REAL_NAME" VARCHAR2(100 BYTE),
  "LOGIN_TIME" DATE,
  "LOGIN_IP" VARCHAR2(50 BYTE),
  "LOGIN_FAIL" NUMBER(3,0),
  "JOB_NUMBER" VARCHAR2(30 BYTE),
  "PASSWORD_CRUX" VARCHAR2(30 BYTE),
  "ALIAS_NAME" VARCHAR2(50 BYTE),
  "BIRTHDAY" DATE,
  "USER_LEVEL" NUMBER(5,0) DEFAULT 1 NOT NULL,
  "FIRST_LOGIN" NUMBER(1,0) DEFAULT 1,
  "DETAILS" VARCHAR2(510 BYTE),
  "NOTE" VARCHAR2(2000 BYTE),
  "ORIGINAL_PASSWORD" VARCHAR2(255 BYTE),
  "TENANT_ID" NUMBER(20,0),
  "SORT" NUMBER(20,0),
  "DELETED" NUMBER(1,0) DEFAULT 0 NOT NULL,
  "CREATE_TIME" DATE,
  "CREATE_USER" NUMBER(20,0),
  "UPDATE_TIME" DATE,
  "UPDATE_USER" NUMBER(20,0)
)
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "ZMRQ"."SYS_USER"."ID" IS '用户ID，主键';
COMMENT ON COLUMN "ZMRQ"."SYS_USER"."USERNAME" IS '用户名';
COMMENT ON COLUMN "ZMRQ"."SYS_USER"."PASSWORD" IS '密码';
COMMENT ON COLUMN "ZMRQ"."SYS_USER"."SALT" IS '随机数';
COMMENT ON COLUMN "ZMRQ"."SYS_USER"."PHONE" IS '电话';
COMMENT ON COLUMN "ZMRQ"."SYS_USER"."AVATAR" IS '头像';
COMMENT ON COLUMN "ZMRQ"."SYS_USER"."LOCK_FLAG" IS '是否锁定，1正常，0锁定';
COMMENT ON COLUMN "ZMRQ"."SYS_USER"."ACTIVE" IS '是否启用禁用，1启用，0禁用';
COMMENT ON COLUMN "ZMRQ"."SYS_USER"."WX_OPENID" IS '扩展功能，微信openid';
COMMENT ON COLUMN "ZMRQ"."SYS_USER"."QQ_OPENID" IS '扩展功能，QQ openid';
COMMENT ON COLUMN "ZMRQ"."SYS_USER"."EMAIL" IS '用户email';
COMMENT ON COLUMN "ZMRQ"."SYS_USER"."REAL_NAME" IS '用户姓名';
COMMENT ON COLUMN "ZMRQ"."SYS_USER"."LOGIN_TIME" IS '最后一次登录时间';
COMMENT ON COLUMN "ZMRQ"."SYS_USER"."LOGIN_IP" IS '最后一次访问IP';
COMMENT ON COLUMN "ZMRQ"."SYS_USER"."LOGIN_FAIL" IS '密码错误次数';
COMMENT ON COLUMN "ZMRQ"."SYS_USER"."JOB_NUMBER" IS '工号';
COMMENT ON COLUMN "ZMRQ"."SYS_USER"."PASSWORD_CRUX" IS '找回密码关键字';
COMMENT ON COLUMN "ZMRQ"."SYS_USER"."ALIAS_NAME" IS '别名';
COMMENT ON COLUMN "ZMRQ"."SYS_USER"."BIRTHDAY" IS '生日';
COMMENT ON COLUMN "ZMRQ"."SYS_USER"."USER_LEVEL" IS '用户级别  用于超级管理员与其他用户区分等  。0 超级管理员,1普通管理员,2其他公司超级管理员,3其他公司管理员';
COMMENT ON COLUMN "ZMRQ"."SYS_USER"."FIRST_LOGIN" IS '首次登陆状态,1 首次登录,0 非首次登录';
COMMENT ON COLUMN "ZMRQ"."SYS_USER"."DETAILS" IS '用户账号详情';
COMMENT ON COLUMN "ZMRQ"."SYS_USER"."NOTE" IS '备注';
COMMENT ON COLUMN "ZMRQ"."SYS_USER"."ORIGINAL_PASSWORD" IS '原始密码';
COMMENT ON COLUMN "ZMRQ"."SYS_USER"."TENANT_ID" IS '公司ID';
COMMENT ON COLUMN "ZMRQ"."SYS_USER"."SORT" IS '排序';
COMMENT ON COLUMN "ZMRQ"."SYS_USER"."DELETED" IS '逻辑删除，1删除，0不删除';
COMMENT ON COLUMN "ZMRQ"."SYS_USER"."CREATE_TIME" IS '创建时间';
COMMENT ON COLUMN "ZMRQ"."SYS_USER"."CREATE_USER" IS '创建人';
COMMENT ON COLUMN "ZMRQ"."SYS_USER"."UPDATE_TIME" IS '更新时间';
COMMENT ON COLUMN "ZMRQ"."SYS_USER"."UPDATE_USER" IS '修改人';
COMMENT ON TABLE "ZMRQ"."SYS_USER" IS '系统用户';

-- ----------------------------
-- Records of SYS_USER
-- ----------------------------
INSERT INTO "ZMRQ"."SYS_USER" VALUES ('1563042152077426689', 'lye', '$2a$10$Ht0ZuxfTSD2Ge2aE0TV2QOHKK52EYnlwUjDevwHdox7eGo74Nznpq', NULL, '15221318323', '/base/useravatar/1561904594781949954.jpg', '1', '1', NULL, NULL, NULL, '李月娥', TO_DATE('2022-09-26 10:00:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, NULL, NULL, NULL, NULL, '0', '0', NULL, NULL, NULL, '1', NULL, '0', TO_DATE('2022-08-26 13:54:23', 'SYYYY-MM-DD HH24:MI:SS'), '1', TO_DATE('2022-09-29 17:26:50', 'SYYYY-MM-DD HH24:MI:SS'), '1574940855788646402');
INSERT INTO "ZMRQ"."SYS_USER" VALUES ('1570303085887737858', 'yjyj', '$2a$10$pouzAesVtCB2CqrqvxIUu.qkTbXcTy59QoSkIN9W6ZYNAoMVALGt.', NULL, NULL, NULL, '1', '1', NULL, NULL, NULL, '测试', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '1', NULL, NULL, NULL, '1', NULL, '1', TO_DATE('2022-09-15 14:46:45', 'SYYYY-MM-DD HH24:MI:SS'), '1562707353475338242', TO_DATE('2022-09-15 14:47:06', 'SYYYY-MM-DD HH24:MI:SS'), '1562707353475338242');
INSERT INTO "ZMRQ"."SYS_USER" VALUES ('1571679962204213249', 'Customer', '$2a$10$7FpogN5YMwduwCgM64Pww.tSPBM4UGv4dM5Aa7dY1PehasN90DcLW', NULL, NULL, NULL, '1', '1', NULL, NULL, NULL, '客户服务部', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '1', NULL, NULL, NULL, '1569152821327564802', NULL, '1', TO_DATE('2022-09-19 09:57:58', 'SYYYY-MM-DD HH24:MI:SS'), '1562707661060427778', TO_DATE('2022-09-19 10:11:02', 'SYYYY-MM-DD HH24:MI:SS'), '1562707661060427778');
INSERT INTO "ZMRQ"."SYS_USER" VALUES ('1571682787646771201', 'leader', '$2a$10$lRxnvDRNTpux/pQUv55A0.TC0XjzP.0Czg0Qeswoo3V3EaKeKhKTK', NULL, NULL, NULL, '1', '1', NULL, NULL, NULL, '项目负责人', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '1', NULL, NULL, NULL, '1569152821327564802', NULL, '1', TO_DATE('2022-09-19 10:09:11', 'SYYYY-MM-DD HH24:MI:SS'), '1562707661060427778', TO_DATE('2022-09-19 10:10:23', 'SYYYY-MM-DD HH24:MI:SS'), '1562707661060427778');
INSERT INTO "ZMRQ"."SYS_USER" VALUES ('1571684054368522241', '22', '$2a$10$t4YfMg.bTBgHXyrR9tFKt.xK8mp8AhzNyawFEp.K7NwrahGdpYX/S', NULL, NULL, NULL, '1', '1', NULL, NULL, NULL, '32', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '1', NULL, NULL, NULL, '1570684909436633089', NULL, '0', TO_DATE('2022-09-19 10:14:13', 'SYYYY-MM-DD HH24:MI:SS'), '1562707661060427778', TO_DATE('2022-09-21 15:59:42', 'SYYYY-MM-DD HH24:MI:SS'), '1');
INSERT INTO "ZMRQ"."SYS_USER" VALUES ('1571686809451630594', 'rq', '$2a$10$tEcLekp8x1.sz4mCdxERfufe10s6CWZZjNgGrs82bXG6lJAWFoRna', NULL, NULL, NULL, '1', '1', NULL, NULL, NULL, '饶芹', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '1', NULL, NULL, NULL, '1', NULL, '1', TO_DATE('2022-09-19 10:25:10', 'SYYYY-MM-DD HH24:MI:SS'), '1', TO_DATE('2022-09-19 10:25:31', 'SYYYY-MM-DD HH24:MI:SS'), '1');
INSERT INTO "ZMRQ"."SYS_USER" VALUES ('1571687240349257730', 'rq5', '$2a$10$I/la4HDF7R7vtxRpTtsWAeq2xKc4sh87nGHBy5bIJSN9O7NmyDirq', NULL, NULL, NULL, '1', '1', NULL, NULL, NULL, '饶芹122', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '1', NULL, NULL, NULL, '1', NULL, '1', TO_DATE('2022-09-19 10:26:53', 'SYYYY-MM-DD HH24:MI:SS'), '1', TO_DATE('2022-09-19 10:27:17', 'SYYYY-MM-DD HH24:MI:SS'), '1');
INSERT INTO "ZMRQ"."SYS_USER" VALUES ('1571687457870057474', 'rq8', '$2a$10$cMjmpBEKJYnzoR3D.q1zx.VPKNUlVSjD0H4XypgI6UE0kqsoNS6B6', NULL, NULL, NULL, '1', '1', NULL, NULL, NULL, '饶芹222', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '1', NULL, NULL, NULL, '1', NULL, '1', TO_DATE('2022-09-19 10:27:45', 'SYYYY-MM-DD HH24:MI:SS'), '1', TO_DATE('2022-09-19 10:27:51', 'SYYYY-MM-DD HH24:MI:SS'), '1');
INSERT INTO "ZMRQ"."SYS_USER" VALUES ('1571688112961622017', 'rq6', '$2a$10$nFbtetNE61cNDk9YiAuKCOgmYgiM3vlNEEqq.pUS8KkYkosOidBWK', NULL, NULL, NULL, '1', '1', NULL, NULL, NULL, '12', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '1', NULL, NULL, NULL, '1', NULL, '1', TO_DATE('2022-09-19 10:30:21', 'SYYYY-MM-DD HH24:MI:SS'), '1', TO_DATE('2022-09-19 10:30:21', 'SYYYY-MM-DD HH24:MI:SS'), '1');
INSERT INTO "ZMRQ"."SYS_USER" VALUES ('1571696905011412994', 'MarketDep', '$2a$10$ERfSyUk77fM8T5lrIZi2FeSfKzHCY0GzrnoVawDx7.9JETu23Svmq', NULL, NULL, NULL, '1', '1', NULL, NULL, NULL, '市场保障部', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '1', NULL, NULL, NULL, '1', NULL, '1', TO_DATE('2022-09-19 11:05:17', 'SYYYY-MM-DD HH24:MI:SS'), '1571688988283506690', TO_DATE('2022-09-19 11:05:17', 'SYYYY-MM-DD HH24:MI:SS'), '1571688988283506690');
INSERT INTO "ZMRQ"."SYS_USER" VALUES ('1571697081641943042', 'Financial2', '$2a$10$6tYCFgbBnLTEvLF3syR9mu5UfNEcdtgGFS5/gH8Y9FRlxG45rR9CW', NULL, NULL, NULL, '1', '1', NULL, NULL, NULL, '财务管理部负责人', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '1', NULL, NULL, NULL, '1', NULL, '1', TO_DATE('2022-09-19 11:05:59', 'SYYYY-MM-DD HH24:MI:SS'), '1571688988283506690', TO_DATE('2022-09-19 17:59:38', 'SYYYY-MM-DD HH24:MI:SS'), '1571688988283506690');
INSERT INTO "ZMRQ"."SYS_USER" VALUES ('1571800945871298561', 'Finance1', '$2a$10$.A4dHyE5FC8AFUB.oKcH2epgKKwD1V5KwO/1V7JO8WdqrwUbFWZEm', NULL, NULL, NULL, '1', '1', NULL, NULL, NULL, '财务部负责人', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '1', NULL, NULL, NULL, '1', NULL, '1', TO_DATE('2022-09-19 17:58:42', 'SYYYY-MM-DD HH24:MI:SS'), '1571688988283506690', TO_DATE('2022-09-19 17:58:42', 'SYYYY-MM-DD HH24:MI:SS'), '1571688988283506690');
INSERT INTO "ZMRQ"."SYS_USER" VALUES ('1572151038445101058', 'test22', '$2a$10$h9ZlQ1W5f35w7dRKxtHS7u0XrropV8pml38iPND4XMxvXuNdWgfDi', NULL, NULL, NULL, '1', '1', NULL, NULL, NULL, 'test22', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '1', NULL, NULL, NULL, '1569602913205559298', NULL, '0', TO_DATE('2022-09-20 17:09:51', 'SYYYY-MM-DD HH24:MI:SS'), '1572117095968747521', TO_DATE('2022-09-20 17:11:12', 'SYYYY-MM-DD HH24:MI:SS'), '1572117095968747521');
INSERT INTO "ZMRQ"."SYS_USER" VALUES ('1572151546815717378', 'test23', '$2a$10$SkrR6JjSbBWIUvoXrUSyhe5gej4XPW8rE5TXfiKRQAlByjYRohUXW', NULL, NULL, NULL, '1', '1', NULL, NULL, NULL, 'test23', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '1', NULL, NULL, NULL, '1569602913205559298', NULL, '0', TO_DATE('2022-09-20 17:11:52', 'SYYYY-MM-DD HH24:MI:SS'), '1572117095968747521', TO_DATE('2022-09-20 17:11:52', 'SYYYY-MM-DD HH24:MI:SS'), '1572117095968747521');
INSERT INTO "ZMRQ"."SYS_USER" VALUES ('1572497331889676290', '11', '$2a$10$aOVLRoYuYjVlzdAXhnAj8e1SIL0IWy2LDriN8xv2Z.r03i65TaC.W', NULL, NULL, NULL, '1', '1', NULL, NULL, NULL, '11', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1', '1', NULL, NULL, NULL, '1', NULL, '1', TO_DATE('2022-09-21 16:05:54', 'SYYYY-MM-DD HH24:MI:SS'), '1562707353475338242', TO_DATE('2022-09-21 16:05:54', 'SYYYY-MM-DD HH24:MI:SS'), '1562707353475338242');
INSERT INTO "ZMRQ"."SYS_USER" VALUES ('1572497442246008833', '11', '$2a$10$Eo8M2cNMGI69mTGvNzX8muMq66/MLbxL2dhBge6.N/87sCSAO5Enm', NULL, NULL, NULL, '1', '1', NULL, NULL, NULL, '11', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '1', NULL, NULL, NULL, '1', NULL, '1', TO_DATE('2022-09-21 16:06:20', 'SYYYY-MM-DD HH24:MI:SS'), '1562707353475338242', TO_DATE('2022-09-21 16:06:20', 'SYYYY-MM-DD HH24:MI:SS'), '1562707353475338242');
INSERT INTO "ZMRQ"."SYS_USER" VALUES ('1574214292021571585', 'mz001', '$2a$10$dycAHRALtuZZTQFDsUQYROV1/gSce6E.Q.3bGZIfJH5vzvm3X1qye', NULL, NULL, NULL, '1', '1', NULL, NULL, NULL, '绵竹管理员', TO_DATE('2022-09-28 09:50:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, NULL, NULL, NULL, NULL, '0', '0', NULL, NULL, NULL, '1569602913205559298', NULL, '0', TO_DATE('2022-09-26 09:48:29', 'SYYYY-MM-DD HH24:MI:SS'), '1563042152077426689', TO_DATE('2022-09-28 09:50:14', 'SYYYY-MM-DD HH24:MI:SS'), NULL);
INSERT INTO "ZMRQ"."SYS_USER" VALUES ('1574215643808002049', 'lr', '$2a$10$OYrjQ058qmmWOKPpF0EgeuNPHS47YUvQHs0D4.FVFSoeZG2FBl.cK', NULL, NULL, NULL, '1', '1', NULL, NULL, NULL, '李润', TO_DATE('2022-10-08 16:44:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, NULL, NULL, NULL, NULL, '0', '0', NULL, NULL, NULL, '1569602913205559298', NULL, '0', TO_DATE('2022-09-26 09:53:51', 'SYYYY-MM-DD HH24:MI:SS'), '1562707353475338242', TO_DATE('2022-10-08 16:44:05', 'SYYYY-MM-DD HH24:MI:SS'), NULL);
INSERT INTO "ZMRQ"."SYS_USER" VALUES ('1574222129820868609', 'tmxzm', '$2a$10$7kxLzr5qcxSJXtiPQnvfxuBkW12q9Tl4wMqcBaUeEis/juEisBwte', NULL, NULL, NULL, '1', '1', NULL, NULL, NULL, 'tmxzm', TO_DATE('2022-10-08 10:44:52', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, NULL, NULL, NULL, NULL, '0', '0', NULL, NULL, NULL, '1569602913205559298', NULL, '0', TO_DATE('2022-09-26 10:19:38', 'SYYYY-MM-DD HH24:MI:SS'), '1573859622077870082', TO_DATE('2022-10-08 10:44:52', 'SYYYY-MM-DD HH24:MI:SS'), NULL);
INSERT INTO "ZMRQ"."SYS_USER" VALUES ('1574239903456731137', 'mzwangqing', '$2a$10$ccLrEfWIhgaPVQH6itwEiu8YXqzHvYxhW7J3C/H1XGGwDjfAB5lUa', NULL, '18227123736', NULL, '1', '1', NULL, NULL, NULL, '王清', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '1', NULL, NULL, NULL, '1569602913205559298', NULL, '0', TO_DATE('2022-09-26 11:30:15', 'SYYYY-MM-DD HH24:MI:SS'), '1574214292021571585', TO_DATE('2022-09-26 11:30:15', 'SYYYY-MM-DD HH24:MI:SS'), '1574214292021571585');
INSERT INTO "ZMRQ"."SYS_USER" VALUES ('1574241654914195458', 'mzzhenxiao', '$2a$10$6qQAshCyUrT9zmNtV16tKucYsIcpQE361WR4.KGxz8uNNRc6l5jhC', NULL, '13990260622', NULL, '1', '1', NULL, NULL, NULL, '甄晓', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '1', NULL, NULL, NULL, '1569602913205559298', NULL, '0', TO_DATE('2022-09-26 11:37:13', 'SYYYY-MM-DD HH24:MI:SS'), '1574214292021571585', TO_DATE('2022-09-26 11:37:13', 'SYYYY-MM-DD HH24:MI:SS'), '1574214292021571585');
INSERT INTO "ZMRQ"."SYS_USER" VALUES ('1574241888620814337', 'mzhuangli', '$2a$10$af7a.9/jos6zbZW96KL/EuZ9GHLtmacBe4BgJd5W4hpM7SKzYpw2q', NULL, '15008386860', NULL, '1', '1', NULL, NULL, NULL, '黄坜', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '1', NULL, NULL, NULL, '1569602913205559298', NULL, '0', TO_DATE('2022-09-26 11:38:08', 'SYYYY-MM-DD HH24:MI:SS'), '1574214292021571585', TO_DATE('2022-09-26 11:38:08', 'SYYYY-MM-DD HH24:MI:SS'), '1574214292021571585');
INSERT INTO "ZMRQ"."SYS_USER" VALUES ('1574290247750557698', '1', '$2a$10$kgHAdJU0f9alhFua2devj.HALOekOkzaQ0xoJ4Y/q85RrK1iWSile', NULL, NULL, NULL, '1', '1', NULL, NULL, NULL, '1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1', '1', NULL, NULL, NULL, '1', NULL, '1', TO_DATE('2022-09-26 14:50:18', 'SYYYY-MM-DD HH24:MI:SS'), '1', TO_DATE('2022-09-26 14:50:18', 'SYYYY-MM-DD HH24:MI:SS'), '1');
INSERT INTO "ZMRQ"."SYS_USER" VALUES ('1574290913986387969', '1', '$2a$10$jkt4riH1PAHUNIKV9b1mY.TQgInCp51CK0HlRjNMnmdP3Npdj8hJq', NULL, NULL, NULL, '1', '1', NULL, NULL, NULL, '1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '1', NULL, NULL, NULL, '1', NULL, '1', TO_DATE('2022-09-26 14:52:57', 'SYYYY-MM-DD HH24:MI:SS'), '1', TO_DATE('2022-09-26 14:52:57', 'SYYYY-MM-DD HH24:MI:SS'), '1');
INSERT INTO "ZMRQ"."SYS_USER" VALUES ('1574291363909378049', '1', '$2a$10$mLHRFDEWhgTgSlj0R6bNxemF1TkMm1C5hdfI5JjsGKoZfIQSHypUm', NULL, NULL, NULL, '1', '1', NULL, NULL, NULL, '1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '1', NULL, NULL, NULL, '1', NULL, '1', TO_DATE('2022-09-26 14:54:44', 'SYYYY-MM-DD HH24:MI:SS'), '1', TO_DATE('2022-09-26 14:54:44', 'SYYYY-MM-DD HH24:MI:SS'), '1');
INSERT INTO "ZMRQ"."SYS_USER" VALUES ('1574609708927942657', 'mzzhangzhu', '$2a$10$aA4NBEnxBpgzLdKzHSUkX.f3DwXoA60Ju2AOmF4EPeqLNXV7JLY5W', NULL, '13778221610', NULL, '1', '1', NULL, NULL, NULL, '张竹', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1', '1', NULL, NULL, NULL, '1569602913205559298', NULL, '0', TO_DATE('2022-09-27 11:59:44', 'SYYYY-MM-DD HH24:MI:SS'), '1574214292021571585', TO_DATE('2022-09-28 10:10:17', 'SYYYY-MM-DD HH24:MI:SS'), '1574214292021571585');
INSERT INTO "ZMRQ"."SYS_USER" VALUES ('1574634322609569794', 'mzyangjiji', '$2a$10$EsRQvIjdbEbfbfXaoMQHteuvq32QhMbHRmwB1u/jxT3LVw5ab8hem', NULL, '15984913293', NULL, '1', '1', NULL, NULL, NULL, '杨济冀', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1', '1', NULL, NULL, NULL, '1569602913205559298', NULL, '0', TO_DATE('2022-09-27 13:37:32', 'SYYYY-MM-DD HH24:MI:SS'), '1574214292021571585', TO_DATE('2022-09-28 10:10:28', 'SYYYY-MM-DD HH24:MI:SS'), '1574214292021571585');
INSERT INTO "ZMRQ"."SYS_USER" VALUES ('1574650169763917825', 'mzxuruigang', '$2a$10$Z4Vs4GYfzUwmLhzysT6yfOpwFE5f/K5fyQrlq.GpULqD2oSo1cqOO', NULL, '15282873316', NULL, '1', '1', NULL, NULL, NULL, '许锐刚', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1', '1', NULL, NULL, NULL, '1569602913205559298', NULL, '0', TO_DATE('2022-09-27 14:40:30', 'SYYYY-MM-DD HH24:MI:SS'), '1574214292021571585', TO_DATE('2022-09-27 14:40:30', 'SYYYY-MM-DD HH24:MI:SS'), '1574214292021571585');
INSERT INTO "ZMRQ"."SYS_USER" VALUES ('1574654111881195521', 'mzyeyumin', '$2a$10$sAIPTT6pxxVSaa5KZTyd6eCqgMspnxWQPVmSMrxOrafAnmgLo2HQe', NULL, '18227143220', NULL, '1', '1', NULL, NULL, NULL, '叶育敏', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1', '1', NULL, NULL, NULL, '1569602913205559298', NULL, '0', TO_DATE('2022-09-27 14:56:10', 'SYYYY-MM-DD HH24:MI:SS'), '1574214292021571585', TO_DATE('2022-09-27 14:56:10', 'SYYYY-MM-DD HH24:MI:SS'), '1574214292021571585');
INSERT INTO "ZMRQ"."SYS_USER" VALUES ('1574654303275675649', 'mzzhoudan', '$2a$10$jD0T2dR6TeRhTmlGzrncN.5wuHMX8SHb8lI2AT3VYx9b/6MUMfCqC', NULL, '15228489331', NULL, '1', '1', NULL, NULL, NULL, '周丹', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1', '1', NULL, NULL, NULL, '1569602913205559298', NULL, '0', TO_DATE('2022-09-27 14:56:56', 'SYYYY-MM-DD HH24:MI:SS'), '1574214292021571585', TO_DATE('2022-09-27 14:56:56', 'SYYYY-MM-DD HH24:MI:SS'), '1574214292021571585');
INSERT INTO "ZMRQ"."SYS_USER" VALUES ('1574654686932856834', 'mzliangfeng', '$2a$10$Jr7YoW/Kd7WGNLfZzpq35u688SjHssVydkMyxBuCLToDhJhF46Hyq', NULL, '15183823881', NULL, '1', '1', NULL, NULL, NULL, '梁锋', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1', '1', NULL, NULL, NULL, '1569602913205559298', NULL, '0', TO_DATE('2022-09-27 14:58:27', 'SYYYY-MM-DD HH24:MI:SS'), '1574214292021571585', TO_DATE('2022-09-27 14:58:27', 'SYYYY-MM-DD HH24:MI:SS'), '1574214292021571585');
INSERT INTO "ZMRQ"."SYS_USER" VALUES ('1574654922619187202', 'mzzhuyuxin', '$2a$10$1hZIIQYSNHRUv5XXfb8GXuzy/MaH3nDw2a1FzJ7lZj5cZfhZ9t9QC', NULL, '15686193769', NULL, '1', '1', NULL, NULL, NULL, '朱宇鑫', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1', '1', NULL, NULL, NULL, '1569602913205559298', NULL, '0', TO_DATE('2022-09-27 14:59:23', 'SYYYY-MM-DD HH24:MI:SS'), '1574214292021571585', TO_DATE('2022-09-27 14:59:23', 'SYYYY-MM-DD HH24:MI:SS'), '1574214292021571585');
INSERT INTO "ZMRQ"."SYS_USER" VALUES ('1574655349406396418', 'mzjinqingwei', '$2a$10$oDQx0ATKbCb2VkRpyo0WLeGJ7PzdrZ350lgseX3pwnDTV7hlQxVFG', NULL, '13419001766', NULL, '1', '1', NULL, NULL, NULL, '金青卫', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1', '1', NULL, NULL, NULL, '1569602913205559298', NULL, '0', TO_DATE('2022-09-27 15:01:05', 'SYYYY-MM-DD HH24:MI:SS'), '1574214292021571585', TO_DATE('2022-09-27 15:01:05', 'SYYYY-MM-DD HH24:MI:SS'), '1574214292021571585');
INSERT INTO "ZMRQ"."SYS_USER" VALUES ('1574655449272774658', 'tntest1', '$2a$10$1jfO5CYTJrsQAbr6pzMZzOILdlyXo3FXC3YL9ETEJtGoPTP2FlKta', NULL, '18382414073', NULL, '1', '1', NULL, NULL, '1127377703@qq.com', 'tntest1', TO_DATE('2022-10-08 11:40:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, NULL, NULL, NULL, NULL, '1', '0', NULL, NULL, NULL, '1574644518840958977', NULL, '0', TO_DATE('2022-09-27 15:01:29', 'SYYYY-MM-DD HH24:MI:SS'), '1574204813473345537', TO_DATE('2022-10-08 11:40:52', 'SYYYY-MM-DD HH24:MI:SS'), NULL);
INSERT INTO "ZMRQ"."SYS_USER" VALUES ('1574690262235082753', '1111', '$2a$10$UyR0uRmRIqNw6vlzUv4px.PbD.ztBScpN5flrvQUqkDlpPoG4X1Ya', NULL, NULL, NULL, '1', '1', NULL, NULL, NULL, '1111', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1', '1', NULL, NULL, NULL, '1569602913205559298', NULL, '0', TO_DATE('2022-09-27 17:19:49', 'SYYYY-MM-DD HH24:MI:SS'), '1562707353475338242', TO_DATE('2022-09-27 17:19:49', 'SYYYY-MM-DD HH24:MI:SS'), '1562707353475338242');
INSERT INTO "ZMRQ"."SYS_USER" VALUES ('1574710084389941249', 'lzzm', '$2a$10$KyLYPl60YmhYJ4fkcdW95.29UDRBAPtfFy4YmDohSzT/.1PVRKKX6', NULL, NULL, NULL, '1', '1', NULL, NULL, NULL, '罗智1', TO_DATE('2022-09-27 18:39:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, NULL, NULL, NULL, NULL, '1', '0', NULL, NULL, NULL, '1569602913205559298', NULL, '0', TO_DATE('2022-09-27 18:38:35', 'SYYYY-MM-DD HH24:MI:SS'), '1562365397418708993', TO_DATE('2022-09-27 18:39:24', 'SYYYY-MM-DD HH24:MI:SS'), NULL);
INSERT INTO "ZMRQ"."SYS_USER" VALUES ('1574933503127695361', 'tntest5', '$2a$10$RoGQlslQ.pjKgSdXxKH6I.n4BOP7c.PWGsaUsTkTUJDHMRQM1hpK.', NULL, NULL, NULL, '1', '1', NULL, NULL, NULL, 'tntest5', TO_DATE('2022-09-28 09:37:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, NULL, NULL, NULL, NULL, '1', '0', NULL, NULL, NULL, '1570225246022770689', NULL, '0', TO_DATE('2022-09-28 09:26:22', 'SYYYY-MM-DD HH24:MI:SS'), '1574204813473345537', TO_DATE('2022-09-28 09:37:26', 'SYYYY-MM-DD HH24:MI:SS'), NULL);
INSERT INTO "ZMRQ"."SYS_USER" VALUES ('1575001321231736833', 'ys1', '$2a$10$1LwTsGDFoeXWRQyZ8veYXuTydKuG9DEc.7NG.SH7PGyW/aSW4gVoO', NULL, NULL, NULL, '1', '1', NULL, NULL, NULL, '演示', TO_DATE('2022-09-28 13:56:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, NULL, NULL, NULL, NULL, '1', '0', NULL, NULL, NULL, '1569602913205559298', NULL, '0', TO_DATE('2022-09-28 13:55:51', 'SYYYY-MM-DD HH24:MI:SS'), '1572763574748172290', TO_DATE('2022-09-28 13:56:43', 'SYYYY-MM-DD HH24:MI:SS'), NULL);
INSERT INTO "ZMRQ"."SYS_USER" VALUES ('1575310555383091202', 'zhangsan', '$2a$10$RaoKh8.Ms6QE5am6h2ui7OndBxS7Ucj2xnL4rMMVLBkrG8Fe19Iaa', NULL, '13111221122', NULL, '1', '1', NULL, NULL, 'xxx@qq.com', '张三', NULL, NULL, NULL, 'hx123456', NULL, '测试用户', NULL, '1', '1', '我是一位测试账号用户', '无备注', NULL, '1569602913205559298', NULL, '0', TO_DATE('2022-09-29 10:24:38', 'SYYYY-MM-DD HH24:MI:SS'), '1574945313813704706', TO_DATE('2022-09-29 10:24:38', 'SYYYY-MM-DD HH24:MI:SS'), '1574945313813704706');
INSERT INTO "ZMRQ"."SYS_USER" VALUES ('1575312166197153793', 'zhangsans', '$2a$10$YIsZtHhcO.F7PARMJP.Q.uRIbY6gScxB1GQnPzj.9s6bJO8Fx5.ES', NULL, '13111221122', NULL, '1', '1', NULL, NULL, 'xxx@qq.com', '张三1', NULL, NULL, NULL, 'hx123456', NULL, '测试用户', NULL, '1', '1', '我是一位测试账号用户', '无备注', NULL, '1569602913205550000', NULL, '0', TO_DATE('2022-09-29 10:31:02', 'SYYYY-MM-DD HH24:MI:SS'), '1', TO_DATE('2022-09-29 10:31:02', 'SYYYY-MM-DD HH24:MI:SS'), '1');
INSERT INTO "ZMRQ"."SYS_USER" VALUES ('3', 'yjf', '$2a$10$RcuI2d6HwAqYRXHCDQ8fSOonns/IKZNjju.cNOi8MZIPzsUBJqvim', NULL, NULL, NULL, '1', '1', NULL, NULL, NULL, '俊峰', TO_DATE('2022-09-29 11:14:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, NULL, NULL, NULL, NULL, '0', '1', NULL, NULL, NULL, '1', NULL, '0', NULL, NULL, TO_DATE('2022-09-29 17:26:35', 'SYYYY-MM-DD HH24:MI:SS'), '1574940855788646402');
INSERT INTO "ZMRQ"."SYS_USER" VALUES ('1562707353475338242', 'yj', '$2a$10$KylSJ.y0u3CzaE0ZoObw2uny/ctXWS5AngR/.VPTIGnNi1.h9cCM2', NULL, '15221318323', '/base/useravatar/1575729951658303490.png', '1', '1', NULL, NULL, NULL, '杨静', TO_DATE('2022-10-08 15:43:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, NULL, NULL, NULL, NULL, '0', '0', NULL, NULL, NULL, '1569602913205559298', NULL, '0', TO_DATE('2022-08-25 15:44:01', 'SYYYY-MM-DD HH24:MI:SS'), '1', TO_DATE('2022-10-08 15:43:55', 'SYYYY-MM-DD HH24:MI:SS'), NULL);
INSERT INTO "ZMRQ"."SYS_USER" VALUES ('1562707661060427778', 'rq1', '$2a$10$LIiciF22HT.ZAaVwn30Re.1S2ThFwcCg9b3Ik9pgRXIp9TxczenyS', NULL, '15221318323', '/base/useravatar/1561904594781949954.jpg', '1', '1', NULL, NULL, NULL, '饶芹', TO_DATE('2022-09-19 11:01:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, NULL, NULL, NULL, NULL, '0', '0', NULL, NULL, NULL, '1569152821327564802', NULL, '0', TO_DATE('2022-08-25 15:45:14', 'SYYYY-MM-DD HH24:MI:SS'), '1', TO_DATE('2022-09-19 11:01:31', 'SYYYY-MM-DD HH24:MI:SS'), NULL);
INSERT INTO "ZMRQ"."SYS_USER" VALUES ('1562707768816291841', 'xqf', '$2a$10$IrtbIPQd30Aw6/pZSo/yeew4sHN4PdUZ9RGekWhhyh1nG8T.H8dxq', NULL, '15221318323', '/base/useravatar/1561904594781949954.jpg', '1', '1', NULL, NULL, NULL, '向秋峰', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '1', NULL, NULL, NULL, '1', NULL, '0', TO_DATE('2022-08-25 15:45:40', 'SYYYY-MM-DD HH24:MI:SS'), '1', TO_DATE('2022-09-29 17:25:23', 'SYYYY-MM-DD HH24:MI:SS'), '1574940855788646402');
INSERT INTO "ZMRQ"."SYS_USER" VALUES ('1564089266203029506', 'll', '$2a$10$L18G.cohydSFz3q3go5LcuDDJ2BLX1kAW.2LejTACCKKFJYWkY6s2', NULL, '15221318323', '/base/useravatar/1561904594781949954.jpg', '1', '1', NULL, NULL, NULL, '粱罗', TO_DATE('2022-09-28 14:47:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, NULL, NULL, NULL, NULL, '0', '0', NULL, NULL, NULL, '1', NULL, '0', TO_DATE('2022-08-29 11:15:15', 'SYYYY-MM-DD HH24:MI:SS'), '1', TO_DATE('2022-09-29 17:27:06', 'SYYYY-MM-DD HH24:MI:SS'), '1574940855788646402');
INSERT INTO "ZMRQ"."SYS_USER" VALUES ('1570246118481698818', '1', '$2a$10$z1T1QBP7QfD64z.PPVPE4eiSt.yiM64e2CH4JDi9ep2vKUAAAz1ji', NULL, NULL, NULL, '1', '1', NULL, NULL, NULL, '1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '1', NULL, NULL, NULL, '1569152821327564802', NULL, '1', TO_DATE('2022-09-15 11:00:23', 'SYYYY-MM-DD HH24:MI:SS'), '1562707661060427778', TO_DATE('2022-09-15 11:00:23', 'SYYYY-MM-DD HH24:MI:SS'), '1562707661060427778');
INSERT INTO "ZMRQ"."SYS_USER" VALUES ('1570685560031903746', 'rq00', '$2a$10$Z9r.jK.oIDpP/4vf5mb4tOeCjG5ukxU/dmgXEdFYlJQP2pRNizq8i', NULL, NULL, NULL, '1', '1', NULL, NULL, NULL, '子公司用户', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '1', NULL, NULL, NULL, '1570684909436633089', NULL, '0', TO_DATE('2022-09-16 16:06:34', 'SYYYY-MM-DD HH24:MI:SS'), '1562707661060427778', TO_DATE('2022-09-16 16:06:34', 'SYYYY-MM-DD HH24:MI:SS'), '1562707661060427778');
INSERT INTO "ZMRQ"."SYS_USER" VALUES ('1571678084284289026', 'leader', '$2a$10$DYFWuqFes1QnFEcPUbDxs.ih5cIgv8EEZcpJyflhCHOkdtU.qNs7i', NULL, NULL, NULL, '1', '1', NULL, NULL, NULL, 'leader', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '1', NULL, NULL, NULL, '1569152821327564802', NULL, '1', TO_DATE('2022-09-19 09:50:30', 'SYYYY-MM-DD HH24:MI:SS'), '1562707661060427778', TO_DATE('2022-09-19 10:10:44', 'SYYYY-MM-DD HH24:MI:SS'), '1562707661060427778');
INSERT INTO "ZMRQ"."SYS_USER" VALUES ('1571785503207333890', 'Production', '$2a$10$gS.Ikjhj3Y5NUTj7Bt9la.1NdoQjreRG/X5OseQs3gH95LNuv.pHa', NULL, NULL, NULL, '1', '1', NULL, NULL, NULL, '生产运营部', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '1', NULL, NULL, NULL, '1', NULL, '1', TO_DATE('2022-09-19 16:57:20', 'SYYYY-MM-DD HH24:MI:SS'), '1571688988283506690', TO_DATE('2022-09-19 16:57:20', 'SYYYY-MM-DD HH24:MI:SS'), '1571688988283506690');
INSERT INTO "ZMRQ"."SYS_USER" VALUES ('1571785915960401921', 'Production', '$2a$10$vTo3xQkYpzoNz9UgXguoCeaq725bt/xyUg7lh7.905GMAay8twmjC', NULL, NULL, NULL, '1', '1', NULL, NULL, NULL, '生产运营部', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '1', NULL, NULL, NULL, '1', NULL, '1', TO_DATE('2022-09-19 16:58:59', 'SYYYY-MM-DD HH24:MI:SS'), '1571688988283506690', TO_DATE('2022-09-19 16:58:59', 'SYYYY-MM-DD HH24:MI:SS'), '1571688988283506690');
INSERT INTO "ZMRQ"."SYS_USER" VALUES ('1571786458174857218', 'rq', '$2a$10$kC6ybm0nfLavmfbrjQSeTOcqB8UdN54VDn5evcohavT2XNqrAyZM2', NULL, NULL, NULL, '1', '1', NULL, NULL, NULL, '饶芹', TO_DATE('2022-09-23 16:53:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, NULL, NULL, NULL, NULL, '0', '0', NULL, NULL, NULL, '1569602913205559298', NULL, '0', TO_DATE('2022-09-19 17:01:08', 'SYYYY-MM-DD HH24:MI:SS'), '1571688988283506690', TO_DATE('2022-09-23 16:53:27', 'SYYYY-MM-DD HH24:MI:SS'), NULL);
INSERT INTO "ZMRQ"."SYS_USER" VALUES ('1572117095968747521', 'administrator', '$2a$10$KhuXbXxf7jXdpOJR68uJ7O0D5qhNOA9qsLz32X4DBkIERpdkD3H2K', NULL, NULL, NULL, '1', '1', NULL, NULL, NULL, 'administrator', TO_DATE('2022-09-23 14:42:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, NULL, NULL, NULL, NULL, '0', '0', NULL, NULL, NULL, '1569602913205559298', NULL, '1', TO_DATE('2022-09-20 14:54:58', 'SYYYY-MM-DD HH24:MI:SS'), '1571688988283506690', TO_DATE('2022-09-23 14:42:18', 'SYYYY-MM-DD HH24:MI:SS'), NULL);
INSERT INTO "ZMRQ"."SYS_USER" VALUES ('1572118845895290881', 'test3', '$2a$10$Fxdxe3hliEtXyNFmjyRNE.QRKiIZevP8giUh4hjKnARMwUXakp/gu', NULL, NULL, NULL, '1', '1', NULL, NULL, NULL, 'test3', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '1', NULL, NULL, NULL, '1569602913205559298', NULL, '1', TO_DATE('2022-09-20 15:01:56', 'SYYYY-MM-DD HH24:MI:SS'), '1572117095968747521', TO_DATE('2022-09-20 15:01:56', 'SYYYY-MM-DD HH24:MI:SS'), '1572117095968747521');
INSERT INTO "ZMRQ"."SYS_USER" VALUES ('1572118914258251777', 'test3', '$2a$10$5f2V65UvBmWODfme/fCU4e471YgWSC5AHFA2djsmMnHlmGkpqirGW', NULL, NULL, NULL, '1', '1', NULL, NULL, NULL, 'test3', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '1', NULL, NULL, NULL, '1569602913205559298', NULL, '0', TO_DATE('2022-09-20 15:02:12', 'SYYYY-MM-DD HH24:MI:SS'), '1572117095968747521', TO_DATE('2022-09-20 15:03:30', 'SYYYY-MM-DD HH24:MI:SS'), '1572117095968747521');
INSERT INTO "ZMRQ"."SYS_USER" VALUES ('1572119129308606466', 'test4', '$2a$10$t3bGwuYcgS93h8JQVeeYIu9JUz2eXmuNHiYXJLMgHQ0ciF4BUPuLK', NULL, NULL, NULL, '1', '1', NULL, NULL, NULL, 'test4', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '1', NULL, NULL, NULL, '1569602913205559298', NULL, '0', TO_DATE('2022-09-20 15:03:03', 'SYYYY-MM-DD HH24:MI:SS'), '1572117095968747521', TO_DATE('2022-09-20 15:03:03', 'SYYYY-MM-DD HH24:MI:SS'), '1572117095968747521');
INSERT INTO "ZMRQ"."SYS_USER" VALUES ('1572119473577078786', 'test5', '$2a$10$S6wbHxWc.xp3wN3th9quPegab9sIx.kyuga2mxvifwVKQ9eO9xCIG', NULL, NULL, NULL, '1', '1', NULL, NULL, NULL, 'test5', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '1', NULL, NULL, NULL, '1569602913205559298', NULL, '0', TO_DATE('2022-09-20 15:04:25', 'SYYYY-MM-DD HH24:MI:SS'), '1572117095968747521', TO_DATE('2022-09-20 15:04:25', 'SYYYY-MM-DD HH24:MI:SS'), '1572117095968747521');
INSERT INTO "ZMRQ"."SYS_USER" VALUES ('1572120700478107650', 'test7', '$2a$10$QqkMDgao9f1NwlaI7eeVQujZE6gnJaawR9.zlgCNLZubEQApbHLWi', NULL, NULL, NULL, '1', '1', NULL, NULL, NULL, 'test7', TO_DATE('2022-09-29 15:30:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, NULL, NULL, NULL, NULL, '0', '0', NULL, NULL, NULL, '1569602913205559298', NULL, '0', TO_DATE('2022-09-20 15:09:18', 'SYYYY-MM-DD HH24:MI:SS'), '1572117095968747521', TO_DATE('2022-09-29 15:30:19', 'SYYYY-MM-DD HH24:MI:SS'), NULL);
INSERT INTO "ZMRQ"."SYS_USER" VALUES ('1572120788793372673', 'test8', '$2a$10$VD0DqvpNfQkkgIPZTXNWcerzEJrmT3xT8N/YQ3Xd9R0iV415LkJkO', NULL, NULL, NULL, '1', '1', NULL, NULL, NULL, 'test8', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '1', NULL, NULL, NULL, '1569602913205559298', NULL, '0', TO_DATE('2022-09-20 15:09:39', 'SYYYY-MM-DD HH24:MI:SS'), '1572117095968747521', TO_DATE('2022-09-20 15:09:39', 'SYYYY-MM-DD HH24:MI:SS'), '1572117095968747521');
INSERT INTO "ZMRQ"."SYS_USER" VALUES ('1572120876332691457', 'test9', '$2a$10$N0kiL1wcrPriMqN5d8R2Ne1vb2f32fg9P52LPxcekDuvEx/ZNcAse', NULL, NULL, NULL, '1', '1', NULL, NULL, NULL, 'test9', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '1', NULL, NULL, NULL, '1569602913205559298', NULL, '0', TO_DATE('2022-09-20 15:10:00', 'SYYYY-MM-DD HH24:MI:SS'), '1572117095968747521', TO_DATE('2022-09-20 15:10:00', 'SYYYY-MM-DD HH24:MI:SS'), '1572117095968747521');
INSERT INTO "ZMRQ"."SYS_USER" VALUES ('1572121617441042433', 'test10', '$2a$10$N0kiL1wcrPriMqN5d8R2Ne1vb2f32fg9P52LPxcekDuvEx/ZNcAse', NULL, NULL, NULL, '1', '1', NULL, NULL, NULL, 'test10', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '1', NULL, NULL, NULL, '1569602913205559298', NULL, '0', TO_DATE('2022-09-20 15:12:56', 'SYYYY-MM-DD HH24:MI:SS'), '1572117095968747521', TO_DATE('2022-09-20 15:12:56', 'SYYYY-MM-DD HH24:MI:SS'), '1572117095968747521');
INSERT INTO "ZMRQ"."SYS_USER" VALUES ('1572121685036445697', 'test11', '$2a$10$N0kiL1wcrPriMqN5d8R2Ne1vb2f32fg9P52LPxcekDuvEx/ZNcAse', NULL, NULL, NULL, '1', '1', NULL, NULL, NULL, 'test11', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '1', NULL, NULL, NULL, '1569602913205559298', NULL, '0', TO_DATE('2022-09-20 15:13:12', 'SYYYY-MM-DD HH24:MI:SS'), '1572117095968747521', TO_DATE('2022-09-20 15:13:12', 'SYYYY-MM-DD HH24:MI:SS'), '1572117095968747521');
INSERT INTO "ZMRQ"."SYS_USER" VALUES ('1572121954122018817', 'test13', '$2a$10$e1CyjqDnrmvX6RGS8M1Yh.Oqd0dEFE/p50pA7ebbadhNDUYnEXaXG', NULL, NULL, NULL, '1', '1', NULL, NULL, NULL, 'test13', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '1', NULL, NULL, NULL, '1569602913205559298', NULL, '0', TO_DATE('2022-09-20 15:14:17', 'SYYYY-MM-DD HH24:MI:SS'), '1572117095968747521', TO_DATE('2022-09-20 15:14:17', 'SYYYY-MM-DD HH24:MI:SS'), '1572117095968747521');
INSERT INTO "ZMRQ"."SYS_USER" VALUES ('1572122053799653377', 'test14', '$2a$10$zljArJ1NckSFNheT8z6Yb.jzvsL2Nuk3hCZj/Vm5blz7o1/QgRSRa', NULL, NULL, NULL, '1', '1', NULL, NULL, NULL, 'test14', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1', '1', NULL, NULL, NULL, '1569602913205559298', NULL, '0', TO_DATE('2022-09-20 15:14:40', 'SYYYY-MM-DD HH24:MI:SS'), '1572117095968747521', TO_DATE('2022-09-23 17:52:06', 'SYYYY-MM-DD HH24:MI:SS'), '1');
INSERT INTO "ZMRQ"."SYS_USER" VALUES ('1572122230539235330', 'test15', '$2a$10$lvfpUMhbT5REyi2b8bECEuNL1SHyzk3bFZ2mtMWrmXSjuVNb5udAa', NULL, NULL, NULL, '1', '1', NULL, NULL, NULL, 'test15', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '1', NULL, NULL, NULL, '1569602913205559298', NULL, '0', TO_DATE('2022-09-20 15:15:23', 'SYYYY-MM-DD HH24:MI:SS'), '1572117095968747521', TO_DATE('2022-09-20 16:25:27', 'SYYYY-MM-DD HH24:MI:SS'), '1572139598602600449');
INSERT INTO "ZMRQ"."SYS_USER" VALUES ('1572122660581224449', 'test16', '$2a$10$b7/v.8N7uC0BDOtKfba3l.aoVsG69oxMBc5XerszN3heF8.Nl3Vae', NULL, NULL, NULL, '1', '1', NULL, NULL, NULL, 'test16', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '1', NULL, NULL, NULL, '1569602913205559298', NULL, '0', TO_DATE('2022-09-20 15:17:05', 'SYYYY-MM-DD HH24:MI:SS'), '1572117095968747521', TO_DATE('2022-09-20 15:17:05', 'SYYYY-MM-DD HH24:MI:SS'), '1572117095968747521');
INSERT INTO "ZMRQ"."SYS_USER" VALUES ('1572123034503426049', 'test17', '$2a$10$QNFUrbtPJKJtan46mwTx1eNPuGUtOd0jiLd/Gz6kjr/Cpz/JC08lS', NULL, NULL, NULL, '1', '1', NULL, NULL, NULL, 'test17', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '1', NULL, NULL, NULL, '1569602913205559298', NULL, '0', TO_DATE('2022-09-20 15:18:34', 'SYYYY-MM-DD HH24:MI:SS'), '1572117095968747521', TO_DATE('2022-09-20 15:18:34', 'SYYYY-MM-DD HH24:MI:SS'), '1572117095968747521');
INSERT INTO "ZMRQ"."SYS_USER" VALUES ('1572123288116211713', 'test18', '$2a$10$GNuTq1nR0Ff1WJM1.hnPDOnM3HluXZ48Z.BR0lLQgFAEfNTEsycu2', NULL, NULL, NULL, '1', '1', NULL, NULL, NULL, 'test18', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '1', NULL, NULL, NULL, '1569602913205559298', NULL, '0', TO_DATE('2022-09-20 15:19:35', 'SYYYY-MM-DD HH24:MI:SS'), '1572117095968747521', TO_DATE('2022-09-20 15:19:35', 'SYYYY-MM-DD HH24:MI:SS'), '1572117095968747521');
INSERT INTO "ZMRQ"."SYS_USER" VALUES ('1572123369582178305', 'test19', '$2a$10$zSk7XmGbd39UBjNgS35RbuLdMP08BucsKU56XV659XkvU6Njx3RK6', NULL, NULL, NULL, '1', '1', NULL, NULL, NULL, 'test19', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '1', NULL, NULL, NULL, '1569602913205559298', NULL, '0', TO_DATE('2022-09-20 15:19:54', 'SYYYY-MM-DD HH24:MI:SS'), '1572117095968747521', TO_DATE('2022-09-20 15:19:54', 'SYYYY-MM-DD HH24:MI:SS'), '1572117095968747521');
INSERT INTO "ZMRQ"."SYS_USER" VALUES ('1572123462548926465', 'test20', '$2a$10$C5anTeOwt.oqS3CLN0B3/.mf1Lg0gZYzq8glW4gLk3gwa9jfASKWy', NULL, NULL, NULL, '1', '1', NULL, NULL, NULL, 'test20', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '1', NULL, NULL, NULL, '1569602913205559298', NULL, '0', TO_DATE('2022-09-20 15:20:16', 'SYYYY-MM-DD HH24:MI:SS'), '1572117095968747521', TO_DATE('2022-09-20 15:20:16', 'SYYYY-MM-DD HH24:MI:SS'), '1572117095968747521');
INSERT INTO "ZMRQ"."SYS_USER" VALUES ('1572464059994341378', '1', '$2a$10$iHoxo0Iv7SpBW9B9sdPkAOgbPyhYOkLLpBrmqNt1o6a5Y23kImVJe', NULL, NULL, NULL, '1', '1', NULL, NULL, NULL, '1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '1', NULL, NULL, NULL, '1', NULL, '1', TO_DATE('2022-09-21 13:53:41', 'SYYYY-MM-DD HH24:MI:SS'), '1562707353475338242', TO_DATE('2022-09-21 13:53:41', 'SYYYY-MM-DD HH24:MI:SS'), '1562707353475338242');
INSERT INTO "ZMRQ"."SYS_USER" VALUES ('1572496462406262786', '11', '$2a$10$lcJ/yBVNbMd.JFI0aInL9OdRY7zSaNy9FryyWpR5rUH9g5cxe1day', NULL, NULL, NULL, '1', '1', NULL, NULL, NULL, '111', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1', '1', NULL, NULL, NULL, '1', NULL, '1', TO_DATE('2022-09-21 16:02:26', 'SYYYY-MM-DD HH24:MI:SS'), '1', TO_DATE('2022-09-21 16:02:26', 'SYYYY-MM-DD HH24:MI:SS'), '1');
INSERT INTO "ZMRQ"."SYS_USER" VALUES ('1573201930204332033', 'jtadmin', '$2a$10$YPCBteYAMwfxY9Gxb8INe.2mJoIOUK1qisFXUhdydeZZAkhuXiRji', NULL, NULL, NULL, '1', '1', NULL, NULL, NULL, '集团公司管理员', TO_DATE('2022-09-26 11:12:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, NULL, NULL, NULL, NULL, '1', '0', NULL, NULL, NULL, '1', NULL, '1', TO_DATE('2022-09-23 14:45:43', 'SYYYY-MM-DD HH24:MI:SS'), '1', TO_DATE('2022-09-26 11:12:41', 'SYYYY-MM-DD HH24:MI:SS'), NULL);
INSERT INTO "ZMRQ"."SYS_USER" VALUES ('1573202147511222273', 'subadmin', '$2a$10$i0zBLMrKuGBuVcc270hK2.YlDWutplR3iTnDkL.jTqrm0zO3wDHi2', NULL, NULL, NULL, '1', '1', NULL, NULL, NULL, '子公司管理员', TO_DATE('2022-09-23 15:16:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, NULL, NULL, NULL, NULL, '2', '0', NULL, NULL, NULL, '1569602913205559298', NULL, '1', TO_DATE('2022-09-23 14:46:35', 'SYYYY-MM-DD HH24:MI:SS'), '1', TO_DATE('2022-09-23 15:16:19', 'SYYYY-MM-DD HH24:MI:SS'), NULL);
INSERT INTO "ZMRQ"."SYS_USER" VALUES ('1573239858351689729', 'demo', '$2a$10$xzm7dUR/dnHh/EUDiNemo.ErerV5ANnPhGYjXEmNbik11ucLE.dZK', NULL, NULL, NULL, '1', '1', NULL, NULL, NULL, '演示者', TO_DATE('2022-09-23 17:40:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, NULL, NULL, NULL, NULL, '0', '0', NULL, NULL, NULL, '1569602913205559298', NULL, '0', TO_DATE('2022-09-23 17:16:26', 'SYYYY-MM-DD HH24:MI:SS'), '1573239502070730754', TO_DATE('2022-09-23 17:40:25', 'SYYYY-MM-DD HH24:MI:SS'), NULL);
INSERT INTO "ZMRQ"."SYS_USER" VALUES ('1574235733207064578', 'jtadmin', '$2a$10$DHbAOATPjBgQNgRE3eS2/u2l7tKThrUc1mC6zgYJvbDHz1P0fM9VW', NULL, NULL, NULL, '1', '1', NULL, NULL, NULL, '集团公司管理员', TO_DATE('2022-09-26 15:12:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, NULL, NULL, NULL, NULL, '1', '0', NULL, NULL, NULL, '1', NULL, '1', TO_DATE('2022-09-26 11:13:41', 'SYYYY-MM-DD HH24:MI:SS'), '1', TO_DATE('2022-09-26 15:12:00', 'SYYYY-MM-DD HH24:MI:SS'), NULL);
INSERT INTO "ZMRQ"."SYS_USER" VALUES ('1574237832452022274', 'mzzhangcheng', '$2a$10$Cssm0kYWmzUXhWwKIuFhJO/yfC3xyo72f9hDB/DYFXpsBbT/Zeiya', NULL, '18283845727', NULL, '1', '1', NULL, NULL, NULL, '张程', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '1', NULL, NULL, NULL, '1569602913205559298', NULL, '0', TO_DATE('2022-09-26 11:22:01', 'SYYYY-MM-DD HH24:MI:SS'), '1574214292021571585', TO_DATE('2022-09-26 11:22:01', 'SYYYY-MM-DD HH24:MI:SS'), '1574214292021571585');
INSERT INTO "ZMRQ"."SYS_USER" VALUES ('1574239422818852866', 'mzliuli', '$2a$10$6hzf4u1V6Wbw9e3DuiuKBuhRQQGPUwUoGLiKrWdyDzijdLMP6F2PO', NULL, '13550659370', NULL, '1', '1', NULL, NULL, NULL, '刘丽', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '1', NULL, NULL, NULL, '1569602913205559298', NULL, '0', TO_DATE('2022-09-26 11:28:21', 'SYYYY-MM-DD HH24:MI:SS'), '1574214292021571585', TO_DATE('2022-09-26 11:28:21', 'SYYYY-MM-DD HH24:MI:SS'), '1574214292021571585');
INSERT INTO "ZMRQ"."SYS_USER" VALUES ('1574239614041366530', '1111', '$2a$10$SKpSt1kk6T4VAwj3TAWYCOwvt2WEiYpJAZYJGMctLeClSoG5xbkbu', NULL, NULL, NULL, '1', '1', NULL, NULL, NULL, '1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '1', NULL, NULL, NULL, '1', NULL, '1', TO_DATE('2022-09-26 11:29:06', 'SYYYY-MM-DD HH24:MI:SS'), '1', TO_DATE('2022-09-26 11:29:06', 'SYYYY-MM-DD HH24:MI:SS'), '1');
INSERT INTO "ZMRQ"."SYS_USER" VALUES ('1574241317297889282', 'mzyanglihan', '$2a$10$UGQb8RQ/X1xrUGPlMoVR/.H5kEXT3OGwjPv64qYxI6m36z886RuVa', NULL, '13547034669', NULL, '1', '1', NULL, NULL, NULL, '杨丽涵', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '1', NULL, NULL, NULL, '1569602913205559298', NULL, '0', TO_DATE('2022-09-26 11:35:52', 'SYYYY-MM-DD HH24:MI:SS'), '1574214292021571585', TO_DATE('2022-09-26 11:35:52', 'SYYYY-MM-DD HH24:MI:SS'), '1574214292021571585');
INSERT INTO "ZMRQ"."SYS_USER" VALUES ('1574344744694616066', '2222', '$2a$10$Qfjo9OgfDS6zKU/bAg.N0OxaG4tTOC82RcKvqI92XfsGB.hUMteMe', NULL, NULL, NULL, '1', '1', NULL, NULL, NULL, '12222', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '1', NULL, NULL, NULL, '1', NULL, '1', TO_DATE('2022-09-26 18:26:51', 'SYYYY-MM-DD HH24:MI:SS'), '1', TO_DATE('2022-09-26 18:26:51', 'SYYYY-MM-DD HH24:MI:SS'), '1');
INSERT INTO "ZMRQ"."SYS_USER" VALUES ('1574344976538963970', '222222', '$2a$10$fia8c03xcoF282YRd2mEp./WhirmMhtGPE9fedhIfU2nd2Ly7/xKq', NULL, NULL, NULL, '1', '1', NULL, NULL, NULL, '2222', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '1', NULL, NULL, NULL, '1', NULL, '1', TO_DATE('2022-09-26 18:27:46', 'SYYYY-MM-DD HH24:MI:SS'), '1', TO_DATE('2022-09-26 18:27:46', 'SYYYY-MM-DD HH24:MI:SS'), '1');
INSERT INTO "ZMRQ"."SYS_USER" VALUES ('1571810415846383617', 'SGDW', '$2a$10$X2JaRYwSXW40XJbZf8RxjerTllSUo6qyzPYcAeUWJ0dfQwsDfg5NC', NULL, NULL, NULL, '1', '1', NULL, NULL, NULL, '施工单位', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '1', NULL, NULL, NULL, '1', NULL, '1', TO_DATE('2022-09-19 18:36:20', 'SYYYY-MM-DD HH24:MI:SS'), '1', TO_DATE('2022-09-19 18:36:20', 'SYYYY-MM-DD HH24:MI:SS'), '1');
INSERT INTO "ZMRQ"."SYS_USER" VALUES ('1569490064726630401', 'hr', '$2a$10$ewdN/G55/dZHzoBprsqLUuAGrScwkcf4vgK/ZpEotrwlzFqEOkI9W', NULL, NULL, NULL, '1', '1', NULL, NULL, NULL, '黄蓉', TO_DATE('2022-09-28 13:52:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, NULL, NULL, NULL, NULL, '0', '0', NULL, NULL, NULL, '1', NULL, '0', TO_DATE('2022-09-13 08:56:05', 'SYYYY-MM-DD HH24:MI:SS'), '1564089266203029506', TO_DATE('2022-09-29 17:36:42', 'SYYYY-MM-DD HH24:MI:SS'), '1');
INSERT INTO "ZMRQ"."SYS_USER" VALUES ('1571681167294861313', 'Fmannger', '$2a$10$s0hmqIsj2adcZL5MshW56..h8liroRn7fY0ZAI2.ZsVit0gvXAKSe', NULL, NULL, NULL, '1', '1', NULL, NULL, NULL, '财务总监', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '1', NULL, NULL, NULL, '1569152821327564802', NULL, '1', TO_DATE('2022-09-19 10:02:45', 'SYYYY-MM-DD HH24:MI:SS'), '1562707661060427778', TO_DATE('2022-09-19 10:07:46', 'SYYYY-MM-DD HH24:MI:SS'), '1562707661060427778');
INSERT INTO "ZMRQ"."SYS_USER" VALUES ('1571681384459145218', 'EVPresident', '$2a$10$0JbXmktmCILyz5qY9LfaWeUnIKP5hYqBrS74JPdrvA8hOtZPZnTY2', NULL, NULL, NULL, '1', '1', NULL, NULL, NULL, ' 常务副总', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '1', NULL, NULL, NULL, '1569152821327564802', NULL, '1', TO_DATE('2022-09-19 10:03:37', 'SYYYY-MM-DD HH24:MI:SS'), '1562707661060427778', TO_DATE('2022-09-19 10:08:52', 'SYYYY-MM-DD HH24:MI:SS'), '1562707661060427778');
INSERT INTO "ZMRQ"."SYS_USER" VALUES ('1571685462945828866', 'zgs', '$2a$10$Mm4R7.3kaR1njHPESSanh.pSA6oIL7EVt8Tx7u7WjMSXjI62uXkbe', NULL, NULL, NULL, '1', '1', NULL, NULL, NULL, '总公司', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '1', NULL, NULL, NULL, '1', NULL, '0', TO_DATE('2022-09-19 10:19:49', 'SYYYY-MM-DD HH24:MI:SS'), '1', TO_DATE('2022-09-19 10:19:49', 'SYYYY-MM-DD HH24:MI:SS'), '1');
INSERT INTO "ZMRQ"."SYS_USER" VALUES ('1571699290786099202', 'SafetyDep', '$2a$10$HAMj5A13IPxY0kIH87VHqOwK1ObYlgjIP/gy5iJIGY5EAPKgXXqQu', NULL, NULL, NULL, '1', '1', NULL, NULL, NULL, '安全管理部', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '1', NULL, NULL, NULL, '1', NULL, '0', TO_DATE('2022-09-19 11:14:46', 'SYYYY-MM-DD HH24:MI:SS'), '1571688988283506690', TO_DATE('2022-09-19 18:29:26', 'SYYYY-MM-DD HH24:MI:SS'), '1');
INSERT INTO "ZMRQ"."SYS_USER" VALUES ('1572037737447022594', 'jldw', '$2a$10$hEJx5BS8oEq47TqYCskPS.cJUbBBFe0jMr0Oxlx/L0i2U4bx9Od1u', NULL, NULL, NULL, '1', '1', NULL, NULL, NULL, '监理单位', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '1', NULL, NULL, NULL, '1', NULL, '0', TO_DATE('2022-09-20 09:39:38', 'SYYYY-MM-DD HH24:MI:SS'), '1', TO_DATE('2022-09-20 09:39:38', 'SYYYY-MM-DD HH24:MI:SS'), '1');
INSERT INTO "ZMRQ"."SYS_USER" VALUES ('1573210716168110082', 'mzadmin', '$2a$10$zxDvaql/ZTbAzSOdW9QyGOI7UlkFhwkZon.pAc.F6IKVhJmojlnGW', NULL, NULL, NULL, '1', '1', NULL, NULL, NULL, '子公司管理员', TO_DATE('2022-10-08 14:20:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, NULL, NULL, NULL, NULL, '2', '0', NULL, NULL, NULL, '1569602913205559298', NULL, '0', TO_DATE('2022-09-23 15:20:38', 'SYYYY-MM-DD HH24:MI:SS'), '1', TO_DATE('2022-10-08 14:20:31', 'SYYYY-MM-DD HH24:MI:SS'), NULL);
INSERT INTO "ZMRQ"."SYS_USER" VALUES ('1573240254897967106', 'rqs', '$2a$10$6y1z2NyI81mUZQmEC0Ikr.sL8cDdvYF7gc.88O8zHp3ZnA50Read2', NULL, NULL, NULL, '1', '1', NULL, NULL, NULL, '市场保障经理', TO_DATE('2022-09-23 17:18:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, NULL, NULL, NULL, NULL, '0', '0', NULL, NULL, NULL, '1569602913205559298', NULL, '0', TO_DATE('2022-09-23 17:18:00', 'SYYYY-MM-DD HH24:MI:SS'), '1', TO_DATE('2022-09-23 17:18:40', 'SYYYY-MM-DD HH24:MI:SS'), NULL);
INSERT INTO "ZMRQ"."SYS_USER" VALUES ('1574289832799674369', '1', '$2a$10$vRHrepaBU6OAmcQOvBMkrOD2c/SDHaNCK1epRmhrium4tM95nFDZ6', NULL, NULL, NULL, '1', '1', NULL, NULL, NULL, '1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1', '1', NULL, NULL, NULL, '1569602913205559298', NULL, '1', TO_DATE('2022-09-26 14:48:39', 'SYYYY-MM-DD HH24:MI:SS'), '1562707353475338242', TO_DATE('2022-09-26 14:48:39', 'SYYYY-MM-DD HH24:MI:SS'), '1562707353475338242');
INSERT INTO "ZMRQ"."SYS_USER" VALUES ('1574298192433463297', 'scb', '$2a$10$4uc/bOb1ORiPcLmPvUPGRuZzcbrtndW6AW27iIdlASEQAEAhGtryK', NULL, NULL, NULL, '1', '1', NULL, NULL, NULL, '市场部测试', TO_DATE('2022-09-26 16:02:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, NULL, NULL, NULL, NULL, '1', '0', NULL, NULL, NULL, '1569602913205559298', NULL, '0', TO_DATE('2022-09-26 15:21:52', 'SYYYY-MM-DD HH24:MI:SS'), '1573210716168110082', TO_DATE('2022-09-26 16:02:40', 'SYYYY-MM-DD HH24:MI:SS'), NULL);
INSERT INTO "ZMRQ"."SYS_USER" VALUES ('1574646393216696321', 'mzlijianxiong', '$2a$10$x2y4WnnJPxKhL0PFcLePBeSQNLBUNV1z5F7v19BtcOgNBWRlfdiwm', NULL, '15282885336', NULL, '1', '1', NULL, NULL, NULL, '李剑雄', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1', '1', NULL, NULL, NULL, '1569602913205559298', NULL, '0', TO_DATE('2022-09-27 14:25:30', 'SYYYY-MM-DD HH24:MI:SS'), '1574214292021571585', TO_DATE('2022-09-27 14:25:30', 'SYYYY-MM-DD HH24:MI:SS'), '1574214292021571585');
INSERT INTO "ZMRQ"."SYS_USER" VALUES ('1574655670413258754', 'tntest2', '$2a$10$NodjQfud.IAikDnzReFc9uT3i.y2DB8IbCHLXCjzc5lkepdM8q9Dm', NULL, NULL, NULL, '1', '1', NULL, NULL, NULL, 'tntest2', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1', '1', NULL, NULL, NULL, '1570225246022770689', NULL, '0', TO_DATE('2022-09-27 15:02:22', 'SYYYY-MM-DD HH24:MI:SS'), '1574204813473345537', TO_DATE('2022-09-27 16:49:50', 'SYYYY-MM-DD HH24:MI:SS'), '1574204813473345537');
INSERT INTO "ZMRQ"."SYS_USER" VALUES ('1574681610002456578', 'tntest3', '$2a$10$QBD.dwigXH3srJ7AOXCQS.RW2dIVZBEm9k7gN3tFfqFbyZWJUgR/S', NULL, '18382414073', NULL, '1', '1', NULL, NULL, NULL, 'tntest3', TO_DATE('2022-09-28 14:40:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, NULL, NULL, NULL, NULL, '1', '0', NULL, NULL, NULL, '1570225246022770689', NULL, '0', TO_DATE('2022-09-27 16:45:26', 'SYYYY-MM-DD HH24:MI:SS'), '1574204813473345537', TO_DATE('2022-09-28 14:40:52', 'SYYYY-MM-DD HH24:MI:SS'), NULL);
INSERT INTO "ZMRQ"."SYS_USER" VALUES ('1574685503709114369', 'mztest1', '$2a$10$1sxC0x2.UEUkDfyUnjy00Oyf03jcxl7hWMY.eU6im/fg.R2AY47aO', NULL, NULL, NULL, '1', '1', NULL, NULL, NULL, 'mztest1', TO_DATE('2022-09-27 17:01:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, NULL, NULL, NULL, NULL, '1', '0', NULL, NULL, NULL, '1569602913205559298', NULL, '0', TO_DATE('2022-09-27 17:00:54', 'SYYYY-MM-DD HH24:MI:SS'), '1573210716168110082', TO_DATE('2022-09-27 17:01:33', 'SYYYY-MM-DD HH24:MI:SS'), NULL);
INSERT INTO "ZMRQ"."SYS_USER" VALUES ('1574692718360784897', 'mzscb2', '$2a$10$719RuogCrJaN7mxOW/USCeito60ki5QNMhPXiAyeXSRJqunEPeNBW', NULL, NULL, NULL, '1', '1', NULL, NULL, NULL, '测试', TO_DATE('2022-09-27 17:38:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, NULL, NULL, NULL, NULL, '1', '0', NULL, NULL, NULL, '1569602913205559298', NULL, '0', TO_DATE('2022-09-27 17:29:35', 'SYYYY-MM-DD HH24:MI:SS'), '1573210716168110082', TO_DATE('2022-09-27 17:38:48', 'SYYYY-MM-DD HH24:MI:SS'), NULL);
INSERT INTO "ZMRQ"."SYS_USER" VALUES ('1574704956891009026', 'som', '$2a$10$AGI5weMUs.8FWec7tP1Gbe9atSf6gD4IuvwBoxApQwogT4HYS4jj2', NULL, '13111221122', NULL, '1', '1', NULL, NULL, 'xxx@qq.com', '张三三', NULL, NULL, NULL, 'hx123456', NULL, '测试用户', NULL, '1', '1', '我是一位测试账号用户', '无备注', NULL, '1569602913205559298', NULL, '1', TO_DATE('2022-09-27 18:18:12', 'SYYYY-MM-DD HH24:MI:SS'), '1562707353475338242', TO_DATE('2022-09-27 18:18:12', 'SYYYY-MM-DD HH24:MI:SS'), '1562707353475338242');
INSERT INTO "ZMRQ"."SYS_USER" VALUES ('1574929139138932738', 'tntest4', '$2a$10$QZlIoIXtp3EKh01G4kxe3unyc.lBZvFF.wlw.P1akvPeH8pooUvfS', NULL, '18382414073', NULL, '1', '1', NULL, NULL, '1127377703@qq.com', 'tntest4', TO_DATE('2022-09-28 09:23:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, NULL, NULL, NULL, NULL, '1', '0', NULL, NULL, NULL, '1570225246022770689', NULL, '0', TO_DATE('2022-09-28 09:09:02', 'SYYYY-MM-DD HH24:MI:SS'), '1574204813473345537', TO_DATE('2022-09-28 15:57:16', 'SYYYY-MM-DD HH24:MI:SS'), '1574204813473345537');
INSERT INTO "ZMRQ"."SYS_USER" VALUES ('1574931852958478337', 'ceshi1', '$2a$10$pE2ytGlFvhVR/2aZI1OIa.r9YYsj7Zgk8g3LhuJyYmoRjeolIC1JS', NULL, NULL, NULL, '1', '1', NULL, NULL, NULL, '测试', TO_DATE('2022-09-28 09:20:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, NULL, NULL, NULL, NULL, '1', '0', NULL, NULL, NULL, '1569602913205559298', NULL, '1', TO_DATE('2022-09-28 09:19:49', 'SYYYY-MM-DD HH24:MI:SS'), '1562707353475338242', TO_DATE('2022-09-28 09:20:41', 'SYYYY-MM-DD HH24:MI:SS'), '1574931852958478337');
INSERT INTO "ZMRQ"."SYS_USER" VALUES ('1574940855788646402', 'jttest1', '$2a$10$W/skRClgGFcn5HZrbHygV./mjYSBAf1UIbI736YrTRsOYhnyyAJt2', NULL, NULL, '/base/useravatar/1575401742249091073.jpg', '1', '1', NULL, NULL, NULL, 'jttest1', TO_DATE('2022-09-29 16:52:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, NULL, NULL, NULL, NULL, '1', '0', NULL, '677', NULL, '1', NULL, '0', TO_DATE('2022-09-28 09:55:35', 'SYYYY-MM-DD HH24:MI:SS'), '1571688988283506690', TO_DATE('2022-09-29 16:52:30', 'SYYYY-MM-DD HH24:MI:SS'), NULL);
INSERT INTO "ZMRQ"."SYS_USER" VALUES ('1575312748324605954', 'raoqin', '$2a$10$BykLArRY7kCLXeBwdCJWKOHfsPC1XcdSoYxR078OaXz93pGU82y4W', NULL, '13111221122', NULL, '1', '1', NULL, NULL, 'xxx@qq.com', '卡西', NULL, NULL, NULL, 'hx123456', NULL, '测试用户', NULL, '1', '1', '我是一位测试账号用户', '无备注', NULL, '1', NULL, '1', TO_DATE('2022-09-29 10:33:21', 'SYYYY-MM-DD HH24:MI:SS'), '1', TO_DATE('2022-09-29 10:33:21', 'SYYYY-MM-DD HH24:MI:SS'), '1');
INSERT INTO "ZMRQ"."SYS_USER" VALUES ('1575330550297157633', 'mztest2', '$2a$10$/ADe5kVLOrrhpWZ8MxCwsOLa97wh45.vxI9G9eO9izJGcVlgo8QgW', NULL, NULL, '/base/useravatar/1575330549936447489.jpg', '1', '1', NULL, NULL, NULL, 'mztest2', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1', '1', NULL, NULL, NULL, '1569602913205559298', NULL, '0', TO_DATE('2022-09-29 11:44:06', 'SYYYY-MM-DD HH24:MI:SS'), '1573210716168110082', TO_DATE('2022-09-29 11:44:06', 'SYYYY-MM-DD HH24:MI:SS'), '1573210716168110082');
INSERT INTO "ZMRQ"."SYS_USER" VALUES ('1575668966914383874', 'hq2', '$2a$10$aHt9qACiQK4J1XivQzLQhee3nwiLHrkhsCX0jeuqkTRMtbG58dYlm', NULL, NULL, NULL, '1', '1', NULL, NULL, NULL, 'hq2', TO_DATE('2022-09-30 10:26:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, NULL, NULL, NULL, NULL, '1', '0', NULL, NULL, NULL, '1569602913205559298', NULL, '0', TO_DATE('2022-09-30 10:08:50', 'SYYYY-MM-DD HH24:MI:SS'), '1572763574748172290', TO_DATE('2022-09-30 10:26:23', 'SYYYY-MM-DD HH24:MI:SS'), NULL);
INSERT INTO "ZMRQ"."SYS_USER" VALUES ('1575671996745375745', 'fzr', '$2a$10$nf7ImCWj6/ocHJfojqD3uuF3t65aYcaVsBr6F5r7tusSvWDAEJJeu', NULL, NULL, NULL, '1', '1', NULL, NULL, NULL, 'fzr', TO_DATE('2022-09-30 10:22:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, NULL, NULL, NULL, NULL, '1', '0', NULL, NULL, NULL, '1', NULL, '0', TO_DATE('2022-09-30 10:20:53', 'SYYYY-MM-DD HH24:MI:SS'), '1574945313813704706', TO_DATE('2022-09-30 10:22:48', 'SYYYY-MM-DD HH24:MI:SS'), NULL);
INSERT INTO "ZMRQ"."SYS_USER" VALUES ('1578593665390575617', 'zjl', '$2a$10$T8cYSPBoMD5c5zhe9GIhXepBUAkvRb/0V9t9xstMCBCp8pqL78ybO', NULL, NULL, NULL, '0', '1', NULL, NULL, NULL, '李想', TO_DATE('2022-10-08 11:51:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, NULL, NULL, NULL, NULL, '1', '0', NULL, NULL, NULL, '1', NULL, '0', TO_DATE('2022-10-08 11:50:33', 'SYYYY-MM-DD HH24:MI:SS'), '1574945313813704706', TO_DATE('2022-10-08 11:51:22', 'SYYYY-MM-DD HH24:MI:SS'), NULL);
INSERT INTO "ZMRQ"."SYS_USER" VALUES ('2', 'hq', '$2a$10$O.C3iGBuTBjbCxNXPBIX8u6BSElgKXaSQo9oyO64H/j9hrqqZsqje', NULL, NULL, NULL, '1', '1', NULL, NULL, NULL, '海秋', TO_DATE('2022-10-08 13:17:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, NULL, NULL, NULL, NULL, '0', '0', NULL, NULL, NULL, '1569602913205559298', NULL, '0', NULL, NULL, TO_DATE('2022-10-08 13:17:24', 'SYYYY-MM-DD HH24:MI:SS'), NULL);
INSERT INTO "ZMRQ"."SYS_USER" VALUES ('1568138020669485057', 'yj3', '$2a$10$A6.HPz.UATHgsw.24EcG7OPziQIfDDVVKoaw/yFn76oXaG6uUPCCC', NULL, NULL, NULL, '1', '1', NULL, NULL, NULL, '测试', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '1', NULL, NULL, NULL, '1', NULL, '1', TO_DATE('2022-09-09 15:23:33', 'SYYYY-MM-DD HH24:MI:SS'), '1562707353475338242', TO_DATE('2022-09-09 15:23:33', 'SYYYY-MM-DD HH24:MI:SS'), '1562707353475338242');
INSERT INTO "ZMRQ"."SYS_USER" VALUES ('1568145823752646658', 'yj4', '$2a$10$k.Nc1Ah1MVPG71GHSL3L8uFLb0NCNRde0YDA/GKJc4ZpTHONzV75q', NULL, NULL, NULL, '1', '1', NULL, NULL, NULL, '测试2', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '1', NULL, NULL, NULL, '1', NULL, '1', TO_DATE('2022-09-09 15:54:33', 'SYYYY-MM-DD HH24:MI:SS'), '1562707353475338242', TO_DATE('2022-09-09 15:54:33', 'SYYYY-MM-DD HH24:MI:SS'), '1562707353475338242');
INSERT INTO "ZMRQ"."SYS_USER" VALUES ('1568146502940487681', 'ceshi', '$2a$10$dEu6Y.v8LobiTaoM83yx7e7e8HBllHjI0hSiHXpEKlNC2ulFQ2GUq', NULL, NULL, NULL, '1', '1', NULL, NULL, NULL, 'ceshi', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '1', NULL, NULL, NULL, '1', NULL, '1', TO_DATE('2022-09-09 15:57:15', 'SYYYY-MM-DD HH24:MI:SS'), '1562707353475338242', TO_DATE('2022-09-09 15:57:15', 'SYYYY-MM-DD HH24:MI:SS'), '1562707353475338242');
INSERT INTO "ZMRQ"."SYS_USER" VALUES ('1568147565529657346', 'ceshi2', '$2a$10$Gbr9PdgqnNG7gz7mV/J2Suobi7kpOATsZ7/BQqr/CkGnT1TfSgs7e', NULL, NULL, NULL, '1', '1', NULL, NULL, NULL, 'ceshi2', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '1', NULL, NULL, NULL, '1', NULL, '1', TO_DATE('2022-09-09 16:01:29', 'SYYYY-MM-DD HH24:MI:SS'), '1562707353475338242', TO_DATE('2022-09-09 16:01:29', 'SYYYY-MM-DD HH24:MI:SS'), '1562707353475338242');
INSERT INTO "ZMRQ"."SYS_USER" VALUES ('1568435224596566017', 'yj1', '$2a$10$yIMMSyfrvpW2Qj.C1Qh2TOcvsvBUhnJpKy3t0qdQ5kTq/0TEWbNj6', NULL, NULL, NULL, '1', '1', NULL, NULL, NULL, '杨静1', TO_DATE('2022-09-10 11:22:18', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, NULL, NULL, NULL, NULL, '0', '1', NULL, NULL, NULL, '1', NULL, '1', TO_DATE('2022-09-10 11:04:32', 'SYYYY-MM-DD HH24:MI:SS'), '1564089266203029506', TO_DATE('2022-09-10 11:22:18', 'SYYYY-MM-DD HH24:MI:SS'), NULL);
INSERT INTO "ZMRQ"."SYS_USER" VALUES ('1569494002066595842', 'txh', '$2a$10$1AdViYz89NJMwqP2gla8dOTA.yzXolrqk2w8tU46zEP3oQmPXqliq', NULL, NULL, NULL, '1', '1', NULL, NULL, NULL, '谭兴华', TO_DATE('2022-09-29 16:19:52', 'SYYYY-MM-DD HH24:MI:SS'), '42.225.115.58', NULL, NULL, NULL, NULL, NULL, '0', '0', NULL, NULL, NULL, '1569152821327564802', NULL, '0', TO_DATE('2022-09-13 09:11:44', 'SYYYY-MM-DD HH24:MI:SS'), '1569490064726630401', TO_DATE('2022-09-29 16:19:52', 'SYYYY-MM-DD HH24:MI:SS'), NULL);
INSERT INTO "ZMRQ"."SYS_USER" VALUES ('1569889844673978370', 'test1', '$2a$10$S1JNAX8EwPCLjsJuGdL9X./Tcu7.u1gFy5IrL.BzzVnCjnjzRtYlO', NULL, NULL, NULL, '1', '1', NULL, NULL, NULL, 'test1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '1', NULL, NULL, NULL, '1569602913205559298', NULL, '1', TO_DATE('2022-09-14 11:24:40', 'SYYYY-MM-DD HH24:MI:SS'), '1562707661060427778', TO_DATE('2022-09-14 11:45:13', 'SYYYY-MM-DD HH24:MI:SS'), '1562707661060427778');
INSERT INTO "ZMRQ"."SYS_USER" VALUES ('1569897431482048514', 'test3', '$2a$10$WoooufqifLOL3.tnOxjOU.5X.65ziJu.3vv3cORUlXnCIXOZTQKZ.', NULL, NULL, NULL, '1', '1', NULL, NULL, NULL, 'test1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '1', NULL, NULL, NULL, '1', NULL, '1', TO_DATE('2022-09-14 11:54:49', 'SYYYY-MM-DD HH24:MI:SS'), '1562707661060427778', TO_DATE('2022-09-14 11:55:38', 'SYYYY-MM-DD HH24:MI:SS'), '1562707661060427778');
INSERT INTO "ZMRQ"."SYS_USER" VALUES ('1569898726406299649', 'test4', '$2a$10$70WLs5tsLnG1gIeHp7/0g.VQ9JkZYixmvs0jIfkHPwwizz8DT4BWe', NULL, '18382414073', NULL, '1', '1', NULL, NULL, '1127377703@qq.com', 'test1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '1', NULL, NULL, NULL, '1', NULL, '1', TO_DATE('2022-09-14 11:59:58', 'SYYYY-MM-DD HH24:MI:SS'), '1562707661060427778', TO_DATE('2022-09-14 11:59:58', 'SYYYY-MM-DD HH24:MI:SS'), '1562707661060427778');
INSERT INTO "ZMRQ"."SYS_USER" VALUES ('1569900171532771330', 'test2', '$2a$10$JkLu3.fMQpUTktZGplSNUemEEzCzmTlgsRn8lv8eXTTR22PfWakw2', NULL, NULL, NULL, '1', '1', NULL, NULL, NULL, 'test2', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '1', NULL, NULL, NULL, '1569216846182748162', NULL, '1', TO_DATE('2022-09-14 12:05:42', 'SYYYY-MM-DD HH24:MI:SS'), '1562707661060427778', TO_DATE('2022-09-14 12:05:42', 'SYYYY-MM-DD HH24:MI:SS'), '1562707661060427778');
INSERT INTO "ZMRQ"."SYS_USER" VALUES ('1571688988283506690', 'test', '$2a$10$dLCZdUnghL4Gw4N5zYZJjObrVgMqPnOcXCW9WdbiF8PDHrp73xW.W', NULL, NULL, NULL, '1', '1', NULL, NULL, NULL, '总公司的权限', TO_DATE('2022-09-29 17:29:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, NULL, NULL, NULL, NULL, '0', '0', NULL, NULL, NULL, '1', NULL, '0', TO_DATE('2022-09-19 10:33:50', 'SYYYY-MM-DD HH24:MI:SS'), '1', TO_DATE('2022-09-29 17:29:43', 'SYYYY-MM-DD HH24:MI:SS'), NULL);
INSERT INTO "ZMRQ"."SYS_USER" VALUES ('1571698583362203650', 'gmanager', '$2a$10$ux9ZJaXblgsqPpmkxsC4p.8YRNgJku9INdEYyUZicIvr60ZJAe0Ua', NULL, NULL, NULL, '1', '1', NULL, NULL, NULL, '分管市场副总', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '1', NULL, NULL, NULL, '1', NULL, '1', TO_DATE('2022-09-19 11:11:57', 'SYYYY-MM-DD HH24:MI:SS'), '1571688988283506690', TO_DATE('2022-09-19 18:08:16', 'SYYYY-MM-DD HH24:MI:SS'), '1');
INSERT INTO "ZMRQ"."SYS_USER" VALUES ('1571698769106956290', 'FOfficer', '$2a$10$sIjRJZlE22qMSEYGMqIY8.5xy3AfyKSDGdcwVJtJHhc.KhQVRWLX2', NULL, NULL, NULL, '1', '1', NULL, NULL, NULL, '财务总监', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '1', NULL, NULL, NULL, '1', NULL, '1', TO_DATE('2022-09-19 11:12:41', 'SYYYY-MM-DD HH24:MI:SS'), '1571688988283506690', TO_DATE('2022-09-19 18:09:32', 'SYYYY-MM-DD HH24:MI:SS'), '1');
INSERT INTO "ZMRQ"."SYS_USER" VALUES ('1571698905472167937', 'EVPresident', '$2a$10$IVdsSVIj3yXxJBNhSONm2uiCtYKfwhn7qwvlP/IDQdHvoKOb76MW2', NULL, NULL, NULL, '1', '1', NULL, NULL, NULL, '常务副总', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '1', NULL, NULL, NULL, '1', NULL, '1', TO_DATE('2022-09-19 11:13:14', 'SYYYY-MM-DD HH24:MI:SS'), '1571688988283506690', TO_DATE('2022-09-19 18:10:36', 'SYYYY-MM-DD HH24:MI:SS'), '1');
INSERT INTO "ZMRQ"."SYS_USER" VALUES ('1571699107000086530', 'supervisor', '$2a$10$Zn1TtvjJqdWbBSoO9qBo7uPiclJoQT3FHLp80q74aleSnR2suB6Qq', NULL, NULL, NULL, '1', '1', NULL, NULL, NULL, '监理单位', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '1', NULL, NULL, NULL, '1', NULL, '1', TO_DATE('2022-09-19 11:14:02', 'SYYYY-MM-DD HH24:MI:SS'), '1571688988283506690', TO_DATE('2022-09-19 11:14:02', 'SYYYY-MM-DD HH24:MI:SS'), '1571688988283506690');
INSERT INTO "ZMRQ"."SYS_USER" VALUES ('1571745712935796738', 'hq1', '$2a$10$.IwmqkI/BUIW311R/09aB.TuQjJYVZcigFaWYos9WfQaPMiXqQ.ua', NULL, NULL, NULL, '1', '1', NULL, NULL, NULL, 'aaaaaaaaa', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '1', NULL, NULL, NULL, '1569602913205559298', NULL, '0', TO_DATE('2022-09-19 14:19:14', 'SYYYY-MM-DD HH24:MI:SS'), '2', TO_DATE('2022-09-19 14:38:56', 'SYYYY-MM-DD HH24:MI:SS'), '2');
INSERT INTO "ZMRQ"."SYS_USER" VALUES ('1571796285563346946', 'wx', '$2a$10$IlDiqeJZbDfeG7GrbSIz/.mwFqF9BqTozEoI8jOAyWl9xlPS4LJNa', NULL, NULL, NULL, '1', '1', NULL, NULL, NULL, '王xx', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '1', NULL, NULL, NULL, '1', NULL, '0', TO_DATE('2022-09-19 17:40:11', 'SYYYY-MM-DD HH24:MI:SS'), '1571688988283506690', TO_DATE('2022-09-19 18:39:16', 'SYYYY-MM-DD HH24:MI:SS'), '1571688988283506690');
INSERT INTO "ZMRQ"."SYS_USER" VALUES ('1572119578325626882', 'test6', '$2a$10$.S5I7jqccAA0Vu9TkDT3aeTiKNeoXHoF5wLkGuvXJxHA8Z.g456ry', NULL, NULL, NULL, '1', '1', NULL, NULL, NULL, 'test6', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '1', NULL, NULL, NULL, '1569602913205559298', NULL, '0', TO_DATE('2022-09-20 15:04:50', 'SYYYY-MM-DD HH24:MI:SS'), '1572117095968747521', TO_DATE('2022-09-20 15:04:50', 'SYYYY-MM-DD HH24:MI:SS'), '1572117095968747521');
INSERT INTO "ZMRQ"."SYS_USER" VALUES ('1572121770617024514', 'test12', '$2a$10$2.6B3a4ZYnaIs6qiRc0N6ORz3F89Pq9uJBePLckAV2qbC3lkXW4qy', NULL, NULL, NULL, '1', '1', NULL, NULL, NULL, 'test12', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '1', NULL, NULL, NULL, '1569602913205559298', NULL, '0', TO_DATE('2022-09-20 15:13:33', 'SYYYY-MM-DD HH24:MI:SS'), '1572117095968747521', TO_DATE('2022-09-20 15:13:33', 'SYYYY-MM-DD HH24:MI:SS'), '1572117095968747521');
INSERT INTO "ZMRQ"."SYS_USER" VALUES ('1572128614764859394', 'test21', '$2a$10$a/J2dB7PmHrMvmbl51iSVeX6VQF0ZkUt6qzf5hCO9Y9L1Eb7zcNw2', NULL, NULL, NULL, '1', '1', NULL, NULL, NULL, 'test21', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '1', NULL, NULL, NULL, '1569602913205559298', NULL, '0', TO_DATE('2022-09-20 15:40:45', 'SYYYY-MM-DD HH24:MI:SS'), '1571786458174857218', TO_DATE('2022-09-20 15:40:45', 'SYYYY-MM-DD HH24:MI:SS'), '1571786458174857218');
INSERT INTO "ZMRQ"."SYS_USER" VALUES ('1572139598602600449', 'qw', '$2a$10$yK0kts4kxCnsZ6vumUFPDu6QclH4Nw3mZX0p4gWrJh2i9grLu9Q3K', NULL, NULL, NULL, '1', '1', NULL, NULL, NULL, 'qw', TO_DATE('2022-09-20 16:25:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, NULL, NULL, NULL, NULL, '0', '0', NULL, NULL, NULL, '1569602913205559298', NULL, '1', TO_DATE('2022-09-20 16:24:23', 'SYYYY-MM-DD HH24:MI:SS'), '1', TO_DATE('2022-09-20 16:25:04', 'SYYYY-MM-DD HH24:MI:SS'), NULL);
INSERT INTO "ZMRQ"."SYS_USER" VALUES ('1573225626503593985', 'jtadmin', '$2a$10$rkC8m9nKcjCXzsdTBH4k.upBahVf4kYhIqIwQud4XgyPDNmy6reT6', NULL, NULL, NULL, '1', '1', NULL, NULL, NULL, '集团公司子管理员', TO_DATE('2022-09-26 11:03:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, NULL, NULL, NULL, NULL, '1', '0', NULL, NULL, NULL, '1', NULL, '1', TO_DATE('2022-09-23 16:19:53', 'SYYYY-MM-DD HH24:MI:SS'), '1', TO_DATE('2022-09-26 11:04:15', 'SYYYY-MM-DD HH24:MI:SS'), '1');
INSERT INTO "ZMRQ"."SYS_USER" VALUES ('1573241186289307650', 'rqa', '$2a$10$q6W1xcPf7r5ilEmAK4dkO.SFyeSN7MYfw1JKIOtxzNJ881B8OIwPe', NULL, NULL, NULL, '1', '1', NULL, NULL, NULL, '项目负责人', TO_DATE('2022-09-23 17:36:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, NULL, NULL, NULL, NULL, '0', '0', NULL, NULL, NULL, '1569602913205559298', NULL, '1', TO_DATE('2022-09-23 17:21:42', 'SYYYY-MM-DD HH24:MI:SS'), '1', TO_DATE('2022-09-23 17:36:56', 'SYYYY-MM-DD HH24:MI:SS'), NULL);
INSERT INTO "ZMRQ"."SYS_USER" VALUES ('1574204813473345537', 'tnadmin', '$2a$10$4GQ8yv6SvKQU0K90.f5hy.7ZPu2m3Km0l5CFpjqlp/p87YIA0mcey', NULL, NULL, NULL, '1', '1', NULL, NULL, NULL, '潼南子公司管理员', TO_DATE('2022-10-08 14:58:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, NULL, NULL, NULL, NULL, '2', '0', NULL, NULL, NULL, '1570225246022770689', NULL, '0', TO_DATE('2022-09-26 09:10:49', 'SYYYY-MM-DD HH24:MI:SS'), '1', TO_DATE('2022-10-08 14:58:58', 'SYYYY-MM-DD HH24:MI:SS'), NULL);
INSERT INTO "ZMRQ"."SYS_USER" VALUES ('1574213725660508161', 'fsq', '$2a$10$bJLNX5.EddmQOJDMl6Mx8.4bCOmFhAsDS1EsWkImpbVW0pZpf0/fG', NULL, NULL, NULL, '1', '1', NULL, NULL, NULL, '普通用户', TO_DATE('2022-09-26 14:03:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, NULL, NULL, NULL, NULL, '0', '0', NULL, NULL, NULL, '1570225246022770689', NULL, '1', TO_DATE('2022-09-26 09:46:14', 'SYYYY-MM-DD HH24:MI:SS'), '1574204813473345537', TO_DATE('2022-09-26 14:03:31', 'SYYYY-MM-DD HH24:MI:SS'), NULL);
INSERT INTO "ZMRQ"."SYS_USER" VALUES ('1574229303225753602', 'mzwanglin', '$2a$10$hRmYl3LQTUs4IHC9C9EINuemcJZyybfCzCYBEB2L65XO9L8MV.yLW', NULL, '15181076603', NULL, '1', '1', NULL, NULL, NULL, '王麟', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '1', NULL, NULL, NULL, '1569602913205559298', NULL, '0', TO_DATE('2022-09-26 10:48:08', 'SYYYY-MM-DD HH24:MI:SS'), '1574214292021571585', TO_DATE('2022-09-26 11:19:30', 'SYYYY-MM-DD HH24:MI:SS'), '1574214292021571585');
INSERT INTO "ZMRQ"."SYS_USER" VALUES ('1574239005661765633', 'mzxiangxiaochun', '$2a$10$rA4jlhiAMNJLaXL8tNYgWuYD5QH4uhvuBtMNMBYxbF6PSE1lF7FiC', NULL, '13778222217', NULL, '1', '1', NULL, NULL, NULL, '向小春', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '1', NULL, NULL, NULL, '1569602913205559298', NULL, '0', TO_DATE('2022-09-26 11:26:41', 'SYYYY-MM-DD HH24:MI:SS'), '1574214292021571585', TO_DATE('2022-09-26 11:26:41', 'SYYYY-MM-DD HH24:MI:SS'), '1574214292021571585');
INSERT INTO "ZMRQ"."SYS_USER" VALUES ('1574240841231802369', 'mzyangjiao', '$2a$10$hnSeppGM1uCuh2KePnk7eORc9vwYa80ZSfwwXw2XIDS1O1KF7CHtK', NULL, '18728051091', NULL, '1', '1', NULL, NULL, NULL, '杨娇', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '1', NULL, NULL, NULL, '1569602913205559298', NULL, '0', TO_DATE('2022-09-26 11:33:59', 'SYYYY-MM-DD HH24:MI:SS'), '1574214292021571585', TO_DATE('2022-09-26 11:33:59', 'SYYYY-MM-DD HH24:MI:SS'), '1574214292021571585');
INSERT INTO "ZMRQ"."SYS_USER" VALUES ('1574244979223076865', 'mzwangqing1', '$2a$10$4FEtylh8PS6221xuPHl9h.vLuX0kJNHsNDRc5ALawamQddtVdVDmS', NULL, '17709090206', NULL, '1', '1', NULL, NULL, NULL, '王晴', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '1', NULL, NULL, NULL, '1569602913205559298', NULL, '0', TO_DATE('2022-09-26 11:50:25', 'SYYYY-MM-DD HH24:MI:SS'), '1574214292021571585', TO_DATE('2022-09-26 11:50:25', 'SYYYY-MM-DD HH24:MI:SS'), '1574214292021571585');
INSERT INTO "ZMRQ"."SYS_USER" VALUES ('1574284526078173185', 'fsq1', '$2a$10$E3kRSx25QZ/2DWBKTedXdeujzMo6OpitSxnc3uOUvgKqNc0NYsEm6', NULL, NULL, NULL, '1', '1', NULL, NULL, NULL, 'fsq1', TO_DATE('2022-10-08 11:47:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, NULL, NULL, NULL, NULL, '1', '0', NULL, NULL, NULL, '1570225246022770689', NULL, '0', TO_DATE('2022-09-26 14:27:34', 'SYYYY-MM-DD HH24:MI:SS'), '1', TO_DATE('2022-10-08 11:47:37', 'SYYYY-MM-DD HH24:MI:SS'), NULL);
INSERT INTO "ZMRQ"."SYS_USER" VALUES ('1574293053785935873', '222', '$2a$10$MQpoJp34tEW3ud0CbgLwHukpjT3g1ZdcTXjeReC/iYX3iZT8aa3w6', NULL, NULL, NULL, '1', '1', NULL, NULL, NULL, '222', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '2', '1', NULL, NULL, NULL, '1', NULL, '1', TO_DATE('2022-09-26 15:01:27', 'SYYYY-MM-DD HH24:MI:SS'), '1', TO_DATE('2022-09-26 15:13:36', 'SYYYY-MM-DD HH24:MI:SS'), '1');
INSERT INTO "ZMRQ"."SYS_USER" VALUES ('1574295519353151489', 'mzdongxuanyao', '$2a$10$4aT1sKy1sm66nfpwEGvryurzgTwVfWREzVLYyH/VqGecRz.zD9kum', NULL, '18783821701', NULL, '1', '1', NULL, NULL, NULL, '董璇瑶', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1', '1', NULL, NULL, NULL, '1569602913205559298', NULL, '0', TO_DATE('2022-09-26 15:11:15', 'SYYYY-MM-DD HH24:MI:SS'), '1574214292021571585', TO_DATE('2022-09-27 11:44:16', 'SYYYY-MM-DD HH24:MI:SS'), '1574214292021571585');
INSERT INTO "ZMRQ"."SYS_USER" VALUES ('1574648225003597825', 'mzliting', '$2a$10$eguFfkeBSOMO5.QBDnV7meWA2.pu0IHAWkYnJrs7ZOxwc0yDnFfSi', NULL, '15208254262', NULL, '1', '1', NULL, NULL, NULL, '李挺', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1', '1', NULL, NULL, NULL, '1569602913205559298', NULL, '0', TO_DATE('2022-09-27 14:32:47', 'SYYYY-MM-DD HH24:MI:SS'), '1574214292021571585', TO_DATE('2022-09-27 14:32:47', 'SYYYY-MM-DD HH24:MI:SS'), '1574214292021571585');
INSERT INTO "ZMRQ"."SYS_USER" VALUES ('1574650487516000257', '22222', '$2a$10$pDkubOkyPQqHVZTwNyQAYO6dyRfU.BoPoQnZpBYD7penLBgP/cAbe', NULL, NULL, NULL, '1', '1', NULL, NULL, NULL, '1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '1', NULL, NULL, NULL, '1569602913205559298', NULL, '0', TO_DATE('2022-09-27 14:41:46', 'SYYYY-MM-DD HH24:MI:SS'), '1', TO_DATE('2022-09-27 14:41:46', 'SYYYY-MM-DD HH24:MI:SS'), '1');
INSERT INTO "ZMRQ"."SYS_USER" VALUES ('1574652764054188034', 'mzliujian', '$2a$10$vXNT7omZy8eL7kqBdMfSY.3U.pi4SMf.FH09Z06aILiOV6vjVM3Pi', NULL, '15183885735', NULL, '1', '1', NULL, NULL, NULL, '刘建', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1', '1', NULL, NULL, NULL, '1569602913205559298', NULL, '0', TO_DATE('2022-09-27 14:50:49', 'SYYYY-MM-DD HH24:MI:SS'), '1574214292021571585', TO_DATE('2022-09-27 14:53:33', 'SYYYY-MM-DD HH24:MI:SS'), '1574214292021571585');
INSERT INTO "ZMRQ"."SYS_USER" VALUES ('1574653738894323713', 'mzqinchunlin', '$2a$10$sHm3xy08rKkrcPTonUYgeeBKYGJr4X1AWdwkIEL9ePjTnG7CONaty', NULL, '18109099019', NULL, '1', '1', NULL, NULL, NULL, '秦春林', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1', '1', NULL, NULL, NULL, '1569602913205559298', NULL, '0', TO_DATE('2022-09-27 14:54:41', 'SYYYY-MM-DD HH24:MI:SS'), '1574214292021571585', TO_DATE('2022-09-27 14:54:41', 'SYYYY-MM-DD HH24:MI:SS'), '1574214292021571585');
INSERT INTO "ZMRQ"."SYS_USER" VALUES ('1574691866136932354', 'jtrq', '$2a$10$YUQ95VCXn9JNZOkGadim0uu8VcE./7qg6dekQrHpRezyIc5o45NE6', NULL, NULL, NULL, '1', '1', NULL, NULL, NULL, '集团', TO_DATE('2022-09-27 17:26:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, NULL, NULL, NULL, NULL, '1', '0', NULL, NULL, NULL, '1', NULL, '0', TO_DATE('2022-09-27 17:26:11', 'SYYYY-MM-DD HH24:MI:SS'), '1', TO_DATE('2022-09-27 17:26:45', 'SYYYY-MM-DD HH24:MI:SS'), NULL);
INSERT INTO "ZMRQ"."SYS_USER" VALUES ('1574697686392205313', 'wjs', '$2a$10$g.7YYv7w0ScQx7MGoYjOQuiGxNpX.HRimKArWin8kH9xfV2J17jMa', NULL, NULL, NULL, '1', '1', NULL, NULL, NULL, 'wjs', TO_DATE('2022-09-27 17:49:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, NULL, NULL, NULL, NULL, '1', '0', NULL, NULL, NULL, '1569602913205559298', NULL, '1', TO_DATE('2022-09-27 17:49:19', 'SYYYY-MM-DD HH24:MI:SS'), '1', TO_DATE('2022-09-27 17:49:45', 'SYYYY-MM-DD HH24:MI:SS'), NULL);
INSERT INTO "ZMRQ"."SYS_USER" VALUES ('1574945696627830786', 'mzjiangkai', '$2a$10$NY4m7au7PMOrDXsuBr2G7uKjNMwRQj57jASAFk0TIhHNWvNdUDX7i', NULL, '13778209400', NULL, '1', '1', NULL, NULL, NULL, '蒋凯', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1', '1', NULL, NULL, NULL, '1569602913205559298', NULL, '0', TO_DATE('2022-09-28 10:14:49', 'SYYYY-MM-DD HH24:MI:SS'), '1574214292021571585', TO_DATE('2022-09-28 10:14:49', 'SYYYY-MM-DD HH24:MI:SS'), '1574214292021571585');
INSERT INTO "ZMRQ"."SYS_USER" VALUES ('1575001846643810306', 'jtzh', '$2a$10$HIgTlKbvvLqgD1T9YmWNp.1ke5qkstC2g3mSqGOz19QFfR.m2D/H.', NULL, NULL, NULL, '1', '1', NULL, NULL, NULL, '集团账号', TO_DATE('2022-09-28 15:24:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, NULL, NULL, NULL, NULL, '1', '0', NULL, NULL, NULL, '1', NULL, '0', TO_DATE('2022-09-28 13:57:57', 'SYYYY-MM-DD HH24:MI:SS'), '1', TO_DATE('2022-09-28 15:24:35', 'SYYYY-MM-DD HH24:MI:SS'), NULL);
INSERT INTO "ZMRQ"."SYS_USER" VALUES ('1562365397418708993', 'lz', '$2a$10$SVHa13/TBQxtHSx3CKoPJeVDfZx1lI.w7WqMPRhEMU9KslOR9BFfe', NULL, '15221318323', '/base/useravatar/1561904594781949954.jpg', '1', '1', NULL, NULL, NULL, '罗智', TO_DATE('2022-10-08 09:26:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, NULL, NULL, NULL, NULL, '0', '0', NULL, NULL, NULL, '1569602913205559298', NULL, '0', TO_DATE('2022-08-24 17:05:12', 'SYYYY-MM-DD HH24:MI:SS'), '1', TO_DATE('2022-10-08 09:26:00', 'SYYYY-MM-DD HH24:MI:SS'), NULL);
INSERT INTO "ZMRQ"."SYS_USER" VALUES ('1568113350813544449', 'yj99', '$2a$10$SgCGXgE0N9eKoG.yDUwiHu9JChYL2cqpf8oAxDOpsppdMdkpox7uG', NULL, NULL, NULL, '1', '1', NULL, NULL, NULL, '测试', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '1', NULL, NULL, NULL, '1', NULL, '1', TO_DATE('2022-09-09 13:45:31', 'SYYYY-MM-DD HH24:MI:SS'), '1562707353475338242', TO_DATE('2022-09-09 13:45:31', 'SYYYY-MM-DD HH24:MI:SS'), '1562707353475338242');
INSERT INTO "ZMRQ"."SYS_USER" VALUES ('1568442547062820866', 'test77', '$2a$10$XA7FHo2GevCDuCSGFzet4uv5XrlW2s.V9TfspP0NO.FGb6o7NSh7O', NULL, NULL, NULL, '1', '1', NULL, NULL, NULL, 'test1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '1', NULL, NULL, NULL, '1', NULL, '1', TO_DATE('2022-09-10 11:33:38', 'SYYYY-MM-DD HH24:MI:SS'), '2', TO_DATE('2022-09-10 11:33:38', 'SYYYY-MM-DD HH24:MI:SS'), '2');
INSERT INTO "ZMRQ"."SYS_USER" VALUES ('1569214798926188546', 'yj2', '$2a$10$f3vC6viHA.ywHOeDoHjK7eLR8sJ4nRInb.KU61.E1WnfCS2DYcBRu', NULL, NULL, NULL, '1', '1', NULL, NULL, NULL, '测试', TO_DATE('2022-09-12 14:43:10', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.170.172', NULL, NULL, NULL, NULL, NULL, '0', '0', NULL, NULL, NULL, '1569152821327564802', NULL, '0', TO_DATE('2022-09-12 14:42:17', 'SYYYY-MM-DD HH24:MI:SS'), '1562707353475338242', TO_DATE('2022-09-12 15:05:51', 'SYYYY-MM-DD HH24:MI:SS'), '1569214798926188546');
INSERT INTO "ZMRQ"."SYS_USER" VALUES ('1569927028886020097', 'test88', '$2a$10$kxrMpA31I2hDo49SPshVQ.A4IoEZv.XARCw3s/ji8x2KYUk9/WYXK', NULL, '18382414073', NULL, '1', '1', NULL, NULL, '1127377703@qq.com', 'test1', TO_DATE('2022-09-14 15:52:44', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, NULL, NULL, NULL, NULL, '0', '0', NULL, NULL, NULL, '1', NULL, '1', TO_DATE('2022-09-14 13:52:26', 'SYYYY-MM-DD HH24:MI:SS'), '1562707661060427778', TO_DATE('2022-09-14 16:02:10', 'SYYYY-MM-DD HH24:MI:SS'), '1569933628933742593');
INSERT INTO "ZMRQ"."SYS_USER" VALUES ('1569930553393225730', 'test2', '$2a$10$kLxTX.UW9YR0V1Eth.veduuJwErofCwbvlgSdQb8Xsbgz9LJpuSk.', NULL, NULL, NULL, '1', '1', NULL, NULL, NULL, 'test23', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '1', NULL, NULL, NULL, '1569216846182748162', NULL, '0', TO_DATE('2022-09-14 14:06:26', 'SYYYY-MM-DD HH24:MI:SS'), '1562707661060427778', TO_DATE('2022-09-14 15:57:41', 'SYYYY-MM-DD HH24:MI:SS'), '1569933628933742593');
INSERT INTO "ZMRQ"."SYS_USER" VALUES ('1569933628933742593', 'test3', '$2a$10$3N/3M.mDpkjcHlh/Xy9bj.WN4ohDCDc8qs9fP0UJbLf7xc/Qx5nfS', NULL, NULL, NULL, '1', '1', NULL, NULL, NULL, 'test3', TO_DATE('2022-09-14 15:54:00', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, NULL, NULL, NULL, NULL, '0', '0', NULL, NULL, NULL, '1569602913205559298', NULL, '1', TO_DATE('2022-09-14 14:18:39', 'SYYYY-MM-DD HH24:MI:SS'), '1569927028886020097', TO_DATE('2022-09-15 14:30:08', 'SYYYY-MM-DD HH24:MI:SS'), '1562707661060427778');
INSERT INTO "ZMRQ"."SYS_USER" VALUES ('1570009530036232194', 'tmx', '$2a$10$wfFn4Zp1ETgiUD6FSQNZ6OeawspMpgEXDvD9irS9xyUGNxuCBAoi2', NULL, NULL, NULL, '1', '1', NULL, NULL, NULL, '滕明学', TO_DATE('2022-09-30 11:06:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, NULL, NULL, NULL, NULL, '0', '0', NULL, NULL, NULL, '1569152821327564802', NULL, '0', TO_DATE('2022-09-14 19:20:15', 'SYYYY-MM-DD HH24:MI:SS'), '1564089266203029506', TO_DATE('2022-09-30 11:06:30', 'SYYYY-MM-DD HH24:MI:SS'), NULL);
INSERT INTO "ZMRQ"."SYS_USER" VALUES ('1570226660144947202', 'mzscb', '$2a$10$eIFERipz5KbBGmVEIf9B5OP3WErD2bSa73N91NJoSK./93O.xUMc6', NULL, NULL, NULL, '1', '1', NULL, NULL, NULL, '绵竹市场部', TO_DATE('2022-10-08 14:30:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, NULL, NULL, NULL, NULL, '0', '0', NULL, NULL, NULL, '1569602913205559298', NULL, '0', TO_DATE('2022-09-15 09:43:03', 'SYYYY-MM-DD HH24:MI:SS'), '1569490064726630401', TO_DATE('2022-10-08 14:30:02', 'SYYYY-MM-DD HH24:MI:SS'), NULL);
INSERT INTO "ZMRQ"."SYS_USER" VALUES ('1571679186358636546', 'Finance', '$2a$10$XfASsmYBTFGxUhUdkxaNR.wjjhkaX.B9eNAA4ANnqoeztfzdz.JKy', NULL, NULL, NULL, '1', '1', NULL, NULL, NULL, '财务管理部经理', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '1', NULL, NULL, NULL, '1569152821327564802', NULL, '1', TO_DATE('2022-09-19 09:54:53', 'SYYYY-MM-DD HH24:MI:SS'), '1562707661060427778', TO_DATE('2022-09-19 10:07:02', 'SYYYY-MM-DD HH24:MI:SS'), '1562707661060427778');
INSERT INTO "ZMRQ"."SYS_USER" VALUES ('1571679523341602818', 'market', '$2a$10$UCm/KI9FRNVnKGwulneZdOnqz8Rr8oKCmKhgLdUsBqzBAVsENm97W', NULL, NULL, NULL, '1', '1', NULL, NULL, NULL, '市场保障部负责人', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '1', NULL, NULL, NULL, '1569152821327564802', NULL, '1', TO_DATE('2022-09-19 09:56:13', 'SYYYY-MM-DD HH24:MI:SS'), '1562707661060427778', TO_DATE('2022-09-19 09:56:13', 'SYYYY-MM-DD HH24:MI:SS'), '1562707661060427778');
INSERT INTO "ZMRQ"."SYS_USER" VALUES ('1571679690560114689', 'supervisor', '$2a$10$DF.OYZ.mXUy0ta8LkAxweOBiZ/3lW/5BY4osdZpLD8NibDsceGsJu', NULL, NULL, NULL, '1', '1', NULL, NULL, NULL, '监理单位', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '1', NULL, NULL, NULL, '1569152821327564802', NULL, '1', TO_DATE('2022-09-19 09:56:53', 'SYYYY-MM-DD HH24:MI:SS'), '1562707661060427778', TO_DATE('2022-09-19 09:56:53', 'SYYYY-MM-DD HH24:MI:SS'), '1562707661060427778');
INSERT INTO "ZMRQ"."SYS_USER" VALUES ('1571680849626664962', 'rq2', '$2a$10$7ZQ51QLUcdwYAlnUg0vfqux3.L2RIsL7EYym/ERWETc7eTJuLJMNK', NULL, NULL, NULL, '1', '1', NULL, NULL, NULL, '分管市场副总', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '1', NULL, NULL, NULL, '1569152821327564802', NULL, '1', TO_DATE('2022-09-19 10:01:29', 'SYYYY-MM-DD HH24:MI:SS'), '1562707661060427778', TO_DATE('2022-09-19 10:12:53', 'SYYYY-MM-DD HH24:MI:SS'), '1562707661060427778');
INSERT INTO "ZMRQ"."SYS_USER" VALUES ('1571695849351233537', 'CustomerDep', '$2a$10$vuRlSAJPXtyJ9G9CMS6foew2BkR5HtkzBGXTwUS5dnmlL.F9b8qme', NULL, NULL, NULL, '1', '1', NULL, NULL, NULL, '客户服务部', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '1', NULL, NULL, NULL, '1', NULL, '1', TO_DATE('2022-09-19 11:01:05', 'SYYYY-MM-DD HH24:MI:SS'), '1571688988283506690', TO_DATE('2022-09-19 11:04:27', 'SYYYY-MM-DD HH24:MI:SS'), '1571688988283506690');
INSERT INTO "ZMRQ"."SYS_USER" VALUES ('1', 'admin', '$2a$10$kgiDQ8G5ZpfRuoVI7awvEejeb/Gm5fOR9Ijctt168TkLJCMyRpdEu', NULL, '15221318323', '/base/useravatar/1561904594781949954.jpg', '1', '1', NULL, NULL, NULL, '管理员', TO_DATE('2022-10-08 16:56:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, NULL, NULL, NULL, NULL, '0', '0', NULL, NULL, NULL, '1', NULL, '0', TO_DATE('2022-09-19 11:04:38', 'SYYYY-MM-DD HH24:MI:SS'), '1', TO_DATE('2022-10-08 16:56:16', 'SYYYY-MM-DD HH24:MI:SS'), NULL);
INSERT INTO "ZMRQ"."SYS_USER" VALUES ('1571808470779846657', 'yck', '$2a$10$8BdQNT4aM2QTPMczy8Z4fea01/KKr5KlLJuQhfMLQpRMQ1t0.UIgm', NULL, NULL, NULL, '1', '1', NULL, NULL, NULL, '张三', TO_DATE('2022-10-08 16:48:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, NULL, NULL, NULL, NULL, '0', '0', NULL, NULL, NULL, '1569602913205559298', NULL, '0', TO_DATE('2022-09-19 18:28:36', 'SYYYY-MM-DD HH24:MI:SS'), '1', TO_DATE('2022-10-08 16:48:01', 'SYYYY-MM-DD HH24:MI:SS'), NULL);
INSERT INTO "ZMRQ"."SYS_USER" VALUES ('1571809005645881345', 'sgdw', '$2a$10$JkfA3pTBR6wbLq28kDxJMumAxM1kmVeabGjyxsBXzJY2a5mz/uNEW', NULL, NULL, NULL, '1', '1', NULL, NULL, NULL, '施工单位负责人', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '1', NULL, NULL, NULL, '1', NULL, '1', TO_DATE('2022-09-19 18:30:44', 'SYYYY-MM-DD HH24:MI:SS'), '1', TO_DATE('2022-09-19 18:30:44', 'SYYYY-MM-DD HH24:MI:SS'), '1');
INSERT INTO "ZMRQ"."SYS_USER" VALUES ('1572118326741118978', 'test1', '$2a$10$FUbTsQH1J/1QirXd.SVGE.4SsVqZKqRV3WN6ibxXvVaFg2KDiHPwW', NULL, NULL, NULL, '1', '1', NULL, NULL, NULL, 'test1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '1', NULL, NULL, NULL, '1569602913205559298', NULL, '0', TO_DATE('2022-09-20 14:59:52', 'SYYYY-MM-DD HH24:MI:SS'), '1572117095968747521', TO_DATE('2022-09-20 14:59:52', 'SYYYY-MM-DD HH24:MI:SS'), '1572117095968747521');
INSERT INTO "ZMRQ"."SYS_USER" VALUES ('1572522056259010561', 'july', '$2a$10$S7STUsvRDoIe9PsDusUrUOUNeBH.CGyf1UFRQAm0izpA1imTdYJEe', NULL, NULL, NULL, '1', '1', NULL, NULL, NULL, 'july', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '1', NULL, NULL, NULL, '1569602913205559298', NULL, '0', TO_DATE('2022-09-21 17:44:08', 'SYYYY-MM-DD HH24:MI:SS'), '1572117095968747521', TO_DATE('2022-09-21 17:44:08', 'SYYYY-MM-DD HH24:MI:SS'), '1572117095968747521');
INSERT INTO "ZMRQ"."SYS_USER" VALUES ('1572763574748172290', 'public', '$2a$10$d.5ezovEDE2qIV/Utau0HOIzL7HOIzQF8bhW4Bd3iFXXvgsPZ8dDG', NULL, NULL, NULL, '1', '1', NULL, NULL, NULL, 'public', TO_DATE('2022-10-08 16:04:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, NULL, NULL, NULL, NULL, '0', '0', NULL, NULL, NULL, '1569602913205559298', NULL, '0', TO_DATE('2022-09-22 09:43:51', 'SYYYY-MM-DD HH24:MI:SS'), '1572117095968747521', TO_DATE('2022-10-08 16:04:24', 'SYYYY-MM-DD HH24:MI:SS'), NULL);
INSERT INTO "ZMRQ"."SYS_USER" VALUES ('1573221388536889346', 'll2', '$2a$10$A6fi06goxN0C1U8LPUQut.BPbIWbcD8GKb8hLYKU4Nc30ter/7K0W', NULL, NULL, NULL, '1', '1', NULL, NULL, NULL, 'll2', TO_DATE('2022-09-29 11:27:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, NULL, NULL, NULL, NULL, '0', '0', NULL, NULL, NULL, '1569602913205559298', NULL, '0', TO_DATE('2022-09-23 16:03:02', 'SYYYY-MM-DD HH24:MI:SS'), '1564089266203029506', TO_DATE('2022-09-29 11:27:44', 'SYYYY-MM-DD HH24:MI:SS'), NULL);
INSERT INTO "ZMRQ"."SYS_USER" VALUES ('1573239502070730754', 'mxy', '$2a$10$4cPCOeuDhQAxt4Sr6tHPnOYVHc.DKJLIbYv.hmevDM0qI6.rRq2j.', NULL, NULL, NULL, '1', '1', NULL, NULL, NULL, '牟旭阳', TO_DATE('2022-09-23 17:15:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, NULL, NULL, NULL, NULL, '0', '0', NULL, NULL, NULL, '1569602913205559298', NULL, '0', TO_DATE('2022-09-23 17:15:01', 'SYYYY-MM-DD HH24:MI:SS'), '1', TO_DATE('2022-09-23 17:15:52', 'SYYYY-MM-DD HH24:MI:SS'), NULL);
INSERT INTO "ZMRQ"."SYS_USER" VALUES ('1573859622077870082', 'llzm', '$2a$10$QFFqGzn4arX7kRXTKjbED.3TlrqqGyv6VVXYlcd1g5MEFU1GjDStq', NULL, NULL, NULL, '1', '1', NULL, NULL, NULL, 'llzm', TO_DATE('2022-10-08 16:06:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, NULL, NULL, NULL, NULL, '0', '0', NULL, NULL, NULL, '1569602913205559298', NULL, '0', TO_DATE('2022-09-25 10:19:09', 'SYYYY-MM-DD HH24:MI:SS'), '1564089266203029506', TO_DATE('2022-10-08 16:06:29', 'SYYYY-MM-DD HH24:MI:SS'), NULL);
INSERT INTO "ZMRQ"."SYS_USER" VALUES ('1574240277135663106', 'mzliuxin', '$2a$10$7NrVJa6pkd.7e8ja4ve08OQ6FcRWdU/OCTIFZ0vEG61oztboBjoD2', NULL, '13568220847', NULL, '1', '1', NULL, NULL, NULL, '刘欣', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '1', NULL, NULL, NULL, '1569602913205559298', NULL, '0', TO_DATE('2022-09-26 11:31:44', 'SYYYY-MM-DD HH24:MI:SS'), '1574214292021571585', TO_DATE('2022-09-28 18:16:58', 'SYYYY-MM-DD HH24:MI:SS'), '1572763574748172290');
INSERT INTO "ZMRQ"."SYS_USER" VALUES ('1574292464716910593', '1', '$2a$10$2DDY0dJiqgilhWA8ZVI0rezoRAfJTi9jQ8kOqz87DrQpGPM8vCiWK', NULL, NULL, NULL, '1', '1', NULL, NULL, NULL, '1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '1', NULL, NULL, NULL, '1', NULL, '1', TO_DATE('2022-09-26 14:59:07', 'SYYYY-MM-DD HH24:MI:SS'), '1', TO_DATE('2022-09-26 14:59:07', 'SYYYY-MM-DD HH24:MI:SS'), '1');
INSERT INTO "ZMRQ"."SYS_USER" VALUES ('1574703353353932801', 'zhangsan', '$2a$10$1zdeDS8dMMtnfpRM4XUoDeTP2/evUR2eL5CYF2t4XZcX.gwQmkvaO', NULL, '13111221122', NULL, '1', '1', NULL, NULL, 'xxx@qq.com', '张三', NULL, NULL, NULL, 'hx123456', NULL, '测试用户', NULL, '1', '1', '我是一位测试账号用户', '无备注', NULL, '1569602913205559298', NULL, '1', TO_DATE('2022-09-27 18:11:50', 'SYYYY-MM-DD HH24:MI:SS'), '1', TO_DATE('2022-09-27 18:11:50', 'SYYYY-MM-DD HH24:MI:SS'), '1');
INSERT INTO "ZMRQ"."SYS_USER" VALUES ('1574945313813704706', 'jtadmin', '$2a$10$JVS4qsXynFAAoIYWZUBFJOjM49YZLyAmqXBliXfQt0appF8ekpfAy', NULL, '18382414065', '/base/useravatar/1575402298824843266.jpg', '1', '1', NULL, NULL, '1127377703@qq.com', 'jtadmin', TO_DATE('2022-10-08 16:09:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, NULL, NULL, NULL, NULL, '0', '0', NULL, '集团管理负责分配角色，分配模块权限。', NULL, '1', NULL, '0', TO_DATE('2022-09-28 10:13:18', 'SYYYY-MM-DD HH24:MI:SS'), '1', TO_DATE('2022-10-08 16:09:31', 'SYYYY-MM-DD HH24:MI:SS'), NULL);
INSERT INTO "ZMRQ"."SYS_USER" VALUES ('1574946019425660929', 'lz1', '$2a$10$0kWI1iNCju3SgFbiHY7mCuBfLn/HbnG786aZJ52FrBVfJZ8S4cNZC', NULL, NULL, NULL, '1', '1', NULL, NULL, NULL, '集团-罗智', TO_DATE('2022-09-28 17:41:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, NULL, NULL, NULL, NULL, '1', '0', NULL, NULL, NULL, '1', NULL, '0', TO_DATE('2022-09-28 10:16:06', 'SYYYY-MM-DD HH24:MI:SS'), '1574945313813704706', TO_DATE('2022-09-29 17:24:36', 'SYYYY-MM-DD HH24:MI:SS'), '1574940855788646402');
INSERT INTO "ZMRQ"."SYS_USER" VALUES ('1575020867783090177', 'ys', '$2a$10$tyfCA0.kCd.982jqSXGfkObPR.RGo1RBKrbliu4OfQejJbkaeNuN2', NULL, NULL, NULL, '1', '1', NULL, NULL, NULL, '1', TO_DATE('2022-09-28 15:14:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, NULL, NULL, NULL, NULL, '1', '0', NULL, NULL, NULL, '1569602913205559298', NULL, '0', TO_DATE('2022-09-28 15:13:32', 'SYYYY-MM-DD HH24:MI:SS'), '1573210716168110082', TO_DATE('2022-09-28 15:14:09', 'SYYYY-MM-DD HH24:MI:SS'), NULL);
INSERT INTO "ZMRQ"."SYS_USER" VALUES ('1575021278879408130', 'tnadmins', '$2a$10$.bUjP/nQAH6gSexKFFaWLOG6TCVeH8/nIFf8kR.TuOO8HtC81dVTa', NULL, NULL, NULL, '1', '1', NULL, NULL, '1126377703@qq.com', 'tnadmins', TO_DATE('2022-09-28 15:43:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, NULL, NULL, NULL, NULL, '2', '0', NULL, NULL, NULL, '1574644518840958977', NULL, '0', TO_DATE('2022-09-28 15:15:10', 'SYYYY-MM-DD HH24:MI:SS'), '1', TO_DATE('2022-09-29 15:09:33', 'SYYYY-MM-DD HH24:MI:SS'), '1574204813473345537');
INSERT INTO "ZMRQ"."SYS_USER" VALUES ('1575075442753880066', 'ceshi66', '$2a$10$thjmcyyusIjbAjMA9NYXx.TcrDqcfOqbWYkbYd3DIHOCaZvr.Kbx.', NULL, NULL, '/base/useravatar/1575075441973739522.png', '1', '1', NULL, NULL, NULL, '1222', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1', '1', NULL, '工作职责备注', NULL, '1569602913205559298', NULL, '0', TO_DATE('2022-09-28 18:50:23', 'SYYYY-MM-DD HH24:MI:SS'), '1572763574748172290', TO_DATE('2022-09-29 09:23:46', 'SYYYY-MM-DD HH24:MI:SS'), '1562707353475338242');
INSERT INTO "ZMRQ"."SYS_USER" VALUES ('1575311986899046401', 'zhangsan1', '$2a$10$4cR92aYWcyAePL5I6wwF.uBOx55wvam.hs49Z87pAYtYidsVRD06q', NULL, '13111221122', NULL, '1', '1', NULL, NULL, 'xxx@qq.com', '张三', NULL, NULL, NULL, 'hx123456', NULL, '测试用户', NULL, '1', '1', '我是一位测试账号用户', '无备注', NULL, '1569602913205550000', NULL, '0', TO_DATE('2022-09-29 10:30:20', 'SYYYY-MM-DD HH24:MI:SS'), '1', TO_DATE('2022-09-29 10:30:20', 'SYYYY-MM-DD HH24:MI:SS'), '1');
INSERT INTO "ZMRQ"."SYS_USER" VALUES ('1575314928024702977', 'raoqins', '$2a$10$j/gC0g.BEh/Ssy2uChwvrOQPKeoLDfa/hyyj7OVDo1IE5cu74.8e.', NULL, '13111221122', NULL, '1', '1', NULL, NULL, 'xxx@qq.com', '卡西s', NULL, NULL, NULL, 'hx123456', NULL, '测试用户', NULL, '1', '1', '我是一位测试账号用户', '无备注', NULL, '1569602913205559298', NULL, '0', TO_DATE('2022-09-29 10:42:01', 'SYYYY-MM-DD HH24:MI:SS'), '1', TO_DATE('2022-09-29 10:42:01', 'SYYYY-MM-DD HH24:MI:SS'), '1');
INSERT INTO "ZMRQ"."SYS_USER" VALUES ('1575401231215091714', 'test01', '$2a$10$C.QuwVce/UuXzRGiB9S8F.mPGWrjcy9jf21qgH3oJRqQ6BmQ3aWqa', NULL, NULL, NULL, '1', '1', NULL, NULL, NULL, 'test01', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1', '1', NULL, NULL, NULL, '1', NULL, '1', TO_DATE('2022-09-29 16:24:57', 'SYYYY-MM-DD HH24:MI:SS'), '1574945313813704706', TO_DATE('2022-09-29 16:24:57', 'SYYYY-MM-DD HH24:MI:SS'), '1574945313813704706');
INSERT INTO "ZMRQ"."SYS_USER" VALUES ('1575418271770345474', 'ndh', '$2a$10$OQfV4s25PJoWTqRtxtA1AOH8oyYGnAyXLief3BAV.B2gSpVh/2Rda', NULL, NULL, NULL, '1', '1', NULL, NULL, NULL, 'ndh', TO_DATE('2022-09-29 17:33:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, NULL, NULL, NULL, NULL, '1', '0', NULL, '11', NULL, '1', NULL, '0', TO_DATE('2022-09-29 17:32:40', 'SYYYY-MM-DD HH24:MI:SS'), '1571688988283506690', TO_DATE('2022-09-29 17:33:20', 'SYYYY-MM-DD HH24:MI:SS'), NULL);
INSERT INTO "ZMRQ"."SYS_USER" VALUES ('1575421072567173121', 'copy', '$2a$10$5SxJqnouCcxx6W7w8N7qie85b7fhQF2XgnF6jsSNIsXzFKfzxhXoq', NULL, NULL, NULL, '1', '1', NULL, NULL, NULL, 'copy', TO_DATE('2022-10-08 11:40:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, NULL, NULL, NULL, NULL, '1', '0', NULL, NULL, NULL, '1', NULL, '0', TO_DATE('2022-09-29 17:43:48', 'SYYYY-MM-DD HH24:MI:SS'), '1', TO_DATE('2022-10-08 11:40:55', 'SYYYY-MM-DD HH24:MI:SS'), NULL);
INSERT INTO "ZMRQ"."SYS_USER" VALUES ('1575423250816040962', 'cwjl', '$2a$10$H3gwF6z6JD7V.uGT93ONM.DN3waNZ6m4WlrEuvXMjfO9H/.4KHHpS', NULL, NULL, NULL, '1', '1', NULL, NULL, NULL, 'cwjl', TO_DATE('2022-09-29 17:55:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, NULL, NULL, NULL, NULL, '1', '0', NULL, NULL, NULL, '1', NULL, '0', TO_DATE('2022-09-29 17:52:27', 'SYYYY-MM-DD HH24:MI:SS'), '1574945313813704706', TO_DATE('2022-09-29 17:59:16', 'SYYYY-MM-DD HH24:MI:SS'), '1574945313813704706');
INSERT INTO "ZMRQ"."SYS_USER" VALUES ('1575423810059370498', 'cwjl1', '$2a$10$hz2xB26883ymTVNgOOSTbeBWMHVBhgMO4HDCFG109o5HijtOw1SdK', NULL, NULL, NULL, '1', '1', NULL, NULL, NULL, 'cwjl', TO_DATE('2022-09-29 17:55:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, NULL, NULL, NULL, NULL, '1', '0', NULL, NULL, NULL, '1', NULL, '0', TO_DATE('2022-09-29 17:54:40', 'SYYYY-MM-DD HH24:MI:SS'), '1574945313813704706', TO_DATE('2022-09-29 17:55:38', 'SYYYY-MM-DD HH24:MI:SS'), NULL);

-- ----------------------------
-- Table structure for SYS_USER_DEPT
-- ----------------------------
DROP TABLE "ZMRQ"."SYS_USER_DEPT";
CREATE TABLE "ZMRQ"."SYS_USER_DEPT" (
  "ID" NUMBER(20,0) NOT NULL,
  "USER_ID" NUMBER(20,0) NOT NULL,
  "DEPT_ID" NUMBER(20,0) NOT NULL,
  "TENANT_ID" NUMBER(20,0) DEFAULT 0 NOT NULL
)
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "ZMRQ"."SYS_USER_DEPT"."ID" IS '主键ID';
COMMENT ON COLUMN "ZMRQ"."SYS_USER_DEPT"."USER_ID" IS '用户ID';
COMMENT ON COLUMN "ZMRQ"."SYS_USER_DEPT"."DEPT_ID" IS '部门ID';
COMMENT ON COLUMN "ZMRQ"."SYS_USER_DEPT"."TENANT_ID" IS '租户ID';
COMMENT ON TABLE "ZMRQ"."SYS_USER_DEPT" IS '用户部门关联表';

-- ----------------------------
-- Records of SYS_USER_DEPT
-- ----------------------------
INSERT INTO "ZMRQ"."SYS_USER_DEPT" VALUES ('1569502237901266945', '1569494002066595842', '1569500356474904577', '0');
INSERT INTO "ZMRQ"."SYS_USER_DEPT" VALUES ('1574650169818443778', '1574650169763917825', '1570225570573819906', '0');
INSERT INTO "ZMRQ"."SYS_USER_DEPT" VALUES ('1572151546857660417', '1572151546815717378', '1570225570573819906', '0');
INSERT INTO "ZMRQ"."SYS_USER_DEPT" VALUES ('1574239903507062785', '1574239903456731137', '1572145011712598018', '0');
INSERT INTO "ZMRQ"."SYS_USER_DEPT" VALUES ('1574241888654368769', '1574241888620814337', '1572145011712598018', '0');
INSERT INTO "ZMRQ"."SYS_USER_DEPT" VALUES ('1569958550779273218', '1569930553393225730', '1569216886867496961', '0');
INSERT INTO "ZMRQ"."SYS_USER_DEPT" VALUES ('1574241654947749890', '1574241654914195458', '1572145011712598018', '0');
INSERT INTO "ZMRQ"."SYS_USER_DEPT" VALUES ('1574609708978274306', '1574609708927942657', '1570225570573819906', '0');
INSERT INTO "ZMRQ"."SYS_USER_DEPT" VALUES ('1571683752068255745', '1570009530036232194', '1569500356474904577', '0');
INSERT INTO "ZMRQ"."SYS_USER_DEPT" VALUES ('1574634322659901442', '1574634322609569794', '1570225570573819906', '0');
INSERT INTO "ZMRQ"."SYS_USER_DEPT" VALUES ('1574654111923138562', '1574654111881195521', '1570225570573819906', '0');
INSERT INTO "ZMRQ"."SYS_USER_DEPT" VALUES ('1574654303309230081', '1574654303275675649', '1570225570573819906', '0');
INSERT INTO "ZMRQ"."SYS_USER_DEPT" VALUES ('1574654686958022658', '1574654686932856834', '1570225570573819906', '0');
INSERT INTO "ZMRQ"."SYS_USER_DEPT" VALUES ('1574654922661130242', '1574654922619187202', '1570225570573819906', '0');
INSERT INTO "ZMRQ"."SYS_USER_DEPT" VALUES ('1574655349448339458', '1574655349406396418', '1570225570573819906', '0');
INSERT INTO "ZMRQ"."SYS_USER_DEPT" VALUES ('1575310555685081089', '1575310555383091202', '1572145011712598018', '0');
INSERT INTO "ZMRQ"."SYS_USER_DEPT" VALUES ('1574690262339940353', '1574690262235082753', '1572145011712598018', '0');
INSERT INTO "ZMRQ"."SYS_USER_DEPT" VALUES ('1575295235134144513', '1575075442753880066', '1574689935695933442', '0');
INSERT INTO "ZMRQ"."SYS_USER_DEPT" VALUES ('1574933503169638402', '1574933503127695361', '1574933163321962497', '0');
INSERT INTO "ZMRQ"."SYS_USER_DEPT" VALUES ('1575310555693469698', '1575310555383091202', '1574210413519302657', '0');
INSERT INTO "ZMRQ"."SYS_USER_DEPT" VALUES ('1575312166264262658', '1575312166197153793', '1572145011712598018', '0');
INSERT INTO "ZMRQ"."SYS_USER_DEPT" VALUES ('1575312166281039873', '1575312166197153793', '1574210413519302657', '0');
INSERT INTO "ZMRQ"."SYS_USER_DEPT" VALUES ('1575330551115046914', '1575330550297157633', '1574689851017129985', '0');
INSERT INTO "ZMRQ"."SYS_USER_DEPT" VALUES ('1574239422852407297', '1574239422818852866', '1572145011712598018', '0');
INSERT INTO "ZMRQ"."SYS_USER_DEPT" VALUES ('1574236800892313601', '1574229303225753602', '1572145011712598018', '0');
INSERT INTO "ZMRQ"."SYS_USER_DEPT" VALUES ('1562707768916955138', '1562707768816291841', '1', '0');
INSERT INTO "ZMRQ"."SYS_USER_DEPT" VALUES ('1564089266412744706', '1564089266203029506', '1', '0');
INSERT INTO "ZMRQ"."SYS_USER_DEPT" VALUES ('1570685560216453121', '1570685560031903746', '1570684996602658818', '0');
INSERT INTO "ZMRQ"."SYS_USER_DEPT" VALUES ('1572495771591811073', '1571684054368522241', '1570684996602658818', '0');
INSERT INTO "ZMRQ"."SYS_USER_DEPT" VALUES ('1574237832485576706', '1574237832452022274', '1572145011712598018', '0');
INSERT INTO "ZMRQ"."SYS_USER_DEPT" VALUES ('1574698114500620290', '1570226660144947202', '1570225570573819906', '0');
INSERT INTO "ZMRQ"."SYS_USER_DEPT" VALUES ('1574241317335638018', '1574241317297889282', '1572145011712598018', '0');
INSERT INTO "ZMRQ"."SYS_USER_DEPT" VALUES ('1574646393258639361', '1574646393216696321', '1570225570573819906', '0');
INSERT INTO "ZMRQ"."SYS_USER_DEPT" VALUES ('1574694881220718593', '1574692718360784897', '1570225570573819906', '0');
INSERT INTO "ZMRQ"."SYS_USER_DEPT" VALUES ('1575382221014458369', '1574655449272774658', '1575036251668078594', '0');
INSERT INTO "ZMRQ"."SYS_USER_DEPT" VALUES ('1575408094459535361', '1574940855788646402', '1571810200158494722', '0');
INSERT INTO "ZMRQ"."SYS_USER_DEPT" VALUES ('1574298192492183554', '1574298192433463297', '1570225570573819906', '0');
INSERT INTO "ZMRQ"."SYS_USER_DEPT" VALUES ('1570298999125688321', '1562707661060427778', '1569212496614002689', '0');
INSERT INTO "ZMRQ"."SYS_USER_DEPT" VALUES ('1574682717420347394', '1574655670413258754', '1574650188160135170', '0');
INSERT INTO "ZMRQ"."SYS_USER_DEPT" VALUES ('1575052654114619393', '1571808470779846657', '1574689851017129985', '0');
INSERT INTO "ZMRQ"."SYS_USER_DEPT" VALUES ('1572151297732780033', '1572151038445101058', '1570225570573819906', '0');
INSERT INTO "ZMRQ"."SYS_USER_DEPT" VALUES ('1575031875796852737', '1574929139138932738', '1572146872851111937', '0');
INSERT INTO "ZMRQ"."SYS_USER_DEPT" VALUES ('1574945696661385217', '1574945696627830786', '1570225570573819906', '0');
INSERT INTO "ZMRQ"."SYS_USER_DEPT" VALUES ('1574239005695320066', '1574239005661765633', '1572145011712598018', '0');
INSERT INTO "ZMRQ"."SYS_USER_DEPT" VALUES ('1574240841265356801', '1574240841231802369', '1572145011712598018', '0');
INSERT INTO "ZMRQ"."SYS_USER_DEPT" VALUES ('1574244979256631297', '1574244979223076865', '1572145011712598018', '0');
INSERT INTO "ZMRQ"."SYS_USER_DEPT" VALUES ('1574648225024569347', '1574648225003597825', '1570225570573819906', '0');
INSERT INTO "ZMRQ"."SYS_USER_DEPT" VALUES ('1574650487532777474', '1574650487516000257', '1570225570573819906', '0');
INSERT INTO "ZMRQ"."SYS_USER_DEPT" VALUES ('1574653455019634690', '1574652764054188034', '1570225570573819906', '0');
INSERT INTO "ZMRQ"."SYS_USER_DEPT" VALUES ('1574653738927878146', '1574653738894323713', '1570225570573819906', '0');
INSERT INTO "ZMRQ"."SYS_USER_DEPT" VALUES ('1575067032037703682', '1574240277135663106', '1572145011712598018', '0');
INSERT INTO "ZMRQ"."SYS_USER_DEPT" VALUES ('1562365397548732418', '1562365397418708993', '1', '0');
INSERT INTO "ZMRQ"."SYS_USER_DEPT" VALUES ('1569214799035240449', '1569214798926188546', '1569159349908541441', '0');
INSERT INTO "ZMRQ"."SYS_USER_DEPT" VALUES ('1575416946768740354', '1569490064726630401', '1569212496614002689', '0');
INSERT INTO "ZMRQ"."SYS_USER_DEPT" VALUES ('1572522056326119426', '1572522056259010561', '1570225570573819906', '0');
INSERT INTO "ZMRQ"."SYS_USER_DEPT" VALUES ('1575311986978738178', '1575311986899046401', '1572145011712598018', '0');
INSERT INTO "ZMRQ"."SYS_USER_DEPT" VALUES ('1574302469822468098', '1574295519353151489', '1572145011712598018', '0');
INSERT INTO "ZMRQ"."SYS_USER_DEPT" VALUES ('1575311986987126785', '1575311986899046401', '1574210413519302657', '0');
INSERT INTO "ZMRQ"."SYS_USER_DEPT" VALUES ('1575314928142143490', '1575314928024702977', '1572145011712598018', '0');
INSERT INTO "ZMRQ"."SYS_USER_DEPT" VALUES ('1575314928142143491', '1575314928024702977', '1574210413519302657', '0');
INSERT INTO "ZMRQ"."SYS_USER_DEPT" VALUES ('1575417038644969474', '1571688988283506690', '1571810200158494722', '0');

-- ----------------------------
-- Table structure for SYS_USER_POST
-- ----------------------------
DROP TABLE "ZMRQ"."SYS_USER_POST";
CREATE TABLE "ZMRQ"."SYS_USER_POST" (
  "ID" NUMBER(20,0) NOT NULL,
  "USER_ID" NUMBER(20,0) NOT NULL,
  "POST_ID" NUMBER(20,0) NOT NULL,
  "TENANT_ID" NUMBER(20,0) DEFAULT 0 NOT NULL
)
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "ZMRQ"."SYS_USER_POST"."ID" IS '主键ID';
COMMENT ON COLUMN "ZMRQ"."SYS_USER_POST"."USER_ID" IS '用户ID';
COMMENT ON COLUMN "ZMRQ"."SYS_USER_POST"."POST_ID" IS '岗位ID';
COMMENT ON COLUMN "ZMRQ"."SYS_USER_POST"."TENANT_ID" IS '租户ID';
COMMENT ON TABLE "ZMRQ"."SYS_USER_POST" IS '系统用户岗位关联';

-- ----------------------------
-- Records of SYS_USER_POST
-- ----------------------------
INSERT INTO "ZMRQ"."SYS_USER_POST" VALUES ('1575424967699857409', '1575423250816040962', '2', '0');
INSERT INTO "ZMRQ"."SYS_USER_POST" VALUES ('1574654039210684418', '1574284526078173185', '1571696407088807938', '0');
INSERT INTO "ZMRQ"."SYS_USER_POST" VALUES ('1569958550796050433', '1569930553393225730', '1569515062883328001', '0');
INSERT INTO "ZMRQ"."SYS_USER_POST" VALUES ('1575295235159310337', '1575075442753880066', '1571696122912129025', '0');
INSERT INTO "ZMRQ"."SYS_USER_POST" VALUES ('1574241654964527106', '1574241654914195458', '1574232184037351426', '0');
INSERT INTO "ZMRQ"."SYS_USER_POST" VALUES ('1574239903523840002', '1574239903456731137', '1574232184037351426', '0');
INSERT INTO "ZMRQ"."SYS_USER_POST" VALUES ('1574222129925726209', '1574222129820868609', '1572536774545756162', '0');
INSERT INTO "ZMRQ"."SYS_USER_POST" VALUES ('1571683752085032961', '1570009530036232194', '1', '0');
INSERT INTO "ZMRQ"."SYS_USER_POST" VALUES ('1574241888662757377', '1574241888620814337', '1574232184037351426', '0');
INSERT INTO "ZMRQ"."SYS_USER_POST" VALUES ('1574654686974799874', '1574654686932856834', '1574653207551504386', '0');
INSERT INTO "ZMRQ"."SYS_USER_POST" VALUES ('1574609708995051521', '1574609708927942657', '1574232603245453314', '0');
INSERT INTO "ZMRQ"."SYS_USER_POST" VALUES ('1574634322685067266', '1574634322609569794', '1574232809802342401', '0');
INSERT INTO "ZMRQ"."SYS_USER_POST" VALUES ('1574650169835220994', '1574650169763917825', '1574234197819170817', '0');
INSERT INTO "ZMRQ"."SYS_USER_POST" VALUES ('1574654111939915777', '1574654111881195521', '1574653207551504386', '0');
INSERT INTO "ZMRQ"."SYS_USER_POST" VALUES ('1574654303326007297', '1574654303275675649', '1574653207551504386', '0');
INSERT INTO "ZMRQ"."SYS_USER_POST" VALUES ('1574654922677907457', '1574654922619187202', '1574653207551504386', '0');
INSERT INTO "ZMRQ"."SYS_USER_POST" VALUES ('1574655349465116673', '1574655349406396418', '1574653207551504386', '0');
INSERT INTO "ZMRQ"."SYS_USER_POST" VALUES ('1574933503186415618', '1574933503127695361', '1574650475155386369', '0');
INSERT INTO "ZMRQ"."SYS_USER_POST" VALUES ('1574690262356717570', '1574690262235082753', '1574234197819170817', '0');
INSERT INTO "ZMRQ"."SYS_USER_POST" VALUES ('1574690262365106178', '1574690262235082753', '1572106155193921537', '0');
INSERT INTO "ZMRQ"."SYS_USER_POST" VALUES ('1575310555747995650', '1575310555383091202', '1569856511973859329', '0');
INSERT INTO "ZMRQ"."SYS_USER_POST" VALUES ('1574933503194804226', '1574933503127695361', '1574651560699981826', '0');
INSERT INTO "ZMRQ"."SYS_USER_POST" VALUES ('1575001321307234306', '1575001321231736833', '1572103840651145217', '0');
INSERT INTO "ZMRQ"."SYS_USER_POST" VALUES ('1575310555747995651', '1575310555383091202', '1571674503216893954', '0');
INSERT INTO "ZMRQ"."SYS_USER_POST" VALUES ('1575312166297817090', '1575312166197153793', '1569856511973859329', '0');
INSERT INTO "ZMRQ"."SYS_USER_POST" VALUES ('1575312166306205698', '1575312166197153793', '1571674503216893954', '0');
INSERT INTO "ZMRQ"."SYS_USER_POST" VALUES ('1575330551140212738', '1575330550297157633', '1571696407088807938', '0');
INSERT INTO "ZMRQ"."SYS_USER_POST" VALUES ('1575416439635443713', '1562707768816291841', '1', '0');
INSERT INTO "ZMRQ"."SYS_USER_POST" VALUES ('1575382221022846977', '1574655449272774658', '1571696407088807938', '0');
INSERT INTO "ZMRQ"."SYS_USER_POST" VALUES ('1575419287278452738', '1569490064726630401', '1571696243976519682', '0');
INSERT INTO "ZMRQ"."SYS_USER_POST" VALUES ('1578593665495433217', '1578593665390575617', '1571696174464319489', '0');
INSERT INTO "ZMRQ"."SYS_USER_POST" VALUES ('1572120700511662082', '1572120700478107650', '1572103840651145217', '0');
INSERT INTO "ZMRQ"."SYS_USER_POST" VALUES ('1571786458216800257', '1571786458174857218', '1', '0');
INSERT INTO "ZMRQ"."SYS_USER_POST" VALUES ('1574237832502353922', '1574237832452022274', '1574229720504475650', '0');
INSERT INTO "ZMRQ"."SYS_USER_POST" VALUES ('1575418271820677122', '1575418271770345474', '2', '0');
INSERT INTO "ZMRQ"."SYS_USER_POST" VALUES ('1575408094484701186', '1574940855788646402', '2', '0');
INSERT INTO "ZMRQ"."SYS_USER_POST" VALUES ('1574646393275416577', '1574646393216696321', '1574233694720794625', '0');
INSERT INTO "ZMRQ"."SYS_USER_POST" VALUES ('1575416805622022146', '1563042152077426689', '1', '0');
INSERT INTO "ZMRQ"."SYS_USER_POST" VALUES ('1575423810092924930', '1575423810059370498', '2', '0');
INSERT INTO "ZMRQ"."SYS_USER_POST" VALUES ('1575671996795707394', '1575671996745375745', '1571696366282424321', '0');
INSERT INTO "ZMRQ"."SYS_USER_POST" VALUES ('1575673255309205506', '1575668966914383874', '1574234911194783745', '0');
INSERT INTO "ZMRQ"."SYS_USER_POST" VALUES ('1574236800917479426', '1574229303225753602', '1574229720504475650', '0');
INSERT INTO "ZMRQ"."SYS_USER_POST" VALUES ('1574239422869184514', '1574239422818852866', '1574232075849474050', '0');
INSERT INTO "ZMRQ"."SYS_USER_POST" VALUES ('1578593665495433218', '1578593665390575617', '1571795908235370497', '0');
INSERT INTO "ZMRQ"."SYS_USER_POST" VALUES ('1572123034549563394', '1572123034503426049', '1572106155193921537', '0');
INSERT INTO "ZMRQ"."SYS_USER_POST" VALUES ('1574241317344026626', '1574241317297889282', '1574232184037351426', '0');
INSERT INTO "ZMRQ"."SYS_USER_POST" VALUES ('1574685503805583361', '1574685503709114369', '1574232603245453314', '0');
INSERT INTO "ZMRQ"."SYS_USER_POST" VALUES ('1575052654131396610', '1571808470779846657', '1574233694720794625', '0');
INSERT INTO "ZMRQ"."SYS_USER_POST" VALUES ('1575729951838658561', '1562707353475338242', '1', '0');
INSERT INTO "ZMRQ"."SYS_USER_POST" VALUES ('1571811155667083266', '1571796285563346946', '1571795908235370497', '0');
INSERT INTO "ZMRQ"."SYS_USER_POST" VALUES ('1575729951847047169', '1562707353475338242', '1572536774545756162', '0');
INSERT INTO "ZMRQ"."SYS_USER_POST" VALUES ('1572037737547685889', '1572037737447022594', '1571696407088807938', '0');
INSERT INTO "ZMRQ"."SYS_USER_POST" VALUES ('1574298192517349377', '1574298192433463297', '1574232603245453314', '0');
INSERT INTO "ZMRQ"."SYS_USER_POST" VALUES ('1575001846685753345', '1575001846643810306', '1', '0');
INSERT INTO "ZMRQ"."SYS_USER_POST" VALUES ('1575020867825033217', '1575020867783090177', '1574653207551504386', '0');
INSERT INTO "ZMRQ"."SYS_USER_POST" VALUES ('1574653455044800513', '1574652764054188034', '1574653207551504386', '0');
INSERT INTO "ZMRQ"."SYS_USER_POST" VALUES ('1575424871516078082', '1575421072567173121', '1571696444627828738', '0');
INSERT INTO "ZMRQ"."SYS_USER_POST" VALUES ('1574653738936266754', '1574653738894323713', '1574653207551504386', '0');
INSERT INTO "ZMRQ"."SYS_USER_POST" VALUES ('1572536981345914882', '1562365397418708993', '1572536774545756162', '0');
INSERT INTO "ZMRQ"."SYS_USER_POST" VALUES ('1575402374737551362', '1574945313813704706', '1', '0');
INSERT INTO "ZMRQ"."SYS_USER_POST" VALUES ('1574238133229756417', '1574215643808002049', '1572536774545756162', '0');
INSERT INTO "ZMRQ"."SYS_USER_POST" VALUES ('1574239005712097281', '1574239005661765633', '1574231695187025922', '0');
INSERT INTO "ZMRQ"."SYS_USER_POST" VALUES ('1574240841273745409', '1574240841231802369', '1574232280883830785', '0');
INSERT INTO "ZMRQ"."SYS_USER_POST" VALUES ('1574244979273408513', '1574244979223076865', '1574232184037351426', '0');
INSERT INTO "ZMRQ"."SYS_USER_POST" VALUES ('1574648225288810497', '1574648225003597825', '1574233694720794625', '0');
INSERT INTO "ZMRQ"."SYS_USER_POST" VALUES ('1574945696678162433', '1574945696627830786', '1574234789186674690', '0');
INSERT INTO "ZMRQ"."SYS_USER_POST" VALUES ('1575067032322916353', '1574240277135663106', '1574232184037351426', '0');
INSERT INTO "ZMRQ"."SYS_USER_POST" VALUES ('1571793854372728833', '2', '2', '0');
INSERT INTO "ZMRQ"."SYS_USER_POST" VALUES ('1571808678020407297', '1571699290786099202', '1571696444627828738', '0');
INSERT INTO "ZMRQ"."SYS_USER_POST" VALUES ('1572763575461203969', '1572763574748172290', '1572536774545756162', '0');
INSERT INTO "ZMRQ"."SYS_USER_POST" VALUES ('1572118326791450626', '1572118326741118978', '1571696122912129025', '0');
INSERT INTO "ZMRQ"."SYS_USER_POST" VALUES ('1575314928167309313', '1575314928024702977', '1569856511973859329', '0');
INSERT INTO "ZMRQ"."SYS_USER_POST" VALUES ('1573221388595609601', '1573221388536889346', '1572536774545756162', '0');
INSERT INTO "ZMRQ"."SYS_USER_POST" VALUES ('1573859622182727681', '1573859622077870082', '1572536774545756162', '0');
INSERT INTO "ZMRQ"."SYS_USER_POST" VALUES ('1575416870063308801', '1564089266203029506', '1', '0');
INSERT INTO "ZMRQ"."SYS_USER_POST" VALUES ('1574302469856022530', '1574295519353151489', '1574232184037351426', '0');
INSERT INTO "ZMRQ"."SYS_USER_POST" VALUES ('1575311987012292610', '1575311986899046401', '1569856511973859329', '0');
INSERT INTO "ZMRQ"."SYS_USER_POST" VALUES ('1575311987012292611', '1575311986899046401', '1571674503216893954', '0');
INSERT INTO "ZMRQ"."SYS_USER_POST" VALUES ('1575416243132301314', '1574946019425660929', '1', '0');
INSERT INTO "ZMRQ"."SYS_USER_POST" VALUES ('1575314928167309314', '1575314928024702977', '1571674503216893954', '0');
INSERT INTO "ZMRQ"."SYS_USER_POST" VALUES ('1575382255592300545', '1575021278879408130', '1574651614206717953', '0');
INSERT INTO "ZMRQ"."SYS_USER_POST" VALUES ('1575416739226189825', '3', '1571696407088807938', '0');
INSERT INTO "ZMRQ"."SYS_USER_POST" VALUES ('1575417038661746689', '1571688988283506690', '2', '0');

-- ----------------------------
-- Table structure for SYS_USER_ROLE
-- ----------------------------
DROP TABLE "ZMRQ"."SYS_USER_ROLE";
CREATE TABLE "ZMRQ"."SYS_USER_ROLE" (
  "ID" NUMBER(20,0) NOT NULL,
  "USER_ID" NUMBER(20,0) NOT NULL,
  "ROLE_ID" NUMBER(20,0) NOT NULL,
  "TENANT_ID" NUMBER(20,0) DEFAULT 0 NOT NULL
)
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "ZMRQ"."SYS_USER_ROLE"."ID" IS '主键ID';
COMMENT ON COLUMN "ZMRQ"."SYS_USER_ROLE"."USER_ID" IS '用户ID';
COMMENT ON COLUMN "ZMRQ"."SYS_USER_ROLE"."ROLE_ID" IS '角色ID';
COMMENT ON COLUMN "ZMRQ"."SYS_USER_ROLE"."TENANT_ID" IS '租户ID';
COMMENT ON TABLE "ZMRQ"."SYS_USER_ROLE" IS '用户角色关联';

-- ----------------------------
-- Records of SYS_USER_ROLE
-- ----------------------------
INSERT INTO "ZMRQ"."SYS_USER_ROLE" VALUES ('1569502237876101121', '1569494002066595842', '2', '0');
INSERT INTO "ZMRQ"."SYS_USER_ROLE" VALUES ('1575310555466977282', '1575310555383091202', '1573136814960132097', '0');
INSERT INTO "ZMRQ"."SYS_USER_ROLE" VALUES ('1575424967683080193', '1575423250816040962', '1573191951284039682', '0');
INSERT INTO "ZMRQ"."SYS_USER_ROLE" VALUES ('1569502237884489730', '1569494002066595842', '2', '0');
INSERT INTO "ZMRQ"."SYS_USER_ROLE" VALUES ('1574222129892171777', '1574222129820868609', '1', '0');
INSERT INTO "ZMRQ"."SYS_USER_ROLE" VALUES ('1569958550762496002', '1569930553393225730', '2', '0');
INSERT INTO "ZMRQ"."SYS_USER_ROLE" VALUES ('1574222129900560386', '1574222129820868609', '2', '0');
INSERT INTO "ZMRQ"."SYS_USER_ROLE" VALUES ('1575295235117367297', '1575075442753880066', '1574643059168641025', '0');
INSERT INTO "ZMRQ"."SYS_USER_ROLE" VALUES ('1572151546840883201', '1572151546815717378', '2', '0');
INSERT INTO "ZMRQ"."SYS_USER_ROLE" VALUES ('1571683752051478529', '1570009530036232194', '2', '0');
INSERT INTO "ZMRQ"."SYS_USER_ROLE" VALUES ('1571683752059867137', '1570009530036232194', '1568079457867644929', '0');
INSERT INTO "ZMRQ"."SYS_USER_ROLE" VALUES ('1574214292038348802', '1574214292021571585', '2', '0');
INSERT INTO "ZMRQ"."SYS_USER_ROLE" VALUES ('1575310555475365890', '1575310555383091202', '1573148331310891010', '0');
INSERT INTO "ZMRQ"."SYS_USER_ROLE" VALUES ('1574241654939361282', '1574241654914195458', '1573187298542612481', '0');
INSERT INTO "ZMRQ"."SYS_USER_ROLE" VALUES ('1574241888637591554', '1574241888620814337', '1573187298542612481', '0');
INSERT INTO "ZMRQ"."SYS_USER_ROLE" VALUES ('1574654303292452865', '1574654303275675649', '1574643059168641025', '0');
INSERT INTO "ZMRQ"."SYS_USER_ROLE" VALUES ('1574239903490285570', '1574239903456731137', '1573187298542612481', '0');
INSERT INTO "ZMRQ"."SYS_USER_ROLE" VALUES ('1574605817792430082', '1574295519353151489', '1573187298542612481', '0');
INSERT INTO "ZMRQ"."SYS_USER_ROLE" VALUES ('1575312166230708225', '1575312166197153793', '1573136814960132097', '0');
INSERT INTO "ZMRQ"."SYS_USER_ROLE" VALUES ('1574650169793277953', '1574650169763917825', '1574643059168641025', '0');
INSERT INTO "ZMRQ"."SYS_USER_ROLE" VALUES ('1574654039202295809', '1574284526078173185', '1574212932664422401', '0');
INSERT INTO "ZMRQ"."SYS_USER_ROLE" VALUES ('1574654111906361346', '1574654111881195521', '1574643059168641025', '0');
INSERT INTO "ZMRQ"."SYS_USER_ROLE" VALUES ('1574654686949634049', '1574654686932856834', '1574643059168641025', '0');
INSERT INTO "ZMRQ"."SYS_USER_ROLE" VALUES ('1574654922644353026', '1574654922619187202', '1574643059168641025', '0');
INSERT INTO "ZMRQ"."SYS_USER_ROLE" VALUES ('1574655349431562242', '1574655349406396418', '1574643059168641025', '0');
INSERT INTO "ZMRQ"."SYS_USER_ROLE" VALUES ('1575312166243291137', '1575312166197153793', '1573148331310891010', '0');
INSERT INTO "ZMRQ"."SYS_USER_ROLE" VALUES ('1574690262310580226', '1574690262235082753', '2', '0');
INSERT INTO "ZMRQ"."SYS_USER_ROLE" VALUES ('1574690262318968834', '1574690262235082753', '1568079457867644929', '0');
INSERT INTO "ZMRQ"."SYS_USER_ROLE" VALUES ('1574933503144472578', '1574933503127695361', '1574697191053291522', '0');
INSERT INTO "ZMRQ"."SYS_USER_ROLE" VALUES ('1574710084423495682', '1574710084389941249', '1568079457867644929', '0');
INSERT INTO "ZMRQ"."SYS_USER_ROLE" VALUES ('1574710084431884290', '1574710084389941249', '2', '0');
INSERT INTO "ZMRQ"."SYS_USER_ROLE" VALUES ('1574933503144472579', '1574933503127695361', '1574212932664422401', '0');
INSERT INTO "ZMRQ"."SYS_USER_ROLE" VALUES ('1575001321273679873', '1575001321231736833', '1575001128616714242', '0');
INSERT INTO "ZMRQ"."SYS_USER_ROLE" VALUES ('1575330551073103873', '1575330550297157633', '1574298022484459521', '0');
INSERT INTO "ZMRQ"."SYS_USER_ROLE" VALUES ('1572119240893870082', '1572118914258251777', '2', '0');
INSERT INTO "ZMRQ"."SYS_USER_ROLE" VALUES ('1572120700494884865', '1572120700478107650', '2', '0');
INSERT INTO "ZMRQ"."SYS_USER_ROLE" VALUES ('1575419287261675522', '1569490064726630401', '1573160570566836226', '0');
INSERT INTO "ZMRQ"."SYS_USER_ROLE" VALUES ('1578593665453490178', '1578593665390575617', '1578593379972382721', '0');
INSERT INTO "ZMRQ"."SYS_USER_ROLE" VALUES ('1570685560119984130', '1570685560031903746', '2', '0');
INSERT INTO "ZMRQ"."SYS_USER_ROLE" VALUES ('1575416439618666497', '1562707768816291841', '1570662742649024514', '0');
INSERT INTO "ZMRQ"."SYS_USER_ROLE" VALUES ('1571786458200023041', '1571786458174857218', '1569943758739939330', '0');
INSERT INTO "ZMRQ"."SYS_USER_ROLE" VALUES ('1574237832477188098', '1574237832452022274', '1573187298542612481', '0');
INSERT INTO "ZMRQ"."SYS_USER_ROLE" VALUES ('1572119129325383682', '1572119129308606466', '2', '0');
INSERT INTO "ZMRQ"."SYS_USER_ROLE" VALUES ('1572119473602244610', '1572119473577078786', '2', '0');
INSERT INTO "ZMRQ"."SYS_USER_ROLE" VALUES ('1572120788826927106', '1572120788793372673', '2', '0');
INSERT INTO "ZMRQ"."SYS_USER_ROLE" VALUES ('1572120876357857281', '1572120876332691457', '2', '0');
INSERT INTO "ZMRQ"."SYS_USER_ROLE" VALUES ('1572121617466208258', '1572121617441042433', '2', '0');
INSERT INTO "ZMRQ"."SYS_USER_ROLE" VALUES ('1572121685061611521', '1572121685036445697', '2', '0');
INSERT INTO "ZMRQ"."SYS_USER_ROLE" VALUES ('1572121954147184642', '1572121954122018817', '2', '0');
INSERT INTO "ZMRQ"."SYS_USER_ROLE" VALUES ('1572122053816430594', '1572122053799653377', '2', '0');
INSERT INTO "ZMRQ"."SYS_USER_ROLE" VALUES ('1574239422835630081', '1574239422818852866', '1573187298542612481', '0');
INSERT INTO "ZMRQ"."SYS_USER_ROLE" VALUES ('1572122660598001666', '1572122660581224449', '2', '0');
INSERT INTO "ZMRQ"."SYS_USER_ROLE" VALUES ('1572123034536980482', '1572123034503426049', '2', '0');
INSERT INTO "ZMRQ"."SYS_USER_ROLE" VALUES ('1572123288141377538', '1572123288116211713', '2', '0');
INSERT INTO "ZMRQ"."SYS_USER_ROLE" VALUES ('1572123369607344130', '1572123369582178305', '2', '0');
INSERT INTO "ZMRQ"."SYS_USER_ROLE" VALUES ('1572123462565703681', '1572123462548926465', '2', '0');
INSERT INTO "ZMRQ"."SYS_USER_ROLE" VALUES ('1572139864731189250', '1572122230539235330', '2', '0');
INSERT INTO "ZMRQ"."SYS_USER_ROLE" VALUES ('1572495771566645250', '1571684054368522241', '2', '0');
INSERT INTO "ZMRQ"."SYS_USER_ROLE" VALUES ('1572495771575033858', '1571684054368522241', '1569943758739939330', '0');
INSERT INTO "ZMRQ"."SYS_USER_ROLE" VALUES ('1573239858376855553', '1573239858351689729', '2', '0');
INSERT INTO "ZMRQ"."SYS_USER_ROLE" VALUES ('1573239858376855554', '1573239858351689729', '1', '0');
INSERT INTO "ZMRQ"."SYS_USER_ROLE" VALUES ('1574646393241862145', '1574646393216696321', '1574643059168641025', '0');
INSERT INTO "ZMRQ"."SYS_USER_ROLE" VALUES ('1574241317323055106', '1574241317297889282', '1573187298542612481', '0');
INSERT INTO "ZMRQ"."SYS_USER_ROLE" VALUES ('1574685503780417538', '1574685503709114369', '1574298022484459521', '0');
INSERT INTO "ZMRQ"."SYS_USER_ROLE" VALUES ('1574694881174581249', '1574692718360784897', '1573149437248192513', '0');
INSERT INTO "ZMRQ"."SYS_USER_ROLE" VALUES ('1574698114483843074', '1570226660144947202', '1574643059168641025', '0');
INSERT INTO "ZMRQ"."SYS_USER_ROLE" VALUES ('1575418271803899906', '1575418271770345474', '1573160570566836226', '0');
INSERT INTO "ZMRQ"."SYS_USER_ROLE" VALUES ('1575382221006069761', '1574655449272774658', '1575332944703676418', '0');
INSERT INTO "ZMRQ"."SYS_USER_ROLE" VALUES ('1575408094434369537', '1574940855788646402', '1570662742649024514', '0');
INSERT INTO "ZMRQ"."SYS_USER_ROLE" VALUES ('1575416805605244930', '1563042152077426689', '1570662742649024514', '0');
INSERT INTO "ZMRQ"."SYS_USER_ROLE" VALUES ('1575416805605244931', '1563042152077426689', '1573155845951766530', '0');
INSERT INTO "ZMRQ"."SYS_USER_ROLE" VALUES ('1575423810076147713', '1575423810059370498', '1573160570566836226', '0');
INSERT INTO "ZMRQ"."SYS_USER_ROLE" VALUES ('1575671996770541569', '1575671996745375745', '1573155845951766530', '0');
INSERT INTO "ZMRQ"."SYS_USER_ROLE" VALUES ('1575673255292428290', '1575668966914383874', '1574643059168641025', '0');
INSERT INTO "ZMRQ"."SYS_USER_ROLE" VALUES ('1574682717411958785', '1574655670413258754', '1574212932664422401', '0');
INSERT INTO "ZMRQ"."SYS_USER_ROLE" VALUES ('1570298999100522497', '1562707661060427778', '1568079457867644929', '0');
INSERT INTO "ZMRQ"."SYS_USER_ROLE" VALUES ('1570298999100522498', '1562707661060427778', '1', '0');
INSERT INTO "ZMRQ"."SYS_USER_ROLE" VALUES ('1570298999100522499', '1562707661060427778', '2', '0');
INSERT INTO "ZMRQ"."SYS_USER_ROLE" VALUES ('1571811155499311105', '1571796285563346946', '2', '0');
INSERT INTO "ZMRQ"."SYS_USER_ROLE" VALUES ('1571685462962606081', '1571685462945828866', '1', '0');
INSERT INTO "ZMRQ"."SYS_USER_ROLE" VALUES ('1575052654097842178', '1571808470779846657', '1574298022484459521', '0');
INSERT INTO "ZMRQ"."SYS_USER_ROLE" VALUES ('1572037737514131457', '1572037737447022594', '2', '0');
INSERT INTO "ZMRQ"."SYS_USER_ROLE" VALUES ('1575729951779938305', '1562707353475338242', '1', '0');
INSERT INTO "ZMRQ"."SYS_USER_ROLE" VALUES ('1573240254923132929', '1573240254897967106', '1573154771446579202', '0');
INSERT INTO "ZMRQ"."SYS_USER_ROLE" VALUES ('1574298192458629122', '1574298192433463297', '1574298022484459521', '0');
INSERT INTO "ZMRQ"."SYS_USER_ROLE" VALUES ('1575729951796715521', '1562707353475338242', '2', '0');
INSERT INTO "ZMRQ"."SYS_USER_ROLE" VALUES ('1', '1', '1', '0');
INSERT INTO "ZMRQ"."SYS_USER_ROLE" VALUES ('2', '1', '2', '0');
INSERT INTO "ZMRQ"."SYS_USER_ROLE" VALUES ('1572119578350792706', '1572119578325626882', '2', '0');
INSERT INTO "ZMRQ"."SYS_USER_ROLE" VALUES ('1572121770633801729', '1572121770617024514', '2', '0');
INSERT INTO "ZMRQ"."SYS_USER_ROLE" VALUES ('1575424871499300866', '1575421072567173121', '1573191951284039682', '0');
INSERT INTO "ZMRQ"."SYS_USER_ROLE" VALUES ('1572128614840356865', '1572128614764859394', '2', '0');
INSERT INTO "ZMRQ"."SYS_USER_ROLE" VALUES ('1569220730938724354', '1569214798926188546', '1', '0');
INSERT INTO "ZMRQ"."SYS_USER_ROLE" VALUES ('1574945696644608002', '1574945696627830786', '1574643059168641025', '0');
INSERT INTO "ZMRQ"."SYS_USER_ROLE" VALUES ('1572151297716002817', '1572151038445101058', '2', '0');
INSERT INTO "ZMRQ"."SYS_USER_ROLE" VALUES ('1571750671802687489', '1571745712935796738', '2', '0');
INSERT INTO "ZMRQ"."SYS_USER_ROLE" VALUES ('1572536981312360449', '1562365397418708993', '1', '0');
INSERT INTO "ZMRQ"."SYS_USER_ROLE" VALUES ('1574653455007051777', '1574652764054188034', '1574643059168641025', '0');
INSERT INTO "ZMRQ"."SYS_USER_ROLE" VALUES ('1574239005686931457', '1574239005661765633', '1573187298542612481', '0');
INSERT INTO "ZMRQ"."SYS_USER_ROLE" VALUES ('1574237198856265730', '1574229303225753602', '1573187298542612481', '0');
INSERT INTO "ZMRQ"."SYS_USER_ROLE" VALUES ('1574238133221367809', '1574215643808002049', '1568079457867644929', '0');
INSERT INTO "ZMRQ"."SYS_USER_ROLE" VALUES ('1574238133221367810', '1574215643808002049', '2', '0');
INSERT INTO "ZMRQ"."SYS_USER_ROLE" VALUES ('1574240841248579586', '1574240841231802369', '1573187298542612481', '0');
INSERT INTO "ZMRQ"."SYS_USER_ROLE" VALUES ('1574244979248242690', '1574244979223076865', '1573187298542612481', '0');
INSERT INTO "ZMRQ"."SYS_USER_ROLE" VALUES ('1574648225024569346', '1574648225003597825', '1574643059168641025', '0');
INSERT INTO "ZMRQ"."SYS_USER_ROLE" VALUES ('1575020867808256001', '1575020867783090177', '1574643059168641025', '0');
INSERT INTO "ZMRQ"."SYS_USER_ROLE" VALUES ('1574653738911100929', '1574653738894323713', '1574643059168641025', '0');
INSERT INTO "ZMRQ"."SYS_USER_ROLE" VALUES ('1574691866153709569', '1574691866136932354', '1573154771446579202', '0');
INSERT INTO "ZMRQ"."SYS_USER_ROLE" VALUES ('1574675163973783554', '1574204813473345537', '1574212932664422401', '0');
INSERT INTO "ZMRQ"."SYS_USER_ROLE" VALUES ('1574682669198434305', '1574681610002456578', '1574212932664422401', '0');
INSERT INTO "ZMRQ"."SYS_USER_ROLE" VALUES ('1575001846668976129', '1575001846643810306', '1570662742649024514', '0');
INSERT INTO "ZMRQ"."SYS_USER_ROLE" VALUES ('1575031875784269826', '1574929139138932738', '1574697191053291522', '0');
INSERT INTO "ZMRQ"."SYS_USER_ROLE" VALUES ('1575067032012537857', '1574240277135663106', '1573187298542612481', '0');
INSERT INTO "ZMRQ"."SYS_USER_ROLE" VALUES ('1571793854234316801', '2', '1', '0');
INSERT INTO "ZMRQ"."SYS_USER_ROLE" VALUES ('1575416739209412609', '3', '1570662742649024514', '0');
INSERT INTO "ZMRQ"."SYS_USER_ROLE" VALUES ('1575382255567134722', '1575021278879408130', '1575000277609209858', '0');
INSERT INTO "ZMRQ"."SYS_USER_ROLE" VALUES ('1571808678003630081', '1571699290786099202', '2', '0');
INSERT INTO "ZMRQ"."SYS_USER_ROLE" VALUES ('1572522056300953602', '1572522056259010561', '1572520816087203841', '0');
INSERT INTO "ZMRQ"."SYS_USER_ROLE" VALUES ('1572763575436038145', '1572763574748172290', '2', '0');
INSERT INTO "ZMRQ"."SYS_USER_ROLE" VALUES ('1571808678003630082', '1571699290786099202', '1570245890466750466', '0');
INSERT INTO "ZMRQ"."SYS_USER_ROLE" VALUES ('1575416870046531585', '1564089266203029506', '1570662742649024514', '0');
INSERT INTO "ZMRQ"."SYS_USER_ROLE" VALUES ('1572118326774673410', '1572118326741118978', '2', '0');
INSERT INTO "ZMRQ"."SYS_USER_ROLE" VALUES ('1573221388570443778', '1573221388536889346', '1', '0');
INSERT INTO "ZMRQ"."SYS_USER_ROLE" VALUES ('1573221388570443779', '1573221388536889346', '2', '0');
INSERT INTO "ZMRQ"."SYS_USER_ROLE" VALUES ('1573239502133645313', '1573239502070730754', '2', '0');
INSERT INTO "ZMRQ"."SYS_USER_ROLE" VALUES ('1573859622149173249', '1573859622077870082', '1', '0');
INSERT INTO "ZMRQ"."SYS_USER_ROLE" VALUES ('1573859622157561857', '1573859622077870082', '2', '0');
INSERT INTO "ZMRQ"."SYS_USER_ROLE" VALUES ('1574944555840057345', '1574609708927942657', '1574298022484459521', '0');
INSERT INTO "ZMRQ"."SYS_USER_ROLE" VALUES ('1575311986953572353', '1575311986899046401', '1573136814960132097', '0');
INSERT INTO "ZMRQ"."SYS_USER_ROLE" VALUES ('1574944602161950722', '1574634322609569794', '1574298022484459521', '0');
INSERT INTO "ZMRQ"."SYS_USER_ROLE" VALUES ('1575311986961960962', '1575311986899046401', '1573148331310891010', '0');
INSERT INTO "ZMRQ"."SYS_USER_ROLE" VALUES ('1575314928100200449', '1575314928024702977', '1573136814960132097', '0');
INSERT INTO "ZMRQ"."SYS_USER_ROLE" VALUES ('1575314928108589058', '1575314928024702977', '1573148331310891010', '0');
INSERT INTO "ZMRQ"."SYS_USER_ROLE" VALUES ('1575416243098746881', '1574946019425660929', '1570662742649024514', '0');
INSERT INTO "ZMRQ"."SYS_USER_ROLE" VALUES ('1575417038628192258', '1571688988283506690', '1573160570566836226', '0');

-- ----------------------------
-- Table structure for TF_SMPN_LOG_X
-- ----------------------------
DROP TABLE "ZMRQ"."TF_SMPN_LOG_X";
CREATE TABLE "ZMRQ"."TF_SMPN_LOG_X" (
  "ID" NUMBER(20,0) NOT NULL,
  "TYPE" CHAR(1 BYTE),
  "SERVICE_ID" VARCHAR2(32 BYTE),
  "CREATE_BY" VARCHAR2(64 BYTE),
  "CREATE_TIME" DATE,
  "UPDATE_TIME" DATE,
  "REMOTE_ADDR" VARCHAR2(255 BYTE),
  "USER_AGENT" VARCHAR2(1000 BYTE),
  "REQUEST_URI" VARCHAR2(255 BYTE),
  "METHOD" VARCHAR2(10 BYTE),
  "PARAMS" VARCHAR2(3209 BYTE),
  "TIME" NUMBER(16,0),
  "DEL_FLAG" CHAR(1 BYTE),
  "EXCEPTION" VARCHAR2(2000 BYTE),
  "TITLE" VARCHAR2(2000 BYTE),
  "TABLE_NAME" VARCHAR2(50 BYTE),
  "TABLE_ID" NUMBER(15,0),
  "ROUTE_IP" VARCHAR2(255 BYTE),
  "OPERATING_TIME" NUMBER
)
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  INITIAL 16777216 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "ZMRQ"."TF_SMPN_LOG_X"."ID" IS '日志ID';
COMMENT ON COLUMN "ZMRQ"."TF_SMPN_LOG_X"."TYPE" IS '日志类型';
COMMENT ON COLUMN "ZMRQ"."TF_SMPN_LOG_X"."SERVICE_ID" IS '服务ID';
COMMENT ON COLUMN "ZMRQ"."TF_SMPN_LOG_X"."CREATE_BY" IS '创建者';
COMMENT ON COLUMN "ZMRQ"."TF_SMPN_LOG_X"."CREATE_TIME" IS '创建时间';
COMMENT ON COLUMN "ZMRQ"."TF_SMPN_LOG_X"."UPDATE_TIME" IS '更新时间';
COMMENT ON COLUMN "ZMRQ"."TF_SMPN_LOG_X"."REMOTE_ADDR" IS '操作ip';
COMMENT ON COLUMN "ZMRQ"."TF_SMPN_LOG_X"."USER_AGENT" IS '用户代理';
COMMENT ON COLUMN "ZMRQ"."TF_SMPN_LOG_X"."REQUEST_URI" IS '请求URI';
COMMENT ON COLUMN "ZMRQ"."TF_SMPN_LOG_X"."METHOD" IS '操作方法';
COMMENT ON COLUMN "ZMRQ"."TF_SMPN_LOG_X"."PARAMS" IS '操作提交数据';
COMMENT ON COLUMN "ZMRQ"."TF_SMPN_LOG_X"."TIME" IS '响应时间';
COMMENT ON COLUMN "ZMRQ"."TF_SMPN_LOG_X"."DEL_FLAG" IS '删除标记';
COMMENT ON COLUMN "ZMRQ"."TF_SMPN_LOG_X"."EXCEPTION" IS '异常信息';
COMMENT ON COLUMN "ZMRQ"."TF_SMPN_LOG_X"."TITLE" IS '日志内容';
COMMENT ON COLUMN "ZMRQ"."TF_SMPN_LOG_X"."TABLE_NAME" IS '关联表名';
COMMENT ON COLUMN "ZMRQ"."TF_SMPN_LOG_X"."TABLE_ID" IS '关联表名对应关键值ID';
COMMENT ON COLUMN "ZMRQ"."TF_SMPN_LOG_X"."ROUTE_IP" IS '路由地址进行跳转';
COMMENT ON COLUMN "ZMRQ"."TF_SMPN_LOG_X"."OPERATING_TIME" IS '登录时长';
COMMENT ON TABLE "ZMRQ"."TF_SMPN_LOG_X" IS '日志信息表';

-- ----------------------------
-- Records of TF_SMPN_LOG_X
-- ----------------------------
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1565167487623868418', '0', 'tofly-flow', 'admin', TO_DATE('2022-09-01 10:39:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-01 10:39:43', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessl', 'POST', '{}', '5178', NULL, '### Error updating database.  Cause: java.sql.SQLDataException: ORA-01438: 值大于为此列指定的允许精度

### The error may exist in com/tofly/system/mapper/SysMessageMapper.java (best guess)
### The error may involve com.tofly.system.mapper.SysMessageMapper.insert-Inline
### The error occurred while setting parameters
### SQL: INSERT INTO SYS_MESSAGE  ( id, topic,  type, table_name, table_id, route_ip, route_ip_app,  user_pull_id,   create_time, update_time, create_user, update_user, flag,  message )  VALUES  ( ?, ?,  ?, ?, ?, ?, ?,  ?,   ?, ?, ?, ?, ?,  ? )
### Cause: java.sql.SQLDataException: ORA-01438: 值大于为此列指定的允许精度

; ORA-01438: 值大于为此列指定的允许精度
; nested exception is java.sql.SQLDataException: ORA-01438: 值大于为此列指定的允许精度', 'content:新增流程信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1565169278847528962', '0', 'tofly-flow', 'admin', TO_DATE('2022-09-01 10:46:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-01 10:46:50', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessl', 'POST', '{}', '2125', NULL, '### Error updating database.  Cause: java.sql.SQLDataException: ORA-01438: 值大于为此列指定的允许精度

### The error may exist in com/tofly/system/mapper/SysMessageMapper.java (best guess)
### The error may involve com.tofly.system.mapper.SysMessageMapper.insert-Inline
### The error occurred while setting parameters
### SQL: INSERT INTO SYS_MESSAGE  ( id, topic,  type, table_name, table_id, route_ip, route_ip_app,  user_pull_id, tenant_id,  create_time, update_time, create_user, update_user, flag,  message )  VALUES  ( ?, ?,  ?, ?, ?, ?, ?,  ?, ?,  ?, ?, ?, ?, ?,  ? )
### Cause: java.sql.SQLDataException: ORA-01438: 值大于为此列指定的允许精度

; ORA-01438: 值大于为此列指定的允许精度
; nested exception is java.sql.SQLDataException: ORA-01438: 值大于为此列指定的允许精度', 'content:新增流程信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1565169905883394050', '0', 'tofly-flow', 'admin', TO_DATE('2022-09-01 10:49:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-01 10:49:19', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessl', 'POST', '{}', '1425', NULL, '### Error updating database.  Cause: java.sql.SQLDataException: ORA-01438: 值大于为此列指定的允许精度

### The error may exist in com/tofly/system/mapper/SysMessageMapper.java (best guess)
### The error may involve com.tofly.system.mapper.SysMessageMapper.insert-Inline
### The error occurred while setting parameters
### SQL: INSERT INTO SYS_MESSAGE  ( id, topic,  type, table_name, table_id, route_ip, route_ip_app,  user_pull_id, tenant_id,  create_time, update_time, create_user, update_user, flag,  message )  VALUES  ( ?, ?,  ?, ?, ?, ?, ?,  ?, ?,  ?, ?, ?, ?, ?,  ? )
### Cause: java.sql.SQLDataException: ORA-01438: 值大于为此列指定的允许精度

; ORA-01438: 值大于为此列指定的允许精度
; nested exception is java.sql.SQLDataException: ORA-01438: 值大于为此列指定的允许精度', 'content:新增流程信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1565185203130839042', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-01 11:50:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-01 11:50:06', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessl/page', 'GET', '{"hitCount":[""],"registerStaff":[""],"processState":[""],"records":[""],"processNumber":[""],"searchCount":[""],"edition":[""],"remark":[""],"relationNumber":[""],"current":[""],"total":[""],"configId":[""],"orders[0].asc":[""],"registerPost":[""],"ywType":[""],"orders[0].column":[""],"id":[""],"processType":[""],"optimizeCountSql":[""],"registerTime":[""],"registerDept":[""],"passingNode":[""],"relationId":[""],"size":[""],"createTime":[""],"name":[""],"tenantId":[""],"createUser":[""],"category":[""],"isDel":[""]}', '85', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1565185715175665665', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-01 11:52:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-01 11:52:08', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessl', 'POST', '{}', '593', NULL, NULL, 'content:新增流程信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1565212254055411714', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-01 13:37:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-01 13:37:36', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessnodel', 'POST', '{}', '6212428', NULL, NULL, 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1565212262574043137', '0', 'tofly-flow', 'admin', TO_DATE('2022-09-01 13:37:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-01 13:37:38', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessnodel', 'POST', '{}', '2138', NULL, '### Error updating database.  Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys021)

### The error may exist in com/tofly/workflow/buss/mapper/TfRegisterItemWMapper.java (best guess)
### The error may involve com.tofly.workflow.buss.mapper.TfRegisterItemWMapper.insert-Inline
### The error occurred while setting parameters
### SQL: INSERT INTO TF_REGISTER_ITEM_W  ( id, process_id, node_id, project_name, user_name,  addre,    contacts, telephone, explain,    document_number,      remark )  VALUES  ( ?, ?, ?, ?, ?,  ?,    ?, ?, ?,    ?,      ? )
### Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys021)

; ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys021)
; nested exception is java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys021)', 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1565213215566049282', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-01 13:41:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-01 13:41:25', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessl', 'POST', '{}', '2792', NULL, NULL, 'content:新增流程信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1565213330708082690', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-01 13:41:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-01 13:41:52', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessl/page', 'GET', '{"hitCount":[""],"registerStaff":[""],"processState":[""],"records":[""],"processNumber":[""],"searchCount":[""],"edition":[""],"remark":[""],"relationNumber":[""],"current":[""],"total":[""],"configId":[""],"orders[0].asc":[""],"registerPost":[""],"ywType":[""],"orders[0].column":[""],"id":[""],"processType":[""],"optimizeCountSql":[""],"registerTime":[""],"registerDept":[""],"passingNode":[""],"relationId":[""],"size":[""],"createTime":[""],"name":[""],"tenantId":[""],"createUser":[""],"category":[""],"isDel":[""]}', '45', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1565213557066280962', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-01 13:42:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-01 13:42:46', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessl', 'POST', '{}', '2986', NULL, NULL, 'content:新增流程信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1565215146418089986', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-01 13:49:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-01 13:49:05', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessl', 'POST', '{}', '8362', NULL, NULL, 'content:新增流程信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1565215192568016898', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-01 13:49:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-01 13:49:16', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessl/page', 'GET', '{"hitCount":[""],"registerStaff":[""],"processState":[""],"records":[""],"processNumber":[""],"searchCount":[""],"edition":[""],"remark":[""],"relationNumber":[""],"current":[""],"total":[""],"configId":[""],"orders[0].asc":[""],"registerPost":[""],"ywType":[""],"orders[0].column":[""],"id":[""],"processType":[""],"optimizeCountSql":[""],"registerTime":[""],"registerDept":[""],"passingNode":[""],"relationId":[""],"size":[""],"createTime":[""],"name":[""],"tenantId":[""],"createUser":[""],"category":[""],"isDel":[""]}', '109', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1565215479307415554', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-01 13:50:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-01 13:50:25', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessl', 'POST', '{}', '16315', NULL, NULL, 'content:新增流程信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1565215667476475905', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-01 13:51:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-01 13:51:10', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessnodel', 'POST', '{}', '253', NULL, NULL, 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1557664487468150786', '2', 'tofly-auth', 'hq', TO_DATE('2022-08-11 17:45:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-11 17:45:28', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["b00736d3afaa52dc2987b71a25b4a849a02a7ff2"],"grant_type":["password"],"name":[""],"client_secret":["tofly"],"client_id":["tofly"],"username":["hq"]}', '512', NULL, NULL, 'content:登录 :hq', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568445175251456002', '1', 'tofly-flow', 'll', TO_DATE('2022-09-10 11:44:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-10 11:44:04', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568445481771192321', '1', 'tofly-flow', 'll', TO_DATE('2022-09-10 11:45:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-10 11:45:17', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568446183268536321', '1', 'tofly-flow', 'll', TO_DATE('2022-09-10 11:48:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-10 11:48:05', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568480659126108162', '1', 'tofly-flow', 'll', TO_DATE('2022-09-10 14:05:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-10 14:05:04', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568581289375186945', '1', 'tofly-flow', 'll', TO_DATE('2022-09-10 20:44:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-10 20:44:56', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"id":["1"],"type":["1"],"datatypes":["1568576031811006500"]}', '0', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568581289408741378', '1', 'tofly-flow', 'll', TO_DATE('2022-09-10 20:44:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-10 20:44:56', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '7', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568581451107549185', '1', 'tofly-flow', 'll', TO_DATE('2022-09-10 20:45:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-10 20:45:35', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["1"],"datatypes":["1568576031811006500"]}', '0', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568581451157880833', '1', 'tofly-flow', 'll', TO_DATE('2022-09-10 20:45:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-10 20:45:35', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568581475434512385', '1', 'tofly-flow', 'll', TO_DATE('2022-09-10 20:45:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-10 20:45:41', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["1"],"datatypes":["1568576031811006500"]}', '0', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568581475589701634', '1', 'tofly-flow', 'll', TO_DATE('2022-09-10 20:45:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-10 20:45:41', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '9', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568581536042205185', '1', 'tofly-flow', 'll', TO_DATE('2022-09-10 20:45:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-10 20:45:55', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"id":[""],"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568581588710080513', '1', 'tofly-flow', 'll', TO_DATE('2022-09-10 20:46:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-10 20:46:08', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"id":[""],"type":["1"],"datatypes":["1568576031811006466"]}', '0', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568581623883513858', '1', 'tofly-flow', 'll', TO_DATE('2022-09-10 20:46:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-10 20:46:16', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"id":[""],"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568582717669916673', '1', 'tofly-flow', 'll', TO_DATE('2022-09-10 20:50:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-10 20:50:37', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["1"],"datatypes":["1568576031811006500"]}', '0', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568582717720248321', '1', 'tofly-flow', 'll', TO_DATE('2022-09-10 20:50:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-10 20:50:37', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '8', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568582759927529474', '1', 'tofly-flow', 'll', TO_DATE('2022-09-10 20:50:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-10 20:50:47', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"id":[""],"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568582842202996738', '1', 'tofly-flow', 'll', TO_DATE('2022-09-10 20:51:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-10 20:51:07', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568582842228162561', '1', 'tofly-flow', 'll', TO_DATE('2022-09-10 20:51:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-10 20:51:07', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006500"]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568583420513632258', '1', 'tofly-flow', 'll', TO_DATE('2022-09-10 20:53:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-10 20:53:24', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"id":[""],"type":["1"],"datatypes":["1568576031811006466"]}', '2', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568583437194379265', '1', 'tofly-flow', 'll', TO_DATE('2022-09-10 20:53:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-10 20:53:28', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"id":[""],"type":["0"],"datatypes":["1568576031811006466"]}', '8', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568583704572870657', '1', 'tofly-flow', 'll', TO_DATE('2022-09-10 20:54:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-10 20:54:32', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"id":[""],"type":["0"],"datatypes":["0"]}', '8', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568584744810594306', '1', 'tofly-flow', 'll', TO_DATE('2022-09-10 20:58:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-10 20:58:40', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep', 'POST', '{}', '15', NULL, NULL, 'content:新增基础类型表', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568584745318105090', '1', 'tofly-flow', 'll', TO_DATE('2022-09-10 20:58:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-10 20:58:40', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568584745599123458', '1', 'tofly-flow', 'll', TO_DATE('2022-09-10 20:58:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-10 20:58:40', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006500"]}', '2', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568585489454743554', '1', 'tofly-flow', 'll', TO_DATE('2022-09-10 21:01:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-10 21:01:38', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006500"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568585489454743555', '1', 'tofly-flow', 'll', TO_DATE('2022-09-10 21:01:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-10 21:01:38', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006500"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568585539647979521', '1', 'tofly-flow', 'll', TO_DATE('2022-09-10 21:01:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-10 21:01:50', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006500"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568585769521004546', '1', 'tofly-flow', 'll', TO_DATE('2022-09-10 21:02:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-10 21:02:45', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"id":[""],"type":["0"],"datatypes":["1568576031811006466"]}', '9', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568585981354328066', '1', 'tofly-flow', 'll', TO_DATE('2022-09-10 21:03:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-10 21:03:35', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568586203316895746', '1', 'tofly-flow', 'll', TO_DATE('2022-09-10 21:04:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-10 21:04:28', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568586455356817409', '1', 'tofly-flow', 'll', TO_DATE('2022-09-10 21:05:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-10 21:05:28', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568586852616126465', '1', 'tofly-flow', 'll', TO_DATE('2022-09-10 21:07:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-10 21:07:03', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568586951765278721', '1', 'tofly-flow', 'll', TO_DATE('2022-09-10 21:07:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-10 21:07:26', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep', 'POST', '{}', '5', NULL, NULL, 'content:新增基础类型表', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568586952369258498', '1', 'tofly-flow', 'll', TO_DATE('2022-09-10 21:07:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-10 21:07:27', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568587273631973377', '1', 'tofly-flow', 'll', TO_DATE('2022-09-10 21:08:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-10 21:08:43', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568587428238213121', '1', 'tofly-flow', 'll', TO_DATE('2022-09-10 21:09:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-10 21:09:20', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568587495057670145', '1', 'tofly-flow', 'll', TO_DATE('2022-09-10 21:09:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-10 21:09:36', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568587595465113602', '1', 'tofly-flow', 'll', TO_DATE('2022-09-10 21:10:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-10 21:10:00', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep', 'POST', '{}', '9', NULL, NULL, 'content:新增基础类型表', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568587673558859777', '1', 'tofly-flow', 'll', TO_DATE('2022-09-10 21:10:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-10 21:10:18', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep', 'POST', '{}', '9', NULL, NULL, 'content:新增基础类型表', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568588761720700929', '1', 'tofly-flow', 'll', TO_DATE('2022-09-10 21:14:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-10 21:14:38', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568588762219823105', '1', 'tofly-flow', 'll', TO_DATE('2022-09-10 21:14:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-10 21:14:38', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568588843509628930', '1', 'tofly-flow', 'll', TO_DATE('2022-09-10 21:14:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-10 21:14:57', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep', 'POST', '{}', '16', NULL, NULL, 'content:新增基础类型表', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1559096726395097089', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-15 16:36:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-15 16:36:40', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"name":[""],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '373', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1561973062436794369', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-23 15:06:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-23 15:06:12', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '248', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1561973805906538497', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-23 15:09:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-23 15:09:10', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '234', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1561973830124449793', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-23 15:09:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-23 15:09:15', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '181', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1561974754456776705', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-23 15:12:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-23 15:12:56', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '346', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1561975839976206338', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-23 15:17:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-23 15:17:15', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.138', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '322', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1564461502806179841', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-30 11:54:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-30 11:54:23', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '436', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1564462191800303617', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-30 11:57:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-30 11:57:07', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '312', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1564488371807010818', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-30 13:41:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-30 13:41:09', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.24', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '297', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1564494937557909506', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-30 14:07:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-30 14:07:14', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '325', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1564499782532677633', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-30 14:26:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-30 14:26:29', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '315', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1564508508215918593', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-30 15:01:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-30 15:01:10', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.52', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '323', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1564518520589991937', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-30 15:40:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-30 15:40:57', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '312', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1564540689680252930', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-30 17:09:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-30 17:09:02', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '293', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1564541263930802177', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-30 17:11:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-30 17:11:19', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '321', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1564541421200424961', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-30 17:11:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-30 17:11:57', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '297', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1564551829227388929', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-30 17:53:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-30 17:53:18', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '297', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1565593972320169986', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-02 14:54:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-02 14:54:24', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessconfigl/page', 'GET', '{"hitCount":[""],"optimizeCountSql":[""],"records":[""],"isValid":[""],"searchCount":[""],"content":[""],"current":[""],"total":[""],"size":[""],"orders[0].asc":[""],"tenantId":[""],"orders[0].column":[""],"processType":[""],"businessType":[""],"isDel":[""],"isMould":[""]}', '20221', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1565594138678849538', '0', 'tofly-flow', 'admin', TO_DATE('2022-09-02 14:55:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-02 14:55:04', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessconfigl/1559812187957952514', 'GET', '{}', '261', NULL, 'nested exception is org.apache.ibatis.reflection.ReflectionException: Could not set property ''nodeNumber'' of ''class com.tofly.workflow.processconfig.entity.vo.PCStepVo'' with value ''1'' Cause: java.lang.IllegalArgumentException: argument type mismatch', 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1565594276159746049', '0', 'tofly-flow', 'admin', TO_DATE('2022-09-02 14:55:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-02 14:55:37', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessconfigl/1559812187957952514', 'GET', '{}', '215', NULL, 'nested exception is org.apache.ibatis.reflection.ReflectionException: Could not set property ''nodeNumber'' of ''class com.tofly.workflow.processconfig.entity.vo.PCStepVo'' with value ''1'' Cause: java.lang.IllegalArgumentException: argument type mismatch', 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1567058105635303426', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-06 15:52:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-06 15:52:21', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '327', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1567096776774250498', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-06 18:26:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-06 18:26:01', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '320', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1567098184223289346', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-06 18:31:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-06 18:31:37', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '285', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1567098231111413762', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-06 18:31:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-06 18:31:48', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '305', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1567099090603995138', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-06 18:35:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-06 18:35:13', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '292', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1557662201026740226', '1', 'tofly-flow', 'hq', TO_DATE('2022-08-11 17:36:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-11 17:36:23', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/test/user/msg', 'GET', '{}', '0', NULL, NULL, 'content:测试获取用户相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1557662223541764098', '1', 'tofly-flow', 'hq', TO_DATE('2022-08-11 17:36:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-11 17:36:28', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/test/user/msg', 'GET', '{}', '0', NULL, NULL, 'content:测试获取用户相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1557662225882185730', '1', 'tofly-flow', 'hq', TO_DATE('2022-08-11 17:36:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-11 17:36:29', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/test/user/msg', 'GET', '{}', '0', NULL, NULL, 'content:测试获取用户相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1557662226645549057', '1', 'tofly-flow', 'hq', TO_DATE('2022-08-11 17:36:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-11 17:36:29', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/test/user/msg', 'GET', '{}', '0', NULL, NULL, 'content:测试获取用户相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1557662227438272513', '1', 'tofly-flow', 'hq', TO_DATE('2022-08-11 17:36:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-11 17:36:29', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/test/user/msg', 'GET', '{}', '0', NULL, NULL, 'content:测试获取用户相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1557662228956610561', '1', 'tofly-flow', 'hq', TO_DATE('2022-08-11 17:36:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-11 17:36:30', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/test/user/msg', 'GET', '{}', '0', NULL, NULL, 'content:测试获取用户相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1557662229694808065', '1', 'tofly-flow', 'hq', TO_DATE('2022-08-11 17:36:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-11 17:36:30', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/test/user/msg', 'GET', '{}', '0', NULL, NULL, 'content:测试获取用户相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1557662368119422978', '1', 'tofly-flow', 'hq', TO_DATE('2022-08-11 17:37:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-11 17:37:03', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/test/msg', 'POST', '{"flag":0,"message":"推送消息啦","userPushId":0,"replyId":0,"tenantId":0,"tableId":0,"userPullId":0}', '46', NULL, NULL, 'content:消息推送调用', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1557662371206430721', '1', 'tofly-flow', 'hq', TO_DATE('2022-08-11 17:37:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-11 17:37:03', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/test/msg', 'POST', '{"flag":0,"message":"推送消息啦","userPushId":0,"replyId":0,"tenantId":0,"tableId":0,"userPullId":0}', '117', NULL, NULL, 'content:消息推送调用', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1557662372477304834', '1', 'tofly-flow', 'hq', TO_DATE('2022-08-11 17:37:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-11 17:37:04', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/test/msg', 'POST', '{"flag":0,"message":"推送消息啦","userPushId":0,"replyId":0,"tenantId":0,"tableId":0,"userPullId":0}', '25', NULL, NULL, 'content:消息推送调用', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1557662373412634625', '1', 'tofly-flow', 'hq', TO_DATE('2022-08-11 17:37:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-11 17:37:04', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/test/msg', 'POST', '{"flag":0,"message":"推送消息啦","userPushId":0,"replyId":0,"tenantId":0,"tableId":0,"userPullId":0}', '24', NULL, NULL, 'content:消息推送调用', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1557662374230523905', '1', 'tofly-flow', 'hq', TO_DATE('2022-08-11 17:37:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-11 17:37:04', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/test/msg', 'POST', '{"flag":0,"message":"推送消息啦","userPushId":0,"replyId":0,"tenantId":0,"tableId":0,"userPullId":0}', '25', NULL, NULL, 'content:消息推送调用', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1557662375073579010', '1', 'tofly-flow', 'hq', TO_DATE('2022-08-11 17:37:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-11 17:37:04', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/test/msg', 'POST', '{"flag":0,"message":"推送消息啦","userPushId":0,"replyId":0,"tenantId":0,"tableId":0,"userPullId":0}', '31', NULL, NULL, 'content:消息推送调用', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1561981682423296002', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-23 15:40:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-23 15:40:27', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.138', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '550', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1561982040440696833', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-23 15:41:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-23 15:41:53', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.138', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '178', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1561982201875263490', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-23 15:42:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-23 15:42:31', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.138', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '165', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1561982684337664001', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-23 15:44:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-23 15:44:26', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.138', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '187', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1561982733620736001', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-23 15:44:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-23 15:44:38', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.138', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '187', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1561982803590115329', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-23 15:44:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-23 15:44:55', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.138', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '187', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1561982927259168770', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-23 15:45:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-23 15:45:24', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.138', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '193', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1561983729608552450', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-23 15:48:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-23 15:48:36', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.138', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '428', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1561984760295845889', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-23 15:52:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-23 15:52:41', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.138', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '186', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1564451654345293826', '0', 'tofly-auth', 'hq', TO_DATE('2022-08-30 11:15:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-30 11:15:15', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/log/pageNew', 'GET', '{"hitCount":[""],"optimizeCountSql":[""],"endDate":[""],"records":[""],"deptId":[""],"searchCount":[""],"type":[""],"current":[""],"total":[""],"size":[""],"orders[0].asc":[""],"userIds":[""],"orders[0].column":[""],"startDate":[""]}', '199', NULL, '### Error querying database.  Cause: java.sql.SQLSyntaxErrorException: ORA-00904: "VALUE": 标识符无效

### The error may exist in file [F:\tofly\tofly-zmrq\system\target\classes\mapper\LogMapper.xml]
### The error may involve defaultParameterMap
### The error occurred while setting parameters
### SQL: SELECT * FROM ( SELECT TMP.*, ROWNUM ROW_ID FROM ( select l.TABLE_ID,l.ROUTE_IP,l.TYPE,l.SERVICE_ID,l.CREATE_TIME,l.UPDATE_TIME,l.REMOTE_ADDR,l.USER_AGENT,l.REQUEST_URI,                l.METHOD,l.PARAMS,l.TIME,l.DEL_FLAG,l.EXCEPTION,l.TITLE,         (select REAL_NAME from SYS_USER where l.CREATE_BY = USERNAME) as CREATE_BY,         (select VALUE from SYS_DEPT where CODE=''0001'' and value=l.type ) as TABLE_NAME         from TF_SMPN_LOG_X l where 1=1                                                 order by l.CREATE_TIME desc ) TMP WHERE ROWNUM <=?) WHERE ROW_ID > ?
### Cause: java.sql.SQLSyntaxErrorException: ORA-00904: "VALUE": 标识符无效

; bad SQL grammar []; nested exception is java.sql.SQLSyntaxErrorException: ORA-00904: "VALUE": 标识符无效', 'content:通过分页查询日志信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1564868087009665025', '0', 'tofly-flow', 'admin', TO_DATE('2022-08-31 14:50:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-31 14:50:00', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessl', 'POST', '{}', '351', NULL, 'nested exception is org.apache.ibatis.exceptions.TooManyResultsException: Expected one result (or null) to be returned by selectOne(), but found: 5', 'content:新增流程信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1564868830697512962', '0', 'tofly-flow', 'admin', TO_DATE('2022-08-31 14:52:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-31 14:52:57', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessl', 'POST', '{}', '11747', NULL, 'nested exception is org.apache.ibatis.exceptions.TooManyResultsException: Expected one result (or null) to be returned by selectOne(), but found: 5', 'content:新增流程信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1564869791801303041', '1', 'tofly-flow', 'admin', TO_DATE('2022-08-31 14:56:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-31 14:56:46', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessl', 'POST', '{}', '334', NULL, NULL, 'content:新增流程信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1564870356639834113', '1', 'tofly-flow', 'admin', TO_DATE('2022-08-31 14:59:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-31 14:59:01', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessl', 'POST', '{}', '61410', NULL, NULL, 'content:新增流程信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1564870589759250433', '1', 'tofly-flow', 'admin', TO_DATE('2022-08-31 14:59:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-31 14:59:57', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessl', 'POST', '{}', '4262', NULL, NULL, 'content:新增流程信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1564873748468621314', '1', 'tofly-flow', 'admin', TO_DATE('2022-08-31 15:12:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-31 15:12:30', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessl', 'POST', '{}', '497768', NULL, NULL, 'content:新增流程信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1564874000936361985', '1', 'tofly-flow', 'admin', TO_DATE('2022-08-31 15:13:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-31 15:13:30', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessl', 'POST', '{}', '3695', NULL, NULL, 'content:新增流程信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1564876808343412738', '1', 'tofly-flow', 'admin', TO_DATE('2022-08-31 15:24:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-31 15:24:39', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessl', 'POST', '{}', '569159', NULL, NULL, 'content:新增流程信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1563042947938222081', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-26 13:57:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-26 13:57:33', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '293', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1563047068443443201', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-26 14:13:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-26 14:13:55', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '300', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1563047987851657217', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-26 14:17:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-26 14:17:34', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '300', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1567666867580563458', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-08 08:11:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-08 08:11:21', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfprocessl/1565631350208364546', 'GET', '{}', '108', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1567669097067048962', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-08 08:20:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-08 08:20:13', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '366', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1567669113651326977', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-08 08:20:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-08 08:20:17', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfprocessl/page', 'GET', '{"tenantId":[""],"current":["1"],"size":["1000"]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1567669878797234178', '0', 'tofly-flow', 'admin', TO_DATE('2022-09-08 08:23:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-08 08:23:19', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfprocessconfigl/1559812187957952514', 'GET', '{}', '105', NULL, 'nested exception is org.apache.ibatis.reflection.ReflectionException: Could not set property ''nodeNumber'' of ''class com.tofly.workflow.processconfig.entity.vo.PCStepVo'' with value ''1'' Cause: java.lang.IllegalArgumentException: argument type mismatch', 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1567669905615613954', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-08 08:23:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-08 08:23:26', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfregisteritemw/1565631350208364546', 'GET', '{}', '2', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1567669933474181122', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-08 08:23:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-08 08:23:32', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfprocessl/1565631350208364546', 'GET', '{}', '14', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1567669972959358977', '0', 'tofly-flow', 'admin', TO_DATE('2022-09-08 08:23:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-08 08:23:42', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfprocessconfigl/1559812187957952514', 'GET', '{}', '230', NULL, 'nested exception is org.apache.ibatis.reflection.ReflectionException: Could not set property ''nodeNumber'' of ''class com.tofly.workflow.processconfig.entity.vo.PCStepVo'' with value ''1'' Cause: java.lang.IllegalArgumentException: argument type mismatch', 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1567669978399371265', '0', 'tofly-flow', 'admin', TO_DATE('2022-09-08 08:23:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-08 08:23:43', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfprocessconfigl/1559812187957952514', 'GET', '{}', '168', NULL, 'nested exception is org.apache.ibatis.reflection.ReflectionException: Could not set property ''nodeNumber'' of ''class com.tofly.workflow.processconfig.entity.vo.PCStepVo'' with value ''1'' Cause: java.lang.IllegalArgumentException: argument type mismatch', 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1567672585218027521', '0', 'tofly-flow', 'admin', TO_DATE('2022-09-08 08:34:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-08 08:34:04', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfprocessconfigl/1559812187957952514', 'GET', '{}', '232', NULL, 'nested exception is org.apache.ibatis.reflection.ReflectionException: Could not set property ''nodeNumber'' of ''class com.tofly.workflow.processconfig.entity.vo.PCStepVo'' with value ''1'' Cause: java.lang.IllegalArgumentException: argument type mismatch', 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1567672590519627778', '0', 'tofly-flow', 'admin', TO_DATE('2022-09-08 08:34:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-08 08:34:06', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfprocessconfigl/1559812187957952514', 'GET', '{}', '221', NULL, 'nested exception is org.apache.ibatis.reflection.ReflectionException: Could not set property ''nodeNumber'' of ''class com.tofly.workflow.processconfig.entity.vo.PCStepVo'' with value ''1'' Cause: java.lang.IllegalArgumentException: argument type mismatch', 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1567672611893800962', '0', 'tofly-flow', 'admin', TO_DATE('2022-09-08 08:34:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-08 08:34:11', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfprocessconfigl/1559812187957952514', 'GET', '{}', '195', NULL, 'nested exception is org.apache.ibatis.reflection.ReflectionException: Could not set property ''nodeNumber'' of ''class com.tofly.workflow.processconfig.entity.vo.PCStepVo'' with value ''1'' Cause: java.lang.IllegalArgumentException: argument type mismatch', 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1567672617749049346', '0', 'tofly-flow', 'admin', TO_DATE('2022-09-08 08:34:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-08 08:34:12', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfprocessconfigl/1559812187957952514', 'GET', '{}', '176', NULL, 'nested exception is org.apache.ibatis.reflection.ReflectionException: Could not set property ''nodeNumber'' of ''class com.tofly.workflow.processconfig.entity.vo.PCStepVo'' with value ''1'' Cause: java.lang.IllegalArgumentException: argument type mismatch', 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1567675661052145665', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-08 08:46:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-08 08:46:18', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfprocessconfigl/page', 'GET', '{"hitCount":[""],"optimizeCountSql":[""],"records":[""],"isValid":[""],"searchCount":[""],"content":[""],"current":[""],"total":[""],"size":[""],"orders[0].asc":[""],"tenantId":[""],"orders[0].column":[""],"processType":[""],"businessType":[""],"isDel":[""],"isMould":[""]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1567675704798736385', '0', 'tofly-flow', 'admin', TO_DATE('2022-09-08 08:46:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-08 08:46:28', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfprocessconfigl/1559812187957952514', 'GET', '{}', '100', NULL, 'nested exception is org.apache.ibatis.reflection.ReflectionException: Could not set property ''nodeNumber'' of ''class com.tofly.workflow.processconfig.entity.vo.PCStepVo'' with value ''1'' Cause: java.lang.IllegalArgumentException: argument type mismatch', 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1567675711060832258', '0', 'tofly-flow', 'admin', TO_DATE('2022-09-08 08:46:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-08 08:46:30', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfprocessconfigl/1559812187957952514', 'GET', '{}', '98', NULL, 'nested exception is org.apache.ibatis.reflection.ReflectionException: Could not set property ''nodeNumber'' of ''class com.tofly.workflow.processconfig.entity.vo.PCStepVo'' with value ''1'' Cause: java.lang.IllegalArgumentException: argument type mismatch', 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1567676875982630913', '0', 'tofly-flow', 'admin', TO_DATE('2022-09-08 08:51:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-08 08:51:07', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfprocessconfigl/1559812187957952514', 'GET', '{}', '171', NULL, 'nested exception is org.apache.ibatis.reflection.ReflectionException: Could not set property ''nodeNumber'' of ''class com.tofly.workflow.processconfig.entity.vo.PCStepVo'' with value ''1'' Cause: java.lang.IllegalArgumentException: argument type mismatch', 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1567684085286563841', '0', 'tofly-flow', 'admin', TO_DATE('2022-09-08 09:19:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-08 09:19:46', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfprocessconfigl/1559812187957952514', 'GET', '{}', '814', NULL, 'nested exception is org.apache.ibatis.reflection.ReflectionException: Could not set property ''nodeNumber'' of ''class com.tofly.workflow.processconfig.entity.vo.PCStepVo'' with value ''1'' Cause: java.lang.IllegalArgumentException: argument type mismatch', 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1567688740099977218', '2', 'tofly-auth', 'yj', TO_DATE('2022-09-08 09:38:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-08 09:38:16', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.170.172', NULL, '/token/01b79e16-89b3-45d8-9bbf-c73673976d30', 'DELETE', '{}', '1', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568588844159746050', '1', 'tofly-flow', 'll', TO_DATE('2022-09-10 21:14:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-10 21:14:58', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568588844168134658', '1', 'tofly-flow', 'll', TO_DATE('2022-09-10 21:14:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-10 21:14:58', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '7', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568589572790042625', '1', 'tofly-flow', 'll', TO_DATE('2022-09-10 21:17:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-10 21:17:51', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568589622559653890', '1', 'tofly-flow', 'll', TO_DATE('2022-09-10 21:18:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-10 21:18:03', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep', 'POST', '{}', '20', NULL, NULL, 'content:新增基础类型表', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1564886274228600833', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-31 16:02:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-31 16:02:16', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '31116', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1567100005427834881', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-06 18:38:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-06 18:38:51', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfprocessl/page', 'GET', '{"hitCount":[""],"registerStaff":[""],"processState":[""],"records":[""],"processNumber":[""],"searchCount":[""],"edition":[""],"remark":[""],"relationNumber":[""],"current":[""],"total":[""],"configId":[""],"orders[0].asc":[""],"registerPost":[""],"ywType":[""],"orders[0].column":[""],"id":[""],"processType":[""],"optimizeCountSql":[""],"registerTime":[""],"registerDept":[""],"passingNode":[""],"relationId":[""],"size":[""],"createTime":[""],"name":[""],"tenantId":[""],"createUser":[""],"category":[""],"isDel":[""]}', '447', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1567100825393295362', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-06 18:42:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-06 18:42:06', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfprocessl/1565631350208364546', 'GET', '{}', '64', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1567101931863273474', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-06 18:46:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-06 18:46:30', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfbasetypep/page', 'GET', '{"hitCount":[""],"optimizeCountSql":[""],"records":[""],"dataType":[""],"isValid":[""],"searchCount":[""],"typeName":[""],"updateUser":[""],"remark":[""],"updateTime":[""],"parentId":[""],"typeCode":[""],"current":[""],"total":[""],"size":[""],"createTime":[""],"orders[0].asc":[""],"tenantId":[""],"createUser":[""],"orders[0].column":[""],"id":[""],"isDel":[""]}', '87', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1567102499105140738', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-06 18:48:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-06 18:48:45', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfprocessl/page', 'GET', '{"hitCount":[""],"registerStaff":[""],"processState":[""],"records":[""],"processNumber":[""],"searchCount":[""],"edition":[""],"remark":[""],"relationNumber":[""],"current":[""],"total":[""],"configId":[""],"orders[0].asc":[""],"registerPost":[""],"ywType":[""],"orders[0].column":[""],"id":[""],"processType":[""],"optimizeCountSql":[""],"registerTime":[""],"registerDept":[""],"passingNode":[""],"relationId":[""],"size":[""],"createTime":[""],"name":[""],"tenantId":[""],"createUser":[""],"category":[""],"isDel":[""]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1567102563986829314', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-06 18:49:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-06 18:49:01', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfprocessl/1565631350208364546', 'GET', '{}', '16', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1567118598488059905', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-06 19:52:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-06 19:52:44', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '325', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1567118610982891521', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-06 19:52:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-06 19:52:47', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfprocessl/page', 'GET', '{"tenantId":[""]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1567118787349180417', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-06 19:53:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-06 19:53:29', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '290', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1567118830747643906', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-06 19:53:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-06 19:53:39', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfprocessl/page', 'GET', '{"tenantId":[""]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1567118910946930689', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-06 19:53:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-06 19:53:58', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '304', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1567118924540669953', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-06 19:54:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-06 19:54:01', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfprocessl/page', 'GET', '{"tenantId":[""]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1567119373540913153', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-06 19:55:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-06 19:55:48', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '292', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1567119382869045250', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-06 19:55:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-06 19:55:51', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfprocessl/page', 'GET', '{"tenantId":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1567120026036203521', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-06 19:58:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-06 19:58:24', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfprocessl/page', 'GET', '{"hitCount":[""],"registerStaff":[""],"processState":[""],"records":[""],"processNumber":[""],"searchCount":[""],"edition":[""],"remark":[""],"relationNumber":[""],"current":[""],"total":[""],"configId":[""],"orders[0].asc":[""],"registerPost":[""],"ywType":[""],"orders[0].column":[""],"id":[""],"processType":[""],"optimizeCountSql":[""],"registerTime":[""],"registerDept":[""],"passingNode":[""],"relationId":[""],"size":[""],"createTime":[""],"name":[""],"tenantId":[""],"createUser":[""],"category":[""],"isDel":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568065729235369985', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-09 10:36:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-09 10:36:17', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfprocessl/1565631350208364546', 'GET', '{}', '11', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568067239595851778', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-09 10:42:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-09 10:42:17', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfprocessl/1565631350208364546', 'GET', '{}', '14', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568067243911790594', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-09 10:42:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-09 10:42:18', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfprocessconfigl/1559812187957952514', 'GET', '{}', '26', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568067312681598977', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-09 10:42:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-09 10:42:35', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfprocessl/1565631350208364546', 'GET', '{}', '13', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568067338686283777', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-09 10:42:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-09 10:42:41', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfprocessl/1565631350208364546', 'GET', '{}', '29', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569226668340940802', '1', 'tofly-flow', 'll', TO_DATE('2022-09-12 15:29:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 15:29:27', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569226690847576066', '1', 'tofly-flow', 'll', TO_DATE('2022-09-12 15:29:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 15:29:32', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"content":["{}"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569226940123451394', '1', 'tofly-flow', 'll', TO_DATE('2022-09-12 15:30:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 15:30:32', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569226941520154625', '1', 'tofly-flow', 'll', TO_DATE('2022-09-12 15:30:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 15:30:32', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569235378115186690', '1', 'tofly-flow', 'll', TO_DATE('2022-09-12 16:04:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 16:04:03', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '257', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569235379948097537', '1', 'tofly-flow', 'll', TO_DATE('2022-09-12 16:04:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 16:04:04', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '54', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569235395760623618', '1', 'tofly-flow', 'll', TO_DATE('2022-09-12 16:04:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 16:04:07', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '4', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569235396557541378', '1', 'tofly-flow', 'll', TO_DATE('2022-09-12 16:04:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 16:04:08', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '7', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569236299612164097', '1', 'tofly-flow', 'll', TO_DATE('2022-09-12 16:07:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 16:07:43', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '4', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569236301428297730', '1', 'tofly-flow', 'll', TO_DATE('2022-09-12 16:07:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 16:07:43', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '7', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569236918670462978', '1', 'tofly-flow', 'll', TO_DATE('2022-09-12 16:10:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 16:10:11', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1564877092557840385', '1', 'tofly-flow', 'admin', TO_DATE('2022-08-31 15:25:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-31 15:25:47', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessl', 'POST', '{}', '63527', NULL, NULL, 'content:新增流程信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1564877416387469313', '1', 'tofly-flow', 'admin', TO_DATE('2022-08-31 15:27:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-31 15:27:04', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessl', 'POST', '{}', '12360', NULL, NULL, 'content:新增流程信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1564877735884382209', '1', 'tofly-flow', 'admin', TO_DATE('2022-08-31 15:28:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-31 15:28:20', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessl', 'POST', '{}', '25856', NULL, NULL, 'content:新增流程信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1564878069214109698', '1', 'tofly-flow', 'admin', TO_DATE('2022-08-31 15:29:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-31 15:29:40', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessl', 'POST', '{}', '15550', NULL, NULL, 'content:新增流程信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1564879042921783297', '0', 'tofly-flow', 'admin', TO_DATE('2022-08-31 15:33:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-31 15:33:32', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessl', 'POST', '{}', '9458', NULL, '### Error querying database.  Cause: java.sql.SQLSyntaxErrorException: ORA-00918: 未明确定义列

### The error may exist in file [E:\java\work\zmrq\tofly-zmrq\workflow\target\classes\mapper\processconfig\TfProcessConfigLMapper.xml]
### The error may involve defaultParameterMap
### The error occurred while setting parameters
### SQL: SELECT PROCESS_TYPE,BUSINESS_TYPE,PROCESS_CODE ,EDITION   FROM TF_PROCESS_CONFIG_L c LEFT JOIN TF_PROCESS_CONFIG_INFO_L i ON (c.ID = i.CONFIG_ID AND c.EDITION = i.EDITION)   WHERE ID = ?
### Cause: java.sql.SQLSyntaxErrorException: ORA-00918: 未明确定义列

; bad SQL grammar []; nested exception is java.sql.SQLSyntaxErrorException: ORA-00918: 未明确定义列', 'content:新增流程信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1564880947404234754', '0', 'tofly-flow', 'admin', TO_DATE('2022-08-31 15:41:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-31 15:41:06', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessl', 'POST', '{}', '4350', NULL, 'For input string: " 2"', 'content:新增流程信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1564882016389718018', '0', 'tofly-flow', 'admin', TO_DATE('2022-08-31 15:45:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-31 15:45:21', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessl', 'POST', '{}', '158829', NULL, 'For input string: " 2"', 'content:新增流程信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1564882052271988738', '0', 'tofly-flow', 'admin', TO_DATE('2022-08-31 15:45:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-31 15:45:30', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessl', 'POST', '{}', '5426', NULL, 'For input string: " 2"', 'content:新增流程信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1564882342782066689', '0', 'tofly-flow', 'admin', TO_DATE('2022-08-31 15:46:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-31 15:46:39', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessl', 'POST', '{}', '55169', NULL, 'For input string: " 2"', 'content:新增流程信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1564882871000129537', '0', 'tofly-flow', 'admin', TO_DATE('2022-08-31 15:48:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-31 15:48:45', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessl', 'POST', '{}', '89503', NULL, 'For input string: " 2"', 'content:新增流程信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1564892521594490882', '1', 'tofly-flow', 'admin', TO_DATE('2022-08-31 16:27:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-31 16:27:06', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessl', 'POST', '{}', '792', NULL, NULL, 'content:新增流程信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1564895055591641090', '1', 'tofly-flow', 'admin', TO_DATE('2022-08-31 16:37:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-31 16:37:10', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessl/page', 'GET', '{}', '165', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1564895190123941889', '0', 'tofly-flow', 'admin', TO_DATE('2022-08-31 16:37:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-31 16:37:42', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessl/1564892518557880322', 'GET', '{}', '31', NULL, 'nested exception is org.apache.ibatis.executor.ExecutorException: A query was run and no Result Maps were found for the Mapped Statement ''com.tofly.workflow.process.mapper.TfProcessNodeLMapper.getProcessNodes''.  It''s likely that neither a Result Type nor a Result Map was specified.', 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1564895248152137729', '0', 'tofly-flow', 'admin', TO_DATE('2022-08-31 16:37:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-31 16:37:56', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessl/1564892518557880322', 'GET', '{}', '10', NULL, 'nested exception is org.apache.ibatis.executor.ExecutorException: A query was run and no Result Maps were found for the Mapped Statement ''com.tofly.workflow.process.mapper.TfProcessNodeLMapper.getProcessNodes''.  It''s likely that neither a Result Type nor a Result Map was specified.', 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1564895412250087425', '0', 'tofly-flow', 'admin', TO_DATE('2022-08-31 16:38:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-31 16:38:35', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessl/1564892518557880322', 'GET', '{}', '104', NULL, 'nested exception is org.apache.ibatis.executor.ExecutorException: A query was run and no Result Maps were found for the Mapped Statement ''com.tofly.workflow.process.mapper.TfProcessNodeLMapper.getProcessNodes''.  It''s likely that neither a Result Type nor a Result Map was specified.', 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1564896902318526466', '1', 'tofly-flow', 'admin', TO_DATE('2022-08-31 16:44:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-31 16:44:30', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessl/1564892518557880322', 'GET', '{}', '273', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1564898859972169729', '1', 'tofly-flow', 'admin', TO_DATE('2022-08-31 16:52:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-31 16:52:17', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessl', 'POST', '{}', '632', NULL, NULL, 'content:新增流程信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1564898899407015938', '1', 'tofly-flow', 'admin', TO_DATE('2022-08-31 16:52:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-31 16:52:26', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessl', 'POST', '{}', '258', NULL, NULL, 'content:新增流程信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1564899879536168962', '1', 'tofly-flow', 'admin', TO_DATE('2022-08-31 16:56:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-31 16:56:20', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessl', 'POST', '{}', '165983', NULL, NULL, 'content:新增流程信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1564900816430436354', '1', 'tofly-flow', 'admin', TO_DATE('2022-08-31 17:00:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-31 17:00:03', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessl', 'POST', '{}', '5341', NULL, NULL, 'content:新增流程信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1564913829258596353', '0', 'tofly-flow', 'admin', TO_DATE('2022-08-31 17:51:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-31 17:51:46', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessl', 'POST', '{}', '930', NULL, 'nested exception is org.apache.ibatis.reflection.ReflectionException: Could not set property ''stepNodeID'' of ''class com.tofly.workflow.process.entity.TfProcessUpperNodeL'' with value ''1564900812534001665'' Cause: org.apache.ibatis.reflection.ReflectionException: There is no setter for property named ''stepNodeID'' in ''class com.tofly.workflow.process.entity.TfProcessUpperNodeL''', 'content:新增流程信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1564914448371421185', '0', 'tofly-flow', 'admin', TO_DATE('2022-08-31 17:54:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-31 17:54:13', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessl', 'POST', '{}', '379', NULL, 'nested exception is org.apache.ibatis.reflection.ReflectionException: Could not set property ''stepNodeID'' of ''class com.tofly.workflow.process.entity.TfProcessUpperNodeL'' with value ''1564900812534001665'' Cause: org.apache.ibatis.reflection.ReflectionException: There is no setter for property named ''stepNodeID'' in ''class com.tofly.workflow.process.entity.TfProcessUpperNodeL''', 'content:新增流程信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1564915080327204866', '0', 'tofly-flow', 'admin', TO_DATE('2022-08-31 17:56:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-31 17:56:44', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessl', 'POST', '{}', '34013', NULL, 'nested exception is org.apache.ibatis.reflection.ReflectionException: Could not set property ''stepNodeID'' of ''class com.tofly.workflow.process.entity.TfProcessUpperNodeL'' with value ''1564900812534001665'' Cause: org.apache.ibatis.reflection.ReflectionException: There is no setter for property named ''stepNodeID'' in ''class com.tofly.workflow.process.entity.TfProcessUpperNodeL''', 'content:新增流程信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1564915705060397058', '1', 'tofly-flow', 'admin', TO_DATE('2022-08-31 17:59:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-31 17:59:13', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessl', 'POST', '{}', '6681', NULL, NULL, 'content:新增流程信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1565631353719025665', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-02 17:22:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-02 17:22:57', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessl', 'POST', '{}', '6976', NULL, NULL, 'content:新增流程信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1565631718241792001', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-02 17:24:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-02 17:24:24', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessl/page', 'GET', '{"hitCount":[""],"registerStaff":[""],"processState":[""],"records":[""],"processNumber":[""],"searchCount":[""],"edition":[""],"remark":[""],"relationNumber":[""],"current":[""],"total":[""],"configId":[""],"orders[0].asc":[""],"registerPost":[""],"ywType":[""],"orders[0].column":[""],"id":[""],"processType":[""],"optimizeCountSql":[""],"registerTime":[""],"registerDept":[""],"passingNode":[""],"relationId":[""],"size":[""],"createTime":[""],"name":[""],"tenantId":[""],"createUser":[""],"category":[""],"isDel":[""]}', '161', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1565631906784145409', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-02 17:25:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-02 17:25:09', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessl', 'POST', '{}', '310', NULL, NULL, 'content:新增流程信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1567427947850256385', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-07 16:21:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-07 16:21:58', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessl/page', 'GET', '{"hitCount":[""],"registerStaff":[""],"processState":[""],"records":[""],"processNumber":[""],"searchCount":[""],"edition":[""],"remark":[""],"relationNumber":[""],"current":[""],"total":[""],"configId":[""],"orders[0].asc":[""],"registerPost":[""],"ywType":[""],"orders[0].column":[""],"id":[""],"processType":[""],"optimizeCountSql":[""],"registerTime":[""],"registerDept":[""],"passingNode":[""],"relationId":[""],"size":[""],"createTime":[""],"name":[""],"tenantId":[""],"createUser":[""],"category":[""],"isDel":[""]}', '19696', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568859527020285953', '1', 'tofly-flow', 'll', TO_DATE('2022-09-11 15:10:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-11 15:10:33', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568859528765116417', '1', 'tofly-flow', 'll', TO_DATE('2022-09-11 15:10:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-11 15:10:34', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568864374218035202', '1', 'tofly-flow', 'll', TO_DATE('2022-09-11 15:29:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-11 15:29:49', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568864375635709953', '1', 'tofly-flow', 'll', TO_DATE('2022-09-11 15:29:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-11 15:29:49', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568864380962476034', '1', 'tofly-flow', 'll', TO_DATE('2022-09-11 15:29:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-11 15:29:51', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":["1"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568864606590865410', '1', 'tofly-flow', 'll', TO_DATE('2022-09-11 15:30:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-11 15:30:44', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568864607937236993', '1', 'tofly-flow', 'll', TO_DATE('2022-09-11 15:30:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-11 15:30:45', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568864632499081217', '1', 'tofly-flow', 'll', TO_DATE('2022-09-11 15:30:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-11 15:30:51', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":["1"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568865202739875842', '1', 'tofly-flow', 'll', TO_DATE('2022-09-11 15:33:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-11 15:33:07', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568865204295962626', '1', 'tofly-flow', 'll', TO_DATE('2022-09-11 15:33:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-11 15:33:07', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568865215880630273', '1', 'tofly-flow', 'll', TO_DATE('2022-09-11 15:33:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-11 15:33:10', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568865468977516546', '1', 'tofly-flow', 'll', TO_DATE('2022-09-11 15:34:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-11 15:34:10', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568865470294528002', '1', 'tofly-flow', 'll', TO_DATE('2022-09-11 15:34:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-11 15:34:10', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568865471989026818', '1', 'tofly-flow', 'll', TO_DATE('2022-09-11 15:34:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-11 15:34:11', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":["1"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568866245104111618', '1', 'tofly-flow', 'll', TO_DATE('2022-09-11 15:37:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-11 15:37:15', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568866246450483202', '1', 'tofly-flow', 'll', TO_DATE('2022-09-11 15:37:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-11 15:37:15', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568866261067632641', '1', 'tofly-flow', 'll', TO_DATE('2022-09-11 15:37:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-11 15:37:19', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568870372190195714', '1', 'tofly-flow', 'll', TO_DATE('2022-09-11 15:53:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-11 15:53:39', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568870373372989441', '1', 'tofly-flow', 'll', TO_DATE('2022-09-11 15:53:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-11 15:53:39', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568873618162061314', '1', 'tofly-flow', 'll', TO_DATE('2022-09-11 16:06:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-11 16:06:33', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568873619449712642', '1', 'tofly-flow', 'll', TO_DATE('2022-09-11 16:06:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-11 16:06:33', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568876461807898626', '1', 'tofly-flow', 'll', TO_DATE('2022-09-11 16:17:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-11 16:17:51', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568876462839697409', '1', 'tofly-flow', 'll', TO_DATE('2022-09-11 16:17:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-11 16:17:51', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568878078913417217', '1', 'tofly-flow', 'll', TO_DATE('2022-09-11 16:24:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-11 16:24:17', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568878080175902722', '1', 'tofly-flow', 'll', TO_DATE('2022-09-11 16:24:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-11 16:24:17', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568885781714964482', '1', 'tofly-flow', 'll', TO_DATE('2022-09-11 16:54:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-11 16:54:53', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568892938262941698', '1', 'tofly-flow', 'll', TO_DATE('2022-09-11 17:23:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-11 17:23:19', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '4', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568892939504455682', '1', 'tofly-flow', 'll', TO_DATE('2022-09-11 17:23:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-11 17:23:20', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568893258732933122', '1', 'tofly-flow', 'll', TO_DATE('2022-09-11 17:24:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-11 17:24:36', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568893260133830658', '1', 'tofly-flow', 'll', TO_DATE('2022-09-11 17:24:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-11 17:24:36', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568897366982397953', '1', 'tofly-flow', 'll', TO_DATE('2022-09-11 17:40:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-11 17:40:55', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568897368093888514', '1', 'tofly-flow', 'll', TO_DATE('2022-09-11 17:40:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-11 17:40:55', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568897614085623810', '1', 'tofly-flow', 'll', TO_DATE('2022-09-11 17:41:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-11 17:41:54', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568897615339720706', '1', 'tofly-flow', 'll', TO_DATE('2022-09-11 17:41:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-11 17:41:54', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568897729047302146', '1', 'tofly-flow', 'll', TO_DATE('2022-09-11 17:42:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-11 17:42:21', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '157', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568897730364313601', '1', 'tofly-flow', 'll', TO_DATE('2022-09-11 17:42:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-11 17:42:22', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568897863525076994', '1', 'tofly-flow', 'll', TO_DATE('2022-09-11 17:42:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-11 17:42:54', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568897864774979586', '1', 'tofly-flow', 'll', TO_DATE('2022-09-11 17:42:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-11 17:42:54', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568898119545393153', '1', 'tofly-flow', 'll', TO_DATE('2022-09-11 17:43:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-11 17:43:55', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568898120740769794', '1', 'tofly-flow', 'll', TO_DATE('2022-09-11 17:43:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-11 17:43:55', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568898785298878465', '1', 'tofly-flow', 'll', TO_DATE('2022-09-11 17:46:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-11 17:46:33', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568898786532003841', '1', 'tofly-flow', 'll', TO_DATE('2022-09-11 17:46:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-11 17:46:34', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1565231432204279809', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-01 14:53:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-01 14:53:48', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessnodel', 'POST', '{}', '4867', NULL, NULL, 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1565232246717145089', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-01 14:57:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-01 14:57:02', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessnodel', 'POST', '{}', '394', NULL, NULL, 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1565233146982555650', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-01 15:00:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-01 15:00:37', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessconfigl/page', 'GET', '{"hitCount":[""],"optimizeCountSql":[""],"records":[""],"isValid":[""],"searchCount":[""],"content":[""],"current":[""],"total":[""],"size":[""],"orders[0].asc":[""],"tenantId":[""],"orders[0].column":[""],"processType":[""],"businessType":[""],"isDel":[""],"isMould":[""]}', '162', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568071302190317570', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-09 10:58:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-09 10:58:26', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfprocessl/1565631350208364546', 'GET', '{}', '14', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569142599053742082', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-12 09:55:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 09:55:23', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '301', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569142605575884802', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-12 09:55:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 09:55:25', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprocessl/page', 'GET', '{"tenantId":[""],"current":["1"],"size":["1000"]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569142613071106049', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-12 09:55:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 09:55:26', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprocessconfigl/1559812187957952514', 'GET', '{}', '32', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569143048137871361', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-12 09:57:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 09:57:10', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '298', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569143054462881793', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-12 09:57:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 09:57:12', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprocessl/page', 'GET', '{"tenantId":[""],"current":["1"],"size":["1000"]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569143059932254209', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-12 09:57:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 09:57:13', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprocessconfigl/1559812187957952514', 'GET', '{}', '38', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569143093616709634', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-12 09:57:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 09:57:21', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprocessl/page', 'GET', '{"tenantId":[""],"current":["1"],"size":["1000"]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569144868319006722', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-12 10:04:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 10:04:24', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprocessconfigl/1559812187957952514', 'GET', '{}', '41', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569144926586277889', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-12 10:04:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 10:04:38', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprocessl/1565215112469393410', 'GET', '{}', '18', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569144926741467137', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-12 10:04:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 10:04:38', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprocessconfigl/1559812187957952514', 'GET', '{}', '40', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569145019968262145', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-12 10:05:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 10:05:00', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '306', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569145027757084674', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-12 10:05:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 10:05:02', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprocessl/page', 'GET', '{"tenantId":[""],"current":["1"],"size":["1000"]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569145032895107073', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-12 10:05:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 10:05:03', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprocessl/1565215112469393410', 'GET', '{}', '16', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569145033113210881', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-12 10:05:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 10:05:03', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprocessconfigl/1559812187957952514', 'GET', '{}', '30', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569213643307356161', '1', 'tofly-flow', 'll', TO_DATE('2022-09-12 14:37:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 14:37:41', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"content":["{}"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569213650165043201', '1', 'tofly-flow', 'll', TO_DATE('2022-09-12 14:37:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 14:37:43', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569213651674992641', '1', 'tofly-flow', 'll', TO_DATE('2022-09-12 14:37:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 14:37:43', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569214545783164929', '1', 'tofly-flow', 'll', TO_DATE('2022-09-12 14:41:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 14:41:16', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"content":["{}"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569214553681039361', '1', 'tofly-flow', 'll', TO_DATE('2022-09-12 14:41:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 14:41:18', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569214555211960321', '1', 'tofly-flow', 'll', TO_DATE('2022-09-12 14:41:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 14:41:19', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569214845621374977', '2', 'tofly-auth', 'yj', TO_DATE('2022-09-12 14:42:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 14:42:28', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.170.172', NULL, '/token/01b79e16-89b3-45d8-9bbf-c73673976d30', 'DELETE', '{}', '9', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569236919861645314', '1', 'tofly-flow', 'll', TO_DATE('2022-09-12 16:10:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 16:10:11', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '12', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569238511516127233', '1', 'tofly-flow', 'll', TO_DATE('2022-09-12 16:16:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 16:16:30', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"content":["{}"]}', '133', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569238952853446658', '1', 'tofly-flow', 'll', TO_DATE('2022-09-12 16:18:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 16:18:16', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"content":["{}"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569281015947010050', '1', 'tofly-flow', 'll', TO_DATE('2022-09-12 19:05:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 19:05:24', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"content":[""]}', '25', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569281016274165762', '1', 'tofly-flow', 'll', TO_DATE('2022-09-12 19:05:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 19:05:24', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"content":[""]}', '17', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569281048205402113', '1', 'tofly-flow', 'll', TO_DATE('2022-09-12 19:05:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 19:05:32', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/1559812187957952514', 'DELETE', '{"id":["1559812187957952514"]}', '7', NULL, NULL, 'content:通过id删除审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569281048918433794', '1', 'tofly-flow', 'll', TO_DATE('2022-09-12 19:05:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 19:05:32', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"content":[""]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569281143697121282', '1', 'tofly-flow', 'll', TO_DATE('2022-09-12 19:05:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 19:05:55', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/1569252071430066178', 'DELETE', '{"id":["1569252071430066178"]}', '3', NULL, NULL, 'content:通过id删除审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569281144414347265', '1', 'tofly-flow', 'll', TO_DATE('2022-09-12 19:05:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 19:05:55', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"content":[""]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569281176584658946', '1', 'tofly-flow', 'll', TO_DATE('2022-09-12 19:06:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 19:06:02', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"content":[""]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569281301147099137', '1', 'tofly-flow', 'll', TO_DATE('2022-09-12 19:06:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 19:06:32', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569281302766100481', '1', 'tofly-flow', 'll', TO_DATE('2022-09-12 19:06:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 19:06:33', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '39', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569281569913905154', '1', 'tofly-flow', 'll', TO_DATE('2022-09-12 19:07:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 19:07:36', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl', 'POST', '{}', '240', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569281588318511105', '1', 'tofly-flow', 'll', TO_DATE('2022-09-12 19:07:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 19:07:41', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"content":[""]}', '18', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569281602134548481', '1', 'tofly-flow', 'll', TO_DATE('2022-09-12 19:07:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 19:07:44', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/1569281569511186434', 'DELETE', '{"id":["1569281569511186434"]}', '8', NULL, NULL, 'content:通过id删除审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569281602440732674', '1', 'tofly-flow', 'll', TO_DATE('2022-09-12 19:07:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 19:07:44', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"content":[""]}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1559092476353011714', '0', 'tofly-auth', 'admin', TO_DATE('2022-08-15 16:19:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-15 16:19:47', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["670b14728ad9902aecba32e22fa4f6bd"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '697', NULL, '密码错误。当前密码错误次数是：1,密码错误5次账户将会被锁定', 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1559092835599343618', '0', 'tofly-auth', 'admin', TO_DATE('2022-08-15 16:21:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-15 16:21:13', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["670b14728ad9902aecba32e22fa4f6bd"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '186', NULL, '密码错误。当前密码错误次数是：2,密码错误5次账户将会被锁定', 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1559092892755124226', '0', 'tofly-auth', 'admin', TO_DATE('2022-08-15 16:21:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-15 16:21:26', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["670b14728ad9902aecba32e22fa4f6bd"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '166', NULL, '密码错误。当前密码错误次数是：3,密码错误5次账户将会被锁定', 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1559093344930455554', '0', 'tofly-auth', 'admin', TO_DATE('2022-08-15 16:23:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-15 16:23:14', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '174', NULL, '密码错误。当前密码错误次数是：4,密码错误5次账户将会被锁定', 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1559093368934457346', '0', 'tofly-auth', 'admin', TO_DATE('2022-08-15 16:23:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-15 16:23:20', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '171', NULL, '账户已经被锁定，请联系管理人员', 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1559093526866780161', '0', 'tofly-auth', 'admin', TO_DATE('2022-08-15 16:23:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-15 16:23:58', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '169', NULL, '账户已经被锁定，请联系管理人员', 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1559093532784943106', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-15 16:23:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-15 16:23:59', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '334', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1565613788791762945', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-02 16:13:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-02 16:13:09', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessnodel', 'POST', '{}', '19321', NULL, NULL, 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1565614023697952769', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-02 16:14:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-02 16:14:05', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessnodel', 'POST', '{}', '56', NULL, NULL, 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1565614113632219138', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-02 16:14:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-02 16:14:27', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessnodel', 'POST', '{}', '59', NULL, NULL, 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1565614294553522177', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-02 16:15:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-02 16:15:10', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessnodel', 'POST', '{}', '56', NULL, NULL, 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1566732961255559170', '2', 'tofly-auth', 'hq', TO_DATE('2022-09-05 18:20:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-05 18:20:21', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.31.232', NULL, '/token/5d0be27a-f95a-4867-bcaf-09e8eafc97d6', 'DELETE', '{}', '7', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1567428066502922242', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-07 16:22:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-07 16:22:27', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessl/1565631350208364546', 'GET', '{}', '294', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1567428835058798593', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-07 16:25:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-07 16:25:30', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessconfigl/page', 'GET', '{"hitCount":[""],"optimizeCountSql":[""],"records":[""],"isValid":[""],"searchCount":[""],"content":[""],"current":[""],"total":[""],"size":[""],"orders[0].asc":[""],"tenantId":[""],"orders[0].column":[""],"processType":[""],"businessType":[""],"isDel":[""],"isMould":[""]}', '208', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1567428959151476737', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-07 16:25:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-07 16:25:59', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessl/1565631350208364546', 'GET', '{}', '142', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1567429009667674114', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-07 16:26:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-07 16:26:11', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessconfigl/1559812187957952514', 'GET', '{}', '496', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1567700983827001346', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-08 10:26:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-08 10:26:55', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfprocessconfigl/1559812187957952514', 'GET', '{}', '415', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1567701127473524737', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-08 10:27:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-08 10:27:29', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '348', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1567701144565313538', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-08 10:27:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-08 10:27:34', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfprocessl/1565631350208364546', 'GET', '{}', '21', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1567701144754057218', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-08 10:27:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-08 10:27:34', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfprocessconfigl/1559812187957952514', 'GET', '{}', '68', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1567701268620242946', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-08 10:28:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-08 10:28:03', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '304', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1567701282671161345', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-08 10:28:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-08 10:28:06', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfprocessl/1565631350208364546', 'GET', '{}', '23', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1567701308835229698', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-08 10:28:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-08 10:28:13', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfprocessl/1565631350208364546', 'GET', '{}', '24', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1567701329118883842', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-08 10:28:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-08 10:28:18', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfprocessl/1565631350208364546', 'GET', '{}', '17', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1567701329936773121', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-08 10:28:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-08 10:28:18', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfprocessconfigl/1559812187957952514', 'GET', '{}', '49', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1567701350002323457', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-08 10:28:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-08 10:28:22', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '297', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1567701364221014018', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-08 10:28:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-08 10:28:26', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfprocessl/1565631350208364546', 'GET', '{}', '27', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1567701364426534914', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-08 10:28:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-08 10:28:26', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfprocessconfigl/1559812187957952514', 'GET', '{}', '79', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1567701387931414530', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-08 10:28:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-08 10:28:32', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '299', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1567701399365087234', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-08 10:28:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-08 10:28:34', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfprocessl/1565631350208364546', 'GET', '{}', '23', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1567701399390253057', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-08 10:28:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-08 10:28:34', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfprocessconfigl/1559812187957952514', 'GET', '{}', '51', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1567701445556957185', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-08 10:28:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-08 10:28:45', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '293', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1567702443700645889', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-08 10:32:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-08 10:32:43', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '295', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1567702459668361218', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-08 10:32:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-08 10:32:47', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfprocessl/1565631350208364546', 'GET', '{}', '23', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1567702459769024514', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-08 10:32:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-08 10:32:47', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfprocessconfigl/1559812187957952514', 'GET', '{}', '38', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1565603620511215617', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-02 15:32:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-02 15:32:45', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessl/1565215112469393410', 'GET', '{}', '19269', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1565604457471995906', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-02 15:36:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-02 15:36:04', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessl/1565215112469393410', 'GET', '{}', '16782', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1565607211619774465', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-02 15:47:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-02 15:47:01', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessl/1565215112469393410', 'GET', '{}', '595149', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568888273513222146', '1', 'tofly-flow', 'll', TO_DATE('2022-09-11 17:04:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-11 17:04:47', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568888630465269761', '1', 'tofly-flow', 'll', TO_DATE('2022-09-11 17:06:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-11 17:06:12', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568888631815835650', '1', 'tofly-flow', 'll', TO_DATE('2022-09-11 17:06:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-11 17:06:13', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568889205789560833', '1', 'tofly-flow', 'll', TO_DATE('2022-09-11 17:08:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-11 17:08:29', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568889207001714690', '1', 'tofly-flow', 'll', TO_DATE('2022-09-11 17:08:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-11 17:08:30', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568891275468869634', '1', 'tofly-flow', 'll', TO_DATE('2022-09-11 17:16:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-11 17:16:43', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568891275695362050', '1', 'tofly-flow', 'll', TO_DATE('2022-09-11 17:16:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-11 17:16:43', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568891284616646658', '1', 'tofly-flow', 'll', TO_DATE('2022-09-11 17:16:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-11 17:16:45', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568891285921075201', '1', 'tofly-flow', 'll', TO_DATE('2022-09-11 17:16:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-11 17:16:45', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568891427520778242', '1', 'tofly-flow', 'll', TO_DATE('2022-09-11 17:17:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-11 17:17:19', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568891427529166850', '1', 'tofly-flow', 'll', TO_DATE('2022-09-11 17:17:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-11 17:17:19', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '8', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568898909429305345', '1', 'tofly-flow', 'll', TO_DATE('2022-09-11 17:47:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-11 17:47:03', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568898910779871234', '1', 'tofly-flow', 'll', TO_DATE('2022-09-11 17:47:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-11 17:47:03', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568899065184784386', '1', 'tofly-flow', 'll', TO_DATE('2022-09-11 17:47:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-11 17:47:40', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568899066480824322', '1', 'tofly-flow', 'll', TO_DATE('2022-09-11 17:47:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-11 17:47:40', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568899691201433602', '1', 'tofly-flow', 'll', TO_DATE('2022-09-11 17:50:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-11 17:50:09', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568899692564582401', '1', 'tofly-flow', 'll', TO_DATE('2022-09-11 17:50:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-11 17:50:10', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568900551872614402', '1', 'tofly-flow', 'll', TO_DATE('2022-09-11 17:53:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-11 17:53:34', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568900553109934081', '1', 'tofly-flow', 'll', TO_DATE('2022-09-11 17:53:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-11 17:53:35', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568900797604302849', '1', 'tofly-flow', 'll', TO_DATE('2022-09-11 17:54:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-11 17:54:33', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568900798820651010', '1', 'tofly-flow', 'll', TO_DATE('2022-09-11 17:54:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-11 17:54:33', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568901994025324545', '1', 'tofly-flow', 'll', TO_DATE('2022-09-11 17:59:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-11 17:59:18', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568901995254255618', '1', 'tofly-flow', 'll', TO_DATE('2022-09-11 17:59:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-11 17:59:19', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568902555051233282', '1', 'tofly-flow', 'll', TO_DATE('2022-09-11 18:01:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-11 18:01:32', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568902556326301698', '1', 'tofly-flow', 'll', TO_DATE('2022-09-11 18:01:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-11 18:01:32', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568927502255525890', '1', 'tofly-flow', 'll', TO_DATE('2022-09-11 19:40:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-11 19:40:40', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568927503316684802', '1', 'tofly-flow', 'll', TO_DATE('2022-09-11 19:40:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-11 19:40:40', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568928800774295553', '1', 'tofly-flow', 'll', TO_DATE('2022-09-11 19:45:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-11 19:45:50', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568928802061946882', '1', 'tofly-flow', 'll', TO_DATE('2022-09-11 19:45:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-11 19:45:50', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568929510186291202', '1', 'tofly-flow', 'll', TO_DATE('2022-09-11 19:48:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-11 19:48:39', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568929511528468482', '1', 'tofly-flow', 'll', TO_DATE('2022-09-11 19:48:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-11 19:48:39', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568929710464307202', '1', 'tofly-flow', 'll', TO_DATE('2022-09-11 19:49:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-11 19:49:26', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568929711496105985', '1', 'tofly-flow', 'll', TO_DATE('2022-09-11 19:49:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-11 19:49:27', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568929917117665282', '1', 'tofly-flow', 'll', TO_DATE('2022-09-11 19:50:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-11 19:50:16', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568929918430482434', '1', 'tofly-flow', 'll', TO_DATE('2022-09-11 19:50:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-11 19:50:16', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568930570657337346', '1', 'tofly-flow', 'll', TO_DATE('2022-09-11 19:52:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-11 19:52:52', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568931099131252738', '1', 'tofly-flow', 'll', TO_DATE('2022-09-11 19:54:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-11 19:54:58', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568932108977049601', '1', 'tofly-flow', 'll', TO_DATE('2022-09-11 19:58:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-11 19:58:58', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568932370009559041', '1', 'tofly-flow', 'll', TO_DATE('2022-09-11 20:00:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-11 20:00:01', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1565615389757599745', '0', 'tofly-flow', 'admin', TO_DATE('2022-09-02 16:19:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-02 16:19:31', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessnodel', 'POST', '{}', '68921', NULL, 'Could not get a ftpClient from the pool', 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1565616681557094401', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-02 16:24:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-02 16:24:39', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessnodel', 'POST', '{}', '2137', NULL, NULL, 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568062931294863361', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-09 10:25:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-09 10:25:10', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfprocessl/1565631350208364546', 'GET', '{}', '12', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568062931361972225', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-09 10:25:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-09 10:25:10', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfprocessconfigl/1559812187957952514', 'GET', '{}', '32', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569281815725285378', '1', 'tofly-flow', 'll', TO_DATE('2022-09-12 19:08:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 19:08:35', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"content":[""]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569281816081801218', '1', 'tofly-flow', 'll', TO_DATE('2022-09-12 19:08:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 19:08:35', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"content":[""]}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569281826177490945', '1', 'tofly-flow', 'll', TO_DATE('2022-09-12 19:08:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 19:08:37', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"content":[""]}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569281828429832194', '1', 'tofly-flow', 'll', TO_DATE('2022-09-12 19:08:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 19:08:38', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"content":[""]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569281835459485697', '1', 'tofly-flow', 'll', TO_DATE('2022-09-12 19:08:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 19:08:40', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569281836709388290', '1', 'tofly-flow', 'll', TO_DATE('2022-09-12 19:08:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 19:08:40', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '7', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569282006612254721', '0', 'tofly-flow', 'll', TO_DATE('2022-09-12 19:09:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 19:09:20', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl', 'POST', '{}', '95', NULL, '失败', 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569282051411615745', '1', 'tofly-flow', 'll', TO_DATE('2022-09-12 19:09:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 19:09:31', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl', 'POST', '{}', '31', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569282065814855682', '1', 'tofly-flow', 'll', TO_DATE('2022-09-12 19:09:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 19:09:34', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"content":[""]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569282093325295617', '1', 'tofly-flow', 'll', TO_DATE('2022-09-12 19:09:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 19:09:41', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/1569282051277332481', 'DELETE', '{"id":["1569282051277332481"]}', '3', NULL, NULL, 'content:通过id删除审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569282094097047553', '1', 'tofly-flow', 'll', TO_DATE('2022-09-12 19:09:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 19:09:41', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"content":[""]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569294467939770369', '1', 'tofly-flow', 'll', TO_DATE('2022-09-12 19:58:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 19:58:51', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"content":[""]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569294468342423553', '1', 'tofly-flow', 'll', TO_DATE('2022-09-12 19:58:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 19:58:51', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"content":[""]}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569294478501027842', '1', 'tofly-flow', 'll', TO_DATE('2022-09-12 19:58:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 19:58:54', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"content":[""]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569294480526876673', '1', 'tofly-flow', 'll', TO_DATE('2022-09-12 19:58:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 19:58:54', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"content":[""]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569294481512538114', '1', 'tofly-flow', 'll', TO_DATE('2022-09-12 19:58:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 19:58:55', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"content":[""]}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569294512789463041', '1', 'tofly-flow', 'll', TO_DATE('2022-09-12 19:59:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 19:59:02', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569294514232303617', '1', 'tofly-flow', 'll', TO_DATE('2022-09-12 19:59:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 19:59:02', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569295094463930370', '1', 'tofly-flow', 'll', TO_DATE('2022-09-12 20:01:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 20:01:21', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569295095629946882', '1', 'tofly-flow', 'll', TO_DATE('2022-09-12 20:01:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 20:01:21', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '9', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569295460488257537', '1', 'tofly-flow', 'll', TO_DATE('2022-09-12 20:02:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 20:02:48', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"content":[""]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569295460853161986', '1', 'tofly-flow', 'll', TO_DATE('2022-09-12 20:02:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 20:02:48', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"content":[""]}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569295567166185474', '1', 'tofly-flow', 'll', TO_DATE('2022-09-12 20:03:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 20:03:13', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569295568416088066', '1', 'tofly-flow', 'll', TO_DATE('2022-09-12 20:03:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 20:03:14', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569296548981448706', '1', 'tofly-flow', 'll', TO_DATE('2022-09-12 20:07:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 20:07:08', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"content":[""]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569296549329575938', '1', 'tofly-flow', 'll', TO_DATE('2022-09-12 20:07:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 20:07:08', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"content":[""]}', '2', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569296557235838977', '1', 'tofly-flow', 'll', TO_DATE('2022-09-12 20:07:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 20:07:10', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569296558603182082', '1', 'tofly-flow', 'll', TO_DATE('2022-09-12 20:07:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 20:07:10', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569298190292295682', '1', 'tofly-flow', 'll', TO_DATE('2022-09-12 20:13:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 20:13:39', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569298191571558401', '1', 'tofly-flow', 'll', TO_DATE('2022-09-12 20:13:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 20:13:39', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '8', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569298225092435970', '1', 'tofly-flow', 'll', TO_DATE('2022-09-12 20:13:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 20:13:47', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"content":[""]}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569298225893548034', '1', 'tofly-flow', 'll', TO_DATE('2022-09-12 20:13:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 20:13:47', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"content":[""]}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569298233766256641', '1', 'tofly-flow', 'll', TO_DATE('2022-09-12 20:13:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 20:13:49', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569298235154571265', '1', 'tofly-flow', 'll', TO_DATE('2022-09-12 20:13:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 20:13:50', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569298711501676545', '1', 'tofly-flow', 'll', TO_DATE('2022-09-12 20:15:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 20:15:43', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569298713007431681', '1', 'tofly-flow', 'll', TO_DATE('2022-09-12 20:15:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 20:15:43', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569298728383750146', '1', 'tofly-flow', 'll', TO_DATE('2022-09-12 20:15:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 20:15:47', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"content":[""]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569298728727683074', '1', 'tofly-flow', 'll', TO_DATE('2022-09-12 20:15:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 20:15:47', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"content":[""]}', '2', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569298737044987905', '1', 'tofly-flow', 'll', TO_DATE('2022-09-12 20:15:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 20:15:49', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1567700983827001345', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-08 10:26:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-08 10:26:55', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfprocessl/1565631350208364546', 'GET', '{}', '469', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1567702563854872577', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-08 10:33:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-08 10:33:12', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfprocessl/1565631350208364546', 'GET', '{}', '17', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1567702582972510209', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-08 10:33:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-08 10:33:16', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfprocessconfigl/1559812187957952514', 'GET', '{}', '40', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1567702612659793921', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-08 10:33:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-08 10:33:24', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '429', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1567702627927060481', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-08 10:33:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-08 10:33:27', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfprocessl/1565631350208364546', 'GET', '{}', '15', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1567702628023529473', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-08 10:33:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-08 10:33:27', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfprocessconfigl/1559812187957952514', 'GET', '{}', '48', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1567705908573237250', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-08 10:46:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-08 10:46:29', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '278', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1567705926256422913', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-08 10:46:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-08 10:46:34', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfprocessl/1565631350208364546', 'GET', '{}', '23', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1567705926390640641', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-08 10:46:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-08 10:46:34', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfprocessconfigl/1559812187957952514', 'GET', '{}', '55', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1567707288646053889', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-08 10:51:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-08 10:51:58', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '521', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1567707301308657666', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-08 10:52:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-08 10:52:01', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfprocessl/1565631350208364546', 'GET', '{}', '20', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1567707301317046274', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-08 10:52:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-08 10:52:01', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfprocessconfigl/1559812187957952514', 'GET', '{}', '35', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568057319555186690', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-09 10:02:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-09 10:02:52', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfprocessconfigl/1559812187957952514', 'GET', '{}', '31', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568059087324299265', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-09 10:09:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-09 10:09:54', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfprocessl/1565631350208364546', 'GET', '{}', '25', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568059087391408130', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-09 10:09:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-09 10:09:54', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfprocessconfigl/1559812187957952514', 'GET', '{}', '37', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568059149244809217', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-09 10:10:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-09 10:10:08', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfprocessl/1565631350208364546', 'GET', '{}', '14', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568059149345472513', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-09 10:10:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-09 10:10:08', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfprocessconfigl/1559812187957952514', 'GET', '{}', '29', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568059629912047618', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-09 10:12:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-09 10:12:03', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfprocessnodel/1565634828783747074', 'GET', '{}', '7', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568059718315393026', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-09 10:12:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-09 10:12:24', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfprocessconfigl/1559812187957952514', 'GET', '{}', '30', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568059797260582913', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-09 10:12:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-09 10:12:43', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfprocessl/1565631350208364546', 'GET', '{}', '11', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568059797327691778', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-09 10:12:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-09 10:12:43', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfprocessconfigl/1559812187957952514', 'GET', '{}', '28', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568060095383322626', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-09 10:13:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-09 10:13:54', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfprocessl/1565215112469393410', 'GET', '{}', '17', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568060269312720898', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-09 10:14:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-09 10:14:36', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfprocessconfigl/1559812187957952514', 'GET', '{}', '27', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568060519452622849', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-09 10:15:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-09 10:15:35', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfprocessl/1565631350208364546', 'GET', '{}', '14', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568060535315480577', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-09 10:15:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-09 10:15:39', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfprocessl/1565631350208364546', 'GET', '{}', '13', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568060535382589442', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-09 10:15:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-09 10:15:39', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfprocessconfigl/1559812187957952514', 'GET', '{}', '33', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568061120311836674', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-09 10:17:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-09 10:17:58', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfprocessl/1565631350208364546', 'GET', '{}', '12', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568061120378945537', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-09 10:17:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-09 10:17:58', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfprocessconfigl/1559812187957952514', 'GET', '{}', '32', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568061887210962946', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-09 10:21:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-09 10:21:01', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfprocessl/1565215112469393410', 'GET', '{}', '15', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568062406386106369', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-09 10:23:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-09 10:23:05', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfprocessl/1565631350208364546', 'GET', '{}', '12', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568062406453215233', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-09 10:23:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-09 10:23:05', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfprocessconfigl/1559812187957952514', 'GET', '{}', '29', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568174832118562817', '0', 'tofly-flow', 'admin', TO_DATE('2022-09-09 17:49:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-09 17:49:49', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '24', NULL, 'Could not find result map ''com.tofly.workflow.processconfig.mapper.TfProcessConfigStepLMapper.'' referenced from ''com.tofly.workflow.processconfig.mapper.TfProcessConfigStepLMapper.getPCStepAndUser''', 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568175660984336386', '0', 'tofly-flow', 'admin', TO_DATE('2022-09-09 17:53:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-09 17:53:07', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '17226', NULL, 'Could not find result map ''com.tofly.workflow.processconfig.mapper.TfProcessConfigStepLMapper.'' referenced from ''com.tofly.workflow.processconfig.mapper.TfProcessConfigStepLMapper.getPCStepAndUser''', 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568176920106008578', '0', 'tofly-flow', 'admin', TO_DATE('2022-09-09 17:58:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-09 17:58:07', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '21', NULL, 'Invalid bound statement (not found): com.tofly.workflow.processconfig.mapper.TfProcessConfigLMapper.getProcessConfigName', 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568434921906229250', '2', 'tofly-auth', 'll', TO_DATE('2022-09-10 11:03:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-10 11:03:20', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/token/e9f5a409-549c-4f5d-ac49-5d8885fa1766', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568435623785254913', '2', 'tofly-auth', 'll', TO_DATE('2022-09-10 11:06:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-10 11:06:07', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/token/e9f5a409-549c-4f5d-ac49-5d8885fa1766', 'DELETE', '{}', '1', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568441659724255233', '1', 'tofly-flow', 'll', TO_DATE('2022-09-10 11:30:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-10 11:30:06', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568442058250244098', '1', 'tofly-flow', 'll', TO_DATE('2022-09-10 11:31:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-10 11:31:41', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '4', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568442227196809218', '2', 'tofly-auth', 'hq', TO_DATE('2022-09-10 11:32:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-10 11:32:21', 'SYYYY-MM-DD HH24:MI:SS'), '222.209.160.49', NULL, '/token/5d0be27a-f95a-4867-bcaf-09e8eafc97d6', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568792396576604161', '1', 'tofly-flow', 'll', TO_DATE('2022-09-11 10:43:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-11 10:43:48', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568792396610158593', '1', 'tofly-flow', 'll', TO_DATE('2022-09-11 10:43:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-11 10:43:48', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '14', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568792443531837442', '1', 'tofly-flow', 'll', TO_DATE('2022-09-11 10:43:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-11 10:43:59', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/1568591820328890370', 'DELETE', '{}', '15', NULL, NULL, 'content:通过id删除基础类型表,有关联数据验证', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568792444186148865', '1', 'tofly-flow', 'll', TO_DATE('2022-09-11 10:44:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-11 10:44:00', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568932397369004034', '1', 'tofly-flow', 'll', TO_DATE('2022-09-11 20:00:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-11 20:00:07', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568932815503364098', '1', 'tofly-flow', 'll', TO_DATE('2022-09-11 20:01:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-11 20:01:47', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568932919266250753', '1', 'tofly-flow', 'll', TO_DATE('2022-09-11 20:02:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-11 20:02:11', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568933393352626178', '1', 'tofly-flow', 'll', TO_DATE('2022-09-11 20:04:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-11 20:04:05', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568933402890473474', '1', 'tofly-flow', 'll', TO_DATE('2022-09-11 20:04:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-11 20:04:07', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568933875542396929', '1', 'tofly-flow', 'll', TO_DATE('2022-09-11 20:05:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-11 20:05:59', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568933877123649537', '1', 'tofly-flow', 'll', TO_DATE('2022-09-11 20:06:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-11 20:06:00', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568944403329323010', '1', 'tofly-flow', 'll', TO_DATE('2022-09-11 20:47:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-11 20:47:49', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"content":["{}"]}', '29', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568944514809729026', '1', 'tofly-flow', 'll', TO_DATE('2022-09-11 20:48:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-11 20:48:16', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"content":["{}"]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568951468470833154', '1', 'tofly-flow', 'll', TO_DATE('2022-09-11 21:15:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-11 21:15:54', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"content":["{}"]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568951641955635202', '1', 'tofly-flow', 'll', TO_DATE('2022-09-11 21:16:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-11 21:16:35', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"content":["{}"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568952098589511682', '1', 'tofly-flow', 'll', TO_DATE('2022-09-11 21:18:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-11 21:18:24', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"content":["{}"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568952456195870722', '1', 'tofly-flow', 'll', TO_DATE('2022-09-11 21:19:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-11 21:19:49', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"content":["{}"]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568952573195980802', '1', 'tofly-flow', 'll', TO_DATE('2022-09-11 21:20:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-11 21:20:17', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"content":["{}"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568952735448436738', '1', 'tofly-flow', 'll', TO_DATE('2022-09-11 21:20:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-11 21:20:56', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"content":["{}"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568952741978968066', '1', 'tofly-flow', 'll', TO_DATE('2022-09-11 21:20:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-11 21:20:58', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568952743342116866', '1', 'tofly-flow', 'll', TO_DATE('2022-09-11 21:20:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-11 21:20:58', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568952932144517122', '1', 'tofly-flow', 'll', TO_DATE('2022-09-11 21:21:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-11 21:21:43', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568952933465722882', '1', 'tofly-flow', 'll', TO_DATE('2022-09-11 21:21:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-11 21:21:43', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568953121102106625', '1', 'tofly-flow', 'll', TO_DATE('2022-09-11 21:22:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-11 21:22:28', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568953122477838338', '1', 'tofly-flow', 'll', TO_DATE('2022-09-11 21:22:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-11 21:22:28', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568954718808969218', '1', 'tofly-flow', 'll', TO_DATE('2022-09-11 21:28:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-11 21:28:49', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568954720230838274', '1', 'tofly-flow', 'll', TO_DATE('2022-09-11 21:28:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-11 21:28:49', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568955400333037569', '1', 'tofly-flow', 'll', TO_DATE('2022-09-11 21:31:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-11 21:31:31', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568955401637466113', '1', 'tofly-flow', 'll', TO_DATE('2022-09-11 21:31:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-11 21:31:32', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568955649214648321', '1', 'tofly-flow', 'll', TO_DATE('2022-09-11 21:32:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-11 21:32:31', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568955650561019905', '1', 'tofly-flow', 'll', TO_DATE('2022-09-11 21:32:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-11 21:32:31', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568958837602914306', '1', 'tofly-flow', 'll', TO_DATE('2022-09-11 21:45:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-11 21:45:11', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"content":["{}"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568958843852427266', '1', 'tofly-flow', 'll', TO_DATE('2022-09-11 21:45:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-11 21:45:12', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568958845186215938', '1', 'tofly-flow', 'll', TO_DATE('2022-09-11 21:45:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-11 21:45:13', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568968419461042177', '1', 'tofly-flow', 'll', TO_DATE('2022-09-11 22:23:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-11 22:23:15', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"content":["{}"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568968428814340098', '1', 'tofly-flow', 'll', TO_DATE('2022-09-11 22:23:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-11 22:23:18', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568968430064242689', '1', 'tofly-flow', 'll', TO_DATE('2022-09-11 22:23:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-11 22:23:18', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568970686457188354', '1', 'tofly-flow', 'll', TO_DATE('2022-09-11 22:32:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-11 22:32:16', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"content":["{}"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568970694417977345', '1', 'tofly-flow', 'll', TO_DATE('2022-09-11 22:32:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-11 22:32:18', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568970695693045762', '1', 'tofly-flow', 'll', TO_DATE('2022-09-11 22:32:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-11 22:32:18', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568971023276576769', '1', 'tofly-flow', 'll', TO_DATE('2022-09-11 22:33:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-11 22:33:36', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"content":["{}"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568971033565204482', '1', 'tofly-flow', 'll', TO_DATE('2022-09-11 22:33:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-11 22:33:39', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568971034995462145', '1', 'tofly-flow', 'll', TO_DATE('2022-09-11 22:33:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-11 22:33:39', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568972164974514177', '1', 'tofly-flow', 'll', TO_DATE('2022-09-11 22:38:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-11 22:38:08', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568972166228611074', '1', 'tofly-flow', 'll', TO_DATE('2022-09-11 22:38:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-11 22:38:09', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568972577689833474', '1', 'tofly-flow', 'll', TO_DATE('2022-09-11 22:39:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-11 22:39:47', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1559106622859554817', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-15 17:16:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-15 17:16:00', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"name":[""],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '340', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1559106640903450626', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-15 17:16:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-15 17:16:04', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"grant_type":["password"],"name":[""],"client_secret":["tofly"],"client_id":["tofly"],"username":["admin"]}', '193', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1565609302283186178', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-02 15:55:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-02 15:55:19', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessl/1565215112469393410', 'GET', '{}', '27660', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569298738353610754', '1', 'tofly-flow', 'll', TO_DATE('2022-09-12 20:15:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 20:15:50', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569298945229266946', '1', 'tofly-flow', 'll', TO_DATE('2022-09-12 20:16:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 20:16:39', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569298946810519554', '1', 'tofly-flow', 'll', TO_DATE('2022-09-12 20:16:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 20:16:39', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569300115331031041', '1', 'tofly-flow', 'll', TO_DATE('2022-09-12 20:21:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 20:21:18', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569300116614488065', '1', 'tofly-flow', 'll', TO_DATE('2022-09-12 20:21:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 20:21:18', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '8', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569300158997929986', '1', 'tofly-flow', 'll', TO_DATE('2022-09-12 20:21:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 20:21:28', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"content":[""]}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569300159341862914', '1', 'tofly-flow', 'll', TO_DATE('2022-09-12 20:21:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 20:21:28', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"content":[""]}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569300167998906369', '1', 'tofly-flow', 'll', TO_DATE('2022-09-12 20:21:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 20:21:30', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569300169290752001', '1', 'tofly-flow', 'll', TO_DATE('2022-09-12 20:21:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 20:21:31', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569300438548291585', '1', 'tofly-flow', 'll', TO_DATE('2022-09-12 20:22:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 20:22:35', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569300439991132162', '1', 'tofly-flow', 'll', TO_DATE('2022-09-12 20:22:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 20:22:35', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '7', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569300982734069762', '1', 'tofly-flow', 'll', TO_DATE('2022-09-12 20:24:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 20:24:45', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"content":[""]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569300982994116610', '1', 'tofly-flow', 'll', TO_DATE('2022-09-12 20:24:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 20:24:45', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"content":[""]}', '2', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569300991428861953', '1', 'tofly-flow', 'll', TO_DATE('2022-09-12 20:24:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 20:24:47', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569300992812982274', '1', 'tofly-flow', 'll', TO_DATE('2022-09-12 20:24:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 20:24:47', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569301081820307458', '1', 'tofly-flow', 'll', TO_DATE('2022-09-12 20:25:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 20:25:08', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569301083594498049', '1', 'tofly-flow', 'll', TO_DATE('2022-09-12 20:25:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 20:25:09', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569301343792340993', '1', 'tofly-flow', 'll', TO_DATE('2022-09-12 20:26:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 20:26:11', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl', 'POST', '{}', '29', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569301344656367617', '1', 'tofly-flow', 'll', TO_DATE('2022-09-12 20:26:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 20:26:11', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569482514815852545', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-13 08:26:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 08:26:05', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '319', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569482523099602946', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-13 08:26:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 08:26:07', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprocessl/page', 'GET', '{"tenantId":[""],"current":["1"],"size":["1000"]}', '50', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569483601874591746', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-13 08:30:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 08:30:24', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprocessl/1565215112469393410', 'GET', '{}', '23', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569483776311500802', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-13 08:31:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 08:31:06', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '282', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569489125651324929', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 08:52:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 08:52:21', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569489125684879362', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 08:52:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 08:52:21', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '10', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569489132324462594', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 08:52:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 08:52:23', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"content":[""]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569489132651618305', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 08:52:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 08:52:23', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"content":[""]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569489421081321474', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 08:53:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 08:53:32', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569490074637770754', '2', 'tofly-auth', 'll', TO_DATE('2022-09-13 08:56:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 08:56:08', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/token/e9f5a409-549c-4f5d-ac49-5d8885fa1766', 'DELETE', '{}', '7', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569490453370839042', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-13 08:57:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 08:57:38', 'SYYYY-MM-DD HH24:MI:SS'), '61.157.29.47', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569514403123503105', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-13 10:32:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 10:32:48', 'SYYYY-MM-DD HH24:MI:SS'), '61.157.29.47', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"content":[""]}', '416', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569514404276936705', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-13 10:32:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 10:32:48', 'SYYYY-MM-DD HH24:MI:SS'), '61.157.29.47', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"content":[""]}', '32', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569514404528594945', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-13 10:32:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 10:32:48', 'SYYYY-MM-DD HH24:MI:SS'), '61.157.29.47', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"content":[""]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569514415098241025', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-13 10:32:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 10:32:51', 'SYYYY-MM-DD HH24:MI:SS'), '61.157.29.47', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '37', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569520685096181761', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-13 10:57:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 10:57:46', 'SYYYY-MM-DD HH24:MI:SS'), '61.157.29.47', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"content":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569520685331062786', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-13 10:57:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 10:57:46', 'SYYYY-MM-DD HH24:MI:SS'), '61.157.29.47', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"content":[""]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569520692960501762', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-13 10:57:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 10:57:48', 'SYYYY-MM-DD HH24:MI:SS'), '61.157.29.47', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '9', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569520692977278978', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-13 10:57:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 10:57:48', 'SYYYY-MM-DD HH24:MI:SS'), '61.157.29.47', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '14', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1564090915814404097', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-29 11:21:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-29 11:21:48', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '446', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1564090987427950593', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-29 11:22:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-29 11:22:05', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '312', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1564091464832020482', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-29 11:23:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-29 11:23:59', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '320', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1564092302501638146', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-29 11:27:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-29 11:27:19', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '303', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1564092315025829890', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-29 11:27:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-29 11:27:21', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '311', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1564097097245421569', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-29 11:46:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-29 11:46:22', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '316', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1564097144813023233', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-29 11:46:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-29 11:46:33', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '318', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1564097727976468482', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-29 11:48:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-29 11:48:52', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '361', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1564098567453831170', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-29 11:52:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-29 11:52:12', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '315', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1564098611435302914', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-29 11:52:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-29 11:52:23', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '305', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1564099341885927426', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-29 11:55:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-29 11:55:17', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '287', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1564099382537121793', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-29 11:55:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-29 11:55:27', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '310', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1564123484127784962', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-29 13:31:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-29 13:31:13', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '304', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1564124930470604802', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-29 13:36:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-29 13:36:58', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '318', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1564125503584497666', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-29 13:39:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-29 13:39:14', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '305', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1564126080393572354', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-29 13:41:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-29 13:41:32', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '310', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1564127859365670913', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-29 13:48:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-29 13:48:36', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '342', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1564128424451665922', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-29 13:50:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-29 13:50:51', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '292', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1564129071376920578', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-29 13:53:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-29 13:53:25', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '311', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1564131131577102337', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-29 14:01:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-29 14:01:36', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '295', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1564131744905981954', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-29 14:04:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-29 14:04:02', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '317', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1564132160272101378', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-29 14:05:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-29 14:05:41', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '296', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1564132735206322178', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-29 14:07:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-29 14:07:58', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '309', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1564132918820368385', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-29 14:08:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-29 14:08:42', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '280', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1564133061498007554', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-29 14:09:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-29 14:09:16', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '306', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1564133514549948418', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-29 14:11:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-29 14:11:04', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '314', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1564133588218703873', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-29 14:11:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-29 14:11:22', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '296', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1567065427104935938', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-06 16:21:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-06 16:21:27', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessconfigl/page', 'GET', '{"hitCount":[""],"optimizeCountSql":[""],"records":[""],"isValid":[""],"searchCount":[""],"content":[""],"current":[""],"total":[""],"size":[""],"orders[0].asc":[""],"tenantId":[""],"orders[0].column":[""],"processType":[""],"businessType":[""],"isDel":[""],"isMould":[""]}', '632', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1567066020313739266', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-06 16:23:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-06 16:23:48', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessconfigl/1559812187957952514', 'GET', '{}', '531', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568792444186148866', '1', 'tofly-flow', 'll', TO_DATE('2022-09-11 10:44:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-11 10:44:00', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568792852707164162', '1', 'tofly-flow', 'll', TO_DATE('2022-09-11 10:45:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-11 10:45:37', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568972579032010753', '1', 'tofly-flow', 'll', TO_DATE('2022-09-11 22:39:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-11 22:39:47', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568972644807086082', '1', 'tofly-flow', 'll', TO_DATE('2022-09-11 22:40:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-11 22:40:03', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"content":["{}"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568972654995050498', '1', 'tofly-flow', 'll', TO_DATE('2022-09-11 22:40:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-11 22:40:05', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568972656358199297', '1', 'tofly-flow', 'll', TO_DATE('2022-09-11 22:40:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-11 22:40:06', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568972854631337985', '1', 'tofly-flow', 'll', TO_DATE('2022-09-11 22:40:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-11 22:40:53', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568972855931572226', '1', 'tofly-flow', 'll', TO_DATE('2022-09-11 22:40:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-11 22:40:53', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568972933303898113', '1', 'tofly-flow', 'll', TO_DATE('2022-09-11 22:41:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-11 22:41:12', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"content":["{}"]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568972956989132801', '1', 'tofly-flow', 'll', TO_DATE('2022-09-11 22:41:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-11 22:41:17', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568972958415196162', '1', 'tofly-flow', 'll', TO_DATE('2022-09-11 22:41:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-11 22:41:18', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568975464251789314', '1', 'tofly-flow', 'll', TO_DATE('2022-09-11 22:51:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-11 22:51:15', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568975465522663425', '1', 'tofly-flow', 'll', TO_DATE('2022-09-11 22:51:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-11 22:51:15', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568977467489128449', '1', 'tofly-flow', 'll', TO_DATE('2022-09-11 22:59:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-11 22:59:13', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"content":["{}"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568977476242640897', '1', 'tofly-flow', 'll', TO_DATE('2022-09-11 22:59:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-11 22:59:15', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568977477597401090', '1', 'tofly-flow', 'll', TO_DATE('2022-09-11 22:59:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-11 22:59:15', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568977953965477889', '1', 'tofly-flow', 'll', TO_DATE('2022-09-11 23:01:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-11 23:01:09', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568977955295072258', '1', 'tofly-flow', 'll', TO_DATE('2022-09-11 23:01:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-11 23:01:09', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568979806413393922', '1', 'tofly-flow', 'll', TO_DATE('2022-09-11 23:08:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-11 23:08:30', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568979807189340161', '1', 'tofly-flow', 'll', TO_DATE('2022-09-11 23:08:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-11 23:08:30', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568980231149588482', '1', 'tofly-flow', 'll', TO_DATE('2022-09-11 23:10:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-11 23:10:12', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568980232470794242', '1', 'tofly-flow', 'll', TO_DATE('2022-09-11 23:10:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-11 23:10:12', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568980256202166274', '1', 'tofly-flow', 'll', TO_DATE('2022-09-11 23:10:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-11 23:10:17', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"content":["{}"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568980264825655298', '1', 'tofly-flow', 'll', TO_DATE('2022-09-11 23:10:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-11 23:10:20', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568980266281078786', '1', 'tofly-flow', 'll', TO_DATE('2022-09-11 23:10:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-11 23:10:20', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568980543151280129', '1', 'tofly-flow', 'll', TO_DATE('2022-09-11 23:11:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-11 23:11:26', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568980544430542849', '1', 'tofly-flow', 'll', TO_DATE('2022-09-11 23:11:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-11 23:11:26', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568980815743291394', '1', 'tofly-flow', 'll', TO_DATE('2022-09-11 23:12:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-11 23:12:31', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568980817123217409', '1', 'tofly-flow', 'll', TO_DATE('2022-09-11 23:12:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-11 23:12:31', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568981133164023810', '1', 'tofly-flow', 'll', TO_DATE('2022-09-11 23:13:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-11 23:13:47', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568981134514589698', '1', 'tofly-flow', 'll', TO_DATE('2022-09-11 23:13:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-11 23:13:47', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568982265760321538', '1', 'tofly-flow', 'll', TO_DATE('2022-09-11 23:18:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-11 23:18:17', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568982266972475394', '1', 'tofly-flow', 'll', TO_DATE('2022-09-11 23:18:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-11 23:18:17', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568983020235919362', '1', 'tofly-flow', 'll', TO_DATE('2022-09-11 23:21:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-11 23:21:16', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"content":["{}"]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568983026577707009', '1', 'tofly-flow', 'll', TO_DATE('2022-09-11 23:21:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-11 23:21:18', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568983028007964674', '1', 'tofly-flow', 'll', TO_DATE('2022-09-11 23:21:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-11 23:21:18', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569141990707695617', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-12 09:52:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 09:52:58', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprocessl/1565215112469393410', 'GET', '{}', '64', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569142612962054145', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-12 09:55:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 09:55:26', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprocessl/1565215112469393410', 'GET', '{}', '24', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569238958557700097', '1', 'tofly-flow', 'll', TO_DATE('2022-09-12 16:18:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 16:18:17', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1567806257212538881', '2', 'tofly-auth', 'lz', TO_DATE('2022-09-08 17:25:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-08 17:25:14', 'SYYYY-MM-DD HH24:MI:SS'), '171.92.77.176', NULL, '/token/6a053e41-bbff-4059-bdab-491ba979a16c', 'DELETE', '{}', '7', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1567806703054471169', '2', 'tofly-auth', 'hq', TO_DATE('2022-09-08 17:27:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-08 17:27:01', 'SYYYY-MM-DD HH24:MI:SS'), '171.88.1.228', NULL, '/token/5d0be27a-f95a-4867-bcaf-09e8eafc97d6', 'DELETE', '{}', '1', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1567806787443867650', '2', 'tofly-auth', 'lz', TO_DATE('2022-09-08 17:27:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-08 17:27:21', 'SYYYY-MM-DD HH24:MI:SS'), '171.88.1.228', NULL, '/token/6a053e41-bbff-4059-bdab-491ba979a16c', 'DELETE', '{}', '1', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1567813370865369090', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-08 17:53:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-08 17:53:30', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '302', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1567813381216911361', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-08 17:53:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-08 17:53:33', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfprocessl/page', 'GET', '{"tenantId":[""],"current":["1"],"size":["1000"]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1567813908172488705', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-08 17:55:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-08 17:55:38', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfprocessl/page', 'GET', '{"tenantId":[""],"current":["1"],"size":["1000"]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1567813913075630082', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-08 17:55:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-08 17:55:40', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfprocessl/1565631350208364546', 'GET', '{}', '29', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1567813913490866178', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-08 17:55:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-08 17:55:40', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfprocessconfigl/1559812187957952514', 'GET', '{}', '50', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1567814259487391745', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-08 17:57:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-08 17:57:02', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '440', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1567814267515289601', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-08 17:57:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-08 17:57:04', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfprocessl/page', 'GET', '{"tenantId":[""],"current":["1"],"size":["1000"]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1567814272728809474', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-08 17:57:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-08 17:57:05', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfprocessl/1565631350208364546', 'GET', '{}', '13', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1567814272825278465', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-08 17:57:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-08 17:57:05', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfprocessconfigl/1559812187957952514', 'GET', '{}', '34', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1567814419810467842', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-08 17:57:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-08 17:57:40', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfprocessl/page', 'GET', '{"tenantId":[""],"current":["1"],"size":["1000"]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1567814493512777730', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-08 17:57:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-08 17:57:58', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '402', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1567814505080668162', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-08 17:58:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-08 17:58:01', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfprocessl/page', 'GET', '{"tenantId":[""],"current":["1"],"size":["1000"]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1567814510449377282', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-08 17:58:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-08 17:58:02', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfprocessl/1565631350208364546', 'GET', '{}', '31', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1567819814067093506', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-08 18:19:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-08 18:19:07', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfprocessl/1565631350208364546', 'GET', '{}', '48', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569302785206853633', '1', 'tofly-flow', 'll', TO_DATE('2022-09-12 20:31:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 20:31:54', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"content":[""]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569304394825539586', '1', 'tofly-flow', 'll', TO_DATE('2022-09-12 20:38:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 20:38:18', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '6', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569304395962195970', '1', 'tofly-flow', 'll', TO_DATE('2022-09-12 20:38:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 20:38:18', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569304425993412610', '1', 'tofly-flow', 'll', TO_DATE('2022-09-12 20:38:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 20:38:26', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569304434788868098', '1', 'tofly-flow', 'll', TO_DATE('2022-09-12 20:38:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 20:38:28', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"content":["1"]}', '19', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569304437527748610', '1', 'tofly-flow', 'll', TO_DATE('2022-09-12 20:38:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 20:38:28', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"content":["1"]}', '20', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569304442393141249', '1', 'tofly-flow', 'll', TO_DATE('2022-09-12 20:38:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 20:38:29', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"content":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569304443768872961', '1', 'tofly-flow', 'll', TO_DATE('2022-09-12 20:38:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 20:38:30', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"content":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569304446490976258', '1', 'tofly-flow', 'll', TO_DATE('2022-09-12 20:38:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 20:38:30', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569304447355002882', '1', 'tofly-flow', 'll', TO_DATE('2022-09-12 20:38:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 20:38:31', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569304731137417217', '1', 'tofly-flow', 'll', TO_DATE('2022-09-12 20:39:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 20:39:38', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl', 'POST', '{}', '25', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569304731691065345', '1', 'tofly-flow', 'll', TO_DATE('2022-09-12 20:39:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 20:39:38', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569304847223169025', '1', 'tofly-flow', 'll', TO_DATE('2022-09-12 20:40:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 20:40:06', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"content":[""]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569305053759086593', '1', 'tofly-flow', 'll', TO_DATE('2022-09-12 20:40:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 20:40:55', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569305072390184962', '1', 'tofly-flow', 'll', TO_DATE('2022-09-12 20:41:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 20:41:00', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569305072717340673', '1', 'tofly-flow', 'll', TO_DATE('2022-09-12 20:41:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 20:41:00', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569305229395566593', '1', 'tofly-flow', 'll', TO_DATE('2022-09-12 20:41:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 20:41:37', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/1569304731028299778', 'GET', '{"id":["1569304731028299778"]}', '27', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569314159962169346', '1', 'tofly-flow', 'll', TO_DATE('2022-09-12 21:17:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 21:17:06', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569314160444514306', '1', 'tofly-flow', 'll', TO_DATE('2022-09-12 21:17:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 21:17:06', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"content":[""]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569314170162716674', '1', 'tofly-flow', 'll', TO_DATE('2022-09-12 21:17:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 21:17:09', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569314171634917377', '1', 'tofly-flow', 'll', TO_DATE('2022-09-12 21:17:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 21:17:09', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569314580399202306', '1', 'tofly-flow', 'll', TO_DATE('2022-09-12 21:18:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 21:18:47', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"content":[""]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569314588297076737', '1', 'tofly-flow', 'll', TO_DATE('2022-09-12 21:18:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 21:18:48', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/1569301343662252034', 'GET', '{"id":["1569301343662252034"]}', '26', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569315576630288386', '1', 'tofly-flow', 'll', TO_DATE('2022-09-12 21:22:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 21:22:44', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569315578060546049', '1', 'tofly-flow', 'll', TO_DATE('2022-09-12 21:22:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 21:22:44', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569319392742285313', '1', 'tofly-flow', 'll', TO_DATE('2022-09-12 21:37:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 21:37:54', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1564134033892864002', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-29 14:13:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-29 14:13:08', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '299', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1564134175400292353', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-29 14:13:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-29 14:13:42', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '309', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1564134222359719937', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-29 14:13:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-29 14:13:53', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '316', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1564134371374952450', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-29 14:14:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-29 14:14:29', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '286', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1564134570319179778', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-29 14:15:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-29 14:15:16', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '318', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1564134738133282817', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-29 14:15:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-29 14:15:56', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '314', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1564135139737890817', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-29 14:17:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-29 14:17:32', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '280', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1564136873604444161', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-29 14:24:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-29 14:24:25', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '287', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1564141985567633409', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-29 14:44:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-29 14:44:44', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.24', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '352', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1564145418936807425', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-29 14:58:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-29 14:58:22', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '296', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1564145459206320129', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-29 14:58:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-29 14:58:32', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '305', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1564145580560117761', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-29 14:59:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-29 14:59:01', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '301', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1564146050825482241', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-29 15:00:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-29 15:00:53', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '323', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1564158924092370946', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-29 15:52:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-29 15:52:02', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.24', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '287', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1564174052745572354', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-29 16:52:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-29 16:52:09', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '293', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1564175018437931009', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-29 16:56:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-29 16:56:00', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.24', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '297', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1564184716964818945', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-29 17:34:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-29 17:34:32', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '314', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1565600841549934593', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-02 15:21:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-02 15:21:42', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessconfigl/1559812187957952514', 'GET', '{}', '548', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1567726885768130561', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-08 12:09:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-08 12:09:51', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfprocessl/1565631350208364546', 'GET', '{}', '18', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1567726885906542594', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-08 12:09:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-08 12:09:51', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfprocessconfigl/1559812187957952514', 'GET', '{}', '34', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1567726893284323329', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-08 12:09:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-08 12:09:52', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfprocessl/1565631350208364546', 'GET', '{}', '13', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1567726900699852801', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-08 12:09:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-08 12:09:54', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfprocessl/1565631350208364546', 'GET', '{}', '11', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1567726900783738882', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-08 12:09:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-08 12:09:54', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfprocessconfigl/1559812187957952514', 'GET', '{}', '31', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568055482424868865', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-09 09:55:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-09 09:55:34', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '297', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568055488783433729', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-09 09:55:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-09 09:55:36', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfprocessl/page', 'GET', '{"tenantId":[""],"current":["1"],"size":["1000"]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568055495267827714', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-09 09:55:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-09 09:55:37', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfprocessl/1565631350208364546', 'GET', '{}', '32', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568055495284604930', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-09 09:55:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-09 09:55:37', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfprocessconfigl/1559812187957952514', 'GET', '{}', '28', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568055970658631681', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-09 09:57:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-09 09:57:31', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfprocessconfigl/1559812187957952514', 'GET', '{}', '32', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568057319613906946', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-09 10:02:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-09 10:02:52', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfprocessl/1565631350208364546', 'GET', '{}', '44', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568057449821880322', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-09 10:03:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-09 10:03:23', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfprocessl/1565631350208364546', 'GET', '{}', '12', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568057465722486786', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-09 10:03:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-09 10:03:27', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfprocessl/1565631350208364546', 'GET', '{}', '14', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568057475524575233', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-09 10:03:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-09 10:03:29', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfprocessl/1565631350208364546', 'GET', '{}', '12', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568057475608461314', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-09 10:03:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-09 10:03:29', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfprocessconfigl/1559812187957952514', 'GET', '{}', '30', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568057491857195010', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-09 10:03:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-09 10:03:33', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfprocessl/1565631350208364546', 'GET', '{}', '13', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568057491924303873', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-09 10:03:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-09 10:03:33', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfprocessconfigl/1559812187957952514', 'GET', '{}', '30', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1567813396047970306', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-08 17:53:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-08 17:53:36', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfprocessl/1565631350208364546', 'GET', '{}', '17', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1567813396190576641', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-08 17:53:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-08 17:53:36', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfprocessconfigl/1559812187957952514', 'GET', '{}', '34', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1567813515577245698', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-08 17:54:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-08 17:54:05', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfprocessconfigl/1559812187957952514', 'GET', '{}', '44', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1567813515602411522', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-08 17:54:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-08 17:54:05', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfprocessl/1565631350208364546', 'GET', '{}', '48', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1567813768489582594', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-08 17:55:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-08 17:55:05', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfprocessl/page', 'GET', '{"tenantId":[""],"current":["1"],"size":["1000"]}', '19', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1567814510466154498', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-08 17:58:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-08 17:58:02', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfprocessconfigl/1559812187957952514', 'GET', '{}', '69', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1567815176257388546', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-08 18:00:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-08 18:00:41', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '334', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1567815197845471234', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-08 18:00:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-08 18:00:46', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfprocessl/page', 'GET', '{"tenantId":[""],"current":["1"],"size":["1000"]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1567815228623273985', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-08 18:00:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-08 18:00:53', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfprocessl/1565631350208364546', 'GET', '{}', '16', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1567815228791046146', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-08 18:00:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-08 18:00:53', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfprocessconfigl/1559812187957952514', 'GET', '{}', '30', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1567819814075482113', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-08 18:19:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-08 18:19:07', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfprocessconfigl/1559812187957952514', 'GET', '{}', '49', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1567824961476345858', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-08 18:39:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-08 18:39:34', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfprocessconfigl/1559812187957952514', 'GET', '{}', '109', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1567824961501511682', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-08 18:39:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-08 18:39:34', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfprocessl/1565631350208364546', 'GET', '{}', '115', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569238960755515394', '1', 'tofly-flow', 'll', TO_DATE('2022-09-12 16:18:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 16:18:17', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569240410596384770', '1', 'tofly-flow', 'll', TO_DATE('2022-09-12 16:24:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 16:24:03', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl', 'POST', '{}', '220', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569242806760316930', '1', 'tofly-flow', 'll', TO_DATE('2022-09-12 16:33:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 16:33:34', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl', 'POST', '{}', '79', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569243659109998593', '1', 'tofly-flow', 'll', TO_DATE('2022-09-12 16:36:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 16:36:58', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"content":["{}"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569243703917748226', '1', 'tofly-flow', 'll', TO_DATE('2022-09-12 16:37:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 16:37:08', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569243705356394498', '1', 'tofly-flow', 'll', TO_DATE('2022-09-12 16:37:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 16:37:09', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '7', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569243758238179329', '1', 'tofly-flow', 'll', TO_DATE('2022-09-12 16:37:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 16:37:21', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569243759706185730', '1', 'tofly-flow', 'll', TO_DATE('2022-09-12 16:37:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 16:37:22', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '7', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569244177257537537', '1', 'tofly-flow', 'll', TO_DATE('2022-09-12 16:39:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 16:39:01', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"content":["{}"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569244215174045698', '1', 'tofly-flow', 'll', TO_DATE('2022-09-12 16:39:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 16:39:10', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569244216658829313', '1', 'tofly-flow', 'll', TO_DATE('2022-09-12 16:39:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 16:39:11', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569248806758326273', '1', 'tofly-flow', 'll', TO_DATE('2022-09-12 16:57:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 16:57:25', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"content":["{}"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569248824105967617', '1', 'tofly-flow', 'll', TO_DATE('2022-09-12 16:57:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 16:57:29', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569248825586556929', '1', 'tofly-flow', 'll', TO_DATE('2022-09-12 16:57:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 16:57:29', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '7', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569250025983778818', '1', 'tofly-flow', 'll', TO_DATE('2022-09-12 17:02:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 17:02:16', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/1559812187957952514', 'GET', '{"id":["1559812187957952514"]}', '56', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569252154471424001', '1', 'tofly-flow', 'll', TO_DATE('2022-09-12 17:10:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 17:10:43', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569252156098813954', '1', 'tofly-flow', 'll', TO_DATE('2022-09-12 17:10:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 17:10:43', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '7', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569254734773690369', '1', 'tofly-flow', 'll', TO_DATE('2022-09-12 17:20:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 17:20:58', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"content":["{}"]}', '382', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569254740784128002', '1', 'tofly-flow', 'll', TO_DATE('2022-09-12 17:21:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 17:21:00', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"content":["{}"]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569254779690491905', '1', 'tofly-flow', 'll', TO_DATE('2022-09-12 17:21:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 17:21:09', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"content":["{}"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569255101301334017', '1', 'tofly-flow', 'll', TO_DATE('2022-09-12 17:22:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 17:22:26', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"content":["123"]}', '67', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569255607780319233', '1', 'tofly-flow', 'll', TO_DATE('2022-09-12 17:24:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 17:24:26', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"content":[""]}', '25', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569255608363327490', '1', 'tofly-flow', 'll', TO_DATE('2022-09-12 17:24:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 17:24:27', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"content":[""]}', '21', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569255545303666690', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-12 17:24:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 17:24:12', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessconfigl/page', 'GET', '{"hitCount":[""],"optimizeCountSql":[""],"records":[""],"isValid":[""],"searchCount":[""],"content":[""],"current":[""],"total":[""],"size":[""],"orders[0].asc":[""],"tenantId":[""],"orders[0].column":[""],"processType":[""],"businessType":[""],"isDel":[""],"isMould":[""]}', '448', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569256963316457474', '1', 'tofly-flow', 'll', TO_DATE('2022-09-12 17:29:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 17:29:50', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"content":[""]}', '20', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569256963685556225', '1', 'tofly-flow', 'll', TO_DATE('2022-09-12 17:29:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 17:29:50', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"content":[""]}', '19', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569257102290526210', '1', 'tofly-flow', 'll', TO_DATE('2022-09-12 17:30:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 17:30:23', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"content":["12"]}', '19', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569257114500145153', '1', 'tofly-flow', 'll', TO_DATE('2022-09-12 17:30:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 17:30:26', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"content":[""]}', '19', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569259040956555265', '1', 'tofly-flow', 'll', TO_DATE('2022-09-12 17:38:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 17:38:05', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"content":[""]}', '20', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569259041543757826', '1', 'tofly-flow', 'll', TO_DATE('2022-09-12 17:38:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 17:38:05', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"content":[""]}', '25', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569491153815412738', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-13 09:00:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 09:00:25', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"content":[""]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569491154150957057', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-13 09:00:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 09:00:25', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"content":[""]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569491164171149313', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-13 09:00:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 09:00:27', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569152821327564802"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569491165622378498', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-13 09:00:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 09:00:28', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569494013231833090', '2', 'tofly-auth', 'hr', TO_DATE('2022-09-13 09:11:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 09:11:47', 'SYYYY-MM-DD HH24:MI:SS'), '42.225.115.58', NULL, '/token/f55670b5-a242-45ba-855d-cd9f46ee6f79', 'DELETE', '{}', '1', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569561236239622146', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 13:38:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 13:38:54', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569562416646791169', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 13:43:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 13:43:35', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/1569507482133536769', 'GET', '{"id":["1569507482133536769"]}', '41', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569562839034175489', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 13:45:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 13:45:16', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/1569507482133536769', 'GET', '{"id":["1569507482133536769"]}', '34', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569562888766038017', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 13:45:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 13:45:28', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '4', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569562890036912129', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 13:45:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 13:45:28', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569563358465171458', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 13:47:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 13:47:20', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/1569507482133536769', 'GET', '{"id":["1569507482133536769"]}', '37', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569563383459028994', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 13:47:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 13:47:26', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569563384612462594', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 13:47:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 13:47:26', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569563940076724225', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 13:49:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 13:49:39', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/1569507482133536769', 'GET', '{"id":["1569507482133536769"]}', '37', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569563941142077442', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 13:49:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 13:49:39', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569563942438117378', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 13:49:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 13:49:39', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '8', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569565699448840194', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 13:56:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 13:56:38', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/1569507482133536769', 'GET', '{"id":["1569507482133536769"]}', '36', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569565700480638977', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 13:56:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 13:56:38', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569565701596323842', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 13:56:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 13:56:39', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569565793908760577', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 13:57:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 13:57:01', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/1569507482133536769', 'GET', '{"id":["1569507482133536769"]}', '34', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569566492948242434', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 13:59:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 13:59:47', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569566494080704514', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 13:59:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 13:59:47', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569566494831484929', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 13:59:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 13:59:48', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/1569507482133536769', 'GET', '{"id":["1569507482133536769"]}', '36', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569566556399673346', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 14:00:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 14:00:02', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569566557519552514', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 14:00:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 14:00:03', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569566725526593537', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 14:00:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 14:00:43', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/1569507482133536769', 'GET', '{"id":["1569507482133536769"]}', '33', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569567787163656194', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 14:04:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 14:04:56', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569567788497444865', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 14:04:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 14:04:56', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/1569507482133536769', 'GET', '{"id":["1569507482133536769"]}', '35', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569567788732325889', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 14:04:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 14:04:56', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569567796374347777', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 14:04:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 14:04:58', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569594587067523073', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-13 15:51:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 15:51:25', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.170.172', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569594656290316290', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-13 15:51:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 15:51:42', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.170.172', NULL, '/tfworkprocessp', 'POST', '{}', '20', NULL, NULL, 'content:新增工序管理（工序名称）/工程管控管理', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569594656546168833', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-13 15:51:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 15:51:42', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.170.172', NULL, '/tfworkprocessp/page', 'GET', '{"name":[""],"current":["1"],"size":["30"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569594660602060802', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 15:51:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 15:51:43', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/1569507482133536769', 'GET', '{"id":["1569507482133536769"]}', '25', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569594661562556418', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 15:51:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 15:51:43', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569594662871179266', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 15:51:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 15:51:43', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569594836284678145', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-13 15:52:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 15:52:25', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.170.172', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569595217165230081', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-13 15:53:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 15:53:56', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.170.172', NULL, '/tfworkprocessp', 'POST', '{}', '19', NULL, NULL, 'content:新增工序管理（工序名称）/工程管控管理', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569595217479802881', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-13 15:53:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 15:53:56', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.170.172', NULL, '/tfworkprocessp/page', 'GET', '{"name":[""],"current":["1"],"size":["30"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569608104625643521', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 16:45:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 16:45:08', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/1569507482133536769', 'GET', '{"id":["1569507482133536769"]}', '30', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569608105921683458', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 16:45:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 16:45:09', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569608107184168962', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 16:45:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 16:45:09', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569609445154562050', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 16:50:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 16:50:28', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/1569507482133536769', 'GET', '{"id":["1569507482133536769"]}', '26', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1564423788748632065', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-30 09:24:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-30 09:24:31', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '289', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1564430454944722946', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-30 09:51:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-30 09:51:00', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.24', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '297', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1564435769694121986', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-30 10:12:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-30 10:12:07', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.24', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '294', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1564441118182502401', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-30 10:33:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-30 10:33:23', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.24', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '298', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1564450105154105345', '2', 'tofly-auth', 'hq', TO_DATE('2022-08-30 11:09:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-30 11:09:05', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.163', NULL, '/token/5d0be27a-f95a-4867-bcaf-09e8eafc97d6', 'DELETE', '{}', '3', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568057517253705729', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-09 10:03:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-09 10:03:39', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfprocessl/1565631350208364546', 'GET', '{}', '12', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568057517329203202', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-09 10:03:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-09 10:03:39', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfprocessconfigl/1559812187957952514', 'GET', '{}', '31', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568178922244440065', '0', 'tofly-flow', 'admin', TO_DATE('2022-09-09 18:06:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-09 18:06:05', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '18', NULL, 'Invalid bound statement (not found): com.tofly.workflow.processconfig.mapper.TfProcessConfigLMapper.getProcessConfigName', 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568179426135539713', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-09 18:08:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-09 18:08:05', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessconfigl/page', 'GET', '{"hitCount":[""],"optimizeCountSql":[""],"records":[""],"isValid":[""],"searchCount":[""],"content":[""],"current":[""],"total":[""],"size":[""],"orders[0].asc":[""],"tenantId":[""],"orders[0].column":[""],"processType":[""],"businessType":[""],"isDel":[""],"isMould":[""]}', '570', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568179511468654594', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-09 18:08:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-09 18:08:25', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessconfigl/1559812187957952514', 'GET', '{}', '781', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568179669199650817', '0', 'tofly-flow', 'admin', TO_DATE('2022-09-09 18:09:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-09 18:09:03', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '3', NULL, 'Invalid bound statement (not found): com.tofly.workflow.processconfig.mapper.TfProcessConfigLMapper.getProcessConfigName', 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568180209186930690', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-09 18:11:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-09 18:11:11', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '215', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568180335225765889', '0', 'tofly-flow', 'admin', TO_DATE('2022-09-09 18:11:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-09 18:11:41', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessconfigStepl/configNames', 'GET', '{"edition":["1"],"stepOrder":[""],"id":["1559812187957952514"]}', '19', NULL, 'nested exception is org.apache.ibatis.binding.BindingException: Parameter ''configId'' not found. Available parameters are [edition, stepOrder, id, param3, param1, param2]', 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568180397901250561', '0', 'tofly-flow', 'admin', TO_DATE('2022-09-09 18:11:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-09 18:11:56', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessconfigStepl/configNames', 'GET', '{"edition":["1"],"stepOrder":[""],"id":["1559812187957952514"]}', '4', NULL, 'nested exception is org.apache.ibatis.binding.BindingException: Parameter ''configId'' not found. Available parameters are [edition, stepOrder, id, param3, param1, param2]', 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568180996168384514', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-09 18:14:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-09 18:14:19', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessconfigStepl/configNames', 'GET', '{"edition":["1"],"stepOrder":[""],"id":["1559812187957952514"]}', '564', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568438880661680130', '0', 'tofly-auth', 'yj1', TO_DATE('2022-09-10 11:19:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-10 11:19:03', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["yj1"]}', '190', NULL, 'Source must not be null', 'content:登录 :yj1', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568439141513834497', '0', 'tofly-auth', 'yj1', TO_DATE('2022-09-10 11:20:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-10 11:20:06', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["yj1"]}', '32866', NULL, 'Source must not be null', 'content:登录 :yj1', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568439695484923905', '2', 'tofly-auth', 'yj1', TO_DATE('2022-09-10 11:22:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-10 11:22:18', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["yj1"]}', '475', NULL, NULL, 'content:登录 :yj1', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568792852715552770', '1', 'tofly-flow', 'll', TO_DATE('2022-09-11 10:45:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-11 10:45:37', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568792868993646593', '1', 'tofly-flow', 'll', TO_DATE('2022-09-11 10:45:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-11 10:45:41', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568808161270841346', '1', 'tofly-flow', 'll', TO_DATE('2022-09-11 11:46:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-11 11:46:27', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568808162575269890', '1', 'tofly-flow', 'll', TO_DATE('2022-09-11 11:46:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-11 11:46:27', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568808332150980609', '1', 'tofly-flow', 'll', TO_DATE('2022-09-11 11:47:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-11 11:47:08', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568808333522518018', '1', 'tofly-flow', 'll', TO_DATE('2022-09-11 11:47:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-11 11:47:08', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568808783080603649', '1', 'tofly-flow', 'll', TO_DATE('2022-09-11 11:48:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-11 11:48:55', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568808784464723969', '1', 'tofly-flow', 'll', TO_DATE('2022-09-11 11:48:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-11 11:48:55', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568809115860877313', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-11 11:50:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-11 11:50:14', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfprocessl/1565215112469393410', 'GET', '{}', '34', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568809115886043138', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-11 11:50:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-11 11:50:14', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfprocessconfigl/1559812187957952514', 'GET', '{}', '44', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568811398279479297', '1', 'tofly-flow', 'll', TO_DATE('2022-09-11 11:59:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-11 11:59:19', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568811399634239490', '1', 'tofly-flow', 'll', TO_DATE('2022-09-11 11:59:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-11 11:59:19', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568811492940726273', '1', 'tofly-flow', 'll', TO_DATE('2022-09-11 11:59:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-11 11:59:41', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568811494173851650', '1', 'tofly-flow', 'll', TO_DATE('2022-09-11 11:59:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-11 11:59:41', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568811700651048962', '1', 'tofly-flow', 'll', TO_DATE('2022-09-11 12:00:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-11 12:00:31', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1562680762976284674', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-25 13:58:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-25 13:58:21', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '326', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1562703672256344066', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-25 15:29:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-25 15:29:23', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.139', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '282', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1564082607707750401', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-29 10:48:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-29 10:48:47', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '328', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1564083082989502466', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-29 10:50:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-29 10:50:40', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '298', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1564083493364400129', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-29 10:52:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-29 10:52:18', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '298', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1564084804717740033', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-29 10:57:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-29 10:57:31', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '328', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1564085064949137410', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-29 10:58:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-29 10:58:33', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '291', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1564085706249830401', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-29 11:01:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-29 11:01:06', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '305', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1564085970176409601', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-29 11:02:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-29 11:02:09', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '283', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1564086226771345410', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-29 11:03:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-29 11:03:10', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '308', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1564086320212049922', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-29 11:03:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-29 11:03:32', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '298', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1564086405301895170', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-29 11:03:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-29 11:03:53', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '291', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1564086537510551554', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-29 11:04:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-29 11:04:24', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '298', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1564087154333286401', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-29 11:06:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-29 11:06:51', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '292', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1564087187258572801', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-29 11:06:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-29 11:06:59', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '293', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1564087592059240450', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-29 11:08:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-29 11:08:35', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '301', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1564087863376183297', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-29 11:09:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-29 11:09:40', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '286', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1564088490533683201', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-29 11:12:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-29 11:12:10', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '293', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1564783597884882946', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-31 09:14:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-31 09:14:16', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '304', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1564785655354572801', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-31 09:22:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-31 09:22:27', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '305', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1564787508628766722', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-31 09:29:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-31 09:29:49', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.138', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '290', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1564790310939738114', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-31 09:40:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-31 09:40:57', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.138', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '300', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1564791501346127873', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-31 09:45:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-31 09:45:40', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '286', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1564791643642085378', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-31 09:46:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-31 09:46:14', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.138', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '281', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1564793288757166081', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-31 09:52:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-31 09:52:47', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.138', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '308', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1564793435717189634', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-31 09:53:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-31 09:53:22', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '302', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1564793593804701697', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-31 09:53:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-31 09:53:59', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '284', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568081021160243202', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-09 11:37:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-09 11:37:03', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfprocessl/1565631350208364546', 'GET', '{}', '11', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568081021235740673', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-09 11:37:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-09 11:37:03', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfprocessconfigl/1559812187957952514', 'GET', '{}', '34', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568081844409843713', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-09 11:40:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-09 11:40:19', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfprocessconfigl/1559812187957952514', 'GET', '{}', '36', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568088460488196097', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-09 12:06:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-09 12:06:37', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfprocessl/1565631350208364546', 'GET', '{}', '21', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568088460538527745', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-09 12:06:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-09 12:06:37', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfprocessconfigl/1559812187957952514', 'GET', '{}', '35', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569319393618894850', '1', 'tofly-flow', 'll', TO_DATE('2022-09-12 21:37:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 21:37:54', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569319441618509826', '1', 'tofly-flow', 'll', TO_DATE('2022-09-12 21:38:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 21:38:06', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569319442935521281', '1', 'tofly-flow', 'll', TO_DATE('2022-09-12 21:38:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 21:38:06', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '7', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569319505434845185', '1', 'tofly-flow', 'll', TO_DATE('2022-09-12 21:38:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 21:38:21', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/1569304731028299778', 'GET', '{"id":["1569304731028299778"]}', '27', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569319629544300545', '1', 'tofly-flow', 'll', TO_DATE('2022-09-12 21:38:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 21:38:50', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"content":[""]}', '17', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569319630051811330', '1', 'tofly-flow', 'll', TO_DATE('2022-09-12 21:38:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 21:38:51', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569319641607118849', '1', 'tofly-flow', 'll', TO_DATE('2022-09-12 21:38:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 21:38:53', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/1569304731028299778', 'GET', '{"id":["1569304731028299778"]}', '21', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569319773610254337', '1', 'tofly-flow', 'll', TO_DATE('2022-09-12 21:39:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 21:39:25', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/1569304731028299778', 'GET', '{"id":["1569304731028299778"]}', '25', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569320948552245250', '1', 'tofly-flow', 'll', TO_DATE('2022-09-12 21:44:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 21:44:05', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/1569304731028299778', 'GET', '{"id":["1569304731028299778"]}', '24', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569320972698853377', '1', 'tofly-flow', 'll', TO_DATE('2022-09-12 21:44:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 21:44:11', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/1569304731028299778', 'GET', '{"id":["1569304731028299778"]}', '23', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569321007654182913', '1', 'tofly-flow', 'll', TO_DATE('2022-09-12 21:44:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 21:44:19', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/1569301343662252034', 'GET', '{"id":["1569301343662252034"]}', '24', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569321200290177025', '1', 'tofly-flow', 'll', TO_DATE('2022-09-12 21:45:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 21:45:05', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569321200592166914', '1', 'tofly-flow', 'll', TO_DATE('2022-09-12 21:45:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 21:45:05', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"content":[""]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569321212994723841', '1', 'tofly-flow', 'll', TO_DATE('2022-09-12 21:45:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 21:45:08', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/1569304731028299778', 'GET', '{"id":["1569304731028299778"]}', '23', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569321284985757698', '1', 'tofly-flow', 'll', TO_DATE('2022-09-12 21:45:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 21:45:25', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/1569304731028299778', 'GET', '{"id":["1569304731028299778"]}', '24', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569321459070345217', '1', 'tofly-flow', 'll', TO_DATE('2022-09-12 21:46:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 21:46:07', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/1569304731028299778', 'GET', '{"id":["1569304731028299778"]}', '21', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569321477588197378', '1', 'tofly-flow', 'll', TO_DATE('2022-09-12 21:46:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 21:46:11', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/1569304731028299778', 'GET', '{"id":["1569304731028299778"]}', '21', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569321585503444993', '1', 'tofly-flow', 'll', TO_DATE('2022-09-12 21:46:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 21:46:37', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569321585838989313', '1', 'tofly-flow', 'll', TO_DATE('2022-09-12 21:46:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 21:46:37', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"content":[""]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569321597880836097', '1', 'tofly-flow', 'll', TO_DATE('2022-09-12 21:46:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 21:46:40', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/1569304731028299778', 'GET', '{"id":["1569304731028299778"]}', '25', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569489421081321475', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 08:53:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 08:53:32', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569489429004361730', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 08:53:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 08:53:34', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569489429272797185', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 08:53:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 08:53:34', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"content":[""]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569489461065621506', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 08:53:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 08:53:41', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569489462458130433', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 08:53:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 08:53:42', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569490194502590465', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-13 08:56:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 08:56:36', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"content":[""]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569490194846523393', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-13 08:56:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 08:56:36', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"content":[""]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569496956666093570', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-13 09:23:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 09:23:28', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessconfigl/page', 'GET', '{"hitCount":[""],"optimizeCountSql":[""],"records":[""],"isValid":[""],"searchCount":[""],"content":[""],"current":[""],"total":[""],"size":[""],"orders[0].asc":[""],"tenantId":[""],"orders[0].column":[""],"processType":[""],"businessType":[""],"isDel":[""],"isMould":[""]}', '415', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569497137126023169', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-13 09:24:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 09:24:12', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessconfigl/1569304731028299778', 'GET', '{}', '260', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569497484712189953', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-13 09:25:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 09:25:34', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessconfigl/1569301343662252034', 'GET', '{}', '283', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569498280338104321', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-13 09:28:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 09:28:44', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessconfigl/1569304731028299778', 'GET', '{}', '259', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569507789429252098', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-13 10:06:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 10:06:31', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessconfigl/page', 'GET', '{"hitCount":[""],"optimizeCountSql":[""],"records":[""],"isValid":[""],"searchCount":[""],"content":[""],"current":[""],"total":[""],"size":[""],"orders[0].asc":[""],"tenantId":[""],"orders[0].column":[""],"processType":[""],"businessType":[""],"isDel":[""],"isMould":[""]}', '209', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569507711759130626', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-13 10:06:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 10:06:13', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessconfigl/1569507482880122882', 'GET', '{}', '13', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569523876214939650', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-13 11:10:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 11:10:27', 'SYYYY-MM-DD HH24:MI:SS'), '61.157.29.47', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '7', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569523876248494082', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-13 11:10:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 11:10:27', 'SYYYY-MM-DD HH24:MI:SS'), '61.157.29.47', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '15', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569523879981424641', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-13 11:10:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 11:10:27', 'SYYYY-MM-DD HH24:MI:SS'), '61.157.29.47', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"content":[""]}', '19', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569523880212111361', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-13 11:10:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 11:10:28', 'SYYYY-MM-DD HH24:MI:SS'), '61.157.29.47', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"content":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1561588157194473473', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-22 13:36:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-22 13:36:44', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '282', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1561588164937158658', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-22 13:36:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-22 13:36:46', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '341', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1561588175422918658', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-22 13:36:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-22 13:36:48', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '311', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1561588184071573506', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-22 13:36:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-22 13:36:50', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '281', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1561588344847634433', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-22 13:37:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-22 13:37:28', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '304', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1561588861887877121', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-22 13:39:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-22 13:39:32', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '291', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1561588891382222849', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-22 13:39:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-22 13:39:39', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '331', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1561589140624543746', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-22 13:40:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-22 13:40:38', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '310', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1561594542187646978', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-22 14:02:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-22 14:02:06', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.51', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '283', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1561595068908343297', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-22 14:04:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-22 14:04:12', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.51', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '288', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1561596559966638081', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-22 14:10:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-22 14:10:07', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.51', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '312', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1561611140663382018', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-22 15:08:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-22 15:08:03', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '300', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1561613881951424514', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-22 15:18:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-22 15:18:57', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '310', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1561615352281468930', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-22 15:24:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-22 15:24:48', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '307', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1561615459521433602', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-22 15:25:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-22 15:25:13', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '299', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1561620267083010050', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-22 15:44:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-22 15:44:19', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.24', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '303', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1561623867901382658', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-22 15:58:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-22 15:58:38', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '296', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1561628023768780802', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-22 16:15:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-22 16:15:09', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '312', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1561640775761563650', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-22 17:05:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-22 17:05:49', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '290', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1561641424855273474', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-22 17:08:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-22 17:08:24', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '293', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1561641695664705538', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-22 17:09:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-22 17:09:28', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '286', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1561642174461284353', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-22 17:11:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-22 17:11:22', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '280', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1561645050675892226', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-22 17:22:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-22 17:22:48', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '294', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1561645441794740226', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-22 17:24:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-22 17:24:21', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '297', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568811701976449025', '1', 'tofly-flow', 'll', TO_DATE('2022-09-11 12:00:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-11 12:00:31', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568812223856918530', '1', 'tofly-flow', 'll', TO_DATE('2022-09-11 12:02:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-11 12:02:35', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568812225245233153', '1', 'tofly-flow', 'll', TO_DATE('2022-09-11 12:02:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-11 12:02:36', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568812517038768130', '1', 'tofly-flow', 'll', TO_DATE('2022-09-11 12:03:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-11 12:03:45', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/1559812187957952514', 'GET', '{"id":["1559812187957952514"]}', '36', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568843552787021826', '1', 'tofly-flow', 'll', TO_DATE('2022-09-11 14:07:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-11 14:07:05', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1564793747840516097', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-31 09:54:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-31 09:54:36', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.138', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '300', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1564793929709731842', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-31 09:55:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-31 09:55:19', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '334', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1564794178104803330', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-31 09:56:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-31 09:56:19', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.138', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '280', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1564794314407100417', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-31 09:56:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-31 09:56:51', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '296', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1564794627524476930', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-31 09:58:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-31 09:58:06', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '322', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1564794821896912898', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-31 09:58:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-31 09:58:52', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.138', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '298', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1564795032698437633', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-31 09:59:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-31 09:59:42', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.138', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '373', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1564795265704607745', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-31 10:00:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-31 10:00:38', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '293', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1564800159765315585', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-31 10:20:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-31 10:20:05', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '335', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1564800339080200193', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-31 10:20:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-31 10:20:48', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.138', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '308', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1564803740102901762', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-31 10:34:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-31 10:34:18', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.138', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '344', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1564804595115966466', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-31 10:37:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-31 10:37:42', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.138', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '346', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1564804844802883585', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-31 10:38:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-31 10:38:42', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.138', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '286', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1564804941091520513', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-31 10:39:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-31 10:39:05', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.138', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '324', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1564805781235777538', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-31 10:42:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-31 10:42:25', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.138', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '297', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1564807223715643394', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-31 10:48:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-31 10:48:09', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.138', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '331', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1564807525244157954', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-31 10:49:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-31 10:49:21', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.138', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '315', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1564810267857600514', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-31 11:00:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-31 11:00:15', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.138', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '331', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1564810970923614210', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-31 11:03:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-31 11:03:02', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.138', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '306', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1564811112959524866', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-31 11:03:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-31 11:03:36', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.138', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '287', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1564812209296064513', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-31 11:07:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-31 11:07:58', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.138', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '331', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1564812430251999233', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-31 11:08:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-31 11:08:50', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.138', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '334', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1564812905181429762', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-31 11:10:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-31 11:10:44', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '348', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1564814546785878017', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-31 11:17:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-31 11:17:15', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '324', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1564819839762644994', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-31 11:38:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-31 11:38:17', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '304', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569482932983767041', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-13 08:27:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 08:27:45', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprocessconfigl/1559812187957952514', 'GET', '{}', '9', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569482933034098689', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-13 08:27:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 08:27:45', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprocessl/1565215112469393410', 'GET', '{}', '47', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569507817292013570', '0', 'tofly-flow', 'admin', TO_DATE('2022-09-13 10:06:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 10:06:38', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessconfigl/1569507482133536769', 'GET', '{}', '232', NULL, 'nested exception is org.apache.ibatis.reflection.ReflectionException: Could not set property ''handleMode'' of ''class com.tofly.workflow.processconfig.entity.vo.PCStepVo'' with value ''0'' Cause: java.lang.IllegalArgumentException: argument type mismatch', 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569521573072281601', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-13 11:01:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 11:01:17', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprocessl/1565215112469393410', 'GET', '{}', '77', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569525185106223106', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-13 11:15:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 11:15:39', 'SYYYY-MM-DD HH24:MI:SS'), '61.157.29.47', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"content":[""]}', '17', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569525185332715522', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-13 11:15:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 11:15:39', 'SYYYY-MM-DD HH24:MI:SS'), '61.157.29.47', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"content":[""]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569525191972298754', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-13 11:15:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 11:15:40', 'SYYYY-MM-DD HH24:MI:SS'), '61.157.29.47', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569152821327564802"]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569525192475615234', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-13 11:15:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 11:15:40', 'SYYYY-MM-DD HH24:MI:SS'), '61.157.29.47', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569529001130139650', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-13 11:30:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 11:30:48', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '291', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569529006519820289', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-13 11:30:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 11:30:50', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprocessl/page', 'GET', '{"tenantId":[""],"current":["1"],"size":["1000"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569529532359712770', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-13 11:32:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 11:32:55', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '293', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569529539456475138', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-13 11:32:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 11:32:57', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprocessl/page', 'GET', '{"tenantId":[""],"current":["1"],"size":["1000"]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569530048020029441', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-13 11:34:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 11:34:58', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprocessl/page', 'GET', '{"tenantId":[""],"current":["1"],"size":["1000"]}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569533325784719362', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-13 11:48:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 11:48:00', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '285', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569533332369776641', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-13 11:48:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 11:48:01', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprocessl/page', 'GET', '{"tenantId":[""],"current":["1"],"size":["1000"]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569533436942163970', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-13 11:48:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 11:48:26', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '291', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569533444487716865', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-13 11:48:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 11:48:28', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprocessl/page', 'GET', '{"tenantId":[""],"current":["1"],"size":["1000"]}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569533645302603778', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-13 11:49:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 11:49:16', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprocessl/page', 'GET', '{"hitCount":[""],"registerStaff":[""],"processState":[""],"records":[""],"processNumber":[""],"searchCount":[""],"edition":[""],"remark":[""],"relationNumber":[""],"current":[""],"total":[""],"configId":[""],"orders[0].asc":[""],"registerPost":[""],"ywType":[""],"orders[0].column":[""],"id":[""],"processType":[""],"optimizeCountSql":[""],"registerTime":[""],"registerDept":[""],"passingNode":[""],"relationId":[""],"size":[""],"createTime":[""],"name":[""],"tenantId":[""],"createUser":[""],"category":[""],"isDel":[""]}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569533667876347905', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-13 11:49:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 11:49:21', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprocessl/page', 'GET', '{}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569533835736588289', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-13 11:50:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 11:50:01', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprocessl/page', 'GET', '{}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569538690349867010', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-13 12:09:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 12:09:19', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '292', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569538696767152129', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-13 12:09:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 12:09:20', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprocessl/page', 'GET', '{"tenantId":[""],"current":["1"],"size":["1000"]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569539556909850625', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-13 12:12:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 12:12:45', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfregionp/page', 'GET', '{"hitCount":[""],"optimizeCountSql":[""],"level":[""],"records":[""],"searchCount":[""],"fullName":[""],"updateUser":[""],"remark":[""],"updateTime":[""],"current":[""],"regionCode":[""],"total":[""],"size":[""],"createTime":[""],"regionId":[""],"orders[0].asc":[""],"name":[""],"tenantId":[""],"createUser":[""],"orders[0].column":[""],"id":[""],"isDel":[""]}', '19', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569591660110225410', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-13 15:39:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 15:39:48', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.170.172', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569591979691024386', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-13 15:41:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 15:41:04', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.170.172', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '2', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569592212890132481', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-13 15:41:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 15:41:59', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.170.172', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '2', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569593626521575425', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 15:47:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 15:47:36', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/1569507482133536769', 'GET', '{"id":["1569507482133536769"]}', '32', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569593656900919297', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 15:47:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 15:47:44', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/1569507482133536769', 'GET', '{"id":["1569507482133536769"]}', '27', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569593685908725762', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 15:47:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 15:47:51', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/1569507482133536769', 'GET', '{"id":["1569507482133536769"]}', '23', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569593714094448641', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 15:47:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 15:47:57', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"content":[""]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569593714488713218', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 15:47:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 15:47:57', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"content":[""]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569593725934968834', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 15:48:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 15:48:00', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/1569507482133536769', 'GET', '{"id":["1569507482133536769"]}', '26', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569593787993890818', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 15:48:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 15:48:15', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/1569507482133536769', 'GET', '{"id":["1569507482133536769"]}', '25', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569593879081590785', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 15:48:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 15:48:37', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/1569507482133536769', 'GET', '{"id":["1569507482133536769"]}', '27', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569593902129291266', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 15:48:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 15:48:42', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1567436181233856513', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-07 16:54:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-07 16:54:41', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfprocessl/1565215112469393410', 'GET', '{}', '17', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1567438536360718338', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-07 17:04:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-07 17:04:03', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfprocessl/1565215112469393410', 'GET', '{}', '15', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1567438605524791298', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-07 17:04:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-07 17:04:19', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfprocessl/1565215112469393410', 'GET', '{}', '14', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1567439574564204545', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-07 17:08:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-07 17:08:10', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '334', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1567439582248169473', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-07 17:08:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-07 17:08:12', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfprocessl/page', 'GET', '{"tenantId":[""],"current":["1"],"size":["1000"]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1567446684618321922', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-07 17:36:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-07 17:36:26', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '479', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1567446692809797633', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-07 17:36:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-07 17:36:28', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfprocessl/page', 'GET', '{"tenantId":[""],"current":["1"],"size":["1000"]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568843553990787073', '1', 'tofly-flow', 'll', TO_DATE('2022-09-11 14:07:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-11 14:07:05', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568843640213094402', '1', 'tofly-flow', 'll', TO_DATE('2022-09-11 14:07:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-11 14:07:26', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568843991582523394', '1', 'tofly-flow', 'll', TO_DATE('2022-09-11 14:08:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-11 14:08:49', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568843992937283585', '1', 'tofly-flow', 'll', TO_DATE('2022-09-11 14:08:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-11 14:08:50', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568844383531843585', '1', 'tofly-flow', 'll', TO_DATE('2022-09-11 14:10:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-11 14:10:23', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568844384903380993', '1', 'tofly-flow', 'll', TO_DATE('2022-09-11 14:10:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-11 14:10:23', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568844400560717825', '1', 'tofly-flow', 'll', TO_DATE('2022-09-11 14:10:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-11 14:10:27', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568851596451266561', '1', 'tofly-flow', 'll', TO_DATE('2022-09-11 14:39:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-11 14:39:03', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568851597822803969', '1', 'tofly-flow', 'll', TO_DATE('2022-09-11 14:39:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-11 14:39:03', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568851607234822146', '1', 'tofly-flow', 'll', TO_DATE('2022-09-11 14:39:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-11 14:39:05', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568851800940363778', '1', 'tofly-flow', 'll', TO_DATE('2022-09-11 14:39:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-11 14:39:51', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568851802274152450', '1', 'tofly-flow', 'll', TO_DATE('2022-09-11 14:39:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-11 14:39:52', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568851810205581313', '1', 'tofly-flow', 'll', TO_DATE('2022-09-11 14:39:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-11 14:39:54', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":["1"]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568853330175213569', '1', 'tofly-flow', 'll', TO_DATE('2022-09-11 14:45:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-11 14:45:56', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568853331437699074', '1', 'tofly-flow', 'll', TO_DATE('2022-09-11 14:45:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-11 14:45:56', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568853337880150017', '1', 'tofly-flow', 'll', TO_DATE('2022-09-11 14:45:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-11 14:45:58', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568858528687865858', '1', 'tofly-flow', 'll', TO_DATE('2022-09-11 15:06:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-11 15:06:35', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568858530004877314', '1', 'tofly-flow', 'll', TO_DATE('2022-09-11 15:06:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-11 15:06:36', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569141937335177217', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-12 09:52:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 09:52:45', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '299', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569141944402579458', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-12 09:52:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 09:52:47', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprocessl/page', 'GET', '{"tenantId":[""],"current":["1"],"size":["1000"]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569141990707695618', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-12 09:52:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 09:52:58', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprocessconfigl/1559812187957952514', 'GET', '{}', '36', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569142222904365058', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-12 09:53:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 09:53:53', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '297', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569142229158072321', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-12 09:53:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 09:53:55', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprocessl/page', 'GET', '{"tenantId":[""],"current":["1"],"size":["1000"]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569142235931873282', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-12 09:53:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 09:53:56', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprocessl/1565215112469393410', 'GET', '{}', '18', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569142236007370753', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-12 09:53:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 09:53:56', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprocessconfigl/1559812187957952514', 'GET', '{}', '34', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569143059785453569', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-12 09:57:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 09:57:13', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprocessl/1565215112469393410', 'GET', '{}', '17', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569144068490399745', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-12 10:01:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 10:01:13', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprocessl/page', 'GET', '{"tenantId":[""],"current":["1"],"size":["1000"]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569144073884274689', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-12 10:01:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 10:01:15', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprocessl/1565215112469393410', 'GET', '{}', '29', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569144073951383553', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-12 10:01:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 10:01:15', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprocessconfigl/1559812187957952514', 'GET', '{}', '49', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569144855987752962', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-12 10:04:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 10:04:21', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '298', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569144862186934273', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-12 10:04:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 10:04:23', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprocessl/page', 'GET', '{"tenantId":[""],"current":["1"],"size":["1000"]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569144868243509249', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-12 10:04:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 10:04:24', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprocessl/1565215112469393410', 'GET', '{}', '23', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569216981595852801', '1', 'tofly-flow', 'll', TO_DATE('2022-09-12 14:50:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 14:50:57', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569216983005138945', '1', 'tofly-flow', 'll', TO_DATE('2022-09-12 14:50:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 14:50:58', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1562252401988202497', '2', 'tofly-auth', 'hq', TO_DATE('2022-08-24 09:36:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-24 09:36:12', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.139', NULL, '/oauth/token', 'POST', '{"password":["b00736d3afaa52dc2987b71a25b4a849a02a7ff2"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["hq"]}', '419', NULL, NULL, 'content:登录 :hq', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1564820341426569217', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-31 11:40:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-31 11:40:17', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.138', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '341', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1564821101207961601', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-31 11:43:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-31 11:43:18', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.138', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '310', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1564821561880952834', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-31 11:45:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-31 11:45:07', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.138', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '315', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1564823115585372162', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-31 11:51:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-31 11:51:18', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.138', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '294', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1564823134510071810', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-31 11:51:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-31 11:51:22', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.138', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '310', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1564823563797086209', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-31 11:53:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-31 11:53:05', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.138', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '320', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1564823787793891330', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-31 11:53:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-31 11:53:58', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.138', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '288', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1564824120087625729', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-31 11:55:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-31 11:55:17', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.138', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '312', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1564825039441313794', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-31 11:58:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-31 11:58:57', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.138', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '319', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1564832879576956930', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-31 12:30:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-31 12:30:06', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.138', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '306', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1564850082267348993', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-31 13:38:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-31 13:38:27', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.138', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '305', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1564853774664155137', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-31 13:53:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-31 13:53:08', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '318', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1564875112191705090', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-31 15:17:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-31 15:17:55', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.138', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '279', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1564875433945153537', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-31 15:19:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-31 15:19:12', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.138', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '282', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1564876200710062081', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-31 15:22:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-31 15:22:14', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.138', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '323', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1564882414525300738', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-31 15:46:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-31 15:46:56', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.138', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '349', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1564891795123945473', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-31 16:24:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-31 16:24:12', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.138', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '305', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1564891953236623362', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-31 16:24:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-31 16:24:50', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.138', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '309', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1564892839455309825', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-31 16:28:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-31 16:28:21', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.138', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '345', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1564892991909871617', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-31 16:28:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-31 16:28:58', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.138', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '335', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1564893321687023618', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-31 16:30:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-31 16:30:16', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.138', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '321', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1564896336926031874', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-31 16:42:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-31 16:42:15', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.138', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '280', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1564897231751430146', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-31 16:45:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-31 16:45:49', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.138', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '316', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1564900397658226690', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-31 16:58:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-31 16:58:23', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.138', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '300', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1564904303784181762', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-31 17:13:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-31 17:13:55', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.138', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '308', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1564905394458411009', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-31 17:18:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-31 17:18:15', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.138', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '359', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1565634830012706818', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-02 17:36:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-02 17:36:46', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessl', 'POST', '{}', '796', NULL, NULL, 'content:新增流程信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569483601849425922', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-13 08:30:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 08:30:24', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprocessconfigl/1559812187957952514', 'GET', '{}', '3', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569496542028046337', '2', 'tofly-auth', 'rq', TO_DATE('2022-09-13 09:21:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 09:21:50', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/token/a8ce4be0-6598-484a-a3af-227fe81e6045', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569497464674263042', '2', 'tofly-auth', 'rq', TO_DATE('2022-09-13 09:25:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 09:25:30', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/token/a8ce4be0-6598-484a-a3af-227fe81e6045', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569498128376733698', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-13 09:28:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 09:28:08', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569498128414482434', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-13 09:28:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 09:28:08', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '10', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569502261812994050', '2', 'tofly-auth', 'yj', TO_DATE('2022-09-13 09:44:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 09:44:33', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.170.172', NULL, '/token/01b79e16-89b3-45d8-9bbf-c73673976d30', 'DELETE', '{}', '1', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569523888323895297', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-13 11:10:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 11:10:29', 'SYYYY-MM-DD HH24:MI:SS'), '61.157.29.47', NULL, '/tfprocessconfigl/1569507482133536769', 'GET', '{"id":["1569507482133536769"]}', '46', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569523922956263426', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-13 11:10:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 11:10:38', 'SYYYY-MM-DD HH24:MI:SS'), '61.157.29.47', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569152821327564802"]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569523923476357121', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-13 11:10:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 11:10:38', 'SYYYY-MM-DD HH24:MI:SS'), '61.157.29.47', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569524479267774466', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-13 11:12:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 11:12:50', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '298', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569539893357756417', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-13 12:14:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 12:14:05', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '225071', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569568419056525314', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 14:07:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 14:07:26', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/1569507482133536769', 'GET', '{"id":["1569507482133536769"]}', '30', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569569369284485122', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 14:11:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 14:11:13', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569569370408558594', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 14:11:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 14:11:13', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/1569507482133536769', 'GET', '{"id":["1569507482133536769"]}', '27', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569569370651828225', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 14:11:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 14:11:13', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569576825276407809', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 14:40:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 14:40:51', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/1569507482133536769', 'GET', '{"id":["1569507482133536769"]}', '25', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569576826354343938', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 14:40:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 14:40:51', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569576827478417409', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 14:40:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 14:40:51', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569576856242954242', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 14:40:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 14:40:58', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569576856591081474', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 14:40:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 14:40:58', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"content":[""]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569576865508171778', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 14:41:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 14:41:00', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/1569507482133536769', 'GET', '{"id":["1569507482133536769"]}', '29', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569576866590302209', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 14:41:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 14:41:00', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569576867420774402', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 14:41:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 14:41:01', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569576944495304706', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 14:41:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 14:41:19', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/1569507482133536769', 'GET', '{"id":["1569507482133536769"]}', '30', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569576945560657922', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 14:41:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 14:41:19', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569576946814754818', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 14:41:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 14:41:20', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569577371081187329', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 14:43:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 14:43:01', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"content":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569577371483840514', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 14:43:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 14:43:01', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"content":[""]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569577380430290945', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 14:43:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 14:43:03', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/1569507482133536769', 'GET', '{"id":["1569507482133536769"]}', '30', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569577381462089730', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 14:43:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 14:43:03', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569577382632300545', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 14:43:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 14:43:04', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569583570916810754', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-13 15:07:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 15:07:39', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.170.172', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569583638768066561', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-13 15:07:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 15:07:55', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.170.172', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569583699606446081', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-13 15:08:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 15:08:10', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.170.172', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '2', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569584499414081537', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-13 15:11:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 15:11:20', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.170.172', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569585060209303554', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-13 15:13:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 15:13:34', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.170.172', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569593902536138754', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 15:48:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 15:48:42', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569594037601116162', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 15:49:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 15:49:14', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"content":[""]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569594038066683905', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 15:49:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 15:49:14', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"content":[""]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569594045767426049', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 15:49:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 15:49:16', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/1569507482133536769', 'GET', '{"id":["1569507482133536769"]}', '26', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569594046790836225', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 15:49:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 15:49:17', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569594047835217921', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 15:49:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 15:49:17', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569569371100618753', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 14:11:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 14:11:13', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569569371901730818', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 14:11:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 14:11:14', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569569993287868418', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 14:13:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 14:13:42', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/1569507482133536769', 'GET', '{"id":["1569507482133536769"]}', '22', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569569994588102658', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 14:13:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 14:13:42', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569569995775090690', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 14:13:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 14:13:42', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569570033565769729', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 14:13:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 14:13:51', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/1569507482133536769', 'GET', '{"id":["1569507482133536769"]}', '32', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569570506406436865', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 14:15:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 14:15:44', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569570507438235650', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 14:15:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 14:15:44', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569571099934007298', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 14:18:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 14:18:06', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/1569507482133536769', 'GET', '{"id":["1569507482133536769"]}', '26', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569571281627062274', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 14:18:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 14:18:49', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569571282671443969', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 14:18:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 14:18:49', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569571586737512450', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 14:20:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 14:20:02', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/1569507482133536769', 'GET', '{"id":["1569507482133536769"]}', '28', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569571587718979585', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 14:20:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 14:20:02', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '7', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569571588616560641', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 14:20:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 14:20:02', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569572037897822209', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 14:21:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 14:21:49', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/1569507482133536769', 'GET', '{"id":["1569507482133536769"]}', '28', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569572039051255809', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 14:21:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 14:21:50', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569572040137580545', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 14:21:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 14:21:50', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569573163456077826', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 14:26:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 14:26:18', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/1569507482133536769', 'GET', '{"id":["1569507482133536769"]}', '25', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569573164613705730', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 14:26:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 14:26:18', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569573165632921602', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 14:26:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 14:26:18', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569573274689019905', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 14:26:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 14:26:44', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/1569507482133536769', 'GET', '{"id":["1569507482133536769"]}', '25', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569573275649515521', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 14:26:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 14:26:44', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569573276807143426', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 14:26:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 14:26:45', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569574127516852226', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 14:30:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 14:30:07', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/1569507482133536769', 'GET', '{"id":["1569507482133536769"]}', '24', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569574128737394689', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 14:30:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 14:30:08', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569574130222178306', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 14:30:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 14:30:08', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569574314561839105', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 14:30:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 14:30:52', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/1569507482133536769', 'GET', '{"id":["1569507482133536769"]}', '27', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569574315593637889', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 14:30:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 14:30:52', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569574316847734786', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 14:30:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 14:30:53', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569574357725421570', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 14:31:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 14:31:02', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569574358190989313', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 14:31:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 14:31:02', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"content":[""]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569574371344326658', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 14:31:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 14:31:06', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/1569507482133536769', 'GET', '{"id":["1569507482133536769"]}', '25', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569574372539703297', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 14:31:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 14:31:06', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569574373592473602', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 14:31:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 14:31:06', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569575162629136385', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 14:34:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 14:34:14', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/1569507482133536769', 'GET', '{"id":["1569507482133536769"]}', '26', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569575163723849730', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 14:34:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 14:34:14', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569575164885671937', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 14:34:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 14:34:15', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569575462899359745', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 14:35:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 14:35:26', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569575463801135106', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 14:35:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 14:35:26', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569576164639973378', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 14:38:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 14:38:13', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569576165826961409', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 14:38:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 14:38:13', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569576187796725762', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 14:38:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 14:38:19', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/1569507482133536769', 'GET', '{"id":["1569507482133536769"]}', '27', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1564905908956905473', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-31 17:20:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-31 17:20:17', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.138', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '297', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1564908157674274818', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-31 17:29:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-31 17:29:14', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.138', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '300', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1564910253987414018', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-31 17:37:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-31 17:37:33', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.138', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '290', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1564911773046882305', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-31 17:43:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-31 17:43:36', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.138', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '304', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1564916514946629634', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-31 18:02:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-31 18:02:26', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.138', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '320', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1564916872238415873', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-31 18:03:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-31 18:03:51', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.138', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '292', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1564917439283150850', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-31 18:06:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-31 18:06:06', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.138', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '294', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1565154429832347649', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-01 09:47:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-01 09:47:49', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '289', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1565154479039922177', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-01 09:48:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-01 09:48:01', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '295', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1565156450761261058', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-01 09:55:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-01 09:55:51', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '296', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1565156488270921730', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-01 09:56:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-01 09:56:00', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '295', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1565156507854127106', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-01 09:56:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-01 09:56:05', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '317', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1565156549109301249', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-01 09:56:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-01 09:56:15', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '286', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1565161517648265218', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-01 10:15:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-01 10:15:59', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '324', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1565630928037441537', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-02 17:21:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-02 17:21:15', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.159.43', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '319', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1565631036460199938', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-02 17:21:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-02 17:21:41', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.159.43', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '322', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1565632008221716481', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-02 17:25:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-02 17:25:33', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.159.43', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '293', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1565632218930966530', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-02 17:26:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-02 17:26:23', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.159.43', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '310', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1565633111168479233', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-02 17:29:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-02 17:29:56', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.159.43', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '295', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1565639536431165442', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-02 17:55:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-02 17:55:28', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.159.43', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '300', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1565675110982578178', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-02 20:16:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-02 20:16:49', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.159.43', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '363', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1567320904068362241', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-07 09:16:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-07 09:16:37', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '989', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1567320911592943617', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-07 09:16:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-07 09:16:39', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfprocessl/page', 'GET', '{"tenantId":[""],"current":["1"],"size":["1000"]}', '35', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1567321592211042306', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-07 09:19:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-07 09:19:21', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '276', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1567321600377352194', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-07 09:19:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-07 09:19:23', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfprocessl/page', 'GET', '{"tenantId":[""],"current":["1"],"size":["1000"]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1567356538652848130', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-07 11:38:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-07 11:38:13', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfprocessl/page', 'GET', '{"tenantId":[""],"current":["1"],"size":["1000"]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1567356781679210497', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-07 11:39:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-07 11:39:11', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '308', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1567356785382780930', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-07 11:39:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-07 11:39:12', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfprocessl/page', 'GET', '{"tenantId":[""],"current":["1"],"size":["1000"]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1565585988772884482', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-02 14:22:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-02 14:22:41', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessl/page', 'GET', '{"hitCount":[""],"registerStaff":[""],"processState":[""],"records":[""],"processNumber":[""],"searchCount":[""],"edition":[""],"remark":[""],"relationNumber":[""],"current":[""],"total":[""],"configId":[""],"orders[0].asc":[""],"registerPost":[""],"ywType":[""],"orders[0].column":[""],"id":[""],"processType":[""],"optimizeCountSql":[""],"registerTime":[""],"registerDept":[""],"passingNode":[""],"relationId":[""],"size":[""],"createTime":[""],"name":[""],"tenantId":[""],"createUser":[""],"category":[""],"isDel":[""]}', '348', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1567724931662868482', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-08 12:02:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-08 12:02:05', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfprocessl/page', 'GET', '{"tenantId":[""],"current":["1"],"size":["1000"]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1567725787426713602', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-08 12:05:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-08 12:05:29', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfprocessl/page', 'GET', '{"tenantId":[""],"current":["1"],"size":["1000"]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1567725809824296961', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-08 12:05:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-08 12:05:34', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfprocessl/1565631350208364546', 'GET', '{}', '13', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1567725836244217858', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-08 12:05:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-08 12:05:40', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfprocessl/1565631350208364546', 'GET', '{}', '10', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1567725836328103937', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-08 12:05:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-08 12:05:40', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfprocessconfigl/1559812187957952514', 'GET', '{}', '37', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1567726086660943874', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-08 12:06:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-08 12:06:40', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '301', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1567726574731128834', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-08 12:08:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-08 12:08:37', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '310', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1567726587343400962', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-08 12:08:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-08 12:08:40', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfprocessl/page', 'GET', '{"tenantId":[""],"current":["1"],"size":["1000"]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1567726593660022786', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-08 12:08:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-08 12:08:41', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfprocessl/1565631350208364546', 'GET', '{}', '12', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1567726594410803201', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-08 12:08:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-08 12:08:41', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfprocessconfigl/1559812187957952514', 'GET', '{}', '41', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568478696607072257', '1', 'tofly-flow', 'll', TO_DATE('2022-09-10 13:57:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-10 13:57:16', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568479268626251778', '1', 'tofly-flow', 'll', TO_DATE('2022-09-10 13:59:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-10 13:59:33', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '17', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568480760577933314', '1', 'tofly-flow', 'll', TO_DATE('2022-09-10 14:05:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-10 14:05:28', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568481055076794370', '1', 'tofly-flow', 'll', TO_DATE('2022-09-10 14:06:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-10 14:06:39', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569490453370839043', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-13 08:57:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 08:57:38', 'SYYYY-MM-DD HH24:MI:SS'), '61.157.29.47', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569490505703170050', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-13 08:57:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 08:57:50', 'SYYYY-MM-DD HH24:MI:SS'), '61.157.29.47', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"content":[""]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569490505929662465', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-13 08:57:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 08:57:50', 'SYYYY-MM-DD HH24:MI:SS'), '61.157.29.47', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569490520253210625', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-13 08:57:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 08:57:54', 'SYYYY-MM-DD HH24:MI:SS'), '61.157.29.47', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569152821327564802"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569490520794275842', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-13 08:57:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 08:57:54', 'SYYYY-MM-DD HH24:MI:SS'), '61.157.29.47', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569494413565566977', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-13 09:13:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 09:13:22', 'SYYYY-MM-DD HH24:MI:SS'), '42.225.115.58', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569494413628481537', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-13 09:13:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 09:13:22', 'SYYYY-MM-DD HH24:MI:SS'), '42.225.115.58', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '7', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569494496860250114', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-13 09:13:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 09:13:42', 'SYYYY-MM-DD HH24:MI:SS'), '42.225.115.58', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"content":[""]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569494497241931777', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-13 09:13:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 09:13:42', 'SYYYY-MM-DD HH24:MI:SS'), '42.225.115.58', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569494503625662465', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-13 09:13:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 09:13:44', 'SYYYY-MM-DD HH24:MI:SS'), '42.225.115.58', NULL, '/tfprocessconfigl/1569304731028299778', 'GET', '{"id":["1569304731028299778"]}', '22', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569494728570380289', '2', 'tofly-auth', 'hr', TO_DATE('2022-09-13 09:14:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 09:14:37', 'SYYYY-MM-DD HH24:MI:SS'), '42.225.115.58', NULL, '/token/f55670b5-a242-45ba-855d-cd9f46ee6f79', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569495101829881858', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-13 09:16:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 09:16:06', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprocessl/page', 'GET', '{"tenantId":[""],"current":["1"],"size":["1000"]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569495785451102209', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-13 09:18:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 09:18:49', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '291', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569495799774650369', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-13 09:18:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 09:18:53', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprocessl/page', 'GET', '{"tenantId":[""],"current":["1"],"size":["1000"]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569495804161892353', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-13 09:18:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 09:18:54', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprocessl/1565215112469393410', 'GET', '{}', '17', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569495804170280961', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-13 09:18:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 09:18:54', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprocessconfigl/1559812187957952514', 'GET', '{}', '2', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569496233541181441', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-13 09:20:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 09:20:36', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprocessl/1565215112469393410', 'GET', '{}', '22', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569498137084108802', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-13 09:28:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 09:28:10', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"content":[""]}', '55', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569498137507733505', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-13 09:28:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 09:28:10', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"content":[""]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569498172278513666', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-13 09:28:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 09:28:18', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"content":[""]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569521562091593730', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-13 11:01:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 11:01:15', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '296', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569521569742004226', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-13 11:01:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 11:01:17', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprocessl/page', 'GET', '{"tenantId":[""],"current":["1"],"size":["1000"]}', '53', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569576188807553026', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 14:38:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 14:38:19', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569576189969375233', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 14:38:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 14:38:19', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1566953094435606529', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-06 08:55:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-06 08:55:04', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '322', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1566953739653779458', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-06 08:57:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-06 08:57:38', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '306', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1566962389197819905', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-06 09:32:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-06 09:32:00', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '284', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1566963741542092801', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-06 09:37:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-06 09:37:23', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '305', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1566966070387445761', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-06 09:46:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-06 09:46:38', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '307', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1566966468439478273', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-06 09:48:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-06 09:48:13', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '342', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1566976583267815426', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-06 10:28:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-06 10:28:25', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '311', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568568450233155586', '1', 'tofly-flow', 'll', TO_DATE('2022-09-10 19:53:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-10 19:53:55', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["0"],"id":[""]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568568450484813825', '1', 'tofly-flow', 'll', TO_DATE('2022-09-10 19:53:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-10 19:53:55', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"id":["1"],"type":["1"],"datatypes":["0"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568568473524125697', '1', 'tofly-flow', 'll', TO_DATE('2022-09-10 19:54:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-10 19:54:01', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"id":["1"],"type":["1"],"datatypes":["0"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568568473557680129', '1', 'tofly-flow', 'll', TO_DATE('2022-09-10 19:54:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-10 19:54:01', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["0"],"id":[""]}', '8', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568570375196393473', '1', 'tofly-flow', 'll', TO_DATE('2022-09-10 20:01:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-10 20:01:34', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568570383715024898', '1', 'tofly-flow', 'll', TO_DATE('2022-09-10 20:01:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-10 20:01:36', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["0"],"id":[""]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568570384092512257', '1', 'tofly-flow', 'll', TO_DATE('2022-09-10 20:01:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-10 20:01:36', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"id":["1"],"type":["1"],"datatypes":["0"]}', '2', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568570390274916354', '1', 'tofly-flow', 'll', TO_DATE('2022-09-10 20:01:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-10 20:01:38', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568570419064619009', '1', 'tofly-flow', 'll', TO_DATE('2022-09-10 20:01:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-10 20:01:45', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"id":["1"],"type":["1"],"datatypes":["0"]}', '2', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568570419081396226', '1', 'tofly-flow', 'll', TO_DATE('2022-09-10 20:01:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-10 20:01:45', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["0"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569496174485381122', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-13 09:20:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 09:20:22', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '325', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569496182903349249', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-13 09:20:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 09:20:24', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprocessl/page', 'GET', '{"tenantId":[""],"current":["1"],"size":["1000"]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569496233549570049', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-13 09:20:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 09:20:36', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprocessconfigl/1559812187957952514', 'GET', '{}', '1', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569509575028350978', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-13 10:13:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 10:13:37', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessconfigl/1569507482133536769', 'GET', '{}', '38480', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569521572912898049', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-13 11:01:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 11:01:17', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprocessconfigl/1559812187957952514', 'GET', '{}', '2', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569522813181173762', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-13 11:06:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 11:06:13', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprocessconfigl/1559812187957952514', 'GET', '{}', '1', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569522813281837058', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-13 11:06:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 11:06:13', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprocessl/1565215112469393410', 'GET', '{}', '78', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569523033902227457', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-13 11:07:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 11:07:06', 'SYYYY-MM-DD HH24:MI:SS'), '61.157.29.47', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '8', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569523034208411650', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-13 11:07:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 11:07:06', 'SYYYY-MM-DD HH24:MI:SS'), '61.157.29.47', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '7', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569523034376183809', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-13 11:07:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 11:07:06', 'SYYYY-MM-DD HH24:MI:SS'), '61.157.29.47', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"content":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569523034736893954', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-13 11:07:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 11:07:06', 'SYYYY-MM-DD HH24:MI:SS'), '61.157.29.47', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"content":[""]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569523041129013249', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-13 11:07:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 11:07:07', 'SYYYY-MM-DD HH24:MI:SS'), '61.157.29.47', NULL, '/tfprocessconfigl/1569507482133536769', 'GET', '{"id":["1569507482133536769"]}', '48', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569523284293787650', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-13 11:08:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 11:08:05', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprocessconfigl/1559812187957952514', 'GET', '{}', '2', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569523284537057281', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-13 11:08:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 11:08:06', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprocessl/1565215112469393410', 'GET', '{}', '64', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569561236264787969', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 13:38:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 13:38:54', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '11', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569561245311901698', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 13:38:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 13:38:56', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"content":[""]}', '20', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569561245710360578', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 13:38:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 13:38:56', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"content":[""]}', '17', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569561274571366401', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 13:39:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 13:39:03', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/1569507482133536769', 'GET', '{"id":["1569507482133536769"]}', '48', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569561685638324226', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 13:40:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 13:40:41', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"content":[""]}', '26', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569561686057754625', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 13:40:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 13:40:41', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569561727967240194', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 13:40:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 13:40:51', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/1569507482133536769', 'GET', '{"id":["1569507482133536769"]}', '40', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569561806249730050', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 13:41:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 13:41:10', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/1569507482133536769', 'GET', '{"id":["1569507482133536769"]}', '39', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1567356833533390849', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-07 11:39:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-07 11:39:23', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '278', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1567356839350890497', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-07 11:39:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-07 11:39:25', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfprocessl/page', 'GET', '{"tenantId":[""],"current":["1"],"size":["1000"]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1567356953905721346', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-07 11:39:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-07 11:39:52', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '280', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1567356958989217793', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-07 11:39:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-07 11:39:53', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfprocessl/page', 'GET', '{"tenantId":[""],"current":["1"],"size":["1000"]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1567358228579872770', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-07 11:44:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-07 11:44:56', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '280', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1567358233118109698', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-07 11:44:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-07 11:44:57', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfprocessl/page', 'GET', '{"tenantId":[""],"current":["1"],"size":["1000"]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1567358718009012226', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-07 11:46:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-07 11:46:53', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '281', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1567358765513699329', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-07 11:47:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-07 11:47:04', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfprocessl/page', 'GET', '{"tenantId":[""],"current":["1"],"size":["1000"]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1567358893511274497', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-07 11:47:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-07 11:47:34', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfprocessl/page', 'GET', '{"tenantId":[""],"current":["1"],"size":["1000"]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1567359283216642049', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-07 11:49:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-07 11:49:07', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '304', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1567359291416506369', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-07 11:49:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-07 11:49:09', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfprocessl/page', 'GET', '{"tenantId":[""],"current":["1"],"size":["1000"]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1567359555833819137', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-07 11:50:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-07 11:50:12', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '296', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1567359562498568193', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-07 11:50:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-07 11:50:14', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfprocessl/page', 'GET', '{"tenantId":[""],"current":["1"],"size":["1000"]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1567386780696178689', '2', 'tofly-auth', 'll', TO_DATE('2022-09-07 13:38:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-07 13:38:23', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/token/e9f5a409-549c-4f5d-ac49-5d8885fa1766', 'DELETE', '{}', '8', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1567388668078452737', '2', 'tofly-auth', 'll', TO_DATE('2022-09-07 13:45:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-07 13:45:53', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/token/e9f5a409-549c-4f5d-ac49-5d8885fa1766', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1567395921468715009', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-07 14:14:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-07 14:14:43', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfprocessl/1565631350208364546', 'GET', '{}', '19', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1567401968384208898', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-07 14:38:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-07 14:38:44', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '294', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1567401976240140290', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-07 14:38:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-07 14:38:46', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfprocessl/page', 'GET', '{"tenantId":[""],"current":["1"],"size":["1000"]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1567402166816731137', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-07 14:39:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-07 14:39:32', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '288', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1567402172118331393', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-07 14:39:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-07 14:39:33', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfprocessl/page', 'GET', '{"tenantId":[""],"current":["1"],"size":["1000"]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1567402185674321921', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-07 14:39:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-07 14:39:36', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfprocessl/1565215112469393410', 'GET', '{}', '24', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1567403817736728578', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-07 14:46:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-07 14:46:05', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfprocessl/1565631350208364546', 'GET', '{}', '14', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1567408158317080578', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-07 15:03:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-07 15:03:20', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfprocessnodel/1', 'GET', '{}', '14', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1567408202084642817', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-07 15:03:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-07 15:03:31', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfprocessnodel/page', 'GET', '{"hitCount":[""],"records":[""],"latitude":[""],"searchCount":[""],"processStep":[""],"remark":[""],"adder":[""],"stepNode":[""],"dutyDept":[""],"current":[""],"handleState":[""],"total":[""],"processId":[""],"orders[0].asc":[""],"orders[0].column":[""],"startTime":[""],"id":[""],"handlePost":[""],"annex":[""],"outcome":[""],"longitude":[""],"signAnnex":[""],"handleDept":[""],"handleTime":[""],"handleUser":[""],"isOvertime":[""],"optimizeCountSql":[""],"createPost":[""],"isValid":[""],"opinion":[""],"timeLimit":[""],"condition":[""],"dutyUser":[""],"createDept":[""],"size":[""],"createTime":[""],"dataTime":[""],"nodeState":[""],"handleResults":[""],"dutyPost":[""],"createUser":[""],"endTime":[""],"isDel":[""]}', '28', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1567408284641128449', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-07 15:03:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-07 15:03:50', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfprocessnodel/1565215477281566721', 'GET', '{}', '9', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1567418718815383554', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-07 15:45:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-07 15:45:18', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfprocessl/1565215112469393410', 'GET', '{}', '12', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1567418845474975745', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-07 15:45:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-07 15:45:48', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfprocessl/1565215112469393410', 'GET', '{}', '15', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1567418953407000577', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-07 15:46:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-07 15:46:14', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfprocessl/1565215112469393410', 'GET', '{}', '12', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1567419752342220801', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-07 15:49:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-07 15:49:24', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfprocessl/1565215112469393410', 'GET', '{}', '12', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1567421586800766978', '2', 'tofly-auth', 'll', TO_DATE('2022-09-07 15:56:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-07 15:56:42', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/token/e9f5a409-549c-4f5d-ac49-5d8885fa1766', 'DELETE', '{}', '1', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1567423172117655553', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-07 16:03:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-07 16:03:00', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfprocessconfigl/page', 'GET', '{"hitCount":[""],"optimizeCountSql":[""],"records":[""],"isValid":[""],"searchCount":[""],"content":[""],"current":[""],"total":[""],"size":[""],"orders[0].asc":[""],"tenantId":[""],"orders[0].column":[""],"processType":[""],"businessType":[""],"isDel":[""],"isMould":[""]}', '40', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1567423236596690946', '0', 'tofly-flow', 'admin', TO_DATE('2022-09-07 16:03:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-07 16:03:15', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfprocessconfigl/1559812187957952514', 'GET', '{}', '206', NULL, 'nested exception is org.apache.ibatis.reflection.ReflectionException: Could not set property ''nodeNumber'' of ''class com.tofly.workflow.processconfig.entity.vo.PCStepVo'' with value ''1'' Cause: java.lang.IllegalArgumentException: argument type mismatch', 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1567427108845252609', '2', 'tofly-auth', 'll', TO_DATE('2022-09-07 16:18:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-07 16:18:38', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/token/e9f5a409-549c-4f5d-ac49-5d8885fa1766', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1567427133159632897', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-07 16:18:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-07 16:18:44', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfregisteritemw/1565631350208364546', 'GET', '{}', '8', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1565587819519471618', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-02 14:29:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-02 14:29:58', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessl/1565215112469393410', 'GET', '{}', '19389', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568434709020135426', '1', 'tofly-flow', 'll', TO_DATE('2022-09-10 11:02:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-10 11:02:29', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '5', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568479532548636674', '1', 'tofly-flow', 'll', TO_DATE('2022-09-10 14:00:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-10 14:00:36', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '4', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568479836249800705', '1', 'tofly-flow', 'll', TO_DATE('2022-09-10 14:01:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-10 14:01:48', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568480278534963202', '1', 'tofly-flow', 'll', TO_DATE('2022-09-10 14:03:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-10 14:03:34', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '4', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568481105563631617', '1', 'tofly-flow', 'll', TO_DATE('2022-09-10 14:06:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-10 14:06:51', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568484631807279105', '1', 'tofly-flow', 'll', TO_DATE('2022-09-10 14:20:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-10 14:20:51', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568485111174283266', '1', 'tofly-flow', 'll', TO_DATE('2022-09-10 14:22:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-10 14:22:46', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568494836758626306', '1', 'tofly-flow', 'll', TO_DATE('2022-09-10 15:01:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-10 15:01:24', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '4', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568495005344481282', '1', 'tofly-flow', 'll', TO_DATE('2022-09-10 15:02:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-10 15:02:05', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568495029516255234', '1', 'tofly-flow', 'll', TO_DATE('2022-09-10 15:02:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-10 15:02:10', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568495082171547649', '1', 'tofly-flow', 'll', TO_DATE('2022-09-10 15:02:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-10 15:02:23', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568495107547086849', '1', 'tofly-flow', 'll', TO_DATE('2022-09-10 15:02:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-10 15:02:29', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568495144557625346', '1', 'tofly-flow', 'll', TO_DATE('2022-09-10 15:02:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-10 15:02:38', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568495309007896578', '1', 'tofly-flow', 'll', TO_DATE('2022-09-10 15:03:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-10 15:03:17', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568495359985467394', '1', 'tofly-flow', 'll', TO_DATE('2022-09-10 15:03:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-10 15:03:29', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568495500406571010', '1', 'tofly-flow', 'll', TO_DATE('2022-09-10 15:04:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-10 15:04:03', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568496422142623745', '1', 'tofly-flow', 'll', TO_DATE('2022-09-10 15:07:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-10 15:07:42', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568498600756396033', '1', 'tofly-flow', 'll', TO_DATE('2022-09-10 15:16:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-10 15:16:22', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568498919506722817', '1', 'tofly-flow', 'll', TO_DATE('2022-09-10 15:17:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-10 15:17:38', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568499561818243074', '1', 'tofly-flow', 'll', TO_DATE('2022-09-10 15:20:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-10 15:20:11', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568499964727279617', '1', 'tofly-flow', 'll', TO_DATE('2022-09-10 15:21:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-10 15:21:47', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568500229295587330', '1', 'tofly-flow', 'll', TO_DATE('2022-09-10 15:22:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-10 15:22:50', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568500394261757954', '1', 'tofly-flow', 'll', TO_DATE('2022-09-10 15:23:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-10 15:23:29', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568500899486646273', '1', 'tofly-flow', 'll', TO_DATE('2022-09-10 15:25:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-10 15:25:30', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568501468523675649', '1', 'tofly-flow', 'll', TO_DATE('2022-09-10 15:27:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-10 15:27:46', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568506417001283585', '1', 'tofly-flow', 'll', TO_DATE('2022-09-10 15:47:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-10 15:47:25', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568508531282821121', '1', 'tofly-flow', 'll', TO_DATE('2022-09-10 15:55:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-10 15:55:49', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568509274777731074', '1', 'tofly-flow', 'll', TO_DATE('2022-09-10 15:58:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-10 15:58:47', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568509314183217154', '1', 'tofly-flow', 'll', TO_DATE('2022-09-10 15:58:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-10 15:58:56', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568509535910903809', '1', 'tofly-flow', 'll', TO_DATE('2022-09-10 15:59:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-10 15:59:49', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568509784050122754', '1', 'tofly-flow', 'll', TO_DATE('2022-09-10 16:00:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-10 16:00:48', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568509805352992769', '1', 'tofly-flow', 'll', TO_DATE('2022-09-10 16:00:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-10 16:00:53', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/1559812187957952514', 'GET', '{"id":["1559812187957952514"]}', '63', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568571675699068930', '1', 'tofly-flow', 'll', TO_DATE('2022-09-10 20:06:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-10 20:06:44', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '4', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568571973620482050', '1', 'tofly-flow', 'll', TO_DATE('2022-09-10 20:07:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-10 20:07:55', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["0"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568571973897306114', '1', 'tofly-flow', 'll', TO_DATE('2022-09-10 20:07:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-10 20:07:55', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"id":["1"],"type":["1"],"datatypes":["0"]}', '2', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568572005639798785', '1', 'tofly-flow', 'll', TO_DATE('2022-09-10 20:08:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-10 20:08:03', 'SYYYY-MM-DD HH24:MI:SS'), '171.214.159.70', NULL, '/tfbasetypep/typetree', 'GET', '{"id":[""],"type":["0"],"datatypes":["0"]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568572202423959554', '1', 'tofly-flow', 'll', TO_DATE('2022-09-10 20:08:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-10 20:08:50', 'SYYYY-MM-DD HH24:MI:SS'), '171.214.159.70', NULL, '/tfbasetypep/typetree', 'GET', '{"id":[""],"type":["0"],"datatypes":["1559422490094018562"]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568572666481754114', '1', 'tofly-flow', 'll', TO_DATE('2022-09-10 20:10:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-10 20:10:41', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["0"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568572666490142721', '1', 'tofly-flow', 'll', TO_DATE('2022-09-10 20:10:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-10 20:10:41', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"id":["1"],"type":["1"],"datatypes":["0"]}', '7', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568578759312293889', '1', 'tofly-flow', 'll', TO_DATE('2022-09-10 20:34:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-10 20:34:53', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"id":["1"],"type":["1"],"datatypes":["0"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568578759605895169', '1', 'tofly-flow', 'll', TO_DATE('2022-09-10 20:34:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-10 20:34:53', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '78', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1562267702792908802', '2', 'tofly-auth', 'hq', TO_DATE('2022-08-24 10:37:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-24 10:37:00', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.139', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["hq"]}', '284', NULL, NULL, 'content:登录 :hq', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1562268246844469249', '2', 'tofly-auth', 'hq', TO_DATE('2022-08-24 10:39:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-24 10:39:10', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.139', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["hq"]}', '305', NULL, NULL, 'content:登录 :hq', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568573228505907202', '1', 'tofly-flow', 'll', TO_DATE('2022-09-10 20:12:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-10 20:12:55', 'SYYYY-MM-DD HH24:MI:SS'), '171.214.159.70', NULL, '/tfbasetypep/typetree', 'GET', '{"id":[""],"type":["0"],"datatypes":["0"]}', '9', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568573838550646786', '1', 'tofly-flow', 'll', TO_DATE('2022-09-10 20:15:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-10 20:15:20', 'SYYYY-MM-DD HH24:MI:SS'), '171.214.159.70', NULL, '/tfbasetypep', 'POST', '{"dataType":0,"isValid":1,"typeName":"出入库流程","force":true,"parentId":0}', '112', NULL, NULL, 'content:新增基础类型表', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568573933270614018', '1', 'tofly-flow', 'll', TO_DATE('2022-09-10 20:15:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-10 20:15:43', 'SYYYY-MM-DD HH24:MI:SS'), '171.214.159.70', NULL, '/tfbasetypep/typetree', 'GET', '{"id":[""],"type":["0"],"datatypes":["0"]}', '7', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568574253916766209', '1', 'tofly-flow', 'll', TO_DATE('2022-09-10 20:16:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-10 20:16:59', 'SYYYY-MM-DD HH24:MI:SS'), '171.214.159.70', NULL, '/tfbasetypep/typetree', 'GET', '{"id":[""],"type":["0"],"datatypes":["1559422490094018562"]}', '7', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568574436687757313', '1', 'tofly-flow', 'll', TO_DATE('2022-09-10 20:17:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-10 20:17:43', 'SYYYY-MM-DD HH24:MI:SS'), '171.214.159.70', NULL, '/tfbasetypep', 'POST', '{"dataType":1559422490094018562,"isValid":1,"typeName":"老旧小区改造","force":true,"parentId":0,"typeCode":"LJXQ"}', '17', NULL, NULL, 'content:新增基础类型表', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568574458753990657', '1', 'tofly-flow', 'll', TO_DATE('2022-09-10 20:17:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-10 20:17:48', 'SYYYY-MM-DD HH24:MI:SS'), '171.214.159.70', NULL, '/tfbasetypep/typetree', 'GET', '{"id":[""],"type":["0"],"datatypes":["1559422490094018562"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568574571597545474', '1', 'tofly-flow', 'll', TO_DATE('2022-09-10 20:18:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-10 20:18:15', 'SYYYY-MM-DD HH24:MI:SS'), '171.214.159.70', NULL, '/tfbasetypep/typetree', 'GET', '{"id":[""],"type":["0"],"datatypes":["0"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568574641340432386', '1', 'tofly-flow', 'll', TO_DATE('2022-09-10 20:18:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-10 20:18:31', 'SYYYY-MM-DD HH24:MI:SS'), '171.214.159.70', NULL, '/tfbasetypep/typetree', 'GET', '{"id":[""],"type":["0"],"datatypes":["1559422490094018562"]}', '8', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568576031890620417', '1', 'tofly-flow', 'll', TO_DATE('2022-09-10 20:24:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-10 20:24:03', 'SYYYY-MM-DD HH24:MI:SS'), '171.214.159.70', NULL, '/tfbasetypep', 'POST', '{"dataType":0,"isValid":1,"typeName":"中民业务类别","force":true,"remark":"中民燃气的业务类别","parentId":0,"typeCode":"zmywlb"}', '10', NULL, NULL, 'content:新增基础类型表', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568576100425547778', '1', 'tofly-flow', 'll', TO_DATE('2022-09-10 20:24:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-10 20:24:19', 'SYYYY-MM-DD HH24:MI:SS'), '171.214.159.70', NULL, '/tfbasetypep/typetree', 'GET', '{"id":[""],"type":["0"],"datatypes":["0"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568576165005246466', '1', 'tofly-flow', 'll', TO_DATE('2022-09-10 20:24:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-10 20:24:35', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"id":[""],"type":["0"],"datatypes":["0"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568576682783686658', '1', 'tofly-flow', 'll', TO_DATE('2022-09-10 20:26:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-10 20:26:38', 'SYYYY-MM-DD HH24:MI:SS'), '171.214.159.70', NULL, '/tfbasetypep', 'POST', '{"dataType":1568576031811006466,"isValid":1,"typeName":"新安装工程","force":true,"remark":"新安装工程","parentId":0,"typeCode":"xazgc"}', '29', NULL, NULL, 'content:新增基础类型表', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568576778229268481', '1', 'tofly-flow', 'll', TO_DATE('2022-09-10 20:27:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-10 20:27:01', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"id":[""],"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568576834332278785', '1', 'tofly-flow', 'll', TO_DATE('2022-09-10 20:27:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-10 20:27:14', 'SYYYY-MM-DD HH24:MI:SS'), '171.214.159.70', NULL, '/tfbasetypep/typetree', 'GET', '{"id":[""],"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568576947515572225', '1', 'tofly-flow', 'll', TO_DATE('2022-09-10 20:27:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-10 20:27:41', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep', 'POST', '{"dataType":1568576031811006466,"isValid":1,"typeName":"市政工程","force":true,"remark":"市政工程","parentId":0,"typeCode":"szgc"}', '16', NULL, NULL, 'content:新增基础类型表', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568576983423008770', '1', 'tofly-flow', 'll', TO_DATE('2022-09-10 20:27:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-10 20:27:50', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"id":[""],"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568577324096962562', '1', 'tofly-flow', 'll', TO_DATE('2022-09-10 20:29:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-10 20:29:11', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep', 'POST', '{"dataType":1568576031811006466,"isValid":1,"typeName":"户内改造工程","force":true,"remark":"户内改造工程","parentId":0,"typeCode":"hlgzgc"}', '15', NULL, NULL, 'content:新增基础类型表', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568577340299558914', '1', 'tofly-flow', 'll', TO_DATE('2022-09-10 20:29:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-10 20:29:15', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"id":[""],"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568577567127519233', '1', 'tofly-flow', 'll', TO_DATE('2022-09-10 20:30:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-10 20:30:09', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep', 'POST', '{"dataType":1568576031811006466,"isValid":1,"typeName":"管道维修","force":true,"remark":"管道维修","parentId":0,"typeCode":"gdwx"}', '12', NULL, NULL, 'content:新增基础类型表', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568577793984839681', '1', 'tofly-flow', 'll', TO_DATE('2022-09-10 20:31:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-10 20:31:03', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568577794173583361', '1', 'tofly-flow', 'll', TO_DATE('2022-09-10 20:31:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-10 20:31:03', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"id":["1"],"type":["1"],"datatypes":["0"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568578643117490178', '1', 'tofly-flow', 'll', TO_DATE('2022-09-10 20:34:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-10 20:34:25', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568578643352371201', '1', 'tofly-flow', 'll', TO_DATE('2022-09-10 20:34:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-10 20:34:26', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"id":["1"],"type":["1"],"datatypes":["0"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568578669973618689', '1', 'tofly-flow', 'll', TO_DATE('2022-09-10 20:34:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-10 20:34:32', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568578669973618690', '1', 'tofly-flow', 'll', TO_DATE('2022-09-10 20:34:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-10 20:34:32', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"id":["1"],"type":["1"],"datatypes":["0"]}', '7', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568579000593825794', '1', 'tofly-flow', 'll', TO_DATE('2022-09-10 20:35:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-10 20:35:51', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '8', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568579131644854274', '1', 'tofly-flow', 'll', TO_DATE('2022-09-10 20:36:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-10 20:36:22', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568579158580674561', '1', 'tofly-flow', 'll', TO_DATE('2022-09-10 20:36:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-10 20:36:28', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"id":["1"],"type":["1"],"datatypes":["0"]}', '2', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568579238519914497', '1', 'tofly-flow', 'll', TO_DATE('2022-09-10 20:36:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-10 20:36:47', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"id":["1"],"type":["1"],"datatypes":["0"]}', '2', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568579238566051841', '1', 'tofly-flow', 'll', TO_DATE('2022-09-10 20:36:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-10 20:36:47', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '7', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568579392044023810', '1', 'tofly-flow', 'll', TO_DATE('2022-09-10 20:37:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-10 20:37:24', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"id":["1"],"type":["1"],"datatypes":["0"]}', '2', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568579392069189634', '1', 'tofly-flow', 'll', TO_DATE('2022-09-10 20:37:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-10 20:37:24', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568579891648544770', '1', 'tofly-flow', 'll', TO_DATE('2022-09-10 20:39:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-10 20:39:23', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"id":["1"],"type":["1"],"datatypes":["0"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568580511344377857', '1', 'tofly-flow', 'll', TO_DATE('2022-09-10 20:41:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-10 20:41:51', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568580921966739458', '1', 'tofly-flow', 'll', TO_DATE('2022-09-10 20:43:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-10 20:43:29', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"id":["1"],"type":["1"],"datatypes":["0"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568580971279171587', '1', 'tofly-flow', 'll', TO_DATE('2022-09-10 20:43:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-10 20:43:41', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"id":["1"],"type":["1"],"datatypes":["0"]}', '1', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1567427528103686145', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-07 16:20:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-07 16:20:18', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfregisteritemw/1565631350208364546', 'GET', '{}', '3', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1567427598270197761', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-07 16:20:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-07 16:20:35', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfregisteritemw/1565631350208364546', 'GET', '{}', '1', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568036705482162177', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-09 08:40:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-09 08:40:57', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '310', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568036712872525825', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-09 08:40:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-09 08:40:59', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfprocessl/page', 'GET', '{"tenantId":[""],"current":["1"],"size":["1000"]}', '28', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568036718371258370', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-09 08:41:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-09 08:41:01', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfprocessl/1565631350208364546', 'GET', '{}', '31', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568036718396424193', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-09 08:41:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-09 08:41:01', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfprocessconfigl/1559812187957952514', 'GET', '{}', '34', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568036949116698626', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-09 08:41:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-09 08:41:56', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfprocessl/1565631350208364546', 'GET', '{}', '14', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568038057960652802', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-09 08:46:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-09 08:46:20', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfprocessl/1565631350208364546', 'GET', '{}', '13', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568038289515593729', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-09 08:47:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-09 08:47:15', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfprocessl/1565631350208364546', 'GET', '{}', '13', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568038308754866177', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-09 08:47:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-09 08:47:20', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfprocessl/1565631350208364546', 'GET', '{}', '10', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568041896075968514', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-09 09:01:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-09 09:01:35', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '316', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568041903537635329', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-09 09:01:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-09 09:01:37', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfprocessl/page', 'GET', '{"tenantId":[""],"current":["1"],"size":["1000"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568041920642007042', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-09 09:01:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-09 09:01:41', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfprocessl/1565631350208364546', 'GET', '{}', '35', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568041920658784258', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-09 09:01:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-09 09:01:41', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfprocessconfigl/1559812187957952514', 'GET', '{}', '31', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568042137995034625', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-09 09:02:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-09 09:02:33', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfprocessnodel/1565215477281566721', 'GET', '{}', '22', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568042199005380609', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-09 09:02:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-09 09:02:47', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfprocessnodel/page', 'GET', '{"hitCount":[""],"records":[""],"latitude":[""],"searchCount":[""],"processStep":[""],"remark":[""],"adder":[""],"stepNode":[""],"dutyDept":[""],"current":[""],"handleState":[""],"total":[""],"processId":[""],"orders[0].asc":[""],"orders[0].column":[""],"startTime":[""],"id":[""],"handlePost":[""],"annex":[""],"outcome":[""],"longitude":[""],"signAnnex":[""],"handleDept":[""],"handleTime":[""],"handleUser":[""],"isOvertime":[""],"optimizeCountSql":[""],"createPost":[""],"isValid":[""],"opinion":[""],"timeLimit":[""],"condition":[""],"dutyUser":[""],"createDept":[""],"size":[""],"createTime":[""],"dataTime":[""],"nodeState":[""],"handleResults":[""],"dutyPost":[""],"createUser":[""],"endTime":[""],"isDel":[""]}', '20', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568042317532217346', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-09 09:03:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-09 09:03:15', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfprocessl/1565631350208364546', 'GET', '{}', '10', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568042435933224962', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-09 09:03:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-09 09:03:44', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfprocessnodel/1559812187957952514', 'GET', '{}', '2', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568042505235709954', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-09 09:04:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-09 09:04:00', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfprocessnodel/1565631351164665858', 'GET', '{}', '7', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568042587360182273', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-09 09:04:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-09 09:04:20', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfprocessl/page', 'GET', '{"hitCount":[""],"registerStaff":[""],"processState":[""],"records":[""],"processNumber":[""],"searchCount":[""],"edition":[""],"remark":[""],"relationNumber":[""],"current":[""],"total":[""],"configId":[""],"orders[0].asc":[""],"registerPost":[""],"ywType":[""],"orders[0].column":[""],"id":[""],"processType":[""],"optimizeCountSql":[""],"registerTime":[""],"registerDept":[""],"passingNode":[""],"relationId":[""],"size":[""],"createTime":[""],"name":[""],"tenantId":[""],"createUser":[""],"category":[""],"isDel":[""]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568042673695735810', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-09 09:04:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-09 09:04:40', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfprocessl/1565215112469393410', 'GET', '{}', '13', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568042842797490177', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-09 09:05:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-09 09:05:21', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfprocessnodel/1559812187957952514', 'GET', '{}', '2', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568043140601462785', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-09 09:06:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-09 09:06:32', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfprocessnodel/1565634828783747074', 'GET', '{}', '6', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568043753984868353', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-09 09:08:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-09 09:08:58', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfprocessconfigl/page', 'GET', '{"hitCount":[""],"optimizeCountSql":[""],"records":[""],"isValid":[""],"searchCount":[""],"content":[""],"current":[""],"total":[""],"size":[""],"orders[0].asc":[""],"tenantId":[""],"orders[0].column":[""],"processType":[""],"businessType":[""],"isDel":[""],"isMould":[""]}', '28', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568043823312519170', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-09 09:09:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-09 09:09:14', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfprocessconfigl/1559812187957952514', 'GET', '{}', '30', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568046398686478338', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-09 09:19:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-09 09:19:28', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfprocessconfigl/page', 'GET', '{"hitCount":[""],"optimizeCountSql":[""],"records":[""],"isValid":[""],"searchCount":[""],"content":[""],"current":[""],"total":[""],"size":[""],"orders[0].asc":[""],"tenantId":[""],"orders[0].column":[""],"processType":[""],"businessType":[""],"isDel":[""],"isMould":[""]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568046515518816258', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-09 09:19:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-09 09:19:56', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfprocessl/page', 'GET', '{"hitCount":[""],"registerStaff":[""],"processState":[""],"records":[""],"processNumber":[""],"searchCount":[""],"edition":[""],"remark":[""],"relationNumber":[""],"current":[""],"total":[""],"configId":[""],"orders[0].asc":[""],"registerPost":[""],"ywType":[""],"orders[0].column":[""],"id":[""],"processType":[""],"optimizeCountSql":[""],"registerTime":[""],"registerDept":[""],"passingNode":[""],"relationId":[""],"size":[""],"createTime":[""],"name":[""],"tenantId":[""],"createUser":[""],"category":[""],"isDel":[""]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568140197290962946', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-09 15:32:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-09 15:32:12', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '302', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568140202416402434', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-09 15:32:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-09 15:32:13', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfprocessl/page', 'GET', '{"tenantId":[""],"current":["1"],"size":["1000"]}', '166', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568435300958064641', '2', 'tofly-auth', 'll', TO_DATE('2022-09-10 11:04:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-10 11:04:50', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/token/e9f5a409-549c-4f5d-ac49-5d8885fa1766', 'DELETE', '{}', '3', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568585539639590913', '1', 'tofly-flow', 'll', TO_DATE('2022-09-10 21:01:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-10 21:01:50', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006500"],"id":[""]}', '2', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568585981362716673', '1', 'tofly-flow', 'll', TO_DATE('2022-09-10 21:03:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-10 21:03:35', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568395254620082178', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-10 08:25:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-10 08:25:42', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfprocessconfigl/1559812187957952514', 'GET', '{}', '300', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568479204692475905', '1', 'tofly-flow', 'll', TO_DATE('2022-09-10 13:59:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-10 13:59:17', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568479904700841985', '1', 'tofly-flow', 'll', TO_DATE('2022-09-10 14:02:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-10 14:02:04', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568480145948819458', '1', 'tofly-flow', 'll', TO_DATE('2022-09-10 14:03:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-10 14:03:02', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568565443479224322', '1', 'tofly-flow', 'll', TO_DATE('2022-09-10 19:41:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-10 19:41:58', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568566432294780929', '1', 'tofly-flow', 'll', TO_DATE('2022-09-10 19:45:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-10 19:45:54', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568566465551417345', '1', 'tofly-flow', 'll', TO_DATE('2022-09-10 19:46:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-10 19:46:02', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568566496081756161', '2', 'tofly-auth', 'll', TO_DATE('2022-09-10 19:46:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-10 19:46:09', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/token/e9f5a409-549c-4f5d-ac49-5d8885fa1766', 'DELETE', '{}', '6', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568568193554333697', '1', 'tofly-flow', 'll', TO_DATE('2022-09-10 19:52:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-10 19:52:54', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"id":["1"],"type":["1"],"datatypes":["0"]}', '71', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568568193554333698', '1', 'tofly-flow', 'll', TO_DATE('2022-09-10 19:52:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-10 19:52:54', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["0"],"id":[""]}', '72', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568579000585437185', '1', 'tofly-flow', 'll', TO_DATE('2022-09-10 20:35:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-10 20:35:51', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"id":["1"],"type":["1"],"datatypes":["0"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568579131653242882', '1', 'tofly-flow', 'll', TO_DATE('2022-09-10 20:36:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-10 20:36:22', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"id":["1"],"type":["1"],"datatypes":["0"]}', '2', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568579158572285953', '1', 'tofly-flow', 'll', TO_DATE('2022-09-10 20:36:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-10 20:36:28', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568579891673710594', '1', 'tofly-flow', 'll', TO_DATE('2022-09-10 20:39:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-10 20:39:23', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568580511327600641', '1', 'tofly-flow', 'll', TO_DATE('2022-09-10 20:41:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-10 20:41:51', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"id":["1"],"type":["1"],"datatypes":["0"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568580921975128066', '1', 'tofly-flow', 'll', TO_DATE('2022-09-10 20:43:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-10 20:43:29', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568580970700357634', '1', 'tofly-flow', 'll', TO_DATE('2022-09-10 20:43:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-10 20:43:40', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep', 'POST', '{}', '29', NULL, NULL, 'content:新增基础类型表', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568580971279171586', '1', 'tofly-flow', 'll', TO_DATE('2022-09-10 20:43:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-10 20:43:41', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568591838502731777', '0', 'tofly-flow', 'll', TO_DATE('2022-09-10 21:26:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-10 21:26:51', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep', 'PUT', '{}', '90', NULL, 'nested exception is org.apache.ibatis.type.TypeException: Could not set parameters for mapping: ParameterMapping{property=''ew.paramNameValuePairs.MPGENVAL1'', mode=IN, javaType=class java.lang.Object, jdbcType=null, numericScale=null, resultMapId=''null'', jdbcTypeName=''null'', expression=''null''}. Cause: org.apache.ibatis.type.TypeException: Error setting null for parameter #1 with JdbcType OTHER . Try setting a different JdbcType for this parameter or a different jdbcTypeForNull configuration property. Cause: java.sql.SQLException: 无效的列类型: 1111', 'content:修改基础类型表', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568772819838844930', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-11 09:26:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-11 09:26:01', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '317', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568772832253984770', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-11 09:26:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-11 09:26:04', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfprocessl/page', 'GET', '{"tenantId":[""],"current":["1"],"size":["1000"]}', '172', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568772851300319233', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-11 09:26:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-11 09:26:08', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfprocessconfigl/1559812187957952514', 'GET', '{}', '43', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568772852302757890', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-11 09:26:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-11 09:26:09', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfprocessl/1565215112469393410', 'GET', '{}', '78', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568773219354689537', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-11 09:27:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-11 09:27:36', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfprocessl/1565215112469393410', 'GET', '{}', '41', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568773219363078146', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-11 09:27:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-11 09:27:36', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfprocessconfigl/1559812187957952514', 'GET', '{}', '44', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569500912073383937', '2', 'tofly-auth', 'yj', TO_DATE('2022-09-13 09:39:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 09:39:12', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.170.172', NULL, '/token/01b79e16-89b3-45d8-9bbf-c73673976d30', 'DELETE', '{}', '1', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569514415098241026', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-13 10:32:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 10:32:51', 'SYYYY-MM-DD HH24:MI:SS'), '61.157.29.47', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '37', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569514422018842626', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-13 10:32:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 10:32:53', 'SYYYY-MM-DD HH24:MI:SS'), '61.157.29.47', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"content":[""]}', '21', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569514422262112258', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-13 10:32:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 10:32:53', 'SYYYY-MM-DD HH24:MI:SS'), '61.157.29.47', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"content":[""]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569514425852436482', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-13 10:32:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 10:32:53', 'SYYYY-MM-DD HH24:MI:SS'), '61.157.29.47', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569152821327564802"]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569514426443833345', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-13 10:32:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 10:32:54', 'SYYYY-MM-DD HH24:MI:SS'), '61.157.29.47', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569514482349711361', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-13 10:33:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 10:33:07', 'SYYYY-MM-DD HH24:MI:SS'), '61.157.29.47', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":["1569152821327564802"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569515372100001793', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-13 10:36:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 10:36:39', 'SYYYY-MM-DD HH24:MI:SS'), '61.157.29.47', NULL, '/tfprocessconfigl/1', 'GET', '{"id":["1"]}', '3', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569567797146099713', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 14:04:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 14:04:58', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569568286784954370', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 14:06:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 14:06:55', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/1569507482133536769', 'GET', '{"id":["1569507482133536769"]}', '30', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569568301204971522', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 14:06:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 14:06:58', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569568302433902593', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 14:06:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 14:06:59', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569568327209656321', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 14:07:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 14:07:05', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/1569507482133536769', 'GET', '{"id":["1569507482133536769"]}', '40', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569568339159228417', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 14:07:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 14:07:07', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569568340358799361', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 14:07:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 14:07:08', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1561901822158401537', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-23 10:23:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-23 10:23:07', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.59', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '756', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1561904659063992322', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-23 10:34:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-23 10:34:24', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.59', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '322', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1561925221756792834', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-23 11:56:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-23 11:56:06', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.59', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '304', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1561926203186180097', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-23 12:00:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-23 12:00:00', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.59', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '344', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1561950111767556097', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-23 13:35:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-23 13:35:00', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.24', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '304', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1561970344490266626', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-23 14:55:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-23 14:55:24', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.59', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '317', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1561984706433085442', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-23 15:52:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-23 15:52:28', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.59', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '313', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1561987490763075586', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-23 16:03:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-23 16:03:32', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.138', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '307', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1561987803934978050', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-23 16:04:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-23 16:04:47', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.138', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '318', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1561988346526920705', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-23 16:06:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-23 16:06:56', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.138', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '292', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1561996031368458242', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-23 16:37:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-23 16:37:29', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.138', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '309', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1561996804089278465', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-23 16:40:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-23 16:40:33', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.138', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '299', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1561997265995395074', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-23 16:42:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-23 16:42:23', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.138', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '310', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1561997626663596034', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-23 16:43:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-23 16:43:49', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.138', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '297', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1561998304219852801', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-23 16:46:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-23 16:46:30', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.138', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '282', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1561998724526862338', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-23 16:48:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-23 16:48:11', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.138', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '304', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1562006766274310146', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-23 17:20:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-23 17:20:08', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '302', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1567692098651156482', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-08 09:51:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-08 09:51:37', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '422', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1567692114891501569', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-08 09:51:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-08 09:51:41', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfprocessl/1565631350208364546', 'GET', '{}', '93', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1567692116015575042', '0', 'tofly-flow', 'admin', TO_DATE('2022-09-08 09:51:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-08 09:51:41', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfprocessconfigl/1559812187957952514', 'GET', '{}', '450', NULL, 'nested exception is org.apache.ibatis.reflection.ReflectionException: Could not set property ''nodeNumber'' of ''class com.tofly.workflow.processconfig.entity.vo.PCStepVo'' with value ''1'' Cause: java.lang.IllegalArgumentException: argument type mismatch', 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1567714418996408322', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-08 11:20:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-08 11:20:18', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '370', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1567714500714033153', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-08 11:20:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-08 11:20:38', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfprocessl/1565631350208364546', 'GET', '{}', '37', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1567714500747587586', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-08 11:20:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-08 11:20:38', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfprocessconfigl/1559812187957952514', 'GET', '{}', '37', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1567714729899192322', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-08 11:21:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-08 11:21:32', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfprocessl/1565631350208364546', 'GET', '{}', '19', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1567714730012438529', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-08 11:21:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-08 11:21:33', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfprocessconfigl/1559812187957952514', 'GET', '{}', '39', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1567721485501067265', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-08 11:48:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-08 11:48:23', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '278', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1567721983889240065', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-08 11:50:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-08 11:50:22', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfprocessl/page', 'GET', '{"hitCount":[""],"registerStaff":[""],"processState":[""],"records":[""],"processNumber":[""],"searchCount":[""],"edition":[""],"remark":[""],"relationNumber":[""],"current":[""],"total":[""],"configId":[""],"orders[0].asc":[""],"registerPost":[""],"ywType":[""],"orders[0].column":[""],"id":[""],"processType":[""],"optimizeCountSql":[""],"registerTime":[""],"registerDept":[""],"passingNode":[""],"relationId":[""],"size":[""],"createTime":[""],"name":[""],"tenantId":[""],"createUser":[""],"category":[""],"isDel":[""]}', '163', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568586203316895745', '1', 'tofly-flow', 'll', TO_DATE('2022-09-10 21:04:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-10 21:04:28', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568586455356817410', '1', 'tofly-flow', 'll', TO_DATE('2022-09-10 21:05:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-10 21:05:28', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568586852599349250', '1', 'tofly-flow', 'll', TO_DATE('2022-09-10 21:07:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-10 21:07:03', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568586952369258499', '1', 'tofly-flow', 'll', TO_DATE('2022-09-10 21:07:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-10 21:07:27', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568587201074708482', '1', 'tofly-flow', 'll', TO_DATE('2022-09-10 21:08:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-10 21:08:26', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep', 'POST', '{}', '17', NULL, NULL, 'content:新增基础类型表', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568587212009259009', '1', 'tofly-flow', 'll', TO_DATE('2022-09-10 21:08:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-10 21:08:28', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep', 'POST', '{}', '15', NULL, NULL, 'content:新增基础类型表', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568587273623584769', '1', 'tofly-flow', 'll', TO_DATE('2022-09-10 21:08:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-10 21:08:43', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568587428246601730', '1', 'tofly-flow', 'll', TO_DATE('2022-09-10 21:09:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-10 21:09:20', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568587495049281537', '1', 'tofly-flow', 'll', TO_DATE('2022-09-10 21:09:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-10 21:09:36', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568589184179388417', '1', 'tofly-flow', 'll', TO_DATE('2022-09-10 21:16:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-10 21:16:19', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/1568588843450986498', 'DELETE', '{}', '33', NULL, NULL, 'content:通过id删除基础类型表,有关联数据验证', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568589185416708098', '1', 'tofly-flow', 'll', TO_DATE('2022-09-10 21:16:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-10 21:16:19', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568589185651589122', '1', 'tofly-flow', 'll', TO_DATE('2022-09-10 21:16:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-10 21:16:19', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '15', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568589404967550978', '1', 'tofly-flow', 'll', TO_DATE('2022-09-10 21:17:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-10 21:17:11', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568589405001105410', '1', 'tofly-flow', 'll', TO_DATE('2022-09-10 21:17:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-10 21:17:11', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568589572181868546', '1', 'tofly-flow', 'll', TO_DATE('2022-09-10 21:17:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-10 21:17:51', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep', 'POST', '{}', '13', NULL, NULL, 'content:新增基础类型表', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568589572781654017', '1', 'tofly-flow', 'll', TO_DATE('2022-09-10 21:17:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-10 21:17:51', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568589623205576706', '1', 'tofly-flow', 'll', TO_DATE('2022-09-10 21:18:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-10 21:18:03', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568589651340967938', '1', 'tofly-flow', 'll', TO_DATE('2022-09-10 21:18:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-10 21:18:10', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/1568589622496817154', 'DELETE', '{}', '10', NULL, NULL, 'content:通过id删除基础类型表,有关联数据验证', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568589651949142017', '1', 'tofly-flow', 'll', TO_DATE('2022-09-10 21:18:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-10 21:18:10', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568589680810147841', '1', 'tofly-flow', 'll', TO_DATE('2022-09-10 21:18:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-10 21:18:17', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568589775299428353', '1', 'tofly-flow', 'll', TO_DATE('2022-09-10 21:18:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-10 21:18:40', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568589802793091074', '1', 'tofly-flow', 'll', TO_DATE('2022-09-10 21:18:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-10 21:18:46', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568589839249981442', '1', 'tofly-flow', 'll', TO_DATE('2022-09-10 21:18:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-10 21:18:55', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep', 'PUT', '{}', '717', NULL, NULL, 'content:修改基础类型表', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568589839967207426', '1', 'tofly-flow', 'll', TO_DATE('2022-09-10 21:18:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-10 21:18:55', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568589862922633217', '1', 'tofly-flow', 'll', TO_DATE('2022-09-10 21:19:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-10 21:19:00', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568591712522616833', '1', 'tofly-flow', 'll', TO_DATE('2022-09-10 21:26:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-10 21:26:21', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568591712753303553', '1', 'tofly-flow', 'll', TO_DATE('2022-09-10 21:26:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-10 21:26:22', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '10', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568591820400115714', '1', 'tofly-flow', 'll', TO_DATE('2022-09-10 21:26:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-10 21:26:47', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep', 'POST', '{}', '22', NULL, NULL, 'content:新增基础类型表', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568591821054427137', '1', 'tofly-flow', 'll', TO_DATE('2022-09-10 21:26:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-10 21:26:47', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568591821054427138', '1', 'tofly-flow', 'll', TO_DATE('2022-09-10 21:26:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-10 21:26:47', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568591833075302401', '0', 'tofly-flow', 'll', TO_DATE('2022-09-10 21:26:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-10 21:26:50', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep', 'PUT', '{}', '90', NULL, 'nested exception is org.apache.ibatis.type.TypeException: Could not set parameters for mapping: ParameterMapping{property=''ew.paramNameValuePairs.MPGENVAL1'', mode=IN, javaType=class java.lang.Object, jdbcType=null, numericScale=null, resultMapId=''null'', jdbcTypeName=''null'', expression=''null''}. Cause: org.apache.ibatis.type.TypeException: Error setting null for parameter #1 with JdbcType OTHER . Try setting a different JdbcType for this parameter or a different jdbcTypeForNull configuration property. Cause: java.sql.SQLException: 无效的列类型: 1111', 'content:修改基础类型表', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568591833930940418', '1', 'tofly-flow', 'll', TO_DATE('2022-09-10 21:26:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-10 21:26:50', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568591833930940419', '1', 'tofly-flow', 'll', TO_DATE('2022-09-10 21:26:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-10 21:26:50', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568591839312232449', '1', 'tofly-flow', 'll', TO_DATE('2022-09-10 21:26:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-10 21:26:52', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568591839320621058', '1', 'tofly-flow', 'll', TO_DATE('2022-09-10 21:26:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-10 21:26:52', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568591868554919937', '0', 'tofly-flow', 'll', TO_DATE('2022-09-10 21:26:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-10 21:26:59', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep', 'PUT', '{}', '85', NULL, 'nested exception is org.apache.ibatis.type.TypeException: Could not set parameters for mapping: ParameterMapping{property=''ew.paramNameValuePairs.MPGENVAL1'', mode=IN, javaType=class java.lang.Object, jdbcType=null, numericScale=null, resultMapId=''null'', jdbcTypeName=''null'', expression=''null''}. Cause: org.apache.ibatis.type.TypeException: Error setting null for parameter #1 with JdbcType OTHER . Try setting a different JdbcType for this parameter or a different jdbcTypeForNull configuration property. Cause: java.sql.SQLException: 无效的列类型: 1111', 'content:修改基础类型表', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568591869758685185', '1', 'tofly-flow', 'll', TO_DATE('2022-09-10 21:26:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-10 21:26:59', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568591869767073794', '1', 'tofly-flow', 'll', TO_DATE('2022-09-10 21:26:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-10 21:26:59', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1561891590107070466', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-23 09:42:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-23 09:42:28', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '530', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1561892790051307521', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-23 09:47:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-23 09:47:14', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '182', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1561894969403277313', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-23 09:55:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-23 09:55:53', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '201', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1561895504822960129', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-23 09:58:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-23 09:58:01', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '192', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1561895616525664258', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-23 09:58:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-23 09:58:28', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '271', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1561901392950493186', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-23 10:21:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-23 10:21:25', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '191', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1561901500551168001', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-23 10:21:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-23 10:21:51', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '213', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1561901939967426562', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-23 10:23:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-23 10:23:35', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '245', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1561918556978176001', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-23 11:29:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-23 11:29:37', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '889', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1561918774477611010', '0', 'tofly-auth', 'admin', TO_DATE('2022-08-23 11:30:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-23 11:30:29', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/oauth/token', 'POST', '{"password":["3d4f2bf07dc1be38b20cd6e46949a1071f9d0e3d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '731', NULL, '密码错误。当前密码错误次数是：1,密码错误5次账户将会被锁定', 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1561918807470006273', '0', 'tofly-auth', 'admin', TO_DATE('2022-08-23 11:30:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-23 11:30:37', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '159', NULL, '密码错误。当前密码错误次数是：2,密码错误5次账户将会被锁定', 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1561918871848378369', '0', 'tofly-auth', 'admin', TO_DATE('2022-08-23 11:30:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-23 11:30:52', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '155', NULL, '密码错误。当前密码错误次数是：3,密码错误5次账户将会被锁定', 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1561919266129731586', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-23 11:32:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-23 11:32:26', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '356', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1561920631728005122', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-23 11:37:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-23 11:37:52', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/oauth/token', 'POST', '{"password":["3d4f2bf07dc1be38b20cd6e46949a1071f9d0e3d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '222', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1561921584799703041', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-23 11:41:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-23 11:41:39', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/oauth/token', 'POST', '{"password":["3d4f2bf07dc1be38b20cd6e46949a1071f9d0e3d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '337', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1561921663862333441', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-23 11:41:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-23 11:41:58', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '318', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1561953921344233474', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-23 13:50:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-23 13:50:09', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '231', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1561954649005645826', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-23 13:53:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-23 13:53:02', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '349', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1561955065097379842', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-23 13:54:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-23 13:54:41', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '203', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1561955359805956098', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-23 13:55:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-23 13:55:52', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '175', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1561963693535682562', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-23 14:28:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-23 14:28:59', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '217', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1561963706072457218', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-23 14:29:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-23 14:29:02', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '184', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1561968094379794434', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-23 14:46:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-23 14:46:28', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '356', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1561968146204614658', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-23 14:46:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-23 14:46:40', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '236', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1562717399022161921', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-25 16:23:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-25 16:23:56', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '330', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1562720419462107138', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-25 16:35:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-25 16:35:56', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '307', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1561913620857049089', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-23 11:10:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-23 11:10:00', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '345', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1561916348136116225', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-23 11:20:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-23 11:20:51', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '226', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1561976109330223105', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-23 15:18:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-23 15:18:19', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.138', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '239', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1561976230667243522', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-23 15:18:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-23 15:18:48', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.138', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '187', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1561976992365432834', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-23 15:21:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-23 15:21:49', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.138', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '197', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1561977444213211138', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-23 15:23:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-23 15:23:37', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.138', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '419', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1561978032971857921', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-23 15:25:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-23 15:25:57', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '190', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1561978661094047745', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-23 15:28:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-23 15:28:27', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '178', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1561978857186148354', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-23 15:29:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-23 15:29:14', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.138', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '390', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1561979233834647554', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-23 15:30:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-23 15:30:44', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.138', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '169', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1561979544540299265', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-23 15:31:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-23 15:31:58', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.138', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '187', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1561980305730977794', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-23 15:34:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-23 15:34:59', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.138', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '205', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1561980359036387330', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-23 15:35:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-23 15:35:12', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.138', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '189', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1561981258165141506', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-23 15:38:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-23 15:38:46', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.138', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '181', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1562254139571298306', '2', 'tofly-auth', 'hq', TO_DATE('2022-08-24 09:43:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-24 09:43:06', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.139', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["hq"]}', '637', NULL, NULL, 'content:登录 :hq', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1565621724444291073', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-02 16:44:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-02 16:44:41', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessl', 'POST', '{}', '19530', NULL, NULL, 'content:新增流程信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1565621813984292865', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-02 16:45:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-02 16:45:02', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessconfigl/page', 'GET', '{"hitCount":[""],"optimizeCountSql":[""],"records":[""],"isValid":[""],"searchCount":[""],"content":[""],"current":[""],"total":[""],"size":[""],"orders[0].asc":[""],"tenantId":[""],"orders[0].column":[""],"processType":[""],"businessType":[""],"isDel":[""],"isMould":[""]}', '201', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1565621856548089857', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-02 16:45:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-02 16:45:13', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessconfigl/page', 'GET', '{"hitCount":[""],"optimizeCountSql":[""],"records":[""],"isValid":[""],"searchCount":[""],"content":[""],"current":[""],"total":[""],"size":[""],"orders[0].asc":[""],"tenantId":[""],"orders[0].column":[""],"processType":[""],"businessType":[""],"isDel":[""],"isMould":[""]}', '109', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1565622202431369217', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-02 16:46:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-02 16:46:35', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessconfigl/page', 'GET', '{"hitCount":[""],"optimizeCountSql":[""],"records":[""],"isValid":[""],"searchCount":[""],"content":[""],"current":[""],"total":[""],"size":[""],"orders[0].asc":[""],"tenantId":[""],"orders[0].column":[""],"processType":[""],"businessType":[""],"isDel":[""],"isMould":[""]}', '106', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1565622249604706306', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-02 16:46:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-02 16:46:46', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessl/page', 'GET', '{"hitCount":[""],"registerStaff":[""],"processState":[""],"records":[""],"processNumber":[""],"searchCount":[""],"edition":[""],"remark":[""],"relationNumber":[""],"current":[""],"total":[""],"configId":[""],"orders[0].asc":[""],"registerPost":[""],"ywType":[""],"orders[0].column":[""],"id":[""],"processType":[""],"optimizeCountSql":[""],"registerTime":[""],"registerDept":[""],"passingNode":[""],"relationId":[""],"size":[""],"createTime":[""],"name":[""],"tenantId":[""],"createUser":[""],"category":[""],"isDel":[""]}', '87', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1565622394194948097', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-02 16:47:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-02 16:47:21', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessl/1565621723466969089', 'GET', '{}', '105', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1565622630975991810', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-02 16:48:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-02 16:48:17', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessl', 'POST', '{}', '30', NULL, NULL, 'content:新增流程信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1565622718301401090', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-02 16:48:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-02 16:48:38', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessl', 'POST', '{}', '24', NULL, NULL, 'content:新增流程信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1565624119857442817', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-02 16:54:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-02 16:54:12', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessl', 'POST', '{}', '61', NULL, NULL, 'content:新增流程信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1567723107656527874', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-08 11:54:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-08 11:54:50', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '509', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1567723120939888642', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-08 11:54:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-08 11:54:53', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfprocessl/page', 'GET', '{"tenantId":[""],"current":["1"],"size":["1000"]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1567723479523520514', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-08 11:56:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-08 11:56:19', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '464', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1567723485831753729', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-08 11:56:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-08 11:56:20', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfprocessl/page', 'GET', '{"tenantId":[""],"current":["1"],"size":["1000"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1562349267274727425', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-24 16:01:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-24 16:01:07', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '228', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1562377062177157122', '2', 'tofly-auth', 'hq', TO_DATE('2022-08-24 17:51:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-24 17:51:33', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.139', NULL, '/token/5d0be27a-f95a-4867-bcaf-09e8eafc97d6', 'DELETE', '{}', '8', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1567800222917705730', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-08 17:01:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-08 17:01:16', 'SYYYY-MM-DD HH24:MI:SS'), '183.221.99.80', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '314', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1567800231939653633', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-08 17:01:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-08 17:01:18', 'SYYYY-MM-DD HH24:MI:SS'), '183.221.99.80', NULL, '/tfprocessl/page', 'GET', '{"tenantId":[""],"current":["1"],"size":["1000"]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568589623197188097', '1', 'tofly-flow', 'll', TO_DATE('2022-09-10 21:18:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-10 21:18:03', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568589651957530625', '1', 'tofly-flow', 'll', TO_DATE('2022-09-10 21:18:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-10 21:18:10', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568589680801759234', '1', 'tofly-flow', 'll', TO_DATE('2022-09-10 21:18:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-10 21:18:17', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568589775312011266', '1', 'tofly-flow', 'll', TO_DATE('2022-09-10 21:18:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-10 21:18:40', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568589802176528386', '1', 'tofly-flow', 'll', TO_DATE('2022-09-10 21:18:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-10 21:18:46', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep', 'POST', '{}', '13', NULL, NULL, 'content:新增基础类型表', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568589802784702465', '1', 'tofly-flow', 'll', TO_DATE('2022-09-10 21:18:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-10 21:18:46', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568589839975596034', '1', 'tofly-flow', 'll', TO_DATE('2022-09-10 21:18:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-10 21:18:55', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568589862272516098', '1', 'tofly-flow', 'll', TO_DATE('2022-09-10 21:19:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-10 21:19:00', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/1568589802109497346', 'DELETE', '{}', '13', NULL, NULL, 'content:通过id删除基础类型表,有关联数据验证', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568589862914244610', '1', 'tofly-flow', 'll', TO_DATE('2022-09-10 21:19:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-10 21:19:00', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569124730207211521', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-12 08:44:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 08:44:23', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfprocessconfigl/1559812187957952514', 'GET', '{}', '59', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569216381122514946', '1', 'tofly-flow', 'll', TO_DATE('2022-09-12 14:48:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 14:48:34', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"content":["{}"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569216386541555714', '1', 'tofly-flow', 'll', TO_DATE('2022-09-12 14:48:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 14:48:35', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569216387988590593', '1', 'tofly-flow', 'll', TO_DATE('2022-09-12 14:48:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 14:48:36', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569217894502895618', '1', 'tofly-flow', 'll', TO_DATE('2022-09-12 14:54:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 14:54:35', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569217896121896961', '1', 'tofly-flow', 'll', TO_DATE('2022-09-12 14:54:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 14:54:35', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569221837144461313', '1', 'tofly-flow', 'll', TO_DATE('2022-09-12 15:10:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 15:10:15', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569221838264340481', '1', 'tofly-flow', 'll', TO_DATE('2022-09-12 15:10:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 15:10:15', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569222103008808962', '1', 'tofly-flow', 'll', TO_DATE('2022-09-12 15:11:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 15:11:18', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569222104439066625', '1', 'tofly-flow', 'll', TO_DATE('2022-09-12 15:11:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 15:11:19', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569222150404444162', '1', 'tofly-flow', 'll', TO_DATE('2022-09-12 15:11:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 15:11:30', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"content":["{}"]}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569222168221847554', '1', 'tofly-flow', 'll', TO_DATE('2022-09-12 15:11:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 15:11:34', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569222169673076737', '1', 'tofly-flow', 'll', TO_DATE('2022-09-12 15:11:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 15:11:34', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569222715888898050', '1', 'tofly-flow', 'll', TO_DATE('2022-09-12 15:13:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 15:13:44', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569222717201715201', '1', 'tofly-flow', 'll', TO_DATE('2022-09-12 15:13:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 15:13:45', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569223165686059010', '1', 'tofly-flow', 'll', TO_DATE('2022-09-12 15:15:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 15:15:32', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569223167128899586', '1', 'tofly-flow', 'll', TO_DATE('2022-09-12 15:15:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 15:15:32', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569223240277561346', '1', 'tofly-flow', 'll', TO_DATE('2022-09-12 15:15:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 15:15:49', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"content":["{}"]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569223251249860610', '1', 'tofly-flow', 'll', TO_DATE('2022-09-12 15:15:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 15:15:52', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569223252633980930', '1', 'tofly-flow', 'll', TO_DATE('2022-09-12 15:15:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 15:15:52', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569224520307838978', '1', 'tofly-flow', 'll', TO_DATE('2022-09-12 15:20:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 15:20:55', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"content":["{}"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569224532274188290', '1', 'tofly-flow', 'll', TO_DATE('2022-09-12 15:20:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 15:20:57', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569224533750583297', '1', 'tofly-flow', 'll', TO_DATE('2022-09-12 15:20:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 15:20:58', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569225264004075522', '1', 'tofly-flow', 'll', TO_DATE('2022-09-12 15:23:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 15:23:52', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569225265404973057', '1', 'tofly-flow', 'll', TO_DATE('2022-09-12 15:23:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 15:23:52', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569225299630493697', '1', 'tofly-flow', 'll', TO_DATE('2022-09-12 15:24:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 15:24:00', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"content":["{}"]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569225308212039681', '1', 'tofly-flow', 'll', TO_DATE('2022-09-12 15:24:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 15:24:02', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569225309705211906', '1', 'tofly-flow', 'll', TO_DATE('2022-09-12 15:24:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 15:24:03', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569226666977792002', '1', 'tofly-flow', 'll', TO_DATE('2022-09-12 15:29:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-12 15:29:26', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1562720562060054529', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-25 16:36:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-25 16:36:30', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '314', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1562720727294660610', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-25 16:37:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-25 16:37:09', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '306', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1562723146233663489', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-25 16:46:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-25 16:46:46', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '305', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1562723805867659265', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-25 16:49:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-25 16:49:23', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '314', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1562732404639649793', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-25 17:23:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-25 17:23:34', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '326', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1562734107111837697', '2', 'tofly-auth', 'admin', TO_DATE('2022-08-25 17:30:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-08-25 17:30:19', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '299', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1565147684972507137', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-01 09:21:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-01 09:21:01', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessl', 'POST', '{}', '298', NULL, NULL, 'content:新增流程信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1565148361496965121', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-01 09:23:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-01 09:23:43', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessl', 'POST', '{}', '17994', NULL, NULL, 'content:新增流程信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1565148575905591298', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-01 09:24:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-01 09:24:34', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessl/page', 'GET', '{"hitCount":[""],"registerStaff":[""],"processState":[""],"records":[""],"processNumber":[""],"searchCount":[""],"edition":[""],"remark":[""],"relationNumber":[""],"current":[""],"total":[""],"configId":[""],"orders[0].asc":[""],"registerPost":[""],"ywType":[""],"orders[0].column":[""],"id":[""],"processType":[""],"optimizeCountSql":[""],"registerTime":[""],"registerDept":[""],"passingNode":[""],"relationId":[""],"size":[""],"createTime":[""],"name":[""],"tenantId":[""],"createUser":[""],"category":[""],"isDel":[""]}', '306', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1565149467891445762', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-01 09:28:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-01 09:28:06', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessl', 'POST', '{}', '1724', NULL, NULL, 'content:新增流程信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1565149889972645889', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-01 09:29:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-01 09:29:47', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessl', 'POST', '{}', '215', NULL, NULL, 'content:新增流程信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1565150097808797697', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-01 09:30:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-01 09:30:37', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessl', 'POST', '{}', '4144', NULL, NULL, 'content:新增流程信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1565153036086521857', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-01 09:42:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-01 09:42:17', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessl', 'POST', '{}', '271148', NULL, NULL, 'content:新增流程信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1565156501017833474', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-01 09:56:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-01 09:56:03', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessl', 'POST', '{}', '22421', NULL, NULL, 'content:新增流程信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1565156613295157249', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-01 09:56:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-01 09:56:30', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessl/page', 'GET', '{"hitCount":[""],"registerStaff":[""],"processState":[""],"records":[""],"processNumber":[""],"searchCount":[""],"edition":[""],"remark":[""],"relationNumber":[""],"current":[""],"total":[""],"configId":[""],"orders[0].asc":[""],"registerPost":[""],"ywType":[""],"orders[0].column":[""],"id":[""],"processType":[""],"optimizeCountSql":[""],"registerTime":[""],"registerDept":[""],"passingNode":[""],"relationId":[""],"size":[""],"createTime":[""],"name":[""],"tenantId":[""],"createUser":[""],"category":[""],"isDel":[""]}', '214', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1565156626167476226', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-01 09:56:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-01 09:56:33', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessl/page', 'GET', '{"hitCount":[""],"registerStaff":[""],"processState":[""],"records":[""],"processNumber":[""],"searchCount":[""],"edition":[""],"remark":[""],"relationNumber":[""],"current":[""],"total":[""],"configId":[""],"orders[0].asc":[""],"registerPost":[""],"ywType":[""],"orders[0].column":[""],"id":[""],"processType":[""],"optimizeCountSql":[""],"registerTime":[""],"registerDept":[""],"passingNode":[""],"relationId":[""],"size":[""],"createTime":[""],"name":[""],"tenantId":[""],"createUser":[""],"category":[""],"isDel":[""]}', '27', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1565156772263473154', '0', 'tofly-flow', 'admin', TO_DATE('2022-09-01 09:57:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-01 09:57:08', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessl', 'POST', '{}', '609', NULL, '### Error updating database.  Cause: java.sql.SQLSyntaxErrorException: ORA-00911: 无效字符

### The error may exist in file [E:\java\work\zmrq\tofly-zmrq\workflow\target\classes\mapper\process\TfProcessNodeLMapper.xml]
### The error may involve defaultParameterMap
### The error occurred while setting parameters
### SQL: DELETE FROM TF_PROCESS_NODE_L WHERE ID IN (SELECT STEP_NODE_ID FROM TF_PROCESS_UPPER_NODE_L WHERE PROCESS_ID = ? AND NODE_ID = ? AND TYPE = 0);
### Cause: java.sql.SQLSyntaxErrorException: ORA-00911: 无效字符

; bad SQL grammar []; nested exception is java.sql.SQLSyntaxErrorException: ORA-00911: 无效字符', 'content:新增流程信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1565159215873372162', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-01 10:06:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-01 10:06:50', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessl', 'POST', '{}', '752', NULL, NULL, 'content:新增流程信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1565159245770371073', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-01 10:06:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-01 10:06:58', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessl/page', 'GET', '{"hitCount":[""],"registerStaff":[""],"processState":[""],"records":[""],"processNumber":[""],"searchCount":[""],"edition":[""],"remark":[""],"relationNumber":[""],"current":[""],"total":[""],"configId":[""],"orders[0].asc":[""],"registerPost":[""],"ywType":[""],"orders[0].column":[""],"id":[""],"processType":[""],"optimizeCountSql":[""],"registerTime":[""],"registerDept":[""],"passingNode":[""],"relationId":[""],"size":[""],"createTime":[""],"name":[""],"tenantId":[""],"createUser":[""],"category":[""],"isDel":[""]}', '104', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1565159445616373762', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-01 10:07:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-01 10:07:45', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessl', 'POST', '{}', '567', NULL, NULL, 'content:新增流程信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1565161868493828097', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-01 10:17:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-01 10:17:23', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessl', 'POST', '{}', '818', NULL, NULL, 'content:新增流程信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1565165951791378434', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-01 10:33:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-01 10:33:36', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessl', 'POST', '{}', '12177', NULL, NULL, 'content:新增流程信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1565166688835448833', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-01 10:36:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-01 10:36:32', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessl', 'POST', '{}', '108900', NULL, NULL, 'content:新增流程信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1565170686376259585', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-01 10:52:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-01 10:52:25', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessl', 'POST', '{}', '725', NULL, NULL, 'content:新增流程信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1565171101780127745', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-01 10:54:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-01 10:54:04', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessl', 'POST', '{}', '33', NULL, NULL, 'content:新增流程信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1565177248876572673', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-01 11:18:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-01 11:18:30', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessnodel', 'POST', '{}', '400', NULL, NULL, 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1565178354868400129', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-01 11:22:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-01 11:22:54', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessnodel', 'POST', '{}', '658', NULL, NULL, 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1565185177411366914', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-01 11:50:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-01 11:50:00', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessl', 'POST', '{}', '669', NULL, NULL, 'content:新增流程信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1565216859132768258', '0', 'tofly-flow', 'admin', TO_DATE('2022-09-01 13:55:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-01 13:55:54', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessnodel', 'POST', '{}', '316', NULL, '### Error updating database.  Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys021)

### The error may exist in com/tofly/workflow/buss/mapper/TfRegisterItemWMapper.java (best guess)
### The error may involve com.tofly.workflow.buss.mapper.TfRegisterItemWMapper.insert-Inline
### The error occurred while setting parameters
### SQL: INSERT INTO TF_REGISTER_ITEM_W  ( id, process_id, node_id, project_name, user_name,  addre,    contacts, telephone, explain,    document_number,      remark )  VALUES  ( ?, ?, ?, ?, ?,  ?,    ?, ?, ?,    ?,      ? )
### Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys021)

; ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys021)
; nested exception is java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys021)', 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1565218791339569153', '0', 'tofly-flow', 'admin', TO_DATE('2022-09-01 14:03:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-01 14:03:34', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessnodel', 'POST', '{}', '31246', NULL, '### Error updating database.  Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys021)

### The error may exist in com/tofly/workflow/buss/mapper/TfRegisterItemWMapper.java (best guess)
### The error may involve com.tofly.workflow.buss.mapper.TfRegisterItemWMapper.insert-Inline
### The error occurred while setting parameters
### SQL: INSERT INTO TF_REGISTER_ITEM_W  ( id, process_id, node_id, project_name, user_name,  addre,    contacts, telephone, explain,    document_number,      remark )  VALUES  ( ?, ?, ?, ?, ?,  ?,    ?, ?, ?,    ?,      ? )
### Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys021)

; ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys021)
; nested exception is java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys021)', 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1565634719467630593', '0', 'tofly-flow', 'admin', TO_DATE('2022-09-02 17:36:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-02 17:36:19', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessl', 'POST', '{}', '29904', NULL, '系统服务超时，请稍后再试！', 'content:新增流程信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1567723568467931138', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-08 11:56:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-08 11:56:40', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '278', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1567723577066254338', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-08 11:56:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-08 11:56:42', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfprocessl/page', 'GET', '{"tenantId":[""],"current":["1"],"size":["1000"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1567723706565390337', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-08 11:57:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-08 11:57:13', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfprocessl/1565631350208364546', 'GET', '{}', '24', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1567723706661859330', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-08 11:57:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-08 11:57:13', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfprocessconfigl/1559812187957952514', 'GET', '{}', '49', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1567724600770031617', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-08 12:00:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-08 12:00:46', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '287', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1567724619019448321', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-08 12:00:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-08 12:00:50', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfprocessl/page', 'GET', '{"tenantId":[""],"current":["1"],"size":["1000"]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1567724627890401281', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-08 12:00:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-08 12:00:52', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfprocessl/1565631350208364546', 'GET', '{}', '32', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1567724669640503298', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-08 12:01:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-08 12:01:02', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfprocessl/1565631350208364546', 'GET', '{}', '16', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1567724700644798465', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-08 12:01:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-08 12:01:10', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfprocessl/1565631350208364546', 'GET', '{}', '12', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1567724714989318146', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-08 12:01:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-08 12:01:13', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfprocessl/1565631350208364546', 'GET', '{}', '11', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1567724715354222594', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-08 12:01:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-08 12:01:13', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfprocessconfigl/1559812187957952514', 'GET', '{}', '40', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568064911782297602', '2', 'tofly-auth', 'lz', TO_DATE('2022-09-09 10:33:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-09 10:33:02', 'SYYYY-MM-DD HH24:MI:SS'), '171.92.92.90', NULL, '/token/6a053e41-bbff-4059-bdab-491ba979a16c', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568067338686283778', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-09 10:42:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-09 10:42:41', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfprocessconfigl/1559812187957952514', 'GET', '{}', '29', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568068726648586242', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-09 10:48:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-09 10:48:12', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfprocessl/1565631350208364546', 'GET', '{}', '11', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568068726786998274', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-09 10:48:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-09 10:48:12', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfprocessconfigl/1559812187957952514', 'GET', '{}', '28', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568071682458501121', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-09 10:59:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-09 10:59:57', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfprocessl/1565631350208364546', 'GET', '{}', '24', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568071682517221378', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-09 10:59:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-09 10:59:57', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfprocessconfigl/1559812187957952514', 'GET', '{}', '40', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568075475824787457', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-09 11:15:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-09 11:15:01', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfprocessl/1565631350208364546', 'GET', '{}', '14', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568075563989057537', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-09 11:15:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-09 11:15:22', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfprocessl/1565631350208364546', 'GET', '{}', '34', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568075564039389185', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-09 11:15:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-09 11:15:22', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfprocessconfigl/1559812187957952514', 'GET', '{}', '31', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568077262564737026', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-09 11:22:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-09 11:22:07', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfprocessl/1565215112469393410', 'GET', '{}', '12', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568080822941630465', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-09 11:36:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-09 11:36:16', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfprocessl/1565631350208364546', 'GET', '{}', '13', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568080963417260034', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-09 11:36:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-09 11:36:49', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfprocessl/1565631350208364546', 'GET', '{}', '35', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568080963425648641', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-09 11:36:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-09 11:36:49', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.172', NULL, '/tfprocessconfigl/1559812187957952514', 'GET', '{}', '27', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568417096747569153', '1', 'tofly-flow', 'll', TO_DATE('2022-09-10 09:52:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-10 09:52:30', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '56', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568429914473484290', '2', 'tofly-auth', 'hq', TO_DATE('2022-09-10 10:43:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-10 10:43:26', 'SYYYY-MM-DD HH24:MI:SS'), '222.209.160.49', NULL, '/token/5d0be27a-f95a-4867-bcaf-09e8eafc97d6', 'DELETE', '{}', '7', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568443208320012290', '1', 'tofly-flow', 'll', TO_DATE('2022-09-10 11:36:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-10 11:36:15', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568443587506065410', '1', 'tofly-flow', 'll', TO_DATE('2022-09-10 11:37:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-10 11:37:46', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568444465751379969', '1', 'tofly-flow', 'll', TO_DATE('2022-09-10 11:41:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-10 11:41:15', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568444700909228033', '1', 'tofly-flow', 'll', TO_DATE('2022-09-10 11:42:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-10 11:42:11', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1568444832140611585', '1', 'tofly-flow', 'll', TO_DATE('2022-09-10 11:42:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-10 11:42:42', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.84', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570658567613657089', '2', 'tofly-auth', 'lz', TO_DATE('2022-09-16 14:19:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 14:19:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/2d6819d7-6530-453f-ad5b-c16ac1320f3c', 'DELETE', '{}', '1', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570658774808080385', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-16 14:20:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 14:20:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570658787646844929', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-16 14:20:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 14:20:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["30"],"current":["1"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570661361359859713', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-16 14:30:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 14:30:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570661597327208450', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-16 14:31:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 14:31:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["30"],"current":["1"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570662023875342338', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-16 14:33:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 14:33:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570681124261822465', '1', 'tofly-flow', 'll', TO_DATE('2022-09-16 15:48:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 15:48:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570681124345708546', '1', 'tofly-flow', 'll', TO_DATE('2022-09-16 15:48:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 15:48:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570681133887750145', '1', 'tofly-flow', 'll', TO_DATE('2022-09-16 15:48:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 15:48:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570681134286209026', '1', 'tofly-flow', 'll', TO_DATE('2022-09-16 15:48:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 15:48:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570681139315179522', '1', 'tofly-flow', 'll', TO_DATE('2022-09-16 15:49:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 15:49:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570681139503923202', '1', 'tofly-flow', 'll', TO_DATE('2022-09-16 15:49:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 15:49:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570681140380532737', '1', 'tofly-flow', 'll', TO_DATE('2022-09-16 15:49:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 15:49:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570681166196473858', '1', 'tofly-flow', 'll', TO_DATE('2022-09-16 15:49:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 15:49:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570681166385217537', '1', 'tofly-flow', 'll', TO_DATE('2022-09-16 15:49:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 15:49:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570681180746514433', '1', 'tofly-flow', 'll', TO_DATE('2022-09-16 15:49:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 15:49:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1570606305243660289', 'GET', '{"id":["1570606305243660289"]}', '33', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570681181283385345', '1', 'tofly-flow', 'll', TO_DATE('2022-09-16 15:49:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 15:49:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570681182155800577', '1', 'tofly-flow', 'll', TO_DATE('2022-09-16 15:49:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 15:49:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570682054893993986', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 15:52:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 15:52:38', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl', 'POST', '{}', '22', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570682055397310465', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 15:52:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 15:52:38', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570682090562355201', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 15:52:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 15:52:46', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/1570682054776553474', 'GET', '{"id":["1570682054776553474"]}', '37', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570682091149557761', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 15:52:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 15:52:47', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570682092332351489', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 15:52:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 15:52:47', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '2', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570682122678140930', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 15:52:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 15:52:54', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/1570606305243660289', 'GET', '{"id":["1570606305243660289"]}', '34', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570682123839963137', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 15:52:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 15:52:54', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570682124750127105', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 15:52:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 15:52:55', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570682149450383362', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 15:53:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 15:53:00', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/1570682054776553474', 'GET', '{"id":["1570682054776553474"]}', '33', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570682150423461890', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 15:53:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 15:53:01', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570682151526563842', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 15:53:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 15:53:01', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '2', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571333396843061249', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-18 11:00:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 11:00:50', 'SYYYY-MM-DD HH24:MI:SS'), '171.92.78.234', NULL, '/tfworkprocessp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571333768621973505', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-18 11:02:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 11:02:19', 'SYYYY-MM-DD HH24:MI:SS'), '171.92.78.234', NULL, '/tfworkprocessp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571333795079643138', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-18 11:02:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 11:02:25', 'SYYYY-MM-DD HH24:MI:SS'), '171.92.78.234', NULL, '/tfworkprocessp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571333814616711170', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-18 11:02:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 11:02:30', 'SYYYY-MM-DD HH24:MI:SS'), '171.92.78.234', NULL, '/tfworkprocessp/333', 'DELETE', '{"0":["333"]}', '5', NULL, NULL, 'content:通过id删除工序管理（工序名称）/工程管控管理', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571334255442255874', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-18 11:04:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 11:04:15', 'SYYYY-MM-DD HH24:MI:SS'), '171.92.78.234', NULL, '/tfworkprocessp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571334469880242177', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-18 11:05:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 11:05:06', 'SYYYY-MM-DD HH24:MI:SS'), '171.92.78.234', NULL, '/tfworkprocessp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571334510816649217', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-18 11:05:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 11:05:16', 'SYYYY-MM-DD HH24:MI:SS'), '171.92.78.234', NULL, '/tfworkprocessp/1569616453270343681', 'DELETE', '{"0":["1569616453270343681"]}', '3', NULL, NULL, 'content:通过id删除工序管理（工序名称）/工程管控管理', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571334553686630401', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-18 11:05:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 11:05:26', 'SYYYY-MM-DD HH24:MI:SS'), '171.92.78.234', NULL, '/tfworkprocessp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571337119505965057', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-18 11:15:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 11:15:37', 'SYYYY-MM-DD HH24:MI:SS'), '171.92.78.234', NULL, '/tfworkprocessp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571337395684106241', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-18 11:16:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 11:16:43', 'SYYYY-MM-DD HH24:MI:SS'), '171.92.78.234', NULL, '/tfworkprocessp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571341806359666690', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-18 11:34:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 11:34:15', 'SYYYY-MM-DD HH24:MI:SS'), '171.92.78.234', NULL, '/tfworkprocessp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571343347586031617', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-18 11:40:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 11:40:22', 'SYYYY-MM-DD HH24:MI:SS'), '171.92.78.234', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"key":[""]}', '21', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571346696368676865', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-18 11:53:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 11:53:41', 'SYYYY-MM-DD HH24:MI:SS'), '171.92.78.234', NULL, '/tfworkprocessp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571348292628504577', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-18 12:00:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 12:00:01', 'SYYYY-MM-DD HH24:MI:SS'), '171.92.78.234', NULL, '/tfworkprocessp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570607403232735234', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 10:56:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 10:56:00', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570607404277116930', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 10:56:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 10:56:00', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570607531469385730', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 10:56:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 10:56:30', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl', 'POST', '{}', '22', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570607532098531330', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 10:56:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 10:56:30', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570607537672761346', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 10:56:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 10:56:32', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":["1569152821327564802"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570607538738114562', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 10:56:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 10:56:32', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570607760725848066', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-16 10:57:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 10:57:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["30"],"current":["1"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570607930188312577', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-16 10:58:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 10:58:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["30"],"current":["1"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570608104717496322', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-16 10:58:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 10:58:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp', 'POST', '{}', '17', NULL, NULL, 'content:新增合同模板公用字段', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570608104943988738', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-16 10:58:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 10:58:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["30"],"current":["1"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570609157110312961', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-16 11:02:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 11:02:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570609303021760513', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-16 11:03:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 11:03:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["30"],"current":["1"]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570610563993120769', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-16 11:08:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 11:08:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["30"],"current":["1"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570610876439408641', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-16 11:09:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 11:09:48', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.167.115', NULL, '/tfprocessl/1569616564261691393', 'GET', '{}', '11', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570610901869473794', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-16 11:09:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 11:09:54', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.167.115', NULL, '/tfprocessl/1569616564261691393', 'GET', '{}', '19', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570610901999497218', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-16 11:09:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 11:09:54', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.167.115', NULL, '/tfprocessconfigl/1569613105131102209', 'GET', '{}', '28', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570611021331640321', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-16 11:10:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 11:10:22', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.167.115', NULL, '/tfprocessl/1569616564261691393', 'GET', '{}', '11', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570611031389581313', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-16 11:10:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 11:10:25', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.167.115', NULL, '/tfprocessl/1569616564261691393', 'GET', '{}', '39', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570611031389581314', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-16 11:10:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 11:10:25', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.167.115', NULL, '/tfprocessconfigl/1569613105131102209', 'GET', '{}', '33', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570616194766548994', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 11:30:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 11:30:56', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '18', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570616195026595842', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 11:30:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 11:30:56', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570616208528060417', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 11:30:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 11:30:59', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570616208821661697', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 11:30:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 11:30:59', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570616212701392898', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 11:31:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 11:31:00', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570616212927885314', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 11:31:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 11:31:00', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570616238190178305', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 11:31:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 11:31:06', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570616238395699201', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 11:31:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 11:31:06', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570616248977928194', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 11:31:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 11:31:09', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570616249187643394', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 11:31:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 11:31:09', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570616256133410817', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 11:31:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 11:31:10', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570616256351514625', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 11:31:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 11:31:10', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570616263133704193', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 11:31:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 11:31:12', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570616263410528257', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 11:31:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 11:31:12', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570616271866245121', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 11:31:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 11:31:14', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570616272096931842', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 11:31:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 11:31:14', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570616276324790274', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 11:31:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 11:31:15', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/1570606305243660289', 'GET', '{"id":["1570606305243660289"]}', '25', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570616277331423233', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 11:31:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 11:31:15', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570616278413553665', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 11:31:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 11:31:16', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570616285057331201', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 11:31:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 11:31:17', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl', 'POST', '{}', '23', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570616285371904002', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 11:31:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 11:31:17', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570616292896485378', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 11:31:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 11:31:19', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/1570606305243660289', 'GET', '{"id":["1570606305243660289"]}', '23', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570616293366247425', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 11:31:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 11:31:19', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570616293877952513', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 11:31:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 11:31:19', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570616352212332545', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-16 11:31:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 11:31:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["30"],"current":["1"]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569933152804741122', '2', 'tofly-auth', 'test1', TO_DATE('2022-09-14 14:16:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 14:16:46', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/token/ae4bc1b8-8c3a-41d6-bd93-5b36628e2765', 'DELETE', '{}', '1', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569934986206322690', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 14:24:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 14:24:03', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569934986655113217', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 14:24:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 14:24:03', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569935071350693889', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 14:24:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 14:24:23', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '2', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569935071631712257', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 14:24:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 14:24:23', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '1', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569935084348841986', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 14:24:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 14:24:26', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569935084675997698', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 14:24:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 14:24:26', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569935089402978306', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 14:24:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 14:24:27', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569941250520981506', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-14 14:48:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 14:48:56', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprocessl/1569616564261691393', 'GET', '{}', '72', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569941250575507458', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-14 14:48:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 14:48:56', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprocessconfigl/1569613105131102209', 'GET', '{}', '83', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569941296939343874', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-14 14:49:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 14:49:07', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569941304396816386', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-14 14:49:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 14:49:09', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprocessl/page', 'GET', '{"tenantId":[""],"current":["1"],"size":["1000"]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569941682140028930', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-14 14:50:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 14:50:39', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '294', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569941688813166594', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-14 14:50:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 14:50:41', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprocessl/page', 'GET', '{"tenantId":[""],"current":["1"],"size":["1000"]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569941696086089730', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-14 14:50:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 14:50:43', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprocessl/1569616564261691393', 'GET', '{}', '21', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570304399816380417', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 14:51:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 14:51:58', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '2', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570304404321062913', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 14:51:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 14:51:59', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":["1569152821327564802"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570304404916654082', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 14:51:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 14:51:59', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570304453708992514', '1', 'tofly-flow', 'll', TO_DATE('2022-09-15 14:52:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 14:52:11', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570304453708992515', '1', 'tofly-flow', 'll', TO_DATE('2022-09-15 14:52:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 14:52:11', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570304458431778817', '1', 'tofly-flow', 'll', TO_DATE('2022-09-15 14:52:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 14:52:12', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570304458746351618', '1', 'tofly-flow', 'll', TO_DATE('2022-09-15 14:52:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 14:52:12', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570304464840675330', '1', 'tofly-flow', 'll', TO_DATE('2022-09-15 14:52:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 14:52:13', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570304465553707010', '1', 'tofly-flow', 'll', TO_DATE('2022-09-15 14:52:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 14:52:14', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570304465939582978', '1', 'tofly-flow', 'll', TO_DATE('2022-09-15 14:52:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 14:52:14', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570304549460758530', '1', 'tofly-flow', 'll', TO_DATE('2022-09-15 14:52:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 14:52:34', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570304549469147137', '1', 'tofly-flow', 'll', TO_DATE('2022-09-15 14:52:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 14:52:34', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570304556041621505', '1', 'tofly-flow', 'll', TO_DATE('2022-09-15 14:52:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 14:52:35', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570304556523966465', '1', 'tofly-flow', 'll', TO_DATE('2022-09-15 14:52:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 14:52:35', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570304709406347266', '1', 'tofly-flow', 'll', TO_DATE('2022-09-15 14:53:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 14:53:12', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570304710127767553', '1', 'tofly-flow', 'll', TO_DATE('2022-09-15 14:53:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 14:53:12', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570304710819827713', '1', 'tofly-flow', 'll', TO_DATE('2022-09-15 14:53:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 14:53:12', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570305381845553153', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 14:55:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 14:55:52', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl', 'POST', '{}', '41', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570305382369841154', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 14:55:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 14:55:52', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570305383959482370', '1', 'tofly-flow', 'll', TO_DATE('2022-09-15 14:55:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 14:55:53', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570305981022851074', '1', 'tofly-flow', 'll', TO_DATE('2022-09-15 14:58:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 14:58:15', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570307101967372289', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 15:02:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 15:02:42', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570307102210641922', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 15:02:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 15:02:42', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570307137618956290', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 15:02:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 15:02:51', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570307138554286082', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 15:02:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 15:02:51', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570307155767709697', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 15:02:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 15:02:55', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '2', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569931108882653185', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-14 14:08:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 14:08:38', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '2', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569931109868314625', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 14:08:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 14:08:39', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569931110245801986', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 14:08:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 14:08:39', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '1', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569931121033551874', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 14:08:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 14:08:41', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":["1"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569931122333786114', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 14:08:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 14:08:42', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569931400663605250', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 14:09:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 14:09:48', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569931401036898305', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 14:09:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 14:09:48', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '2', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569931407340937217', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 14:09:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 14:09:50', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":["1"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569931408985104386', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 14:09:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 14:09:50', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570330092277190658', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 16:34:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 16:34:03', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570330092944084993', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 16:34:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 16:34:04', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570330456497967105', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-15 16:35:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 16:35:30', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570330817258442754', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-15 16:36:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 16:36:56', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570331322042929154', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-15 16:38:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 16:38:57', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570331339034054657', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-15 16:39:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 16:39:01', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570332060777304065', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-15 16:41:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 16:41:53', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570332307754700802', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-15 16:42:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 16:42:52', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570333419790520322', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-15 16:47:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 16:47:17', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570333938261020673', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-15 16:49:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 16:49:20', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570334180687597570', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-15 16:50:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 16:50:18', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570335144635125762', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-15 16:54:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 16:54:08', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570335414328872961', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-15 16:55:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 16:55:12', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570337472033443841', '0', 'tofly-flow', 'yj', TO_DATE('2022-09-15 17:03:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 17:03:23', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcalendaryearp/saveCalendarAll', 'POST', '{}', '66', NULL, '工作日应用日历列表为空，请重新输入', 'content:新增日历年日期相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570389159867699202', '1', 'tofly-flow', 'tmx', TO_DATE('2022-09-15 20:28:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 20:28:46', 'SYYYY-MM-DD HH24:MI:SS'), '171.217.183.40', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '468', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570389160354238465', '1', 'tofly-flow', 'tmx', TO_DATE('2022-09-15 20:28:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 20:28:46', 'SYYYY-MM-DD HH24:MI:SS'), '171.217.183.40', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '30', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570389205866631170', '1', 'tofly-flow', 'tmx', TO_DATE('2022-09-15 20:28:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 20:28:57', 'SYYYY-MM-DD HH24:MI:SS'), '171.217.183.40', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '19', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570389206189592577', '1', 'tofly-flow', 'tmx', TO_DATE('2022-09-15 20:28:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 20:28:57', 'SYYYY-MM-DD HH24:MI:SS'), '171.217.183.40', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570389227576348674', '1', 'tofly-flow', 'tmx', TO_DATE('2022-09-15 20:29:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 20:29:02', 'SYYYY-MM-DD HH24:MI:SS'), '171.217.183.40', NULL, '/tfprocessconfigl/1570311339132964866', 'GET', '{"id":["1570311339132964866"]}', '79', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570389228222271489', '1', 'tofly-flow', 'tmx', TO_DATE('2022-09-15 20:29:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 20:29:03', 'SYYYY-MM-DD HH24:MI:SS'), '171.217.183.40', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '4', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570389229136629762', '1', 'tofly-flow', 'tmx', TO_DATE('2022-09-15 20:29:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 20:29:03', 'SYYYY-MM-DD HH24:MI:SS'), '171.217.183.40', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '37', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570389297927409666', '1', 'tofly-flow', 'tmx', TO_DATE('2022-09-15 20:29:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 20:29:19', 'SYYYY-MM-DD HH24:MI:SS'), '171.217.183.40', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '9', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570389298044850178', '1', 'tofly-flow', 'tmx', TO_DATE('2022-09-15 20:29:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 20:29:19', 'SYYYY-MM-DD HH24:MI:SS'), '171.217.183.40', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '11', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570389342114402305', '1', 'tofly-flow', 'tmx', TO_DATE('2022-09-15 20:29:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 20:29:30', 'SYYYY-MM-DD HH24:MI:SS'), '171.217.183.40', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '19', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570389342428975105', '1', 'tofly-flow', 'tmx', TO_DATE('2022-09-15 20:29:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 20:29:30', 'SYYYY-MM-DD HH24:MI:SS'), '171.217.183.40', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '20', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570389373278081025', '1', 'tofly-flow', 'tmx', TO_DATE('2022-09-15 20:29:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 20:29:37', 'SYYYY-MM-DD HH24:MI:SS'), '171.217.183.40', NULL, '/tfprocessconfigl/1569660763252559873', 'GET', '{"id":["1569660763252559873"]}', '60', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570389373919809537', '1', 'tofly-flow', 'tmx', TO_DATE('2022-09-15 20:29:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 20:29:37', 'SYYYY-MM-DD HH24:MI:SS'), '171.217.183.40', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570389374200827906', '1', 'tofly-flow', 'tmx', TO_DATE('2022-09-15 20:29:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 20:29:37', 'SYYYY-MM-DD HH24:MI:SS'), '171.217.183.40', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570389374779641857', '1', 'tofly-flow', 'tmx', TO_DATE('2022-09-15 20:29:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 20:29:38', 'SYYYY-MM-DD HH24:MI:SS'), '171.217.183.40', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570389443452981249', '1', 'tofly-flow', 'tmx', TO_DATE('2022-09-15 20:29:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 20:29:54', 'SYYYY-MM-DD HH24:MI:SS'), '171.217.183.40', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '7', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570389443557838849', '1', 'tofly-flow', 'tmx', TO_DATE('2022-09-15 20:29:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 20:29:54', 'SYYYY-MM-DD HH24:MI:SS'), '171.217.183.40', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570389495751757826', '1', 'tofly-flow', 'tmx', TO_DATE('2022-09-15 20:30:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 20:30:06', 'SYYYY-MM-DD HH24:MI:SS'), '171.217.183.40', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '24', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570389496112467969', '1', 'tofly-flow', 'tmx', TO_DATE('2022-09-15 20:30:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 20:30:06', 'SYYYY-MM-DD HH24:MI:SS'), '171.217.183.40', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '21', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571343414376128513', '0', 'tofly-flow', 'lz', TO_DATE('2022-09-18 11:40:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 11:40:38', 'SYYYY-MM-DD HH24:MI:SS'), '171.92.78.234', NULL, '/tfbuildunitp/saveTeamAll', 'POST', '{}', '95', NULL, '### Error updating database.  Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-01400: 无法将 NULL 插入 ("TF_ZMRQ_LC"."TF_BUILD_UNIT_P"."DEPT_ID")

### The error may exist in com/tofly/workflow/baseconf/mapper/TfBuildUnitPMapper.java (best guess)
### The error may involve com.tofly.workflow.baseconf.mapper.TfBuildUnitPMapper.insert-Inline
### The error occurred while setting parameters
### SQL: INSERT INTO TF_BUILD_UNIT_P  ( id,  order_number,  team_type,  remark, CREATE_USER,  CREATE_TIME, UPDATE_USER,  UPDATE_TIME )  VALUES  ( ?,  ?,  ?,  ?, ?,  ?, ?,  ? )
### Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-01400: 无法将 NULL 插入 ("TF_ZMRQ_LC"."TF_BUILD_UNIT_P"."DEPT_ID")

; ORA-01400: 无法将 NULL 插入 ("TF_ZMRQ_LC"."TF_BUILD_UNIT_P"."DEPT_ID")
; nested exception is java.sql.SQLIntegrityConstraintViolationException: ORA-01400: 无法将 NULL 插入 ("TF_ZMRQ_LC"."TF_BUILD_UNIT_P"."DEPT_ID")', 'content:新增施工班组相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571346775792017410', '0', 'tofly-flow', 'lz', TO_DATE('2022-09-18 11:54:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 11:54:00', 'SYYYY-MM-DD HH24:MI:SS'), '171.92.78.234', NULL, '/tfworkprocessp/saveWorkProjectProcess', 'POST', '{}', '91', NULL, 'nested exception is org.apache.ibatis.type.TypeException: Could not set parameters for mapping: ParameterMapping{property=''ew.paramNameValuePairs.MPGENVAL1'', mode=IN, javaType=class java.lang.Object, jdbcType=null, numericScale=null, resultMapId=''null'', jdbcTypeName=''null'', expression=''null''}. Cause: org.apache.ibatis.type.TypeException: Error setting null for parameter #1 with JdbcType OTHER . Try setting a different JdbcType for this parameter or a different jdbcTypeForNull configuration property. Cause: java.sql.SQLException: 无效的列类型: 1111', 'content:新增工程管控管理相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571348356583251970', '0', 'tofly-flow', 'lz', TO_DATE('2022-09-18 12:00:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 12:00:17', 'SYYYY-MM-DD HH24:MI:SS'), '171.92.78.234', NULL, '/tfworkprocessp/saveWorkProjectProcess', 'POST', '{}', '100', NULL, 'nested exception is org.apache.ibatis.type.TypeException: Could not set parameters for mapping: ParameterMapping{property=''ew.paramNameValuePairs.MPGENVAL1'', mode=IN, javaType=class java.lang.Object, jdbcType=null, numericScale=null, resultMapId=''null'', jdbcTypeName=''null'', expression=''null''}. Cause: org.apache.ibatis.type.TypeException: Error setting null for parameter #1 with JdbcType OTHER . Try setting a different JdbcType for this parameter or a different jdbcTypeForNull configuration property. Cause: java.sql.SQLException: 无效的列类型: 1111', 'content:新增工程管控管理相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571350387385556993', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-18 12:08:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 12:08:21', 'SYYYY-MM-DD HH24:MI:SS'), '171.92.78.234', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571352404598317058', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-18 12:16:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 12:16:22', 'SYYYY-MM-DD HH24:MI:SS'), '171.92.78.234', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["30"],"key":[""],"dataType":["1570692286170427394"]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571352454565060609', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-18 12:16:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 12:16:34', 'SYYYY-MM-DD HH24:MI:SS'), '171.92.78.234', NULL, '/tfbasetypep', 'POST', '{}', '14', NULL, NULL, 'content:新增基础类型表', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571352516720451585', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-18 12:16:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 12:16:48', 'SYYYY-MM-DD HH24:MI:SS'), '171.92.78.234', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["30"],"key":[""],"dataType":["1570692286170427394"]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571352544105062402', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-18 12:16:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 12:16:55', 'SYYYY-MM-DD HH24:MI:SS'), '171.92.78.234', NULL, '/tfbasetypep/deleteByIds', 'DELETE', '{}', '0', NULL, NULL, 'content:通过id批量删除基础类型表', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571352983139639298', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-18 12:18:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 12:18:40', 'SYYYY-MM-DD HH24:MI:SS'), '171.92.78.234', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["30"],"key":[""],"dataType":["1570692286170427394"]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571352993302437890', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-18 12:18:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 12:18:42', 'SYYYY-MM-DD HH24:MI:SS'), '171.92.78.234', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["30"],"key":[""],"dataType":["1570692286170427394"]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571353079772209153', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-18 12:19:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 12:19:03', 'SYYYY-MM-DD HH24:MI:SS'), '171.92.78.234', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["30"],"key":[""],"dataType":["1570692286170427394"]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571353105407795202', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-18 12:19:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 12:19:09', 'SYYYY-MM-DD HH24:MI:SS'), '171.92.78.234', NULL, '/tfbasetypep/1571352454506229761', 'DELETE', '{"0":["1571352454506229761"]}', '26', NULL, NULL, 'content:通过id删除基础类型表,有关联数据验证', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571353148424577025', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-18 12:19:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 12:19:19', 'SYYYY-MM-DD HH24:MI:SS'), '171.92.78.234', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["30"],"key":[""],"dataType":["1570692286170427394"]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571364492066545665', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-18 13:04:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 13:04:24', 'SYYYY-MM-DD HH24:MI:SS'), '171.92.78.234', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571364509858783233', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-18 13:04:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 13:04:28', 'SYYYY-MM-DD HH24:MI:SS'), '171.92.78.234', NULL, '/tfworkprocessp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571377118322483202', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-18 13:54:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 13:54:34', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["10000"],"current":["1"]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571379404587261953', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-18 14:03:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 14:03:39', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571379452935004162', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-18 14:03:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 14:03:51', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571379453044056066', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-18 14:03:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 14:03:51', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["10000"],"current":["1"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571379836579602433', '0', 'tofly-flow', 'yj', TO_DATE('2022-09-18 14:05:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 14:05:22', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcontracttemplatep/saveContractTemplateField', 'POST', '{}', '63', NULL, '合同模板维护公用字段不能为空，请重新输入', 'content:新增合同模板', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571379853369401346', '0', 'tofly-flow', 'yj', TO_DATE('2022-09-18 14:05:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 14:05:26', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcontracttemplatep/saveContractTemplateField', 'POST', '{}', '73', NULL, '合同模板维护公用字段不能为空，请重新输入', 'content:新增合同模板', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571380201492439041', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-18 14:06:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 14:06:49', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571380201542770689', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-18 14:06:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 14:06:49', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["10000"],"current":["1"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571383062695632898', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-18 14:18:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 14:18:11', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["30"],"current":["1"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571383433421774849', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-18 14:19:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 14:19:40', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571383433505660929', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-18 14:19:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 14:19:40', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["10000"],"current":["1"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571384681688588290', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-18 14:24:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 14:24:37', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571384681713754113', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-18 14:24:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 14:24:37', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["10000"],"current":["1"]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571386320856145922', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-18 14:31:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 14:31:08', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571386619104714754', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-18 14:32:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 14:32:19', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571386626784485378', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-18 14:32:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 14:32:21', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570617067345358850', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 11:34:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 11:34:24', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl', 'POST', '{}', '18', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570617068104527873', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 11:34:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 11:34:24', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570617074471481345', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 11:34:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 11:34:25', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570617087226359810', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 11:34:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 11:34:28', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570617087469629441', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 11:34:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 11:34:28', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570617262695067649', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 11:35:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 11:35:10', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570617263550705666', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 11:35:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 11:35:10', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570617265421365249', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 11:35:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 11:35:11', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570617265677217793', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 11:35:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 11:35:11', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570617272350355458', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 11:35:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 11:35:13', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/1570606305243660289', 'GET', '{"id":["1570606305243660289"]}', '21', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570617273394737153', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 11:35:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 11:35:13', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570617274422341634', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 11:35:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 11:35:13', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570617280579579906', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 11:35:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 11:35:15', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570617280889958402', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 11:35:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 11:35:15', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570617286237696002', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 11:35:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 11:35:16', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":["1569152821327564802"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570617286682292226', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 11:35:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 11:35:16', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570617301362356226', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-16 11:35:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 11:35:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["30"],"current":["1"]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570617434950938625', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 11:35:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 11:35:51', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl', 'POST', '{}', '32', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570617435747856385', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 11:35:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 11:35:52', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570617461513465858', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 11:35:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 11:35:58', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/1570617434804158465', 'GET', '{"id":["1570617434804158465"]}', '17', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570617462536876034', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 11:35:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 11:35:58', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570617463610617858', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 11:35:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 11:35:58', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570617618686619649', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 11:36:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 11:36:35', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl', 'POST', '{}', '15', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570617619408039937', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 11:36:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 11:36:35', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570617717181460481', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 11:36:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 11:36:59', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/1570617434804158465', 'GET', '{"id":["1570617434804158465"]}', '16', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570617718091624449', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 11:36:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 11:36:59', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570617719089868801', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 11:36:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 11:36:59', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570618040616824834', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 11:38:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 11:38:16', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl', 'POST', '{}', '15', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570618041371799554', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 11:38:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 11:38:16', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570618050062397442', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 11:38:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 11:38:18', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/1570617434804158465', 'GET', '{"id":["1570617434804158465"]}', '16', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570618051509432321', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 11:38:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 11:38:18', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570618053111656450', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 11:38:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 11:38:19', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570618059902234625', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 11:38:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 11:38:20', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl', 'POST', '{}', '13', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570618060271333377', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 11:38:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 11:38:20', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570618068563472386', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 11:38:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 11:38:22', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/1570617434804158465', 'GET', '{"id":["1570617434804158465"]}', '15', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570618069016457217', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 11:38:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 11:38:22', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570618069511385089', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 11:38:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 11:38:23', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570618085143556097', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 11:38:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 11:38:26', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl', 'POST', '{}', '30', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570618085713981442', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 11:38:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 11:38:26', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570618091258851330', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 11:38:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 11:38:28', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/1570617434804158465', 'GET', '{"id":["1570617434804158465"]}', '16', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570618092806549505', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 11:38:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 11:38:28', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570618095063085058', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 11:38:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 11:38:29', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570618215569633282', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 11:38:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 11:38:57', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl', 'POST', '{}', '14', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569862524399591425', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 09:36:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 09:36:07', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/1569660763252559873', 'GET', '{"id":["1569660763252559873"]}', '23', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569862525485916162', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 09:36:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 09:36:07', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569862526672904193', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 09:36:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 09:36:07', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569862913798774786', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 09:37:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 09:37:39', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"content":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569862914260148226', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 09:37:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 09:37:40', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"content":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569862922418069505', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 09:37:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 09:37:42', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/1569660763252559873', 'GET', '{"id":["1569660763252559873"]}', '27', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569862923412119554', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 09:37:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 09:37:42', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569862924586524674', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 09:37:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 09:37:42', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569864128330801154', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 09:42:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 09:42:29', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl', 'POST', '{}', '4', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569864277815795713', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 09:43:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 09:43:05', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/1569660763252559873', 'GET', '{"id":["1569660763252559873"]}', '29', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569864279279607809', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 09:43:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 09:43:05', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569864280625979393', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 09:43:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 09:43:05', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569864700677136386', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 09:44:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 09:44:45', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/1569660763252559873', 'GET', '{"id":["1569660763252559873"]}', '22', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569864702044479490', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 09:44:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 09:44:46', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569864703403433985', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 09:44:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 09:44:46', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569864723640950786', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 09:44:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 09:44:51', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/1569660763252559873', 'GET', '{"id":["1569660763252559873"]}', '25', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569864724949573633', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 09:44:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 09:44:51', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569864726170116098', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 09:44:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 09:44:52', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569864768524197889', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 09:45:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 09:45:02', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569864769027514370', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 09:45:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 09:45:02', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569864849948221442', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 09:45:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 09:45:21', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/1569660763252559873', 'GET', '{"id":["1569660763252559873"]}', '24', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569864852682907649', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 09:45:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 09:45:22', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569864856315174914', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 09:45:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 09:45:23', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '10', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569864949760073729', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 09:45:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 09:45:45', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl', 'POST', '{}', '93', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569864951035142145', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 09:45:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 09:45:45', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"content":[""]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569864979589963778', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 09:45:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 09:45:52', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/1569660763252559873', 'GET', '{"id":["1569660763252559873"]}', '34', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569864981372542978', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 09:45:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 09:45:52', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569864983150927873', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 09:45:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 09:45:53', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569865127313350658', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 09:46:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 09:46:27', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl', 'POST', '{}', '46', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569865128429035521', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 09:46:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 09:46:27', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"content":[""]}', '20', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569865139678158850', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 09:46:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 09:46:30', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/1569660763252559873', 'GET', '{"id":["1569660763252559873"]}', '22', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569865141779505153', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 09:46:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 09:46:31', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569865143679524865', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 09:46:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 09:46:31', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569865244263129090', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 09:46:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 09:46:55', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl', 'POST', '{}', '27', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569865244946800642', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 09:46:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 09:46:55', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"content":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569865389566402562', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 09:47:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 09:47:30', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/1569660763252559873', 'GET', '{"id":["1569660763252559873"]}', '27', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569865390858248193', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 09:47:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 09:47:30', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569865392217202689', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 09:47:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 09:47:30', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569865603744342018', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 09:48:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 09:48:21', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl', 'POST', '{}', '29', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569865604771946498', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 09:48:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 09:48:21', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"content":[""]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569865853536116738', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 09:49:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 09:49:20', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/1569660763252559873', 'GET', '{"id":["1569660763252559873"]}', '22', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569866002744287233', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 09:49:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 09:49:56', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569866004082270210', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 09:49:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 09:49:56', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569866565527609346', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 09:52:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 09:52:10', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl', 'POST', '{}', '29', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570389564190216194', '1', 'tofly-flow', 'tmx', TO_DATE('2022-09-15 20:30:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 20:30:23', 'SYYYY-MM-DD HH24:MI:SS'), '171.217.183.40', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570389564467040258', '1', 'tofly-flow', 'tmx', TO_DATE('2022-09-15 20:30:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 20:30:23', 'SYYYY-MM-DD HH24:MI:SS'), '171.217.183.40', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570389587820924929', '1', 'tofly-flow', 'tmx', TO_DATE('2022-09-15 20:30:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 20:30:28', 'SYYYY-MM-DD HH24:MI:SS'), '171.217.183.40', NULL, '/tfprocessconfigl/1570311339132964866', 'GET', '{"id":["1570311339132964866"]}', '69', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570389588462653441', '1', 'tofly-flow', 'tmx', TO_DATE('2022-09-15 20:30:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 20:30:28', 'SYYYY-MM-DD HH24:MI:SS'), '171.217.183.40', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570389589037273090', '1', 'tofly-flow', 'tmx', TO_DATE('2022-09-15 20:30:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 20:30:29', 'SYYYY-MM-DD HH24:MI:SS'), '171.217.183.40', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570389646193053698', '1', 'tofly-flow', 'tmx', TO_DATE('2022-09-15 20:30:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 20:30:42', 'SYYYY-MM-DD HH24:MI:SS'), '171.217.183.40', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '19', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570389646612484097', '1', 'tofly-flow', 'tmx', TO_DATE('2022-09-15 20:30:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 20:30:42', 'SYYYY-MM-DD HH24:MI:SS'), '171.217.183.40', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '26', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570389657555423234', '1', 'tofly-flow', 'tmx', TO_DATE('2022-09-15 20:30:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 20:30:45', 'SYYYY-MM-DD HH24:MI:SS'), '171.217.183.40', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570389657786109953', '1', 'tofly-flow', 'tmx', TO_DATE('2022-09-15 20:30:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 20:30:45', 'SYYYY-MM-DD HH24:MI:SS'), '171.217.183.40', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '17', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570389667093270530', '1', 'tofly-flow', 'tmx', TO_DATE('2022-09-15 20:30:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 20:30:47', 'SYYYY-MM-DD HH24:MI:SS'), '171.217.183.40', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570389667391066114', '1', 'tofly-flow', 'tmx', TO_DATE('2022-09-15 20:30:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 20:30:47', 'SYYYY-MM-DD HH24:MI:SS'), '171.217.183.40', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570389732495052801', '1', 'tofly-flow', 'tmx', TO_DATE('2022-09-15 20:31:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 20:31:03', 'SYYYY-MM-DD HH24:MI:SS'), '171.217.183.40', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570389732792848385', '1', 'tofly-flow', 'tmx', TO_DATE('2022-09-15 20:31:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 20:31:03', 'SYYYY-MM-DD HH24:MI:SS'), '171.217.183.40', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570389760605278209', '1', 'tofly-flow', 'tmx', TO_DATE('2022-09-15 20:31:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 20:31:10', 'SYYYY-MM-DD HH24:MI:SS'), '171.217.183.40', NULL, '/tfprocessconfigl/1570311339132964866', 'GET', '{"id":["1570311339132964866"]}', '58', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570389761175703554', '1', 'tofly-flow', 'tmx', TO_DATE('2022-09-15 20:31:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 20:31:10', 'SYYYY-MM-DD HH24:MI:SS'), '171.217.183.40', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570389761758711809', '1', 'tofly-flow', 'tmx', TO_DATE('2022-09-15 20:31:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 20:31:10', 'SYYYY-MM-DD HH24:MI:SS'), '171.217.183.40', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570390257273786370', '1', 'tofly-flow', 'tmx', TO_DATE('2022-09-15 20:33:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 20:33:08', 'SYYYY-MM-DD HH24:MI:SS'), '171.217.183.40', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '8', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570390310369480706', '1', 'tofly-flow', 'tmx', TO_DATE('2022-09-15 20:33:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 20:33:21', 'SYYYY-MM-DD HH24:MI:SS'), '171.217.183.40', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570390310608556033', '1', 'tofly-flow', 'tmx', TO_DATE('2022-09-15 20:33:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 20:33:21', 'SYYYY-MM-DD HH24:MI:SS'), '171.217.183.40', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570390317524963329', '1', 'tofly-flow', 'll', TO_DATE('2022-09-15 20:33:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 20:33:22', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570390318053445633', '1', 'tofly-flow', 'll', TO_DATE('2022-09-15 20:33:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 20:33:22', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570390319215267842', '1', 'tofly-flow', 'll', TO_DATE('2022-09-15 20:33:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 20:33:23', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570390324705611778', '1', 'tofly-flow', 'll', TO_DATE('2022-09-15 20:33:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 20:33:24', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/1570311339132964866', 'GET', '{"id":["1570311339132964866"]}', '57', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570390325787742209', '1', 'tofly-flow', 'll', TO_DATE('2022-09-15 20:33:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 20:33:24', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":["1"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570390326068760578', '1', 'tofly-flow', 'll', TO_DATE('2022-09-15 20:33:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 20:33:24', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570390326634991617', '1', 'tofly-flow', 'll', TO_DATE('2022-09-15 20:33:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 20:33:24', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570390334860021762', '1', 'tofly-flow', 'tmx', TO_DATE('2022-09-15 20:33:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 20:33:26', 'SYYYY-MM-DD HH24:MI:SS'), '171.217.183.40', NULL, '/tfprocessconfigl/1569613105131102209', 'GET', '{"id":["1569613105131102209"]}', '34', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570390335539499010', '1', 'tofly-flow', 'tmx', TO_DATE('2022-09-15 20:33:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 20:33:27', 'SYYYY-MM-DD HH24:MI:SS'), '171.217.183.40', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570390335820517377', '1', 'tofly-flow', 'tmx', TO_DATE('2022-09-15 20:33:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 20:33:27', 'SYYYY-MM-DD HH24:MI:SS'), '171.217.183.40', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570390336458051585', '1', 'tofly-flow', 'tmx', TO_DATE('2022-09-15 20:33:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 20:33:27', 'SYYYY-MM-DD HH24:MI:SS'), '171.217.183.40', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570390358641725441', '1', 'tofly-flow', 'tmx', TO_DATE('2022-09-15 20:33:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 20:33:32', 'SYYYY-MM-DD HH24:MI:SS'), '171.217.183.40', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570390358889189377', '1', 'tofly-flow', 'tmx', TO_DATE('2022-09-15 20:33:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 20:33:32', 'SYYYY-MM-DD HH24:MI:SS'), '171.217.183.40', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570392037495787522', '1', 'tofly-flow', 'll', TO_DATE('2022-09-15 20:40:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 20:40:12', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570392037839720450', '1', 'tofly-flow', 'll', TO_DATE('2022-09-15 20:40:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 20:40:12', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570392292824043522', '1', 'tofly-flow', 'll', TO_DATE('2022-09-15 20:41:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 20:41:13', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570392293339942913', '1', 'tofly-flow', 'll', TO_DATE('2022-09-15 20:41:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 20:41:13', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570392300830969858', '1', 'tofly-flow', 'll', TO_DATE('2022-09-15 20:41:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 20:41:15', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570392301296537602', '1', 'tofly-flow', 'll', TO_DATE('2022-09-15 20:41:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 20:41:15', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570392302223478786', '1', 'tofly-flow', 'll', TO_DATE('2022-09-15 20:41:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 20:41:15', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570580548102508545', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 09:09:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 09:09:17', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":["1569152821327564802"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570580549100752897', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 09:09:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 09:09:17', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571386690886033410', '0', 'tofly-flow', 'yj', TO_DATE('2022-09-18 14:32:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 14:32:36', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcontracttemplatep/saveContractTemplateField', 'POST', '{}', '25', NULL, '合同模板维护公用字段不能为空，请重新输入', 'content:新增合同模板', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571388443731771394', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-18 14:39:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 14:39:34', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["10000"],"current":["1"]}', '20', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571388443731771395', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-18 14:39:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 14:39:34', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '43', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571389832486797314', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-18 14:45:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 14:45:05', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '20', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571389832511963138', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-18 14:45:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 14:45:05', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["10000"],"current":["1"]}', '20', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571390669665681410', '0', 'tofly-flow', 'yj', TO_DATE('2022-09-18 14:48:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 14:48:25', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcontracttemplatep/saveContractTemplateField', 'POST', '{}', '69', NULL, '合同模板维护公用字段不能为空，请重新输入', 'content:新增合同模板', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571390699411685377', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-18 14:48:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 14:48:32', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571390699495571458', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-18 14:48:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 14:48:32', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["10000"],"current":["1"]}', '21', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571391131378860033', '0', 'tofly-flow', 'yj', TO_DATE('2022-09-18 14:50:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 14:50:15', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcontracttemplatep/saveContractTemplateField', 'POST', '{}', '66', NULL, '合同模板维护公用字段不能为空，请重新输入', 'content:新增合同模板', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571391378402394114', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-18 14:51:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 14:51:14', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["30"],"current":["1"]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571391431305150465', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-18 14:51:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 14:51:26', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571394831128281089', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-18 15:04:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 15:04:57', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571394831275081729', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-18 15:04:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 15:04:57', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["10000"],"current":["1"]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571394996971061250', '0', 'tofly-flow', 'yj', TO_DATE('2022-09-18 15:05:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 15:05:37', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcontracttemplatep/saveContractTemplateField', 'POST', '{}', '67', NULL, '合同模板维护公用字段不能为空，请重新输入', 'content:新增合同模板', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571397106500452354', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-18 15:13:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 15:13:59', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '18', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571397106647252994', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-18 15:14:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 15:14:00', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["10000"],"current":["1"]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571397600417497089', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-18 15:15:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 15:15:57', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["10000"],"current":["1"]}', '18', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571397658177257474', '0', 'tofly-flow', 'yj', TO_DATE('2022-09-18 15:16:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 15:16:11', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcontracttemplatep/saveContractTemplateField', 'POST', '{}', '70', NULL, '合同模板维护公用字段不能为空，请重新输入', 'content:新增合同模板', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571398197417951233', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-18 15:18:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 15:18:20', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '50', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571399883393941505', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-18 15:25:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 15:25:02', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '17', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571399915941740546', '0', 'tofly-flow', 'yj', TO_DATE('2022-09-18 15:25:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 15:25:09', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcalendaryearp/saveCalendarAll', 'POST', '{}', '196', NULL, '### Error updating database.  Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys003)

### The error may exist in com/tofly/workflow/baseconf/mapper/TfCalendarYearPMapper.java (best guess)
### The error may involve com.tofly.workflow.baseconf.mapper.TfCalendarYearPMapper.insert-Inline
### The error occurred while setting parameters
### SQL: INSERT INTO TF_CALENDAR_YEAR_P  ( id, UPDATE_USER, UPDATE_TIME,  year_name, remark,  CREATE_USER, CREATE_TIME )  VALUES  ( ?, ?, ?,  ?, ?,  ?, ? )
### Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys003)

; ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys003)
; nested exception is java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys003)', 'content:新增日历年日期相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571400501378498561', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-18 15:27:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 15:27:29', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '20', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571400532152107009', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-18 15:27:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 15:27:36', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcalendaryearp/saveCalendarAll', 'POST', '{}', '72', NULL, NULL, 'content:新增日历年日期相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571400532491845633', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-18 15:27:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 15:27:36', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571400567132602370', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-18 15:27:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 15:27:45', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571400567250042881', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-18 15:27:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 15:27:45', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["10000"],"current":["1"]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571401598742642690', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-18 15:31:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 15:31:51', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571401600026099713', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-18 15:31:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 15:31:51', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["10000"],"current":["1"]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571401739776114690', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-18 15:32:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 15:32:24', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571401739784503297', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-18 15:32:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 15:32:24', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["10000"],"current":["1"]}', '20', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571401757878730754', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-18 15:32:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 15:32:28', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571401758038114306', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-18 15:32:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 15:32:29', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["10000"],"current":["1"]}', '48', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571402790474432513', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-18 15:36:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 15:36:35', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571402790524764161', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-18 15:36:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 15:36:35', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["10000"],"current":["1"]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571407236851908610', '0', 'tofly-flow', 'yj', TO_DATE('2022-09-18 15:54:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 15:54:15', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcontracttemplatep/saveContractTemplateField', 'POST', '{}', '69', NULL, '合同模板维护公用字段不能为空，请重新输入', 'content:新增合同模板', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571413665612648449', '0', 'tofly-flow', 'yjf', TO_DATE('2022-09-18 16:19:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 16:19:47', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.114.83', NULL, '/tfcontracttemplatep/saveContractTemplateField', 'POST', '{}', '82', NULL, '合同模板不能为空，请重新输入', 'content:新增合同模板', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571423005354618881', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-18 16:56:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 16:56:54', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '532', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571425762798997505', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-18 17:07:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 17:07:52', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571426410554724353', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-18 17:10:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 17:10:26', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["10000"],"current":["1"]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570618216102309889', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 11:38:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 11:38:58', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570618223341678594', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 11:38:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 11:38:59', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/1570617434804158465', 'GET', '{"id":["1570617434804158465"]}', '13', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570618224566415362', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 11:39:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 11:39:00', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570618225338167297', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 11:39:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 11:39:00', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570618275229413377', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 11:39:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 11:39:12', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/1570617434804158465', 'GET', '{"id":["1570617434804158465"]}', '18', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570618276332515330', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 11:39:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 11:39:12', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570618277368508417', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 11:39:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 11:39:12', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570618289318080514', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-16 11:39:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 11:39:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["30"],"current":["1"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570618294351245314', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 11:39:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 11:39:16', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl', 'POST', '{}', '21', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570618294888116225', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 11:39:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 11:39:16', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570618298704932866', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 11:39:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 11:39:17', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/1570617434804158465', 'GET', '{"id":["1570617434804158465"]}', '16', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570618299535405058', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 11:39:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 11:39:17', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570618300491706369', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 11:39:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 11:39:18', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570618562279190530', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-16 11:40:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 11:40:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"key":[""]}', '190', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570618767120609282', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-16 11:41:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 11:41:09', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.167.115', NULL, '/tfprocessl/1569616564261691393', 'GET', '{}', '15', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570618897559269377', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 11:41:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 11:41:40', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/1570617434804158465', 'GET', '{"id":["1570617434804158465"]}', '17', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570618898582679554', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 11:41:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 11:41:40', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570618899434123265', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 11:41:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 11:41:40', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570618915250843650', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 11:41:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 11:41:44', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/1570617434804158465', 'GET', '{"id":["1570617434804158465"]}', '19', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570618915947098114', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 11:41:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 11:41:44', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570618916588826626', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 11:41:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 11:41:45', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570619079638200322', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-16 11:42:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 11:42:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570620724740698115', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-16 11:48:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 11:48:56', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.167.115', NULL, '/tfprocessconfigl/1569613105131102209', 'GET', '{}', '35', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570620960867430402', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 11:49:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 11:49:52', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/1570606305243660289', 'GET', '{"id":["1570606305243660289"]}', '84', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570620962821976065', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 11:49:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 11:49:52', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570620964206096385', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 11:49:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 11:49:53', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570620978751942657', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 11:49:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 11:49:56', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl', 'POST', '{}', '21', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570620979523694594', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 11:49:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 11:49:56', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570620989309005826', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-16 11:49:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 11:49:59', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.167.115', NULL, '/tfprocessl/page', 'GET', '{"tenantId":[""],"current":["1"],"size":["1000"]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570620999618605057', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-16 11:50:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 11:50:01', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.167.115', NULL, '/tfprocessl/1569616564261691393', 'GET', '{}', '17', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570621000092561409', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-16 11:50:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 11:50:01', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.167.115', NULL, '/tfprocessconfigl/1569613105131102209', 'GET', '{}', '25', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570621207685443586', '1', 'tofly-flow', 'll', TO_DATE('2022-09-16 11:50:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 11:50:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570652225746317314', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-16 13:54:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 13:54:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["30"],"current":["1"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570652258810015746', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-16 13:54:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 13:54:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"name":[""],"current":["1"],"size":["30"],"key":["沟槽"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570652265042751489', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-16 13:54:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 13:54:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"name":[""],"current":["1"],"size":["30"],"key":["沟槽"]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570652382957219841', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-16 13:54:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 13:54:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["30"],"current":["1"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570652437449617409', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-16 13:54:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 13:54:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"name":["沟槽"],"current":["1"],"size":["30"]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570652452117098498', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-16 13:55:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 13:55:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"name":[""],"current":["1"],"size":["30"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570654670702587905', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-16 14:03:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 14:03:49', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.167.115', NULL, '/tfprocessl/1569616564261691393', 'GET', '{}', '29', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570654877662130178', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-16 14:04:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 14:04:38', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.167.115', NULL, '/tfprocessl/page', 'GET', '{"tenantId":[""],"current":["1"],"size":["1000"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570654883949391873', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-16 14:04:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 14:04:40', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.167.115', NULL, '/tfprocessl/1569616564261691393', 'GET', '{}', '7', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570654884142329857', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-16 14:04:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 14:04:40', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.167.115', NULL, '/tfprocessconfigl/1569613105131102209', 'GET', '{}', '24', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570655255363399682', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-16 14:06:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 14:06:08', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.167.115', NULL, '/tfprocessl/1569616564261691393', 'GET', '{}', '11', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570655635602223106', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-16 14:07:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 14:07:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570655644544479233', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-16 14:07:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 14:07:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["30"],"current":["1"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569866566253223938', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 09:52:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 09:52:10', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"content":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569866579440115713', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 09:52:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 09:52:13', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/1569660763252559873', 'GET', '{"id":["1569660763252559873"]}', '19', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569866589208649729', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 09:52:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 09:52:16', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569866590567604226', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 09:52:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 09:52:16', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569866677133844481', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 09:52:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 09:52:37', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl', 'POST', '{}', '26', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569866677800738818', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 09:52:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 09:52:37', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"content":[""]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569866686495531009', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 09:52:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 09:52:39', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/1569660763252559873', 'GET', '{"id":["1569660763252559873"]}', '21', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569866697849511937', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 09:52:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 09:52:42', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569866699040694273', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 09:52:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 09:52:42', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569866732720955394', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 09:52:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 09:52:50', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl', 'POST', '{}', '23', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569866733408821250', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 09:52:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 09:52:50', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"content":[""]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569866739536699394', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 09:52:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 09:52:52', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/1569660763252559873', 'GET', '{"id":["1569660763252559873"]}', '20', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569866749326204929', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 09:52:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 09:52:54', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569866750588690433', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 09:52:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 09:52:54', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569866914279792642', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 09:53:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 09:53:33', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569866914795692034', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 09:53:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 09:53:33', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"content":[""]}', '17', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569866922232193026', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 09:53:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 09:53:35', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/1569660763252559873', 'GET', '{"id":["1569660763252559873"]}', '22', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569866923767308290', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 09:53:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 09:53:36', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569866925373726722', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 09:53:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 09:53:36', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569866968667332609', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 09:53:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 09:53:46', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl', 'POST', '{}', '33', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569866969732685825', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 09:53:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 09:53:46', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"content":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569866977479565314', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 09:53:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 09:53:48', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/1569613105131102209', 'GET', '{"id":["1569613105131102209"]}', '28', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569866979186647042', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 09:53:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 09:53:49', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569866980944060418', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 09:53:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 09:53:49', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569867003777851394', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 09:53:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 09:53:55', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/1569660763252559873', 'GET', '{"id":["1569660763252559873"]}', '28', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569867005283606529', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 09:53:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 09:53:55', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569867006692892673', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 09:53:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 09:53:55', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569867036640223234', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 09:54:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 09:54:02', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl', 'POST', '{}', '25', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569867037370032129', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 09:54:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 09:54:03', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"content":[""]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569867045171437570', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 09:54:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 09:54:04', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/1569660763252559873', 'GET', '{"id":["1569660763252559873"]}', '29', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569867047012737026', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 09:54:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 09:54:05', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569867048568823810', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 09:54:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 09:54:05', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569867107226165249', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 09:54:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 09:54:19', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl', 'POST', '{}', '32', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569867108371210242', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 09:54:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 09:54:20', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569867389402161154', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 09:55:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 09:55:27', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/1569660763252559873', 'GET', '{"id":["1569660763252559873"]}', '23', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569867390845001730', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 09:55:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 09:55:27', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569867392266870786', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 09:55:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 09:55:27', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569868089511190529', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 09:58:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 09:58:13', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"content":[""]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569868089918038018', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 09:58:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 09:58:14', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569868859577016321', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 10:01:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 10:01:17', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/1569660763252559873', 'GET', '{"id":["1569660763252559873"]}', '22', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569868860940165121', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 10:01:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 10:01:17', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569868862219427842', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 10:01:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 10:01:18', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569868898936365057', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 10:01:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 10:01:26', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl', 'POST', '{}', '34', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569868899607453697', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 10:01:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 10:01:27', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570581038903185409', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-16 09:11:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 09:11:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '25', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570582132777668609', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-16 09:15:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 09:15:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '32', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570583600075231233', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-16 09:21:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 09:21:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/deleteByIds', 'DELETE', '{"ids":["1570338426300518401,1570328007347392513"]}', '14', NULL, NULL, 'content:通过id批量删除日历年', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570583600318500865', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-16 09:21:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 09:21:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '2', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570584085645611010', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-16 09:23:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 09:23:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570585331706220545', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-16 09:28:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 09:28:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570585339201441793', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-16 09:28:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 09:28:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '2', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570585526430978049', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-16 09:29:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 09:29:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/saveCalendarAll', 'POST', '{}', '19', NULL, NULL, 'content:新增日历年日期相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570585541278814210', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-16 09:29:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 09:29:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570587617337659394', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-16 09:37:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 09:37:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570588061510258689', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-16 09:39:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 09:39:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/saveCalendarAll', 'POST', '{}', '44', NULL, NULL, 'content:新增日历年日期相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570588083039621121', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-16 09:39:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 09:39:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570588492961533954', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-16 09:40:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 09:40:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/saveCalendarAll', 'POST', '{}', '27', NULL, NULL, 'content:新增日历年日期相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570588505364090881', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-16 09:40:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 09:40:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570589033397604354', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-16 09:43:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 09:43:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '17', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570589078461206529', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-16 09:43:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 09:43:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570589765836328961', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-16 09:45:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 09:45:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570593918369214466', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-16 10:02:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 10:02:25', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.167.115', NULL, '/tfprojectprocessp/list', 'GET', '{"tenantId":["1"]}', '4', NULL, NULL, 'content:列表查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570594015563821057', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-16 10:02:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 10:02:48', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.167.115', NULL, '/tfprocessl/page', 'GET', '{"tenantId":[""],"current":["1"],"size":["1000"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570594020487933954', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-16 10:02:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 10:02:49', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.167.115', NULL, '/tfprocessl/1569616564261691393', 'GET', '{}', '12', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570594020840255489', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-16 10:02:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 10:02:49', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.167.115', NULL, '/tfprocessconfigl/1569613105131102209', 'GET', '{}', '38', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570594028012515329', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-16 10:02:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 10:02:51', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.167.115', NULL, '/tfprojectprocessp/list', 'GET', '{"tenantId":["1"]}', '1', NULL, NULL, 'content:列表查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570611045004292097', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-16 11:10:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 11:10:28', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.167.115', NULL, '/tfprocessl/1569616564261691393', 'GET', '{}', '11', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570611045230784513', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-16 11:10:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 11:10:28', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.167.115', NULL, '/tfprocessconfigl/1569613105131102209', 'GET', '{}', '67', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570611065799651330', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-16 11:10:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 11:10:33', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.167.115', NULL, '/tfprocessl/1569616564261691393', 'GET', '{}', '10', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570611065875148801', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-16 11:10:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 11:10:33', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.167.115', NULL, '/tfprocessconfigl/1569613105131102209', 'GET', '{}', '29', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570611073764634626', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-16 11:10:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 11:10:35', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.167.115', NULL, '/tfprocessl/1569616564261691393', 'GET', '{}', '12', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570611095583404033', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-16 11:10:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 11:10:40', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.167.115', NULL, '/tfprocessl/1569616564261691393', 'GET', '{}', '8', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570611095679873026', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-16 11:10:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 11:10:40', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.167.115', NULL, '/tfprocessconfigl/1569613105131102209', 'GET', '{}', '30', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570613206756962305', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-16 11:19:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 11:19:03', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.167.115', NULL, '/tfprocessconfigl/1569613105131102209', 'GET', '{}', '29', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570613206773739522', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-16 11:19:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 11:19:03', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.167.115', NULL, '/tfprocessl/1569616564261691393', 'GET', '{}', '40', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570617632125169665', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 11:36:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 11:36:38', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/1570617434804158465', 'GET', '{"id":["1570617434804158465"]}', '16', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570617633194717185', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 11:36:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 11:36:39', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570617634184572930', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 11:36:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 11:36:39', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570617665125953537', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 11:36:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 11:36:46', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl', 'POST', '{}', '14', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570617665763487745', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 11:36:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 11:36:46', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570617680804261890', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 11:36:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 11:36:50', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/1570617434804158465', 'GET', '{"id":["1570617434804158465"]}', '15', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570617681802506241', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 11:36:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 11:36:50', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570617682855276545', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 11:36:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 11:36:50', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570617707303874561', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 11:36:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 11:36:56', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl', 'POST', '{}', '15', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570617707874299906', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 11:36:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 11:36:56', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570620448034074625', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-16 11:47:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 11:47:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["30"],"current":["1"]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570620724740698114', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-16 11:48:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 11:48:56', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.167.115', NULL, '/tfprocessl/1569616564261691393', 'GET', '{}', '36', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570621207685443587', '1', 'tofly-flow', 'll', TO_DATE('2022-09-16 11:50:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 11:50:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570621214610239489', '1', 'tofly-flow', 'll', TO_DATE('2022-09-16 11:50:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 11:50:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570621214782205953', '1', 'tofly-flow', 'll', TO_DATE('2022-09-16 11:50:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 11:50:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570621218141843457', '1', 'tofly-flow', 'll', TO_DATE('2022-09-16 11:50:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 11:50:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570659974131560449', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-16 14:24:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 14:24:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570659982490808322', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-16 14:24:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 14:24:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["30"],"current":["1"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570660128649719809', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-16 14:25:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 14:25:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["30"],"current":["1"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570660300431634433', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-16 14:26:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 14:26:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["30"],"current":["1"]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570662185507041281', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-16 14:33:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 14:33:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570697780333694977', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-16 16:55:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 16:55:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570697860075802625', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-16 16:55:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 16:55:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570698804821807105', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 16:59:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 16:59:11', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl', 'POST', '{}', '38', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570698805278986241', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 16:59:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 16:59:12', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570698818092584962', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 16:59:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 16:59:15', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/1570698804578582529', 'GET', '{"id":["1570698804578582529"]}', '32', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570698818725924865', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 16:59:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 16:59:15', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570698820172959746', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 16:59:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 16:59:15', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '2', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570699026637574146', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-16 17:00:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 17:00:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570700447487414273', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-16 17:05:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 17:05:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570700606220849153', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-16 17:06:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 17:06:21', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.167.115', NULL, '/tfprocessl/page', 'GET', '{"tenantId":[""],"current":["1"],"size":["1000"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571416156421079041', '0', 'tofly-flow', 'yjf', TO_DATE('2022-09-18 16:29:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 16:29:41', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.114.83', NULL, '/tfcontracttemplatep/saveContractTemplateField', 'POST', '{}', '84', NULL, '合同模板不能为空，请重新输入', 'content:新增合同模板', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571416274981470210', '0', 'tofly-flow', 'yjf', TO_DATE('2022-09-18 16:30:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 16:30:10', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.114.83', NULL, '/tfcontracttemplatep/saveContractTemplateField', 'POST', '{}', '62', NULL, '合同模板不能为空，请重新输入', 'content:新增合同模板', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571416581811585025', '0', 'tofly-flow', 'yjf', TO_DATE('2022-09-18 16:31:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 16:31:23', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.114.83', NULL, '/tfcontracttemplatep/saveContractTemplateField', 'POST', '{"contractTemplatePDto":["{\"contractTemplateP\":\n{\"contractType\": \"1570686781107048449\",\n\"name\": \"合同模板\",\n\"remark\": \"测试\",\n\"tenantId\": \"1569216846182748162\"},\n\"contractFieldPList\":[{\n\"createTime\": \"2022-09-16 13:32:51\",\n\"createUser\": \"1562707353475338242\",\n\"createUserName\": \"杨静\",\n\"fieldName\": \"sss\",\n\"fieldType\": 1,\n\"fieldTypeName\": \"文本\",\n\"id\": \"1570646877572530177\",\n\"isDel\": null,\n\"isDelName\": null,\n\"name\": \"钢管焊接\",\n\"remark\": \"测试备注\",\n\"specialType\": null,\n\"specialTypeName\": null,\n\"updateTime\": \"2022-09-16 13:32:51\",\n\"updateUser\": \"1562707353475338242\",\n\"updateUserName\": \"杨静\"\n}]\n}"]}', '67', NULL, '合同模板不能为空，请重新输入', 'content:新增合同模板', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571416605454876674', '0', 'tofly-flow', 'yjf', TO_DATE('2022-09-18 16:31:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 16:31:28', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.114.83', NULL, '/tfcontracttemplatep/saveContractTemplateField', 'POST', '{}', '65', NULL, '合同模板不能为空，请重新输入', 'content:新增合同模板', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571416616632696834', '0', 'tofly-flow', 'yjf', TO_DATE('2022-09-18 16:31:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 16:31:31', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.114.83', NULL, '/tfcontracttemplatep/saveContractTemplateField', 'POST', '{}', '61', NULL, '合同模板不能为空，请重新输入', 'content:新增合同模板', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571416708022386689', '0', 'tofly-flow', 'yjf', TO_DATE('2022-09-18 16:31:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 16:31:53', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.114.83', NULL, '/tfcontracttemplatep/saveContractTemplateField', 'POST', '{"contractTemplatePDto":["{\"contractTemplateP\":\n{\"contractType\": \"1570686781107048449\",\n\"name\": \"合同模板\",\n\"remark\": \"测试\",\n\"tenantId\": \"1569216846182748162\"},\n\"contractFieldPList\":[{\n\"createTime\": \"2022-09-16 13:32:51\",\n\"createUser\": \"1562707353475338242\",\n\"createUserName\": \"杨静\",\n\"fieldName\": \"sss\",\n\"fieldType\": 1,\n\"fieldTypeName\": \"文本\",\n\"id\": \"1570646877572530177\",\n\"isDel\": null,\n\"isDelName\": null,\n\"name\": \"钢管焊接\",\n\"remark\": \"测试备注\",\n\"specialType\": null,\n\"specialTypeName\": null,\n\"updateTime\": \"2022-09-16 13:32:51\",\n\"updateUser\": \"1562707353475338242\",\n\"updateUserName\": \"杨静\"\n}]\n}"]}', '67', NULL, '合同模板不能为空，请重新输入', 'content:新增合同模板', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571416713579839490', '0', 'tofly-flow', 'yjf', TO_DATE('2022-09-18 16:31:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 16:31:54', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.114.83', NULL, '/tfcontracttemplatep/saveContractTemplateField', 'POST', '{"contractTemplatePDto":["{\"contractTemplateP\":\n{\"contractType\": \"1570686781107048449\",\n\"name\": \"合同模板\",\n\"remark\": \"测试\",\n\"tenantId\": \"1569216846182748162\"},\n\"contractFieldPList\":[{\n\"createTime\": \"2022-09-16 13:32:51\",\n\"createUser\": \"1562707353475338242\",\n\"createUserName\": \"杨静\",\n\"fieldName\": \"sss\",\n\"fieldType\": 1,\n\"fieldTypeName\": \"文本\",\n\"id\": \"1570646877572530177\",\n\"isDel\": null,\n\"isDelName\": null,\n\"name\": \"钢管焊接\",\n\"remark\": \"测试备注\",\n\"specialType\": null,\n\"specialTypeName\": null,\n\"updateTime\": \"2022-09-16 13:32:51\",\n\"updateUser\": \"1562707353475338242\",\n\"updateUserName\": \"杨静\"\n}]\n}"]}', '65', NULL, '合同模板不能为空，请重新输入', 'content:新增合同模板', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571416730310918146', '0', 'tofly-flow', 'yjf', TO_DATE('2022-09-18 16:31:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 16:31:58', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.114.83', NULL, '/tfcontracttemplatep/saveContractTemplateField', 'POST', '{}', '67', NULL, '合同模板不能为空，请重新输入', 'content:新增合同模板', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571416885256896514', '0', 'tofly-flow', 'yjf', TO_DATE('2022-09-18 16:32:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 16:32:35', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.114.83', NULL, '/tfcontracttemplatep/saveContractTemplateField', 'POST', '{}', '68', NULL, '合同模板不能为空，请重新输入', 'content:新增合同模板', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571416931813670913', '0', 'tofly-flow', 'yjf', TO_DATE('2022-09-18 16:32:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 16:32:46', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.114.83', NULL, '/tfcontracttemplatep/saveContractTemplateField', 'POST', '{}', '68', NULL, '合同模板不能为空，请重新输入', 'content:新增合同模板', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571416965707841537', '0', 'tofly-flow', 'yjf', TO_DATE('2022-09-18 16:32:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 16:32:54', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.114.83', NULL, '/tfcontracttemplatep/saveContractTemplateField', 'POST', '{}', '63', NULL, '合同模板不能为空，请重新输入', 'content:新增合同模板', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571416973815431169', '0', 'tofly-flow', 'yjf', TO_DATE('2022-09-18 16:32:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 16:32:56', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.114.83', NULL, '/tfcontracttemplatep/saveContractTemplateField', 'POST', '{}', '68', NULL, '合同模板不能为空，请重新输入', 'content:新增合同模板', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571416980199161857', '0', 'tofly-flow', 'yjf', TO_DATE('2022-09-18 16:32:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 16:32:58', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.114.83', NULL, '/tfcontracttemplatep/saveContractTemplateField', 'POST', '{}', '64', NULL, '合同模板不能为空，请重新输入', 'content:新增合同模板', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571416987065237505', '0', 'tofly-flow', 'yjf', TO_DATE('2022-09-18 16:32:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 16:32:59', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.114.83', NULL, '/tfcontracttemplatep/saveContractTemplateField', 'POST', '{}', '72', NULL, '合同模板不能为空，请重新输入', 'content:新增合同模板', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570655938309337090', '0', 'tofly-flow', 'mzscb', TO_DATE('2022-09-16 14:08:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 14:08:51', 'SYYYY-MM-DD HH24:MI:SS'), '61.157.29.47', NULL, '/tfprocessconfigl', 'POST', '{}', '86', NULL, '失败', 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570656008337436674', '0', 'tofly-flow', 'mzscb', TO_DATE('2022-09-16 14:09:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 14:09:08', 'SYYYY-MM-DD HH24:MI:SS'), '61.157.29.47', NULL, '/tfprocessconfigl', 'POST', '{}', '77', NULL, '失败', 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570672310162632705', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-16 15:13:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 15:13:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570679715239919618', '1', 'tofly-flow', 'll', TO_DATE('2022-09-16 15:43:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 15:43:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570679718867992577', '1', 'tofly-flow', 'll', TO_DATE('2022-09-16 15:43:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 15:43:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570679719086096386', '1', 'tofly-flow', 'll', TO_DATE('2022-09-16 15:43:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 15:43:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570680062104666114', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 15:44:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 15:44:43', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/1570606305243660289', 'GET', '{"id":["1570606305243660289"]}', '36', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570680062750588929', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 15:44:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 15:44:43', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570680063773999105', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 15:44:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 15:44:43', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570680217893699586', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 15:45:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 15:45:20', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":["1569152821327564802"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570680218938081282', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 15:45:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 15:45:20', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '7', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570685330586697731', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 16:05:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 16:05:39', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '18', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570686012572143619', '1', 'tofly-flow', 'll', TO_DATE('2022-09-16 16:08:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 16:08:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570692091022077953', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-16 16:32:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 16:32:31', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfbasetypep/typetree', 'GET', '{"id":[""],"type":["0"],"datatypes":["0"]}', '268', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570692286438895617', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-16 16:33:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 16:33:17', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfbasetypep', 'POST', '{"dataType":0,"isValid":1,"typeName":"物资类型","force":true,"parentId":0}', '93', NULL, NULL, 'content:新增基础类型表', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570692306378616833', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-16 16:33:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 16:33:22', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfbasetypep/typetree', 'GET', '{"id":[""],"type":["0"],"datatypes":["0"]}', '36', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570692500025438209', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-16 16:34:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 16:34:08', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfbasetypep', 'POST', '{"dataType":1570692286170427394,"isValid":1,"typeName":"管材类","force":true,"parentId":0}', '80', NULL, NULL, 'content:新增基础类型表', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570692534339039233', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-16 16:34:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 16:34:16', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfbasetypep', 'POST', '{"dataType":1570692286170427394,"isValid":1,"typeName":"仪表类","force":true,"parentId":0}', '75', NULL, NULL, 'content:新增基础类型表', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570692586507792385', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-16 16:34:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 16:34:29', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfbasetypep/typetree', 'GET', '{"id":[""],"type":["0"],"datatypes":["1570692286170427394"]}', '37', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570697325805408258', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-16 16:53:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 16:53:19', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.167.115', NULL, '/tfprocessl/1569616564261691393', 'GET', '{}', '34', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570698518283735042', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-16 16:58:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 16:58:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570698526210969601', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-16 16:58:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 16:58:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571110578188574722', '2', 'tofly-auth', 'll', TO_DATE('2022-09-17 20:15:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-17 20:15:26', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/token/93946aa6-f183-41c8-96d9-e0da16677e3f', 'DELETE', '{}', '1', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571129965423484929', '2', 'tofly-auth', 'll', TO_DATE('2022-09-17 21:32:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-17 21:32:28', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/token/68d2c68a-2ca6-40ca-982a-fff6dbf3cb2f', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571322323666591746', '0', 'tofly-flow', 'lz', TO_DATE('2022-09-18 10:16:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 10:16:50', 'SYYYY-MM-DD HH24:MI:SS'), '171.92.78.234', NULL, '/tfbasetypep', 'POST', '{}', '97', NULL, 'nested exception is org.apache.ibatis.type.TypeException: Could not set parameters for mapping: ParameterMapping{property=''ew.paramNameValuePairs.MPGENVAL1'', mode=IN, javaType=class java.lang.Object, jdbcType=null, numericScale=null, resultMapId=''null'', jdbcTypeName=''null'', expression=''null''}. Cause: org.apache.ibatis.type.TypeException: Error setting null for parameter #1 with JdbcType OTHER . Try setting a different JdbcType for this parameter or a different jdbcTypeForNull configuration property. Cause: java.sql.SQLException: 无效的列类型: 1111', 'content:新增基础类型表', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571322516197728257', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-18 10:17:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 10:17:36', 'SYYYY-MM-DD HH24:MI:SS'), '171.92.78.234', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571322550884622337', '0', 'tofly-flow', 'lz', TO_DATE('2022-09-18 10:17:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 10:17:44', 'SYYYY-MM-DD HH24:MI:SS'), '171.92.78.234', NULL, '/tfbasetypep', 'POST', '{}', '91', NULL, 'nested exception is org.apache.ibatis.type.TypeException: Could not set parameters for mapping: ParameterMapping{property=''ew.paramNameValuePairs.MPGENVAL1'', mode=IN, javaType=class java.lang.Object, jdbcType=null, numericScale=null, resultMapId=''null'', jdbcTypeName=''null'', expression=''null''}. Cause: org.apache.ibatis.type.TypeException: Error setting null for parameter #1 with JdbcType OTHER . Try setting a different JdbcType for this parameter or a different jdbcTypeForNull configuration property. Cause: java.sql.SQLException: 无效的列类型: 1111', 'content:新增基础类型表', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571323357889683457', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-18 10:20:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 10:20:56', 'SYYYY-MM-DD HH24:MI:SS'), '171.92.78.234', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["30"],"datatype":["1570692286170427400"],"key":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571323691315879937', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-18 10:22:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 10:22:16', 'SYYYY-MM-DD HH24:MI:SS'), '171.92.78.234', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["30"],"key":[""],"dataType":["1570692286170427400"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571323742054375425', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-18 10:22:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 10:22:28', 'SYYYY-MM-DD HH24:MI:SS'), '171.92.78.234', NULL, '/tfbasetypep', 'POST', '{}', '76', NULL, NULL, 'content:新增基础类型表', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571325121724538882', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-18 10:27:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 10:27:57', 'SYYYY-MM-DD HH24:MI:SS'), '171.92.78.234', NULL, '/tfbasetypep', 'POST', '{}', '70', NULL, NULL, 'content:新增基础类型表', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571325155459325954', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-18 10:28:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 10:28:05', 'SYYYY-MM-DD HH24:MI:SS'), '171.92.78.234', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["30"],"key":[""],"dataType":["1570692286170427400"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571325201319845889', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-18 10:28:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 10:28:16', 'SYYYY-MM-DD HH24:MI:SS'), '171.92.78.234', NULL, '/tfbasetypep', 'POST', '{}', '27', NULL, NULL, 'content:新增基础类型表', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571325413178335233', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-18 10:29:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 10:29:06', 'SYYYY-MM-DD HH24:MI:SS'), '171.92.78.234', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["30"],"key":[""],"dataType":["1570692286170427400"]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571325449056411649', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-18 10:29:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 10:29:15', 'SYYYY-MM-DD HH24:MI:SS'), '171.92.78.234', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["30"],"key":[""],"dataType":["1570692286170427400"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571325483109965825', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-18 10:29:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 10:29:23', 'SYYYY-MM-DD HH24:MI:SS'), '171.92.78.234', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["30"],"key":[""],"dataType":["1570692286170427400"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571325647686066177', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-18 10:30:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 10:30:02', 'SYYYY-MM-DD HH24:MI:SS'), '171.92.78.234', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["30"],"key":[""],"dataType":["1570692286170427394"]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569618516456841218', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 17:26:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 17:26:31', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/1569507482133536769', 'GET', '{"id":["1569507482133536769"]}', '22', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569618575072239617', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-13 17:26:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 17:26:45', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.170.172', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569618740734664706', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-13 17:27:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 17:27:24', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.170.172', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569619062383255553', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 17:28:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 17:28:41', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569619062886572033', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 17:28:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 17:28:41', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/1569507482133536769', 'GET', '{"id":["1569507482133536769"]}', '21', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569619063679295489', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 17:28:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 17:28:41', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569619063704461313', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 17:28:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 17:28:41', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569619064425881602', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 17:28:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 17:28:41', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569619571076833281', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 17:30:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 17:30:42', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/1569507482133536769', 'GET', '{"id":["1569507482133536769"]}', '20', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569619572347707393', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 17:30:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 17:30:42', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569619573715050498', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 17:30:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 17:30:43', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569621177512042498', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-13 17:37:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 17:37:05', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.170.172', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569621191105781762', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-13 17:37:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 17:37:08', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.170.172', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569869102565629954', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 10:02:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 10:02:15', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569869103052169217', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 10:02:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 10:02:15', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569869110664830977', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 10:02:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 10:02:17', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/1569660763252559873', 'GET', '{"id":["1569660763252559873"]}', '25', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569869111906344962', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 10:02:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 10:02:17', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569869113265299457', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 10:02:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 10:02:18', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569869132030615554', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 10:02:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 10:02:22', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/1569660763252559873', 'GET', '{"id":["1569660763252559873"]}', '24', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569869133205020674', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 10:02:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 10:02:22', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569869134555586561', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 10:02:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 10:02:23', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569869215501459458', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 10:02:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 10:02:42', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/1569660763252559873', 'GET', '{"id":["1569660763252559873"]}', '18', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569869216747167745', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 10:02:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 10:02:42', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569869218018041857', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 10:02:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 10:02:42', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '2', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569869228277309441', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 10:02:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 10:02:45', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/1569660763252559873', 'GET', '{"id":["1569660763252559873"]}', '26', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569869229049061377', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 10:02:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 10:02:45', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569869229833396225', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 10:02:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 10:02:45', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569945820613648386', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-14 15:07:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 15:07:06', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570307156002590722', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 15:02:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 15:02:55', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '2', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570307161853644802', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 15:02:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 15:02:56', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":["1569152821327564802"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570307162956746754', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 15:02:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 15:02:57', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570594644491317249', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-16 10:05:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 10:05:18', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.167.115', NULL, '/tfprocessl/1569616564261691393', 'GET', '{}', '10', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570596790225940481', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-16 10:13:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 10:13:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["30"],"current":["1"]}', '74', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570597925795999745', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-16 10:18:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 10:18:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["30"],"current":["1"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570597994083463170', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-16 10:18:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 10:18:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["30"],"current":["1"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570598152586211330', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-16 10:19:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 10:19:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["30"],"current":["1"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570603955732951041', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-16 10:42:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 10:42:18', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.167.115', NULL, '/tfprocessl/1569616564261691393', 'GET', '{}', '9', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570653216952627202', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-16 13:58:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 13:58:02', 'SYYYY-MM-DD HH24:MI:SS'), '61.157.29.47', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570653266416054273', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-16 13:58:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 13:58:14', 'SYYYY-MM-DD HH24:MI:SS'), '61.157.29.47', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570653266629963777', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-16 13:58:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 13:58:14', 'SYYYY-MM-DD HH24:MI:SS'), '61.157.29.47', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570653272560709634', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-16 13:58:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 13:58:16', 'SYYYY-MM-DD HH24:MI:SS'), '61.157.29.47', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570653272967557122', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-16 13:58:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 13:58:16', 'SYYYY-MM-DD HH24:MI:SS'), '61.157.29.47', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570653274309734401', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-16 13:58:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 13:58:16', 'SYYYY-MM-DD HH24:MI:SS'), '61.157.29.47', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570621218301227009', '1', 'tofly-flow', 'll', TO_DATE('2022-09-16 11:50:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 11:50:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570621235053277185', '1', 'tofly-flow', 'll', TO_DATE('2022-09-16 11:50:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 11:50:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1570617434804158465', 'GET', '{"id":["1570617434804158465"]}', '14', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570621235405598722', '1', 'tofly-flow', 'll', TO_DATE('2022-09-16 11:50:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 11:50:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570621235745337346', '1', 'tofly-flow', 'll', TO_DATE('2022-09-16 11:50:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 11:50:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570621951352320001', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-16 11:53:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 11:53:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["30"],"current":["1"]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570622040703578113', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-16 11:54:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 11:54:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp', 'PUT', '{}', '5', NULL, NULL, 'content:修改合同模板公用字段', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570622040992985089', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-16 11:54:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 11:54:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["30"],"current":["1"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570622315061391362', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-16 11:55:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 11:55:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["30"],"current":["1"]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570622525384765441', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-16 11:56:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 11:56:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["30"],"current":["1"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570622557915787265', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-16 11:56:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 11:56:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/deleteByIds', 'DELETE', '{"ids":["1564150358745006082"]}', '3', NULL, NULL, 'content:通过id批量删除合同模板公用字段', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570622558133891073', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-16 11:56:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 11:56:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["30"],"current":["1"]}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570622727885762562', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-16 11:56:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 11:56:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp', 'POST', '{}', '4', NULL, NULL, 'content:新增合同模板公用字段', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570622728108060673', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-16 11:56:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 11:56:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["30"],"current":["1"]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570622743320801282', '1', 'tofly-flow', 'll', TO_DATE('2022-09-16 11:56:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 11:56:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570622743513739265', '1', 'tofly-flow', 'll', TO_DATE('2022-09-16 11:56:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 11:56:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570622820546326530', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-16 11:57:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 11:57:15', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.167.115', NULL, '/tfprocessl/page', 'GET', '{"tenantId":[""],"current":["1"],"size":["1000"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570622828033159170', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-16 11:57:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 11:57:17', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.167.115', NULL, '/tfprocessl/1569616564261691393', 'GET', '{}', '13', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570622828184154114', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-16 11:57:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 11:57:17', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.167.115', NULL, '/tfprocessconfigl/1569613105131102209', 'GET', '{}', '27', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570624183145672706', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 12:02:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 12:02:40', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/1570617434804158465', 'DELETE', '{"id":["1570617434804158465"]}', '3', NULL, NULL, 'content:通过id删除审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570624183770624002', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 12:02:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 12:02:40', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570646639050829826', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-16 13:31:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 13:31:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["30"],"current":["1"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570646877681561601', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-16 13:32:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 13:32:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp', 'POST', '{}', '15', NULL, NULL, 'content:新增合同模板公用字段', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570646878025494530', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-16 13:32:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 13:32:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["30"],"current":["1"]}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570647519544291330', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-16 13:35:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 13:35:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["30"],"current":["1"]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570647554826776578', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-16 13:35:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 13:35:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"key":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570647839708098562', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 13:36:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 13:36:40', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570647840559542274', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 13:36:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 13:36:41', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570647842719608834', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 13:36:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 13:36:41', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":["1569152821327564802"]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570647843269062657', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 13:36:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 13:36:41', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570648450025467906', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-16 13:39:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 13:39:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["30"],"current":["1"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570648541801033729', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-16 13:39:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 13:39:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["30"],"current":["1"]}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570648599971835905', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-16 13:39:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 13:39:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570648682259886081', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-16 13:40:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 13:40:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"key":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570648722797834241', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-16 13:40:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 13:40:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["30"],"current":["1"]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570649087849082881', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-16 13:41:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 13:41:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["30"],"current":["1"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570649183043006465', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-16 13:42:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 13:42:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570649251267555330', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-16 13:42:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 13:42:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["30"],"current":["1"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570649410290397186', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-16 13:42:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 13:42:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"key":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570649423607312386', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-16 13:42:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 13:42:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp', 'POST', '{}', '3', NULL, NULL, 'content:新增合同模板公用字段', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570649423825416193', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-16 13:42:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 13:42:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["30"],"current":["1"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570649472017969153', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-16 13:43:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 13:43:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp', 'PUT', '{}', '4', NULL, NULL, 'content:修改合同模板公用字段', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570649472236072962', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-16 13:43:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 13:43:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["30"],"current":["1"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570649499096395778', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-16 13:43:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 13:43:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp', 'PUT', '{}', '3', NULL, NULL, 'content:修改合同模板公用字段', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570649499322888194', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-16 13:43:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 13:43:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["30"],"current":["1"]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570649569220964354', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-16 13:43:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 13:43:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp', 'PUT', '{}', '10', NULL, NULL, 'content:修改合同模板公用字段', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570649569472622594', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-16 13:43:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 13:43:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["30"],"current":["1"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570649639387475970', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-16 13:43:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 13:43:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571386626792873986', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-18 14:32:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 14:32:21', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["10000"],"current":["1"]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571416992081625089', '0', 'tofly-flow', 'yjf', TO_DATE('2022-09-18 16:33:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 16:33:01', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.114.83', NULL, '/tfcontracttemplatep/saveContractTemplateField', 'POST', '{}', '57', NULL, '合同模板不能为空，请重新输入', 'content:新增合同模板', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571426588951056385', '0', 'tofly-flow', 'yj', TO_DATE('2022-09-18 17:11:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 17:11:09', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcontracttemplatep/saveContractTemplateField', 'POST', '{}', '201', NULL, '### Error updating database.  Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.PK_TF_CONTRACT_FIELD_P)

### The error may exist in com/tofly/workflow/baseconf/mapper/TfContractFieldPMapper.java (best guess)
### The error may involve com.tofly.workflow.baseconf.mapper.TfContractFieldPMapper.insert-Inline
### The error occurred while setting parameters
### SQL: INSERT INTO TF_CONTRACT_FIELD_P  ( id, name, field_name, field_type,   remark, CREATE_USER, CREATE_TIME, UPDATE_USER, UPDATE_TIME )  VALUES  ( ?, ?, ?, ?,   ?, ?, ?, ?, ? )
### Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.PK_TF_CONTRACT_FIELD_P)

; ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.PK_TF_CONTRACT_FIELD_P)
; nested exception is java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.PK_TF_CONTRACT_FIELD_P)', 'content:新增合同模板', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571427393666027522', '0', 'tofly-flow', 'yj', TO_DATE('2022-09-18 17:14:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 17:14:21', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcontracttemplatep/saveContractTemplateField', 'POST', '{}', '97', NULL, '### Error updating database.  Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.PK_TF_CONTRACT_FIELD_P)

### The error may exist in com/tofly/workflow/baseconf/mapper/TfContractFieldPMapper.java (best guess)
### The error may involve com.tofly.workflow.baseconf.mapper.TfContractFieldPMapper.insert-Inline
### The error occurred while setting parameters
### SQL: INSERT INTO TF_CONTRACT_FIELD_P  ( id, name, field_name, field_type,   remark, CREATE_USER, CREATE_TIME, UPDATE_USER, UPDATE_TIME )  VALUES  ( ?, ?, ?, ?,   ?, ?, ?, ?, ? )
### Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.PK_TF_CONTRACT_FIELD_P)

; ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.PK_TF_CONTRACT_FIELD_P)
; nested exception is java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.PK_TF_CONTRACT_FIELD_P)', 'content:新增合同模板', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571427461341122562', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-18 17:14:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 17:14:37', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571427689863581697', '0', 'tofly-flow', 'yj', TO_DATE('2022-09-18 17:15:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 17:15:31', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcontracttemplatep/saveContractTemplateField', 'POST', '{}', '92', NULL, '### Error updating database.  Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.PK_TF_CONTRACT_FIELD_P)

### The error may exist in com/tofly/workflow/baseconf/mapper/TfContractFieldPMapper.java (best guess)
### The error may involve com.tofly.workflow.baseconf.mapper.TfContractFieldPMapper.insert-Inline
### The error occurred while setting parameters
### SQL: INSERT INTO TF_CONTRACT_FIELD_P  ( id, name, field_name, field_type,   remark, CREATE_USER, CREATE_TIME, UPDATE_USER, UPDATE_TIME )  VALUES  ( ?, ?, ?, ?,   ?, ?, ?, ?, ? )
### Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.PK_TF_CONTRACT_FIELD_P)

; ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.PK_TF_CONTRACT_FIELD_P)
; nested exception is java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.PK_TF_CONTRACT_FIELD_P)', 'content:新增合同模板', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571427757836472323', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-18 17:15:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 17:15:47', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["10000"],"current":["1"]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571428135164448770', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-18 17:17:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 17:17:17', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '20', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571428155175473153', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-18 17:17:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 17:17:22', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcontractfieldp/deleteByIds', 'DELETE', '{"ids":["1571427689410686977,1571426588040982530"]}', '6', NULL, NULL, 'content:通过id批量删除合同模板公用字段', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571428155490045953', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-18 17:17:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 17:17:22', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571428309542637569', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-18 17:17:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 17:17:59', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["10000"],"current":["1"]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571428522713944065', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-18 17:18:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 17:18:50', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["10000"],"current":["1"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571428670357639169', '0', 'tofly-flow', 'yj', TO_DATE('2022-09-18 17:19:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 17:19:25', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcontracttemplatep/saveContractTemplateField', 'POST', '{}', '96', NULL, '### Error updating database.  Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.PK_TF_CONTRACT_FIELD_P)

### The error may exist in com/tofly/workflow/baseconf/mapper/TfContractFieldPMapper.java (best guess)
### The error may involve com.tofly.workflow.baseconf.mapper.TfContractFieldPMapper.insert-Inline
### The error occurred while setting parameters
### SQL: INSERT INTO TF_CONTRACT_FIELD_P  ( id, name, field_name, field_type,   remark, CREATE_USER, CREATE_TIME, UPDATE_USER, UPDATE_TIME )  VALUES  ( ?, ?, ?, ?,   ?, ?, ?, ?, ? )
### Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.PK_TF_CONTRACT_FIELD_P)

; ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.PK_TF_CONTRACT_FIELD_P)
; nested exception is java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.PK_TF_CONTRACT_FIELD_P)', 'content:新增合同模板', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571428731271516161', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-18 17:19:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 17:19:39', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["10000"],"current":["1"]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571662815822352385', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-19 08:49:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 08:49:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/page', 'GET', '{"tenantId":[""],"current":["1"],"size":["1000"]}', '208', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571664742920491009', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 08:57:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 08:57:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571665957356048385', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 09:02:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 09:02:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["10000"],"current":["1"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571665957997776898', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 09:02:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 09:02:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571669789448343554', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 09:17:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 09:17:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["10000"],"current":["1"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571669789775499266', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 09:17:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 09:17:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571669804862410753', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 09:17:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 09:17:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"name":[""],"tenantId":["1569216846182748162"],"current":["1"],"size":["30"],"contractType":[""]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570701428480540674', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-16 17:09:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 17:09:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570712921263570946', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-16 17:55:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 17:55:17', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.167.115', NULL, '/tfprocessl/page', 'GET', '{"tenantId":[""],"current":["1"],"size":["1000"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570712930637840386', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-16 17:55:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 17:55:19', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.167.115', NULL, '/tfprocessl/1569616564261691393', 'GET', '{}', '7', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570712960274792449', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-16 17:55:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 17:55:26', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.167.115', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1570692286170427394"]}', '2', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570713092936433666', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-16 17:55:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 17:55:58', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.167.115', NULL, '/tfprocessl/page', 'GET', '{"tenantId":[""],"current":["1"],"size":["1000"]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570713102021296130', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-16 17:56:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 17:56:00', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.167.115', NULL, '/tfprocessl/1569616564261691393', 'GET', '{}', '10', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570713102134542337', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-16 17:56:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 17:56:00', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.167.115', NULL, '/tfprocessconfigl/1569613105131102209', 'GET', '{}', '23', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570713108757348354', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-16 17:56:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 17:56:02', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.167.115', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1570692286170427394"]}', '2', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571326121357205505', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-18 10:31:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 10:31:55', 'SYYYY-MM-DD HH24:MI:SS'), '171.92.78.234', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["30"],"key":[""],"dataType":["1570692286170427394"]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571326901388697601', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-18 10:35:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 10:35:01', 'SYYYY-MM-DD HH24:MI:SS'), '171.92.78.234', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["30"],"key":[""],"dataType":["1570692286170427394"]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571327155827761153', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-18 10:36:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 10:36:02', 'SYYYY-MM-DD HH24:MI:SS'), '171.92.78.234', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["30"],"key":[""],"dataType":["1570692286170427394"]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571327173053767681', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-18 10:36:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 10:36:06', 'SYYYY-MM-DD HH24:MI:SS'), '171.92.78.234', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["30"],"key":[""],"dataType":["1570692286170427394"]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571327417019654145', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-18 10:37:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 10:37:04', 'SYYYY-MM-DD HH24:MI:SS'), '171.92.78.234', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["30"],"key":[""],"dataType":["1570692286170427394"]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571328196698824705', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-18 10:40:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 10:40:10', 'SYYYY-MM-DD HH24:MI:SS'), '171.92.78.234', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["30"],"key":[""],"dataType":["1570692286170427394"]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571328208069582849', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-18 10:40:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 10:40:13', 'SYYYY-MM-DD HH24:MI:SS'), '171.92.78.234', NULL, '/tfbasetypep/deleteByIds', 'DELETE', '{}', '1', NULL, NULL, 'content:通过id批量删除基础类型表', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571328483228508162', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-18 10:41:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 10:41:18', 'SYYYY-MM-DD HH24:MI:SS'), '171.92.78.234', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["30"],"key":[""],"dataType":["1570692286170427394"]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571328494850924546', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-18 10:41:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 10:41:21', 'SYYYY-MM-DD HH24:MI:SS'), '171.92.78.234', NULL, '/tfbasetypep/deleteByIds', 'DELETE', '{}', '0', NULL, NULL, 'content:通过id批量删除基础类型表', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571328627374153729', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-18 10:41:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 10:41:53', 'SYYYY-MM-DD HH24:MI:SS'), '171.92.78.234', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["30"],"key":[""],"dataType":["1570692286170427394"]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571328688791347202', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-18 10:42:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 10:42:07', 'SYYYY-MM-DD HH24:MI:SS'), '171.92.78.234', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["30"],"key":[""],"dataType":["1570692286170427394"]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571328779535114242', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-18 10:42:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 10:42:29', 'SYYYY-MM-DD HH24:MI:SS'), '171.92.78.234', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["30"],"key":[""],"dataType":["1570692286170427394"]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571329145924345858', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-18 10:43:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 10:43:56', 'SYYYY-MM-DD HH24:MI:SS'), '171.92.78.234', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["30"],"key":[""],"dataType":["1570692286170427394"]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571329298815115266', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-18 10:44:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 10:44:33', 'SYYYY-MM-DD HH24:MI:SS'), '171.92.78.234', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["30"],"key":[""],"dataType":["1570692286170427394"]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571329339197874178', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-18 10:44:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 10:44:43', 'SYYYY-MM-DD HH24:MI:SS'), '171.92.78.234', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["30"],"key":[""],"dataType":["1570692286170427394"]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571329384626380802', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-18 10:44:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 10:44:53', 'SYYYY-MM-DD HH24:MI:SS'), '171.92.78.234', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["30"],"key":[""],"dataType":["1570692286170427394"]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571329395888087042', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-18 10:44:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 10:44:56', 'SYYYY-MM-DD HH24:MI:SS'), '171.92.78.234', NULL, '/tfbasetypep/deleteByIds', 'DELETE', '{}', '0', NULL, NULL, 'content:通过id批量删除基础类型表', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571329493875417089', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-18 10:45:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 10:45:19', 'SYYYY-MM-DD HH24:MI:SS'), '171.92.78.234', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["30"],"key":[""],"dataType":["1570692286170427394"]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571329506579963906', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-18 10:45:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 10:45:22', 'SYYYY-MM-DD HH24:MI:SS'), '171.92.78.234', NULL, '/tfbasetypep/deleteByIds', 'DELETE', '{}', '0', NULL, NULL, 'content:通过id批量删除基础类型表', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571329646158012417', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-18 10:45:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 10:45:56', 'SYYYY-MM-DD HH24:MI:SS'), '171.92.78.234', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["30"],"key":[""],"dataType":["1570692286170427394"]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571375798853165058', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-18 13:49:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 13:49:19', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571375805857652738', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-18 13:49:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 13:49:21', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["10000"],"current":["1"]}', '19', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571375805874429954', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-18 13:49:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 13:49:21', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '22', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571376517693956097', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-18 13:52:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 13:52:11', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["10000"],"current":["1"]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571376517777842177', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-18 13:52:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 13:52:11', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '32', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571376871202480130', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-18 13:53:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 13:53:35', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571376871303143425', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-18 13:53:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 13:53:35', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["10000"],"current":["1"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571376952903327746', '0', 'tofly-flow', 'yj', TO_DATE('2022-09-18 13:53:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 13:53:55', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcontracttemplatep/saveContractTemplateField', 'POST', '{}', '75', NULL, '合同模板维护公用字段不能为空，请重新输入', 'content:新增合同模板', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571377118322483201', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-18 13:54:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 13:54:34', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571391431468728321', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-18 14:51:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 14:51:26', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["10000"],"current":["1"]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571393131470471170', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-18 14:58:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 14:58:12', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '19', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571393131579523073', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-18 14:58:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 14:58:12', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["10000"],"current":["1"]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571397270950723586', '0', 'tofly-flow', 'yj', TO_DATE('2022-09-18 15:14:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 15:14:39', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcontracttemplatep/saveContractTemplateField', 'POST', '{}', '66', NULL, '合同模板维护公用字段不能为空，请重新输入', 'content:新增合同模板', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571397600375554049', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-18 15:15:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 15:15:57', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570653575477538818', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-16 13:59:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 13:59:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["30"],"current":["1"]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570654364514201602', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-16 14:02:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 14:02:36', 'SYYYY-MM-DD HH24:MI:SS'), '61.157.29.47', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570654364719722497', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-16 14:02:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 14:02:36', 'SYYYY-MM-DD HH24:MI:SS'), '61.157.29.47', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570654376858038273', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-16 14:02:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 14:02:39', 'SYYYY-MM-DD HH24:MI:SS'), '61.157.29.47', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570654377256497153', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-16 14:02:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 14:02:39', 'SYYYY-MM-DD HH24:MI:SS'), '61.157.29.47', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570654378367987713', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-16 14:02:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 14:02:39', 'SYYYY-MM-DD HH24:MI:SS'), '61.157.29.47', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570654609658687489', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-16 14:03:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 14:03:34', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.167.115', NULL, '/tfprocessl/page', 'GET', '{"tenantId":[""],"current":["1"],"size":["1000"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570654632081436674', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-16 14:03:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 14:03:40', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.167.115', NULL, '/tfprocessl/1569616564261691393', 'GET', '{}', '8', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570686012572143618', '1', 'tofly-flow', 'll', TO_DATE('2022-09-16 16:08:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 16:08:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570696086506016769', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-16 16:48:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 16:48:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570696268220043265', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-16 16:49:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 16:49:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570696984166764545', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-16 16:51:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 16:51:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570697222159962114', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-16 16:52:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 16:52:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570697265579397122', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-16 16:53:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 16:53:04', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.167.115', NULL, '/tfprocessl/page', 'GET', '{"tenantId":[""],"current":["1"],"size":["1000"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570697282411139073', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-16 16:53:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 16:53:08', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.167.115', NULL, '/tfprocessl/1569616564261691393', 'GET', '{}', '11', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570697285305208833', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-16 16:53:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 16:53:09', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.167.115', NULL, '/tfprocessconfigl/1569613105131102209', 'GET', '{}', '25', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570697293773508610', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-16 16:53:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 16:53:11', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.167.115', NULL, '/tfprojectprocessp/list', 'GET', '{"tenantId":["1"],"nature":["1559424501707382785"]}', '1', NULL, NULL, 'content:列表查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570697294117441538', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-16 16:53:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 16:53:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570697776663678978', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-16 16:55:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 16:55:06', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.167.115', NULL, '/tfprocessl/page', 'GET', '{"tenantId":[""],"current":["1"],"size":["1000"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570697786587402242', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-16 16:55:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 16:55:09', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.167.115', NULL, '/tfprocessl/1569616564261691393', 'GET', '{}', '8', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570697791775756289', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-16 16:55:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 16:55:10', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.167.115', NULL, '/tfprocessconfigl/1569613105131102209', 'GET', '{}', '23', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570697795722596354', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-16 16:55:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 16:55:11', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.167.115', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1570692286170427394"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570697823551803393', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-16 16:55:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 16:55:17', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.167.115', NULL, '/tfprocessl/1569616564261691393', 'GET', '{}', '8', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570697824898174978', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-16 16:55:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 16:55:18', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.167.115', NULL, '/tfprocessconfigl/1569613105131102209', 'GET', '{}', '23', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570698042448334850', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-16 16:56:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 16:56:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570698057757544450', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-16 16:56:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 16:56:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570698173721661442', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-16 16:56:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 16:56:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570699115384852482', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-16 17:00:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 17:00:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570700158508257281', '1', 'tofly-flow', 'll', TO_DATE('2022-09-16 17:04:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 17:04:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570700158684418050', '1', 'tofly-flow', 'll', TO_DATE('2022-09-16 17:04:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 17:04:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570700165735043073', '1', 'tofly-flow', 'll', TO_DATE('2022-09-16 17:04:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 17:04:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1570698804578582529', 'GET', '{"id":["1570698804578582529"]}', '32', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570700166217388034', '1', 'tofly-flow', 'll', TO_DATE('2022-09-16 17:04:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 17:04:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570700167215632385', '1', 'tofly-flow', 'll', TO_DATE('2022-09-16 17:04:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 17:04:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570700246949351426', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-16 17:04:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 17:04:55', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.167.115', NULL, '/tfprocessl/page', 'GET', '{"tenantId":[""],"current":["1"],"size":["1000"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570700255119855617', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-16 17:04:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 17:04:57', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.167.115', NULL, '/tfprocessl/1569616564261691393', 'GET', '{}', '8', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570700255514120193', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-16 17:04:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 17:04:57', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.167.115', NULL, '/tfprocessconfigl/1569613105131102209', 'GET', '{}', '26', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570700266939404289', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-16 17:05:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 17:05:00', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.167.115', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1570692286170427394"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570700304730083329', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-16 17:05:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 17:05:09', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.167.115', NULL, '/tfprocessl/page', 'GET', '{"tenantId":[""],"current":["1"],"size":["1000"]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570700365820121089', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-16 17:05:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 17:05:24', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.167.115', NULL, '/tfprocessl/page', 'GET', '{"tenantId":[""],"current":["1"],"size":["1000"]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570700388096069633', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-16 17:05:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 17:05:29', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.167.115', NULL, '/tfprocessl/1569616564261691393', 'GET', '{}', '10', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570700388251258882', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-16 17:05:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 17:05:29', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.167.115', NULL, '/tfprocessconfigl/1569613105131102209', 'GET', '{}', '25', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570700395423518721', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-16 17:05:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 17:05:31', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.167.115', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1570692286170427394"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570701467105886210', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 17:09:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 17:09:46', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/1570698804578582529', 'GET', '{"id":["1570698804578582529"]}', '33', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570701468267708418', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 17:09:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 17:09:46', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570701470813650946', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 17:09:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 17:09:47', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '2', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570701634743828481', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-16 17:10:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 17:10:26', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.167.115', NULL, '/tfprocessl/page', 'GET', '{"tenantId":[""],"current":["1"],"size":["1000"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570649664888844290', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-16 13:43:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 13:43:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570649671742337025', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-16 13:43:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 13:43:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"key":[""]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570650264565264385', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-16 13:46:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 13:46:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570650465971548162', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-16 13:47:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 13:47:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"key":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570650495038074882', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 13:47:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 13:47:13', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570650495499448322', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 13:47:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 13:47:14', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570650523601285122', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 13:47:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 13:47:20', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570650523852943362', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 13:47:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 13:47:20', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570650530307977218', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 13:47:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 13:47:22', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/1569660763252559873', 'GET', '{"id":["1569660763252559873"]}', '25', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570650530953900033', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 13:47:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 13:47:22', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570650531314610177', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 13:47:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 13:47:22', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570650532002476034', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 13:47:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 13:47:22', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570650542161080322', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 13:47:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 13:47:25', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl', 'POST', '{}', '62', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570650542685368321', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 13:47:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 13:47:25', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570650560938979329', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 13:47:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 13:47:29', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570650561228386306', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 13:47:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 13:47:29', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570650567511453697', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 13:47:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 13:47:31', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/1570606305243660289', 'GET', '{"id":["1570606305243660289"]}', '21', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570650568480337921', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 13:47:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 13:47:31', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570650569256284162', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 13:47:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 13:47:31', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570650662877343745', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 13:47:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 13:47:53', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":["1569152821327564802"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570650663976251394', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 13:47:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 13:47:54', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570651286058643458', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-16 13:50:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 13:50:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"key":[""]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570651427264081921', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-16 13:50:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 13:50:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["30"],"current":["1"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570652848600461313', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-16 13:56:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 13:56:35', 'SYYYY-MM-DD HH24:MI:SS'), '61.157.29.47', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570652848634015745', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-16 13:56:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 13:56:35', 'SYYYY-MM-DD HH24:MI:SS'), '61.157.29.47', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '7', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570652874382848001', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-16 13:56:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 13:56:41', 'SYYYY-MM-DD HH24:MI:SS'), '61.157.29.47', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '45', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570652874592563202', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-16 13:56:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 13:56:41', 'SYYYY-MM-DD HH24:MI:SS'), '61.157.29.47', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570652904263069698', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-16 13:56:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 13:56:48', 'SYYYY-MM-DD HH24:MI:SS'), '61.157.29.47', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569152821327564802"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570652904741220353', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-16 13:56:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 13:56:48', 'SYYYY-MM-DD HH24:MI:SS'), '61.157.29.47', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570652905844322306', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-16 13:56:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 13:56:48', 'SYYYY-MM-DD HH24:MI:SS'), '61.157.29.47', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570652922948694017', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-16 13:56:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 13:56:52', 'SYYYY-MM-DD HH24:MI:SS'), '61.157.29.47', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569152821327564802"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570652923116466178', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-16 13:56:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 13:56:52', 'SYYYY-MM-DD HH24:MI:SS'), '61.157.29.47', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570652923519119362', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-16 13:56:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 13:56:52', 'SYYYY-MM-DD HH24:MI:SS'), '61.157.29.47', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '2', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570653163403948034', '2', 'tofly-auth', 'hr', TO_DATE('2022-09-16 13:57:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 13:57:50', 'SYYYY-MM-DD HH24:MI:SS'), '61.157.29.47', NULL, '/token/4d115308-69f9-45c1-a2ad-53b1988b33bb', 'DELETE', '{}', '10', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570653208220086274', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-16 13:58:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 13:58:00', 'SYYYY-MM-DD HH24:MI:SS'), '61.157.29.47', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570653208408829953', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-16 13:58:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 13:58:00', 'SYYYY-MM-DD HH24:MI:SS'), '61.157.29.47', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570653216952627201', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-16 13:58:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 13:58:02', 'SYYYY-MM-DD HH24:MI:SS'), '61.157.29.47', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570654632320512002', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-16 14:03:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 14:03:40', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.167.115', NULL, '/tfprocessconfigl/1569613105131102209', 'GET', '{}', '34', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570654670685810690', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-16 14:03:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 14:03:49', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.167.115', NULL, '/tfprocessconfigl/1569613105131102209', 'GET', '{}', '27', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570663628087570433', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-16 14:39:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 14:39:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"key":[""]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570673220231917569', '2', 'tofly-auth', 'hq', TO_DATE('2022-09-16 15:17:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 15:17:32', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["hq"]}', '557', NULL, NULL, 'content:登录 :hq', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570673154146463745', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-16 15:17:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 15:17:16', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/token/abef9d7f-edc2-4da6-9a9e-d02902e70b94', 'DELETE', '{}', '5', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571471235899461634', '1', 'tofly-flow', 'll', TO_DATE('2022-09-18 20:08:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 20:08:33', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '57', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571471236478275585', '1', 'tofly-flow', 'll', TO_DATE('2022-09-18 20:08:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 20:08:33', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '21', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571471241507246082', '1', 'tofly-flow', 'll', TO_DATE('2022-09-18 20:08:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 20:08:35', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":["1"]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571471244174823425', '1', 'tofly-flow', 'll', TO_DATE('2022-09-18 20:08:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 20:08:35', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '39', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571471322591531009', '1', 'tofly-flow', 'll', TO_DATE('2022-09-18 20:08:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 20:08:54', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '25', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571471323199705090', '1', 'tofly-flow', 'll', TO_DATE('2022-09-18 20:08:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 20:08:54', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '24', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571471339389718529', '1', 'tofly-flow', 'll', TO_DATE('2022-09-18 20:08:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 20:08:58', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/1569660763252559873', 'GET', '{"id":["1569660763252559873"]}', '55', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571471340924833794', '1', 'tofly-flow', 'll', TO_DATE('2022-09-18 20:08:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 20:08:58', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571471341533007874', '1', 'tofly-flow', 'll', TO_DATE('2022-09-18 20:08:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 20:08:59', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '5', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571471343890206722', '1', 'tofly-flow', 'll', TO_DATE('2022-09-18 20:08:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 20:08:59', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '12', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571471374269550594', '1', 'tofly-flow', 'll', TO_DATE('2022-09-18 20:09:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 20:09:06', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/1569660763252559873', 'GET', '{"id":["1569660763252559873"]}', '49', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571471375691419649', '1', 'tofly-flow', 'll', TO_DATE('2022-09-18 20:09:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 20:09:07', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '4', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571471376341536769', '1', 'tofly-flow', 'll', TO_DATE('2022-09-18 20:09:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 20:09:07', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571471378258333698', '1', 'tofly-flow', 'll', TO_DATE('2022-09-18 20:09:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 20:09:07', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '7', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571477839273267201', '1', 'tofly-flow', 'll', TO_DATE('2022-09-18 20:34:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 20:34:48', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '26', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571477839822721026', '1', 'tofly-flow', 'll', TO_DATE('2022-09-18 20:34:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 20:34:48', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '21', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571477859921825793', '1', 'tofly-flow', 'll', TO_DATE('2022-09-18 20:34:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 20:34:53', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/1569660763252559873', 'GET', '{"id":["1569660763252559873"]}', '46', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571477861326917634', '1', 'tofly-flow', 'll', TO_DATE('2022-09-18 20:34:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 20:34:53', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571477862052532225', '1', 'tofly-flow', 'll', TO_DATE('2022-09-18 20:34:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 20:34:53', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571477863843500034', '1', 'tofly-flow', 'll', TO_DATE('2022-09-18 20:34:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 20:34:54', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571478051727347714', '1', 'tofly-flow', 'll', TO_DATE('2022-09-18 20:35:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 20:35:38', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/1569660763252559873', 'GET', '{"id":["1569660763252559873"]}', '44', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571478053258268674', '1', 'tofly-flow', 'll', TO_DATE('2022-09-18 20:35:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 20:35:39', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '4', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571478053879025665', '1', 'tofly-flow', 'll', TO_DATE('2022-09-18 20:35:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 20:35:39', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '5', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571478056148144129', '1', 'tofly-flow', 'll', TO_DATE('2022-09-18 20:35:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 20:35:39', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571478102486814721', '1', 'tofly-flow', 'll', TO_DATE('2022-09-18 20:35:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 20:35:50', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '27', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571478103044657154', '1', 'tofly-flow', 'll', TO_DATE('2022-09-18 20:35:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 20:35:51', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '26', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571478111810752513', '1', 'tofly-flow', 'll', TO_DATE('2022-09-18 20:35:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 20:35:53', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/1569660763252559873', 'GET', '{"id":["1569660763252559873"]}', '40', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571478113140346881', '1', 'tofly-flow', 'll', TO_DATE('2022-09-18 20:35:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 20:35:53', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571478114524467201', '1', 'tofly-flow', 'll', TO_DATE('2022-09-18 20:35:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 20:35:53', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571478116470624258', '1', 'tofly-flow', 'll', TO_DATE('2022-09-18 20:35:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 20:35:54', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571478342308728833', '1', 'tofly-flow', 'll', TO_DATE('2022-09-18 20:36:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 20:36:48', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl', 'POST', '{}', '238', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571478343244058626', '1', 'tofly-flow', 'll', TO_DATE('2022-09-18 20:36:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 20:36:48', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '20', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571478350865108993', '1', 'tofly-flow', 'll', TO_DATE('2022-09-18 20:36:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 20:36:50', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/1569660763252559873', 'GET', '{"id":["1569660763252559873"]}', '48', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571478352291172354', '1', 'tofly-flow', 'll', TO_DATE('2022-09-18 20:36:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 20:36:50', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571478352928706561', '1', 'tofly-flow', 'll', TO_DATE('2022-09-18 20:36:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 20:36:50', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571478354669342721', '1', 'tofly-flow', 'll', TO_DATE('2022-09-18 20:36:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 20:36:51', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571478750372564994', '1', 'tofly-flow', 'll', TO_DATE('2022-09-18 20:38:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 20:38:25', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '8', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571478750439673858', '1', 'tofly-flow', 'll', TO_DATE('2022-09-18 20:38:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 20:38:25', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '12', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571667610406752258', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 09:08:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 09:08:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"key":[""]}', '21', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571667946655715329', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 09:10:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 09:10:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfreportentryp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571667982022086658', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 09:10:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 09:10:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfreportentryp', 'POST', '{}', '9', NULL, NULL, 'content:新增开工报告条目', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571667991400550401', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 09:10:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 09:10:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfreportentryp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570665678431137794', '0', 'tofly-flow', 'mzscb', TO_DATE('2022-09-16 14:47:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 14:47:33', 'SYYYY-MM-DD HH24:MI:SS'), '61.157.29.47', NULL, '/tfprocessconfigl', 'POST', '{}', '73', NULL, '失败', 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570668057704607746', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-16 14:57:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 14:57:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570669400997572610', '0', 'tofly-flow', 'lz', TO_DATE('2022-09-16 15:02:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 15:02:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/saveTeamAll', 'POST', '{}', '164', NULL, '### Error updating database.  Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-01400: 无法将 NULL 插入 ("TF_ZMRQ_LC"."TF_BUILD_UNIT_P"."TENANT_ID")

### The error may exist in com/tofly/workflow/baseconf/mapper/TfBuildUnitPMapper.java (best guess)
### The error may involve com.tofly.workflow.baseconf.mapper.TfBuildUnitPMapper.insert-Inline
### The error occurred while setting parameters
### SQL: INSERT INTO TF_BUILD_UNIT_P  ( id,  order_number,  team_type,  remark, CREATE_USER,  CREATE_TIME, UPDATE_USER,  UPDATE_TIME )  VALUES  ( ?,  ?,  ?,  ?, ?,  ?, ?,  ? )
### Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-01400: 无法将 NULL 插入 ("TF_ZMRQ_LC"."TF_BUILD_UNIT_P"."TENANT_ID")

; ORA-01400: 无法将 NULL 插入 ("TF_ZMRQ_LC"."TF_BUILD_UNIT_P"."TENANT_ID")
; nested exception is java.sql.SQLIntegrityConstraintViolationException: ORA-01400: 无法将 NULL 插入 ("TF_ZMRQ_LC"."TF_BUILD_UNIT_P"."TENANT_ID")', 'content:新增施工班组相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571407047277756418', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-18 15:53:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 15:53:30', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571407047319699457', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-18 15:53:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 15:53:30', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["10000"],"current":["1"]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571423005035851777', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-18 16:56:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 16:56:54', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '30', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571423005354618882', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-18 16:56:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 16:56:54', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["10000"],"current":["1"]}', '37', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571423021272002562', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-18 16:56:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 16:56:58', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571423021385248769', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-18 16:56:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 16:56:58', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["10000"],"current":["1"]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571423870555639809', '0', 'tofly-flow', 'yjf', TO_DATE('2022-09-18 17:00:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 17:00:21', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.114.83', NULL, '/tfcontracttemplatep/saveContractTemplateField', 'POST', '{}', '253', NULL, '合同模板不能为空，请重新输入', 'content:新增合同模板', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571423897432739841', '0', 'tofly-flow', 'yjf', TO_DATE('2022-09-18 17:00:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 17:00:27', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.114.83', NULL, '/tfcontracttemplatep/saveContractTemplateField', 'POST', '{}', '320', NULL, '合同模板不能为空，请重新输入', 'content:新增合同模板', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571423970451378177', '0', 'tofly-flow', 'yjf', TO_DATE('2022-09-18 17:00:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 17:00:44', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.114.83', NULL, '/tfcontracttemplatep/saveContractTemplateField', 'POST', '{}', '232', NULL, '合同模板不能为空，请重新输入', 'content:新增合同模板', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571423980844863490', '0', 'tofly-flow', 'yjf', TO_DATE('2022-09-18 17:00:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 17:00:47', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.114.83', NULL, '/tfcontracttemplatep/saveContractTemplateField', 'POST', '{}', '192', NULL, '合同模板不能为空，请重新输入', 'content:新增合同模板', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571423987257954306', '0', 'tofly-flow', 'yjf', TO_DATE('2022-09-18 17:00:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 17:00:48', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.114.83', NULL, '/tfcontracttemplatep/saveContractTemplateField', 'POST', '{}', '156', NULL, '合同模板不能为空，请重新输入', 'content:新增合同模板', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571425738446868481', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-18 17:07:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 17:07:46', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '570', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571425738518171650', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-18 17:07:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 17:07:46', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["10000"],"current":["1"]}', '570', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571425762824163330', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-18 17:07:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 17:07:52', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["10000"],"current":["1"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571425939307892737', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-18 17:08:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 17:08:34', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["30"],"current":["1"]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571425952939380737', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-18 17:08:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 17:08:37', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["30"],"current":["1"]}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571426399146217473', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-18 17:10:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 17:10:23', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcontractfieldp', 'POST', '{}', '26', NULL, NULL, 'content:新增合同模板公用字段', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571426399712448513', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-18 17:10:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 17:10:24', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["30"],"current":["1"]}', '57', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571426410554724354', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-18 17:10:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 17:10:26', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571432468937445377', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-18 17:34:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 17:34:31', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '502', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571433827837415426', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-18 17:39:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 17:39:55', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '19', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571438604939956226', '2', 'tofly-auth', 'll', TO_DATE('2022-09-18 17:58:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 17:58:53', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/token/4cd19025-5a45-452e-8cc7-7c8d30a9ce01', 'DELETE', '{}', '19', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571478764465426434', '1', 'tofly-flow', 'll', TO_DATE('2022-09-18 20:38:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 20:38:28', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '20', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571478764792582145', '1', 'tofly-flow', 'll', TO_DATE('2022-09-18 20:38:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 20:38:28', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '19', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571478770551361537', '1', 'tofly-flow', 'll', TO_DATE('2022-09-18 20:38:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 20:38:30', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571478770832379906', '1', 'tofly-flow', 'll', TO_DATE('2022-09-18 20:38:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 20:38:30', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571478775626469378', '1', 'tofly-flow', 'll', TO_DATE('2022-09-18 20:38:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 20:38:31', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '19', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571478775928459266', '1', 'tofly-flow', 'll', TO_DATE('2022-09-18 20:38:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 20:38:31', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571478792055558145', '1', 'tofly-flow', 'll', TO_DATE('2022-09-18 20:38:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 20:38:35', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/1569660763252559873', 'GET', '{"id":["1569660763252559873"]}', '38', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571478793427095553', '1', 'tofly-flow', 'll', TO_DATE('2022-09-18 20:38:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 20:38:35', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571478794068824066', '1', 'tofly-flow', 'll', TO_DATE('2022-09-18 20:38:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 20:38:35', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571478795767517185', '1', 'tofly-flow', 'll', TO_DATE('2022-09-18 20:38:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 20:38:36', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571479176841007105', '1', 'tofly-flow', 'll', TO_DATE('2022-09-18 20:40:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 20:40:07', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl', 'POST', '{}', '37', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571479177826668545', '1', 'tofly-flow', 'll', TO_DATE('2022-09-18 20:40:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 20:40:07', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '18', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571479184487223297', '1', 'tofly-flow', 'll', TO_DATE('2022-09-18 20:40:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 20:40:08', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/1569660763252559873', 'GET', '{"id":["1569660763252559873"]}', '36', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570217994444447746', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-15 09:08:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 09:08:37', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '75', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570218003642556417', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-15 09:08:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 09:08:39', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '38', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570218756142637058', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-15 09:11:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 09:11:39', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprocessl/page', 'GET', '{"tenantId":[""],"current":["1"],"size":["1000"]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570305384731234305', '1', 'tofly-flow', 'll', TO_DATE('2022-09-15 14:55:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 14:55:53', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570305390087360514', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 14:55:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 14:55:54', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/1570305381749084161', 'GET', '{"id":["1570305381749084161"]}', '29', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570305390871695362', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 14:55:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 14:55:54', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570305391576338434', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 14:55:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 14:55:54', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570305622544076801', '1', 'tofly-flow', 'll', TO_DATE('2022-09-15 14:56:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 14:56:49', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '8', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570305789020196865', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 14:57:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 14:57:29', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/1570305381749084161', 'GET', '{"id":["1570305381749084161"]}', '17', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570305789955526658', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 14:57:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 14:57:29', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570305791251566594', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 14:57:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 14:57:30', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570305813225525250', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 14:57:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 14:57:35', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl', 'POST', '{}', '18', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570305813623984130', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 14:57:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 14:57:35', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570305850298978306', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 14:57:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 14:57:44', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":["1569152821327564802"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570305850898763778', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 14:57:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 14:57:44', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570305941718028290', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 14:58:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 14:58:06', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570305942024212481', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 14:58:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 14:58:06', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570305950068887553', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 14:58:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 14:58:08', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":["1569152821327564802"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570305950651895809', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 14:58:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 14:58:08', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570305979982663681', '1', 'tofly-flow', 'll', TO_DATE('2022-09-15 14:58:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 14:58:15', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570306126594560002', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-15 14:58:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 14:58:50', 'SYYYY-MM-DD HH24:MI:SS'), '171.92.144.26', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '22', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570306230776877058', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 14:59:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 14:59:14', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/1570305381749084161', 'DELETE', '{"id":["1570305381749084161"]}', '2', NULL, NULL, 'content:通过id删除审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570306231125004290', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 14:59:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 14:59:15', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570306235327696898', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 14:59:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 14:59:16', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":["1569152821327564802"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570306235906510850', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 14:59:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 14:59:16', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570306376365363202', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 14:59:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 14:59:49', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":["1569152821327564802"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570306376914817026', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 14:59:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 14:59:49', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '2', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570306499120058370', '1', 'tofly-flow', 'll', TO_DATE('2022-09-15 15:00:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 15:00:18', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570306501821190146', '1', 'tofly-flow', 'll', TO_DATE('2022-09-15 15:00:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 15:00:19', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570306502257397762', '1', 'tofly-flow', 'll', TO_DATE('2022-09-15 15:00:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 15:00:19', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570306502957846530', '1', 'tofly-flow', 'll', TO_DATE('2022-09-15 15:00:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 15:00:19', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570306511619084290', '1', 'tofly-flow', 'll', TO_DATE('2022-09-15 15:00:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 15:00:21', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570306533895032834', '1', 'tofly-flow', 'll', TO_DATE('2022-09-15 15:00:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 15:00:27', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570306534314463234', '1', 'tofly-flow', 'll', TO_DATE('2022-09-15 15:00:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 15:00:27', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570306542581436418', '1', 'tofly-flow', 'll', TO_DATE('2022-09-15 15:00:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 15:00:29', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570306543852310530', '1', 'tofly-flow', 'll', TO_DATE('2022-09-15 15:00:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 15:00:29', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570666176376516610', '0', 'tofly-auth', 'hq', TO_DATE('2022-09-16 14:49:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 14:49:32', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["b00736d3afaa52dc2987b71a25b4a849a02a7ff2"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["hq"]}', '38869', NULL, '密码错误。当前密码错误次数是：1,密码错误5次账户将会被锁定', 'content:登录 :hq', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570666638081306626', '2', 'tofly-auth', 'hq', TO_DATE('2022-09-16 14:51:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 14:51:22', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["hq"]}', '372', NULL, NULL, 'content:登录 :hq', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570701641106587649', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-16 17:10:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 17:10:28', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.167.115', NULL, '/tfprocessl/1569616564261691393', 'GET', '{}', '6', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570701641240805378', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-16 17:10:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 17:10:28', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.167.115', NULL, '/tfprocessconfigl/1569613105131102209', 'GET', '{}', '24', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569661474132533250', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 20:17:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 20:17:12', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/1569660763252559873', 'GET', '{"id":["1569660763252559873"]}', '27', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569661475432767489', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 20:17:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 20:17:13', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569661476670087170', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 20:17:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 20:17:13', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569661868573270018', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 20:18:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 20:18:47', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/1569660763252559873', 'GET', '{"id":["1569660763252559873"]}', '27', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569661869915447297', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 20:18:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 20:18:47', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569661871144378369', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 20:18:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 20:18:47', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '2', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569661946763485185', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 20:19:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 20:19:05', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl', 'POST', '{}', '10', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569662004070260738', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 20:19:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 20:19:19', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569662005315969026', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 20:19:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 20:19:19', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569662243883786241', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 20:20:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 20:20:16', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569662245217574914', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 20:20:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 20:20:16', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569662270320484354', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 20:20:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 20:20:22', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/1569660763252559873', 'GET', '{"id":["1569660763252559873"]}', '21', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569662397726662657', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 20:20:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 20:20:53', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/1569613105131102209', 'GET', '{"id":["1569613105131102209"]}', '22', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569662418454913025', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 20:20:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 20:20:58', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/1569660763252559873', 'GET', '{"id":["1569660763252559873"]}', '20', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569668444243697666', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 20:44:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 20:44:54', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569668444721848322', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 20:44:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 20:44:54', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569668568730640386', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 20:45:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 20:45:24', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569668570043457538', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 20:45:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 20:45:24', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569668743956078593', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 20:46:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 20:46:06', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569668745143066625', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 20:46:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 20:46:06', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569668918439124994', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 20:46:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 20:46:47', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569668919701610497', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 20:46:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 20:46:48', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '2', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569669039088279554', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 20:47:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 20:47:16', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569669040333987841', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 20:47:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 20:47:16', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569669330143617025', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 20:48:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 20:48:26', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/1569660763252559873', 'GET', '{"id":["1569660763252559873"]}', '22', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569669415153770498', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 20:48:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 20:48:46', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/1569507482133536769', 'GET', '{"id":["1569507482133536769"]}', '24', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569669693231931393', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 20:49:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 20:49:52', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569669694645411841', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 20:49:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 20:49:52', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569669962950844417', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 20:50:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 20:50:56', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569669964230107138', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 20:50:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 20:50:57', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569670308955758593', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 20:52:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 20:52:19', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/1569507482133536769', 'GET', '{"id":["1569507482133536769"]}', '19', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569671001489874945', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 20:55:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 20:55:04', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569671002811080706', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 20:55:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 20:55:04', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569674186984071169', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 21:07:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 21:07:43', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569674188225585154', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 21:07:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 21:07:44', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569674211197788162', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 21:07:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 21:07:49', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569674212548354050', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 21:07:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 21:07:50', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569674241690378241', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 21:07:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 21:07:57', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/1569660763252559873', 'GET', '{"id":["1569660763252559873"]}', '25', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569674277442625537', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 21:08:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 21:08:05', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/1569613105131102209', 'GET', '{"id":["1569613105131102209"]}', '37', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569674349563682817', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 21:08:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 21:08:22', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/1569507482133536769', 'GET', '{"id":["1569507482133536769"]}', '29', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569674688610246657', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 21:09:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 21:09:43', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569674689889509377', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 21:09:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 21:09:43', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569674770235596801', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 21:10:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 21:10:03', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/1569660763252559873', 'GET', '{"id":["1569660763252559873"]}', '29', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570306369100828673', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 14:59:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 14:59:47', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570306369381847041', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 14:59:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 14:59:48', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '2', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570306502563581953', '1', 'tofly-flow', 'll', TO_DATE('2022-09-15 15:00:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 15:00:19', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570306511157710849', '1', 'tofly-flow', 'll', TO_DATE('2022-09-15 15:00:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 15:00:21', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570306543181221889', '1', 'tofly-flow', 'll', TO_DATE('2022-09-15 15:00:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 15:00:29', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570311354391842818', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 15:19:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 15:19:36', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571479185850372097', '1', 'tofly-flow', 'll', TO_DATE('2022-09-18 20:40:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 20:40:09', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571479186479517698', '1', 'tofly-flow', 'll', TO_DATE('2022-09-18 20:40:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 20:40:09', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571479188220153858', '1', 'tofly-flow', 'll', TO_DATE('2022-09-18 20:40:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 20:40:09', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571479618526384129', '1', 'tofly-flow', 'll', TO_DATE('2022-09-18 20:41:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 20:41:52', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '19', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571482802141532161', '1', 'tofly-flow', 'll', TO_DATE('2022-09-18 20:54:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 20:54:31', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '8', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571482802149920770', '1', 'tofly-flow', 'll', TO_DATE('2022-09-18 20:54:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 20:54:31', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571482832025948161', '1', 'tofly-flow', 'll', TO_DATE('2022-09-18 20:54:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 20:54:38', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571482832420212737', '1', 'tofly-flow', 'll', TO_DATE('2022-09-18 20:54:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 20:54:38', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571482841144365057', '1', 'tofly-flow', 'll', TO_DATE('2022-09-18 20:54:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 20:54:40', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571482841152753665', '1', 'tofly-flow', 'll', TO_DATE('2022-09-18 20:54:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 20:54:40', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571484103562760193', '1', 'tofly-flow', 'll', TO_DATE('2022-09-18 20:59:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 20:59:41', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571484104003162113', '1', 'tofly-flow', 'll', TO_DATE('2022-09-18 20:59:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 20:59:41', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571484131421327362', '1', 'tofly-flow', 'll', TO_DATE('2022-09-18 20:59:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 20:59:48', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571486954330525697', '1', 'tofly-flow', 'll', TO_DATE('2022-09-18 21:11:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 21:11:01', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571486954649292802', '1', 'tofly-flow', 'll', TO_DATE('2022-09-18 21:11:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 21:11:01', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571487450575409154', '2', 'tofly-auth', 'll', TO_DATE('2022-09-18 21:12:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 21:12:59', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/token/a8e5cc63-5376-456f-9ff6-448647d7b8cc', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571519313591406594', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-18 23:19:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 23:19:36', 'SYYYY-MM-DD HH24:MI:SS'), '171.216.214.253', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"key":[""]}', '53', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571528817754247169', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-18 23:57:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 23:57:22', 'SYYYY-MM-DD HH24:MI:SS'), '171.216.214.253', NULL, '/tfreportentryp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '17', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571529861947199490', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 00:01:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 00:01:31', 'SYYYY-MM-DD HH24:MI:SS'), '171.216.214.253', NULL, '/tfreportentryp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571530227745034242', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 00:02:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 00:02:58', 'SYYYY-MM-DD HH24:MI:SS'), '171.216.214.253', NULL, '/tfreportentryp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571530310431543297', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 00:03:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 00:03:18', 'SYYYY-MM-DD HH24:MI:SS'), '171.216.214.253', NULL, '/tfreportentryp', 'POST', '{}', '9', NULL, NULL, 'content:新增开工报告条目', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571530368648482818', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 00:03:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 00:03:32', 'SYYYY-MM-DD HH24:MI:SS'), '171.216.214.253', NULL, '/tfreportentryp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571530583157772289', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 00:04:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 00:04:23', 'SYYYY-MM-DD HH24:MI:SS'), '171.216.214.253', NULL, '/tfreportentryp', 'POST', '{}', '3', NULL, NULL, 'content:新增开工报告条目', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571530603810525185', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 00:04:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 00:04:28', 'SYYYY-MM-DD HH24:MI:SS'), '171.216.214.253', NULL, '/tfreportentryp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571530628737273858', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 00:04:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 00:04:34', 'SYYYY-MM-DD HH24:MI:SS'), '171.216.214.253', NULL, '/tfreportentryp', 'POST', '{}', '3', NULL, NULL, 'content:新增开工报告条目', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571531010116947970', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 00:06:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 00:06:05', 'SYYYY-MM-DD HH24:MI:SS'), '171.216.214.253', NULL, '/tfreportentryp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571531036272627713', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 00:06:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 00:06:11', 'SYYYY-MM-DD HH24:MI:SS'), '171.216.214.253', NULL, '/tfreportentryp', 'POST', '{}', '4', NULL, NULL, 'content:新增开工报告条目', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571531565782536193', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 00:08:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 00:08:17', 'SYYYY-MM-DD HH24:MI:SS'), '171.216.214.253', NULL, '/tfreportentryp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571531575823699970', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 00:08:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 00:08:19', 'SYYYY-MM-DD HH24:MI:SS'), '171.216.214.253', NULL, '/tfreportentryp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571531579153977346', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 00:08:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 00:08:20', 'SYYYY-MM-DD HH24:MI:SS'), '171.216.214.253', NULL, '/tfreportentryp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571537581647597570', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 00:32:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 00:32:11', 'SYYYY-MM-DD HH24:MI:SS'), '171.216.214.253', NULL, '/tfreportentryp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571538351692451842', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 00:35:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 00:35:15', 'SYYYY-MM-DD HH24:MI:SS'), '171.216.214.253', NULL, '/tfreportentryp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571538382726107137', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 00:35:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 00:35:22', 'SYYYY-MM-DD HH24:MI:SS'), '171.216.214.253', NULL, '/tfreportentryp', 'POST', '{}', '3', NULL, NULL, 'content:新增开工报告条目', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571538476615602177', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 00:35:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 00:35:45', 'SYYYY-MM-DD HH24:MI:SS'), '171.216.214.253', NULL, '/tfreportentryp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571538496953782274', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 00:35:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 00:35:50', 'SYYYY-MM-DD HH24:MI:SS'), '171.216.214.253', NULL, '/tfreportentryp/1571538382642241537', 'DELETE', '{"0":["1571538382642241537"]}', '3', NULL, NULL, 'content:通过id删除开工报告条目', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571538497381601281', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 00:35:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 00:35:50', 'SYYYY-MM-DD HH24:MI:SS'), '171.216.214.253', NULL, '/tfreportentryp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571538820808577025', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 00:37:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 00:37:07', 'SYYYY-MM-DD HH24:MI:SS'), '171.216.214.253', NULL, '/tfreportentryp', 'POST', '{}', '12', NULL, NULL, 'content:新增开工报告条目', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571539617277546497', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 00:40:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 00:40:17', 'SYYYY-MM-DD HH24:MI:SS'), '171.216.214.253', NULL, '/tfreportentryp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569620757511217154', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 17:35:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 17:35:25', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl', 'POST', '{}', '57', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569621015263780866', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 17:36:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 17:36:26', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/1569507482133536769', 'GET', '{"id":["1569507482133536769"]}', '26', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569621016501100546', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 17:36:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 17:36:27', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569621017792946178', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 17:36:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 17:36:27', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569625301687279618', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-13 17:53:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 17:53:28', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '287', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569625352920702978', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-13 17:53:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 17:53:41', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprocessl/page', 'GET', '{"tenantId":[""],"current":["1"],"size":["1000"]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569625402535124993', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-13 17:53:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 17:53:52', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '287', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569625900721971201', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-13 17:55:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 17:55:51', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '297', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569625906090680322', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-13 17:55:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 17:55:52', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprocessl/page', 'GET', '{"tenantId":[""],"current":["1"],"size":["1000"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569631161176104962', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-13 18:16:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 18:16:45', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfregionp/page', 'GET', '{"hitCount":[""],"optimizeCountSql":[""],"level":[""],"records":[""],"searchCount":[""],"fullName":[""],"updateUser":[""],"remark":[""],"updateTime":[""],"current":[""],"regionCode":[""],"total":[""],"size":[""],"createTime":[""],"regionId":[""],"orders[0].asc":[""],"name":[""],"tenantId":[""],"createUser":[""],"orders[0].column":[""],"id":[""],"isDel":[""]}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569631171858997249', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-13 18:16:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 18:16:48', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfregionp/page', 'GET', '{"hitCount":[""],"optimizeCountSql":[""],"level":[""],"records":[""],"searchCount":[""],"fullName":[""],"updateUser":[""],"remark":[""],"updateTime":[""],"current":[""],"regionCode":[""],"total":[""],"size":[""],"createTime":[""],"regionId":[""],"orders[0].asc":[""],"name":[""],"tenantId":[""],"createUser":[""],"orders[0].column":[""],"id":[""],"isDel":[""]}', '2', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569631226066182146', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-13 18:17:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 18:17:01', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprocessl/page', 'GET', '{"hitCount":[""],"registerStaff":[""],"processState":[""],"records":[""],"processNumber":[""],"searchCount":[""],"edition":[""],"remark":[""],"relationNumber":[""],"current":[""],"total":[""],"configId":[""],"orders[0].asc":[""],"registerPost":[""],"ywType":[""],"orders[0].column":[""],"id":[""],"processType":[""],"optimizeCountSql":[""],"registerTime":[""],"registerDept":[""],"passingNode":[""],"relationId":[""],"size":[""],"createTime":[""],"name":[""],"tenantId":[""],"createUser":[""],"category":[""],"isDel":[""]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569631282169192450', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-13 18:17:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 18:17:14', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprocessl/1569616564261691393', 'GET', '{}', '30', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570710829111181314', '1', 'tofly-flow', 'll', TO_DATE('2022-09-16 17:46:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 17:46:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1570698804578582529', 'GET', '{"id":["1570698804578582529"]}', '33', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570710829480280066', '1', 'tofly-flow', 'll', TO_DATE('2022-09-16 17:46:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 17:46:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570710830205894657', '1', 'tofly-flow', 'll', TO_DATE('2022-09-16 17:46:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 17:46:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570711673919504386', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-16 17:50:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 17:50:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["10000"],"current":["1"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570711673936281601', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-16 17:50:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 17:50:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570712002371256321', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-16 17:51:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 17:51:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["10000"],"current":["1"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571427461349511170', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-18 17:14:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 17:14:37', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["10000"],"current":["1"]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571427757836472322', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-18 17:15:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 17:15:47', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '22', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571428135147671553', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-18 17:17:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 17:17:17', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["10000"],"current":["1"]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571428309551026177', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-18 17:17:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 17:17:59', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '17', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571428324029763585', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-18 17:18:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 17:18:02', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcontractfieldp/deleteByIds', 'DELETE', '{"ids":["1571426588040982530"]}', '3', NULL, NULL, 'content:通过id批量删除合同模板公用字段', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571428324314976257', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-18 17:18:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 17:18:02', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571428522697166850', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-18 17:18:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 17:18:50', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571428731296681986', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-18 17:19:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 17:19:39', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '21', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571432468937445378', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-18 17:34:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 17:34:31', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["10000"],"current":["1"]}', '501', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571433828135211010', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-18 17:39:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 17:39:55', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["10000"],"current":["1"]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571668198259429378', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-19 09:11:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 09:11:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '12', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571668683792060417', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 09:13:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 09:13:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["10000"],"current":["1"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571668850343677953', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 09:13:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 09:13:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571669545155301377', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 09:16:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 09:16:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["10000"],"current":["1"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571669545541177345', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 09:16:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 09:16:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571669641448132610', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 09:16:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 09:16:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"name":[""],"tenantId":["1569216846182748162"],"current":["1"],"size":["30"],"contractType":[""]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570701645690961922', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-16 17:10:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 17:10:29', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.167.115', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1570692286170427394"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570701652708032513', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-16 17:10:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 17:10:30', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.167.115', NULL, '/tfprocessl/page', 'GET', '{"tenantId":[""],"current":["1"],"size":["1000"]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570701930056384513', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-16 17:11:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 17:11:37', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.167.115', NULL, '/tfprocessl/page', 'GET', '{"tenantId":[""],"current":["1"],"size":["1000"]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570701937941676034', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-16 17:11:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 17:11:38', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.167.115', NULL, '/tfprocessl/1569616564261691393', 'GET', '{}', '7', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570701938105253890', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-16 17:11:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 17:11:38', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.167.115', NULL, '/tfprocessconfigl/1569613105131102209', 'GET', '{}', '24', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570701943209721857', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-16 17:11:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 17:11:40', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.167.115', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1570692286170427394"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570702149061967874', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-16 17:12:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 17:12:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570703033577766913', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-16 17:16:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 17:16:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570703152612114433', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-16 17:16:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 17:16:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570703366962020354', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 17:17:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 17:17:19', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/1570698804578582529', 'GET', '{"id":["1570698804578582529"]}', '32', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570703367767326722', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 17:17:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 17:17:19', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570703369474408449', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 17:17:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 17:17:20', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '2', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570703686463127554', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-16 17:18:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 17:18:35', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.167.115', NULL, '/tfprocessl/page', 'GET', '{"tenantId":[""],"current":["1"],"size":["1000"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570703706776141826', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-16 17:18:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 17:18:40', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.167.115', NULL, '/tfprocessl/1569616564261691393', 'GET', '{}', '8', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570703712249708545', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-16 17:18:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 17:18:41', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.167.115', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1570692286170427394"]}', '2', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570706943138856962', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-16 17:31:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 17:31:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570707124945158146', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-16 17:32:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 17:32:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570707150102593538', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-16 17:32:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 17:32:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570707268776230914', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-16 17:32:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 17:32:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570707372283265026', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-16 17:33:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 17:33:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570707372312625154', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-16 17:33:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 17:33:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["10000"],"current":["1"]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570707443796148225', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-16 17:33:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 17:33:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570707443829702657', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-16 17:33:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 17:33:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["10000"],"current":["1"]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570710086740344834', '1', 'tofly-flow', 'll', TO_DATE('2022-09-16 17:44:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 17:44:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1570698804578582529', 'GET', '{"id":["1570698804578582529"]}', '33', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570710087122026497', '1', 'tofly-flow', 'll', TO_DATE('2022-09-16 17:44:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 17:44:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570710087864418306', '1', 'tofly-flow', 'll', TO_DATE('2022-09-16 17:44:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 17:44:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570710140792340482', '1', 'tofly-flow', 'll', TO_DATE('2022-09-16 17:44:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 17:44:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570710140993667073', '1', 'tofly-flow', 'll', TO_DATE('2022-09-16 17:44:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 17:44:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570710220190515202', '1', 'tofly-flow', 'll', TO_DATE('2022-09-16 17:44:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 17:44:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1570698804578582529', 'GET', '{"id":["1570698804578582529"]}', '30', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570710220584779777', '1', 'tofly-flow', 'll', TO_DATE('2022-09-16 17:44:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 17:44:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570710221302005761', '1', 'tofly-flow', 'll', TO_DATE('2022-09-16 17:44:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 17:44:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570710524051062786', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-16 17:45:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 17:45:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570710538085203970', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-16 17:45:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 17:45:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570710538164895745', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-16 17:45:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 17:45:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["10000"],"current":["1"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570721346240380930', '1', 'tofly-flow', 'll', TO_DATE('2022-09-16 18:28:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 18:28:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1570698804578582529', 'GET', '{"id":["1570698804578582529"]}', '38', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570721346588508162', '1', 'tofly-flow', 'll', TO_DATE('2022-09-16 18:28:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 18:28:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570721347309928449', '1', 'tofly-flow', 'll', TO_DATE('2022-09-16 18:28:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 18:28:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570722613373173762', '1', 'tofly-flow', 'll', TO_DATE('2022-09-16 18:33:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 18:33:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl', 'POST', '{}', '19', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570722613872295937', '1', 'tofly-flow', 'll', TO_DATE('2022-09-16 18:33:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 18:33:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570722630469156866', '1', 'tofly-flow', 'll', TO_DATE('2022-09-16 18:33:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 18:33:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1570698804578582529', 'GET', '{"id":["1570698804578582529"]}', '48', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570722630842449921', '1', 'tofly-flow', 'll', TO_DATE('2022-09-16 18:33:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 18:33:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570722631580647426', '1', 'tofly-flow', 'll', TO_DATE('2022-09-16 18:33:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 18:33:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '2', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571110848628908033', '1', 'tofly-flow', 'll', TO_DATE('2022-09-17 20:16:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-17 20:16:30', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '23', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571110848951869441', '1', 'tofly-flow', 'll', TO_DATE('2022-09-17 20:16:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-17 20:16:30', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '21', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569675062482116610', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 21:11:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 21:11:12', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569675063799128065', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 21:11:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 21:11:13', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569675124943691777', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 21:11:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 21:11:27', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/1569660763252559873', 'GET', '{"id":["1569660763252559873"]}', '21', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569675249489354753', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 21:11:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 21:11:57', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569675250764423170', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 21:11:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 21:11:57', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569675517123698689', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 21:13:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 21:13:01', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"content":[""]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569675517652180993', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 21:13:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 21:13:01', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569675530784546818', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 21:13:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 21:13:04', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569675532156084225', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 21:13:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 21:13:04', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569675555388334082', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 21:13:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 21:13:10', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/1569660763252559873', 'GET', '{"id":["1569660763252559873"]}', '32', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569675579996315650', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 21:13:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 21:13:16', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/1569613105131102209', 'GET', '{"id":["1569613105131102209"]}', '28', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569675590633070593', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 21:13:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 21:13:18', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/1569660763252559873', 'GET', '{"id":["1569660763252559873"]}', '21', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569854183543742466', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-14 09:02:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 09:02:58', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprocessl/1569616564261691393', 'GET', '{}', '211', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569854183594074113', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-14 09:02:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 09:02:58', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfregionp/page', 'GET', '{"tenantId":["1"],"current":["1"],"size":["10000"],"isDel":["0"]}', '27', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569854183636017154', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-14 09:02:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 09:02:58', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprocessconfigl/1569613105131102209', 'GET', '{}', '39', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569854502474424321', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-14 09:04:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 09:04:14', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '287', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569854509147561986', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-14 09:04:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 09:04:16', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprocessl/page', 'GET', '{"tenantId":[""],"current":["1"],"size":["1000"]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569854512452673538', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-14 09:04:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 09:04:16', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprocessl/1569616564261691393', 'GET', '{}', '10', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569854512641417217', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-14 09:04:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 09:04:16', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprocessconfigl/1569613105131102209', 'GET', '{}', '39', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569885761607114754', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 11:08:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 11:08:27', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569885762009767938', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 11:08:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 11:08:27', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '18', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569885768565465089', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 11:08:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 11:08:28', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569885769903448066', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 11:08:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 11:08:29', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '2', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569885876593958913', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-14 11:08:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 11:08:54', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprocessconfigl/1569613105131102209', 'GET', '{}', '26', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569885939416244226', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-14 11:09:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 11:09:09', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprocessl/1569616564261691393', 'GET', '{}', '9', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569885976682635265', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-14 11:09:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 11:09:18', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprocessl/1569616564261691393', 'GET', '{}', '9', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569885998157471746', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-14 11:09:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 11:09:23', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprocessl/1569616564261691393', 'GET', '{}', '15', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569886030260674561', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-14 11:09:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 11:09:31', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprocessl/1569616564261691393', 'GET', '{}', '10', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569886043216879618', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-14 11:09:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 11:09:34', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprocessl/1569616564261691393', 'GET', '{}', '7', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569886043275599874', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-14 11:09:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 11:09:34', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprocessconfigl/1569613105131102209', 'GET', '{}', '23', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569886992899579906', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-14 11:13:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 11:13:20', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprocessl/1569616564261691393', 'GET', '{}', '18', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569886992966688770', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-14 11:13:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 11:13:20', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprocessconfigl/1569613105131102209', 'GET', '{}', '35', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569887266393366529', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-14 11:14:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 11:14:26', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprocessl/1569616564261691393', 'GET', '{}', '8', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569887266443698177', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-14 11:14:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 11:14:26', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprocessconfigl/1569613105131102209', 'GET', '{}', '24', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570673635768217601', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 15:19:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 15:19:11', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570673636003098626', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 15:19:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 15:19:11', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570673657574404097', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 15:19:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 15:19:16', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/1570606305243660289', 'GET', '{"id":["1570606305243660289"]}', '21', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570673658274852866', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 15:19:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 15:19:16', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570673658966913025', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 15:19:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 15:19:16', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570673666097229825', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 15:19:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 15:19:18', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl', 'POST', '{}', '16', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570673666474717186', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 15:19:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 15:19:18', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570673679359619074', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 15:19:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 15:19:21', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/1570606305243660289', 'GET', '{"id":["1570606305243660289"]}', '21', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570673680076845057', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 15:19:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 15:19:21', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570673680903122945', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 15:19:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 15:19:21', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570675681055223810', '2', 'tofly-auth', 'hq', TO_DATE('2022-09-16 15:27:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 15:27:18', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/token/5a9ec3b0-8d4e-4c6d-b29b-5608b17aa662', 'DELETE', '{}', '4', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570310501861806081', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-15 15:16:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 15:16:13', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprojectprocessp/list', 'GET', '{"nature":[""],"updateUser":[""],"remark":[""],"updateTime":[""],"posts":[""],"createTime":[""],"processId":[""],"tenantId":[""],"createUser":[""],"id":[""],"isForce":[""],"isDel":[""]}', '13', NULL, NULL, 'content:列表查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570310614579531778', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-15 15:16:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 15:16:40', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprocessl/1569616564261691393', 'GET', '{}', '25', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570311090532372481', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 15:18:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 15:18:33', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":["1569152821327564802"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570311091094409218', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 15:18:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 15:18:33', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570311100632256513', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 15:18:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 15:18:36', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570311100921663490', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 15:18:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 15:18:36', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570311107351531522', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 15:18:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 15:18:37', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/1569660763252559873', 'GET', '{"id":["1569660763252559873"]}', '30', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570311107888402434', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 15:18:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 15:18:37', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570311108156837889', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 15:18:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 15:18:37', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570311108370747393', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 15:18:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 15:18:37', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570311214130122754', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 15:19:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 15:19:03', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '2', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570311214360809474', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 15:19:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 15:19:03', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570311220702597121', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 15:19:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 15:19:04', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":["1569152821327564802"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570311221268828162', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 15:19:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 15:19:04', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570311339267182593', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 15:19:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 15:19:32', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl', 'POST', '{}', '22', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570311339720167425', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 15:19:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 15:19:33', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570311348607897602', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 15:19:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 15:19:35', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570311348867944449', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 15:19:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 15:19:35', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570311354031132674', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 15:19:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 15:19:36', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569152821327564802"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570311354878382082', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 15:19:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 15:19:36', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570312744287719425', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 15:25:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 15:25:07', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570312744547766274', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 15:25:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 15:25:07', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570312754890919938', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 15:25:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 15:25:10', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/1570311339132964866', 'GET', '{"id":["1570311339132964866"]}', '21', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570312755545231361', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 15:25:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 15:25:10', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570312756514115585', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 15:25:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 15:25:10', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570313000077348865', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-15 15:26:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 15:26:08', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570313013167771649', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-15 15:26:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 15:26:12', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570313089587990530', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-15 15:26:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 15:26:30', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcalendaryearp/saveCalendarAll', 'POST', '{}', '20', NULL, NULL, 'content:新增日历年日期相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570313089894174722', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-15 15:26:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 15:26:30', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570313456287600642', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 15:27:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 15:27:57', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl', 'POST', '{}', '3', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570313471340957698', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 15:28:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 15:28:01', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl', 'POST', '{}', '3', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570313492517998594', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 15:28:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 15:28:06', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl', 'POST', '{}', '2', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570313555084431361', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 15:28:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 15:28:21', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl', 'POST', '{}', '3', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570313563439484930', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 15:28:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 15:28:23', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl', 'POST', '{}', '3', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570313566165782529', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 15:28:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 15:28:23', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl', 'POST', '{}', '3', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570313609136427010', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 15:28:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 15:28:34', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl', 'POST', '{}', '2', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570313745216425986', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 15:29:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 15:29:06', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl', 'POST', '{}', '3', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570313857317588993', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 15:29:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 15:29:33', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl', 'POST', '{}', '2', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570314002952212481', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 15:30:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 15:30:07', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl', 'POST', '{}', '2', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570314017158320129', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 15:30:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 15:30:11', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl', 'POST', '{}', '2', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570314416623833090', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-15 15:31:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 15:31:46', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprojectprocessp/list', 'GET', '{"nature":[""],"updateUser":[""],"remark":[""],"updateTime":[""],"posts":[""],"createTime":[""],"processId":[""],"tenantId":[""],"createUser":[""],"id":[""],"isForce":[""],"isDel":[""]}', '2', NULL, NULL, 'content:列表查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570314686321774594', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 15:32:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 15:32:50', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570314686619570177', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 15:32:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 15:32:50', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570692843751182338', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-16 16:35:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 16:35:30', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.167.115', NULL, '/tfbasetypep/typetree', 'GET', '{}', '0', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570693002417508354', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-16 16:36:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 16:36:08', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.167.115', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1570692286170427394"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570694180509421570', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-16 16:40:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 16:40:49', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.167.115', NULL, '/tfbasetypep/typetree', 'GET', '{"id":[""],"type":["0"],"datatypes":["1570692286170427394"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570694609175678977', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-16 16:42:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 16:42:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570694735684276225', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-16 16:43:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 16:43:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570694793725054978', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-16 16:43:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 16:43:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570695205974806529', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-16 16:44:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 16:44:53', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.167.115', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1570692286170427394"]}', '2', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570696638258319361', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 16:50:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 16:50:35', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570696638522560513', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 16:50:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 16:50:35', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '2', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570696645355081729', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 16:50:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 16:50:37', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570696645942284290', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 16:50:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 16:50:37', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570696667178045441', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 16:50:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 16:50:42', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570696667505201154', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 16:50:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 16:50:42', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570696674337722370', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 16:50:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 16:50:43', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570696674941702145', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 16:50:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 16:50:44', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570696681207992322', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 16:50:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 16:50:45', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/1569507482133536769', 'GET', '{"id":["1569507482133536769"]}', '24', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570696681900052481', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 16:50:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 16:50:45', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570696682197848066', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 16:50:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 16:50:45', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570696684391469057', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 16:50:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 16:50:46', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570697032564838401', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 16:52:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 16:52:09', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '2', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570697033009434625', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 16:52:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 16:52:09', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '2', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570697040710176769', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 16:52:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 16:52:11', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":["1569152821327564802"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570697043117707265', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 16:52:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 16:52:11', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '2', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570697097090011138', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-16 16:52:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 16:52:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570697325797019649', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-16 16:53:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 16:53:19', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.167.115', NULL, '/tfprocessconfigl/1569613105131102209', 'GET', '{}', '31', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570697357547900930', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-16 16:53:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 16:53:26', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.167.115', NULL, '/tfprocessl/page', 'GET', '{"tenantId":[""],"current":["1"],"size":["1000"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571667722428223490', '0', 'tofly-flow', 'lz', TO_DATE('2022-09-19 09:09:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 09:09:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/saveTeamAll', 'POST', '{}', '155', NULL, '### Error updating database.  Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-01400: 无法将 NULL 插入 ("TF_ZMRQ_LC"."TF_BUILD_UNIT_P"."TENANT_ID")

### The error may exist in com/tofly/workflow/baseconf/mapper/TfBuildUnitPMapper.java (best guess)
### The error may involve com.tofly.workflow.baseconf.mapper.TfBuildUnitPMapper.insert-Inline
### The error occurred while setting parameters
### SQL: INSERT INTO TF_BUILD_UNIT_P  ( id,  order_number,  team_type,  remark, CREATE_USER,  CREATE_TIME, UPDATE_USER,  UPDATE_TIME )  VALUES  ( ?,  ?,  ?,  ?, ?,  ?, ?,  ? )
### Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-01400: 无法将 NULL 插入 ("TF_ZMRQ_LC"."TF_BUILD_UNIT_P"."TENANT_ID")

; ORA-01400: 无法将 NULL 插入 ("TF_ZMRQ_LC"."TF_BUILD_UNIT_P"."TENANT_ID")
; nested exception is java.sql.SQLIntegrityConstraintViolationException: ORA-01400: 无法将 NULL 插入 ("TF_ZMRQ_LC"."TF_BUILD_UNIT_P"."TENANT_ID")', 'content:新增施工班组相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571667764895551489', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 09:09:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 09:09:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571667816049283073', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 09:09:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 09:09:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '28', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571667869245640706', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 09:09:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 09:09:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfreportentryp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571668004260286465', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 09:10:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 09:10:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfreportentryp/1571667981938221058', 'DELETE', '{"0":["1571667981938221058"]}', '2', NULL, NULL, 'content:通过id删除开工报告条目', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571668004453224450', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 09:10:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 09:10:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfreportentryp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571668021486292993', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 09:10:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 09:10:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfreportentryp/1571538820707934210', 'DELETE', '{"0":["1571538820707934210"]}', '3', NULL, NULL, 'content:通过id删除开工报告条目', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571668021809254402', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 09:10:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 09:10:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfreportentryp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571668198259429379', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-19 09:11:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 09:11:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '8', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571668214688518146', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-19 09:11:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 09:11:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571668214889844738', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-19 09:11:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 09:11:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569856507444011010', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-14 09:12:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 09:12:12', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprocessconfigl/1569613105131102209', 'GET', '{}', '37', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569856570127884289', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-14 09:12:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 09:12:27', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprocessl/1569616564261691393', 'GET', '{}', '14', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569856677766307842', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-14 09:12:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 09:12:53', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprocessl/1569616564261691393', 'GET', '{}', '16', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569857514659979265', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-14 09:16:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 09:16:12', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfregionp/page', 'GET', '{"tenantId":["1"],"current":["1"],"size":["10000"],"isDel":["0"]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569857514710310913', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-14 09:16:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 09:16:12', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprocessl/1569616564261691393', 'GET', '{}', '14', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569957283579371521', '2', 'tofly-auth', 'rq', TO_DATE('2022-09-14 15:52:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 15:52:39', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/token/a8ce4be0-6598-484a-a3af-227fe81e6045', 'DELETE', '{}', '1', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569958820733067266', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-14 15:58:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 15:58:45', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569959074295521282', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-14 15:59:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 15:59:46', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569959258551296002', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-14 16:00:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 16:00:30', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprocessl/1569616564261691393', 'GET', '{}', '13', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569962904760426498', '0', 'tofly-flow', 'yj', TO_DATE('2022-09-14 16:14:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 16:14:59', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcalendaryearp/saveCalendarAll', 'POST', '{}', '432', NULL, '### Error updating database.  Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-01400: 无法将 NULL 插入 ("TF_ZMRQ_LC"."TF_CALENDAR_YEAR_P"."TENANT_ID")

### The error may exist in com/tofly/workflow/baseconf/mapper/TfCalendarYearPMapper.java (best guess)
### The error may involve com.tofly.workflow.baseconf.mapper.TfCalendarYearPMapper.insert-Inline
### The error occurred while setting parameters
### SQL: INSERT INTO TF_CALENDAR_YEAR_P  ( id, UPDATE_USER, UPDATE_TIME,  year_name, remark,  CREATE_USER, CREATE_TIME )  VALUES  ( ?, ?, ?,  ?, ?,  ?, ? )
### Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-01400: 无法将 NULL 插入 ("TF_ZMRQ_LC"."TF_CALENDAR_YEAR_P"."TENANT_ID")

; ORA-01400: 无法将 NULL 插入 ("TF_ZMRQ_LC"."TF_CALENDAR_YEAR_P"."TENANT_ID")
; nested exception is java.sql.SQLIntegrityConstraintViolationException: ORA-01400: 无法将 NULL 插入 ("TF_ZMRQ_LC"."TF_CALENDAR_YEAR_P"."TENANT_ID")', 'content:新增日历年日期相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569963023874465794', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-14 16:15:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 16:15:28', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '168', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569963085836918785', '0', 'tofly-flow', 'yj', TO_DATE('2022-09-14 16:15:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 16:15:42', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcalendaryearp/saveCalendarAll', 'POST', '{}', '85', NULL, '### Error updating database.  Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-01400: 无法将 NULL 插入 ("TF_ZMRQ_LC"."TF_CALENDAR_YEAR_P"."TENANT_ID")

### The error may exist in com/tofly/workflow/baseconf/mapper/TfCalendarYearPMapper.java (best guess)
### The error may involve com.tofly.workflow.baseconf.mapper.TfCalendarYearPMapper.insert-Inline
### The error occurred while setting parameters
### SQL: INSERT INTO TF_CALENDAR_YEAR_P  ( id, UPDATE_USER, UPDATE_TIME,  year_name, remark,  CREATE_USER, CREATE_TIME )  VALUES  ( ?, ?, ?,  ?, ?,  ?, ? )
### Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-01400: 无法将 NULL 插入 ("TF_ZMRQ_LC"."TF_CALENDAR_YEAR_P"."TENANT_ID")

; ORA-01400: 无法将 NULL 插入 ("TF_ZMRQ_LC"."TF_CALENDAR_YEAR_P"."TENANT_ID")
; nested exception is java.sql.SQLIntegrityConstraintViolationException: ORA-01400: 无法将 NULL 插入 ("TF_ZMRQ_LC"."TF_CALENDAR_YEAR_P"."TENANT_ID")', 'content:新增日历年日期相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569963573500256257', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-14 16:17:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 16:17:39', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcalendaryearp/page', 'GET', '{"hitCount":[""],"records":[""],"calendarPList[0].createUser":[""],"searchCount":[""],"calendarPList[0].yearId":[""],"calendarPList[0].createTime":[""],"remark":[""],"calendarPList[0].remark":[""],"current":[""],"total":[""],"orders[0].asc":[""],"orders[0].column":[""],"calendarPList[0].type":[""],"id":[""],"yearName":[""],"calendarPList[0].id":[""],"optimizeCountSql":[""],"updateUser":[""],"updateTime":[""],"size":[""],"createTime":[""],"tenantId":[""],"calendarPList[0].updateTime":[""],"createUser":[""],"calendarPList[0].isDel":[""],"calendarPList[0].dataTime":[""],"isDel":[""],"calendarPList[0].updateUser":[""]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569963597915299842', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-14 16:17:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 16:17:44', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '283', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569963605368578049', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-14 16:17:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 16:17:46', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcalendaryearp/page', 'GET', '{"hitCount":[""],"records":[""],"calendarPList[0].createUser":[""],"searchCount":[""],"calendarPList[0].yearId":[""],"calendarPList[0].createTime":[""],"remark":[""],"calendarPList[0].remark":[""],"current":[""],"total":[""],"orders[0].asc":[""],"orders[0].column":[""],"calendarPList[0].type":[""],"id":[""],"yearName":[""],"calendarPList[0].id":[""],"optimizeCountSql":[""],"updateUser":[""],"updateTime":[""],"size":[""],"createTime":[""],"tenantId":[""],"calendarPList[0].updateTime":[""],"createUser":[""],"calendarPList[0].isDel":[""],"calendarPList[0].dataTime":[""],"isDel":[""],"calendarPList[0].updateUser":[""]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569963606576537601', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-14 16:17:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 16:17:46', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprocessl/page', 'GET', '{"tenantId":[""],"current":["1"],"size":["1000"]}', '77', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569963611945246722', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-14 16:17:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 16:17:48', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprocessl/1569616564261691393', 'GET', '{}', '56', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569964130352832513', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-14 16:19:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 16:19:51', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571110858586185730', '1', 'tofly-flow', 'll', TO_DATE('2022-09-17 20:16:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-17 20:16:33', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571110858854621185', '1', 'tofly-flow', 'll', TO_DATE('2022-09-17 20:16:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-17 20:16:33', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571149852342607873', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-17 22:51:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-17 22:51:30', 'SYYYY-MM-DD HH24:MI:SS'), '139.207.65.114', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"key":[""]}', '93', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571149872101974017', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-17 22:51:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-17 22:51:34', 'SYYYY-MM-DD HH24:MI:SS'), '139.207.65.114', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"key":[""]}', '27', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571155600699154434', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-17 23:14:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-17 23:14:20', 'SYYYY-MM-DD HH24:MI:SS'), '139.207.65.114', NULL, '/tfworkprocessp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '28', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571156369141784578', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-17 23:17:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-17 23:17:23', 'SYYYY-MM-DD HH24:MI:SS'), '139.207.65.114', NULL, '/tfworkprocessp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571172324983037954', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-18 00:20:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 00:20:47', 'SYYYY-MM-DD HH24:MI:SS'), '139.207.65.114', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '36', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571172347883937793', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-18 00:20:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 00:20:53', 'SYYYY-MM-DD HH24:MI:SS'), '139.207.65.114', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569854512565919745', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-14 09:04:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 09:04:16', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfregionp/page', 'GET', '{"tenantId":["1"],"current":["1"],"size":["10000"],"isDel":["0"]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569855275086192641', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 09:07:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 09:07:18', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"content":[""]}', '17', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569855275388182530', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 09:07:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 09:07:18', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569855728683393025', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 09:09:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 09:09:06', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/1569660763252559873', 'GET', '{"id":["1569660763252559873"]}', '28', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569855730180759553', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 09:09:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 09:09:07', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569855731573268481', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 09:09:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 09:09:07', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569856053314134017', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 09:10:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 09:10:24', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/1569660763252559873', 'GET', '{"id":["1569660763252559873"]}', '29', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569856054543065089', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 09:10:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 09:10:24', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569856055922991106', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 09:10:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 09:10:24', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569856369703067650', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-14 09:11:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 09:11:39', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '294', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569856376598503426', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-14 09:11:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 09:11:41', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprocessl/page', 'GET', '{"tenantId":[""],"current":["1"],"size":["1000"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569856381380009986', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-14 09:11:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 09:11:42', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprocessconfigl/1569613105131102209', 'GET', '{}', '29', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569856507334959106', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-14 09:12:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 09:12:12', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfregionp/page', 'GET', '{"tenantId":["1"],"current":["1"],"size":["10000"],"isDel":["0"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569856507435622401', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-14 09:12:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 09:12:12', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprocessl/1569616564261691393', 'GET', '{}', '12', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569856865796956161', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-14 09:13:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 09:13:37', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfregionp/page', 'GET', '{"tenantId":["1"],"current":["1"],"size":["10000"],"isDel":["0"]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569964595559866369', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-14 16:21:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 16:21:42', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcalendaryearp/saveCalendarAll', 'POST', '{}', '76', NULL, NULL, 'content:新增日历年日期相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569964727386841089', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-14 16:22:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 16:22:14', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569965216895672322', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-14 16:24:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 16:24:10', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcalendaryearp/saveCalendarAll', 'POST', '{}', '12', NULL, NULL, 'content:新增日历年日期相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569965454075174914', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-14 16:25:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 16:25:07', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570675618736254977', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-16 15:27:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 15:27:03', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/token/5a9ec3b0-8d4e-4c6d-b29b-5608b17aa662', 'DELETE', '{}', '4', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570676141348958210', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-16 15:29:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 15:29:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570676195723915266', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-16 15:29:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 15:29:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{}', '38', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570676869027147777', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 15:32:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 15:32:01', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl', 'POST', '{}', '23', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570676869442383874', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 15:32:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 15:32:02', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570676877600305153', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 15:32:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 15:32:04', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/1570606305243660289', 'GET', '{"id":["1570606305243660289"]}', '35', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570676878132981762', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 15:32:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 15:32:04', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570676878703407106', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 15:32:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 15:32:04', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570676901314899970', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-16 15:32:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 15:32:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"key":[""]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570677671879868417', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 15:35:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 15:35:13', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '18', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570677673616310274', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 15:35:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 15:35:13', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570677674035740674', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 15:35:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 15:35:13', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570677674396450818', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 15:35:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 15:35:14', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570677683561005057', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 15:35:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 15:35:16', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570677683997212674', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 15:35:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 15:35:16', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570677687805640706', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 15:35:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 15:35:17', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/1570606305243660289', 'GET', '{"id":["1570606305243660289"]}', '36', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570677689391087618', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 15:35:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 15:35:17', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570677691362410498', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 15:35:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 15:35:18', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570677745368268802', '2', 'tofly-auth', 'hq', TO_DATE('2022-09-16 15:35:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 15:35:30', 'SYYYY-MM-DD HH24:MI:SS'), '222.209.160.113', NULL, '/token/c80fe0ae-d3ba-4dee-85d2-365d2d248e83', 'DELETE', '{}', '20', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570679715248308225', '1', 'tofly-flow', 'll', TO_DATE('2022-09-16 15:43:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 15:43:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570682241016233986', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 15:53:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 15:53:22', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/1570606305243660289', 'GET', '{"id":["1570606305243660289"]}', '37', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570682241620213762', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 15:53:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 15:53:22', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570682242660401153', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 15:53:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 15:53:23', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570682674837291009', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 15:55:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 15:55:06', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl', 'POST', '{}', '38', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570314704147566594', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 15:32:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 15:32:55', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569152821327564802"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570314704399224833', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 15:32:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 15:32:55', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570337842742808578', '0', 'tofly-flow', 'yj', TO_DATE('2022-09-15 17:04:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 17:04:51', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcalendaryearp/saveCalendarAll', 'POST', '{}', '62', NULL, '工作日应用日历列表为空，请重新输入', 'content:新增日历年日期相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570338157340774402', '0', 'tofly-flow', 'yj', TO_DATE('2022-09-15 17:06:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 17:06:06', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcalendaryearp/saveCalendarAll', 'POST', '{}', '62', NULL, '工作日应用日历列表为空，请重新输入', 'content:新增日历年日期相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570338185664909313', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-15 17:06:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 17:06:13', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570338426426347522', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-15 17:07:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 17:07:10', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcalendaryearp/saveCalendarAll', 'POST', '{}', '18', NULL, NULL, 'content:新增日历年日期相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570338426715754497', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-15 17:07:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 17:07:11', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570339398443716610', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-15 17:11:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 17:11:02', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570339794125967361', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-15 17:12:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 17:12:37', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570340644755984385', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-15 17:15:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 17:15:59', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570340757809254401', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-15 17:16:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 17:16:26', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570341557512032258', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-15 17:19:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 17:19:37', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570341795341651970', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-15 17:20:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 17:20:34', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571084719251644418', '1', 'tofly-flow', 'll', TO_DATE('2022-09-17 18:32:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-17 18:32:41', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '8', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571084719285198850', '1', 'tofly-flow', 'll', TO_DATE('2022-09-17 18:32:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-17 18:32:41', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '17', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571087552172646401', '1', 'tofly-flow', 'll', TO_DATE('2022-09-17 18:43:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-17 18:43:56', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '11', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571087552340418562', '1', 'tofly-flow', 'll', TO_DATE('2022-09-17 18:43:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-17 18:43:56', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '8', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571090792696111105', '1', 'tofly-flow', 'll', TO_DATE('2022-09-17 18:56:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-17 18:56:49', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '173', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571090793253953538', '1', 'tofly-flow', 'll', TO_DATE('2022-09-17 18:56:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-17 18:56:49', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '26', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571090798178066434', '1', 'tofly-flow', 'll', TO_DATE('2022-09-17 18:56:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-17 18:56:50', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '27', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571090798505222145', '1', 'tofly-flow', 'll', TO_DATE('2022-09-17 18:56:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-17 18:56:50', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '21', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571090803488055297', '1', 'tofly-flow', 'll', TO_DATE('2022-09-17 18:56:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-17 18:56:51', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571090803521609729', '1', 'tofly-flow', 'll', TO_DATE('2022-09-17 18:56:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-17 18:56:51', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '12', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571090864758448130', '1', 'tofly-flow', 'll', TO_DATE('2022-09-17 18:57:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-17 18:57:06', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '21', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571090865119158274', '1', 'tofly-flow', 'll', TO_DATE('2022-09-17 18:57:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-17 18:57:06', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '18', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571090891820097538', '1', 'tofly-flow', 'll', TO_DATE('2022-09-17 18:57:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-17 18:57:12', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '7', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571109996249866241', '1', 'tofly-flow', 'll', TO_DATE('2022-09-17 20:13:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-17 20:13:07', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '10', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571121746160508929', '2', 'tofly-auth', 'll', TO_DATE('2022-09-17 20:59:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-17 20:59:48', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/token/bad7ec18-86ee-4865-afa9-56bf51d94e98', 'DELETE', '{}', '1', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571388443731771393', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-18 14:39:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 14:39:34', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["30"],"current":["1"]}', '424', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571668233973927938', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-19 09:11:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 09:11:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571668234171060226', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-19 09:11:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 09:11:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571668584869400578', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 09:12:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 09:12:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["10000"],"current":["1"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571668585200750593', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 09:12:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 09:12:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571668666293424130', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 09:13:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 09:13:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfreportentryp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571669059245182978', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 09:14:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 09:14:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["10000"],"current":["1"]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571669069538004993', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 09:14:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 09:14:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571669317261987841', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-19 09:15:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 09:15:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/page', 'GET', '{"tenantId":[""],"current":["1"],"size":["1000"]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571669343430250498', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-19 09:15:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 09:15:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1569660763252559873', 'GET', '{"id":["1569660763252559873"]}', '29', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571669344025841666', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-19 09:15:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 09:15:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571669344306860034', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-19 09:15:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 09:15:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571669345191858178', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-19 09:15:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 09:15:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571669708032708610', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 09:17:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 09:17:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"name":[""],"tenantId":["1569216846182748162"],"current":["1"],"size":["30"],"contractType":[""]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571669882851299330', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-19 09:17:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 09:17:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569626045219938306', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-13 17:56:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 17:56:26', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '293', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569626048306946049', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-13 17:56:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 17:56:26', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprocessl/page', 'GET', '{"tenantId":[""],"current":["1"],"size":["1000"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570227432890933249', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-15 09:46:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 09:46:08', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprocessl/1569616564261691393', 'GET', '{}', '43', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570227432949653505', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-15 09:46:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 09:46:08', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprocessconfigl/1569613105131102209', 'GET', '{}', '52', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570227650206212097', '1', 'tofly-flow', 'll', TO_DATE('2022-09-15 09:46:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 09:46:59', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570227650655002625', '1', 'tofly-flow', 'll', TO_DATE('2022-09-15 09:46:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 09:46:59', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570227651254788098', '1', 'tofly-flow', 'll', TO_DATE('2022-09-15 09:47:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 09:47:00', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570228215078297601', '1', 'tofly-flow', 'll', TO_DATE('2022-09-15 09:49:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 09:49:14', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570228215468367874', '1', 'tofly-flow', 'll', TO_DATE('2022-09-15 09:49:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 09:49:14', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570228222300889089', '1', 'tofly-flow', 'll', TO_DATE('2022-09-15 09:49:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 09:49:16', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570228223634677762', '1', 'tofly-flow', 'll', TO_DATE('2022-09-15 09:49:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 09:49:16', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570578110008119297', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 08:59:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 08:59:36', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '23', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570578110024896514', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 08:59:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 08:59:36', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '25', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570578207873814529', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 08:59:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 08:59:59', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfbasetypep', 'PUT', '{}', '77', NULL, NULL, 'content:修改基础类型表', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570578208389713922', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 08:59:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 08:59:59', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570578307102658561', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 09:00:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 09:00:23', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570578364950499330', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 09:00:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 09:00:36', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfbasetypep', 'PUT', '{}', '15', NULL, NULL, 'content:修改基础类型表', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570578365336375298', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 09:00:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 09:00:36', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570578522123653122', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 09:01:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 09:01:14', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570578537336393729', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 09:01:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 09:01:17', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '17', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570578537600634881', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 09:01:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 09:01:17', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570578539811033090', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 09:01:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 09:01:18', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570578540154966017', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 09:01:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 09:01:18', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570578545171353602', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 09:01:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 09:01:19', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/1570311339132964866', 'GET', '{"id":["1570311339132964866"]}', '42', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570578545951494145', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 09:01:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 09:01:19', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570578546584834049', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 09:01:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 09:01:20', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570578902396030978', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 09:02:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 09:02:44', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/1570311339132964866', 'DELETE', '{"id":["1570311339132964866"]}', '5', NULL, NULL, 'content:通过id删除审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570578902677049345', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 09:02:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 09:02:45', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570578937137451010', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 09:02:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 09:02:53', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":["1569152821327564802"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570675723333808130', '2', 'tofly-auth', 'hq', TO_DATE('2022-09-16 15:27:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 15:27:28', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["hq"]}', '459', NULL, NULL, 'content:登录 :hq', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570707752207515649', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-16 17:34:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 17:34:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["10000"],"current":["1"]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570707766782722049', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 17:34:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 17:34:48', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/1570698804578582529', 'GET', '{"id":["1570698804578582529"]}', '29', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570707767512530946', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 17:34:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 17:34:48', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570707769282527234', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 17:34:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 17:34:49', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570708188197027841', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 17:36:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 17:36:29', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570708189333684226', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 17:36:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 17:36:29', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570711664150970369', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-16 17:50:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 17:50:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570712002379644929', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-16 17:51:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 17:51:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570713554376982529', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-16 17:57:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 17:57:48', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.167.115', NULL, '/tfprocessl/page', 'GET', '{"tenantId":[""],"current":["1"],"size":["1000"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570713568725696514', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-16 17:57:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 17:57:51', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.167.115', NULL, '/tfprocessl/1569616564261691393', 'GET', '{}', '10', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570713577202384898', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-16 17:57:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 17:57:53', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.167.115', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1570692286170427394"]}', '2', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570714219664900098', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-16 18:00:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 18:00:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '2', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570226571221508098', '1', 'tofly-flow', 'll', TO_DATE('2022-09-15 09:42:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 09:42:42', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570226571896791041', '1', 'tofly-flow', 'll', TO_DATE('2022-09-15 09:42:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 09:42:42', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570226572358164481', '1', 'tofly-flow', 'll', TO_DATE('2022-09-15 09:42:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 09:42:42', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570226585234677762', '1', 'tofly-flow', 'll', TO_DATE('2022-09-15 09:42:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 09:42:45', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '17', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570226585578610690', '1', 'tofly-flow', 'll', TO_DATE('2022-09-15 09:42:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 09:42:46', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570226592809590786', '1', 'tofly-flow', 'll', TO_DATE('2022-09-15 09:42:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 09:42:47', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570226594017550337', '1', 'tofly-flow', 'll', TO_DATE('2022-09-15 09:42:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 09:42:48', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570226672945963009', '2', 'tofly-auth', 'hr', TO_DATE('2022-09-15 09:43:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 09:43:06', 'SYYYY-MM-DD HH24:MI:SS'), '61.157.29.47', NULL, '/token/27470c87-15e1-41ed-9aad-b59aca08d58c', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570226686887829506', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-15 09:43:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 09:43:10', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '2', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570228222967783425', '1', 'tofly-flow', 'll', TO_DATE('2022-09-15 09:49:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 09:49:16', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570251665759117313', '0', 'tofly-flow', 'admin', TO_DATE('2022-09-15 11:22:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 11:22:25', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprocessl/1569616564261691393', 'GET', '{}', '80', NULL, 'Package cn.hutool.core.map has already been defined but it could not be found', 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570255727812517890', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 11:38:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 11:38:34', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '301', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570255727812517891', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 11:38:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 11:38:34', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '204', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570256136606162945', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 11:40:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 11:40:11', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfbasetypep', 'PUT', '{}', '136', NULL, NULL, 'content:修改基础类型表', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570256137046564866', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 11:40:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 11:40:11', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '9', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570256153530179586', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 11:40:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 11:40:15', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570257648203964418', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 11:46:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 11:46:11', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '10', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570257729275666434', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 11:46:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 11:46:31', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfbasetypep', 'POST', '{}', '19', NULL, NULL, 'content:新增基础类型表', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570257729586044930', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 11:46:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 11:46:31', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570258044607635458', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 11:47:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 11:47:46', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570259278769004546', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 11:52:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 11:52:40', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfbasetypep', 'POST', '{}', '15', NULL, NULL, 'content:新增基础类型表', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570259279117131778', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 11:52:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 11:52:40', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570259376294961154', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 11:53:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 11:53:03', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570259406242291715', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 11:53:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 11:53:11', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570262969441951745', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-15 12:07:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 12:07:20', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprocessl/1569616564261691393', 'GET', '{}', '20', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570344699138002945', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-15 17:32:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 17:32:06', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570390257282174977', '1', 'tofly-flow', 'll', TO_DATE('2022-09-15 20:33:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 20:33:08', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '18', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570390257361866754', '1', 'tofly-flow', 'tmx', TO_DATE('2022-09-15 20:33:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 20:33:08', 'SYYYY-MM-DD HH24:MI:SS'), '171.217.183.40', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570390257672245250', '1', 'tofly-flow', 'll', TO_DATE('2022-09-15 20:33:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 20:33:08', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570390263758180353', '1', 'tofly-flow', 'tmx', TO_DATE('2022-09-15 20:33:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 20:33:09', 'SYYYY-MM-DD HH24:MI:SS'), '171.217.183.40', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '25', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570390264014032898', '1', 'tofly-flow', 'tmx', TO_DATE('2022-09-15 20:33:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 20:33:10', 'SYYYY-MM-DD HH24:MI:SS'), '171.217.183.40', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570390270171271169', '1', 'tofly-flow', 'll', TO_DATE('2022-09-15 20:33:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 20:33:11', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/1570311339132964866', 'GET', '{"id":["1570311339132964866"]}', '55', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570390271442145281', '1', 'tofly-flow', 'll', TO_DATE('2022-09-15 20:33:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 20:33:11', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570390272658493441', '1', 'tofly-flow', 'll', TO_DATE('2022-09-15 20:33:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 20:33:12', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570390278719262722', '1', 'tofly-flow', 'tmx', TO_DATE('2022-09-15 20:33:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 20:33:13', 'SYYYY-MM-DD HH24:MI:SS'), '171.217.183.40', NULL, '/tfprocessconfigl/1569660763252559873', 'GET', '{"id":["1569660763252559873"]}', '40', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570390279256133634', '1', 'tofly-flow', 'tmx', TO_DATE('2022-09-15 20:33:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 20:33:13', 'SYYYY-MM-DD HH24:MI:SS'), '171.217.183.40', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570390279491014657', '1', 'tofly-flow', 'tmx', TO_DATE('2022-09-15 20:33:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 20:33:13', 'SYYYY-MM-DD HH24:MI:SS'), '171.217.183.40', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570390280065634306', '1', 'tofly-flow', 'tmx', TO_DATE('2022-09-15 20:33:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 20:33:13', 'SYYYY-MM-DD HH24:MI:SS'), '171.217.183.40', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570390299535593473', '1', 'tofly-flow', 'tmx', TO_DATE('2022-09-15 20:33:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 20:33:18', 'SYYYY-MM-DD HH24:MI:SS'), '171.217.183.40', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570390299753697281', '1', 'tofly-flow', 'tmx', TO_DATE('2022-09-15 20:33:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 20:33:18', 'SYYYY-MM-DD HH24:MI:SS'), '171.217.183.40', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570390308284911618', '1', 'tofly-flow', 'll', TO_DATE('2022-09-15 20:33:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 20:33:20', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '20', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570390308737896450', '1', 'tofly-flow', 'll', TO_DATE('2022-09-15 20:33:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 20:33:20', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569648376222916610', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-13 19:25:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 19:25:10', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '312', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569648383713943553', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-13 19:25:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 19:25:11', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprocessl/page', 'GET', '{"tenantId":[""],"current":["1"],"size":["1000"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569649023995420674', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-13 19:27:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 19:27:44', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprocessconfigl/1569613105131102209', 'GET', '{}', '36', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569649867465760769', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-13 19:31:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 19:31:05', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprocessconfigl/1569613105131102209', 'GET', '{}', '28', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569649929692454913', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-13 19:31:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 19:31:20', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprocessl/1569616564261691393', 'GET', '{}', '9', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569649929763758082', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-13 19:31:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 19:31:20', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprocessconfigl/1569613105131102209', 'GET', '{}', '30', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569653359660048386', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-13 19:44:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 19:44:58', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfregionp/page', 'GET', '{"hitCount":[""],"optimizeCountSql":[""],"level":[""],"records":[""],"searchCount":[""],"fullName":[""],"updateUser":[""],"remark":[""],"updateTime":[""],"current":[""],"regionCode":[""],"total":[""],"size":[""],"createTime":[""],"regionId":[""],"orders[0].asc":[""],"name":[""],"tenantId":[""],"createUser":[""],"orders[0].column":[""],"id":[""],"isDel":[""]}', '2', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569659854137139201', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 20:10:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 20:10:46', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl', 'POST', '{}', '11', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569659930439917570', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 20:11:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 20:11:04', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569659931652071425', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 20:11:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 20:11:05', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569660688832995330', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 20:14:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 20:14:05', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl', 'POST', '{}', '66', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569660763718098945', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 20:14:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 20:14:23', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl', 'POST', '{}', '117', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569660764577931265', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 20:14:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 20:14:23', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"content":[""]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569660800397287425', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 20:14:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 20:14:32', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/1569660763252559873', 'GET', '{"id":["1569660763252559873"]}', '26', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569660801915625474', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 20:14:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 20:14:32', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569660803190693889', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 20:14:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 20:14:33', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569660988553764866', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 20:15:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 20:15:17', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/1569660763252559873', 'GET', '{"id":["1569660763252559873"]}', '33', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569660990013382658', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 20:15:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 20:15:17', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569660991313616898', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 20:15:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 20:15:17', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569661151569584129', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 20:15:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 20:15:56', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/1569660763252559873', 'GET', '{"id":["1569660763252559873"]}', '32', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569661152915955713', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 20:15:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 20:15:56', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569661154258132994', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 20:15:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 20:15:56', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570222868938727426', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-15 09:27:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 09:27:59', 'SYYYY-MM-DD HH24:MI:SS'), '61.157.29.47', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570222869165219841', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-15 09:27:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 09:27:59', 'SYYYY-MM-DD HH24:MI:SS'), '61.157.29.47', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570222878736621569', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-15 09:28:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 09:28:02', 'SYYYY-MM-DD HH24:MI:SS'), '61.157.29.47', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":["1569152821327564802"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570222879411904513', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-15 09:28:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 09:28:02', 'SYYYY-MM-DD HH24:MI:SS'), '61.157.29.47', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '9', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570223326197555202', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-15 09:29:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 09:29:48', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570223672789671938', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-15 09:31:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 09:31:11', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570224698120839169', '1', 'tofly-flow', 'll', TO_DATE('2022-09-15 09:35:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 09:35:16', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570224846565646338', '1', 'tofly-flow', 'll', TO_DATE('2022-09-15 09:35:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 09:35:51', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '665', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570224853666603010', '1', 'tofly-flow', 'll', TO_DATE('2022-09-15 09:35:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 09:35:53', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570224863841984514', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-15 09:35:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 09:35:55', 'SYYYY-MM-DD HH24:MI:SS'), '61.157.29.47', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570224864043311106', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-15 09:35:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 09:35:55', 'SYYYY-MM-DD HH24:MI:SS'), '61.157.29.47', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570224868774486018', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-15 09:35:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 09:35:56', 'SYYYY-MM-DD HH24:MI:SS'), '61.157.29.47', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":["1569152821327564802"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570224869223276545', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-15 09:35:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 09:35:56', 'SYYYY-MM-DD HH24:MI:SS'), '61.157.29.47', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570228833952047106', '1', 'tofly-flow', 'll', TO_DATE('2022-09-15 09:51:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 09:51:42', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '5', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570228835013206017', '1', 'tofly-flow', 'll', TO_DATE('2022-09-15 09:51:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 09:51:42', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570228909990584321', '1', 'tofly-flow', 'll', TO_DATE('2022-09-15 09:52:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 09:52:00', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570228910426791937', '1', 'tofly-flow', 'll', TO_DATE('2022-09-15 09:52:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 09:52:00', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570228928579739650', '1', 'tofly-flow', 'll', TO_DATE('2022-09-15 09:52:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 09:52:04', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570229056401154050', '1', 'tofly-flow', 'll', TO_DATE('2022-09-15 09:52:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 09:52:35', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569839999548465154', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-14 08:06:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 08:06:36', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '315', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569840006099968002', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-14 08:06:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 08:06:38', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprocessl/page', 'GET', '{"tenantId":[""],"current":["1"],"size":["1000"]}', '32', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569840011263156225', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-14 08:06:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 08:06:39', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprocessconfigl/1569613105131102209', 'GET', '{}', '32', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569840011275739138', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-14 08:06:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 08:06:39', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprocessl/1569616564261691393', 'GET', '{}', '37', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569840803831422978', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-14 08:09:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 08:09:48', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprocessl/1569616564261691393', 'GET', '{}', '14', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569840803995000834', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-14 08:09:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 08:09:48', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfregionp/page', 'GET', '{"tenantId":["1"],"current":["1"],"size":["10000"],"isDel":["0"]}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569840804036943874', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-14 08:09:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 08:09:48', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprocessconfigl/1569613105131102209', 'GET', '{}', '42', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569902369851383809', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-14 12:14:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 12:14:27', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprocessconfigl/1569613105131102209', 'GET', '{}', '23', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569920609558274049', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-14 13:26:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 13:26:55', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569920627413426177', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-14 13:26:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 13:26:59', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569920705591058433', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-14 13:27:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 13:27:18', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfworkprocessp/page', 'GET', '{"name":["沟槽开挖"],"current":["1"],"size":["30"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569920712440356866', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-14 13:27:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 13:27:20', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfworkprocessp/page', 'GET', '{"name":[""],"current":["1"],"size":["30"]}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569922888558518274', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-14 13:35:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 13:35:59', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '310', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569922896225705986', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-14 13:36:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 13:36:00', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprocessl/page', 'GET', '{"tenantId":[""],"current":["1"],"size":["1000"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569922922003898369', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-14 13:36:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 13:36:07', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprocessl/1569616564261691393', 'GET', '{}', '12', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569922922071007233', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-14 13:36:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 13:36:07', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprocessconfigl/1569613105131102209', 'GET', '{}', '28', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569923823942836225', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-14 13:39:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 13:39:42', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '281', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569923830444007425', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-14 13:39:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 13:39:43', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprocessl/page', 'GET', '{"tenantId":[""],"current":["1"],"size":["1000"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569924234477117442', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-14 13:41:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 13:41:19', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcalendaryearp/page', 'GET', '{}', '19', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569924283407867905', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-14 13:41:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 13:41:31', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcalendaryearp/page', 'GET', '{}', '2', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569924355067551745', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-14 13:41:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 13:41:48', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprocessl/1569616564261691393', 'GET', '{}', '7', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569924355193380866', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-14 13:41:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 13:41:48', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprocessconfigl/1569613105131102209', 'GET', '{}', '21', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569924422834921473', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-14 13:42:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 13:42:04', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '1', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569924502841270273', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-14 13:42:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 13:42:23', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '2', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569924583954915329', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-14 13:42:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 13:42:43', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '308', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569924598517538817', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-14 13:42:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 13:42:46', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprocessl/page', 'GET', '{"tenantId":[""],"current":["1"],"size":["1000"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569924602284023810', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-14 13:42:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 13:42:47', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprocessl/1569616564261691393', 'GET', '{}', '7', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569924602497933314', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-14 13:42:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 13:42:47', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprocessconfigl/1569613105131102209', 'GET', '{}', '20', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569925271346814978', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-14 13:45:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 13:45:27', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '336', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569925284718256129', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-14 13:45:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 13:45:30', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprocessl/page', 'GET', '{"tenantId":[""],"current":["1"],"size":["1000"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569925292041510914', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-14 13:45:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 13:45:32', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprocessl/1569616564261691393', 'GET', '{}', '8', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569925292171534337', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-14 13:45:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 13:45:32', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprocessconfigl/1569613105131102209', 'GET', '{}', '22', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569925353303515137', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-14 13:45:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 13:45:46', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '317', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569925359381061633', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-14 13:45:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 13:45:48', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprocessl/page', 'GET', '{"tenantId":[""],"current":["1"],"size":["1000"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569925362510012418', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-14 13:45:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 13:45:48', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprocessl/1569616564261691393', 'GET', '{}', '39', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569925371292884994', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-14 13:45:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 13:45:50', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprocessl/1569616564261691393', 'GET', '{}', '9', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569925371351605250', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-14 13:45:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 13:45:50', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprocessconfigl/1569613105131102209', 'GET', '{}', '26', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569925378314149889', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-14 13:45:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 13:45:52', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprocessl/1569616564261691393', 'GET', '{}', '10', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569925378372870145', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-14 13:45:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 13:45:52', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprocessconfigl/1569613105131102209', 'GET', '{}', '26', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569925393782743041', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-14 13:45:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 13:45:56', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprocessl/1569616564261691393', 'GET', '{}', '8', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569925393858240514', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-14 13:45:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 13:45:56', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprocessconfigl/1569613105131102209', 'GET', '{}', '25', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569925528310849538', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-14 13:46:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 13:46:28', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '299', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569925536053534722', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-14 13:46:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 13:46:30', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprocessl/page', 'GET', '{"tenantId":[""],"current":["1"],"size":["1000"]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569625419350089729', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-13 17:53:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 17:53:56', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprocessl/page', 'GET', '{"tenantId":[""],"current":["1"],"size":["1000"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569648546335498242', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-13 19:25:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 19:25:50', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprocessl/1569616564261691393', 'GET', '{}', '14', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569648566736592898', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-13 19:25:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 19:25:55', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprocessl/1569616564261691393', 'GET', '{}', '44', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569648629458214914', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-13 19:26:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 19:26:10', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprocessl/page', 'GET', '{"tenantId":[""],"current":["1"],"size":["1000"]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569648640485040130', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-13 19:26:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 19:26:13', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprocessl/page', 'GET', '{"tenantId":[""],"current":["1"],"size":["1000"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569649856518627329', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-13 19:31:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 19:31:03', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '277', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569649862243852290', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-13 19:31:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 19:31:04', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprocessl/page', 'GET', '{"tenantId":[""],"current":["1"],"size":["1000"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569649867297988609', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-13 19:31:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 19:31:05', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprocessl/1569616564261691393', 'GET', '{}', '17', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570299139630678017', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 14:31:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 14:31:04', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570299139945250817', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 14:31:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 14:31:04', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570299147612438530', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 14:31:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 14:31:06', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/1570240406875664386', 'GET', '{"id":["1570240406875664386"]}', '15', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570299148157698050', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 14:31:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 14:31:06', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570299149533429762', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 14:31:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 14:31:06', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570299508070924289', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 14:32:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 14:32:32', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570299508624572418', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 14:32:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 14:32:32', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '17', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570299514672758786', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 14:32:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 14:32:33', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570299514899251201', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 14:32:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 14:32:33', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570299519680757761', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 14:32:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 14:32:34', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/1570240406875664386', 'GET', '{"id":["1570240406875664386"]}', '17', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570299520238600193', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 14:32:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 14:32:35', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570299520867745794', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 14:32:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 14:32:35', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570299565620969474', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 14:32:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 14:32:45', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570299565906182146', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 14:32:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 14:32:45', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570299569106436098', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 14:32:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 14:32:46', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/1569660763252559873', 'GET', '{"id":["1569660763252559873"]}', '31', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570299569936908289', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 14:32:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 14:32:46', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570299570712854530', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 14:32:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 14:32:47', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570299602249826305', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 14:32:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 14:32:54', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570299602606342146', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 14:32:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 14:32:54', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570299608537088002', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 14:32:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 14:32:56', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/1570240406875664386', 'GET', '{"id":["1570240406875664386"]}', '16', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570299609052987393', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 14:32:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 14:32:56', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570299609803767809', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 14:32:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 14:32:56', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570314704776712193', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 15:32:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 15:32:55', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570315297054380033', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 15:35:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 15:35:16', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570315297314426882', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 15:35:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 15:35:16', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570315302825742338', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 15:35:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 15:35:17', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/1570311339132964866', 'GET', '{"id":["1570311339132964866"]}', '13', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570315303345836034', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 15:35:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 15:35:18', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570315303844958209', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 15:35:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 15:35:18', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570315309570183169', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 15:35:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 15:35:19', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl', 'POST', '{}', '14', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570315309884755970', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 15:35:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 15:35:19', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570315317296091137', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 15:35:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 15:35:21', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/1570311339132964866', 'GET', '{"id":["1570311339132964866"]}', '23', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570315317908459522', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 15:35:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 15:35:21', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570315318516633601', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 15:35:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 15:35:21', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570315975139119105', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 15:37:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 15:37:58', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl', 'POST', '{}', '2', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569609446400270338', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 16:50:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 16:50:28', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569609447708893185', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 16:50:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 16:50:28', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569610837827067905', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 16:56:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 16:56:00', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/1569507482133536769', 'GET', '{"id":["1569507482133536769"]}', '27', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569610839295074306', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 16:56:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 16:56:00', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569610840649834498', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 16:56:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 16:56:01', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569611263448260610', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 16:57:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 16:57:41', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569611263691530242', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 16:57:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 16:57:41', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"content":[""]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569611273682362370', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 16:57:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 16:57:44', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/1569507482133536769', 'GET', '{"id":["1569507482133536769"]}', '23', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569611275083259905', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 16:57:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 16:57:44', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569611276488351746', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 16:57:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 16:57:44', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569611709369884674', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 16:59:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 16:59:28', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"content":[""]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569611709822869506', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 16:59:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 16:59:28', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569611718777708546', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 16:59:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 16:59:30', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/1569507482133536769', 'GET', '{"id":["1569507482133536769"]}', '25', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569611720140857345', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 16:59:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 16:59:30', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569611721533366274', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 16:59:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 16:59:31', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569612281720414210', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 17:01:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 17:01:44', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/1569507482133536769', 'GET', '{"id":["1569507482133536769"]}', '28', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569612283305861121', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 17:01:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 17:01:44', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569612284643844098', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 17:01:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 17:01:45', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569612403497836546', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 17:02:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 17:02:13', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569612403757883394', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 17:02:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 17:02:13', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"content":[""]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569612413165707266', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 17:02:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 17:02:15', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/1569507482133536769', 'GET', '{"id":["1569507482133536769"]}', '26', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569612414470135810', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 17:02:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 17:02:16', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569612415770370049', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 17:02:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 17:02:16', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569612646763274241', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 17:03:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 17:03:11', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/1569507482133536769', 'GET', '{"id":["1569507482133536769"]}', '33', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569612648331943937', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 17:03:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 17:03:12', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569612649682509825', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 17:03:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 17:03:12', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569612738505285634', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 17:03:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 17:03:33', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/1569507482133536769', 'GET', '{"id":["1569507482133536769"]}', '24', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569612739776159746', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 17:03:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 17:03:33', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569612741273526273', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 17:03:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 17:03:34', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569612912522764289', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-13 17:04:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 17:04:15', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.170.172', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569612932550565890', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-13 17:04:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 17:04:19', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.170.172', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569612970513211393', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-13 17:04:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 17:04:28', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.170.172', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569613197303422977', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-13 17:05:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 17:05:22', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.170.172', NULL, '/tfworkprocessp', 'POST', '{}', '3', NULL, NULL, 'content:新增工序管理（工序名称）/工程管控管理', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569613197580247042', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-13 17:05:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 17:05:22', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.170.172', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569613292669313026', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 17:05:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 17:05:45', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"content":[""]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569613293122297857', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 17:05:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 17:05:45', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569613333983207426', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-13 17:05:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 17:05:55', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.170.172', NULL, '/tfworkprocessp/deleteByIds', 'DELETE', '{"idList":["1569594656185487361"]}', '67', NULL, NULL, 'content:通过id批量删除工序管理（工序名称）/工程管控管理', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569613336445263874', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-13 17:05:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 17:05:56', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.170.172', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569613472990830594', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 17:06:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 17:06:28', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/1569613105131102209', 'GET', '{"id":["1569613105131102209"]}', '31', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569613548102426626', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 17:06:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 17:06:46', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/1569507482133536769', 'GET', '{"id":["1569507482133536769"]}', '29', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569613570810388482', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 17:06:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 17:06:51', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569613572173537281', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 17:06:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 17:06:52', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569613619606921218', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 17:07:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 17:07:03', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/1569507482133536769', 'GET', '{"id":["1569507482133536769"]}', '27', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569887915126366210', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-14 11:17:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 11:17:00', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprocessl/1569616564261691393', 'GET', '{}', '10', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569887915201863682', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-14 11:17:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 11:17:00', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprocessconfigl/1569613105131102209', 'GET', '{}', '31', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569888867229179906', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 11:20:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 11:20:47', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '2', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569888867686359042', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 11:20:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 11:20:47', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '2', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569888876137881601', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 11:20:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 11:20:49', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":["1"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569888877387784193', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 11:20:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 11:20:50', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '2', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570229056896081922', '1', 'tofly-flow', 'll', TO_DATE('2022-09-15 09:52:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 09:52:35', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '2', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570229358005166081', '1', 'tofly-flow', 'll', TO_DATE('2022-09-15 09:53:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 09:53:47', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570231221559599105', '1', 'tofly-flow', 'll', TO_DATE('2022-09-15 10:01:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 10:01:11', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570231242333986818', '1', 'tofly-flow', 'll', TO_DATE('2022-09-15 10:01:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 10:01:16', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570231242644365313', '1', 'tofly-flow', 'll', TO_DATE('2022-09-15 10:01:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 10:01:16', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570231251246882817', '1', 'tofly-flow', 'll', TO_DATE('2022-09-15 10:01:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 10:01:18', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570231651366707202', '1', 'tofly-flow', 'll', TO_DATE('2022-09-15 10:02:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 10:02:53', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570231748888469505', '1', 'tofly-flow', 'll', TO_DATE('2022-09-15 10:03:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 10:03:17', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570232482853920769', '1', 'tofly-flow', 'll', TO_DATE('2022-09-15 10:06:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 10:06:12', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570232483424346114', '1', 'tofly-flow', 'll', TO_DATE('2022-09-15 10:06:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 10:06:12', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570232502156107778', '1', 'tofly-flow', 'll', TO_DATE('2022-09-15 10:06:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 10:06:16', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570232502512623617', '1', 'tofly-flow', 'll', TO_DATE('2022-09-15 10:06:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 10:06:16', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570232509915570178', '1', 'tofly-flow', 'll', TO_DATE('2022-09-15 10:06:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 10:06:18', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570232511291301890', '1', 'tofly-flow', 'll', TO_DATE('2022-09-15 10:06:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 10:06:18', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570232611556139010', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-15 10:06:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 10:06:42', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcalendaryearp/deleteByIds', 'DELETE', '{"ids":["1570229916942331905"]}', '4', NULL, NULL, 'content:通过id批量删除日历年', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570232611807797250', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-15 10:06:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 10:06:42', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '2', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570232803525238785', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-15 10:07:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 10:07:28', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '2', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570288688712761345', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 13:49:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 13:49:32', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfbasetypep', 'POST', '{}', '15', NULL, NULL, 'content:新增基础类型表', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570288689127997441', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 13:49:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 13:49:32', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570288689228660738', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 13:49:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 13:49:32', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '7', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570290624820264961', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 13:57:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 13:57:14', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '8', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570293219815178241', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 14:07:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 14:07:32', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/1570240406875664386', 'GET', '{"id":["1570240406875664386"]}', '21', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570293220687593473', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 14:07:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 14:07:33', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570293221421596674', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 14:07:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 14:07:33', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570295742441570306', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 14:17:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 14:17:34', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '8', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570296561702387714', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 14:20:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 14:20:49', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570296561945657346', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 14:20:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 14:20:49', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570296572930539521', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 14:20:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 14:20:52', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570296573186392065', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 14:20:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 14:20:52', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570296582640353281', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 14:20:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 14:20:54', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/1570240406875664386', 'GET', '{"id":["1570240406875664386"]}', '16', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570296583554711553', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 14:20:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 14:20:54', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570296584565538818', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 14:20:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 14:20:55', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '7', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570296758742401025', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 14:21:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 14:21:36', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570296759056973825', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 14:21:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 14:21:36', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570296767458164737', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 14:21:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 14:21:38', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569152821327564802"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570296768368328705', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 14:21:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 14:21:38', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569925541774565377', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-14 13:46:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 13:46:31', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprocessl/1569616564261691393', 'GET', '{}', '9', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569925541896200194', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-14 13:46:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 13:46:31', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprocessconfigl/1569613105131102209', 'GET', '{}', '23', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570225029693153282', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-15 09:36:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 09:36:35', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprocessl/1569616564261691393', 'GET', '{}', '10', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570225464185298945', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-15 09:38:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 09:38:18', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprocessconfigl/1569613105131102209', 'GET', '{}', '43', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570225464206270465', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-15 09:38:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 09:38:18', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprocessl/1569616564261691393', 'GET', '{}', '37', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570225542862053377', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-15 09:38:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 09:38:37', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570225559492468738', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-15 09:38:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 09:38:41', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcalendaryearp/1569964595199090689', 'DELETE', '{}', '5', NULL, NULL, 'content:通过id删除日历年', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570225559702183938', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-15 09:38:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 09:38:41', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570226146078466050', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-15 09:41:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 09:41:01', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570226393794060290', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-15 09:42:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 09:42:00', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '2', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570226593409376257', '1', 'tofly-flow', 'll', TO_DATE('2022-09-15 09:42:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 09:42:47', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570228834514083841', '1', 'tofly-flow', 'll', TO_DATE('2022-09-15 09:51:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 09:51:42', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570228929053696001', '1', 'tofly-flow', 'll', TO_DATE('2022-09-15 09:52:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 09:52:04', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570228929716396034', '1', 'tofly-flow', 'll', TO_DATE('2022-09-15 09:52:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 09:52:04', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570229055969140738', '1', 'tofly-flow', 'll', TO_DATE('2022-09-15 09:52:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 09:52:35', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570229358516871169', '1', 'tofly-flow', 'll', TO_DATE('2022-09-15 09:53:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 09:53:47', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570229359007604737', '1', 'tofly-flow', 'll', TO_DATE('2022-09-15 09:53:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 09:53:47', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '2', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570229718295879682', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-15 09:55:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 09:55:12', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570229917705674754', '0', 'tofly-flow', 'yj', TO_DATE('2022-09-15 09:56:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 09:56:00', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcalendaryearp/saveCalendarAll', 'POST', '{}', '178', NULL, '### Error updating database.  Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys004)

### The error may exist in com/tofly/workflow/baseconf/mapper/TfCalendarPMapper.java (best guess)
### The error may involve com.tofly.workflow.baseconf.mapper.TfCalendarPMapper.insert-Inline
### The error occurred while setting parameters
### SQL: INSERT INTO TF_CALENDAR_P  ( id, year_id, data_time, type,   CREATE_USER, CREATE_TIME, UPDATE_USER, UPDATE_TIME )  VALUES  ( ?, ?, ?, ?,   ?, ?, ?, ? )
### Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys004)

; ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys004)
; nested exception is java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys004)', 'content:新增日历年日期相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570230832508542977', '1', 'tofly-flow', 'll', TO_DATE('2022-09-15 09:59:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 09:59:38', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570230833137688577', '1', 'tofly-flow', 'll', TO_DATE('2022-09-15 09:59:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 09:59:38', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570230833976549378', '1', 'tofly-flow', 'll', TO_DATE('2022-09-15 09:59:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 09:59:38', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570231220481662978', '1', 'tofly-flow', 'll', TO_DATE('2022-09-15 10:01:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 10:01:11', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570231221110808578', '1', 'tofly-flow', 'll', TO_DATE('2022-09-15 10:01:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 10:01:11', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570231251859251201', '1', 'tofly-flow', 'll', TO_DATE('2022-09-15 10:01:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 10:01:18', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '0', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570231252459036674', '1', 'tofly-flow', 'll', TO_DATE('2022-09-15 10:01:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 10:01:18', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570231315184852993', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-15 10:01:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 10:01:33', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprocessconfigl/1569613105131102209', 'GET', '{}', '30', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570231315302293506', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-15 10:01:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 10:01:33', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprocessl/1569616564261691393', 'GET', '{}', '58', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570231509544706050', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-15 10:02:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 10:02:20', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570231650901139457', '1', 'tofly-flow', 'll', TO_DATE('2022-09-15 10:02:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 10:02:53', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570231651941326850', '1', 'tofly-flow', 'll', TO_DATE('2022-09-15 10:02:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 10:02:53', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570231741766541314', '1', 'tofly-flow', 'll', TO_DATE('2022-09-15 10:03:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 10:03:15', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '18', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570231742307606530', '1', 'tofly-flow', 'll', TO_DATE('2022-09-15 10:03:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 10:03:15', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '19', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570231748179632130', '1', 'tofly-flow', 'll', TO_DATE('2022-09-15 10:03:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 10:03:16', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570231749509226497', '1', 'tofly-flow', 'll', TO_DATE('2022-09-15 10:03:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 10:03:17', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570232288611508225', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-15 10:05:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 10:05:25', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570232451878985729', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-15 10:06:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 10:06:04', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570232482124111873', '1', 'tofly-flow', 'll', TO_DATE('2022-09-15 10:06:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 10:06:11', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570232510645379073', '1', 'tofly-flow', 'll', TO_DATE('2022-09-15 10:06:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 10:06:18', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570315991505293314', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 15:38:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 15:38:02', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl', 'POST', '{}', '5', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570316252692992002', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 15:39:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 15:39:04', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl', 'POST', '{}', '3', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570316382108241921', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 15:39:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 15:39:35', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl', 'POST', '{}', '3', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570316402815520769', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 15:39:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 15:39:40', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl', 'POST', '{}', '20', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570316403243339778', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 15:39:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 15:39:40', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570316427138289666', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 15:39:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 15:39:45', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/1570311339132964866', 'GET', '{"id":["1570311339132964866"]}', '20', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570316427670966273', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 15:39:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 15:39:46', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570316428224614402', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 15:39:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 15:39:46', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570316445719056386', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 15:39:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 15:39:50', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl', 'POST', '{}', '22', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570316446302064642', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 15:39:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 15:39:50', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570316509136932865', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 15:40:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 15:40:05', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570316509380202497', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 15:40:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 15:40:05', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570316521233305601', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 15:40:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 15:40:08', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/1570311339132964866', 'GET', '{"id":["1570311339132964866"]}', '18', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570316521732427778', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 15:40:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 15:40:08', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570316522277687297', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 15:40:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 15:40:08', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570317005130158082', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 15:42:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 15:42:03', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570317005398593538', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 15:42:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 15:42:03', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570317011933319169', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 15:42:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 15:42:05', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/1570311339132964866', 'GET', '{"id":["1570311339132964866"]}', '26', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570317012465995777', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 15:42:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 15:42:05', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570317013028032513', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 15:42:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 15:42:05', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570318325471891458', '1', 'tofly-flow', 'll', TO_DATE('2022-09-15 15:47:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 15:47:18', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570336618614214657', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-15 16:59:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 16:59:59', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570336626109435906', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-15 17:00:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 17:00:01', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570336742232936449', '0', 'tofly-flow', 'yj', TO_DATE('2022-09-15 17:00:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 17:00:29', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcalendaryearp/saveCalendarAll', 'POST', '{}', '64', NULL, '工作日应用日历列表为空，请重新输入', 'content:新增日历年日期相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570336761451237377', '0', 'tofly-flow', 'yj', TO_DATE('2022-09-15 17:00:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 17:00:34', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcalendaryearp/saveCalendarAll', 'POST', '{}', '66', NULL, '工作日应用日历列表为空，请重新输入', 'content:新增日历年日期相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570337110270529538', '0', 'tofly-flow', 'yj', TO_DATE('2022-09-15 17:01:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 17:01:57', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcalendaryearp/saveCalendarAll', 'POST', '{}', '65', NULL, '工作日应用日历列表为空，请重新输入', 'content:新增日历年日期相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570337166675529730', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-15 17:02:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 17:02:10', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570337209511956481', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-15 17:02:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 17:02:20', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570714226728108033', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-16 18:00:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 18:00:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570714794909499393', '1', 'tofly-flow', 'll', TO_DATE('2022-09-16 18:02:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 18:02:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570714795261820930', '1', 'tofly-flow', 'll', TO_DATE('2022-09-16 18:02:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 18:02:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570714953051537409', '1', 'tofly-flow', 'll', TO_DATE('2022-09-16 18:03:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 18:03:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1570698804578582529', 'GET', '{"id":["1570698804578582529"]}', '30', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570714953538076673', '1', 'tofly-flow', 'll', TO_DATE('2022-09-16 18:03:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 18:03:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570714954469212161', '1', 'tofly-flow', 'll', TO_DATE('2022-09-16 18:03:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 18:03:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '2', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570715112154071041', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 18:03:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 18:03:59', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570715125663924225', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 18:04:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 18:04:03', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/1570698804578582529', 'GET', '{"id":["1570698804578582529"]}', '31', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570715126704111617', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 18:04:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 18:04:03', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570715127756881921', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 18:04:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 18:04:03', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570715170039660545', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 18:04:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 18:04:13', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570715170320678914', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 18:04:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 18:04:13', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570715177581019137', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 18:04:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 18:04:15', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569152821327564802"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570715177874620418', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 18:04:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 18:04:15', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569613620953292802', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 17:07:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 17:07:03', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569613622308052994', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 17:07:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 17:07:04', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569613669481390082', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 17:07:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 17:07:15', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/1569507482133536769', 'GET', '{"id":["1569507482133536769"]}', '24', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569613670777430018', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 17:07:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 17:07:15', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569613672127995905', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 17:07:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 17:07:16', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569613834342703105', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-13 17:07:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 17:07:54', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.170.172', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569613983123054594', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 17:08:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 17:08:30', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/1569507482133536769', 'GET', '{"id":["1569507482133536769"]}', '24', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569613984557506562', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 17:08:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 17:08:30', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569613985832574978', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 17:08:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 17:08:30', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569613997324967937', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 17:08:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 17:08:33', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/1569613105131102209', 'GET', '{"id":["1569613105131102209"]}', '29', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569613998017028097', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 17:08:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 17:08:33', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569613998830723074', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 17:08:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 17:08:33', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569614104267137025', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-13 17:08:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 17:08:59', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.170.172', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569614222915608578', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-13 17:09:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 17:09:27', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.170.172', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569614439559798785', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-13 17:10:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 17:10:19', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.170.172', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569614457360424962', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-13 17:10:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 17:10:23', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.170.172', NULL, '/tfworkprocessp/deleteByIds', 'DELETE', '{"idList[]":["1569594656185487361","1569595217026846722","1569613197244731393"]}', '54', NULL, NULL, 'content:通过id批量删除工序管理（工序名称）/工程管控管理', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569614594065375234', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-13 17:10:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 17:10:55', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.170.172', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569614628248952834', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-13 17:11:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 17:11:04', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.170.172', NULL, '/tfworkprocessp/deleteByIds', 'DELETE', '{"idList":["1569594656185487361,1569595217026846722,1569613197244731393"]}', '70', NULL, NULL, 'content:通过id批量删除工序管理（工序名称）/工程管控管理', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569614783534669826', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-13 17:11:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 17:11:41', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.170.172', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569614816652894210', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-13 17:11:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 17:11:48', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.170.172', NULL, '/tfworkprocessp/deleteByIds', 'DELETE', '{"ids":["1569594656185487361,1569595217026846722,1569613197244731393"]}', '5', NULL, NULL, 'content:通过id批量删除工序管理（工序名称）/工程管控管理', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569614816929718273', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-13 17:11:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 17:11:49', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.170.172', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '2', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569614898546679809', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-13 17:12:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 17:12:08', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.170.172', NULL, '/tfworkprocessp', 'POST', '{}', '4', NULL, NULL, 'content:新增工序管理（工序名称）/工程管控管理', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569614898798338049', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-13 17:12:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 17:12:08', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.170.172', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569615108219936770', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 17:12:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 17:12:58', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569615112082890753', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 17:12:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 17:12:59', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"content":[""]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569615122778365954', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 17:13:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 17:13:01', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/1569613105131102209', 'GET', '{"id":["1569613105131102209"]}', '29', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569615124015685634', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 17:13:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 17:13:02', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569615125424971778', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 17:13:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 17:13:02', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569615663935856641', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 17:15:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 17:15:10', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569615664292372481', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 17:15:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 17:15:11', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569615671489798146', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 17:15:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 17:15:12', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/1569613105131102209', 'GET', '{"id":["1569613105131102209"]}', '26', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569615672831975425', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 17:15:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 17:15:13', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569615674211901441', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 17:15:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 17:15:13', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569615751793942530', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-13 17:15:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 17:15:31', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.170.172', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569615887488065538', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 17:16:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 17:16:04', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"content":[""]}', '17', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569615887966216193', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 17:16:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 17:16:04', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569615902042300417', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 17:16:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 17:16:07', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/1569613105131102209', 'GET', '{"id":["1569613105131102209"]}', '26', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569615903258648578', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 17:16:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 17:16:08', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569615904495968257', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 17:16:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 17:16:08', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569615976948375554', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-13 17:16:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 17:16:25', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.170.172', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569615994044358657', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-13 17:16:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 17:16:29', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.170.172', NULL, '/tfworkprocessp/1569614898479599617', 'DELETE', '{}', '4', NULL, NULL, 'content:通过id删除工序管理（工序名称）/工程管控管理', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569616028282462210', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-13 17:16:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 17:16:37', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.170.172', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569840250887938049', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-14 08:07:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 08:07:36', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprocessl/1569616564261691393', 'GET', '{}', '14', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569840250913103873', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-14 08:07:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 08:07:36', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfregionp/page', 'GET', '{"tenantId":["1"],"current":["1"],"size":["10000"],"isDel":["0"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569840790552256513', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-14 08:09:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 08:09:45', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '294', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569840799020556289', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-14 08:09:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 08:09:47', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprocessl/page', 'GET', '{"tenantId":[""],"current":["1"],"size":["1000"]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569869282220253186', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 10:02:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 10:02:58', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/1569660763252559873', 'GET', '{"id":["1569660763252559873"]}', '28', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569869283352715265', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 10:02:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 10:02:58', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569869284682309633', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 10:02:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 10:02:58', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569869380564099074', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 10:03:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 10:03:21', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/1569660763252559873', 'GET', '{"id":["1569660763252559873"]}', '27', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569869381742698498', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 10:03:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 10:03:22', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569869383072292866', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 10:03:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 10:03:22', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569869401493676034', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 10:03:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 10:03:26', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/1569660763252559873', 'GET', '{"id":["1569660763252559873"]}', '28', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569869402106044418', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 10:03:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 10:03:26', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569869402932322305', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 10:03:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 10:03:27', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569869428744069121', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 10:03:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 10:03:33', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"content":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569869429150916610', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 10:03:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 10:03:33', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"content":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569869442153259010', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 10:03:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 10:03:36', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/1569660763252559873', 'GET', '{"id":["1569660763252559873"]}', '23', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569869443428327426', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 10:03:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 10:03:36', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569869444602732546', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 10:03:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 10:03:37', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569869552123715586', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 10:04:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 10:04:02', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/1569660763252559873', 'GET', '{"id":["1569660763252559873"]}', '25', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569869553373618178', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 10:04:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 10:04:02', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569869554606743554', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 10:04:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 10:04:03', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569869576790417409', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 10:04:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 10:04:08', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/1569660763252559873', 'GET', '{"id":["1569660763252559873"]}', '23', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569869578111623169', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 10:04:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 10:04:08', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569869579512520705', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 10:04:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 10:04:09', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569869592972042241', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 10:04:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 10:04:12', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/1569660763252559873', 'GET', '{"id":["1569660763252559873"]}', '20', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569869593714434049', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 10:04:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 10:04:12', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569869594461020162', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 10:04:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 10:04:12', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569869601826217985', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 10:04:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 10:04:14', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl', 'POST', '{}', '20', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569869602652495874', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 10:04:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 10:04:14', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"content":[""]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569870236579602434', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 10:06:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 10:06:45', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/1569660763252559873', 'GET', '{"id":["1569660763252559873"]}', '24', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569870237896613890', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 10:06:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 10:06:46', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569870239201042434', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 10:06:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 10:06:46', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569872856199274497', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 10:17:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 10:17:10', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/1569660763252559873', 'GET', '{"id":["1569660763252559873"]}', '27', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569872857419816962', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 10:17:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 10:17:10', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569872858631970818', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 10:17:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 10:17:10', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569872986218504194', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 10:17:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 10:17:41', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"content":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569872986663100417', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 10:17:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 10:17:41', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"content":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569873009555611650', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 10:17:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 10:17:46', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/1569660763252559873', 'GET', '{"id":["1569660763252559873"]}', '20', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569873010931343362', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 10:17:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 10:17:47', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569873012298686465', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 10:17:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 10:17:47', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569873180574162945', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 10:18:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 10:18:27', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl', 'POST', '{}', '25', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569873181249445890', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 10:18:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 10:18:27', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"content":[""]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569873187536707586', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 10:18:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 10:18:29', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/1569660763252559873', 'GET', '{"id":["1569660763252559873"]}', '32', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569853731112558593', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 09:01:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 09:01:10', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"content":[""]}', '18', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569853731460685826', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 09:01:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 09:01:10', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"content":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569853741560569858', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 09:01:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 09:01:13', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/1569660763252559873', 'GET', '{"id":["1569660763252559873"]}', '29', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569853742869192706', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 09:01:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 09:01:13', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569853744173621249', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 09:01:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 09:01:13', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569854018925699074', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-14 09:02:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 09:02:19', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '285', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569854026701938689', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-14 09:02:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 09:02:21', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprocessl/page', 'GET', '{"tenantId":[""],"current":["1"],"size":["1000"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569854166770720769', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-14 09:02:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 09:02:54', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '299', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569854178950979586', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-14 09:02:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 09:02:57', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprocessl/page', 'GET', '{"tenantId":[""],"current":["1"],"size":["1000"]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569856381262569473', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-14 09:11:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 09:11:42', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprocessl/1569616564261691393', 'GET', '{}', '14', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569856865755013122', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-14 09:13:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 09:13:37', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprocessl/1569616564261691393', 'GET', '{}', '13', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569856865880842241', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-14 09:13:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 09:13:38', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprocessconfigl/1569613105131102209', 'GET', '{}', '45', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569857514760642562', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-14 09:16:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 09:16:12', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprocessconfigl/1569613105131102209', 'GET', '{}', '38', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570233093343256577', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-15 10:08:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 10:08:37', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '1', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570233212964806658', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-15 10:09:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 10:09:06', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprocessconfigl/1569613105131102209', 'GET', '{}', '40', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570233212981583874', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-15 10:09:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 10:09:06', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprocessl/1569616564261691393', 'GET', '{}', '49', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570233244719882241', '1', 'tofly-flow', 'll', TO_DATE('2022-09-15 10:09:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 10:09:13', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570233274918871042', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-15 10:09:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 10:09:20', 'SYYYY-MM-DD HH24:MI:SS'), '61.157.29.47', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '26', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570233275162140674', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-15 10:09:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 10:09:20', 'SYYYY-MM-DD HH24:MI:SS'), '61.157.29.47', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570233291075330050', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-15 10:09:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 10:09:24', 'SYYYY-MM-DD HH24:MI:SS'), '61.157.29.47', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570233318199894018', '1', 'tofly-flow', 'll', TO_DATE('2022-09-15 10:09:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 10:09:31', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570236691456303106', '1', 'tofly-flow', 'll', TO_DATE('2022-09-15 10:22:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 10:22:55', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570236691968008194', '1', 'tofly-flow', 'll', TO_DATE('2022-09-15 10:22:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 10:22:55', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570236692806868993', '1', 'tofly-flow', 'll', TO_DATE('2022-09-15 10:22:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 10:22:55', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570236795437293569', '1', 'tofly-flow', 'll', TO_DATE('2022-09-15 10:23:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 10:23:20', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570236795915444226', '1', 'tofly-flow', 'll', TO_DATE('2022-09-15 10:23:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 10:23:20', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570236803947536386', '1', 'tofly-flow', 'll', TO_DATE('2022-09-15 10:23:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 10:23:22', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570236805327462401', '1', 'tofly-flow', 'll', TO_DATE('2022-09-15 10:23:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 10:23:22', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570237048513208321', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-15 10:24:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 10:24:20', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprocessl/1569616564261691393', 'GET', '{}', '14', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570237243783225346', '1', 'tofly-flow', 'll', TO_DATE('2022-09-15 10:25:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 10:25:07', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570237244424953857', '1', 'tofly-flow', 'll', TO_DATE('2022-09-15 10:25:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 10:25:07', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570237245288980481', '1', 'tofly-flow', 'll', TO_DATE('2022-09-15 10:25:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 10:25:07', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570237280869261314', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 10:25:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 10:25:16', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570237280890232834', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 10:25:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 10:25:16', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '2', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570247089471463426', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-15 11:04:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 11:04:14', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprocessconfigl/1569613105131102209', 'GET', '{}', '55', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570247089794424834', '0', 'tofly-flow', 'admin', TO_DATE('2022-09-15 11:04:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 11:04:14', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprocessl/1569616564261691393', 'GET', '{}', '135', NULL, 'Package cn.hutool.core.map has already been defined but it could not be found', 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570247308565127169', '0', 'tofly-flow', 'admin', TO_DATE('2022-09-15 11:05:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 11:05:06', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprocessl/1569616564261691393', 'GET', '{}', '84', NULL, 'Package cn.hutool.core.map has already been defined but it could not be found', 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570248247850147841', '0', 'tofly-flow', 'admin', TO_DATE('2022-09-15 11:08:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 11:08:50', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprocessl/1569616564261691393', 'GET', '{}', '84', NULL, 'Package cn.hutool.core.map has already been defined but it could not be found', 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570255727804129281', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 11:38:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 11:38:34', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '301', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570263776233103361', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-15 12:10:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 12:10:33', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprojectprocessp/list', 'GET', '{"nature":[""],"updateUser":[""],"remark":[""],"updateTime":[""],"posts":[""],"createTime":[""],"processId":[""],"tenantId":[""],"createUser":[""],"id":[""],"isForce":[""],"isDel":[""]}', '5', NULL, NULL, 'content:列表查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570264505366716418', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-15 12:13:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 12:13:26', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprocessl/1569616564261691393', 'GET', '{}', '36', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570237519583879169', '1', 'tofly-flow', 'll', TO_DATE('2022-09-15 10:26:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 10:26:12', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570237520334659586', '1', 'tofly-flow', 'll', TO_DATE('2022-09-15 10:26:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 10:26:13', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570237520724729857', '1', 'tofly-flow', 'll', TO_DATE('2022-09-15 10:26:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 10:26:13', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570238841519448065', '1', 'tofly-flow', 'll', TO_DATE('2022-09-15 10:31:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 10:31:28', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570238842345725953', '1', 'tofly-flow', 'll', TO_DATE('2022-09-15 10:31:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 10:31:28', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570238842731601921', '1', 'tofly-flow', 'll', TO_DATE('2022-09-15 10:31:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 10:31:28', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570240407165050881', '1', 'tofly-flow', 'll', TO_DATE('2022-09-15 10:37:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 10:37:41', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl', 'POST', '{}', '188', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570240407999717377', '1', 'tofly-flow', 'll', TO_DATE('2022-09-15 10:37:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 10:37:41', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '21', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570715178914807809', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 18:04:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 18:04:15', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570715186728796162', '1', 'tofly-flow', 'll', TO_DATE('2022-09-16 18:04:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 18:04:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570715187353747457', '1', 'tofly-flow', 'll', TO_DATE('2022-09-16 18:04:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 18:04:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570715188351991810', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 18:04:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 18:04:18', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/1570698804578582529', 'GET', '{"id":["1570698804578582529"]}', '32', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570715188855308290', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 18:04:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 18:04:18', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":["1569152821327564802"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570715189048246273', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 18:04:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 18:04:18', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570715189983576066', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 18:04:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 18:04:18', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570715201484357633', '1', 'tofly-flow', 'll', TO_DATE('2022-09-16 18:04:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 18:04:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570715201819901953', '1', 'tofly-flow', 'll', TO_DATE('2022-09-16 18:04:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 18:04:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570715327032459266', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-16 18:04:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 18:04:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570715484130115585', '1', 'tofly-flow', 'll', TO_DATE('2022-09-16 18:05:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 18:05:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570715484331442178', '1', 'tofly-flow', 'll', TO_DATE('2022-09-16 18:05:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 18:05:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570715527419527169', '1', 'tofly-flow', 'll', TO_DATE('2022-09-16 18:05:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 18:05:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":["1"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570715528262582274', '1', 'tofly-flow', 'll', TO_DATE('2022-09-16 18:05:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 18:05:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570715542238003201', '1', 'tofly-flow', 'll', TO_DATE('2022-09-16 18:05:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 18:05:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1570698804578582529', 'GET', '{"id":["1570698804578582529"]}', '30', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570715542611296257', '1', 'tofly-flow', 'll', TO_DATE('2022-09-16 18:05:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 18:05:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570715543412408321', '1', 'tofly-flow', 'll', TO_DATE('2022-09-16 18:05:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 18:05:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570715585569357825', '1', 'tofly-flow', 'll', TO_DATE('2022-09-16 18:05:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 18:05:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570715585749712898', '1', 'tofly-flow', 'll', TO_DATE('2022-09-16 18:05:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 18:05:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570715594369007617', '1', 'tofly-flow', 'll', TO_DATE('2022-09-16 18:05:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 18:05:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1570698804578582529', 'GET', '{"id":["1570698804578582529"]}', '31', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570715594725523457', '1', 'tofly-flow', 'll', TO_DATE('2022-09-16 18:05:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 18:05:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570715595618910209', '1', 'tofly-flow', 'll', TO_DATE('2022-09-16 18:05:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 18:05:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '2', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570721236857126914', '1', 'tofly-flow', 'll', TO_DATE('2022-09-16 18:28:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 18:28:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl', 'POST', '{}', '34', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570721237419163650', '1', 'tofly-flow', 'll', TO_DATE('2022-09-16 18:28:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 18:28:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570721250283094017', '1', 'tofly-flow', 'll', TO_DATE('2022-09-16 18:28:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 18:28:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1570698804578582529', 'GET', '{"id":["1570698804578582529"]}', '43', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570721250861907970', '1', 'tofly-flow', 'll', TO_DATE('2022-09-16 18:28:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 18:28:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570721252149559298', '1', 'tofly-flow', 'll', TO_DATE('2022-09-16 18:28:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 18:28:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570721313189265410', '1', 'tofly-flow', 'll', TO_DATE('2022-09-16 18:28:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 18:28:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570721313365426178', '1', 'tofly-flow', 'll', TO_DATE('2022-09-16 18:28:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 18:28:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570721323482087425', '1', 'tofly-flow', 'll', TO_DATE('2022-09-16 18:28:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 18:28:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1570698804578582529', 'GET', '{"id":["1570698804578582529"]}', '38', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570721323855380481', '1', 'tofly-flow', 'll', TO_DATE('2022-09-16 18:28:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 18:28:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570721324652298241', '1', 'tofly-flow', 'll', TO_DATE('2022-09-16 18:28:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 18:28:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570721339344945153', '1', 'tofly-flow', 'll', TO_DATE('2022-09-16 18:28:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 18:28:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl', 'POST', '{}', '18', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570721339768569858', '1', 'tofly-flow', 'll', TO_DATE('2022-09-16 18:28:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 18:28:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569613220885536769', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-13 17:05:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 17:05:28', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessconfigl/page', 'GET', '{"hitCount":[""],"optimizeCountSql":[""],"records":[""],"isValid":[""],"searchCount":[""],"content":[""],"current":[""],"total":[""],"size":[""],"orders[0].asc":[""],"tenantId":[""],"orders[0].column":[""],"processType":[""],"businessType":[""],"isDel":[""],"isMould":[""]}', '233', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569616104174198785', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-13 17:16:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 17:16:55', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.170.172', NULL, '/tfworkprocessp', 'POST', '{}', '3', NULL, NULL, 'content:新增工序管理（工序名称）/工程管控管理', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569616104417468417', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-13 17:16:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 17:16:56', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.170.172', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569616257341792257', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 17:17:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 17:17:32', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"content":[""]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569616257765416962', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 17:17:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 17:17:32', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"content":[""]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569616264845402114', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 17:17:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 17:17:34', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/1569613105131102209', 'GET', '{"id":["1569613105131102209"]}', '27', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569616266074333185', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 17:17:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 17:17:34', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569616267487813634', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 17:17:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 17:17:34', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569616284202115073', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 17:17:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 17:17:38', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/1569613105131102209', 'GET', '{"id":["1569613105131102209"]}', '29', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569616284906758145', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 17:17:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 17:17:39', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569616285653344258', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 17:17:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 17:17:39', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569616337889206274', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 17:17:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 17:17:51', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/1569507482133536769', 'GET', '{"id":["1569507482133536769"]}', '26', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569616339143303170', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 17:17:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 17:17:51', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569616340263182337', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 17:17:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 17:17:52', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569616370986459138', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-13 17:17:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 17:17:59', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.170.172', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569616387688177665', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 17:18:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 17:18:03', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/1569613105131102209', 'GET', '{"id":["1569613105131102209"]}', '33', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569616388766113794', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 17:18:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 17:18:03', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569616390125068289', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 17:18:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 17:18:04', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569616405656576001', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 17:18:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 17:18:07', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/1569507482133536769', 'GET', '{"id":["1569507482133536769"]}', '21', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569616406252167169', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 17:18:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 17:18:07', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569616406927450113', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 17:18:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 17:18:08', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569616453329035266', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-13 17:18:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 17:18:19', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.170.172', NULL, '/tfworkprocessp', 'POST', '{}', '3', NULL, NULL, 'content:新增工序管理（工序名称）/工程管控管理', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569616453576499201', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-13 17:18:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 17:18:19', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.170.172', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569616915105128450', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 17:20:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 17:20:09', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/1569507482133536769', 'GET', '{"id":["1569507482133536769"]}', '23', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569617026988187650', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 17:20:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 17:20:35', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569617028330364929', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 17:20:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 17:20:36', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569617051872993281', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 17:20:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 17:20:41', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/1569507482133536769', 'GET', '{"id":["1569507482133536769"]}', '25', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569617274368237569', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 17:21:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 17:21:34', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569617274817028098', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 17:21:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 17:21:35', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"content":[""]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569617286246506498', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 17:21:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 17:21:37', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/1569507482133536769', 'GET', '{"id":["1569507482133536769"]}', '23', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569617287563517954', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 17:21:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 17:21:38', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569617288775671809', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 17:21:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 17:21:38', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569618215209345026', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 17:25:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 17:25:19', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/1569507482133536769', 'GET', '{"id":["1569507482133536769"]}', '24', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569618216568299522', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 17:25:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 17:25:19', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569618217776259074', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 17:25:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 17:25:19', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569621845077467138', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-13 17:39:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 17:39:44', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.170.172', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569622044134940673', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-13 17:40:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 17:40:32', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.170.172', NULL, '/tfworkprocessp', 'POST', '{}', '3', NULL, NULL, 'content:新增工序管理（工序名称）/工程管控管理', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569622044428541953', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-13 17:40:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 17:40:32', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.170.172', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569622406556360706', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-13 17:41:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 17:41:58', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '292', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569622411581136897', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-13 17:41:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 17:41:59', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprocessl/page', 'GET', '{"tenantId":[""],"current":["1"],"size":["1000"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569622521824223234', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-13 17:42:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 17:42:26', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.170.172', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569873188790804481', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 10:18:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 10:18:29', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569873190149758978', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 10:18:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 10:18:30', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569874173600800770', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 10:22:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 10:22:24', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"content":[""]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569874173974093826', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 10:22:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 10:22:24', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"content":[""]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569874894635212802', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 10:25:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 10:25:16', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569874895029477377', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 10:25:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 10:25:16', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"content":[""]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569874923974369281', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 10:25:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 10:25:23', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569874924427354113', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 10:25:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 10:25:23', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"content":[""]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569875440037339138', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-14 10:27:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 10:27:26', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprocessl/1569616564261691393', 'GET', '{}', '11', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569879409119797249', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 10:43:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 10:43:12', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '19', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569879409761525761', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 10:43:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 10:43:12', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '18', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569879773290242049', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 10:44:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 10:44:39', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569879773923581953', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 10:44:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 10:44:39', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569879783788584962', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 10:44:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 10:44:42', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569879784057020417', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 10:44:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 10:44:42', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569879790725963778', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 10:44:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 10:44:43', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569879791141199874', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 10:44:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 10:44:43', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569879840529129474', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 10:44:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 10:44:55', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":["1"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569879841904861185', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 10:44:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 10:44:55', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '2', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569881303695302658', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 10:50:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 10:50:44', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":["1"]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569881304840347649', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 10:50:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 10:50:44', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569882317936730113', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 10:54:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 10:54:46', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569882319236964353', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 10:54:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 10:54:46', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569882487369834497', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 10:55:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 10:55:26', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":["1"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569882488863006722', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 10:55:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 10:55:27', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569882644945641473', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 10:56:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 10:56:04', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":["1"]}', '0', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569882646417842177', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 10:56:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 10:56:04', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569884065501880321', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 11:01:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 11:01:42', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '2', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569884065917116418', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 11:01:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 11:01:43', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569885747136765953', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 11:08:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 11:08:23', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569885747145154562', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 11:08:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 11:08:23', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569922902982729730', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-14 13:36:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 13:36:02', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprocessl/1569616564261691393', 'GET', '{}', '27', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569922903033061378', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-14 13:36:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 13:36:02', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprocessconfigl/1569613105131102209', 'GET', '{}', '40', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570578208389713923', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 08:59:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 08:59:59', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570578257899278337', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 09:00:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 09:00:11', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfbasetypep', 'PUT', '{}', '66', NULL, NULL, 'content:修改基础类型表', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570578258188685314', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 09:00:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 09:00:11', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570578258280960001', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 09:00:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 09:00:11', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570578306725171201', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 09:00:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 09:00:22', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfbasetypep', 'PUT', '{}', '13', NULL, NULL, 'content:修改基础类型表', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570578307094269954', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 09:00:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 09:00:23', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570578365336375299', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 09:00:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 09:00:36', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570578521771331585', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 09:01:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 09:01:14', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfbasetypep', 'PUT', '{}', '24', NULL, NULL, 'content:修改基础类型表', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570578522123653121', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 09:01:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 09:01:14', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570592008568426497', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-16 09:54:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 09:54:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570592214043185153', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-16 09:55:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 09:55:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569938971482988546', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 14:39:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 14:39:53', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":["1"]}', '264', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569938973366231041', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 14:39:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 14:39:53', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '58', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569939119202181121', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 14:40:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 14:40:28', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569939120510803969', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 14:40:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 14:40:29', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '7', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569940009682280450', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 14:44:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 14:44:01', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl', 'POST', '{}', '114', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569940633685663745', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-14 14:46:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 14:46:29', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '124', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569941231638224898', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-14 14:48:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 14:48:52', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '287', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569941238042927106', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-14 14:48:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 14:48:53', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprocessl/page', 'GET', '{"tenantId":[""],"current":["1"],"size":["1000"]}', '56', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569941696312582145', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-14 14:50:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 14:50:43', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprocessconfigl/1569613105131102209', 'GET', '{}', '59', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569941768345559041', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-14 14:51:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 14:51:00', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprocessl/1569616564261691393', 'GET', '{}', '21', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569941913397174274', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 14:51:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 14:51:34', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '19', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569941913875324930', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 14:51:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 14:51:35', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569941920569434114', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 14:51:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 14:51:36', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569941921756422145', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 14:51:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 14:51:36', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569948305159954433', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-14 15:16:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 15:16:58', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569948310163759105', '1', 'tofly-flow', 'lye', TO_DATE('2022-09-14 15:17:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 15:17:00', 'SYYYY-MM-DD HH24:MI:SS'), '117.136.64.93', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '11', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569948825324953602', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-14 15:19:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 15:19:02', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569949120285188098', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-14 15:20:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 15:20:13', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprocessl/1569616564261691393', 'GET', '{}', '16', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569949120436183042', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-14 15:20:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 15:20:13', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprocessconfigl/1569613105131102209', 'GET', '{}', '57', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569949581562159106', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-14 15:22:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 15:22:03', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569950651155816449', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-14 15:26:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 15:26:18', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '298', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569950658164498434', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-14 15:26:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 15:26:19', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprocessl/page', 'GET', '{"tenantId":[""],"current":["1"],"size":["1000"]}', '59', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569950667769454594', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-14 15:26:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 15:26:22', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprocessl/1569616564261691393', 'GET', '{}', '58', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569952075176550401', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 15:31:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 15:31:57', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '18', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569952075575009282', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 15:31:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 15:31:57', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '22', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569952083925868545', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 15:31:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 15:31:59', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/1569660763252559873', 'GET', '{"id":["1569660763252559873"]}', '36', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569952085305794562', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 15:32:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 15:32:00', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569952086597640193', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 15:32:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 15:32:00', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569952098081644545', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 15:32:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 15:32:03', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl', 'POST', '{}', '150', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569952098991808513', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 15:32:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 15:32:03', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '24', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569952321428332546', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-14 15:32:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 15:32:56', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569952594666266626', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 15:34:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 15:34:01', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570257566578614273', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 11:45:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 11:45:52', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfbasetypep', 'POST', '{}', '50', NULL, NULL, 'content:新增基础类型表', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570257567044182017', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 11:45:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 11:45:52', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '7', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570257567195176961', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 11:45:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 11:45:52', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570257647885197313', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 11:46:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 11:46:11', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfbasetypep/1570257566482157570', 'DELETE', '{}', '21', NULL, NULL, 'content:通过id删除基础类型表,有关联数据验证', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570257648195575810', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 11:46:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 11:46:11', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570257729594433537', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 11:46:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 11:46:31', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570258044272091138', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 11:47:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 11:47:46', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfbasetypep', 'PUT', '{}', '45', NULL, NULL, 'content:修改基础类型表', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570258044599246850', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 11:47:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 11:47:46', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570259279117131779', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 11:52:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 11:52:40', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570259375867142146', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 11:53:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 11:53:03', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfbasetypep', 'POST', '{}', '20', NULL, NULL, 'content:新增基础类型表', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570259376294961153', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 11:53:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 11:53:03', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570259405684449282', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 11:53:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 11:53:10', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfbasetypep', 'PUT', '{}', '21', NULL, NULL, 'content:修改基础类型表', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569619127650820097', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-13 17:28:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 17:28:56', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.170.172', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569854547479306241', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 09:04:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 09:04:25', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"content":[""]}', '17', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569854566575972354', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 09:04:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 09:04:29', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/1569660763252559873', 'GET', '{"id":["1569660763252559873"]}', '31', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569854567813292034', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 09:04:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 09:04:30', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569854569289687042', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 09:04:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 09:04:30', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569854627829587970', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 09:04:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 09:04:44', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"content":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569925362505818114', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-14 13:45:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 13:45:48', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfregionp/page', 'GET', '{"tenantId":["1"],"current":["1"],"size":["10000"],"isDel":["0"]}', '26', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569926354274164737', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-14 13:49:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 13:49:45', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '303', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569926359844200449', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-14 13:49:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 13:49:46', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprocessl/page', 'GET', '{"tenantId":[""],"current":["1"],"size":["1000"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569926367914041346', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-14 13:49:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 13:49:48', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprocessl/1569616564261691393', 'GET', '{}', '8', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569926367997927426', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-14 13:49:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 13:49:48', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprocessconfigl/1569613105131102209', 'GET', '{}', '22', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569926490832314370', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-14 13:50:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 13:50:17', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprocessl/1569616564261691393', 'GET', '{}', '8', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569926490912006146', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-14 13:50:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 13:50:17', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprocessconfigl/1569613105131102209', 'GET', '{}', '30', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569928862237270018', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-14 13:59:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 13:59:43', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '2', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569929128231641090', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-14 14:00:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 14:00:46', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '2', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569929384545558530', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-14 14:01:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 14:01:47', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '2', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569929488744652802', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-14 14:02:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 14:02:12', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '2', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569929562753146881', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-14 14:02:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 14:02:30', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '1', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569929617350402049', '1', 'tofly-flow', 'lye', TO_DATE('2022-09-14 14:02:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 14:02:43', 'SYYYY-MM-DD HH24:MI:SS'), '117.136.64.93', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569929617534951426', '1', 'tofly-flow', 'lye', TO_DATE('2022-09-14 14:02:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 14:02:43', 'SYYYY-MM-DD HH24:MI:SS'), '117.136.64.93', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569929832589500418', '2', 'tofly-auth', 'rq', TO_DATE('2022-09-14 14:03:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 14:03:34', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/token/a8ce4be0-6598-484a-a3af-227fe81e6045', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569930030443208705', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 14:04:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 14:04:21', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569930620321734657', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 14:06:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 14:06:42', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569930620627918849', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 14:06:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 14:06:42', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '2', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569930661451079682', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 14:06:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 14:06:52', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569930661476245506', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 14:06:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 14:06:52', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569930668031942658', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 14:06:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 14:06:53', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569930668472344578', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 14:06:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 14:06:53', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569930675292282882', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 14:06:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 14:06:55', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/1569660763252559873', 'GET', '{"id":["1569660763252559873"]}', '21', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569930676533796866', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 14:06:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 14:06:55', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569930677561401345', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 14:06:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 14:06:56', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '2', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569930867802447873', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-14 14:07:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 14:07:41', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '1', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569930874693689345', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 14:07:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 14:07:43', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '2', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569930874991484930', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 14:07:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 14:07:43', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '2', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569930895665209345', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 14:07:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 14:07:48', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569930897254850562', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 14:07:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 14:07:48', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '12', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569930958357471234', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-14 14:08:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 14:08:03', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '2', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569932876999892993', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-14 14:15:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 14:15:40', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '2', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569932989331742721', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-14 14:16:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 14:16:07', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '1', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569933024064774146', '2', 'tofly-auth', 'rq', TO_DATE('2022-09-14 14:16:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 14:16:15', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/token/a8ce4be0-6598-484a-a3af-227fe81e6045', 'DELETE', '{}', '1', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569933261261053953', '2', 'tofly-auth', 'rq', TO_DATE('2022-09-14 14:17:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 14:17:12', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/token/a8ce4be0-6598-484a-a3af-227fe81e6045', 'DELETE', '{}', '1', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569935089402978307', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 14:24:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 14:24:27', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569935095027539969', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 14:24:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 14:24:29', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '2', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569935095438581761', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 14:24:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 14:24:29', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569622535522820097', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-13 17:42:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 17:42:29', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.170.172', NULL, '/tfworkprocessp/deleteByIds', 'DELETE', '{"ids":["1569622044063666178"]}', '5', NULL, NULL, 'content:通过id批量删除工序管理（工序名称）/工程管控管理', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569622535724146689', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-13 17:42:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 17:42:29', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.170.172', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569622555605147649', '0', 'tofly-flow', 'yj', TO_DATE('2022-09-13 17:42:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 17:42:34', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.170.172', NULL, '/tfworkprocessp', 'PUT', '{}', '90', NULL, 'nested exception is org.apache.ibatis.type.TypeException: Could not set parameters for mapping: ParameterMapping{property=''et.id'', mode=IN, javaType=class java.lang.Object, jdbcType=null, numericScale=null, resultMapId=''null'', jdbcTypeName=''null'', expression=''null''}. Cause: org.apache.ibatis.type.TypeException: Error setting null for parameter #5 with JdbcType OTHER . Try setting a different JdbcType for this parameter or a different jdbcTypeForNull configuration property. Cause: java.sql.SQLException: 无效的列类型: 1111', 'content:修改工序管理（工序名称）/工程管控管理', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569622757552496642', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-13 17:43:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 17:43:22', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '297', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569622765152575489', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-13 17:43:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 17:43:24', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprocessl/page', 'GET', '{"tenantId":[""],"current":["1"],"size":["1000"]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569624128309764097', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-13 17:48:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 17:48:49', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.170.172', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569624149826543618', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-13 17:48:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 17:48:54', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.170.172', NULL, '/tfworkprocessp', 'PUT', '{}', '5', NULL, NULL, 'content:修改工序管理（工序名称）/工程管控管理', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569624150074007553', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-13 17:48:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 17:48:54', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.170.172', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569648495106269185', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-13 19:25:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 19:25:38', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprocessl/1569616564261691393', 'GET', '{}', '9', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569648546482298882', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-13 19:25:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 19:25:50', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprocessconfigl/1569613105131102209', 'GET', '{}', '27', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569648566703038465', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-13 19:25:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 19:25:55', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprocessconfigl/1569613105131102209', 'GET', '{}', '32', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569649023987032065', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-13 19:27:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 19:27:44', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprocessl/1569616564261691393', 'GET', '{}', '12', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569840237600382977', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-14 08:07:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 08:07:33', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '289', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569840243573071874', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-14 08:07:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 08:07:34', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprocessl/page', 'GET', '{"tenantId":[""],"current":["1"],"size":["1000"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569840251038932994', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-14 08:07:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 08:07:36', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprocessconfigl/1569613105131102209', 'GET', '{}', '38', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569902291782803457', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-14 12:14:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 12:14:08', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '304', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569902299215110145', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-14 12:14:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 12:14:10', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprocessl/page', 'GET', '{"tenantId":[""],"current":["1"],"size":["1000"]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569902306836160514', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-14 12:14:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 12:14:11', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprocessl/1569616564261691393', 'GET', '{}', '9', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569969125349466113', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-14 16:39:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 16:39:42', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '28', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569969137324204033', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-14 16:39:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 16:39:45', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569969239510032385', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-14 16:40:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 16:40:09', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprocessl/1569616564261691393', 'GET', '{}', '19', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569969239816216577', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-14 16:40:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 16:40:10', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprocessconfigl/1569613105131102209', 'GET', '{}', '77', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569969270392692738', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-14 16:40:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 16:40:17', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '307', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569969277166493697', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-14 16:40:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 16:40:18', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprocessl/page', 'GET', '{"tenantId":[""],"current":["1"],"size":["1000"]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569970831986597890', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-14 16:46:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 16:46:29', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '17', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569971086824120321', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-14 16:47:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 16:47:30', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569971572285448194', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-14 16:49:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 16:49:26', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcalendaryearp/saveCalendarAll', 'POST', '{}', '11', NULL, NULL, 'content:新增日历年日期相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569971572885233666', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-14 16:49:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 16:49:26', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '19', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569972040566906882', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-14 16:51:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 16:51:17', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '21', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569973148215484418', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-14 16:55:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 16:55:41', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcalendaryearp/1569965216803332098', 'DELETE', '{}', '4', NULL, NULL, 'content:通过id删除日历年', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569973148559417346', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-14 16:55:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 16:55:41', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569973201894187010', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-14 16:55:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 16:55:54', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcalendaryearp/saveCalendarAll', 'POST', '{}', '16', NULL, NULL, 'content:新增日历年日期相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569973202250702849', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-14 16:55:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 16:55:54', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569973224459542529', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-14 16:56:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 16:56:00', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcalendaryearp/deleteByIds', 'DELETE', '{"idList":["1569973201785069569,1569971572193107969"]}', '51', NULL, NULL, 'content:通过id批量删除日历年', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569973446728294401', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-14 16:56:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 16:56:53', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569973464042381313', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-14 16:56:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 16:56:57', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcalendaryearp/deleteByIds', 'DELETE', '{"ids":["1569973201785069569,1569971572193107969"]}', '5', NULL, NULL, 'content:通过id批量删除日历年', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569973464281456641', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-14 16:56:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 16:56:57', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569975073401020418', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-14 17:03:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 17:03:20', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcalendaryearp/page', 'GET', '{"current":["1"],"size":["30"],"yearName":["2022"]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569975085472227329', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-14 17:03:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 17:03:23', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcalendaryearp/page', 'GET', '{"current":["1"],"size":["30"],"yearName":["2021"]}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569975104124297218', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-14 17:03:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 17:03:28', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcalendaryearp/page', 'GET', '{"current":["1"],"size":["30"],"yearName":["2022"]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569856381388398594', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-14 09:11:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 09:11:42', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfregionp/page', 'GET', '{"tenantId":["1"],"current":["1"],"size":["10000"],"isDel":["0"]}', '31', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569857147981340673', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-14 09:14:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 09:14:45', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprocessl/1569616564261691393', 'GET', '{}', '13', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569859197989363714', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 09:22:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 09:22:54', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"content":[""]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569859198392016898', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 09:22:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 09:22:54', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"content":[""]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569859217459322881', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 09:22:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 09:22:58', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/1569660763252559873', 'GET', '{"id":["1569660763252559873"]}', '26', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569859218818277377', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 09:22:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 09:22:58', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569859220181426178', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 09:22:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 09:22:59', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569860670794047489', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 09:28:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 09:28:45', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/1569660763252559873', 'GET', '{"id":["1569660763252559873"]}', '23', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569860672031367170', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 09:28:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 09:28:45', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569860673394515970', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 09:28:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 09:28:45', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569860704012935169', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 09:28:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 09:28:53', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/1569660763252559873', 'GET', '{"id":["1569660763252559873"]}', '23', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569860705539661826', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 09:28:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 09:28:53', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569860706915393537', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 09:28:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 09:28:53', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570009148702695425', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 19:18:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 19:18:45', 'SYYYY-MM-DD HH24:MI:SS'), '222.212.28.75', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '738', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570392331516497921', '1', 'tofly-flow', 'tmx', TO_DATE('2022-09-15 20:41:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 20:41:22', 'SYYYY-MM-DD HH24:MI:SS'), '171.217.183.40', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570392331952705538', '1', 'tofly-flow', 'tmx', TO_DATE('2022-09-15 20:41:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 20:41:23', 'SYYYY-MM-DD HH24:MI:SS'), '171.217.183.40', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '17', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570392711252004865', '1', 'tofly-flow', 'tmx', TO_DATE('2022-09-15 20:42:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 20:42:53', 'SYYYY-MM-DD HH24:MI:SS'), '171.217.183.40', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '17', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570392711499468801', '1', 'tofly-flow', 'tmx', TO_DATE('2022-09-15 20:42:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 20:42:53', 'SYYYY-MM-DD HH24:MI:SS'), '171.217.183.40', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570392721892954114', '1', 'tofly-flow', 'tmx', TO_DATE('2022-09-15 20:42:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 20:42:56', 'SYYYY-MM-DD HH24:MI:SS'), '171.217.183.40', NULL, '/tfprocessconfigl/1570311339132964866', 'GET', '{"id":["1570311339132964866"]}', '45', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570392722513711105', '1', 'tofly-flow', 'tmx', TO_DATE('2022-09-15 20:42:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 20:42:56', 'SYYYY-MM-DD HH24:MI:SS'), '171.217.183.40', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570392723084136450', '1', 'tofly-flow', 'tmx', TO_DATE('2022-09-15 20:42:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 20:42:56', 'SYYYY-MM-DD HH24:MI:SS'), '171.217.183.40', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570393794208714754', '1', 'tofly-flow', 'll', TO_DATE('2022-09-15 20:47:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 20:47:11', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570393794498121730', '1', 'tofly-flow', 'll', TO_DATE('2022-09-15 20:47:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 20:47:11', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570393803226468353', '1', 'tofly-flow', 'll', TO_DATE('2022-09-15 20:47:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 20:47:13', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570393803721396225', '1', 'tofly-flow', 'll', TO_DATE('2022-09-15 20:47:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 20:47:13', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570393804824498178', '1', 'tofly-flow', 'll', TO_DATE('2022-09-15 20:47:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 20:47:14', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570593148848689153', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-16 09:59:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 09:59:21', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.167.115', NULL, '/tfprocessl/page', 'GET', '{"tenantId":[""],"current":["1"],"size":["1000"]}', '22', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570593161872003073', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-16 09:59:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 09:59:24', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.167.115', NULL, '/tfprocessconfigl/1569613105131102209', 'GET', '{}', '37', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570593161943306241', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-16 09:59:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 09:59:24', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.167.115', NULL, '/tfprocessl/1569616564261691393', 'GET', '{}', '67', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570593170000564226', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-16 09:59:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 09:59:26', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.167.115', NULL, '/tfprojectprocessp/list', 'GET', '{"tenantId":["1"],"nature":["1559424501707382785"]}', '15', NULL, NULL, 'content:列表查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570682675579682818', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 15:55:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 15:55:06', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570682685864116226', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 15:55:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 15:55:08', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/1570682054776553474', 'GET', '{"id":["1570682054776553474"]}', '32', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570682686627479554', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 15:55:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 15:55:09', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570682687676055553', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 15:55:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 15:55:09', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570682708853096449', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 15:55:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 15:55:14', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/1570606305243660289', 'GET', '{"id":["1570606305243660289"]}', '27', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570682709448687618', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 15:55:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 15:55:14', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570682710358851586', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 15:55:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 15:55:14', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '2', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570684072446492674', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 16:00:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 16:00:39', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":["1569152821327564802"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570684080843489282', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 16:00:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 16:00:41', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '2', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570684089945128962', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 16:00:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 16:00:43', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570684090494582785', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 16:00:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 16:00:43', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570684095611633665', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 16:00:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 16:00:44', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569952568271511553', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 15:33:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 15:33:55', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '19', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569952568950988801', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 15:33:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 15:33:55', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569952573933821954', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 15:33:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 15:33:56', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/1569613105131102209', 'GET', '{"id":["1569613105131102209"]}', '41', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569952575389245441', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 15:33:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 15:33:56', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569952576706256898', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 15:33:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 15:33:57', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569952593290534914', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 15:34:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 15:34:01', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/1569660763252559873', 'GET', '{"id":["1569660763252559873"]}', '30', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569952594225864706', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 15:34:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 15:34:01', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569952595089891329', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 15:34:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 15:34:01', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569952961831444482', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-14 15:35:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 15:35:29', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569953183361998849', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-14 15:36:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 15:36:21', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569953304208285697', '0', 'tofly-flow', 'yj', TO_DATE('2022-09-14 15:36:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 15:36:50', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcalendaryearp/saveCalendarAll', 'POST', '{}', '156', NULL, '### Error updating database.  Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-01400: 无法将 NULL 插入 ("TF_ZMRQ_LC"."TF_CALENDAR_YEAR_P"."TENANT_ID")

### The error may exist in com/tofly/workflow/baseconf/mapper/TfCalendarYearPMapper.java (best guess)
### The error may involve com.tofly.workflow.baseconf.mapper.TfCalendarYearPMapper.insert-Inline
### The error occurred while setting parameters
### SQL: INSERT INTO TF_CALENDAR_YEAR_P  ( id, UPDATE_USER, UPDATE_TIME,     CREATE_USER, CREATE_TIME )  VALUES  ( ?, ?, ?,     ?, ? )
### Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-01400: 无法将 NULL 插入 ("TF_ZMRQ_LC"."TF_CALENDAR_YEAR_P"."TENANT_ID")

; ORA-01400: 无法将 NULL 插入 ("TF_ZMRQ_LC"."TF_CALENDAR_YEAR_P"."TENANT_ID")
; nested exception is java.sql.SQLIntegrityConstraintViolationException: ORA-01400: 无法将 NULL 插入 ("TF_ZMRQ_LC"."TF_CALENDAR_YEAR_P"."TENANT_ID")', 'content:新增日历年日期相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569953343051735042', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-14 15:36:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 15:36:59', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '1', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570225015717732353', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 09:36:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 09:36:31', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '33', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570225016132968450', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 09:36:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 09:36:31', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570225018465001474', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 09:36:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 09:36:32', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570225018892820481', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 09:36:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 09:36:32', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '17', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570259406242291714', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 11:53:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 11:53:11', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570264505438019586', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-15 12:13:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 12:13:26', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprocessconfigl/1569613105131102209', 'GET', '{}', '54', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570265293421912065', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-15 12:16:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 12:16:34', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprocessl/1569616564261691393', 'GET', '{}', '18', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570265334668697601', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-15 12:16:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 12:16:44', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprocessl/1569616564261691393', 'GET', '{}', '20', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570265334920355841', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-15 12:16:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 12:16:44', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprocessconfigl/1569613105131102209', 'GET', '{}', '62', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570285241217171458', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 13:35:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 13:35:50', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '302', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570285244258041858', '2', 'tofly-auth', 'rq', TO_DATE('2022-09-15 13:35:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 13:35:51', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/token/4b14b9bd-8fcd-49a5-8439-f81cb01c1e92', 'DELETE', '{}', '33', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570285283139239937', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 13:36:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 13:36:00', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '9', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570285283147628545', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 13:36:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 13:36:00', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '12', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570285766268534785', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 13:37:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 13:37:55', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '10', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570285825278197762', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 13:38:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 13:38:09', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570286195962396673', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 13:39:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 13:39:38', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfbasetypep', 'POST', '{}', '19', NULL, NULL, 'content:新增基础类型表', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570286196453130241', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 13:39:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 13:39:38', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '7', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570286196780285954', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 13:39:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 13:39:38', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '7', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570286229852372994', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 13:39:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 13:39:46', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfbasetypep', 'PUT', '{}', '53', NULL, NULL, 'content:修改基础类型表', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570286230611542018', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 13:39:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 13:39:46', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570286444126781443', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 13:40:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 13:40:37', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '10', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570286459192721410', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 13:40:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 13:40:41', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfbasetypep', 'PUT', '{}', '19', NULL, NULL, 'content:修改基础类型表', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570286459586985985', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 13:40:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 13:40:41', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570287973600706562', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 13:46:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 13:46:42', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfbasetypep', 'POST', '{}', '16', NULL, NULL, 'content:新增基础类型表', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570288010405724162', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 13:46:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 13:46:50', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfbasetypep', 'POST', '{}', '8', NULL, NULL, 'content:新增基础类型表', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570288079544631298', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 13:47:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 13:47:07', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfbasetypep', 'POST', '{}', '11', NULL, NULL, 'content:新增基础类型表', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570288532227473410', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 13:48:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 13:48:55', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfbasetypep', 'POST', '{}', '13', NULL, NULL, 'content:新增基础类型表', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570288593636278273', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 13:49:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 13:49:09', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfbasetypep/1570286898957111298', 'DELETE', '{}', '20', NULL, NULL, 'content:通过id删除基础类型表,有关联数据验证', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569935228142166018', '1', 'tofly-flow', 'lye', TO_DATE('2022-09-14 14:25:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 14:25:01', 'SYYYY-MM-DD HH24:MI:SS'), '117.136.64.93', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569935228234440705', '1', 'tofly-flow', 'lye', TO_DATE('2022-09-14 14:25:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 14:25:01', 'SYYYY-MM-DD HH24:MI:SS'), '117.136.64.93', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569936467877765121', '1', 'tofly-flow', 'lye', TO_DATE('2022-09-14 14:29:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 14:29:56', 'SYYYY-MM-DD HH24:MI:SS'), '117.136.64.93', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569936468062314498', '1', 'tofly-flow', 'lye', TO_DATE('2022-09-14 14:29:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 14:29:56', 'SYYYY-MM-DD HH24:MI:SS'), '117.136.64.93', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569936623859736577', '1', 'tofly-flow', 'lye', TO_DATE('2022-09-14 14:30:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 14:30:33', 'SYYYY-MM-DD HH24:MI:SS'), '117.136.64.93', NULL, '/tfbasetypep', 'PUT', '{}', '50', NULL, NULL, 'content:修改基础类型表', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569936625231273985', '1', 'tofly-flow', 'lye', TO_DATE('2022-09-14 14:30:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 14:30:34', 'SYYYY-MM-DD HH24:MI:SS'), '117.136.64.93', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569936625273217025', '1', 'tofly-flow', 'lye', TO_DATE('2022-09-14 14:30:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 14:30:34', 'SYYYY-MM-DD HH24:MI:SS'), '117.136.64.93', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569936655472205826', '1', 'tofly-flow', 'lye', TO_DATE('2022-09-14 14:30:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 14:30:41', 'SYYYY-MM-DD HH24:MI:SS'), '117.136.64.93', NULL, '/tfbasetypep', 'PUT', '{}', '27', NULL, NULL, 'content:修改基础类型表', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569936656025853954', '1', 'tofly-flow', 'lye', TO_DATE('2022-09-14 14:30:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 14:30:41', 'SYYYY-MM-DD HH24:MI:SS'), '117.136.64.93', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569936656084574210', '1', 'tofly-flow', 'lye', TO_DATE('2022-09-14 14:30:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 14:30:41', 'SYYYY-MM-DD HH24:MI:SS'), '117.136.64.93', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570218796370206722', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-15 09:11:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 09:11:48', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprocessl/1569616564261691393', 'GET', '{}', '19', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570218796554756098', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-15 09:11:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 09:11:49', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprocessconfigl/1569613105131102209', 'GET', '{}', '69', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570218853161082882', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-15 09:12:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 09:12:02', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprocessl/1569616564261691393', 'GET', '{}', '18', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570218853366603778', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-15 09:12:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 09:12:02', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprocessconfigl/1569613105131102209', 'GET', '{}', '82', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570218906252582913', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-15 09:12:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 09:12:15', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprocessl/1569616564261691393', 'GET', '{}', '27', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570218961583841281', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-15 09:12:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 09:12:28', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprocessl/1569616564261691393', 'GET', '{}', '18', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570219002700603394', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-15 09:12:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 09:12:38', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprocessl/1569616564261691393', 'GET', '{}', '14', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570219002822238210', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-15 09:12:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 09:12:38', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprocessconfigl/1569613105131102209', 'GET', '{}', '54', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570219065220898818', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-15 09:12:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 09:12:53', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprocessl/1569616564261691393', 'GET', '{}', '19', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570219065376088066', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-15 09:12:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 09:12:53', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprocessconfigl/1569613105131102209', 'GET', '{}', '55', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570220214451806209', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-15 09:17:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 09:17:27', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570221024879419394', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-15 09:20:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 09:20:40', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570221455630245889', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-15 09:22:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 09:22:22', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570221628653674497', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-15 09:23:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 09:23:04', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570233237748948994', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-15 10:09:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 10:09:12', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprocessl/1569616564261691393', 'GET', '{}', '11', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570233237849612289', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-15 10:09:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 10:09:12', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprocessconfigl/1569613105131102209', 'GET', '{}', '32', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570233244224954369', '1', 'tofly-flow', 'll', TO_DATE('2022-09-15 10:09:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 10:09:13', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570233245403553793', '1', 'tofly-flow', 'll', TO_DATE('2022-09-15 10:09:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 10:09:13', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570233291083718657', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-15 10:09:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 10:09:24', 'SYYYY-MM-DD HH24:MI:SS'), '61.157.29.47', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570233306875273217', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-15 10:09:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 10:09:28', 'SYYYY-MM-DD HH24:MI:SS'), '61.157.29.47', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570233307185651713', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-15 10:09:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 10:09:28', 'SYYYY-MM-DD HH24:MI:SS'), '61.157.29.47', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570233317692383233', '1', 'tofly-flow', 'll', TO_DATE('2022-09-15 10:09:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 10:09:31', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570233318866788354', '1', 'tofly-flow', 'll', TO_DATE('2022-09-15 10:09:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 10:09:31', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570255728433274881', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 11:38:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 11:38:34', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '29', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570255729477656578', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 11:38:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 11:38:34', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '8', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570255729565736962', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 11:38:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 11:38:34', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '8', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570256137054953474', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 11:40:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 11:40:11', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '9', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570256153291104258', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 11:40:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 11:40:15', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfbasetypep', 'PUT', '{}', '35', NULL, NULL, 'content:修改基础类型表', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570256153530179585', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 11:40:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 11:40:15', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570262755691831297', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-15 12:06:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 12:06:29', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprocessconfigl/1569613105131102209', 'GET', '{}', '62', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570262755725385730', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-15 12:06:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 12:06:29', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprocessl/1569616564261691393', 'GET', '{}', '71', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570263174732161026', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-15 12:08:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 12:08:09', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprojectprocessp/page', 'GET', '{"hitCount":[""],"optimizeCountSql":[""],"nature":[""],"records":[""],"searchCount":[""],"updateUser":[""],"remark":[""],"updateTime":[""],"posts":[""],"current":[""],"total":[""],"size":[""],"createTime":[""],"processId":[""],"orders[0].asc":[""],"tenantId":[""],"createUser":[""],"orders[0].column":[""],"id":[""],"isForce":[""],"isDel":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570292584621391873', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 14:05:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 14:05:01', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '15', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570292584675917826', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 14:05:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 14:05:01', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569615574846382081', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-13 17:14:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 17:14:49', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessl', 'POST', '{}', '19350', NULL, NULL, 'content:新增流程信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569615759601278977', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-13 17:15:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 17:15:33', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessconfigl/page', 'GET', '{"hitCount":[""],"optimizeCountSql":[""],"records":[""],"isValid":[""],"searchCount":[""],"content":[""],"current":[""],"total":[""],"size":[""],"orders[0].asc":[""],"tenantId":[""],"orders[0].column":[""],"processType":[""],"businessType":[""],"isDel":[""],"isMould":[""]}', '223', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569616566883164161', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-13 17:18:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 17:18:46', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessl', 'POST', '{}', '880', NULL, NULL, 'content:新增流程信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569616725004230657', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-13 17:19:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 17:19:23', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessl/page', 'GET', '{"hitCount":[""],"registerStaff":[""],"processState":[""],"records":[""],"processNumber":[""],"searchCount":[""],"edition":[""],"remark":[""],"relationNumber":[""],"current":[""],"total":[""],"configId":[""],"orders[0].asc":[""],"registerPost":[""],"ywType":[""],"orders[0].column":[""],"id":[""],"processType":[""],"optimizeCountSql":[""],"registerTime":[""],"registerDept":[""],"passingNode":[""],"relationId":[""],"size":[""],"createTime":[""],"name":[""],"tenantId":[""],"createUser":[""],"category":[""],"isDel":[""]}', '92', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569616880822624258', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-13 17:20:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 17:20:01', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessl', 'POST', '{}', '31', NULL, NULL, 'content:新增流程信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569616909276782594', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-13 17:20:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 17:20:07', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessl', 'POST', '{}', '20', NULL, NULL, 'content:新增流程信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569617179670978562', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-13 17:21:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 17:21:12', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessl', 'POST', '{}', '1177', NULL, NULL, 'content:新增流程信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569617316635975681', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-13 17:21:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 17:21:45', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessnodel', 'POST', '{}', '66', NULL, NULL, 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569617587969695745', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-13 17:22:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 17:22:49', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessnodel', 'POST', '{}', '1269', NULL, NULL, 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570218769153368066', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-15 09:11:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 09:11:42', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprocessconfigl/1569613105131102209', 'GET', '{}', '130', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570218769161756674', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-15 09:11:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 09:11:42', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprocessl/1569616564261691393', 'GET', '{}', '118', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570218769161756675', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-15 09:11:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 09:11:42', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfregionp/page', 'GET', '{"tenantId":["1"],"current":["1"],"size":["10000"],"isDel":["0"]}', '132', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570218906235805698', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-15 09:12:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 09:12:15', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprocessconfigl/1569613105131102209', 'GET', '{}', '91', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570233835336605698', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-15 10:11:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 10:11:34', 'SYYYY-MM-DD HH24:MI:SS'), '61.157.29.47', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570233835835727873', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-15 10:11:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 10:11:34', 'SYYYY-MM-DD HH24:MI:SS'), '61.157.29.47', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570236804702511105', '1', 'tofly-flow', 'll', TO_DATE('2022-09-15 10:23:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 10:23:22', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '4', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570240310943522817', '1', 'tofly-flow', 'll', TO_DATE('2022-09-15 10:37:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 10:37:18', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570240311283261442', '1', 'tofly-flow', 'll', TO_DATE('2022-09-15 10:37:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 10:37:18', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570240316672942082', '1', 'tofly-flow', 'll', TO_DATE('2022-09-15 10:37:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 10:37:19', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":["1"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570240318069645313', '1', 'tofly-flow', 'll', TO_DATE('2022-09-15 10:37:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 10:37:20', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570241505670045697', '1', 'tofly-flow', 'll', TO_DATE('2022-09-15 10:42:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 10:42:03', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '459', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570241506802507777', '1', 'tofly-flow', 'll', TO_DATE('2022-09-15 10:42:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 10:42:03', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '39', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570241515895758850', '1', 'tofly-flow', 'll', TO_DATE('2022-09-15 10:42:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 10:42:05', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570241516239691778', '1', 'tofly-flow', 'll', TO_DATE('2022-09-15 10:42:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 10:42:05', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570241522048802818', '1', 'tofly-flow', 'll', TO_DATE('2022-09-15 10:42:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 10:42:07', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/1570240406875664386', 'GET', '{"id":["1570240406875664386"]}', '29', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570241523583918081', '1', 'tofly-flow', 'll', TO_DATE('2022-09-15 10:42:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 10:42:07', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '5', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570241525022564353', '1', 'tofly-flow', 'll', TO_DATE('2022-09-15 10:42:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 10:42:07', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '36', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570241714995175425', '1', 'tofly-flow', 'll', TO_DATE('2022-09-15 10:42:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 10:42:53', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570241715322331138', '1', 'tofly-flow', 'll', TO_DATE('2022-09-15 10:42:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 10:42:53', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '82', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570241724654657538', '1', 'tofly-flow', 'll', TO_DATE('2022-09-15 10:42:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 10:42:55', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '17', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570241724981813250', '1', 'tofly-flow', 'll', TO_DATE('2022-09-15 10:42:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 10:42:55', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570241744929923074', '1', 'tofly-flow', 'll', TO_DATE('2022-09-15 10:43:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 10:43:00', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570285241217171457', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 13:35:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 13:35:50', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '302', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570285766268534786', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 13:37:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 13:37:55', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '8', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570285824678412289', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 13:38:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 13:38:09', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfbasetypep', 'POST', '{}', '115', NULL, NULL, 'content:新增基础类型表', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570285825278197761', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 13:38:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 13:38:09', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570286230619930626', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 13:39:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 13:39:46', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570286443686379521', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 13:40:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 13:40:37', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfbasetypep', 'PUT', '{}', '35', NULL, NULL, 'content:修改基础类型表', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570286444126781442', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 13:40:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 13:40:37', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '10', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570286459586985986', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 13:40:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 13:40:41', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '8', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569942248303960065', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-14 14:52:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 14:52:54', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569942300854394881', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 14:53:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 14:53:07', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl', 'POST', '{}', '4', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569942317589667842', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 14:53:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 14:53:11', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl', 'POST', '{}', '3', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569943839807447041', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-14 14:59:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 14:59:14', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570224686821384193', '1', 'tofly-flow', 'll', TO_DATE('2022-09-15 09:35:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 09:35:13', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '22', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570224687324700673', '1', 'tofly-flow', 'll', TO_DATE('2022-09-15 09:35:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 09:35:13', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '18', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570224697571385346', '1', 'tofly-flow', 'll', TO_DATE('2022-09-15 09:35:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 09:35:15', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570224698783539201', '1', 'tofly-flow', 'll', TO_DATE('2022-09-15 09:35:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 09:35:16', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570224843507998721', '1', 'tofly-flow', 'll', TO_DATE('2022-09-15 09:35:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 09:35:50', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570224853087789058', '1', 'tofly-flow', 'll', TO_DATE('2022-09-15 09:35:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 09:35:53', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570224854362857473', '1', 'tofly-flow', 'll', TO_DATE('2022-09-15 09:35:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 09:35:53', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570326529652150273', '1', 'tofly-flow', 'hq', TO_DATE('2022-09-15 16:19:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 16:19:54', 'SYYYY-MM-DD HH24:MI:SS'), '222.209.161.161', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570684095867486209', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 16:00:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 16:00:45', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570684101508825090', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 16:00:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 16:00:46', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570684102398017537', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 16:00:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 16:00:46', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570684106923671553', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 16:00:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 16:00:47', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/1569613105131102209', 'GET', '{"id":["1569613105131102209"]}', '24', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570684107544428545', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 16:00:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 16:00:47', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570684107787698178', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 16:00:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 16:00:47', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570684108848857090', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 16:00:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 16:00:48', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570684325623070721', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 16:01:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 16:01:39', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570684326390628353', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 16:01:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 16:01:39', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570684336339517442', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 16:01:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 16:01:42', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570684336347906050', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 16:01:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 16:01:42', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570685028038967297', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-16 16:04:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 16:04:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570685053708107777', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-16 16:04:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 16:04:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570685330586697730', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 16:05:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 16:05:39', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '2', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570685330616057858', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 16:05:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 16:05:39', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570685331400392705', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 16:05:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 16:05:39', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570685341298950146', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 16:05:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 16:05:41', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569152821327564802"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570685342355914754', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 16:05:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 16:05:42', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570685354766860289', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 16:05:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 16:05:45', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '2', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570685659751481345', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 16:06:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 16:06:57', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570685660590342145', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 16:06:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 16:06:58', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570685660804251650', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 16:06:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 16:06:58', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570685661462757378', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 16:06:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 16:06:58', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570685666923741186', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 16:06:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 16:06:59', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/1570682054776553474', 'GET', '{"id":["1570682054776553474"]}', '34', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570685670014943233', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 16:07:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 16:07:00', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570685675081662466', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 16:07:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 16:07:01', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570685709957300226', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 16:07:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 16:07:09', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/1570606305243660289', 'DELETE', '{"id":["1570606305243660289"]}', '7', NULL, NULL, 'content:通过id删除审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570685710963933185', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 16:07:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 16:07:10', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570685717322498050', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 16:07:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 16:07:11', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/1570682054776553474', 'DELETE', '{"id":["1570682054776553474"]}', '6', NULL, NULL, 'content:通过id删除审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570685717909700610', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 16:07:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 16:07:11', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569923453053116417', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-14 13:38:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 13:38:13', 'SYYYY-MM-DD HH24:MI:SS'), '61.157.29.47', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"content":[""]}', '19', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569923453334134786', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-14 13:38:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 13:38:13', 'SYYYY-MM-DD HH24:MI:SS'), '61.157.29.47', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569924132735885314', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-14 13:40:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 13:40:55', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprocessl/1569616564261691393', 'GET', '{}', '16', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569925362505818115', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-14 13:45:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 13:45:48', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprocessconfigl/1569613105131102209', 'GET', '{}', '27', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570288594059902977', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 13:49:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 13:49:10', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570288594198315010', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 13:49:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 13:49:10', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '9', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570288607120965633', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 13:49:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 13:49:13', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfbasetypep/1570286195870126082', 'DELETE', '{}', '10', NULL, NULL, 'content:通过id删除基础类型表,有关联数据验证', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570288607544590338', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 13:49:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 13:49:13', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '17', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570288607603310594', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 13:49:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 13:49:13', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '16', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570288761328746499', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 13:49:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 13:49:49', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570288798586748930', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 13:49:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 13:49:58', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfbasetypep', 'POST', '{}', '3', NULL, NULL, 'content:新增基础类型表', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570288799006179330', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 13:49:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 13:49:58', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570288855188881410', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 13:50:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 13:50:12', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570292616351301634', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 14:05:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 14:05:09', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570292640611155970', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 14:05:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 14:05:14', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '44', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570292658764103682', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 14:05:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 14:05:19', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":["1569152821327564802"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570292659661684738', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 14:05:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 14:05:19', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570292789357953025', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 14:05:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 14:05:50', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":["1569152821327564802"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570292790343614466', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 14:05:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 14:05:50', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570296767982452738', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 14:21:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 14:21:38', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '4', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570590595532574722', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-16 09:49:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 09:49:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570605890112401410', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 10:49:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 10:49:59', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570605890414391297', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 10:49:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 10:49:59', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570605891894980610', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 10:49:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 10:49:59', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570605892167610369', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 10:49:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 10:49:59', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570605897959944194', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 10:50:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 10:50:01', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570605898614255618', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 10:50:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 10:50:01', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570605905241255938', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 10:50:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 10:50:02', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":["1569152821327564802"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570605906558267393', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 10:50:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 10:50:03', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570606305499492354', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 10:51:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 10:51:38', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl', 'POST', '{}', '179', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570606306208329729', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 10:51:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 10:51:38', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570606325514711042', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 10:51:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 10:51:43', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":["1569152821327564802"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570606326701699073', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 10:51:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 10:51:43', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570606399598702594', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 10:52:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 10:52:00', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/1570606305243660289', 'GET', '{"id":["1570606305243660289"]}', '19', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570606400664055810', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 10:52:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 10:52:01', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570606401683271681', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 10:52:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 10:52:01', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570606408629039106', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 10:52:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 10:52:02', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl', 'POST', '{}', '27', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570606409279156226', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 10:52:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 10:52:03', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570606414190686210', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 10:52:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 10:52:04', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/1570606305243660289', 'GET', '{"id":["1570606305243660289"]}', '18', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570606414907912193', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 10:52:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 10:52:04', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570606415520280577', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 10:52:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 10:52:04', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570606477025554434', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-16 10:52:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 10:52:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["30"],"current":["1"]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569610501460664321', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 16:54:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 16:54:40', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/1569507482133536769', 'GET', '{"id":["1569507482133536769"]}', '29', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569610502651846658', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 16:54:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 16:54:40', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569610503868194817', '1', 'tofly-flow', 'll', TO_DATE('2022-09-13 16:54:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-13 16:54:40', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570292599368564738', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 14:05:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 14:05:04', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '19', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570292599687331841', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 14:05:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 14:05:05', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '19', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570292615134953473', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 14:05:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 14:05:08', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/1569660763252559873', 'GET', '{"id":["1569660763252559873"]}', '44', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570292615856373762', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 14:05:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 14:05:08', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '7', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570292616737177601', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 14:05:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 14:05:09', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570292629684994049', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 14:05:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 14:05:12', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570292630037315585', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 14:05:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 14:05:12', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570292640049119233', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 14:05:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 14:05:14', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '24', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570292640082673665', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 14:05:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 14:05:14', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570292640611155969', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 14:05:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 14:05:14', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570295376043950081', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 14:16:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 14:16:06', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '19', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570295376387883009', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 14:16:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 14:16:07', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '17', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570295389092429825', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 14:16:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 14:16:10', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570295389360865282', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 14:16:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 14:16:10', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570295393953628162', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 14:16:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 14:16:11', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/1570240406875664386', 'GET', '{"id":["1570240406875664386"]}', '21', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570295394805071874', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 14:16:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 14:16:11', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570295395367108609', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 14:16:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 14:16:11', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570295742449958913', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 14:17:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 14:17:34', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570295744341590017', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 14:17:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 14:17:34', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '17', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570295744949764097', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 14:17:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 14:17:34', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570299570335367170', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 14:32:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 14:32:46', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570303891403821057', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 14:49:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 14:49:57', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570303891714199554', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 14:49:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 14:49:57', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570303895501656065', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 14:49:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 14:49:58', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/1570240406875664386', 'GET', '{"id":["1570240406875664386"]}', '15', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570303896617340929', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 14:49:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 14:49:58', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570303897347149825', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 14:49:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 14:49:58', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570303920768143362', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 14:50:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 14:50:04', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl', 'POST', '{}', '117', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570303920780726273', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 14:50:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 14:50:04', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl', 'POST', '{}', '194', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570303921263071233', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 14:50:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 14:50:04', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl', 'POST', '{}', '29', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570303921556672513', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 14:50:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 14:50:04', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570303921812525058', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 14:50:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 14:50:04', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570303922080960514', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 14:50:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 14:50:04', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570303932503805953', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 14:50:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 14:50:07', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/1570240406875664386', 'GET', '{"id":["1570240406875664386"]}', '19', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570303933212643330', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 14:50:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 14:50:07', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570303933858566146', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 14:50:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 14:50:07', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570304383718641665', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 14:51:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 14:51:54', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/1570240406875664386', 'DELETE', '{"id":["1570240406875664386"]}', '3', NULL, NULL, 'content:通过id删除审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570304384297455617', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 14:51:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 14:51:54', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570304390316281857', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 14:51:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 14:51:56', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569930016224518146', '1', 'tofly-flow', 'lye', TO_DATE('2022-09-14 14:04:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 14:04:18', 'SYYYY-MM-DD HH24:MI:SS'), '117.136.64.93', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569930016337764354', '1', 'tofly-flow', 'lye', TO_DATE('2022-09-14 14:04:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 14:04:18', 'SYYYY-MM-DD HH24:MI:SS'), '117.136.64.93', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '2', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569930018325864449', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 14:04:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 14:04:18', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '2', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569930018745294849', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 14:04:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 14:04:19', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569930021110882305', '2', 'tofly-auth', 'test1', TO_DATE('2022-09-14 14:04:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 14:04:19', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/token/ae4bc1b8-8c3a-41d6-bd93-5b36628e2765', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569930023719739394', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 14:04:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 14:04:20', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569930024151752706', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 14:04:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 14:04:20', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569930024415993858', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-14 14:04:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 14:04:20', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '2', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569930030434820097', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 14:04:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 14:04:21', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569957976314814466', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-14 15:55:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 15:55:24', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569958028160606209', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-14 15:55:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 15:55:36', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '1', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570017241402548227', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 19:50:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 19:50:54', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '45', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570017245823344641', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 19:50:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 19:50:55', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '65', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570017246339244033', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 19:50:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 19:50:55', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '31', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570017252995604481', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 19:50:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 19:50:57', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/1569660763252559873', 'GET', '{"id":["1569660763252559873"]}', '53', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570017254190981121', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 19:50:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 19:50:57', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '5', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570017255419912194', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 19:50:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 19:50:57', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '10', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570017650875670530', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-14 19:52:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 19:52:32', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprocessl/page', 'GET', '{"tenantId":[""],"current":["1"],"size":["1000"]}', '29', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570017674804174849', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-14 19:52:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 19:52:37', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprocessconfigl/1569613105131102209', 'GET', '{}', '61', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570286786440708098', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 13:41:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 13:41:59', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfbasetypep', 'POST', '{}', '13', NULL, NULL, 'content:新增基础类型表', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570286801250795522', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 13:42:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 13:42:02', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfbasetypep', 'POST', '{}', '13', NULL, NULL, 'content:新增基础类型表', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570286822754992129', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 13:42:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 13:42:07', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfbasetypep', 'POST', '{}', '9', NULL, NULL, 'content:新增基础类型表', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570286899036798978', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 13:42:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 13:42:25', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfbasetypep', 'POST', '{}', '18', NULL, NULL, 'content:新增基础类型表', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570286899653361666', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 13:42:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 13:42:26', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570286901830205442', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 13:42:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 13:42:26', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '7', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570287001923076097', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 13:42:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 13:42:50', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfbasetypep', 'POST', '{}', '10', NULL, NULL, 'content:新增基础类型表', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570287007673466881', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 13:42:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 13:42:51', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfbasetypep', 'POST', '{}', '10', NULL, NULL, 'content:新增基础类型表', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570288761328746498', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 13:49:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 13:49:49', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570288799006179331', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 13:49:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 13:49:58', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570288854786228226', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 13:50:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 13:50:12', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfbasetypep', 'POST', '{}', '4', NULL, NULL, 'content:新增基础类型表', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570288855188881409', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 13:50:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 13:50:12', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570290620424634369', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 13:57:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 13:57:13', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '169', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570290620810510338', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 13:57:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 13:57:13', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '27', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570290624811876353', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 13:57:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 13:57:14', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570318313392295938', '1', 'tofly-flow', 'll', TO_DATE('2022-09-15 15:47:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 15:47:15', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570318313954332674', '1', 'tofly-flow', 'll', TO_DATE('2022-09-15 15:47:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 15:47:15', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570318317989253121', '1', 'tofly-flow', 'll', TO_DATE('2022-09-15 15:47:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 15:47:16', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570318318328991745', '1', 'tofly-flow', 'll', TO_DATE('2022-09-15 15:47:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 15:47:16', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570318324507201537', '1', 'tofly-flow', 'll', TO_DATE('2022-09-15 15:47:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 15:47:18', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570318326184923137', '1', 'tofly-flow', 'll', TO_DATE('2022-09-15 15:47:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 15:47:18', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570319882795995138', '1', 'tofly-flow', 'll', TO_DATE('2022-09-15 15:53:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 15:53:29', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570319954623451138', '1', 'tofly-flow', 'll', TO_DATE('2022-09-15 15:53:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 15:53:46', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570320466907353090', '1', 'tofly-flow', 'll', TO_DATE('2022-09-15 15:55:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 15:55:49', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570320467414863873', '1', 'tofly-flow', 'll', TO_DATE('2022-09-15 15:55:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 15:55:49', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570009700257865729', '2', 'tofly-auth', 'll', TO_DATE('2022-09-14 19:20:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 19:20:56', 'SYYYY-MM-DD HH24:MI:SS'), '222.212.28.75', NULL, '/token/a246d1ab-05a6-4d84-aed1-0c87c4556386', 'DELETE', '{}', '8', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570017241402548226', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 19:50:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 19:50:54', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '45', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570017674699317249', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-14 19:52:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 19:52:37', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprocessl/1569616564261691393', 'GET', '{}', '53', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570685721332252673', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 16:07:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 16:07:12', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":["1569152821327564802"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570685727351078913', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 16:07:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 16:07:13', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570686012572143617', '1', 'tofly-flow', 'll', TO_DATE('2022-09-16 16:08:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 16:08:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570686012572143620', '1', 'tofly-flow', 'll', TO_DATE('2022-09-16 16:08:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 16:08:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570686015344578562', '1', 'tofly-flow', 'll', TO_DATE('2022-09-16 16:08:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 16:08:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570689169352134657', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-16 16:20:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 16:20:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570689236523913218', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-16 16:21:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 16:21:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570689708836098049', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-16 16:23:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 16:23:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570690088995229698', '1', 'tofly-flow', 'll', TO_DATE('2022-09-16 16:24:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 16:24:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570690089028784129', '1', 'tofly-flow', 'll', TO_DATE('2022-09-16 16:24:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 16:24:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570707124966129666', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-16 17:32:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 17:32:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["10000"],"current":["1"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570707150110982145', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-16 17:32:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 17:32:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["10000"],"current":["1"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570707268759453697', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-16 17:32:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 17:32:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["10000"],"current":["1"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570707752215904257', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-16 17:34:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 17:34:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570708187555299330', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 17:36:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 17:36:28', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/1570698804578582529', 'GET', '{"id":["1570698804578582529"]}', '37', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570708831708119041', '2', 'tofly-auth', 'yj', TO_DATE('2022-09-16 17:39:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 17:39:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/354d1504-5a61-4c21-9405-2d3e5065c46d', 'DELETE', '{}', '8', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570733494607474690', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-16 19:17:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 19:17:02', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessl', 'POST', '{}', '19418', NULL, NULL, 'content:新增流程信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570733712774197249', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-16 19:17:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 19:17:54', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessl', 'POST', '{}', '814', NULL, NULL, 'content:新增流程信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570735643924033537', '0', 'tofly-flow', 'admin', TO_DATE('2022-09-16 19:25:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 19:25:35', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessl', 'POST', '{}', '202', NULL, 'Could not find result map ''com.tofly.workflow.buss.mapper.TfProjectBaseWMapper.'' referenced from ''com.tofly.workflow.buss.mapper.TfProjectBaseWMapper.getBaseById''', 'content:新增流程信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570735943208595458', '0', 'tofly-flow', 'admin', TO_DATE('2022-09-16 19:26:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 19:26:46', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessl', 'POST', '{}', '15', NULL, 'Could not find result map ''com.tofly.workflow.buss.mapper.TfProjectBaseWMapper.'' referenced from ''com.tofly.workflow.buss.mapper.TfProjectBaseWMapper.getBaseById''', 'content:新增流程信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570737109728423937', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-16 19:31:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 19:31:24', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessl', 'POST', '{}', '545', NULL, NULL, 'content:新增流程信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570738590439370754', '0', 'tofly-flow', 'admin', TO_DATE('2022-09-16 19:37:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 19:37:17', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessl', 'POST', '{}', '1325', NULL, '### Error updating database.  Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-01400: 无法将 NULL 插入 ("TF_ZMRQ_LC"."TF_PROJECT_BASE_W"."ID")

### The error may exist in com/tofly/workflow/buss/mapper/TfProjectBaseWMapper.java (best guess)
### The error may involve com.tofly.workflow.buss.mapper.TfProjectBaseWMapper.insert-Inline
### The error occurred while setting parameters
### SQL: INSERT INTO TF_PROJECT_BASE_W  ( ID, tenant_id, process_id,  project_name,      addre,    contacts, user_phone )  VALUES  ( ?, ?, ?,  ?,      ?,    ?, ? )
### Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-01400: 无法将 NULL 插入 ("TF_ZMRQ_LC"."TF_PROJECT_BASE_W"."ID")

; ORA-01400: 无法将 NULL 插入 ("TF_ZMRQ_LC"."TF_PROJECT_BASE_W"."ID")
; nested exception is java.sql.SQLIntegrityConstraintViolationException: ORA-01400: 无法将 NULL 插入 ("TF_ZMRQ_LC"."TF_PROJECT_BASE_W"."ID")', 'content:新增流程信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570739118120562690', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-16 19:39:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 19:39:23', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessl', 'POST', '{}', '1234', NULL, NULL, 'content:新增流程信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571077127297163265', '2', 'tofly-auth', 'hq', TO_DATE('2022-09-17 18:02:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-17 18:02:31', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.30.171', NULL, '/token/cf53c2ee-43aa-4a4a-a146-339edb630bdf', 'DELETE', '{}', '6', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571079576904916993', '2', 'tofly-auth', 'll', TO_DATE('2022-09-17 18:12:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-17 18:12:15', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/token/e8c48842-d48a-4dec-911a-1f570e47b9d2', 'DELETE', '{}', '3', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571082209493377026', '1', 'tofly-flow', 'll', TO_DATE('2022-09-17 18:22:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-17 18:22:42', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '329', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571082209493377027', '1', 'tofly-flow', 'll', TO_DATE('2022-09-17 18:22:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-17 18:22:42', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '329', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571082672158662657', '1', 'tofly-flow', 'll', TO_DATE('2022-09-17 18:24:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-17 18:24:33', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '12', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571082672167051265', '1', 'tofly-flow', 'll', TO_DATE('2022-09-17 18:24:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-17 18:24:33', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '14', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571090891828486145', '1', 'tofly-flow', 'll', TO_DATE('2022-09-17 18:57:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-17 18:57:12', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '8', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571109996258254849', '1', 'tofly-flow', 'll', TO_DATE('2022-09-17 20:13:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-17 20:13:07', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '15', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571110001916370945', '1', 'tofly-flow', 'll', TO_DATE('2022-09-17 20:13:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-17 20:13:08', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '23', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571110002230943745', '1', 'tofly-flow', 'll', TO_DATE('2022-09-17 20:13:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-17 20:13:09', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571110007046004738', '1', 'tofly-flow', 'll', TO_DATE('2022-09-17 20:13:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-17 20:13:10', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '22', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571110007322828802', '1', 'tofly-flow', 'll', TO_DATE('2022-09-17 20:13:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-17 20:13:10', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '24', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571110238638694402', '2', 'tofly-auth', 'll', TO_DATE('2022-09-17 20:14:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-17 20:14:05', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/token/58190739-c38b-4b4c-9ca9-2a35bd39bd56', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569931477650055169', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 14:10:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 14:10:06', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '2', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569931478040125442', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 14:10:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 14:10:06', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '2', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569931484084117506', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 14:10:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 14:10:08', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":["1"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569931485325631490', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 14:10:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 14:10:08', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '2', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569931716901543938', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-14 14:11:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 14:11:03', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '1', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569932328716279809', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-14 14:13:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 14:13:29', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '1', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569933053231964162', '2', 'tofly-auth', 'test1', TO_DATE('2022-09-14 14:16:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 14:16:22', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/token/ae4bc1b8-8c3a-41d6-bd93-5b36628e2765', 'DELETE', '{}', '1', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569933368819785730', '2', 'tofly-auth', 'rq', TO_DATE('2022-09-14 14:17:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 14:17:37', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/token/a8ce4be0-6598-484a-a3af-227fe81e6045', 'DELETE', '{}', '1', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569933796278083586', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-14 14:19:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 14:19:19', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '2', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570606477348515841', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-16 10:52:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 10:52:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["30"],"current":["1"]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570606732785823746', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-16 10:53:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 10:53:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["30"],"current":["1"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570606833780469761', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-16 10:53:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 10:53:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["30"],"current":["1"]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570606957264973825', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-16 10:54:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 10:54:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["30"],"current":["1"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570607020183728129', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 10:54:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 10:54:28', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl', 'POST', '{}', '3', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570607074424467458', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 10:54:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 10:54:41', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl', 'POST', '{}', '21', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570607074982309889', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 10:54:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 10:54:41', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570607081219239937', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 10:54:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 10:54:43', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/1570606305243660289', 'GET', '{"id":["1570606305243660289"]}', '26', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570607082427199489', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 10:54:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 10:54:43', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570607083341557761', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 10:54:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 10:54:43', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570607100685004801', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 10:54:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 10:54:47', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl', 'POST', '{}', '24', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570607101326733314', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 10:54:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 10:54:48', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570607106687053825', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 10:54:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 10:54:49', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/1570606305243660289', 'GET', '{"id":["1570606305243660289"]}', '29', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570607107710464001', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 10:54:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 10:54:49', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570607108826148865', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 10:54:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 10:54:49', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570607212026998786', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-16 10:55:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 10:55:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["30"],"current":["1"]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570607213927018498', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 10:55:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 10:55:14', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl', 'POST', '{}', '22', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570607214547775489', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 10:55:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 10:55:15', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570607218234568705', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 10:55:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 10:55:15', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/1570606305243660289', 'GET', '{"id":["1570606305243660289"]}', '25', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570607219320893442', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 10:55:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 10:55:16', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570607220306554881', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 10:55:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 10:55:16', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570607331585634305', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 10:55:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 10:55:42', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570607332021841921', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 10:55:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 10:55:43', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570607339986825218', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 10:55:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 10:55:44', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/1569660763252559873', 'GET', '{"id":["1569660763252559873"]}', '25', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570607343270965250', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 10:55:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 10:55:45', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570607344193712129', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 10:55:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 10:55:45', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570607344420204545', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 10:55:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 10:55:46', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570607356151672833', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 10:55:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 10:55:48', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570607356399136770', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 10:55:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 10:55:48', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570607363818860545', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 10:55:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 10:55:50', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/1570606305243660289', 'GET', '{"id":["1570606305243660289"]}', '23', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570607364678692866', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 10:55:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 10:55:50', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570607365823737858', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 10:55:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 10:55:51', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570607397738196993', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 10:55:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 10:55:58', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl', 'POST', '{}', '23', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570607398564474882', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 10:55:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 10:55:58', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570607402184159233', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-16 10:55:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 10:55:59', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/1570606305243660289', 'GET', '{"id":["1570606305243660289"]}', '24', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569946990551834626', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-14 15:11:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 15:11:45', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprocessl/1569616564261691393', 'GET', '{}', '42', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569946990618943490', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-14 15:11:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 15:11:45', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprocessconfigl/1569613105131102209', 'GET', '{}', '56', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569947731584688129', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-14 15:14:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 15:14:42', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569948028289753089', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-14 15:15:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 15:15:52', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569948157843415042', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-14 15:16:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 15:16:23', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '2', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569948310172147714', '1', 'tofly-flow', 'lye', TO_DATE('2022-09-14 15:17:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 15:17:00', 'SYYYY-MM-DD HH24:MI:SS'), '117.136.64.93', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569950667769454595', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-14 15:26:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 15:26:22', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprocessconfigl/1569613105131102209', 'GET', '{}', '45', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569950957197402113', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-14 15:27:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 15:27:31', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569951100860702721', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-14 15:28:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 15:28:05', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569951246742790145', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-14 15:28:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 15:28:40', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569951293823852545', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-14 15:28:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 15:28:51', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569951637798723586', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-14 15:30:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 15:30:13', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569951817759531009', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-14 15:30:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 15:30:56', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '286', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569951844556939265', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-14 15:31:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 15:31:02', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprocessl/page', 'GET', '{"tenantId":[""],"current":["1"],"size":["1000"]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569951848650579970', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-14 15:31:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 15:31:03', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprocessl/1569616564261691393', 'GET', '{}', '18', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569951848809963521', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-14 15:31:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 15:31:03', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprocessconfigl/1569613105131102209', 'GET', '{}', '42', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569951944754667522', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-14 15:31:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 15:31:26', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569952576056139777', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 15:33:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 15:33:57', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569953747562995714', '2', 'tofly-auth', 'test1', TO_DATE('2022-09-14 15:38:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 15:38:36', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/token/ae4bc1b8-8c3a-41d6-bd93-5b36628e2765', 'DELETE', '{}', '1', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569953854106705922', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-14 15:39:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 15:39:01', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569954087016407041', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-14 15:39:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 15:39:57', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '2', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569954222832164865', '0', 'tofly-flow', 'yj', TO_DATE('2022-09-14 15:40:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 15:40:29', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcalendaryearp/saveCalendarAll', 'POST', '{}', '93', NULL, '### Error updating database.  Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-01400: 无法将 NULL 插入 ("TF_ZMRQ_LC"."TF_CALENDAR_YEAR_P"."TENANT_ID")

### The error may exist in com/tofly/workflow/baseconf/mapper/TfCalendarYearPMapper.java (best guess)
### The error may involve com.tofly.workflow.baseconf.mapper.TfCalendarYearPMapper.insert-Inline
### The error occurred while setting parameters
### SQL: INSERT INTO TF_CALENDAR_YEAR_P  ( id, UPDATE_USER, UPDATE_TIME,  year_name, remark,  CREATE_USER, CREATE_TIME )  VALUES  ( ?, ?, ?,  ?, ?,  ?, ? )
### Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-01400: 无法将 NULL 插入 ("TF_ZMRQ_LC"."TF_CALENDAR_YEAR_P"."TENANT_ID")

; ORA-01400: 无法将 NULL 插入 ("TF_ZMRQ_LC"."TF_CALENDAR_YEAR_P"."TENANT_ID")
; nested exception is java.sql.SQLIntegrityConstraintViolationException: ORA-01400: 无法将 NULL 插入 ("TF_ZMRQ_LC"."TF_CALENDAR_YEAR_P"."TENANT_ID")', 'content:新增日历年日期相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569954369985126402', '2', 'tofly-auth', 'test1', TO_DATE('2022-09-14 15:41:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 15:41:04', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/token/ae4bc1b8-8c3a-41d6-bd93-5b36628e2765', 'DELETE', '{}', '1', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569954396019171330', '0', 'tofly-flow', 'yj', TO_DATE('2022-09-14 15:41:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 15:41:11', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcalendaryearp/saveCalendarAll', 'POST', '{}', '81', NULL, '### Error updating database.  Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-01400: 无法将 NULL 插入 ("TF_ZMRQ_LC"."TF_CALENDAR_YEAR_P"."TENANT_ID")

### The error may exist in com/tofly/workflow/baseconf/mapper/TfCalendarYearPMapper.java (best guess)
### The error may involve com.tofly.workflow.baseconf.mapper.TfCalendarYearPMapper.insert-Inline
### The error occurred while setting parameters
### SQL: INSERT INTO TF_CALENDAR_YEAR_P  ( id, UPDATE_USER, UPDATE_TIME,  year_name, remark,  CREATE_USER, CREATE_TIME )  VALUES  ( ?, ?, ?,  ?, ?,  ?, ? )
### Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-01400: 无法将 NULL 插入 ("TF_ZMRQ_LC"."TF_CALENDAR_YEAR_P"."TENANT_ID")

; ORA-01400: 无法将 NULL 插入 ("TF_ZMRQ_LC"."TF_CALENDAR_YEAR_P"."TENANT_ID")
; nested exception is java.sql.SQLIntegrityConstraintViolationException: ORA-01400: 无法将 NULL 插入 ("TF_ZMRQ_LC"."TF_CALENDAR_YEAR_P"."TENANT_ID")', 'content:新增日历年日期相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569957120286728194', '2', 'tofly-auth', 'test1', TO_DATE('2022-09-14 15:52:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 15:52:00', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/token/ae4bc1b8-8c3a-41d6-bd93-5b36628e2765', 'DELETE', '{}', '1', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569957482775257090', '2', 'tofly-auth', 'test1', TO_DATE('2022-09-14 15:53:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 15:53:26', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/token/ae4bc1b8-8c3a-41d6-bd93-5b36628e2765', 'DELETE', '{}', '1', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569957570444599298', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-14 15:53:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 15:53:47', 'SYYYY-MM-DD HH24:MI:SS'), '117.176.207.230', NULL, '/tfprocessl/1569616564261691393', 'GET', '{}', '21', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569957584113836033', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 15:53:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 15:53:51', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569957584550043649', '1', 'tofly-flow', 'll', TO_DATE('2022-09-14 15:53:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 15:53:51', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570304390966398977', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 14:51:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 14:51:56', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570304396028923906', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 14:51:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 14:51:57', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570304396326719489', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 14:51:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 14:51:57', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570304399610859522', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 14:51:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 14:51:58', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570320474952028162', '1', 'tofly-flow', 'll', TO_DATE('2022-09-15 15:55:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 15:55:51', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570320475702808578', '1', 'tofly-flow', 'll', TO_DATE('2022-09-15 15:55:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 15:55:51', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570320530715299841', '1', 'tofly-flow', 'll', TO_DATE('2022-09-15 15:56:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 15:56:04', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570320549564502018', '1', 'tofly-flow', 'll', TO_DATE('2022-09-15 15:56:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 15:56:08', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/1570311339132964866', 'GET', '{"id":["1570311339132964866"]}', '18', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570320580946284546', '1', 'tofly-flow', 'll', TO_DATE('2022-09-15 15:56:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 15:56:16', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":["1"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570320581906780162', '1', 'tofly-flow', 'll', TO_DATE('2022-09-15 15:56:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 15:56:16', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570320582514954241', '1', 'tofly-flow', 'll', TO_DATE('2022-09-15 15:56:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 15:56:16', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570322534023942146', '1', 'tofly-flow', 'll', TO_DATE('2022-09-15 16:04:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 16:04:01', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570322534669864962', '1', 'tofly-flow', 'll', TO_DATE('2022-09-15 16:04:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 16:04:02', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570322536037208065', '1', 'tofly-flow', 'll', TO_DATE('2022-09-15 16:04:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 16:04:02', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570322677083262978', '1', 'tofly-flow', 'll', TO_DATE('2022-09-15 16:04:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 16:04:36', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/1570311339132964866', 'GET', '{"id":["1570311339132964866"]}', '21', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570322678609989633', '1', 'tofly-flow', 'll', TO_DATE('2022-09-15 16:04:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 16:04:36', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":["1"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570322679226552322', '1', 'tofly-flow', 'll', TO_DATE('2022-09-15 16:04:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 16:04:36', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570322680648421377', '1', 'tofly-flow', 'll', TO_DATE('2022-09-15 16:04:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 16:04:36', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570326529660538881', '1', 'tofly-flow', 'hq', TO_DATE('2022-09-15 16:19:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 16:19:54', 'SYYYY-MM-DD HH24:MI:SS'), '222.209.161.161', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '10', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570326822368432129', '0', 'tofly-flow', 'yj', TO_DATE('2022-09-15 16:21:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 16:21:04', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcalendaryearp/saveCalendarAll', 'POST', '{}', '65', NULL, '工作日应用日历列表为空，请重新输入', 'content:新增日历年日期相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570326866857414658', '0', 'tofly-flow', 'yj', TO_DATE('2022-09-15 16:21:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 16:21:14', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcalendaryearp/saveCalendarAll', 'POST', '{}', '65', NULL, '工作日应用日历列表为空，请重新输入', 'content:新增日历年日期相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570326955382394881', '0', 'tofly-flow', 'yj', TO_DATE('2022-09-15 16:21:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 16:21:36', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcalendaryearp/saveCalendarAll', 'POST', '{}', '177', NULL, '### Error updating database.  Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys003)

### The error may exist in com/tofly/workflow/baseconf/mapper/TfCalendarYearPMapper.java (best guess)
### The error may involve com.tofly.workflow.baseconf.mapper.TfCalendarYearPMapper.insert-Inline
### The error occurred while setting parameters
### SQL: INSERT INTO TF_CALENDAR_YEAR_P  ( id, UPDATE_USER, UPDATE_TIME,  year_name, remark,  CREATE_USER, CREATE_TIME )  VALUES  ( ?, ?, ?,  ?, ?,  ?, ? )
### Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys003)

; ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys003)
; nested exception is java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys003)', 'content:新增日历年日期相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570327077482778625', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-15 16:22:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 16:22:05', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcalendaryearp/saveCalendarAll', 'POST', '{}', '8', NULL, NULL, 'content:新增日历年日期相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570327077767991297', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-15 16:22:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 16:22:05', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570327348577423362', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-15 16:23:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 16:23:09', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570327365803429890', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-15 16:23:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 16:23:13', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcalendaryearp/deleteByIds', 'DELETE', '{"ids":["1570327077407281154"]}', '9', NULL, NULL, 'content:通过id批量删除日历年', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570327366055088130', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-15 16:23:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 16:23:13', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570327549853683713', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-15 16:23:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 16:23:57', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570327961671421953', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-15 16:25:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 16:25:36', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcalendaryearp/deleteByIds', 'DELETE', '{"ids":["1570313089466355713"]}', '6', NULL, NULL, 'content:通过id批量删除日历年', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570327961897914369', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-15 16:25:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 16:25:36', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '2', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570328007649382401', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-15 16:25:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 16:25:46', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcalendaryearp/saveCalendarAll', 'POST', '{}', '60', NULL, NULL, 'content:新增日历年日期相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570328008349831169', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-15 16:25:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 16:25:47', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570329058347700225', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-15 16:29:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 16:29:57', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570329539052687361', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 16:31:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 16:31:52', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl', 'POST', '{}', '33', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570329539576975361', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 16:31:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 16:31:52', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570329546325610498', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 16:31:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 16:31:53', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/1570311339132964866', 'GET', '{"id":["1570311339132964866"]}', '39', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570329547021864961', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 16:31:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 16:31:53', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570329547994943490', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 16:31:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 16:31:54', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570330045460369409', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-15 16:33:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 16:33:52', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570330076120731649', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 16:34:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 16:34:00', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570330076380778497', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 16:34:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 16:34:00', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570330091450912770', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-15 16:34:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-15 16:34:03', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/1570311339132964866', 'GET', '{"id":["1570311339132964866"]}', '40', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569978587514793985', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-14 17:17:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 17:17:18', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '450', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569978588336877570', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-14 17:17:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 17:17:18', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '38', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569978588756307970', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-14 17:17:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 17:17:19', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569152821327564802"]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569978590056542209', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-14 17:17:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 17:17:19', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.115.120', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '40', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569979525755432961', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-14 17:21:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 17:21:02', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '78', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569979645808996353', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-14 17:21:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 17:21:31', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1569979772774772738', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-14 17:22:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-14 17:22:01', 'SYYYY-MM-DD HH24:MI:SS'), '182.150.168.212', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1570680944632365057', '2', 'tofly-auth', 'yj', TO_DATE('2022-09-16 15:48:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-16 15:48:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/48b94372-394a-4fce-9438-ef576e7d998e', 'DELETE', '{}', '1', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571122169399336962', '2', 'tofly-auth', 'll', TO_DATE('2022-09-17 21:01:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-17 21:01:29', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/token/cc5eeeb6-24b1-46b8-869d-2f6449395430', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571127480638103554', '2', 'tofly-auth', 'll', TO_DATE('2022-09-17 21:22:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-17 21:22:36', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/token/ea73f1f6-4801-4ace-a3c8-f283fd48fce6', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571129760187801601', '2', 'tofly-auth', 'll', TO_DATE('2022-09-17 21:31:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-17 21:31:39', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/token/52339bed-9aa9-4ecf-b097-dfeb4f00e70b', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571144801079386114', '1', 'tofly-flow', 'll', TO_DATE('2022-09-17 22:31:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-17 22:31:25', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '20', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571144803512082433', '1', 'tofly-flow', 'll', TO_DATE('2022-09-17 22:31:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-17 22:31:26', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '531', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571144810201997313', '1', 'tofly-flow', 'll', TO_DATE('2022-09-17 22:31:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-17 22:31:27', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/1570698804578582529', 'GET', '{"id":["1570698804578582529"]}', '91', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571144811179270146', '1', 'tofly-flow', 'll', TO_DATE('2022-09-17 22:31:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-17 22:31:28', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '5', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571144812198486018', '1', 'tofly-flow', 'll', TO_DATE('2022-09-17 22:31:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-17 22:31:28', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '7', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571150027479965697', '0', 'tofly-flow', 'lz', TO_DATE('2022-09-17 22:52:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-17 22:52:11', 'SYYYY-MM-DD HH24:MI:SS'), '139.207.65.114', NULL, '/tfbuildunitp/saveTeamAll', 'POST', '{}', '169', NULL, '### Error updating database.  Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-01400: 无法将 NULL 插入 ("TF_ZMRQ_LC"."TF_BUILD_UNIT_P"."DEPT_ID")

### The error may exist in com/tofly/workflow/baseconf/mapper/TfBuildUnitPMapper.java (best guess)
### The error may involve com.tofly.workflow.baseconf.mapper.TfBuildUnitPMapper.insert-Inline
### The error occurred while setting parameters
### SQL: INSERT INTO TF_BUILD_UNIT_P  ( id,  order_number,  team_type,  remark, CREATE_USER,  CREATE_TIME, UPDATE_USER,  UPDATE_TIME )  VALUES  ( ?,  ?,  ?,  ?, ?,  ?, ?,  ? )
### Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-01400: 无法将 NULL 插入 ("TF_ZMRQ_LC"."TF_BUILD_UNIT_P"."DEPT_ID")

; ORA-01400: 无法将 NULL 插入 ("TF_ZMRQ_LC"."TF_BUILD_UNIT_P"."DEPT_ID")
; nested exception is java.sql.SQLIntegrityConstraintViolationException: ORA-01400: 无法将 NULL 插入 ("TF_ZMRQ_LC"."TF_BUILD_UNIT_P"."DEPT_ID")', 'content:新增施工班组相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571317395581689857', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-18 09:57:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 09:57:15', 'SYYYY-MM-DD HH24:MI:SS'), '171.92.78.234', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '87', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571318443574681602', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-18 10:01:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 10:01:25', 'SYYYY-MM-DD HH24:MI:SS'), '171.92.78.234', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '61', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571318932311760897', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-18 10:03:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 10:03:21', 'SYYYY-MM-DD HH24:MI:SS'), '171.92.78.234', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '17', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571320977714438146', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-18 10:11:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 10:11:29', 'SYYYY-MM-DD HH24:MI:SS'), '171.92.78.234', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571321018176888833', '0', 'tofly-flow', 'lz', TO_DATE('2022-09-18 10:11:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 10:11:39', 'SYYYY-MM-DD HH24:MI:SS'), '171.92.78.234', NULL, '/tfbasetypep', 'POST', '{}', '90', NULL, 'nested exception is org.apache.ibatis.type.TypeException: Could not set parameters for mapping: ParameterMapping{property=''ew.paramNameValuePairs.MPGENVAL1'', mode=IN, javaType=class java.lang.Object, jdbcType=null, numericScale=null, resultMapId=''null'', jdbcTypeName=''null'', expression=''null''}. Cause: org.apache.ibatis.type.TypeException: Error setting null for parameter #1 with JdbcType OTHER . Try setting a different JdbcType for this parameter or a different jdbcTypeForNull configuration property. Cause: java.sql.SQLException: 无效的列类型: 1111', 'content:新增基础类型表', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571321696098050050', '0', 'tofly-flow', 'lz', TO_DATE('2022-09-18 10:14:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 10:14:20', 'SYYYY-MM-DD HH24:MI:SS'), '171.92.78.234', NULL, '/tfbasetypep', 'POST', '{}', '99', NULL, 'nested exception is org.apache.ibatis.type.TypeException: Could not set parameters for mapping: ParameterMapping{property=''ew.paramNameValuePairs.MPGENVAL1'', mode=IN, javaType=class java.lang.Object, jdbcType=null, numericScale=null, resultMapId=''null'', jdbcTypeName=''null'', expression=''null''}. Cause: org.apache.ibatis.type.TypeException: Error setting null for parameter #1 with JdbcType OTHER . Try setting a different JdbcType for this parameter or a different jdbcTypeForNull configuration property. Cause: java.sql.SQLException: 无效的列类型: 1111', 'content:新增基础类型表', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571329955810893825', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-18 10:47:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 10:47:10', 'SYYYY-MM-DD HH24:MI:SS'), '171.92.78.234', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"key":[""]}', '30', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571329960483348481', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-18 10:47:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 10:47:11', 'SYYYY-MM-DD HH24:MI:SS'), '171.92.78.234', NULL, '/tfworkprocessp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571330002703212545', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-18 10:47:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 10:47:21', 'SYYYY-MM-DD HH24:MI:SS'), '171.92.78.234', NULL, '/tfworkprocessp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571331250340880386', '0', 'tofly-flow', 'lz', TO_DATE('2022-09-18 10:52:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 10:52:18', 'SYYYY-MM-DD HH24:MI:SS'), '171.92.78.234', NULL, '/tfworkprocessp/saveWorkProjectProcess', 'POST', '{}', '100', NULL, 'nested exception is org.apache.ibatis.type.TypeException: Could not set parameters for mapping: ParameterMapping{property=''ew.paramNameValuePairs.MPGENVAL1'', mode=IN, javaType=class java.lang.Object, jdbcType=null, numericScale=null, resultMapId=''null'', jdbcTypeName=''null'', expression=''null''}. Cause: org.apache.ibatis.type.TypeException: Error setting null for parameter #1 with JdbcType OTHER . Try setting a different JdbcType for this parameter or a different jdbcTypeForNull configuration property. Cause: java.sql.SQLException: 无效的列类型: 1111', 'content:新增工程管控管理相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571332976259227649', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-18 10:59:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 10:59:10', 'SYYYY-MM-DD HH24:MI:SS'), '171.92.78.234', NULL, '/tfworkprocessp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571333210402054146', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-18 11:00:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-18 11:00:05', 'SYYYY-MM-DD HH24:MI:SS'), '171.92.78.234', NULL, '/tfworkprocessp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571746162036703234', '0', 'tofly-flow', 'yj', TO_DATE('2022-09-19 14:21:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:21:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '101', NULL, '### Error querying database.  Cause: java.sql.SQLSyntaxErrorException: ORA-00936: 缺失表达式

### The error may exist in com/tofly/workflow/baseconf/mapper/TfContractFieldPMapper.java (best guess)
### The error may involve defaultParameterMap
### The error occurred while setting parameters
### SQL: SELECT * FROM TF_CONTRACT_FIELD_P WHERE id IN ( )
### Cause: java.sql.SQLSyntaxErrorException: ORA-00936: 缺失表达式

; bad SQL grammar []; nested exception is java.sql.SQLSyntaxErrorException: ORA-00936: 缺失表达式', 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571746302977900546', '0', 'tofly-flow', 'yj', TO_DATE('2022-09-19 14:21:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:21:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '94', NULL, '### Error querying database.  Cause: java.sql.SQLSyntaxErrorException: ORA-00936: 缺失表达式

### The error may exist in com/tofly/workflow/baseconf/mapper/TfContractFieldPMapper.java (best guess)
### The error may involve defaultParameterMap
### The error occurred while setting parameters
### SQL: SELECT * FROM TF_CONTRACT_FIELD_P WHERE id IN ( )
### Cause: java.sql.SQLSyntaxErrorException: ORA-00936: 缺失表达式

; bad SQL grammar []; nested exception is java.sql.SQLSyntaxErrorException: ORA-00936: 缺失表达式', 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571746974930567169', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 14:24:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:24:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571746976197246978', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 14:24:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:24:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571756615865573378', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 15:02:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:02:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["10000"],"current":["1"]}', '1', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571756616180146177', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 15:02:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:02:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '1', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571756622089920513', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 15:02:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:02:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["30"],"current":["1"]}', '1', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571756823861108738', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 15:03:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:03:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["10000"],"current":["1"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571756824179875841', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 15:03:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:03:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '1', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571756835919732737', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-19 15:03:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:03:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571756887023132674', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 15:03:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:03:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["30"],"current":["1"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571756898595217409', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 15:03:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:03:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["10000"],"current":["1"]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571756898922373121', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 15:03:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:03:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571756936566251521', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 15:03:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:03:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["30"],"current":["1"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571757087603138562', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 15:04:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:04:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp', 'POST', '{}', '2', NULL, NULL, 'content:新增合同模板公用字段', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571757087833825281', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 15:04:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:04:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["30"],"current":["1"]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571760094935883778', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 15:16:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:16:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["10000"],"current":["1"]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571760095242067970', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 15:16:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:16:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571760137168330753', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 15:16:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:16:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"key":[""]}', '34', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571760144734855169', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 15:16:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:16:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/1571752183224500226', 'GET', '{"0":["1571752183224500226"]}', '10', NULL, NULL, 'content:通过id查询施工组织单位', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571760519932125186', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-19 15:18:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:18:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571760522666811393', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-19 15:18:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:18:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571760583387750401', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 15:18:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:18:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"key":[""]}', '37', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571760590790696962', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 15:18:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:18:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/1571753437224890370', 'GET', '{"0":["1571753437224890370"]}', '16', NULL, NULL, 'content:通过id查询施工组织单位', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571760651104788482', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 15:18:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:18:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/1571749865208676353', 'GET', '{"0":["1571749865208676353"]}', '5', NULL, NULL, 'content:通过id查询施工组织单位', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571760776174739458', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-19 15:19:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:19:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571760781790912513', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-19 15:19:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:19:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571760849726054402', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 15:19:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:19:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"key":[""]}', '32', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571760854851493890', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 15:19:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:19:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/1571753437224890370', 'GET', '{"0":["1571753437224890370"]}', '21', NULL, NULL, 'content:通过id查询施工组织单位', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571760866733957121', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 15:19:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:19:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/1571749865208676353', 'GET', '{"0":["1571749865208676353"]}', '5', NULL, NULL, 'content:通过id查询施工组织单位', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571760883888660482', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 15:19:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:19:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"key":[""]}', '35', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571760889328672770', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 15:19:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:19:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/1571749865208676353', 'GET', '{"0":["1571749865208676353"]}', '4', NULL, NULL, 'content:通过id查询施工组织单位', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571761112876687361', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 15:20:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:20:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571750245913100289', '0', 'tofly-flow', 'yj', TO_DATE('2022-09-19 14:37:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:37:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '182', NULL, '### Error querying database.  Cause: java.sql.SQLSyntaxErrorException: ORA-00936: 缺失表达式

### The error may exist in com/tofly/workflow/baseconf/mapper/TfContractFieldPMapper.java (best guess)
### The error may involve defaultParameterMap
### The error occurred while setting parameters
### SQL: SELECT * FROM TF_CONTRACT_FIELD_P WHERE id IN ( )
### Cause: java.sql.SQLSyntaxErrorException: ORA-00936: 缺失表达式

; bad SQL grammar []; nested exception is java.sql.SQLSyntaxErrorException: ORA-00936: 缺失表达式', 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571750395444232194', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 14:37:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:37:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":["新安装工程"]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571750396182429697', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 14:37:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:37:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":["新安装工程"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571750401198817281', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 14:37:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:37:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571750402054455298', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 14:37:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:37:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571750414444429314', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 14:37:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:37:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":["12"]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571750416159899649', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 14:37:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:37:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":["12"]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571750421172092930', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 14:37:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:37:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571750422283583490', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 14:37:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:37:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571750423021780994', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 14:37:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:37:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571750427090255874', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 14:37:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:37:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1571745533478338562', 'GET', '{"id":["1571745533478338562"]}', '21', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571750427551629314', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 14:37:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:37:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571750428856057857', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 14:37:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:37:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571750480072704001', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 14:38:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:38:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '17', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571750696591065090', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 14:39:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:39:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["10000"],"current":["1"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571750697341845505', '0', 'tofly-flow', 'yj', TO_DATE('2022-09-19 14:39:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:39:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '89', NULL, '### Error querying database.  Cause: java.sql.SQLSyntaxErrorException: ORA-00936: 缺失表达式

### The error may exist in com/tofly/workflow/baseconf/mapper/TfContractFieldPMapper.java (best guess)
### The error may involve defaultParameterMap
### The error occurred while setting parameters
### SQL: SELECT * FROM TF_CONTRACT_FIELD_P WHERE id IN ( )
### Cause: java.sql.SQLSyntaxErrorException: ORA-00936: 缺失表达式

; bad SQL grammar []; nested exception is java.sql.SQLSyntaxErrorException: ORA-00936: 缺失表达式', 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571750851880976385', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 14:39:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:39:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["10000"],"current":["1"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571750852581425154', '0', 'tofly-flow', 'yj', TO_DATE('2022-09-19 14:39:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:39:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '89', NULL, '### Error querying database.  Cause: java.sql.SQLSyntaxErrorException: ORA-00936: 缺失表达式

### The error may exist in com/tofly/workflow/baseconf/mapper/TfContractFieldPMapper.java (best guess)
### The error may involve defaultParameterMap
### The error occurred while setting parameters
### SQL: SELECT * FROM TF_CONTRACT_FIELD_P WHERE id IN ( )
### Cause: java.sql.SQLSyntaxErrorException: ORA-00936: 缺失表达式

; bad SQL grammar []; nested exception is java.sql.SQLSyntaxErrorException: ORA-00936: 缺失表达式', 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571751501868072962', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 14:42:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:42:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571751919520088065', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 14:43:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:43:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571752030811750401', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-19 14:44:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:44:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571752061266591745', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-19 14:44:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:44:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571752157144186882', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 14:44:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:44:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["10000"],"current":["1"]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571752196969103362', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-19 14:45:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:45:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571752218662043650', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 14:45:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:45:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571752218720763906', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 14:45:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:45:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571752234092888065', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 14:45:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:45:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571752234344546306', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 14:45:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:45:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571752243093864450', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 14:45:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:45:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571752330985504770', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 14:45:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:45:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571752331207802882', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 14:45:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:45:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571752530365939713', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 14:46:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:46:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"key":[""]}', '34', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571755293804175361', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-19 14:57:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:57:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"contractFieldList[0].name":[""],"hitCount":[""],"records":[""],"contractType":[""],"searchCount":[""],"remark":[""],"contractFieldList[0].updateTime":[""],"contractFieldList[0].specialType":[""],"contractFieldList[0].id":[""],"contractFieldList[0].updateUser":[""],"contractFieldList[0].remark":[""],"current":[""],"total":[""],"orders[0].asc":[""],"orders[0].column":[""],"id":[""],"annex":[""],"contractFieldList[0].fieldType":[""],"optimizeCountSql":[""],"updateUser":[""],"updateTime":[""],"contractAnnex":[""],"size":[""],"createTime":[""],"name":[""],"tenantId":[""],"contractFieldList[0].isDel":[""],"createUser":[""],"contractFieldList[0].createTime":[""],"contractFieldList[0].createUser":[""],"isDel":[""],"contractFieldList[0].fieldName":[""]}', '52', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571755432094572545', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 14:57:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:57:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571755432354619394', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 14:57:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:57:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571755437844963329', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 14:57:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:57:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1571745533478338562', 'GET', '{"id":["1571745533478338562"]}', '41', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571755440227328001', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 14:57:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:57:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571755441686945793', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 14:57:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:57:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571755448527855617', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 14:57:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:57:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl', 'POST', '{}', '35', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571755448892760066', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 14:57:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:57:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '20', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571755455314239489', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 14:57:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:57:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1571745533478338562', 'GET', '{"id":["1571745533478338562"]}', '31', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571755455729475586', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 14:57:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:57:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571755457134567425', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 14:57:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:57:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571755501996843009', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 14:58:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:58:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1570698804578582529', 'GET', '{"id":["1570698804578582529"]}', '81', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571755502739234817', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 14:58:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:58:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571755504014303233', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 14:58:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:58:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571755625300992001', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-19 14:58:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:58:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571755634662678530', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 14:58:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:58:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571755646004076545', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 14:58:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:58:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571755656930238465', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 14:58:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:58:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["10000"],"current":["1"]}', '18', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571755657253199873', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 14:58:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:58:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571755861138317313', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 14:59:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:59:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"key":[""]}', '84', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571755894051020801', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 14:59:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:59:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/deleteByIds', 'DELETE', '{"0":["1571752183224500226"]}', '0', NULL, NULL, 'content:通过id批量删除施工组织单位', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571755976175493121', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 15:00:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:00:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["10000"],"current":["1"]}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571755979551907841', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 15:00:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:00:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '2', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571755993560883201', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 15:00:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:00:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"key":[""]}', '61', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571756016113655810', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 15:00:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:00:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/deleteByIds', 'DELETE', '{"ids":["1571745837087227906"]}', '10', NULL, NULL, 'content:通过id批量删除施工组织单位', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571756016575029249', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 15:00:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:00:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"key":[""]}', '50', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571756043699593217', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 15:00:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:00:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/deleteByIds', 'DELETE', '{"ids":["1571692970825551874"]}', '26', NULL, NULL, 'content:通过id批量删除施工组织单位', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571756044211298305', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 15:00:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:00:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"key":[""]}', '60', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571756052100784129', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 15:00:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:00:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/deleteByIds', 'DELETE', '{"ids":["1571692868320956417"]}', '5', NULL, NULL, 'content:通过id批量删除施工组织单位', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571756052545380353', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 15:00:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:00:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"key":[""]}', '44', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571756061110149122', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 15:00:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:00:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/deleteByIds', 'DELETE', '{"ids":["1571693726156787713"]}', '5', NULL, NULL, 'content:通过id批量删除施工组织单位', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571756061441499137', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 15:00:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:00:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"key":[""]}', '38', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571756072145362946', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 15:00:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:00:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/1571752183224500226', 'GET', '{"0":["1571752183224500226"]}', '22', NULL, NULL, 'content:通过id查询施工组织单位', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571756089115516930', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-19 15:00:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:00:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571756145025589249', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-19 15:00:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:00:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571756438157107201', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-19 15:01:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:01:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571756454317760513', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 15:01:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:01:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["30"],"current":["1"]}', '2', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571756462773477378', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 15:01:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:01:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["30"],"current":["1"]}', '2', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571769767596498946', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 15:54:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:54:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571769769114836994', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 15:54:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:54:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571771703389429762', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-19 16:02:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:02:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571771709588611073', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-19 16:02:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:02:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571772575808856065', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 16:05:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:05:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571772976184532993', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-19 16:07:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:07:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '2', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571772996149420034', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-19 16:07:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:07:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571773018567974913', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 16:07:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:07:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"key":[""]}', '33', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571773036850946049', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 16:07:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:07:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/1571753437224890370', 'GET', '{"0":["1571753437224890370"]}', '27', NULL, NULL, 'content:通过id查询施工组织单位', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571773764097122306', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 16:10:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:10:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"key":[""]}', '35', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571773783579664385', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 16:10:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:10:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/1571752183224500226', 'GET', '{"0":["1571752183224500226"]}', '13', NULL, NULL, 'content:通过id查询施工组织单位', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571788509646692354', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 17:09:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 17:09:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571788559433080834', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-19 17:09:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 17:09:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/c5ba9214-6fa8-45b7-a4d2-1d1ce74ff51f', 'DELETE', '{}', '1', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571788581096660994', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 17:09:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 17:09:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571799194342531074', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-19 17:51:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 17:51:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571799195403689985', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-19 17:51:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 17:51:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571799204559855618', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-19 17:51:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 17:51:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1569507482133536769', 'GET', '{"id":["1569507482133536769"]}', '24', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571799205356773377', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-19 17:51:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 17:51:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571799206308880386', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-19 17:51:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 17:51:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571799209035177985', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-19 17:51:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 17:51:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571799251598974977', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-19 17:51:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 17:51:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571799252047765506', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-19 17:51:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 17:51:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571799255281573890', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-19 17:51:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 17:51:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571799264387407873', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-19 17:52:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 17:52:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1570698804578582529', 'GET', '{"id":["1570698804578582529"]}', '92', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571799265888968705', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-19 17:52:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 17:52:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":["1"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571799266241290242', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-19 17:52:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 17:52:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571799269718368258', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-19 17:52:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 17:52:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571799659998355458', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-19 17:53:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 17:53:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571799663219580930', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-19 17:53:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 17:53:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571799743943155713', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-19 17:53:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 17:53:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '2', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571799748456226817', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-19 17:53:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 17:53:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '2', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571800313571581953', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 17:56:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 17:56:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/1571753437224890370', 'GET', '{"0":["1571753437224890370"]}', '19', NULL, NULL, 'content:通过id查询施工组织单位', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571800465157922817', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 17:56:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 17:56:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"key":[""]}', '35', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571800481998053378', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 17:56:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 17:56:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/1571752183224500226', 'GET', '{"0":["1571752183224500226"]}', '18', NULL, NULL, 'content:通过id查询施工组织单位', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571800506845110273', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 17:56:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 17:56:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/1571753437224890370', 'GET', '{"0":["1571753437224890370"]}', '16', NULL, NULL, 'content:通过id查询施工组织单位', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571800596150231042', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-19 17:57:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 17:57:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571800604496896002', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-19 17:57:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 17:57:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571801227128741890', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 17:59:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 17:59:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571801227644641282', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 17:59:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 17:59:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571801234338750465', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 17:59:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 17:59:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571701301686308865', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 11:22:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 11:22:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["10000"],"current":["1"]}', '44', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571701305532485633', '0', 'tofly-flow', 'yj', TO_DATE('2022-09-19 11:22:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 11:22:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '192', NULL, '### Error querying database.  Cause: java.sql.SQLSyntaxErrorException: ORA-00936: 缺失表达式

### The error may exist in com/tofly/workflow/baseconf/mapper/TfContractFieldPMapper.java (best guess)
### The error may involve defaultParameterMap
### The error occurred while setting parameters
### SQL: SELECT * FROM TF_CONTRACT_FIELD_P WHERE id IN ( )
### Cause: java.sql.SQLSyntaxErrorException: ORA-00936: 缺失表达式

; bad SQL grammar []; nested exception is java.sql.SQLSyntaxErrorException: ORA-00936: 缺失表达式', 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571701433815273473', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 11:23:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 11:23:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfreportentryp/page', 'GET', '{"name":[""],"current":["1"],"size":["30"]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571701451112583170', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 11:23:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 11:23:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfreportentryp/page', 'GET', '{"name":["开"],"current":["1"],"size":["30"]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571701522931650562', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 11:23:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 11:23:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfreportentryp/page', 'GET', '{"name":[""],"current":["1"],"size":["30"]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571701537645268994', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 11:23:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 11:23:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfreportentryp/page', 'GET', '{"name":["大"],"current":["1"],"size":["30"]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571701553105473537', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 11:23:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 11:23:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfreportentryp/page', 'GET', '{"name":[""],"current":["1"],"size":["30"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571775635201433601', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 16:18:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:18:08', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.48', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '33', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571775649952800769', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 16:18:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:18:11', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.48', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["10000"],"current":["1"]}', '19', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571777851702353922', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 16:26:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:26:56', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.48', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '79', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571778683621580802', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 16:30:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:30:15', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.48', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["30"],"current":["1"]}', '27', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571778837045026818', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 16:30:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:30:51', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.48', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["30"],"current":["1"]}', '24', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571779001503686657', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 16:31:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:31:30', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.48', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["30"],"current":["1"]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571779418790797313', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 16:33:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:33:10', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.48', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '267', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571779418790797314', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 16:33:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:33:10', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.48', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["10000"],"current":["1"]}', '173', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571779998045151233', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 16:35:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:35:28', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.48', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["10000"],"current":["1"]}', '30', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571779999072755714', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 16:35:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:35:28', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.48', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '98', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571792737333157889', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-19 17:26:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 17:26:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571792737530290178', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-19 17:26:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 17:26:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571792738734055426', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-19 17:26:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 17:26:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571792750830428162', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-19 17:26:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 17:26:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1570698804578582529', 'GET', '{"id":["1570698804578582529"]}', '120', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571792751224692738', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-19 17:26:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 17:26:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571792751375687682', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-19 17:26:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 17:26:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571792752428457985', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-19 17:26:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 17:26:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571793319007625218', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 17:28:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 17:28:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571793335042449410', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-19 17:28:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 17:28:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '19', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571793335273136130', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-19 17:28:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 17:28:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571793340411158530', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-19 17:28:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 17:28:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571793341224853505', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-19 17:28:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 17:28:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571793363412721666', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-19 17:28:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 17:28:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1571780757536903170', 'GET', '{"id":["1571780757536903170"]}', '28', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571793363895066626', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-19 17:28:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 17:28:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571793365014945794', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-19 17:28:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 17:28:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571793374854782977', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-19 17:28:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 17:28:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '17', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571793375102246913', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-19 17:28:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 17:28:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571793380449984513', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-19 17:28:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 17:28:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571793380613562370', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-19 17:28:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 17:28:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571793381733441537', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-19 17:28:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 17:28:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571793410267291649', '2', 'tofly-auth', 'rq', TO_DATE('2022-09-19 17:28:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 17:28:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/2e6f8da9-d6a2-4069-acd6-a1fcb20cbf21', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571793658196795394', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 17:29:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 17:29:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571701222644649985', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 11:22:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 11:22:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfreportentryp/page', 'GET', '{"current":["1"],"size":["30"],"key":["开"]}', '439', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571752845538525185', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-19 14:47:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:47:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571754614691844097', '0', 'tofly-flow', 'yjf', TO_DATE('2022-09-19 14:54:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:54:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"contractFieldList[0].name":[""],"hitCount":[""],"records":[""],"contractType":[""],"searchCount":[""],"remark":[""],"contractFieldList[0].updateTime":[""],"contractFieldList[0].specialType":[""],"contractFieldList[0].id":[""],"contractFieldList[0].updateUser":[""],"contractFieldList[0].remark":[""],"current":[""],"total":[""],"orders[0].asc":[""],"orders[0].column":[""],"id":[""],"annex":[""],"contractFieldList[0].fieldType":[""],"optimizeCountSql":[""],"updateUser":[""],"updateTime":[""],"contractAnnex":[""],"size":[""],"createTime":[""],"name":[""],"tenantId":[""],"contractFieldList[0].isDel":[""],"createUser":[""],"contractFieldList[0].createTime":[""],"contractFieldList[0].createUser":[""],"isDel":[""],"contractFieldList[0].fieldName":[""]}', '1563', NULL, '### Error querying database.  Cause: java.sql.SQLSyntaxErrorException: ORA-00936: 缺失表达式

### The error may exist in com/tofly/workflow/baseconf/mapper/TfContractFieldPMapper.java (best guess)
### The error may involve defaultParameterMap
### The error occurred while setting parameters
### SQL: SELECT * FROM TF_CONTRACT_FIELD_P WHERE id IN ( )
### Cause: java.sql.SQLSyntaxErrorException: ORA-00936: 缺失表达式

; bad SQL grammar []; nested exception is java.sql.SQLSyntaxErrorException: ORA-00936: 缺失表达式', 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571754658757201921', '0', 'tofly-flow', 'yjf', TO_DATE('2022-09-19 14:54:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:54:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"contractFieldList[0].name":[""],"hitCount":[""],"records":[""],"contractType":[""],"searchCount":[""],"remark":[""],"contractFieldList[0].updateTime":[""],"contractFieldList[0].specialType":[""],"contractFieldList[0].id":[""],"contractFieldList[0].updateUser":[""],"contractFieldList[0].remark":[""],"current":[""],"total":[""],"orders[0].asc":[""],"orders[0].column":[""],"id":[""],"annex":[""],"contractFieldList[0].fieldType":[""],"optimizeCountSql":[""],"updateUser":[""],"updateTime":[""],"contractAnnex":[""],"size":[""],"createTime":[""],"name":[""],"tenantId":[""],"contractFieldList[0].isDel":[""],"createUser":[""],"contractFieldList[0].createTime":[""],"contractFieldList[0].createUser":[""],"isDel":[""],"contractFieldList[0].fieldName":[""]}', '97', NULL, '### Error querying database.  Cause: java.sql.SQLSyntaxErrorException: ORA-00936: 缺失表达式

### The error may exist in com/tofly/workflow/baseconf/mapper/TfContractFieldPMapper.java (best guess)
### The error may involve defaultParameterMap
### The error occurred while setting parameters
### SQL: SELECT * FROM TF_CONTRACT_FIELD_P WHERE id IN ( )
### Cause: java.sql.SQLSyntaxErrorException: ORA-00936: 缺失表达式

; bad SQL grammar []; nested exception is java.sql.SQLSyntaxErrorException: ORA-00936: 缺失表达式', 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571754768585052162', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 14:55:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:55:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"key":[""]}', '235', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571766472740020226', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 15:41:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:41:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/1571684283960549378', 'GET', '{"0":["1571684283960549378"]}', '5', NULL, NULL, 'content:通过id查询施工组织单位', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571766484391796738', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 15:41:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:41:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/1571749865208676353', 'GET', '{"0":["1571749865208676353"]}', '7', NULL, NULL, 'content:通过id查询施工组织单位', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571766497020846081', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 15:41:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:41:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/1571683584212230146', 'GET', '{"0":["1571683584212230146"]}', '6', NULL, NULL, 'content:通过id查询施工组织单位', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571766523067473922', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 15:41:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:41:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571766523323326466', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 15:41:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:41:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '17', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571766544236126209', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 15:42:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:42:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/1554750588556771329', 'GET', '{"0":["1554750588556771329"]}', '10', NULL, NULL, 'content:通过id查询施工组织单位', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571766673953366017', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 15:42:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:42:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571766674154692609', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 15:42:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:42:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571766686498529281', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 15:42:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:42:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/1571753437224890370', 'GET', '{"0":["1571753437224890370"]}', '21', NULL, NULL, 'content:通过id查询施工组织单位', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571766830203772930', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 15:43:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:43:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1571326768206962690"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571766874608869377', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 15:43:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:43:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571766875355455490', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 15:43:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:43:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571766968959737857', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 15:43:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:43:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1571326768206962690"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571767008298115073', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 15:43:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:43:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571767008650436610', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 15:43:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:43:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571767042326503426', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 15:43:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:43:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1571745533478338562', 'GET', '{"id":["1571745533478338562"]}', '25', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571767042771099649', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 15:43:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:43:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571767043899367426', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 15:43:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:43:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571767334640132098', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 15:45:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:45:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"key":[""]}', '40', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571767340768010242', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 15:45:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:45:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/1571753437224890370', 'GET', '{"0":["1571753437224890370"]}', '24', NULL, NULL, 'content:通过id查询施工组织单位', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571767394669010946', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 15:45:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:45:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl', 'POST', '{}', '35', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571756586438336514', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-19 15:02:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:02:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571756643346653185', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 15:02:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:02:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["10000"],"current":["1"]}', '2', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571756643669614593', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 15:02:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:02:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '2', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571756709826371586', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 15:02:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:02:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["30"],"current":["1"]}', '2', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571756722061156353', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 15:02:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:02:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["10000"],"current":["1"]}', '1', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571756723801792513', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 15:02:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:02:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '2', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571756724439326721', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 15:02:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:02:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["30"],"current":["1"]}', '0', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571756813052387329', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 15:03:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:03:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp', 'POST', '{}', '5', NULL, NULL, 'content:新增合同模板公用字段', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571756813354377218', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 15:03:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:03:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["30"],"current":["1"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571757094666346497', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 15:04:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:04:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["10000"],"current":["1"]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571757094985113602', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 15:04:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:04:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '2', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571757318130475009', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-19 15:05:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:05:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571757800043421697', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 15:07:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:07:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"key":[""]}', '39', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571757855127216129', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 15:07:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:07:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/1571753437224890370', 'GET', '{"0":["1571753437224890370"]}', '24', NULL, NULL, 'content:通过id查询施工组织单位', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571757887431745537', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 15:07:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:07:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"key":[""]}', '38', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571757894998269954', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 15:07:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:07:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/1571753437224890370', 'GET', '{"0":["1571753437224890370"]}', '18', NULL, NULL, 'content:通过id查询施工组织单位', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571758292899307522', '0', 'tofly-flow', 'yj', TO_DATE('2022-09-19 15:09:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:09:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/saveContractTemplateField', 'POST', '{}', '210', NULL, '### Error updating database.  Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.PK_TF_CONTRACT_FIELD_P)

### The error may exist in com/tofly/workflow/baseconf/mapper/TfContractFieldPMapper.java (best guess)
### The error may involve com.tofly.workflow.baseconf.mapper.TfContractFieldPMapper.insert-Inline
### The error occurred while setting parameters
### SQL: INSERT INTO TF_CONTRACT_FIELD_P  ( id, name, field_name, field_type,   remark, CREATE_USER, CREATE_TIME, UPDATE_USER, UPDATE_TIME )  VALUES  ( ?, ?, ?, ?,   ?, ?, ?, ?, ? )
### Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.PK_TF_CONTRACT_FIELD_P)

; ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.PK_TF_CONTRACT_FIELD_P)
; nested exception is java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.PK_TF_CONTRACT_FIELD_P)', 'content:新增合同模板', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571758344384389121', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 15:09:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:09:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["30"],"current":["1"]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571758394061725697', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 15:09:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:09:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["10000"],"current":["1"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571758394388881409', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 15:09:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:09:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571758491159863298', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 15:10:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:10:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/1571752183224500226', 'GET', '{"0":["1571752183224500226"]}', '13', NULL, NULL, 'content:通过id查询施工组织单位', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571759163926224898', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 15:12:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:12:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"key":[""]}', '35', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571759186386722818', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 15:12:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:12:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/1571753437224890370', 'GET', '{"0":["1571753437224890370"]}', '16', NULL, NULL, 'content:通过id查询施工组织单位', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571759209128239106', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 15:12:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:12:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"key":[""]}', '35', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571759229999095810', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 15:12:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:12:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/1571749865208676353', 'GET', '{"0":["1571749865208676353"]}', '4', NULL, NULL, 'content:通过id查询施工组织单位', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571759493988589570', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 15:13:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:13:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["10000"],"current":["1"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571759494424797186', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 15:14:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:14:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571761112184627202', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 15:20:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:20:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["10000"],"current":["1"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571761994305478658', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 15:23:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:23:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["10000"],"current":["1"]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571761994708131841', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 15:23:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:23:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571762087108648961', '0', 'tofly-flow', 'yj', TO_DATE('2022-09-19 15:24:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:24:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/saveContractTemplateField', 'POST', '{}', '101', NULL, '### Error updating database.  Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.PK_TF_CONTRACT_FIELD_P)

### The error may exist in com/tofly/workflow/baseconf/mapper/TfContractFieldPMapper.java (best guess)
### The error may involve com.tofly.workflow.baseconf.mapper.TfContractFieldPMapper.insert-Inline
### The error occurred while setting parameters
### SQL: INSERT INTO TF_CONTRACT_FIELD_P  ( id, name, field_name, field_type,   remark, CREATE_USER, CREATE_TIME, UPDATE_USER, UPDATE_TIME )  VALUES  ( ?, ?, ?, ?,   ?, ?, ?, ?, ? )
### Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.PK_TF_CONTRACT_FIELD_P)

; ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.PK_TF_CONTRACT_FIELD_P)
; nested exception is java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.PK_TF_CONTRACT_FIELD_P)', 'content:新增合同模板', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571763375774998530', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 15:29:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:29:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["10000"],"current":["1"]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571763379537289218', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 15:29:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:29:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '17', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571691854327410689', '0', 'tofly-flow', 'admin', TO_DATE('2022-09-19 10:45:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 10:45:13', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568483272991195137"],"isMould":["0"]}', '207', NULL, 'nested exception is org.apache.ibatis.executor.ExecutorException: A query was run and no Result Maps were found for the Mapped Statement ''com.tofly.workflow.processconfig.mapper.TfProcessConfigLMapper.getConfigNameInfo''.  It''s likely that neither a Result Type nor a Result Map was specified.', 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571692962521247745', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-19 10:49:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 10:49:37', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568483272991195137"],"isMould":["0"]}', '348', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571693087687667713', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-19 10:50:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 10:50:07', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '78', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571696656314757122', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-19 11:04:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 11:04:18', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '279', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571696676300615681', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-19 11:04:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 11:04:23', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571753184476110850', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-19 14:48:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:48:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '295', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571753437715603458', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 14:49:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:49:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/saveTeamAll', 'POST', '{}', '97', NULL, NULL, 'content:新增施工班组相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571753627193286658', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 14:50:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:50:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '48', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571753627595939842', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 14:50:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:50:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '24', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571753637859401729', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 14:50:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:50:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1570698804578582529', 'GET', '{"id":["1570698804578582529"]}', '112', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571753638769565698', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 14:50:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:50:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '5', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571753641764298754', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 14:50:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:50:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '9', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571753690288201729', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 14:50:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:50:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl', 'POST', '{}', '265', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571753690804101122', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 14:50:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:50:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '20', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571753701772206082', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 14:50:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:50:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1571745533478338562', 'GET', '{"id":["1571745533478338562"]}', '34', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571753702346825730', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 14:50:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:50:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571753704779522050', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 14:50:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:50:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '7', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571753729861459969', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 14:51:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:51:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1570698804578582529', 'GET', '{"id":["1570698804578582529"]}', '209', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571753730666766338', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 14:51:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:51:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '5', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571753734546497538', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 14:51:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:51:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571753746894528513', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 14:51:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:51:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl', 'POST', '{}', '34', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571753747691446273', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 14:51:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:51:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '17', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571753755195056129', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 14:51:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:51:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1571745533478338562', 'GET', '{"id":["1571745533478338562"]}', '65', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571753757833273345', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 14:51:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:51:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571753759930425346', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 14:51:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:51:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571753796404092929', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 14:51:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:51:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1570698804578582529', 'GET', '{"id":["1570698804578582529"]}', '106', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571753796911603714', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 14:51:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:51:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571753798421553154', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 14:51:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:51:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571753804541042689', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 14:51:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:51:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"key":[""]}', '69', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571753809880391682', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 14:51:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:51:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl', 'POST', '{}', '55', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571753810345959425', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 14:51:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:51:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '20', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571753817346252802', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 14:51:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:51:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1571745533478338562', 'GET', '{"id":["1571745533478338562"]}', '78', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571753818063478785', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 14:51:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:51:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571753821070794754', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 14:51:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:51:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571801234506522626', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 17:59:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 17:59:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571801236117135361', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 17:59:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 17:59:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571801244442828801', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 17:59:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 17:59:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1570698804578582529', 'GET', '{"id":["1570698804578582529"]}', '81', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571801245562707969', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 17:59:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 17:59:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":["1"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571801245705314306', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 17:59:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 17:59:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571738522598625281', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 13:50:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 13:50:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571738523626229761', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 13:50:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 13:50:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571738570875064321', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 13:50:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 13:50:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571793696012640257', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 17:29:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 17:29:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"key":[""]}', '87', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571793710420074498', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 17:29:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 17:29:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfreportentryp/page', 'GET', '{"name":[""],"current":["1"],"size":["30"]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571793720784199682', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 17:30:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 17:30:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfreportentryp/page', 'GET', '{"name":[""],"current":["1"],"size":["30"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571794314785726466', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 17:32:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 17:32:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["30"],"key":[""],"dataType":["1570692286170427394"]}', '48', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571801247395618817', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 17:59:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 17:59:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '2', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571802117231353858', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-19 18:03:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 18:03:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '2', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571803044453556225', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 18:07:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 18:07:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp', 'POST', '{}', '4', NULL, NULL, 'content:新增工程工序/工程管控', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571803044923318274', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 18:07:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 18:07:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571803054180147202', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 18:07:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 18:07:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/1571794464484749313', 'GET', '{"0":["1571794464484749313"]}', '3', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571803229338476546', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-19 18:07:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 18:07:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571803229543997442', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-19 18:07:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 18:07:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571803346804154370', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 18:08:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 18:08:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1569660763252559873', 'GET', '{"id":["1569660763252559873"]}', '27', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571803363736559618', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 18:08:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 18:08:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571804805469839362', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-19 18:14:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 18:14:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571804821198479362', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 18:14:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 18:14:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571804821366251522', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 18:14:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 18:14:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571804823102693377', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-19 18:14:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 18:14:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '2', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571804824948187137', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 18:14:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 18:14:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571804825208233985', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 18:14:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 18:14:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571804851112255489', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 18:14:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 18:14:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1570698804578582529', 'GET', '{"id":["1570698804578582529"]}', '84', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571804852769005569', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 18:14:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 18:14:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571804853750472706', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 18:14:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 18:14:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571804864894738433', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-19 18:14:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 18:14:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571805017378660354', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-19 18:14:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 18:14:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571805696692330497', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-19 18:17:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 18:17:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571805703440965634', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-19 18:17:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 18:17:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '2', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572039313939058689', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-20 09:45:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 09:45:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["30"],"current":["1"]}', '21', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572056106925649922', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:52:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:52:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572056107114393601', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:52:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:52:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572056110029434881', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:52:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:52:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572056121303724034', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:52:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:52:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572050850087034882', 'GET', '{"id":["1572050850087034882"]}', '20', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572056121647656961', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:52:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:52:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":["1"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572056122243248129', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:52:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:52:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572056126705987586', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:52:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:52:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572056399969087490', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 10:53:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:53:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/1572055651524927489', 'GET', '{"0":["1572055651524927489"]}', '21', NULL, NULL, 'content:通过id查询施工组织单位', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572056423931146242', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 10:53:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:53:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572056440058245122', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 10:53:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:53:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572056553979736066', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 10:54:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:54:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["30"],"key":[""],"dataType":["1570692286170427394"]}', '35', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572056812478885889', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 10:55:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:55:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep', 'POST', '{}', '56', NULL, NULL, 'content:新增基础类型表', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571767395562397698', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 15:45:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:45:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571767823951831041', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 15:47:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:47:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/1571753437224890370', 'GET', '{"0":["1571753437224890370"]}', '22', NULL, NULL, 'content:通过id查询施工组织单位', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571775650934267905', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 16:18:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:18:12', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.48', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '84', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571775900268863490', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 16:19:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:19:11', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.48', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '96', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571776048201965569', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 16:19:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:19:46', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.48', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["30"],"current":["1"]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571776090384080897', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 16:19:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:19:56', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.48', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["10000"],"current":["1"]}', '29', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571784848421953537', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-19 16:54:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:54:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '193', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571785031763369986', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 16:55:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:55:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '7', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571787580587384833', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 17:05:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 17:05:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571787827506061313', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 17:06:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 17:06:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '19', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571787827988406274', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 17:06:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 17:06:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '24', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571787833436807170', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 17:06:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 17:06:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1569660763252559873', 'GET', '{"id":["1569660763252559873"]}', '38', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571787833902374914', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 17:06:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 17:06:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571787834099507201', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 17:06:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 17:06:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571787835173249026', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 17:06:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 17:06:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571787857591803906', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-19 17:06:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 17:06:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571787955965009921', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 17:07:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 17:07:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571788128464150530', '2', 'tofly-auth', 'rq', TO_DATE('2022-09-19 17:07:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 17:07:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/3b92bea6-8abf-4e9d-ae1a-89b7a109553c', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571788198387392514', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 17:08:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 17:08:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571788336170278914', '2', 'tofly-auth', 'test', TO_DATE('2022-09-19 17:08:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 17:08:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/174c7e9a-e651-4ddc-a9f0-7ac77cea78b5', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571799081691914242', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-19 17:51:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 17:51:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571799135756492801', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-19 17:51:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 17:51:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571799143918608385', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-19 17:51:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 17:51:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571799177225576449', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 17:51:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 17:51:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"key":[""]}', '33', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572035218851356673', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 09:29:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 09:29:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '469', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572035219576971265', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 09:29:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 09:29:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '28', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572035219941875714', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 09:29:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 09:29:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '18', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572035220256448514', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 09:29:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 09:29:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '18', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572035220566827010', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 09:29:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 09:29:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572035220889788417', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 09:29:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 09:29:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '18', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572035221590237185', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 09:29:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 09:29:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '18', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572035224731770882', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 09:29:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 09:29:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '4', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572035225012789249', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 09:29:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 09:29:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572035227952996353', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 09:29:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 09:29:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '38', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572035237159493634', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 09:29:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 09:29:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1570698804578582529', 'GET', '{"id":["1570698804578582529"]}', '175', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572035237813805057', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 09:29:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 09:29:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572035238036103169', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 09:29:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 09:29:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572035240321998850', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 09:29:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 09:29:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '8', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572035362464325634', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 09:30:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 09:30:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '23', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572035362774704130', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 09:30:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 09:30:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572035368793530370', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 09:30:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 09:30:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1571780757536903170', 'GET', '{"id":["1571780757536903170"]}', '31', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571779449660874753', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 16:33:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:33:17', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.48', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"key":[""]}', '298', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571779576458878978', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 16:33:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:33:47', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.48', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '26', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571780356200964098', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 16:36:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:36:53', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.48', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '95', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571780704001040386', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 16:38:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:38:16', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.48', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '108', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571780755687448577', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 16:38:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:38:29', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.48', NULL, '/tfcontracttemplatep/page', 'GET', '{"name":[""],"tenantId":[""],"current":["1"],"size":["30"],"contractType":["2"]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571781071006703618', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 16:39:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:39:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571781111188135937', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 16:39:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:39:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571781111406239746', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 16:39:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:39:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571781121422237697', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 16:39:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:39:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1569660763252559873', 'GET', '{"id":["1569660763252559873"]}', '31', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571781121782947841', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 16:39:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:39:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571781121950720002', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 16:39:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:39:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571781123041239041', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 16:39:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:39:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571781146772611073', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 16:40:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:40:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571781146982326274', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 16:40:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:40:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571781152569139201', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 16:40:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:40:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1571780757536903170', 'GET', '{"id":["1571780757536903170"]}', '22', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571781153118593025', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 16:40:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:40:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571781154179751937', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 16:40:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:40:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571781193895616513', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 16:40:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:40:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571781411017957378', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-19 16:41:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:41:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571781420509667330', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-19 16:41:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:41:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571781556728078338', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 16:41:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:41:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571781827411681282', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 16:42:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:42:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571781844260200450', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-19 16:42:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:42:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571781849830236162', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-19 16:42:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:42:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571782048321478658', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-19 16:43:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:43:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571782052981350401', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-19 16:43:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:43:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571782128306855938', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 16:43:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:43:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl', 'POST', '{}', '16', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571782128634011649', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 16:43:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:43:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571782133767839746', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 16:43:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:43:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1571780757536903170', 'GET', '{"id":["1571780757536903170"]}', '22', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571782134136938498', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 16:43:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:43:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571782135235846145', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 16:43:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:43:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571782175899623426', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 16:44:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:44:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl', 'POST', '{}', '19', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571782176210001922', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 16:44:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:44:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571782182358851585', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 16:44:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:44:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1571780757536903170', 'GET', '{"id":["1571780757536903170"]}', '25', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571782182954442753', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 16:44:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:44:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571782184082710530', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 16:44:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:44:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571782405537767425', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 16:45:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:45:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '2', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571782503374102529', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 16:45:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:45:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1571780757536903170', 'GET', '{"id":["1571780757536903170"]}', '22', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571782503814504450', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 16:45:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:45:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571782504842108929', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 16:45:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:45:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571782602334511105', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-19 16:45:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:45:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571692873018605569', '0', 'tofly-flow', 'lz', TO_DATE('2022-09-19 10:49:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 10:49:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/saveTeamAll', 'POST', '{}', '408', NULL, 'nested exception is org.apache.ibatis.executor.ExecutorException: Statement returned more than one row, where no more than one was expected.', 'content:新增施工班组相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571692923081818113', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 10:49:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 10:49:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"key":[""]}', '192', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571692971307925505', '0', 'tofly-flow', 'lz', TO_DATE('2022-09-19 10:49:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 10:49:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/saveTeamAll', 'POST', '{}', '90', NULL, 'nested exception is org.apache.ibatis.executor.ExecutorException: Statement returned more than one row, where no more than one was expected.', 'content:新增施工班组相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571693118901288961', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 10:50:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 10:50:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '28', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571693651066191873', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 10:52:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 10:52:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"key":[""]}', '43', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571693726811127810', '0', 'tofly-flow', 'lz', TO_DATE('2022-09-19 10:52:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 10:52:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/saveTeamAll', 'POST', '{}', '107', NULL, 'nested exception is org.apache.ibatis.executor.ExecutorException: Statement returned more than one row, where no more than one was expected.', 'content:新增施工班组相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571793223696490498', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 17:28:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 17:28:01', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.48', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '139', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571794323602382849', '0', 'tofly-flow', 'yj', TO_DATE('2022-09-19 17:32:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 17:32:23', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.48', NULL, '/tfcontracttemplatep/updateContractTemplate', 'PUT', '{}', '0', NULL, '合同模板维护公用字段不能为空，请重新输入', 'content:修改合同模板', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571796455944593409', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 17:40:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 17:40:52', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.48', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["10000"],"current":["1"]}', '19', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571806635557937154', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-19 18:21:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 18:21:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '347', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571807515606802433', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-19 18:24:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 18:24:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '7', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571807820398485506', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-19 18:26:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 18:26:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '7', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572046029053325313', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-20 10:12:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:12:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["10000"],"current":["1"]}', '43', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572046136989544450', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-20 10:13:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:13:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["10000"],"current":["1"]}', '48', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572047836257284097', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-20 10:19:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:19:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["10000"],"current":["1"]}', '38', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572048063873773570', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-20 10:20:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:20:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572048068693028866', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:20:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:20:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572048068894355458', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:20:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:20:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572048069724827650', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:20:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:20:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572048069993263106', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:20:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:20:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572048085516382209', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:20:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:20:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572047790992384002', 'GET', '{"id":["1572047790992384002"]}', '106', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572048086309105666', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:20:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:20:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572048087672254466', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:20:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:20:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572048103073738754', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-20 10:20:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:20:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '8', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572048193049948162', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:21:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:21:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572048193226108929', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:21:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:21:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572048233185243137', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:21:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:21:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1569507482133536769', 'DELETE', '{"id":["1569507482133536769"]}', '3', NULL, NULL, 'content:通过id删除审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572048233541758977', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:21:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:21:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572048239627694082', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:21:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:21:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1569660763252559873', 'DELETE', '{"id":["1569660763252559873"]}', '3', NULL, NULL, 'content:通过id删除审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572048239812243457', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:21:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:21:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '2', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572048243452899330', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:21:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:21:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572048243721334786', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:21:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:21:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572048245092872194', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:21:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:21:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572048261480017922', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:21:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:21:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1570698804578582529', 'GET', '{"id":["1570698804578582529"]}', '103', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572048261886865410', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:21:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:21:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":["1"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572048262046248961', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:21:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:21:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572048263308734466', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:21:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:21:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572048361954570241', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-20 10:21:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:21:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["10000"],"current":["1"]}', '38', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572048448768274434', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-20 10:22:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:22:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572048455336554498', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-20 10:22:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:22:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571780336751976450', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 16:36:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:36:49', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.48', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571780355211108354', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 16:36:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:36:53', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.48', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["10000"],"current":["1"]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571780703032156162', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 16:38:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:38:16', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.48', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["10000"],"current":["1"]}', '23', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571780942745018370', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 16:39:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:39:13', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.48', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["10000"],"current":["1"]}', '22', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571780943722291201', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 16:39:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:39:13', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.48', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '87', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571780993236049921', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 16:39:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:39:25', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.48', NULL, '/tfcontracttemplatep/page', 'GET', '{"name":[""],"tenantId":[""],"current":["1"],"size":["30"],"contractType":["1"]}', '61', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571782567324786690', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-19 16:45:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:45:41', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfcontracttemplatep/page', 'GET', '{"contractFieldList[0].name":[""],"hitCount":[""],"records":[""],"contractType":[""],"searchCount":[""],"remark":[""],"contractFieldList[0].updateTime":[""],"contractFieldList[0].specialType":[""],"contractFieldList[0].id":[""],"contractFieldList[0].updateUser":[""],"contractFieldList[0].remark":[""],"current":[""],"total":[""],"orders[0].asc":[""],"orders[0].column":[""],"id":[""],"annex":[""],"contractFieldList[0].fieldType":[""],"optimizeCountSql":[""],"updateUser":[""],"updateTime":[""],"contractAnnex":[""],"size":[""],"createTime":[""],"name":[""],"tenantId":[""],"contractFieldList[0].isDel":[""],"createUser":[""],"contractFieldList[0].createTime":[""],"contractFieldList[0].createUser":[""],"isDel":[""],"contractFieldList[0].fieldName":[""]}', '277', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571783394361843714', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 16:48:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:48:58', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.48', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["10000"],"current":["1"]}', '61', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571783394869354498', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 16:48:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:48:58', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.48', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '165', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571783461483290625', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 16:49:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:49:14', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.48', NULL, '/tfcontracttemplatep/page', 'GET', '{"name":[""],"tenantId":[""],"current":["1"],"size":["30"],"contractType":["1"]}', '77', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571783471289573378', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 16:49:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:49:16', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.48', NULL, '/tfcontracttemplatep/page', 'GET', '{"name":[""],"tenantId":[""],"current":["1"],"size":["30"],"contractType":["2"]}', '60', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571784044437020673', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 16:51:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:51:33', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.48', NULL, '/tfcontracttemplatep/saveContractTemplateField', 'POST', '{}', '112', NULL, NULL, 'content:新增合同模板', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571784045665951746', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 16:51:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:51:33', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.48', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '157', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571784047729549313', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 16:51:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:51:33', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.48', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["10000"],"current":["1"]}', '34', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571784048119619586', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 16:51:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:51:34', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.48', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '131', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571784071226040321', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 16:51:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:51:39', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.48', NULL, '/tfcontracttemplatep/deleteByIds', 'DELETE', '{"ids":["1571784043862409218"]}', '35', NULL, NULL, 'content:通过id批量删除合同模板', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571784072144592897', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 16:51:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:51:39', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.48', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '96', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571784129531060226', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 16:51:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:51:53', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.48', NULL, '/tfcontracttemplatep/saveContractTemplateField', 'POST', '{}', '50', NULL, NULL, 'content:新增合同模板', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571784130558664706', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 16:51:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:51:53', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.48', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '113', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571784166134751233', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 16:52:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:52:02', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.48', NULL, '/tfcontracttemplatep/deleteByIds', 'DELETE', '{"ids":["1571784129140998145"]}', '46', NULL, NULL, 'content:通过id批量删除合同模板', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571784167036526593', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 16:52:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:52:02', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.48', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '106', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571784278953140225', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 16:52:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:52:29', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.48', NULL, '/tfcontracttemplatep/saveContractTemplateField', 'POST', '{}', '94', NULL, NULL, 'content:新增合同模板', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571784280123351042', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 16:52:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:52:29', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.48', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '163', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571789095159177217', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 17:11:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 17:11:37', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.48', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '32', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571789102851530754', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 17:11:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 17:11:39', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.48', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["30"],"current":["1"]}', '32', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571789191212933121', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 17:12:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 17:12:00', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.48', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '165', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571793218596216833', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 17:28:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 17:28:00', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.48', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '160', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571793223293837314', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 17:28:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 17:28:01', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.48', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["10000"],"current":["1"]}', '43', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572056856061898753', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 10:55:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:55:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["30"],"key":[""],"dataType":["1570692286170427394"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572057231716347906', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:57:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:57:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl', 'POST', '{}', '29', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572057232370659329', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:57:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:57:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '2', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572057246090227714', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:57:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:57:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572057246266388482', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:57:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:57:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572057498448916482', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 10:58:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:58:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["30"],"key":[""],"dataType":["1570692286170427394"]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572057517470085121', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 10:58:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:58:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/1572056812176924673', 'DELETE', '{"0":["1572056812176924673"]}', '17', NULL, NULL, 'content:通过id删除基础类型表,有关联数据验证', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572057562248474625', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 10:58:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:58:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["30"],"key":[""],"dataType":["1570692286170427394"]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572057612097777665', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 10:58:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:58:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep', 'POST', '{}', '8', NULL, NULL, 'content:新增基础类型表', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572057612693368833', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 10:58:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:58:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["30"],"key":[""],"dataType":["1570692286170427394"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572057623623725058', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 10:58:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:58:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/1571325201202294786', 'DELETE', '{"0":["1571325201202294786"]}', '7', NULL, NULL, 'content:通过id删除基础类型表,有关联数据验证', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571697712591134721', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 11:08:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 11:08:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571697712876347394', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 11:08:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 11:08:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571783796968677379', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 16:50:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:50:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '442', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571783798633816065', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 16:50:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:50:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '13', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571783799120355330', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 16:50:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:50:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '36', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571783802836508674', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 16:50:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:50:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '37', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572035369322012674', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 09:30:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 09:30:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572035371314307073', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 09:30:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 09:30:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572035431116693506', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 09:30:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 09:30:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '8', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572035431154442242', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 09:30:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 09:30:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '7', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572035439257837569', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 09:30:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 09:30:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '18', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572035439501107202', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 09:30:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 09:30:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572035445415075841', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 09:30:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 09:30:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1569660763252559873', 'GET', '{"id":["1569660763252559873"]}', '38', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572035445914198017', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 09:30:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 09:30:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '4', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572035446132301825', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 09:30:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 09:30:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572035447336067074', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 09:30:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 09:30:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572036364638740482', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-20 09:34:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 09:34:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572041475133841409', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-20 09:54:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 09:54:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '306', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572041500077367298', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 09:54:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 09:54:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '20', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572041526035914753', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 09:54:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 09:54:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1569660763252559873', 'GET', '{"id":["1569660763252559873"]}', '57', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572070822738100225', '0', 'tofly-flow', 'admin', TO_DATE('2022-09-20 11:51:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:51:06', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '333', NULL, '### Error querying database.  Cause: java.sql.SQLSyntaxErrorException: ORA-00904: "S"."STEP_NODE": 标识符无效

### The error may exist in file [E:\java\work\zmrq\tofly-zmrq\workflow\target\classes\mapper\processconfig\TfProcessConfigLMapper.xml]
### The error may involve defaultParameterMap
### The error occurred while setting parameters
### SQL: SELECT distinct s.STEP_ID,s.STEP_NODE,c.ID, c.TENANT_ID,c.PROCESS_NAME,c.PROCESS_NUMBER,c.PROCESS_TYPE,t.TYPE_NAME PROCESS_TYPE_NAME,c.BUSINESS_TYPE ,t1.TYPE_NAME BUSINESS_TYPE_NAME         FROM TF_PROCESS_CONFIG_L c LEFT JOIN TF_PROCESS_CONFIG_STEP_L s ON (c.ID = s.CONFIG_ID AND c.EDITION = s.EDITION)                                    LEFT JOIN TF_BASE_TYPE_P t ON (c.PROCESS_TYPE = t.ID) LEFT JOIN TF_BASE_TYPE_P t1 ON (c.BUSINESS_TYPE = t1.ID)         WHERE c.IS_DEL = 0 AND s.IS_VALID = 1 AND s.IS_DEL = 0           AND c.TENANT_ID = ?             AND s.LABEL = ?             AND c.IS_MOULD = ?
### Cause: java.sql.SQLSyntaxErrorException: ORA-00904: "S"."STEP_NODE": 标识符无效

; bad SQL grammar []; nested exception is java.sql.SQLSyntaxErrorException: ORA-00904: "S"."STEP_NODE": 标识符无效', 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572071178204966913', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 11:52:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:52:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572071190364254210', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 11:52:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:52:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572070112260382722', 'GET', '{"id":["1572070112260382722"]}', '23', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572071191068897282', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 11:52:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:52:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572071191236669442', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 11:52:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:52:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572071194608889857', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 11:52:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:52:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572071213730721794', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 11:52:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:52:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572071214263398402', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 11:52:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:52:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572071228276568065', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 11:52:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:52:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1570698804578582529', 'GET', '{"id":["1570698804578582529"]}', '94', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572071228888936450', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 11:52:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:52:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572071232462483458', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 11:52:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:52:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572071273138843650', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-20 11:52:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:52:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["10000"],"current":["1"]}', '21', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572071286459953153', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 11:52:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:52:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572047790992384002', 'DELETE', '{"id":["1572047790992384002"]}', '2', NULL, NULL, 'content:通过id删除审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572071286908743682', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 11:52:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:52:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571697644005875714', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 11:08:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 11:08:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '463', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571697644744073218', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 11:08:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 11:08:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '20', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571697645171892225', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 11:08:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 11:08:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '26', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571697645612294146', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 11:08:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 11:08:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '24', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571697648770605057', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 11:08:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 11:08:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571697649060012033', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 11:08:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 11:08:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571782606818222081', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-19 16:45:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:45:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571783796968677378', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 16:50:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:50:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '390', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571784848421953538', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-19 16:54:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:54:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '293', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571784863735357442', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-19 16:54:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:54:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '8', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571784866763644929', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-19 16:54:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:54:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '9', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571784991137341441', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 16:55:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:55:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '52', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571784991493857281', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 16:55:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:55:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '27', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571784998934552577', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 16:55:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:55:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '22', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571784999735664641', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 16:55:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:55:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '20', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571785002533265410', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 16:55:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:55:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '5', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571785002860421122', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 16:55:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:55:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571785004148072449', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 16:55:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:55:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571785029200650241', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 16:55:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:55:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1569507482133536769', 'GET', '{"id":["1569507482133536769"]}', '49', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571785029825601537', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 16:55:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:55:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571785030190505986', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 16:55:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:55:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571785046934167553', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 16:55:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:55:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '4', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571785047177437186', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 16:55:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:55:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571785048301510657', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 16:55:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:55:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571785061601648642', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 16:55:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:55:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1570698804578582529', 'GET', '{"id":["1570698804578582529"]}', '174', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571785062268542977', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 16:55:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:55:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571785062545367041', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 16:55:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:55:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '6', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571785064286003202', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 16:55:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:55:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571785073203093505', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-19 16:55:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:55:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571788198387392515', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 17:08:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 17:08:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '9', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571788206167826434', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 17:08:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 17:08:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '21', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571788206415290370', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 17:08:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 17:08:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '18', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571788215093305345', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 17:08:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 17:08:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1569660763252559873', 'GET', '{"id":["1569660763252559873"]}', '32', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571788215533707266', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 17:08:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 17:08:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571788215726645249', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 17:08:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 17:08:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571788216829747201', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 17:08:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 17:08:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571789190810279937', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 17:12:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 17:12:00', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.48', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["10000"],"current":["1"]}', '43', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571796255678930945', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 17:40:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 17:40:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/1571752183224500226', 'GET', '{"0":["1571752183224500226"]}', '10', NULL, NULL, 'content:通过id查询施工组织单位', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571796269411082241', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 17:40:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 17:40:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/1571745507872112642', 'GET', '{"0":["1571745507872112642"]}', '6', NULL, NULL, 'content:通过id查询施工组织单位', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571796294253944833', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 17:40:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 17:40:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/1571753437224890370', 'GET', '{"0":["1571753437224890370"]}', '20', NULL, NULL, 'content:通过id查询施工组织单位', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571796302843879426', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 17:40:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 17:40:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572042177965027330', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-20 09:57:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 09:57:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '293', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572042354603945985', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 09:57:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 09:57:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '20', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572042358185881601', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-20 09:57:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 09:57:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '10', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572042378226266113', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 09:58:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 09:58:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1569660763252559873', 'GET', '{"id":["1569660763252559873"]}', '57', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572042689531703298', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 09:59:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 09:59:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1569660763252559873', 'GET', '{"id":["1569660763252559873"]}', '52', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572042780376133633', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-20 09:59:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 09:59:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572042885527334914', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-20 10:00:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:00:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '7', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572043116839006209', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-20 10:01:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:01:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572043641781317633', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-20 10:03:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:03:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '7', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572044060809064449', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-20 10:04:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:04:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572044541853790209', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-20 10:06:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:06:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572044546127785985', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-20 10:06:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:06:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572045975441731586', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-20 10:12:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:12:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["10000"],"current":["1"]}', '163', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572048519358410754', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-20 10:22:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:22:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["10000"],"current":["1"]}', '28', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572049992284729345', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 10:28:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:28:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572049992519610370', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 10:28:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:28:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572049993966645250', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 10:28:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:28:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572050006700552193', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 10:28:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:28:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1571745533478338562', 'GET', '{"id":["1571745533478338562"]}', '22', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572050007237423106', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 10:28:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:28:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572050007409389569', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 10:28:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:28:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572050008772538370', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 10:28:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:28:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572050322875576321', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-20 10:29:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:29:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["10000"],"current":["1"]}', '28', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572050563767037954', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-20 10:30:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:30:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["10000"],"current":["1"]}', '27', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572050674576355330', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-20 10:31:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:31:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["10000"],"current":["1"]}', '25', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572050676312797185', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 10:31:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:31:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '25', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572050850242195458', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 10:31:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:31:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl', 'POST', '{}', '21', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572050850556768257', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 10:31:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:31:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '2', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572051496114679810', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 10:34:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:34:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572051496471195650', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 10:34:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:34:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572051499876970497', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 10:34:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:34:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572051792014438401', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-20 10:35:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:35:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["10000"],"current":["1"]}', '22', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572051972478562306', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 10:36:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:36:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572051972721831938', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 10:36:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:36:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572051975750119425', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 10:36:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:36:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572052001364733953', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 10:36:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:36:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '2', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572052001851273218', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 10:36:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:36:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572052033270804481', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 10:36:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:36:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572052033669263362', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 10:36:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:36:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572052036206817281', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 10:36:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:36:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '2', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572052071636103170', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 10:36:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:36:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572050850087034882', 'GET', '{"id":["1572050850087034882"]}', '19', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572052072407855105', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 10:36:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:36:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572052072886005762', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 10:36:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:36:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572057724794531841', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 10:59:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:59:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '2', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572058280132964353', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 11:01:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:01:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572058282410471426', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 11:01:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:01:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '19', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572058282913787906', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 11:01:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:01:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '2', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572058287984701442', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 11:01:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:01:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572058288915836929', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 11:01:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:01:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '2', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572058305923739650', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 11:01:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:01:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572058306187980802', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 11:01:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:01:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572058342741340162', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-20 11:01:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:01:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572058343248850945', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-20 11:01:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:01:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '2', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572058349347368962', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-20 11:01:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:01:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572058349989097473', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-20 11:01:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:01:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572058352795086850', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-20 11:01:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:01:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572058365436719105', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 11:01:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:01:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["30"],"key":[""],"dataType":["1570692286170427394"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572058366330105857', '0', 'tofly-flow', 'll', TO_DATE('2022-09-20 11:01:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:01:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl', 'POST', '{}', '133', NULL, '失败', 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572058600389046274', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 11:02:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:02:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["30"],"key":[""],"dataType":["1570692286170427394"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572058699785662465', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 11:02:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:02:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["30"],"key":[""],"dataType":["1570692286170427394"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572058717351407617', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 11:03:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:03:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["30"],"key":[""],"dataType":["1570692286170427394"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572058828571766786', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 11:03:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:03:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["30"],"key":[""],"dataType":["1570692286170427394"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572059017248337921', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 11:04:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:04:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["30"],"key":[""],"dataType":["1570692286170427394"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572059157279371266', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 11:04:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:04:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["30"],"key":["类"],"dataType":["1570692286170427394"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572059383172001794', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 11:05:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:05:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"typeName":[""],"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572059402977505282', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 11:05:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:05:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"typeName":["类"],"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572059403833143298', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-20 11:05:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:05:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["10000"],"current":["1"]}', '56', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572059417045200897', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 11:05:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:05:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"typeName":[""],"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572059420723605506', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-20 11:05:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:05:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["10000"],"current":["1"]}', '29', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572059442945028098', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 11:05:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:05:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"typeName":["匪类"],"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572059459701272578', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 11:05:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:05:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfreportentryp/page', 'GET', '{"name":[""],"current":["1"],"size":["30"]}', '29', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572059479712296962', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 11:06:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:06:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfreportentryp/1571675425129127937', 'DELETE', '{"0":["1571675425129127937"]}', '2', NULL, NULL, 'content:通过id删除开工报告条目', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572059479905234945', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 11:06:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:06:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfreportentryp/page', 'GET', '{"name":[""],"current":["1"],"size":["30"]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572059519226834946', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 11:06:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:06:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfreportentryp', 'POST', '{}', '2', NULL, NULL, 'content:新增开工报告条目', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572059665243140097', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 11:06:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:06:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfreportentryp/page', 'GET', '{"name":[""],"current":["1"],"size":["30"]}', '2', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572059686575370242', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 11:06:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:06:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfreportentryp', 'POST', '{}', '4', NULL, NULL, 'content:新增开工报告条目', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572059686810251266', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 11:06:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:06:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfreportentryp/page', 'GET', '{"name":[""],"current":["1"],"size":["30"]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572059702828298241', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 11:06:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:06:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfreportentryp/1572059686516678657', 'DELETE', '{"0":["1572059686516678657"]}', '3', NULL, NULL, 'content:通过id删除开工报告条目', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572059703012847618', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 11:06:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:06:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfreportentryp/page', 'GET', '{"name":[""],"current":["1"],"size":["30"]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572059711854440450', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 11:06:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:06:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfreportentryp/1572059519038119938', 'DELETE', '{"0":["1572059519038119938"]}', '16', NULL, NULL, 'content:通过id删除开工报告条目', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572059712072544257', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 11:06:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:06:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfreportentryp/page', 'GET', '{"name":[""],"current":["1"],"size":["30"]}', '2', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572059719655845889', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 11:06:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:06:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572059728958812162', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 11:07:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:07:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572059747497635841', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 11:07:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:07:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"typeName":[""],"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571749130333298689', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-19 14:32:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:32:49', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfbuildunitp/1571708792948248577', 'GET', '{}', '152', NULL, NULL, 'content:通过id查询施工组织单位', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571750097812430850', '0', 'tofly-flow', 'yjf', TO_DATE('2022-09-19 14:36:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:36:39', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfbuildunitp/saveTeamAll', 'POST', '{"companyId":"1569216846182748162","teamStaffMoreDtoList":[{"teamStaffPList":[{"id":"2"}],"tfConstructionTeamP":{"name":"阿三大苏打"},"teamStaffP":{"id":"2"}},{"teamStaffPList":[{"id":"1"}],"tfConstructionTeamP":{"name":"阿斯顿撒旦撒旦"},"teamStaffP":{"id":"1"}}],"tfBuildUnitP":{"orderNumber":"112","deptId":"1569216846182748162","tenantId":"1","remark":"大苏打撒旦","teamType":"1"}}', '63', NULL, '### Error updating database.  Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.buildUnitNotNull)

### The error may exist in com/tofly/workflow/baseconf/mapper/TfBuildUnitPMapper.java (best guess)
### The error may involve com.tofly.workflow.baseconf.mapper.TfBuildUnitPMapper.insert-Inline
### The error occurred while setting parameters
### SQL: INSERT INTO TF_BUILD_UNIT_P  ( id, tenant_id, order_number, dept_id, team_type,  remark, CREATE_USER,  CREATE_TIME, UPDATE_USER,  UPDATE_TIME )  VALUES  ( ?, ?, ?, ?, ?,  ?, ?,  ?, ?,  ? )
### Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.buildUnitNotNull)

; ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.buildUnitNotNull)
; nested exception is java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.buildUnitNotNull)', 'content:新增施工班组相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571750148492206081', '0', 'tofly-flow', 'yjf', TO_DATE('2022-09-19 14:36:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:36:51', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfbuildunitp/saveTeamAll', 'POST', '{"companyId":"1569216846182748162","teamStaffMoreDtoList":[{"teamStaffPList":[{"id":"2"}],"tfConstructionTeamP":{"name":"阿三大苏打"},"teamStaffP":{"id":"2"}},{"teamStaffPList":[{"id":"1"}],"tfConstructionTeamP":{"name":"阿斯顿撒旦撒旦"},"teamStaffP":{"id":"1"}}],"tfBuildUnitP":{"orderNumber":"112","deptId":"1569216846182748162","tenantId":"1","remark":"大苏打撒旦","teamType":"1"}}', '15', NULL, '### Error updating database.  Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.buildUnitNotNull)

### The error may exist in com/tofly/workflow/baseconf/mapper/TfBuildUnitPMapper.java (best guess)
### The error may involve com.tofly.workflow.baseconf.mapper.TfBuildUnitPMapper.insert-Inline
### The error occurred while setting parameters
### SQL: INSERT INTO TF_BUILD_UNIT_P  ( id, tenant_id, order_number, dept_id, team_type,  remark, CREATE_USER,  CREATE_TIME, UPDATE_USER,  UPDATE_TIME )  VALUES  ( ?, ?, ?, ?, ?,  ?, ?,  ?, ?,  ? )
### Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.buildUnitNotNull)

; ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.buildUnitNotNull)
; nested exception is java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.buildUnitNotNull)', 'content:新增施工班组相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571750265613950978', '0', 'tofly-flow', 'yjf', TO_DATE('2022-09-19 14:37:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:37:19', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfbuildunitp/saveTeamAll', 'POST', '{"companyId":"1569216846182748162","teamStaffMoreDtoList":[{"teamStaffPList":[{"id":"2"}],"tfConstructionTeamP":{"name":"阿三大苏打"},"teamStaffP":{"id":"2"}},{"teamStaffPList":[{"id":"1"}],"tfConstructionTeamP":{"name":"阿斯顿撒旦撒旦"},"teamStaffP":{"id":"1"}}],"tfBuildUnitP":{"orderNumber":"122","deptId":"1569216846182748162","tenantId":"1","remark":"大苏打撒旦","teamType":"1"}}', '110', NULL, '### Error updating database.  Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.PK_TF_TEAM_STAFF_P)

### The error may exist in com/tofly/workflow/baseconf/mapper/TfTeamStaffPMapper.java (best guess)
### The error may involve com.tofly.workflow.baseconf.mapper.TfTeamStaffPMapper.insert-Inline
### The error occurred while setting parameters
### SQL: INSERT INTO TF_TEAM_STAFF_P  ( id, team_id,  USER_ID,    CREATE_USER, CREATE_TIME, UPDATE_USER, UPDATE_TIME )  VALUES  ( ?, ?,  ?,    ?, ?, ?, ? )
### Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.PK_TF_TEAM_STAFF_P)

; ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.PK_TF_TEAM_STAFF_P)
; nested exception is java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.PK_TF_TEAM_STAFF_P)', 'content:新增施工班组相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571750370601574402', '0', 'tofly-flow', 'yjf', TO_DATE('2022-09-19 14:37:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:37:44', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfbuildunitp/saveTeamAll', 'POST', '{"companyId":"1569216846182748162","teamStaffMoreDtoList":[{"teamStaffPList":[{"id":"2"}],"tfConstructionTeamP":{"name":"阿三大苏打"},"teamStaffP":{"id":"2"}},{"teamStaffPList":[{"id":"1"}],"tfConstructionTeamP":{"name":"阿斯g撒旦撒旦"},"teamStaffP":{"id":"1"}}],"tfBuildUnitP":{"orderNumber":"123","deptId":"1569216846182748162","tenantId":"1","remark":"大苏打撒旦","teamType":"1"}}', '65', NULL, '### Error updating database.  Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.PK_TF_TEAM_STAFF_P)

### The error may exist in com/tofly/workflow/baseconf/mapper/TfTeamStaffPMapper.java (best guess)
### The error may involve com.tofly.workflow.baseconf.mapper.TfTeamStaffPMapper.insert-Inline
### The error occurred while setting parameters
### SQL: INSERT INTO TF_TEAM_STAFF_P  ( id, team_id,  USER_ID,    CREATE_USER, CREATE_TIME, UPDATE_USER, UPDATE_TIME )  VALUES  ( ?, ?,  ?,    ?, ?, ?, ? )
### Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.PK_TF_TEAM_STAFF_P)

; ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.PK_TF_TEAM_STAFF_P)
; nested exception is java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.PK_TF_TEAM_STAFF_P)', 'content:新增施工班组相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571752183748861953', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-19 14:44:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:44:57', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfbuildunitp/saveTeamAll', 'POST', '{"companyId":"1569216846182748162","teamStaffMoreDtoList":[{"teamStaffPList":[{"type":"2"}],"tfConstructionTeamP":{"name":"阿三大苏打"},"teamStaffP":{"type":"2"}},{"teamStaffPList":[{"type":"2"}],"tfConstructionTeamP":{"name":"阿斯e撒旦撒旦"},"teamStaffP":{"type":"2"}}],"tfBuildUnitP":{"orderNumber":"124","deptId":"1569216846182748162","tenantId":"1","remark":"大苏打撒旦","teamType":"1"}}', '101', NULL, NULL, 'content:新增施工班组相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571796303061983234', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 17:40:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 17:40:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571796306975268865', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-19 17:40:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 17:40:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571796310838222849', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-19 17:40:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 17:40:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571796322175426562', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 17:40:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 17:40:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1569613105131102209', 'GET', '{"id":["1569613105131102209"]}', '36', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571796322771017729', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 17:40:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 17:40:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571796322980732930', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 17:40:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 17:40:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571796324067057666', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 17:40:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 17:40:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571798066301476866', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 17:47:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 17:47:16', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.48', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["10000"],"current":["1"]}', '42', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571798066657992706', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 17:47:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 17:47:16', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.48', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '161', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571798080125902849', '0', 'tofly-flow', 'yj', TO_DATE('2022-09-19 17:47:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 17:47:19', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.48', NULL, '/tfcontracttemplatep/updateContractTemplate', 'PUT', '{}', '0', NULL, '合同模板维护公用字段不能为空，请重新输入', 'content:修改合同模板', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571798166692143106', '0', 'tofly-flow', 'yj', TO_DATE('2022-09-19 17:47:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 17:47:40', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.48', NULL, '/tfcontracttemplatep/updateContractTemplate', 'PUT', '{}', '5', NULL, '合同模板维护公用字段不能为空，请重新输入', 'content:修改合同模板', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571798168084652033', '0', 'tofly-flow', 'yj', TO_DATE('2022-09-19 17:47:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 17:47:40', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.48', NULL, '/tfcontracttemplatep/updateContractTemplate', 'PUT', '{}', '11', NULL, '合同模板维护公用字段不能为空，请重新输入', 'content:修改合同模板', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571798688530440194', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-19 17:49:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 17:49:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571798691177046018', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-19 17:49:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 17:49:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571798706863742978', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 17:49:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 17:49:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571798707052486657', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 17:49:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 17:49:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571798717957677058', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 17:49:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 17:49:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571798718117060609', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 17:49:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 17:49:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571798719807365121', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 17:49:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 17:49:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571798736760741889', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 17:49:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 17:49:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1570698804578582529', 'GET', '{"id":["1570698804578582529"]}', '97', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571798738430074882', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 17:49:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 17:49:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571798738564292610', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 17:49:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 17:49:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571798741043126273', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 17:49:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 17:49:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571799076079935489', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-19 17:51:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 17:51:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571799977373179906', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 17:54:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 17:54:51', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.48', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["10000"],"current":["1"]}', '28', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571799977880690689', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 17:54:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 17:54:52', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.48', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '152', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571800590613979138', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 17:57:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 17:57:18', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.48', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["10000"],"current":["1"]}', '27', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571800590999855105', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 17:57:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 17:57:18', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.48', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '135', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571800712848580609', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 17:57:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 17:57:47', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.48', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["10000"],"current":["1"]}', '31', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571800713339314178', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 17:57:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 17:57:47', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.48', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '149', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571800800270458881', '0', 'tofly-flow', 'yj', TO_DATE('2022-09-19 17:58:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 17:58:08', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.48', NULL, '/tfcontracttemplatep/saveContractTemplateField', 'POST', '{}', '85', NULL, '### Error updating database.  Cause: java.sql.SQLSyntaxErrorException: ORA-00904: "UPDATE_USER_NAME": 标识符无效

### The error may exist in com/tofly/workflow/baseconf/mapper/TfTemplateFieldPMapper.java (best guess)
### The error may involve com.tofly.workflow.baseconf.mapper.TfTemplateFieldPMapper.insert-Inline
### The error occurred while setting parameters
### SQL: INSERT INTO TF_TEMPLATE_FIELD_P  ( id,  field_id, template_id,   remark, CREATE_USER, create_user_name, CREATE_TIME, UPDATE_USER, update_user_name, UPDATE_TIME )  VALUES  ( ?,  ?, ?,   ?, ?, ?, ?, ?, ?, ? )
### Cause: java.sql.SQLSyntaxErrorException: ORA-00904: "UPDATE_USER_NAME": 标识符无效

; bad SQL grammar []; nested exception is java.sql.SQLSyntaxErrorException: ORA-00904: "UPDATE_USER_NAME": 标识符无效', 'content:新增合同模板', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571801736363614209', '0', 'tofly-flow', 'yj', TO_DATE('2022-09-19 18:01:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 18:01:51', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.48', NULL, '/tfcontracttemplatep/saveContractTemplateField', 'POST', '{}', '125', NULL, '### Error updating database.  Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys002)

### The error may exist in com/tofly/workflow/baseconf/mapper/TfContractTemplatePMapper.java (best guess)
### The error may involve com.tofly.workflow.baseconf.mapper.TfContractTemplatePMapper.insert-Inline
### The error occurred while setting parameters
### SQL: INSERT INTO TF_CONTRACT_TEMPLATE_P  ( id, contract_type, name, tenant_id,    remark, CREATE_USER, CREATE_TIME, UPDATE_USER, UPDATE_TIME )  VALUES  ( ?, ?, ?, ?,    ?, ?, ?, ?, ? )
### Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys002)

; ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys002)
; nested exception is java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys002)', 'content:新增合同模板', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572052076497301506', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 10:36:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:36:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572052217610465281', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-20 10:37:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:37:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["10000"],"current":["1"]}', '28', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572052274124517378', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-20 10:37:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:37:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["10000"],"current":["1"]}', '42', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572052417473245186', '0', 'tofly-flow', 'll', TO_DATE('2022-09-20 10:37:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:37:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl', 'POST', '{}', '80', NULL, '失败', 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572052585765498882', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-20 10:38:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:38:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["10000"],"current":["1"]}', '23', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572052586507890689', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-20 10:38:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:38:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["10000"],"current":["1"]}', '25', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572052599640256514', '0', 'tofly-flow', 'll', TO_DATE('2022-09-20 10:38:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:38:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl', 'POST', '{}', '114', NULL, '失败', 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572052705101836289', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-20 10:39:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:39:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["10000"],"current":["1"]}', '22', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572052727809798145', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:39:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:39:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '2', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572052728921288705', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:39:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:39:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '2', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572052735695089666', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:39:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:39:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '2', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572052918851956738', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-20 10:39:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:39:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["10000"],"current":["1"]}', '28', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572053005267202049', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-20 10:40:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:40:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572053012837920769', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-20 10:40:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:40:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["10000"],"current":["1"]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572053012837920770', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-20 10:40:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:40:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '27', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572053107662745602', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-20 10:40:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:40:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/updateContractTemplate', 'PUT', '{}', '207', NULL, NULL, 'content:修改合同模板', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572053108015067137', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-20 10:40:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:40:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '26', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572053263107846146', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:41:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:41:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '2', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572053263275618306', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:41:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:41:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572053272914128897', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:41:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:41:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572053273081901058', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:41:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:41:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572053276122771458', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:41:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:41:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572053312864874497', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-20 10:41:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:41:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["10000"],"current":["1"]}', '23', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572053365398532097', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:41:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:41:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1570698804578582529', 'GET', '{"id":["1570698804578582529"]}', '103', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572053366577131522', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:41:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:41:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":["1"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572053367214665729', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:41:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:41:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572053370037432322', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:41:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:41:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572053515361677313', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-20 10:42:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:42:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["10000"],"current":["1"]}', '29', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572053620475129858', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:42:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:42:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572053620655484929', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:42:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:42:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572053622207377410', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:42:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:42:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '2', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572053622375149570', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:42:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:42:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '2', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572053628825989122', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:42:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:42:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '2', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572053629455134722', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:42:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:42:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '1', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572053634035314690', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-20 10:42:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:42:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["10000"],"current":["1"]}', '18', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572053635918557185', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:42:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:42:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572053636501565442', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:42:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:42:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572053640532291585', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:42:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:42:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572053641178214401', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:42:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:42:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572053709562146818', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:43:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:43:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572049057135321090', 'GET', '{"id":["1572049057135321090"]}', '22', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572053710275178497', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:43:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:43:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572053713446072321', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:43:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:43:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572053717652959234', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-20 10:43:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:43:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571796343398604801', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 17:40:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 17:40:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1569613105131102209', 'DELETE', '{"id":["1569613105131102209"]}', '5', NULL, NULL, 'content:通过id删除审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571796343612514305', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 17:40:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 17:40:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571796348167528450', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 17:40:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 17:40:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571796348347883521', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 17:40:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 17:40:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571796349492928513', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 17:40:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 17:40:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571796362000343042', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 17:40:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 17:40:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1570698804578582529', 'GET', '{"id":["1570698804578582529"]}', '90', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571796362973421570', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 17:40:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 17:40:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":["1"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571796363124416514', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 17:40:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 17:40:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571796364240101378', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 17:40:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 17:40:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571796649775734785', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-19 17:41:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 17:41:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571796652531392514', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-19 17:41:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 17:41:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571796699721506817', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 17:41:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 17:41:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1569660763252559873', 'GET', '{"id":["1569660763252559873"]}', '30', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571797188236288002', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 17:43:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 17:43:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1569660763252559873', 'GET', '{"id":["1569660763252559873"]}', '25', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571797237041209345', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-19 17:43:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 17:43:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571797241017409537', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-19 17:43:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 17:43:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571797362534785025', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-19 17:44:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 17:44:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571797370768203777', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-19 17:44:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 17:44:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '2', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571797934965006338', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-19 17:46:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 17:46:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571797941197742081', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-19 17:46:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 17:46:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571798150778724353', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-19 17:47:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 17:47:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571798166209568769', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-19 17:47:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 17:47:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572059782838841346', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 11:07:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:07:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep', 'POST', '{}', '3', NULL, NULL, 'content:新增基础类型表', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572060307852455938', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 11:09:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:09:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"typeName":[""],"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '202', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572060312495550465', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 11:09:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:09:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '2', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572060312520716289', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 11:09:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:09:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572060328169664514', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 11:09:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:09:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep', 'POST', '{}', '3', NULL, NULL, 'content:新增基础类型表', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572060743544172545', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-20 11:11:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:11:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["10000"],"current":["1"]}', '30', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572060906413191170', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-20 11:11:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:11:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["10000"],"current":["1"]}', '27', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572061079306596353', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 11:12:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:12:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"typeName":[""],"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572061100814987266', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 11:12:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:12:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep', 'POST', '{}', '5', NULL, NULL, 'content:新增基础类型表', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572061155030560770', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-20 11:12:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:12:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["10000"],"current":["1"]}', '24', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572062260586180609', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-20 11:17:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:17:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["10000"],"current":["1"]}', '23', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572062460851613698', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-20 11:17:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:17:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '22', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572062507060260865', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-20 11:18:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:18:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/deleteByIds', 'DELETE', '{"ids":["1571800799825776642"]}', '77', NULL, NULL, 'content:通过id批量删除合同模板', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572062508037533697', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-20 11:18:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:18:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '17', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572062604846264321', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-20 11:18:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:18:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["10000"],"current":["1"]}', '20', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572063482974138370', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 11:21:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:21:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572063483179659265', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 11:21:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:21:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572063488464482305', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 11:21:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:21:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572063488774860802', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 11:21:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:21:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572063491098505218', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 11:21:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:21:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '2', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572063498962825218', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 11:22:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:22:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572063499122208769', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 11:22:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:22:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571750886635184129', '0', 'tofly-flow', 'yjf', TO_DATE('2022-09-19 14:39:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:39:47', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfbuildunitp/saveTeamAll', 'POST', '{"companyId":"1569216846182748162","teamStaffMoreDtoList":[{"teamStaffPList":[{"type":"2"}],"tfConstructionTeamP":{"name":"阿三大苏打"},"teamStaffP":{"type":"2"}},{"teamStaffPList":[{"id":"1"}],"tfConstructionTeamP":{"name":"阿斯g撒旦撒旦"},"teamStaffP":{"id":"1"}}],"tfBuildUnitP":{"orderNumber":"123","deptId":"1569216846182748162","tenantId":"1","remark":"大苏打撒旦","teamType":"1"}}', '31', NULL, '### Error updating database.  Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.buildUnitNotNull)

### The error may exist in com/tofly/workflow/baseconf/mapper/TfBuildUnitPMapper.java (best guess)
### The error may involve com.tofly.workflow.baseconf.mapper.TfBuildUnitPMapper.insert-Inline
### The error occurred while setting parameters
### SQL: INSERT INTO TF_BUILD_UNIT_P  ( id, tenant_id, order_number, dept_id, team_type,  remark, CREATE_USER,  CREATE_TIME, UPDATE_USER,  UPDATE_TIME )  VALUES  ( ?, ?, ?, ?, ?,  ?, ?,  ?, ?,  ? )
### Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.buildUnitNotNull)

; ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.buildUnitNotNull)
; nested exception is java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.buildUnitNotNull)', 'content:新增施工班组相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571750924782379010', '0', 'tofly-flow', 'yjf', TO_DATE('2022-09-19 14:39:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:39:56', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfbuildunitp/saveTeamAll', 'POST', '{"companyId":"1569216846182748162","teamStaffMoreDtoList":[{"teamStaffPList":[{"type":"2"}],"tfConstructionTeamP":{"name":"阿三大苏打"},"teamStaffP":{"type":"2"}},{"teamStaffPList":[{"id":"1"}],"tfConstructionTeamP":{"name":"阿斯e撒旦撒旦"},"teamStaffP":{"id":"1"}}],"tfBuildUnitP":{"orderNumber":"124","deptId":"1569216846182748162","tenantId":"1","remark":"大苏打撒旦","teamType":"1"}}', '107', NULL, '### Error updating database.  Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.PK_TF_TEAM_STAFF_P)

### The error may exist in com/tofly/workflow/baseconf/mapper/TfTeamStaffPMapper.java (best guess)
### The error may involve com.tofly.workflow.baseconf.mapper.TfTeamStaffPMapper.insert-Inline
### The error occurred while setting parameters
### SQL: INSERT INTO TF_TEAM_STAFF_P  ( id, team_id,  USER_ID,    CREATE_USER, CREATE_TIME, UPDATE_USER, UPDATE_TIME )  VALUES  ( ?, ?,  ?,    ?, ?, ?, ? )
### Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.PK_TF_TEAM_STAFF_P)

; ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.PK_TF_TEAM_STAFF_P)
; nested exception is java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.PK_TF_TEAM_STAFF_P)', 'content:新增施工班组相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571751338776961026', '0', 'tofly-flow', 'yjf', TO_DATE('2022-09-19 14:41:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:41:35', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfbuildunitp/saveTeamAll', 'POST', '{"companyId":"1569216846182748162","teamStaffMoreDtoList":[{"teamStaffPList":[{"type":"2"}],"tfConstructionTeamP":{"name":"阿三大苏打"},"teamStaffP":{"type":"2"}},{"teamStaffPList":[{"id":"1"}],"tfConstructionTeamP":{"name":"阿斯e撒旦撒旦"},"teamStaffP":{"id":"1"}}],"tfBuildUnitP":{"orderNumber":"124","deptId":"1569216846182748162","tenantId":"1","remark":"大苏打撒旦","teamType":"1"}}', '110', NULL, '### Error updating database.  Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.PK_TF_TEAM_STAFF_P)

### The error may exist in com/tofly/workflow/baseconf/mapper/TfTeamStaffPMapper.java (best guess)
### The error may involve com.tofly.workflow.baseconf.mapper.TfTeamStaffPMapper.insert-Inline
### The error occurred while setting parameters
### SQL: INSERT INTO TF_TEAM_STAFF_P  ( id, team_id,  USER_ID,    CREATE_USER, CREATE_TIME, UPDATE_USER, UPDATE_TIME )  VALUES  ( ?, ?,  ?,    ?, ?, ?, ? )
### Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.PK_TF_TEAM_STAFF_P)

; ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.PK_TF_TEAM_STAFF_P)
; nested exception is java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.PK_TF_TEAM_STAFF_P)', 'content:新增施工班组相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571751492854718465', '0', 'tofly-flow', 'yjf', TO_DATE('2022-09-19 14:42:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:42:12', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfbuildunitp/saveTeamAll', 'POST', '{"companyId":"1569216846182748162","teamStaffMoreDtoList":[{"teamStaffPList":[{"type":"2"}],"tfConstructionTeamP":{"name":"阿三大苏打"},"teamStaffP":{"type":"2"}},{"teamStaffPList":[{"id":"1"}],"tfConstructionTeamP":{"name":"阿斯e撒旦撒旦"},"teamStaffP":{"id":"1"}}],"tfBuildUnitP":{"orderNumber":"124","deptId":"1569216846182748162","tenantId":"1","remark":"大苏打撒旦","teamType":"1"}}', '17', NULL, '### Error updating database.  Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.buildUnitNotNull)

### The error may exist in com/tofly/workflow/baseconf/mapper/TfBuildUnitPMapper.java (best guess)
### The error may involve com.tofly.workflow.baseconf.mapper.TfBuildUnitPMapper.insert-Inline
### The error occurred while setting parameters
### SQL: INSERT INTO TF_BUILD_UNIT_P  ( id, tenant_id, order_number, dept_id, team_type,  remark, CREATE_USER,  CREATE_TIME, UPDATE_USER,  UPDATE_TIME )  VALUES  ( ?, ?, ?, ?, ?,  ?, ?,  ?, ?,  ? )
### Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.buildUnitNotNull)

; ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.buildUnitNotNull)
; nested exception is java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.buildUnitNotNull)', 'content:新增施工班组相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571803376852148226', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 18:08:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 18:08:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/1571794464484749313', 'GET', '{"0":["1571794464484749313"]}', '3', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571803455302410242', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 18:08:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 18:08:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571804536359100418', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-19 18:12:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 18:12:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571804542268874754', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-19 18:13:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 18:13:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571804869630107649', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 18:14:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 18:14:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571804869814657026', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 18:14:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 18:14:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571804871488184321', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-19 18:14:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 18:14:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571804875275640833', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 18:14:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 18:14:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571804877217603586', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 18:14:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 18:14:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1569660763252559873', 'GET', '{"id":["1569660763252559873"]}', '19', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571804877611868161', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 18:14:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 18:14:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571804878094213122', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 18:14:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 18:14:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571804881122500610', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 18:14:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 18:14:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571805024118906881', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-19 18:14:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 18:14:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571805552014008322', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-19 18:17:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 18:17:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571805556493524994', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-19 18:17:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 18:17:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '2', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571805642204127233', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-19 18:17:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 18:17:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '2', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571805646918524930', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-19 18:17:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 18:17:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571806635557937155', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-19 18:21:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 18:21:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '411', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571807151113396225', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-19 18:23:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 18:23:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '8', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571807156565991425', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-19 18:23:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 18:23:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '8', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571807526646210562', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-19 18:24:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 18:24:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '7', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571807896629960706', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-19 18:26:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 18:26:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '7', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571810151932387330', '0', 'tofly-auth', '0', TO_DATE('2022-09-19 18:35:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 18:35:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["0"]}', '28', NULL, '0用户不存在', 'content:登录 :0', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571853841316995073', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 21:28:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 21:28:54', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '8', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571853858706579457', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 21:28:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 21:28:58', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/1569660763252559873', 'GET', '{"id":["1569660763252559873"]}', '37', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571854045462159361', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 21:29:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 21:29:42', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/1569660763252559873', 'GET', '{"id":["1569660763252559873"]}', '38', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571854574519083010', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 21:31:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 21:31:48', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571854640285769730', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 21:32:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 21:32:04', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/1569660763252559873', 'GET', '{"id":["1569660763252559873"]}', '35', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571854929885683713', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 21:33:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 21:33:13', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/1569660763252559873', 'GET', '{"id":["1569660763252559873"]}', '36', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571863793083375618', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 22:08:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 22:08:26', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571864091176755202', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 22:09:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 22:09:37', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571864813083582465', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 22:12:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 22:12:29', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571867547379720193', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 22:23:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 22:23:21', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571867765433196546', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 22:24:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 22:24:13', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '2', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571876792082915330', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 23:00:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 23:00:05', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '21', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571876792334573569', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 23:00:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 23:00:06', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571876815780732930', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 23:00:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 23:00:11', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571876851386179586', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 23:00:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 23:00:20', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/1569507482133536769', 'GET', '{"id":["1569507482133536769"]}', '45', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571876851944022017', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 23:00:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 23:00:20', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571765812753833986', '0', 'tofly-flow', 'yj', TO_DATE('2022-09-19 15:39:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:39:06', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.48', NULL, '/tfcontracttemplatep/saveContractTemplateField', 'POST', '{}', '143', NULL, '### Error updating database.  Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys002)

### The error may exist in com/tofly/workflow/baseconf/mapper/TfContractTemplatePMapper.java (best guess)
### The error may involve com.tofly.workflow.baseconf.mapper.TfContractTemplatePMapper.insert-Inline
### The error occurred while setting parameters
### SQL: INSERT INTO TF_CONTRACT_TEMPLATE_P  ( id, contract_type, name, tenant_id,    remark, CREATE_USER, CREATE_TIME, UPDATE_USER, UPDATE_TIME )  VALUES  ( ?, ?, ?, ?,    ?, ?, ?, ?, ? )
### Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys002)

; ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys002)
; nested exception is java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys002)', 'content:新增合同模板', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571765860107526145', '0', 'tofly-flow', 'yj', TO_DATE('2022-09-19 15:39:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:39:17', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.48', NULL, '/tfcontracttemplatep/saveContractTemplateField', 'POST', '{}', '15', NULL, '### Error updating database.  Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys002)

### The error may exist in com/tofly/workflow/baseconf/mapper/TfContractTemplatePMapper.java (best guess)
### The error may involve com.tofly.workflow.baseconf.mapper.TfContractTemplatePMapper.insert-Inline
### The error occurred while setting parameters
### SQL: INSERT INTO TF_CONTRACT_TEMPLATE_P  ( id, contract_type, name, tenant_id,    remark, CREATE_USER, CREATE_TIME, UPDATE_USER, UPDATE_TIME )  VALUES  ( ?, ?, ?, ?,    ?, ?, ?, ?, ? )
### Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys002)

; ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys002)
; nested exception is java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys002)', 'content:新增合同模板', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571765925488336898', '0', 'tofly-flow', 'yj', TO_DATE('2022-09-19 15:39:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:39:33', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.48', NULL, '/tfcontracttemplatep/saveContractTemplateField', 'POST', '{}', '11', NULL, '### Error updating database.  Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys002)

### The error may exist in com/tofly/workflow/baseconf/mapper/TfContractTemplatePMapper.java (best guess)
### The error may involve com.tofly.workflow.baseconf.mapper.TfContractTemplatePMapper.insert-Inline
### The error occurred while setting parameters
### SQL: INSERT INTO TF_CONTRACT_TEMPLATE_P  ( id, contract_type, name, tenant_id,    remark, CREATE_USER, CREATE_TIME, UPDATE_USER, UPDATE_TIME )  VALUES  ( ?, ?, ?, ?,    ?, ?, ?, ?, ? )
### Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys002)

; ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys002)
; nested exception is java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys002)', 'content:新增合同模板', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571766053913731073', '0', 'tofly-flow', 'yj', TO_DATE('2022-09-19 15:40:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:40:03', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.48', NULL, '/tfcontracttemplatep/saveContractTemplateField', 'POST', '{}', '7450', NULL, '### Error updating database.  Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys002)

### The error may exist in com/tofly/workflow/baseconf/mapper/TfContractTemplatePMapper.java (best guess)
### The error may involve com.tofly.workflow.baseconf.mapper.TfContractTemplatePMapper.insert-Inline
### The error occurred while setting parameters
### SQL: INSERT INTO TF_CONTRACT_TEMPLATE_P  ( id, contract_type, name, tenant_id,    remark, CREATE_USER, CREATE_TIME, UPDATE_USER, UPDATE_TIME )  VALUES  ( ?, ?, ?, ?,    ?, ?, ?, ?, ? )
### Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys002)

; ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys002)
; nested exception is java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys002)', 'content:新增合同模板', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571766151221583873', '0', 'tofly-flow', 'yj', TO_DATE('2022-09-19 15:40:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:40:27', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.48', NULL, '/tfcontracttemplatep/saveContractTemplateField', 'POST', '{}', '23168', NULL, '### Error updating database.  Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys002)

### The error may exist in com/tofly/workflow/baseconf/mapper/TfContractTemplatePMapper.java (best guess)
### The error may involve com.tofly.workflow.baseconf.mapper.TfContractTemplatePMapper.insert-Inline
### The error occurred while setting parameters
### SQL: INSERT INTO TF_CONTRACT_TEMPLATE_P  ( id, contract_type, name, tenant_id,    remark, CREATE_USER, CREATE_TIME, UPDATE_USER, UPDATE_TIME )  VALUES  ( ?, ?, ?, ?,    ?, ?, ?, ?, ? )
### Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys002)

; ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys002)
; nested exception is java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys002)', 'content:新增合同模板', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571766250790166530', '0', 'tofly-flow', 'yj', TO_DATE('2022-09-19 15:40:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:40:50', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.48', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '116', NULL, 'nested exception is org.apache.ibatis.exceptions.PersistenceException: 
### Error querying database.  Cause: java.lang.IllegalArgumentException: Mapped Statements collection does not contain value for com.tofly.common.mapper.ToflyCodeCommonMapper.getUserName
### The error may exist in com/tofly/workflow/baseconf/mapper/TfTemplateFieldPMapper.java (best guess)
### The error may involve com.tofly.workflow.baseconf.mapper.TfTemplateFieldPMapper.selectList
### The error occurred while handling results
### SQL: SELECT  *  FROM TF_TEMPLATE_FIELD_P     WHERE (TEMPLATE_ID = ?)
### Cause: java.lang.IllegalArgumentException: Mapped Statements collection does not contain value for com.tofly.common.mapper.ToflyCodeCommonMapper.getUserName', 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571766301377667074', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 15:41:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:41:02', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.48', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["10000"],"current":["1"]}', '37', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571766359812710401', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 15:41:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:41:16', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.48', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["10000"],"current":["1"]}', '25', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572063500250476546', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 11:22:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:22:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"key":[""]}', '35', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572063506973945858', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 11:22:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:22:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"id":["1572063395757809666"]}', '21', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572063507498233857', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 11:22:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:22:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572063507825389569', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 11:22:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:22:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572063512132939778', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 11:22:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:22:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572063990124212226', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 11:23:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:23:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572063990459756546', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 11:23:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:23:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572063993978777602', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 11:23:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:23:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572064002631626754', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-20 11:24:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:24:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["10000"],"current":["1"]}', '26', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572064019341733890', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 11:24:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:24:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1570698804578582529', 'GET', '{"id":["1570698804578582529"]}', '88', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572064020184788993', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 11:24:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:24:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":["1"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572064020335783937', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 11:24:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:24:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572064023255019522', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 11:24:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:24:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572064108839792641', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-20 11:24:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:24:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572064115814920194', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-20 11:24:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:24:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["30"],"current":["1"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572064240377360385', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-20 11:24:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:24:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp', 'POST', '{}', '2', NULL, NULL, 'content:新增合同模板公用字段', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572064241044254722', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-20 11:24:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:24:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["30"],"current":["1"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572064255887896578', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-20 11:25:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:25:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["10000"],"current":["1"]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572064255980171266', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-20 11:25:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:25:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '26', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572064288704131073', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-20 11:25:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:25:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectmaterialw/getDispatchRecord', 'GET', '{"relationId":["1570739116476383234"],"materialType":["3"]}', '1', NULL, NULL, 'content:领料记录', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572064312242565122', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-20 11:25:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:25:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/updateContractTemplate', 'PUT', '{}', '23', NULL, NULL, 'content:修改合同模板', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572064312934625282', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-20 11:25:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:25:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '25', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572064318492078081', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-20 11:25:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:25:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectmaterialw/getDispatchRecord', 'GET', '{"relationId":["1570739116476383234"],"materialType":["3"]}', '1', NULL, NULL, 'content:领料记录', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572064405083484161', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-20 11:25:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:25:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["10000"],"current":["1"]}', '26', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572064411995697154', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-20 11:25:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:25:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/page', 'GET', '{"tenantId":["1"],"current":["1"],"size":["10000"],"isDel":["0"]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572064485169524737', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 11:25:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:25:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572064880046469122', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 11:27:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:27:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572050850087034882', 'GET', '{"id":["1572050850087034882"]}', '16', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572064881292177409', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 11:27:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:27:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572064881485115393', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 11:27:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:27:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572064885524230146', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 11:27:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:27:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '2', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572064920353730562', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 11:27:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:27:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1571763657271414785', 'GET', '{"id":["1571763657271414785"]}', '46', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572064920857047041', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 11:27:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:27:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":["1"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572064921020624898', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 11:27:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:27:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572064924124409858', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 11:27:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:27:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '2', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572064982878220289', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 11:27:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:27:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1571745533478338562', 'GET', '{"id":["1571745533478338562"]}', '16', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572064983608029185', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 11:27:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:27:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":["1"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572064983767412738', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 11:27:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:27:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572064986829254658', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 11:27:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:27:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572065041397149697', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 11:28:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:28:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"typeName":[""],"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572065387607584769', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 11:29:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:29:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl', 'POST', '{}', '20', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572065388064763905', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 11:29:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:29:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572065400534429697', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 11:29:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:29:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572065401268432898', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 11:29:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:29:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571751693233397761', '0', 'tofly-flow', 'yjf', TO_DATE('2022-09-19 14:43:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:43:00', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfbuildunitp/saveTeamAll', 'POST', '{"companyId":"1569216846182748162","teamStaffMoreDtoList":[{"teamStaffPList":[{"type":"2"}],"tfConstructionTeamP":{"name":"阿三大苏打"},"teamStaffP":{"type":"2"}},{"teamStaffPList":[{"id":"1"}],"tfConstructionTeamP":{"name":"阿斯e撒旦撒旦"},"teamStaffP":{"id":"1"}}],"tfBuildUnitP":{"orderNumber":"124","deptId":"1569216846182748162","tenantId":"1","remark":"大苏打撒旦","teamType":"1"}}', '158', NULL, '### Error updating database.  Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.PK_TF_TEAM_STAFF_P)

### The error may exist in com/tofly/workflow/baseconf/mapper/TfTeamStaffPMapper.java (best guess)
### The error may involve com.tofly.workflow.baseconf.mapper.TfTeamStaffPMapper.insert-Inline
### The error occurred while setting parameters
### SQL: INSERT INTO TF_TEAM_STAFF_P  ( id, team_id,  USER_ID,    CREATE_USER, CREATE_TIME, UPDATE_USER, UPDATE_TIME )  VALUES  ( ?, ?,  ?,    ?, ?, ?, ? )
### Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.PK_TF_TEAM_STAFF_P)

; ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.PK_TF_TEAM_STAFF_P)
; nested exception is java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.PK_TF_TEAM_STAFF_P)', 'content:新增施工班组相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571751999698608129', '0', 'tofly-flow', 'yjf', TO_DATE('2022-09-19 14:44:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:44:13', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfbuildunitp/saveTeamAll', 'POST', '{"companyId":"1569216846182748162","teamStaffMoreDtoList":[{"teamStaffPList":[{"type":"2"}],"tfConstructionTeamP":{"name":"阿三大苏打"},"teamStaffP":{"type":"2"}},{"teamStaffPList":[{"id":"1"}],"tfConstructionTeamP":{"name":"阿斯e撒旦撒旦"},"teamStaffP":{"id":"1"}}],"tfBuildUnitP":{"orderNumber":"124","deptId":"1569216846182748162","tenantId":"1","remark":"大苏打撒旦","teamType":"1"}}', '101', NULL, '### Error updating database.  Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.PK_TF_TEAM_STAFF_P)

### The error may exist in com/tofly/workflow/baseconf/mapper/TfTeamStaffPMapper.java (best guess)
### The error may involve com.tofly.workflow.baseconf.mapper.TfTeamStaffPMapper.insert-Inline
### The error occurred while setting parameters
### SQL: INSERT INTO TF_TEAM_STAFF_P  ( id, team_id,  USER_ID,    CREATE_USER, CREATE_TIME, UPDATE_USER, UPDATE_TIME )  VALUES  ( ?, ?,  ?,    ?, ?, ?, ? )
### Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.PK_TF_TEAM_STAFF_P)

; ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.PK_TF_TEAM_STAFF_P)
; nested exception is java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.PK_TF_TEAM_STAFF_P)', 'content:新增施工班组相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571752157815275521', '0', 'tofly-flow', 'yj', TO_DATE('2022-09-19 14:44:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:44:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '88', NULL, '### Error querying database.  Cause: java.sql.SQLSyntaxErrorException: ORA-00936: 缺失表达式

### The error may exist in com/tofly/workflow/baseconf/mapper/TfContractFieldPMapper.java (best guess)
### The error may involve defaultParameterMap
### The error occurred while setting parameters
### SQL: SELECT * FROM TF_CONTRACT_FIELD_P WHERE id IN ( )
### Cause: java.sql.SQLSyntaxErrorException: ORA-00936: 缺失表达式

; bad SQL grammar []; nested exception is java.sql.SQLSyntaxErrorException: ORA-00936: 缺失表达式', 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571752158457004033', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 14:44:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:44:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571752158817714178', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 14:44:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:44:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571752164433887233', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 14:44:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:44:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571752165864144897', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 14:44:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:44:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1571745533478338562', 'GET', '{"id":["1571745533478338562"]}', '23', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571752166455541762', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 14:44:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:44:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571752167680278530', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 14:44:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:44:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571752243102253058', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 14:45:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:45:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571752621843914754', '0', 'tofly-flow', 'yjf', TO_DATE('2022-09-19 14:46:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:46:41', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfcontracttemplatep/page', 'GET', '{"contractFieldList[0].name":[""],"hitCount":[""],"records":[""],"contractType":[""],"searchCount":[""],"remark":[""],"contractFieldList[0].updateTime":[""],"contractFieldList[0].specialType":[""],"contractFieldList[0].id":[""],"contractFieldList[0].updateUser":[""],"contractFieldList[0].remark":[""],"current":[""],"total":[""],"orders[0].asc":[""],"orders[0].column":[""],"id":[""],"annex":[""],"contractFieldList[0].fieldType":[""],"optimizeCountSql":[""],"updateUser":[""],"updateTime":[""],"contractAnnex":[""],"size":[""],"createTime":[""],"name":[""],"tenantId":[""],"contractFieldList[0].isDel":[""],"createUser":[""],"contractFieldList[0].createTime":[""],"contractFieldList[0].createUser":[""],"isDel":[""],"contractFieldList[0].fieldName":[""]}', '120', NULL, '### Error querying database.  Cause: java.sql.SQLSyntaxErrorException: ORA-00936: 缺失表达式

### The error may exist in com/tofly/workflow/baseconf/mapper/TfContractFieldPMapper.java (best guess)
### The error may involve defaultParameterMap
### The error occurred while setting parameters
### SQL: SELECT * FROM TF_CONTRACT_FIELD_P WHERE id IN ( )
### Cause: java.sql.SQLSyntaxErrorException: ORA-00936: 缺失表达式

; bad SQL grammar []; nested exception is java.sql.SQLSyntaxErrorException: ORA-00936: 缺失表达式', 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571766305420976130', '0', 'tofly-flow', 'yj', TO_DATE('2022-09-19 15:41:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:41:03', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.48', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '69', NULL, 'nested exception is org.apache.ibatis.exceptions.PersistenceException: 
### Error querying database.  Cause: java.lang.IllegalArgumentException: Mapped Statements collection does not contain value for com.tofly.common.mapper.ToflyCodeCommonMapper.getUserName
### The error may exist in com/tofly/workflow/baseconf/mapper/TfTemplateFieldPMapper.java (best guess)
### The error may involve com.tofly.workflow.baseconf.mapper.TfTemplateFieldPMapper.selectList
### The error occurred while handling results
### SQL: SELECT  *  FROM TF_TEMPLATE_FIELD_P     WHERE (TEMPLATE_ID = ?)
### Cause: java.lang.IllegalArgumentException: Mapped Statements collection does not contain value for com.tofly.common.mapper.ToflyCodeCommonMapper.getUserName', 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571767999504556033', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 15:47:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:47:47', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.48', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["10000"],"current":["1"]}', '37', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571768003703054337', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 15:47:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:47:48', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.48', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '94', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571768229478244354', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 15:48:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:48:42', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.48', NULL, '/tfcontracttemplatep/page', 'GET', '{"name":[""],"tenantId":["1569216846182748162"],"current":["1"],"size":["30"],"contractType":[""]}', '105', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571768253025067010', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 15:48:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:48:48', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.48', NULL, '/tfcontracttemplatep/page', 'GET', '{"name":[""],"tenantId":["1569216846182748162"],"current":["1"],"size":["30"],"contractType":["1570686550613266433"]}', '38', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571768265717030914', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 15:48:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:48:51', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.48', NULL, '/tfcontracttemplatep/page', 'GET', '{"name":[""],"tenantId":[""],"current":["1"],"size":["30"],"contractType":["1570686550613266433"]}', '40', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571768275087106049', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 15:48:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:48:53', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.48', NULL, '/tfcontracttemplatep/page', 'GET', '{"name":[""],"tenantId":[""],"current":["1"],"size":["30"],"contractType":["1570686550613266433"]}', '33', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571768308293410817', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 15:49:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:49:01', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.48', NULL, '/tfcontracttemplatep/page', 'GET', '{"name":[""],"tenantId":[""],"current":["1"],"size":["30"],"contractType":[""]}', '98', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571768341201920001', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 15:49:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:49:09', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.48', NULL, '/tfcontracttemplatep/page', 'GET', '{"name":["aa"],"tenantId":[""],"current":["1"],"size":["30"],"contractType":[""]}', '64', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571768367504400385', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 15:49:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:49:15', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.48', NULL, '/tfcontracttemplatep/page', 'GET', '{"name":[""],"tenantId":[""],"current":["1"],"size":["30"],"contractType":[""]}', '89', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571768405320245250', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 15:49:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:49:24', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.48', NULL, '/tfcontractfieldp/deleteByIds', 'DELETE', '{"ids":["1571766165507293186,1571758291968147457,1571764457699807233"]}', '10', NULL, NULL, 'content:通过id批量删除合同模板公用字段', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571768406423347202', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 15:49:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:49:24', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.48', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '105', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571794365352255490', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 17:32:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 17:32:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571794464614653954', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 17:32:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 17:32:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp', 'POST', '{}', '31', NULL, NULL, 'content:新增工程工序/工程管控', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571794465210245121', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 17:32:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 17:32:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571794931352608769', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 17:34:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 17:34:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '17', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571794931570712578', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 17:34:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 17:34:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571794937212051458', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 17:34:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 17:34:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571794937375629313', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 17:34:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 17:34:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571794938453565442', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 17:34:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 17:34:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571794950805790722', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 17:34:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 17:34:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1570698804578582529', 'GET', '{"id":["1570698804578582529"]}', '105', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571794951183278081', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 17:34:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 17:34:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571794951342661633', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 17:34:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 17:34:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571794952345100289', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 17:34:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 17:34:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571795856280526849', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-19 17:38:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 17:38:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571795860156063746', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-19 17:38:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 17:38:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571876852157931521', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 23:00:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 23:00:20', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571876853302976513', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 23:00:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 23:00:20', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572026964830085122', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-20 08:56:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 08:56:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["10000"],"current":["1"]}', '21', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572026964909776897', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-20 08:56:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 08:56:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '67', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572028428633792514', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 09:02:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 09:02:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572028428835119105', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 09:02:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 09:02:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572028432043761665', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 09:02:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 09:02:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572028432236699650', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 09:02:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 09:02:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572028449227825153', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 09:02:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 09:02:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572028449412374529', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 09:02:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 09:02:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571766363600166913', '0', 'tofly-flow', 'yj', TO_DATE('2022-09-19 15:41:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:41:17', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.48', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '69', NULL, 'nested exception is org.apache.ibatis.exceptions.PersistenceException: 
### Error querying database.  Cause: java.lang.IllegalArgumentException: Mapped Statements collection does not contain value for com.tofly.common.mapper.ToflyCodeCommonMapper.getUserName
### The error may exist in com/tofly/workflow/baseconf/mapper/TfTemplateFieldPMapper.java (best guess)
### The error may involve com.tofly.workflow.baseconf.mapper.TfTemplateFieldPMapper.selectList
### The error occurred while handling results
### SQL: SELECT  *  FROM TF_TEMPLATE_FIELD_P     WHERE (TEMPLATE_ID = ?)
### Cause: java.lang.IllegalArgumentException: Mapped Statements collection does not contain value for com.tofly.common.mapper.ToflyCodeCommonMapper.getUserName', 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571766405119582210', '0', 'tofly-flow', 'yjf', TO_DATE('2022-09-19 15:41:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:41:27', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfcontracttemplatep/page', 'GET', '{"contractFieldList[0].name":[""],"hitCount":[""],"records":[""],"contractType":[""],"searchCount":[""],"remark":[""],"contractFieldList[0].updateTime":[""],"contractFieldList[0].specialType":[""],"contractFieldList[0].id":[""],"contractFieldList[0].updateUser":[""],"contractFieldList[0].remark":[""],"current":[""],"total":[""],"orders[0].asc":[""],"orders[0].column":[""],"id":[""],"annex":[""],"contractFieldList[0].fieldType":[""],"optimizeCountSql":[""],"updateUser":[""],"updateTime":[""],"contractAnnex":[""],"size":[""],"createTime":[""],"name":[""],"tenantId":[""],"contractFieldList[0].isDel":[""],"createUser":[""],"contractFieldList[0].createTime":[""],"contractFieldList[0].createUser":[""],"isDel":[""],"contractFieldList[0].fieldName":[""]}', '79', NULL, 'nested exception is org.apache.ibatis.exceptions.PersistenceException: 
### Error querying database.  Cause: java.lang.IllegalArgumentException: Mapped Statements collection does not contain value for com.tofly.common.mapper.ToflyCodeCommonMapper.getUserName
### The error may exist in com/tofly/workflow/baseconf/mapper/TfTemplateFieldPMapper.java (best guess)
### The error may involve com.tofly.workflow.baseconf.mapper.TfTemplateFieldPMapper.selectList
### The error occurred while handling results
### SQL: SELECT  *  FROM TF_TEMPLATE_FIELD_P     WHERE (TEMPLATE_ID = ?)
### Cause: java.lang.IllegalArgumentException: Mapped Statements collection does not contain value for com.tofly.common.mapper.ToflyCodeCommonMapper.getUserName', 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571766792249647106', '0', 'tofly-flow', 'yjf', TO_DATE('2022-09-19 15:42:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:42:59', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfcontracttemplatep/page', 'GET', '{"contractFieldList[0].name":[""],"hitCount":[""],"records":[""],"contractType":[""],"searchCount":[""],"remark":[""],"contractFieldList[0].updateTime":[""],"contractFieldList[0].specialType":[""],"contractFieldList[0].id":[""],"contractFieldList[0].updateUser":[""],"contractFieldList[0].remark":[""],"current":[""],"total":[""],"orders[0].asc":[""],"orders[0].column":[""],"id":[""],"annex":[""],"contractFieldList[0].fieldType":[""],"optimizeCountSql":[""],"updateUser":[""],"updateTime":[""],"contractAnnex":[""],"size":[""],"createTime":[""],"name":[""],"tenantId":[""],"contractFieldList[0].isDel":[""],"createUser":[""],"contractFieldList[0].createTime":[""],"contractFieldList[0].createUser":[""],"isDel":[""],"contractFieldList[0].fieldName":[""]}', '19676', NULL, 'nested exception is org.apache.ibatis.exceptions.PersistenceException: 
### Error querying database.  Cause: java.lang.IllegalArgumentException: Mapped Statements collection does not contain value for com.tofly.common.mapper.ToflyCodeCommonMapper.getUserName
### The error may exist in com/tofly/workflow/baseconf/mapper/TfTemplateFieldPMapper.java (best guess)
### The error may involve com.tofly.workflow.baseconf.mapper.TfTemplateFieldPMapper.selectList
### The error occurred while handling results
### SQL: SELECT  *  FROM TF_TEMPLATE_FIELD_P     WHERE (TEMPLATE_ID = ?)
### Cause: java.lang.IllegalArgumentException: Mapped Statements collection does not contain value for com.tofly.common.mapper.ToflyCodeCommonMapper.getUserName', 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571766966418120706', '0', 'tofly-flow', 'yjf', TO_DATE('2022-09-19 15:43:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:43:41', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfcontracttemplatep/page', 'GET', '{"contractFieldList[0].name":[""],"hitCount":[""],"records":[""],"contractType":[""],"searchCount":[""],"remark":[""],"contractFieldList[0].updateTime":[""],"contractFieldList[0].specialType":[""],"contractFieldList[0].id":[""],"contractFieldList[0].updateUser":[""],"contractFieldList[0].remark":[""],"current":[""],"total":[""],"orders[0].asc":[""],"orders[0].column":[""],"id":[""],"annex":[""],"contractFieldList[0].fieldType":[""],"optimizeCountSql":[""],"updateUser":[""],"updateTime":[""],"contractAnnex":[""],"size":[""],"createTime":[""],"name":[""],"tenantId":[""],"contractFieldList[0].isDel":[""],"createUser":[""],"contractFieldList[0].createTime":[""],"contractFieldList[0].createUser":[""],"isDel":[""],"contractFieldList[0].fieldName":[""]}', '39811', NULL, 'nested exception is org.apache.ibatis.exceptions.PersistenceException: 
### Error querying database.  Cause: java.lang.IllegalArgumentException: Mapped Statements collection does not contain value for com.tofly.common.mapper.ToflyCodeCommonMapper.getUserName
### The error may exist in com/tofly/workflow/baseconf/mapper/TfTemplateFieldPMapper.java (best guess)
### The error may involve com.tofly.workflow.baseconf.mapper.TfTemplateFieldPMapper.selectList
### The error occurred while handling results
### SQL: SELECT  *  FROM TF_TEMPLATE_FIELD_P     WHERE (TEMPLATE_ID = ?)
### Cause: java.lang.IllegalArgumentException: Mapped Statements collection does not contain value for com.tofly.common.mapper.ToflyCodeCommonMapper.getUserName', 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572065402195374081', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 11:29:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:29:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572065402832908290', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 11:29:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:29:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572065404032479234', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 11:29:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:29:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572065404607098881', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 11:29:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:29:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572065405471125506', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 11:29:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:29:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572065406100271105', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 11:29:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:29:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572065411066327042', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 11:29:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:29:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572065411267653634', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 11:29:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:29:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572065424764923905', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 11:29:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:29:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572065424928501762', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 11:29:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:29:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572065590351851521', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 11:30:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:30:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"typeName":[""],"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572065600158134273', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 11:30:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:30:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572065610476122113', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 11:30:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:30:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["30"],"dataType":["1570692286170427400"]}', '2', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572065673646534658', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-20 11:30:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:30:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572065679686332418', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-20 11:30:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:30:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572065685470277633', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-20 11:30:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:30:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/page', 'GET', '{"tenantId":["1"],"current":["1"],"size":["10000"],"isDel":["0"]}', '2', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572065770006474754', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 11:31:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:31:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572065779011645442', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-20 11:31:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:31:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/page', 'GET', '{"tenantId":["1"],"current":["1"],"size":["10000"],"isDel":["0"]}', '2', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572065796338315266', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 11:31:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:31:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["30"],"dataType":["1570692286170427400"]}', '2', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572065861102563330', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 11:31:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:31:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572065895533604866', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 11:31:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:31:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572065904064819202', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 11:31:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:31:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572066078212321281', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-20 11:32:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:32:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/page', 'GET', '{"tenantId":["1"],"current":["1"],"size":["10000"],"isDel":["0"]}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572066320173330433', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-20 11:33:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:33:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/page', 'GET', '{"tenantId":["1"],"current":["1"],"size":["10000"],"isDel":["0"]}', '2', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572066377094230017', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-20 11:33:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:33:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/page', 'GET', '{"tenantId":["1"],"current":["1"],"size":["10000"],"isDel":["0"]}', '2', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572066880817557506', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 11:35:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:35:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '2', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572067146858065921', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 11:36:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:36:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"id":["1572063395757809666"]}', '32', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572067219406942209', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-20 11:36:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:36:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["10000"],"current":["1"]}', '32', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572067423321419778', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 11:37:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:37:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572067423497580546', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 11:37:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:37:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572068346781331458', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-20 11:41:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:41:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["10000"],"current":["1"]}', '30', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572069171549270018', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 11:44:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:44:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572069171977089025', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 11:44:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:44:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572069177731674114', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 11:44:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:44:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572069178478260226', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 11:44:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:44:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572069183360430082', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 11:44:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:44:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572069183708557314', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 11:44:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:44:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572069188028690433', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 11:44:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:44:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572069188263571458', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 11:44:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:44:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572069190725627905', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 11:44:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:44:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572069197654618114', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 11:44:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:44:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572050850087034882', 'GET', '{"id":["1572050850087034882"]}', '26', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571752745806569474', '0', 'tofly-flow', 'yjf', TO_DATE('2022-09-19 14:47:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:47:11', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfcontracttemplatep/page', 'GET', '{"contractFieldList[0].name":[""],"hitCount":[""],"records":[""],"contractType":[""],"searchCount":[""],"remark":[""],"contractFieldList[0].updateTime":[""],"contractFieldList[0].specialType":[""],"contractFieldList[0].id":[""],"contractFieldList[0].updateUser":[""],"contractFieldList[0].remark":[""],"current":[""],"total":[""],"orders[0].asc":[""],"orders[0].column":[""],"id":[""],"annex":[""],"contractFieldList[0].fieldType":[""],"optimizeCountSql":[""],"updateUser":[""],"updateTime":[""],"contractAnnex":[""],"size":[""],"createTime":[""],"name":[""],"tenantId":[""],"contractFieldList[0].isDel":[""],"createUser":[""],"contractFieldList[0].createTime":[""],"contractFieldList[0].createUser":[""],"isDel":[""],"contractFieldList[0].fieldName":[""]}', '7036', NULL, '### Error querying database.  Cause: java.sql.SQLSyntaxErrorException: ORA-00936: 缺失表达式

### The error may exist in com/tofly/workflow/baseconf/mapper/TfContractFieldPMapper.java (best guess)
### The error may involve defaultParameterMap
### The error occurred while setting parameters
### SQL: SELECT * FROM TF_CONTRACT_FIELD_P WHERE id IN ( )
### Cause: java.sql.SQLSyntaxErrorException: ORA-00936: 缺失表达式

; bad SQL grammar []; nested exception is java.sql.SQLSyntaxErrorException: ORA-00936: 缺失表达式', 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571753363610771457', '0', 'tofly-flow', 'yjf', TO_DATE('2022-09-19 14:49:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:49:38', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfcontracttemplatep/page', 'GET', '{"contractFieldList[0].name":[""],"hitCount":[""],"records":[""],"contractType":[""],"searchCount":[""],"remark":[""],"contractFieldList[0].updateTime":[""],"contractFieldList[0].specialType":[""],"contractFieldList[0].id":[""],"contractFieldList[0].updateUser":[""],"contractFieldList[0].remark":[""],"current":[""],"total":[""],"orders[0].asc":[""],"orders[0].column":[""],"id":[""],"annex":[""],"contractFieldList[0].fieldType":[""],"optimizeCountSql":[""],"updateUser":[""],"updateTime":[""],"contractAnnex":[""],"size":[""],"createTime":[""],"name":[""],"tenantId":[""],"contractFieldList[0].isDel":[""],"createUser":[""],"contractFieldList[0].createTime":[""],"contractFieldList[0].createUser":[""],"isDel":[""],"contractFieldList[0].fieldName":[""]}', '9971', NULL, '### Error querying database.  Cause: java.sql.SQLSyntaxErrorException: ORA-00936: 缺失表达式

### The error may exist in com/tofly/workflow/baseconf/mapper/TfContractFieldPMapper.java (best guess)
### The error may involve defaultParameterMap
### The error occurred while setting parameters
### SQL: SELECT * FROM TF_CONTRACT_FIELD_P WHERE id IN ( )
### Cause: java.sql.SQLSyntaxErrorException: ORA-00936: 缺失表达式

; bad SQL grammar []; nested exception is java.sql.SQLSyntaxErrorException: ORA-00936: 缺失表达式', 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571753589687951361', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-19 14:50:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:50:32', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfcontracttemplatep/page', 'GET', '{"contractFieldList[0].name":[""],"hitCount":[""],"records":[""],"contractType":[""],"searchCount":[""],"remark":[""],"contractFieldList[0].updateTime":[""],"contractFieldList[0].specialType":[""],"contractFieldList[0].id":[""],"contractFieldList[0].updateUser":[""],"contractFieldList[0].remark":[""],"current":[""],"total":[""],"orders[0].asc":[""],"orders[0].column":[""],"id":[""],"annex":[""],"contractFieldList[0].fieldType":[""],"optimizeCountSql":[""],"updateUser":[""],"updateTime":[""],"contractAnnex":[""],"size":[""],"createTime":[""],"name":[""],"tenantId":[""],"contractFieldList[0].isDel":[""],"createUser":[""],"contractFieldList[0].createTime":[""],"contractFieldList[0].createUser":[""],"isDel":[""],"contractFieldList[0].fieldName":[""]}', '182', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571754642575695874', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-19 14:54:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:54:43', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfcontracttemplatep/page', 'GET', '{"contractFieldList[0].name":[""],"hitCount":[""],"records":[""],"contractType":[""],"searchCount":[""],"remark":[""],"contractFieldList[0].updateTime":[""],"contractFieldList[0].specialType":[""],"contractFieldList[0].id":[""],"contractFieldList[0].updateUser":[""],"contractFieldList[0].remark":[""],"current":[""],"total":[""],"orders[0].asc":[""],"orders[0].column":[""],"id":[""],"annex":[""],"contractFieldList[0].fieldType":[""],"optimizeCountSql":[""],"updateUser":[""],"updateTime":[""],"contractAnnex":[""],"size":[""],"createTime":[""],"name":[""],"tenantId":[""],"contractFieldList[0].isDel":[""],"createUser":[""],"contractFieldList[0].createTime":[""],"contractFieldList[0].createUser":[""],"isDel":[""],"contractFieldList[0].fieldName":[""]}', '109', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571754680609644546', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-19 14:54:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:54:52', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfcontracttemplatep/page', 'GET', '{"contractFieldList[0].name":[""],"hitCount":[""],"records":[""],"contractType":[""],"searchCount":[""],"remark":[""],"contractFieldList[0].updateTime":[""],"contractFieldList[0].specialType":[""],"contractFieldList[0].id":[""],"contractFieldList[0].updateUser":[""],"contractFieldList[0].remark":[""],"current":[""],"total":[""],"orders[0].asc":[""],"orders[0].column":[""],"id":[""],"annex":[""],"contractFieldList[0].fieldType":[""],"optimizeCountSql":[""],"updateUser":[""],"updateTime":[""],"contractAnnex":[""],"size":[""],"createTime":[""],"name":[""],"tenantId":[""],"contractFieldList[0].isDel":[""],"createUser":[""],"contractFieldList[0].createTime":[""],"contractFieldList[0].createUser":[""],"isDel":[""],"contractFieldList[0].fieldName":[""]}', '101', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571765194677002241', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 15:36:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:36:39', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.48', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '32', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571765205737381889', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 15:36:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:36:41', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.48', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["10000"],"current":["1"]}', '32', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571765206794346497', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 15:36:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:36:41', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.48', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '32', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571765481286377473', '0', 'tofly-flow', 'yj', TO_DATE('2022-09-19 15:37:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:37:47', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.48', NULL, '/tfcontracttemplatep/saveContractTemplateField', 'POST', '{}', '25103', NULL, '### Error updating database.  Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.PK_TF_CONTRACT_FIELD_P)

### The error may exist in com/tofly/workflow/baseconf/mapper/TfContractFieldPMapper.java (best guess)
### The error may involve com.tofly.workflow.baseconf.mapper.TfContractFieldPMapper.insert-Inline
### The error occurred while setting parameters
### SQL: INSERT INTO TF_CONTRACT_FIELD_P  ( id, name, field_name, field_type,   remark, CREATE_USER, CREATE_TIME, UPDATE_USER, UPDATE_TIME )  VALUES  ( ?, ?, ?, ?,   ?, ?, ?, ?, ? )
### Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.PK_TF_CONTRACT_FIELD_P)

; ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.PK_TF_CONTRACT_FIELD_P)
; nested exception is java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.PK_TF_CONTRACT_FIELD_P)', 'content:新增合同模板', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571766206099857409', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 15:40:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:40:40', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.48', NULL, '/tfcontracttemplatep/saveContractTemplateField', 'POST', '{}', '13055', NULL, NULL, 'content:新增合同模板', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572028450620334082', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 09:02:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 09:02:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572028459906523138', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 09:02:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 09:02:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1571763657271414785', 'GET', '{"id":["1571763657271414785"]}', '51', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572028461076733953', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 09:02:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 09:02:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":["1"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572028461475192834', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 09:02:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 09:02:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572028462720901122', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 09:02:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 09:02:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572028482610290689', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 09:02:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 09:02:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1570698804578582529', 'GET', '{"id":["1570698804578582529"]}', '105', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572028483449151489', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 09:02:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 09:02:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572028483654672385', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 09:02:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 09:02:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572028485428862978', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 09:02:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 09:02:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572028559932284929', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 09:03:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 09:03:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572028560183943170', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 09:03:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 09:03:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572028561253490689', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 09:03:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 09:03:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572028572389367810', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 09:03:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 09:03:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1570698804578582529', 'GET', '{"id":["1570698804578582529"]}', '104', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572028573207257089', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 09:03:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 09:03:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572028573400195074', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 09:03:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 09:03:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572028574985641986', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 09:03:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 09:03:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572029363351216129', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 09:06:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 09:06:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1569660763252559873', 'GET', '{"id":["1569660763252559873"]}', '30', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572029364273963010', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 09:06:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 09:06:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1569660763252559873', 'GET', '{"id":["1569660763252559873"]}', '35', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572031334237888514', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 09:14:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 09:14:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"key":[""]}', '44', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572031449417670658', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 09:14:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 09:14:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '66', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572031515419238401', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 09:14:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 09:14:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/1571794464484749313', 'GET', '{"0":["1571794464484749313"]}', '4', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572031546457088002', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 09:15:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 09:15:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/1571794464484749313', 'GET', '{"0":["1571794464484749313"]}', '3', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572031730654142466', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 09:15:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 09:15:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"key":[""]}', '45', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572031748878393345', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 09:15:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 09:15:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/1571753437224890370', 'GET', '{"0":["1571753437224890370"]}', '34', NULL, NULL, 'content:通过id查询施工组织单位', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572031785662439425', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 09:15:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 09:15:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572031797897224194', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 09:16:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 09:16:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/1571802239679983618', 'GET', '{"0":["1571802239679983618"]}', '5', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572032259220332545', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 09:17:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 09:17:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572037998215290881', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-20 09:40:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 09:40:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572039003719946241', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-20 09:44:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 09:44:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '286', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572039091624169474', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 09:45:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 09:45:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '21', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572039097152262146', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-20 09:45:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 09:45:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '10', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572039153720840193', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 09:45:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 09:45:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1569660763252559873', 'GET', '{"id":["1569660763252559873"]}', '59', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572039306229927938', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-20 09:45:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 09:45:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '168', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572039315474173954', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-20 09:45:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 09:45:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '7', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572039588313649154', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-20 09:46:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 09:46:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572040116829507585', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-20 09:49:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 09:49:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '7', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572040277840449537', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-20 09:49:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 09:49:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572040711657312257', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-20 09:51:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 09:51:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '10', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572040916989464577', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 09:52:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 09:52:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1569660763252559873', 'GET', '{"id":["1569660763252559873"]}', '47', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572040973222498305', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 09:52:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 09:52:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1569660763252559873', 'GET', '{"id":["1569660763252559873"]}', '59', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572041039412809729', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 09:52:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 09:52:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572041074531717122', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 09:52:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 09:52:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1569660763252559873', 'GET', '{"id":["1569660763252559873"]}', '43', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571767370971324417', '0', 'tofly-flow', 'yjf', TO_DATE('2022-09-19 15:45:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:45:17', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfcontracttemplatep/page', 'GET', '{"contractFieldList[0].name":[""],"hitCount":[""],"records":[""],"contractType":[""],"searchCount":[""],"remark":[""],"contractFieldList[0].updateTime":[""],"contractFieldList[0].specialType":[""],"contractFieldList[0].id":[""],"contractFieldList[0].updateUser":[""],"contractFieldList[0].remark":[""],"current":[""],"total":[""],"orders[0].asc":[""],"orders[0].column":[""],"id":[""],"annex":[""],"contractFieldList[0].fieldType":[""],"optimizeCountSql":[""],"updateUser":[""],"updateTime":[""],"contractAnnex":[""],"size":[""],"createTime":[""],"name":[""],"tenantId":[""],"contractFieldList[0].isDel":[""],"createUser":[""],"contractFieldList[0].createTime":[""],"contractFieldList[0].createUser":[""],"isDel":[""],"contractFieldList[0].fieldName":[""]}', '109', NULL, 'nested exception is org.apache.ibatis.exceptions.PersistenceException: 
### Error querying database.  Cause: java.lang.IllegalArgumentException: Mapped Statements collection does not contain value for com.tofly.common.mapper.ToflyCodeCommonMapper.getUserName
### The error may exist in com/tofly/workflow/baseconf/mapper/TfTemplateFieldPMapper.java (best guess)
### The error may involve com.tofly.workflow.baseconf.mapper.TfTemplateFieldPMapper.selectList
### The error occurred while handling results
### SQL: SELECT  *  FROM TF_TEMPLATE_FIELD_P     WHERE (TEMPLATE_ID = ?)
### Cause: java.lang.IllegalArgumentException: Mapped Statements collection does not contain value for com.tofly.common.mapper.ToflyCodeCommonMapper.getUserName', 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571767783271407617', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-19 15:46:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:46:56', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfcontracttemplatep/page', 'GET', '{"contractFieldList[0].name":[""],"hitCount":[""],"records":[""],"contractType":[""],"searchCount":[""],"remark":[""],"contractFieldList[0].updateTime":[""],"contractFieldList[0].specialType":[""],"contractFieldList[0].id":[""],"contractFieldList[0].updateUser":[""],"contractFieldList[0].remark":[""],"current":[""],"total":[""],"orders[0].asc":[""],"orders[0].column":[""],"id":[""],"annex":[""],"contractFieldList[0].fieldType":[""],"optimizeCountSql":[""],"updateUser":[""],"updateTime":[""],"contractAnnex":[""],"size":[""],"createTime":[""],"name":[""],"tenantId":[""],"contractFieldList[0].isDel":[""],"createUser":[""],"contractFieldList[0].createTime":[""],"contractFieldList[0].createUser":[""],"isDel":[""],"contractFieldList[0].fieldName":[""]}', '297', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571768436890771458', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 15:49:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:49:32', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.48', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["10000"],"current":["1"]}', '33', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571768441877798913', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 15:49:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:49:33', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.48', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '57', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571768675194347521', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 15:50:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:50:28', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.48', NULL, '/tfcontractfieldp/deleteByIds', 'DELETE', '{"ids":["1571766165507293186,1571758291968147457,1571764457699807233"]}', '3', NULL, NULL, 'content:通过id批量删除合同模板公用字段', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571768679162159106', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 15:50:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:50:29', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.48', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '100', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571768973518413825', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-19 15:51:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:51:40', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfcontracttemplatep/deleteByIds', 'DELETE', '{"ids":["1571765413724454913"]}', '50', NULL, NULL, 'content:通过id批量删除合同模板', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571769074953461762', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 15:52:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:52:04', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.48', NULL, '/tfcontractfieldp/deleteByIds', 'DELETE', '{"ids":["1571758291968147457,1571764457699807233,1571766165507293186"]}', '6', NULL, NULL, 'content:通过id批量删除合同模板公用字段', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571769076249501698', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 15:52:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:52:04', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.48', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '86', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571769348531134465', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 15:53:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:53:09', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.48', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["10000"],"current":["1"]}', '37', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571769350879944705', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 15:53:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:53:09', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.48', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '94', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571769376733634561', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 15:53:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:53:16', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.48', NULL, '/tfcontracttemplatep/deleteByIds', 'DELETE', '{"ids":["1571766165507293186,1571758291968147457,1571764457699807233,1571762086630440961"]}', '109', NULL, NULL, 'content:通过id批量删除合同模板', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571769380332347394', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 15:53:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:53:16', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.48', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '45', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571769430525583362', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 15:53:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:53:28', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.48', NULL, '/tfcontracttemplatep/deleteByIds', 'DELETE', '{"ids":["1571763121352609794"]}', '32', NULL, NULL, 'content:通过id批量删除合同模板', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571769433709060097', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 15:53:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:53:29', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.48', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '34', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571769500926976001', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 15:53:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:53:45', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.48', NULL, '/tfcontracttemplatep/page', 'GET', '{"name":[""],"tenantId":["1569216846182748162"],"current":["1"],"size":["30"],"contractType":[""]}', '29', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571769835359805442', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 15:55:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:55:05', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.48', NULL, '/tfcontracttemplatep/saveContractTemplateField', 'POST', '{}', '16224', NULL, NULL, 'content:新增合同模板', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571769839650578434', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 15:55:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:55:06', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.48', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '58', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571769895707451394', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 15:55:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:55:19', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.48', NULL, '/tfcontracttemplatep/deleteByIds', 'DELETE', '{"ids":["1571761916199092225"]}', '27', NULL, NULL, 'content:通过id批量删除合同模板', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571769897536167938', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 15:55:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:55:20', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.48', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '46', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571770155691384833', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 15:56:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:56:21', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.48', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["10000"],"current":["1"]}', '22', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571770163874471937', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 15:56:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:56:23', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.48', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '43', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571770862028955650', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 15:59:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:59:10', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.48', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["10000"],"current":["1"]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571770865673805825', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 15:59:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:59:11', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.48', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '52', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571771540960944129', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 16:01:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:01:52', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.48', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["10000"],"current":["1"]}', '40', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571771544517713921', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 16:01:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:01:52', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.48', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '47', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571771705398632449', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 16:02:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:02:31', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.48', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["10000"],"current":["1"]}', '32', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571771709492273153', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 16:02:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:02:32', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.48', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '63', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571771897992683522', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 16:03:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:03:17', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.48', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["10000"],"current":["1"]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571771901952106498', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 16:03:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:03:18', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.48', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '60', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571800178783657986', '0', 'tofly-flow', 'yj', TO_DATE('2022-09-19 17:55:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 17:55:39', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.48', NULL, '/tfcontracttemplatep/saveContractTemplateField', 'POST', '{}', '1', NULL, '合同模板字段关联信息，请重新输入', 'content:新增合同模板', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571800323533283330', '0', 'tofly-flow', 'yj', TO_DATE('2022-09-19 17:56:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 17:56:14', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.48', NULL, '/tfcontracttemplatep/saveContractTemplateField', 'POST', '{}', '1', NULL, '合同模板字段关联信息，请重新输入', 'content:新增合同模板', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571800586520338434', '0', 'tofly-flow', 'yj', TO_DATE('2022-09-19 17:57:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 17:57:17', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.48', NULL, '/tfcontracttemplatep/saveContractTemplateField', 'POST', '{}', '0', NULL, '合同模板字段关联信息，请重新输入', 'content:新增合同模板', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572069198199877633', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 11:44:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:44:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":["1"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572069198594142209', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 11:44:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:44:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572069201739870209', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 11:44:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:44:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572069218768744449', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 11:44:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:44:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572055469848649729', 'GET', '{"id":["1572055469848649729"]}', '29', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572069219372724225', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 11:44:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:44:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572069219523719169', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 11:44:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:44:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572069223348924418', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 11:44:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:44:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572069250586734594', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 11:44:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:44:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '2', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572069357524709378', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 11:45:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:45:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"id":["1572063395757809666"]}', '25', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572069534029410305', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 11:45:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:45:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl', 'POST', '{}', '13', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572069579508248578', '0', 'tofly-flow', 'test', TO_DATE('2022-09-20 11:46:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:46:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl', 'POST', '{}', '178', NULL, '失败', 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572069607383592962', '0', 'tofly-flow', 'test', TO_DATE('2022-09-20 11:46:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:46:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl', 'POST', '{}', '288', NULL, '失败', 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572069679999578114', '0', 'tofly-flow', 'test', TO_DATE('2022-09-20 11:46:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:46:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl', 'POST', '{}', '198', NULL, '失败', 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572069824589819905', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 11:47:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:47:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572069850376400897', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 11:47:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:47:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572069861789102081', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 11:47:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:47:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572069928822468609', '0', 'tofly-flow', 'test', TO_DATE('2022-09-20 11:47:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:47:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl', 'POST', '{}', '106', NULL, '失败', 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572070080991817729', '0', 'tofly-flow', 'test', TO_DATE('2022-09-20 11:48:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:48:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl', 'POST', '{}', '72', NULL, '失败', 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572070112549761025', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 11:48:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:48:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl', 'POST', '{}', '41', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572070113115992066', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 11:48:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:48:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572070143369506818', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 11:48:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:48:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572070112260382722', 'GET', '{"id":["1572070112260382722"]}', '34', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572070144019623938', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 11:48:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:48:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572070144443248642', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 11:48:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:48:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572070147228266498', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 11:48:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:48:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572070198025482241', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 11:48:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:48:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl', 'POST', '{}', '76', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572070198327472129', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 11:48:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:48:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572070206745440257', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 11:48:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:48:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572070112260382722', 'GET', '{"id":["1572070112260382722"]}', '31', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572070207563329537', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 11:48:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:48:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572070207722713090', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 11:48:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:48:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572070210981687297', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 11:48:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:48:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572070213640876033', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 11:48:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:48:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572070260281536514', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 11:48:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:48:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl', 'POST', '{}', '46', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572070261787291650', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 11:48:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:48:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572070266296168450', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 11:48:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:48:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572070112260382722', 'GET', '{"id":["1572070112260382722"]}', '32', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572070268280074241', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 11:48:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:48:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572070268900831233', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 11:48:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:48:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572070274101768194', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 11:48:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:48:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572070316632010753', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 11:49:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:49:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"id":["1572063395757809666"]}', '25', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572070317303099394', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 11:49:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:49:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572070317680586754', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 11:49:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:49:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571788497277689858', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-19 17:09:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 17:09:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"fieldName":[""],"hitCount":[""],"optimizeCountSql":[""],"records":[""],"searchCount":[""],"updateUser":[""],"remark":[""],"updateTime":[""],"current":[""],"total":[""],"specialType":[""],"size":[""],"createTime":[""],"orders[0].asc":[""],"name":[""],"createUser":[""],"orders[0].column":[""],"id":[""],"fieldType":[""],"isDel":[""]}', '21', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571788826547331073', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 17:10:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 17:10:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571788880972619778', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 17:10:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 17:10:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571792314270490625', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 17:24:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 17:24:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '8', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571792331022540802', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-19 17:24:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 17:24:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '18', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571792331253227521', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-19 17:24:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 17:24:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '18', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571801367998636034', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-19 18:00:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 18:00:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571801375363833857', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-19 18:00:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 18:00:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '2', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571801497489383425', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 18:00:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 18:00:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571801773151625217', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 18:02:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 18:02:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571801799118561281', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-19 18:02:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 18:02:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '2', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571801804613099522', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-19 18:02:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 18:02:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571802092388491266', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 18:03:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 18:03:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571802123724136450', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-19 18:03:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 18:03:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571802239751168001', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 18:03:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 18:03:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp', 'POST', '{}', '5', NULL, NULL, 'content:新增工程工序/工程管控', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571802240002826242', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 18:03:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 18:03:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571802302527315970', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-19 18:04:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 18:04:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571802311419240449', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-19 18:04:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 18:04:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '2', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571802897627750401', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 18:06:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 18:06:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571802929118584834', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 18:06:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 18:06:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/1571794464484749313', 'GET', '{"0":["1571794464484749313"]}', '5', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572071403564920833', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 11:53:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:53:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572065387481784322', 'DELETE', '{"id":["1572065387481784322"]}', '61', NULL, NULL, 'content:通过id删除审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572071403783024641', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 11:53:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:53:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572071437316485121', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 11:53:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:53:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":["新安装工程流程"]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572071444656517122', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 11:53:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:53:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572071445369548802', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 11:53:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:53:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572071462796881921', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 11:53:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:53:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":["模板2"]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572071470589898754', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 11:53:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:53:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572071471516839937', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 11:53:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:53:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572071529670864898', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 11:53:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:53:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572049057135321090', 'GET', '{"id":["1572049057135321090"]}', '18', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572071530383896578', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 11:53:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:53:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572071533709979649', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 11:53:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:53:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572071554413064193', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 11:54:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:54:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572049057135321090', 'DELETE', '{"id":["1572049057135321090"]}', '2', NULL, NULL, 'content:通过id删除审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572071554706665473', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 11:54:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:54:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572071571601321985', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 11:54:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:54:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1571763657271414785', 'GET', '{"id":["1571763657271414785"]}', '52', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572071572268216322', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 11:54:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:54:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572071575799820290', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 11:54:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:54:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572071601506709505', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 11:54:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:54:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1571745533478338562', 'GET', '{"id":["1571745533478338562"]}', '18', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572071602425262082', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 11:54:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:54:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572071605646487554', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 11:54:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:54:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571672087310372866', '1', 'tofly-flow', 'lye', TO_DATE('2022-09-19 09:26:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 09:26:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571672461706530817', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 09:28:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 09:28:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["10000"],"current":["1"]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571672462067240962', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 09:28:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 09:28:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571672520179322881', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 09:28:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 09:28:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["30"],"current":["1"]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571676865692176385', '1', 'tofly-flow', 'lye', TO_DATE('2022-09-19 09:45:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 09:45:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571679264171364353', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-19 09:55:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 09:55:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1569616564261691393', 'GET', '{}', '23', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571679706364252161', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 09:56:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 09:56:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571679706653659138', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 09:56:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 09:56:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571679714832551937', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 09:56:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 09:56:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571679715029684225', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 09:56:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 09:56:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571679736340942849', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 09:57:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 09:57:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1569660763252559873', 'GET', '{"id":["1569660763252559873"]}', '32', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571679736911368194', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 09:57:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 09:57:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571679737163026434', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 09:57:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 09:57:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571679738626838529', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 09:57:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 09:57:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571680793909530625', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-19 10:01:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 10:01:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571680850650075137', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-19 10:01:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 10:01:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1569660763252559873', 'GET', '{"id":["1569660763252559873"]}', '25', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571682719921344514', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-19 10:08:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 10:08:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/page', 'GET', '{"tenantId":["1"],"current":["1"],"size":["10000"],"isDel":["0"]}', '23', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571694475192414211', '0', 'tofly-flow', 'yj', TO_DATE('2022-09-19 10:55:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 10:55:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '777', NULL, '### Error querying database.  Cause: java.sql.SQLSyntaxErrorException: ORA-00936: 缺失表达式

### The error may exist in com/tofly/workflow/baseconf/mapper/TfContractFieldPMapper.java (best guess)
### The error may involve defaultParameterMap
### The error occurred while setting parameters
### SQL: SELECT * FROM TF_CONTRACT_FIELD_P WHERE id IN ( )
### Cause: java.sql.SQLSyntaxErrorException: ORA-00936: 缺失表达式

; bad SQL grammar []; nested exception is java.sql.SQLSyntaxErrorException: ORA-00936: 缺失表达式', 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572047836659937282', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:19:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:19:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572047853034500097', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:19:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:19:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '19', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572047853281964033', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:19:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:19:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572047857132335105', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:19:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:19:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572047857379799042', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:19:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:19:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '17', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572047865302839298', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:19:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:19:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '5', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572047865562886146', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:19:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:19:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572047866997338114', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:19:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:19:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '7', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572047888245682178', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:19:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:19:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572047888438620161', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:19:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:19:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572047889881460738', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:19:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:19:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572047912782360578', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:20:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:20:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1570698804578582529', 'GET', '{"id":["1570698804578582529"]}', '137', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572047913252122625', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:20:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:20:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572047913453449218', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:20:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:20:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572047914879512577', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:20:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:20:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572047978972672001', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-20 10:20:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:20:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572047982810460162', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:20:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:20:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572047983619960834', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:20:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:20:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572047989240328194', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:20:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:20:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572047994244132866', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:20:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:20:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572047994437070849', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:20:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:20:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571707332248326145', '0', 'tofly-flow', 'yj', TO_DATE('2022-09-19 11:46:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 11:46:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '88', NULL, '### Error querying database.  Cause: java.sql.SQLSyntaxErrorException: ORA-00936: 缺失表达式

### The error may exist in com/tofly/workflow/baseconf/mapper/TfContractFieldPMapper.java (best guess)
### The error may involve defaultParameterMap
### The error occurred while setting parameters
### SQL: SELECT * FROM TF_CONTRACT_FIELD_P WHERE id IN ( )
### Cause: java.sql.SQLSyntaxErrorException: ORA-00936: 缺失表达式

; bad SQL grammar []; nested exception is java.sql.SQLSyntaxErrorException: ORA-00936: 缺失表达式', 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571708556976705538', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 11:51:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 11:51:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["10000"],"current":["1"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571708557626822657', '0', 'tofly-flow', 'yj', TO_DATE('2022-09-19 11:51:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 11:51:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '84', NULL, '### Error querying database.  Cause: java.sql.SQLSyntaxErrorException: ORA-00936: 缺失表达式

### The error may exist in com/tofly/workflow/baseconf/mapper/TfContractFieldPMapper.java (best guess)
### The error may involve defaultParameterMap
### The error occurred while setting parameters
### SQL: SELECT * FROM TF_CONTRACT_FIELD_P WHERE id IN ( )
### Cause: java.sql.SQLSyntaxErrorException: ORA-00936: 缺失表达式

; bad SQL grammar []; nested exception is java.sql.SQLSyntaxErrorException: ORA-00936: 缺失表达式', 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571708613171990529', '0', 'tofly-flow', 'lz', TO_DATE('2022-09-19 11:51:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 11:51:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/saveTeamAll', 'POST', '{}', '100', NULL, '### Error updating database.  Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.buildUnitNotNull)

### The error may exist in com/tofly/workflow/baseconf/mapper/TfBuildUnitPMapper.java (best guess)
### The error may involve com.tofly.workflow.baseconf.mapper.TfBuildUnitPMapper.insert-Inline
### The error occurred while setting parameters
### SQL: INSERT INTO TF_BUILD_UNIT_P  ( id, tenant_id, order_number, dept_id, team_type,  remark, CREATE_USER,  CREATE_TIME, UPDATE_USER,  UPDATE_TIME )  VALUES  ( ?, ?, ?, ?, ?,  ?, ?,  ?, ?,  ? )
### Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.buildUnitNotNull)

; ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.buildUnitNotNull)
; nested exception is java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.buildUnitNotNull)', 'content:新增施工班组相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571708786954588161', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 11:52:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 11:52:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["10000"],"current":["1"]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571708790670741506', '0', 'tofly-flow', 'yj', TO_DATE('2022-09-19 11:52:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 11:52:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '95', NULL, '### Error querying database.  Cause: java.sql.SQLSyntaxErrorException: ORA-00936: 缺失表达式

### The error may exist in com/tofly/workflow/baseconf/mapper/TfContractFieldPMapper.java (best guess)
### The error may involve defaultParameterMap
### The error occurred while setting parameters
### SQL: SELECT * FROM TF_CONTRACT_FIELD_P WHERE id IN ( )
### Cause: java.sql.SQLSyntaxErrorException: ORA-00936: 缺失表达式

; bad SQL grammar []; nested exception is java.sql.SQLSyntaxErrorException: ORA-00936: 缺失表达式', 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571708793703223298', '0', 'tofly-flow', 'lz', TO_DATE('2022-09-19 11:52:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 11:52:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/saveTeamAll', 'POST', '{}', '166', NULL, 'nested exception is org.apache.ibatis.executor.ExecutorException: Statement returned more than one row, where no more than one was expected.', 'content:新增施工班组相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571709214261891073', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 11:54:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 11:54:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"key":[""]}', '35', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571709595977109506', '0', 'tofly-flow', 'yj', TO_DATE('2022-09-19 11:55:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 11:55:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/saveContractTemplateField', 'POST', '{}', '84', NULL, '### Error updating database.  Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys002)

### The error may exist in com/tofly/workflow/baseconf/mapper/TfContractTemplatePMapper.java (best guess)
### The error may involve com.tofly.workflow.baseconf.mapper.TfContractTemplatePMapper.insert-Inline
### The error occurred while setting parameters
### SQL: INSERT INTO TF_CONTRACT_TEMPLATE_P  ( id, contract_type, name, tenant_id,    remark, CREATE_USER, CREATE_TIME, UPDATE_USER, UPDATE_TIME )  VALUES  ( ?, ?, ?, ?,    ?, ?, ?, ?, ? )
### Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys002)

; ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys002)
; nested exception is java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys002)', 'content:新增合同模板', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571709700327198721', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 11:56:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 11:56:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["30"],"current":["1"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571710004959498242', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 11:57:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 11:57:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"key":[""]}', '30', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571710058902441986', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 11:57:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 11:57:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp', 'POST', '{}', '73', NULL, NULL, 'content:新增合同模板公用字段', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571710059229597698', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 11:57:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 11:57:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["30"],"current":["1"]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571710067643371521', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 11:57:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 11:57:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["10000"],"current":["1"]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571710769958604801', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 12:00:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 12:00:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["10000"],"current":["1"]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571710770659053570', '0', 'tofly-flow', 'yj', TO_DATE('2022-09-19 12:00:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 12:00:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '84', NULL, '### Error querying database.  Cause: java.sql.SQLSyntaxErrorException: ORA-00936: 缺失表达式

### The error may exist in com/tofly/workflow/baseconf/mapper/TfContractFieldPMapper.java (best guess)
### The error may involve defaultParameterMap
### The error occurred while setting parameters
### SQL: SELECT * FROM TF_CONTRACT_FIELD_P WHERE id IN ( )
### Cause: java.sql.SQLSyntaxErrorException: ORA-00936: 缺失表达式

; bad SQL grammar []; nested exception is java.sql.SQLSyntaxErrorException: ORA-00936: 缺失表达式', 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571710774232600578', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 12:00:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 12:00:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"key":[""]}', '21', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571772953623502849', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 16:07:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:07:28', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.48', NULL, '/tfcontracttemplatep/updateContractTemplate', 'PUT', '{}', '60', NULL, NULL, 'content:修改合同模板', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571772989325418498', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 16:07:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:07:37', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.48', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '35', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571773337649782786', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 16:09:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:09:00', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.48', NULL, '/tfcontracttemplatep/updateContractTemplate', 'PUT', '{}', '63', NULL, NULL, 'content:修改合同模板', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571677067765354497', '0', 'tofly-flow', 'lz', TO_DATE('2022-09-19 09:46:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 09:46:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/saveTeamAll', 'POST', '{}', '91', NULL, '### Error updating database.  Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-01400: 无法将 NULL 插入 ("TF_ZMRQ_LC"."TF_BUILD_UNIT_P"."DEPT_ID")

### The error may exist in com/tofly/workflow/baseconf/mapper/TfBuildUnitPMapper.java (best guess)
### The error may involve com.tofly.workflow.baseconf.mapper.TfBuildUnitPMapper.insert-Inline
### The error occurred while setting parameters
### SQL: INSERT INTO TF_BUILD_UNIT_P  ( id, tenant_id, order_number,  team_type,  remark, CREATE_USER,  CREATE_TIME, UPDATE_USER,  UPDATE_TIME )  VALUES  ( ?, ?, ?,  ?,  ?, ?,  ?, ?,  ? )
### Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-01400: 无法将 NULL 插入 ("TF_ZMRQ_LC"."TF_BUILD_UNIT_P"."DEPT_ID")

; ORA-01400: 无法将 NULL 插入 ("TF_ZMRQ_LC"."TF_BUILD_UNIT_P"."DEPT_ID")
; nested exception is java.sql.SQLIntegrityConstraintViolationException: ORA-01400: 无法将 NULL 插入 ("TF_ZMRQ_LC"."TF_BUILD_UNIT_P"."DEPT_ID")', 'content:新增施工班组相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571677740456218625', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 09:49:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 09:49:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["10000"],"current":["1"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571677740825317377', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 09:49:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 09:49:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571677764565078017', '1', 'tofly-flow', 'lye', TO_DATE('2022-09-19 09:49:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 09:49:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571707503849885697', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 11:47:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 11:47:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1570698804578582529', 'GET', '{"id":["1570698804578582529"]}', '85', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571707504315453441', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 11:47:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 11:47:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571707505334669313', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 11:47:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 11:47:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571708476609646593', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 11:51:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 11:51:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"key":[""]}', '64', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571708504640180226', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 11:51:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 11:51:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571733860843638785', '0', 'tofly-flow', 'lz', TO_DATE('2022-09-19 13:32:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 13:32:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/1571708792948248577', 'GET', '{"0":["1571708792948248577"]}', '84', NULL, 'nested exception is org.apache.ibatis.executor.ExecutorException: Statement returned more than one row, where no more than one was expected.', 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571734174359474177', '0', 'tofly-flow', 'lz', TO_DATE('2022-09-19 13:33:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 13:33:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/saveTeamAll', 'POST', '{}', '92', NULL, 'nested exception is org.apache.ibatis.executor.ExecutorException: Statement returned more than one row, where no more than one was expected.', 'content:新增施工班组相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571734238964338689', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 13:33:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 13:33:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571734249840168962', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 13:33:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 13:33:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["10000"],"current":["1"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571734263077392386', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 13:33:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 13:33:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["10000"],"current":["1"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571734263756869633', '0', 'tofly-flow', 'yj', TO_DATE('2022-09-19 13:33:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 13:33:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '82', NULL, '### Error querying database.  Cause: java.sql.SQLSyntaxErrorException: ORA-00936: 缺失表达式

### The error may exist in com/tofly/workflow/baseconf/mapper/TfContractFieldPMapper.java (best guess)
### The error may involve defaultParameterMap
### The error occurred while setting parameters
### SQL: SELECT * FROM TF_CONTRACT_FIELD_P WHERE id IN ( )
### Cause: java.sql.SQLSyntaxErrorException: ORA-00936: 缺失表达式

; bad SQL grammar []; nested exception is java.sql.SQLSyntaxErrorException: ORA-00936: 缺失表达式', 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571734707765891074', '0', 'tofly-flow', 'lz', TO_DATE('2022-09-19 13:35:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 13:35:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/1571708792948248577', 'GET', '{"0":["1571708792948248577"]}', '81', NULL, 'nested exception is org.apache.ibatis.executor.ExecutorException: Statement returned more than one row, where no more than one was expected.', 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571737562778292226', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 13:46:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 13:46:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp', 'POST', '{}', '19', NULL, NULL, 'content:新增工程工序/工程管控', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571737588527124481', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 13:46:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 13:46:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571737713152479233', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 13:47:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 13:47:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571737765279289346', '2', 'tofly-auth', 'yj', TO_DATE('2022-09-19 13:47:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 13:47:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/5df7fb92-51b4-4161-a62f-df136f5c239e', 'DELETE', '{}', '8', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571740248223371265', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 13:57:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 13:57:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571740265805893633', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 13:57:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 13:57:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp', 'POST', '{}', '19', NULL, NULL, 'content:新增工程工序/工程管控', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571740266787360770', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 13:57:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 13:57:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571740296776634370', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 13:57:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 13:57:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571740297015709698', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 13:57:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 13:57:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571740303672070146', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 13:57:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 13:57:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571740303906951169', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 13:57:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 13:57:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571740306545168386', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 13:57:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 13:57:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/1571739290856706050', 'DELETE', '{"0":["1571739290856706050"]}', '3', NULL, NULL, 'content:通过id删除工程工序/工程管控', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571740309812531201', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 13:57:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 13:57:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571740310919827457', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 13:57:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 13:57:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571740350119792641', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 13:57:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 13:57:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/1571740265663287297', 'DELETE', '{"0":["1571740265663287297"]}', '2', NULL, NULL, 'content:通过id删除工程工序/工程管控', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571740515723497474', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 13:58:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 13:58:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571670042343903233', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 09:18:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 09:18:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"name":["非居民"],"tenantId":[""],"current":["1"],"size":["30"],"contractType":[""]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571670328965861377', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 09:19:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 09:19:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571670333420212225', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 09:19:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 09:19:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571670333613150209', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 09:19:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 09:19:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571670375799459841', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 09:19:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 09:19:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1569660763252559873', 'GET', '{"id":["1569660763252559873"]}', '29', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571670376168558594', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 09:19:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 09:19:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571670376327942145', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 09:19:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 09:19:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571670377301020674', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 09:19:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 09:19:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571670523627704321', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 09:20:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 09:20:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571670731577102338', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 09:21:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 09:21:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571670740393529346', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 09:21:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 09:21:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571670740586467329', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 09:21:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 09:21:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571670741278527489', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 09:21:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 09:21:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571670741446299650', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 09:21:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 09:21:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571670773826326529', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 09:21:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 09:21:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571670774052818946', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 09:21:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 09:21:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571670781053112322', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 09:21:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 09:21:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1569660763252559873', 'GET', '{"id":["1569660763252559873"]}', '25', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571670781405433857', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 09:21:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 09:21:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571670781606760449', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 09:21:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 09:21:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571670782483369985', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 09:21:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 09:21:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571670867166367746', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-19 09:21:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 09:21:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571670867363500034', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-19 09:21:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 09:21:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571670870899298305', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-19 09:21:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 09:21:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571670871725576194', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-19 09:21:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 09:21:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571670874355404801', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-19 09:21:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 09:21:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":["1569152821327564802"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571670875269763073', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-19 09:21:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 09:21:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571670885419978753', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-19 09:21:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 09:21:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1570698804578582529', 'GET', '{"id":["1570698804578582529"]}', '57', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571670885822631938', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-19 09:21:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 09:21:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571670887051563010', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-19 09:21:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 09:21:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571671165775646722', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 09:23:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 09:23:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfreportentryp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571671180967415810', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 09:23:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 09:23:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfreportentryp', 'POST', '{}', '3', NULL, NULL, 'content:新增开工报告条目', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571671191105048577', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-19 09:23:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 09:23:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571671191520284673', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-19 09:23:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 09:23:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571671198067593217', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-19 09:23:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 09:23:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569152821327564802"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571671198432497665', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 09:23:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 09:23:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfreportentryp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571671198583492609', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-19 09:23:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 09:23:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571671199665623042', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-19 09:23:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 09:23:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571671206967906305', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-19 09:23:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 09:23:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1570698804578582529', 'GET', '{"id":["1570698804578582529"]}', '52', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571671207458639874', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-19 09:23:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 09:23:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":["1569152821327564802"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571671207634800642', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-19 09:23:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 09:23:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571671208658210817', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-19 09:23:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 09:23:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571770806009831425', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 15:58:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:58:56', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.48', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["10000"],"current":["1"]}', '24', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571770808530608129', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 15:58:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:58:57', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.48', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '53', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571771048113446913', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 15:59:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:59:54', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.48', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["10000"],"current":["1"]}', '22', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571771062906757121', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 15:59:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:59:58', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.48', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '55', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571771566470701058', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 16:01:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:01:58', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.48', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["10000"],"current":["1"]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571771570748891137', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 16:01:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:01:59', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.48', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '46', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571771796658298881', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 16:02:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:02:53', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.48', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["10000"],"current":["1"]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571771800416395266', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 16:02:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:02:53', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.48', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '47', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572047998811729921', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:20:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:20:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572048013747646465', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:20:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:20:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1570698804578582529', 'GET', '{"id":["1570698804578582529"]}', '103', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572048014167076866', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:20:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:20:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572048015777689601', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:20:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:20:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572048028117331970', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-20 10:20:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:20:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["10000"],"current":["1"]}', '27', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572048159461961730', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:21:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:21:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572048159747174401', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:21:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:21:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572048162901291009', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:21:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:21:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572048163886952450', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:21:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:21:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572048168639098881', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:21:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:21:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1569660763252559873', 'GET', '{"id":["1569660763252559873"]}', '24', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572048169066917890', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:21:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:21:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572048169276633089', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:21:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:21:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572048170937577474', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:21:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:21:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572048184887832578', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:21:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:21:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl', 'POST', '{}', '62', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572048185206599681', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:21:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:21:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572048194966745090', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:21:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:21:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572048999425863682', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-20 10:24:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:24:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572049053150703618', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-20 10:24:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:24:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572049057286287361', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:24:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:24:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl', 'POST', '{}', '33', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572049057537945601', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:24:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:24:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572049073170116610', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:24:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:24:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572049074130612226', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:24:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:24:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572049074877198338', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:24:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:24:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572049075586035713', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:24:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:24:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '2', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572049076408119298', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:24:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:24:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572049081583890433', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:24:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:24:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572049081760051201', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:24:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:24:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572049084410851330', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:24:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:24:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572049084553457665', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:24:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:24:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '2', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572049087795654657', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:24:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:24:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572049088659681282', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:24:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:24:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572049089464987650', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:24:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:24:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572049097853595650', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-20 10:24:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:24:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572049098889588737', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:24:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:24:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571773338505420801', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 16:09:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:09:00', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.48', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '47', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571773400987967490', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 16:09:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:09:15', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.48', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["30"],"current":["1"]}', '31', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571773432734654466', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 16:09:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:09:23', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.48', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '46', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571773445338537985', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 16:09:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:09:26', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.48', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["30"],"current":["1"]}', '31', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571773454763139073', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 16:09:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:09:28', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.48', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["10000"],"current":["1"]}', '31', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571773486442717185', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 16:09:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:09:35', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.48', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["10000"],"current":["1"]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572053736162422786', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-20 10:43:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:43:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572053747084390402', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:43:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:43:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572047790992384002', 'GET', '{"id":["1572047790992384002"]}', '93', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572053748040691713', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:43:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:43:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572053751219974145', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:43:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:43:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572053786540208130', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:43:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:43:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1570698804578582529', 'GET', '{"id":["1570698804578582529"]}', '114', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572053787240656898', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:43:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:43:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572053790801620993', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:43:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:43:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572053809663406082', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-20 10:43:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:43:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["10000"],"current":["1"]}', '29', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572053855897219074', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-20 10:43:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:43:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572054098126663681', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:44:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:44:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1570698804578582529', 'GET', '{"id":["1570698804578582529"]}', '92', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572054099024244738', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:44:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:44:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572054102136418306', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:44:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:44:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572054110806044673', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:44:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:44:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '1', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572054110948651009', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:44:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:44:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '2', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572054119198846978', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:44:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:44:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572054119450505218', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:44:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:44:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572054122613010434', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:44:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:44:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572054128845746177', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:44:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:44:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1570698804578582529', 'GET', '{"id":["1570698804578582529"]}', '83', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572054129432948737', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:44:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:44:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572054129810436097', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:44:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:44:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572054132738060289', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:44:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:44:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572054337260711937', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:45:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:45:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572054337529147394', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:45:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:45:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572054340934922241', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:45:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:45:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572054713804353537', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 10:47:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:47:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '18', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572054735883169793', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-20 10:47:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:47:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572054745681063937', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 10:47:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:47:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"key":[""]}', '28', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572054762491834369', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 10:47:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:47:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/deleteByIds', 'DELETE', '{"ids":["1571749865208676353"]}', '6', NULL, NULL, 'content:通过id批量删除施工组织单位', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572054763129368577', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 10:47:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:47:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"key":[""]}', '38', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572054774571429890', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 10:47:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:47:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/deleteByIds', 'DELETE', '{"ids":["1571745507872112642"]}', '6', NULL, NULL, 'content:通过id批量删除施工组织单位', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572054775200575489', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 10:47:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:47:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"key":[""]}', '36', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572054783727595522', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 10:47:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:47:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/deleteByIds', 'DELETE', '{"ids":["1571708792948248577"]}', '5', NULL, NULL, 'content:通过id批量删除施工组织单位', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572054784142831617', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 10:47:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:47:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"key":[""]}', '26', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572054794125275137', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 10:47:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:47:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/deleteByIds', 'DELETE', '{"ids":["1571684283960549378"]}', '4', NULL, NULL, 'content:通过id批量删除施工组织单位', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572054794393710594', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 10:47:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:47:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"key":[""]}', '25', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572054870117675009', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 10:47:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:47:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/saveTeamAll', 'POST', '{}', '15', NULL, NULL, 'content:新增施工班组相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572054960819499010', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-20 10:48:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:48:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["10000"],"current":["1"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571740528893612033', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 13:58:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 13:58:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/1571739185403514881', 'DELETE', '{"0":["1571739185403514881"]}', '2', NULL, NULL, 'content:通过id删除工程工序/工程管控', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571740529308848129', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 13:58:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 13:58:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571741378567327746', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 14:02:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:02:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["10000"],"current":["1"]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571741379045478402', '0', 'tofly-flow', 'yj', TO_DATE('2022-09-19 14:02:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:02:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '32', NULL, '### Error querying database.  Cause: java.sql.SQLSyntaxErrorException: ORA-00936: 缺失表达式

### The error may exist in com/tofly/workflow/baseconf/mapper/TfContractFieldPMapper.java (best guess)
### The error may involve defaultParameterMap
### The error occurred while setting parameters
### SQL: SELECT * FROM TF_CONTRACT_FIELD_P WHERE id IN ( )
### Cause: java.sql.SQLSyntaxErrorException: ORA-00936: 缺失表达式

; bad SQL grammar []; nested exception is java.sql.SQLSyntaxErrorException: ORA-00936: 缺失表达式', 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571741978034032641', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 14:04:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:04:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571741979288129537', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 14:04:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:04:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571773432013234178', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 16:09:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:09:22', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.48', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["10000"],"current":["1"]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571773455815909378', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 16:09:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:09:28', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.48', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '62', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571773480767823873', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 16:09:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:09:34', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.48', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["30"],"current":["1"]}', '32', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571773487428378626', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 16:09:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:09:36', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.48', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '67', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571773588301389826', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 16:10:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:10:00', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.48', NULL, '/tfcontracttemplatep/updateContractTemplate', 'PUT', '{}', '16', NULL, NULL, 'content:修改合同模板', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571773588955701250', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 16:10:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:10:00', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.48', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '47', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571773720711372801', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 16:10:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:10:31', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.48', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["30"],"current":["1"]}', '31', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571773736343543810', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 16:10:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:10:35', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.48', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["10000"],"current":["1"]}', '31', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571773737136267266', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 16:10:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:10:35', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.48', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '47', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571773830144958465', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 16:10:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:10:57', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.48', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["30"],"current":["1"]}', '32', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571773863724556290', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 16:11:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:11:05', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.48', NULL, '/tfcontractfieldp', 'PUT', '{}', '15', NULL, NULL, 'content:修改合同模板公用字段', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571773864517279745', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 16:11:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:11:06', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.48', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["30"],"current":["1"]}', '47', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571773882661838849', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 16:11:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:11:10', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.48', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["10000"],"current":["1"]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571773883517476865', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 16:11:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:11:10', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.48', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '63', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571775405693313025', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 16:17:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:17:13', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.48', NULL, '/tfcontracttemplatep/saveContractTemplateField', 'POST', '{}', '40', NULL, NULL, 'content:新增合同模板', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571775406733500418', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 16:17:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:17:13', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.48', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '77', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571775888919076866', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 16:19:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:19:08', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.48', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571775899337728002', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 16:19:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:19:11', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.48', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["10000"],"current":["1"]}', '22', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571776091302633473', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 16:19:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:19:57', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.48', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '78', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571776487232348162', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 16:21:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:21:31', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.48', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["30"],"current":["1"]}', '27', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571776514767953922', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 16:21:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:21:37', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.48', NULL, '/tfcontractfieldp', 'PUT', '{}', '12', NULL, NULL, 'content:修改合同模板公用字段', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571776515543900161', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 16:21:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:21:38', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.48', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["30"],"current":["1"]}', '36', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571776522263175169', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 16:21:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:21:39', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.48', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["10000"],"current":["1"]}', '25', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571776523550826497', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 16:21:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:21:40', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.48', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '115', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571776843915960322', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 16:22:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:22:56', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.48', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '78', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571776861834027009', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 16:23:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:23:00', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.48', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571776955606081537', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 16:23:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:23:23', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.48', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571777850993516546', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 16:26:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:26:56', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.48', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["10000"],"current":["1"]}', '26', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571807902527152129', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-19 18:26:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 18:26:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571808243498901505', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-19 18:27:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 18:27:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571808257952473090', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-19 18:27:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 18:27:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571811051757395969', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-19 18:38:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 18:38:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571811334101164033', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-19 18:39:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 18:39:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571811341231480833', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-19 18:40:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 18:40:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571811744467673090', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-19 18:41:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 18:41:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '10', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571811751291805697', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-19 18:41:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 18:41:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571811806564343809', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-19 18:41:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 18:41:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571671234662895617', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 09:23:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 09:23:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfreportentryp', 'POST', '{}', '2', NULL, NULL, 'content:新增开工报告条目', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571677316839903234', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 09:47:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 09:47:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["10000"],"current":["1"]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571677317250945025', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 09:47:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 09:47:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571677370648629249', '0', 'tofly-flow', 'lz', TO_DATE('2022-09-19 09:47:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 09:47:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/saveTeamAll', 'POST', '{}', '79', NULL, '### Error updating database.  Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-01400: 无法将 NULL 插入 ("TF_ZMRQ_LC"."TF_BUILD_UNIT_P"."DEPT_ID")

### The error may exist in com/tofly/workflow/baseconf/mapper/TfBuildUnitPMapper.java (best guess)
### The error may involve com.tofly.workflow.baseconf.mapper.TfBuildUnitPMapper.insert-Inline
### The error occurred while setting parameters
### SQL: INSERT INTO TF_BUILD_UNIT_P  ( id, tenant_id, order_number,  team_type,  remark, CREATE_USER,  CREATE_TIME, UPDATE_USER,  UPDATE_TIME )  VALUES  ( ?, ?, ?,  ?,  ?, ?,  ?, ?,  ? )
### Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-01400: 无法将 NULL 插入 ("TF_ZMRQ_LC"."TF_BUILD_UNIT_P"."DEPT_ID")

; ORA-01400: 无法将 NULL 插入 ("TF_ZMRQ_LC"."TF_BUILD_UNIT_P"."DEPT_ID")
; nested exception is java.sql.SQLIntegrityConstraintViolationException: ORA-01400: 无法将 NULL 插入 ("TF_ZMRQ_LC"."TF_BUILD_UNIT_P"."DEPT_ID")', 'content:新增施工班组相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571677699444314113', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-19 09:48:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 09:48:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":["1569152821327564802"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571677700320923649', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-19 09:48:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 09:48:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571677719354675202', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-19 09:49:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 09:49:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571677719757328386', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-19 09:49:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 09:49:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571677729764937730', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-19 09:49:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 09:49:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569152821327564802"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571677729978847234', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-19 09:49:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 09:49:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571677730964508673', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-19 09:49:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 09:49:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571700003935219713', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 11:17:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 11:17:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfreportentryp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571700241970360321', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 11:18:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 11:18:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfreportentryp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571700431355768834', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-19 11:19:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 11:19:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '9', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571700447436730369', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-19 11:19:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 11:19:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '29', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571700447705165826', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-19 11:19:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 11:19:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '19', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571700459596017665', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-19 11:19:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 11:19:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1569660763252559873', 'GET', '{"id":["1569660763252559873"]}', '34', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571700460191608834', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-19 11:19:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 11:19:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '4', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571700461953216513', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-19 11:19:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 11:19:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571700463207313410', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-19 11:19:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 11:19:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '14', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571777252063551490', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 16:24:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:24:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571777252248100866', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 16:24:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:24:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571777257235128322', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 16:24:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:24:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":["1"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571777258262732802', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 16:24:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:24:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571778786260262914', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 16:30:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:30:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571778806753632257', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 16:30:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:30:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '2', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571779402504183809', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 16:33:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:33:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571779402726481922', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 16:33:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:33:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571779464516968449', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 16:33:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:33:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1569660763252559873', 'GET', '{"id":["1569660763252559873"]}', '22', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571779465108365313', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 16:33:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:33:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571779465309691905', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 16:33:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:33:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571779466748338177', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 16:33:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:33:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571779493331836930', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 16:33:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:33:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1569613105131102209', 'GET', '{"id":["1569613105131102209"]}', '28', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571779493780627458', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 16:33:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:33:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571779493965176834', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 16:33:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:33:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571779495454154754', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 16:33:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:33:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571808581408808961', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 18:29:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 18:29:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '224', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571810239886942209', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-19 18:35:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 18:35:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571813118517469186', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-19 18:47:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 18:47:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571813127782686721', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-19 18:47:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 18:47:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572049099657146369', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:24:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:24:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572049100433092609', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:24:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:24:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572049104023416833', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-20 10:24:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:24:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572049115067019265', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:24:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:24:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572049115981377538', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:24:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:24:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572049125724745730', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:24:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:24:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572049125909295105', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:24:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:24:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572049127419244546', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:24:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:24:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572049205630431233', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:25:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:25:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572049205831757826', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:25:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:25:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572049208855851010', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:25:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:25:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572049209644380161', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:25:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:25:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572049254787674113', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:25:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:25:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572049057135321090', 'GET', '{"id":["1572049057135321090"]}', '23', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572049255668477954', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:25:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:25:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572049256993878018', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:25:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:25:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572049271531335681', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:25:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:25:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572049271682330626', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:25:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:25:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572049277621465089', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:25:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:25:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572049277780848642', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:25:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:25:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '2', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572049281929015297', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:25:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:25:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572049282105176065', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:25:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:25:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572049292590936066', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:25:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:25:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572049299360542722', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:25:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:25:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572049299515731970', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:25:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:25:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '2', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572049333539926018', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 10:25:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:25:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"key":[""]}', '69', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572049341655904257', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:25:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:25:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572049341840453633', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:25:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:25:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572049347897028610', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:25:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:25:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572049354888933378', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 10:25:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:25:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572049355048316929', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 10:25:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:25:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '2', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572049362556121090', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 10:25:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:25:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572049362757447681', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 10:25:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:25:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572049388363673602', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 10:25:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:25:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572049395124891650', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:25:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:25:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572049395284275201', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:25:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:25:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '2', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572049406344654850', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:26:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:26:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572024301702897666', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 08:46:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 08:46:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '30', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572024913429553153', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 08:48:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 08:48:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572025225229918210', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 08:49:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 08:49:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572025270356434945', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 08:50:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 08:50:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1569660763252559873', 'GET', '{"id":["1569660763252559873"]}', '43', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572025787971297281', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 08:52:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 08:52:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '20', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572025788332007425', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 08:52:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 08:52:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '21', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572025796380876802', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 08:52:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 08:52:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1569660763252559873', 'GET', '{"id":["1569660763252559873"]}', '33', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572025797072936962', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 08:52:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 08:52:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '4', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572025797513338882', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 08:52:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 08:52:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '4', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572025799178477569', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 08:52:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 08:52:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '7', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572026005072666626', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 08:53:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 08:53:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl', 'POST', '{}', '43', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572026005466931202', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 08:53:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 08:53:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572026022105735170', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 08:53:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 08:53:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572026056389976066', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 08:53:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 08:53:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '17', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572026056633245698', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 08:53:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 08:53:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572026060030631938', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 08:53:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 08:53:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572026060248735745', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 08:53:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 08:53:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572026076405194753', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 08:53:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 08:53:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572026093505372162', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 08:53:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 08:53:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1569660763252559873', 'GET', '{"id":["1569660763252559873"]}', '34', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572026139911151618', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 08:53:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 08:53:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1569660763252559873', 'GET', '{"id":["1569660763252559873"]}', '31', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572026508082962434', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 08:55:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 08:55:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572026538923679746', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 08:55:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 08:55:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1569660763252559873', 'GET', '{"id":["1569660763252559873"]}', '29', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572026943900508162', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-20 08:56:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 08:56:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '18', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572027095201636354', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-20 08:57:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 08:57:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"key":[""]}', '81', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572028298354515970', '2', 'tofly-auth', 'rq', TO_DATE('2022-09-20 09:02:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 09:02:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/f112deff-29f5-49e7-b0ec-6bf5c99377ec', 'DELETE', '{}', '6', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572054870600019970', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 10:47:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:47:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"key":[""]}', '39', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572054952212787202', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-20 10:48:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:48:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572054960861442049', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-20 10:48:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:48:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '21', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572054962518192129', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-20 10:48:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:48:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["30"],"current":["1"]}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572055017627152386', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-20 10:48:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:48:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572055114645598209', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-20 10:48:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:48:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572055179233685505', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-20 10:48:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:48:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp', 'POST', '{}', '81', NULL, NULL, 'content:新增合同模板公用字段', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572055179447595010', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-20 10:48:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:48:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["30"],"current":["1"]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572055239719743489', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-20 10:49:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:49:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp', 'POST', '{}', '3', NULL, NULL, 'content:新增合同模板公用字段', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572055239963013122', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-20 10:49:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:49:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["30"],"current":["1"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572055323941367810', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:49:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:49:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572055324318855169', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:49:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:49:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572055324381769729', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:49:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:49:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '2', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572055324927029249', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:49:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:49:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572055340542423042', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:49:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:49:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572055340752138242', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:49:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:49:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571811811878526978', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-19 18:41:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 18:41:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571812638932361217', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-19 18:45:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 18:45:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571812643516735489', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-19 18:45:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 18:45:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571812693458313218', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-19 18:45:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 18:45:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/page', 'GET', '{"tenantId":["1"],"current":["1"],"size":["10000"],"isDel":["0"]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571812911587287041', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-19 18:46:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 18:46:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/page', 'GET', '{"tenantId":["1"],"current":["1"],"size":["10000"],"isDel":["0"]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571813132409004033', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-19 18:47:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 18:47:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/page', 'GET', '{"tenantId":["1"],"current":["1"],"size":["10000"],"isDel":["0"]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572057645052424194', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-20 10:58:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:58:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["PROJECT_BASE"]}', '115', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572057724937138177', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 10:59:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:59:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '1', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572057732210061313', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 10:59:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:59:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '2', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572057751558385665', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 10:59:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:59:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572057751969427457', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 10:59:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:59:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572057755186458625', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 10:59:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:59:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572057767534489601', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 10:59:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:59:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["30"],"key":[""],"dataType":["1570692286170427394"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572057847515672578', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:59:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:59:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '2', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572057848111263746', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:59:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:59:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '2', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572057853014405122', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:59:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:59:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '2', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572057918432964609', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 10:59:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:59:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["30"],"key":[""],"dataType":["1570692286170427394"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572058082241507329', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 11:00:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:00:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572050850087034882', 'GET', '{"id":["1572050850087034882"]}', '24', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572058082996482050', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 11:00:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:00:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":["1"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572058083508187137', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 11:00:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:00:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572058087031402498', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 11:00:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:00:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572058267914956802', '0', 'tofly-flow', 'll', TO_DATE('2022-09-20 11:01:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:01:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl', 'POST', '{}', '208', NULL, '失败', 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572058280107798530', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 11:01:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:01:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572059535525900290', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-20 11:06:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:06:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["10000"],"current":["1"]}', '20', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572059662139355137', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-20 11:06:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:06:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["10000"],"current":["1"]}', '24', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572059960488587266', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-20 11:07:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:07:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["10000"],"current":["1"]}', '25', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572060660710862850', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-20 11:10:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:10:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["10000"],"current":["1"]}', '22', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572061123162238978', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-20 11:12:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:12:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["10000"],"current":["1"]}', '24', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572061512825663489', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-20 11:14:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:14:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572061518437642241', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-20 11:14:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:14:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '89', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572061534732513282', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-20 11:14:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:14:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectmaterialw/getDispatchRecord', 'GET', '{"relationId":["1570739116476383234"],"materialType":["3"]}', '26', NULL, NULL, 'content:领料记录', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572061634741497858', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-20 11:14:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:14:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572061650218479618', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-20 11:14:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:14:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '2', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572061716127772673', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-20 11:14:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:14:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["10000"],"current":["1"]}', '84', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572061796100567041', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-20 11:15:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:15:14', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/tfprojectmaterialw/getDispatchRecord', 'GET', '{"relationId":["1570739116476383234"],"materialType":["3"]}', '1', NULL, NULL, 'content:领料记录', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572061901725724673', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-20 11:15:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:15:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectmaterialw/getDispatchRecord', 'GET', '{"relationId":["1570739116476383234"],"materialType":["3"]}', '2', NULL, NULL, 'content:领料记录', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572062143565099010', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-20 11:16:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:16:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["10000"],"current":["1"]}', '31', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572062364760109058', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-20 11:17:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:17:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '2', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572062371508744194', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-20 11:17:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:17:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '1', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572062378261573634', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-20 11:17:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:17:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectmaterialw/getDispatchRecord', 'GET', '{"relationId":["1570739116476383234"],"materialType":["3"]}', '1', NULL, NULL, 'content:领料记录', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572062453511581698', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-20 11:17:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:17:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572062460843225089', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-20 11:17:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:17:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["10000"],"current":["1"]}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571774031257509889', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 16:11:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:11:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"key":[""]}', '32', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571774068410654722', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 16:11:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:11:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/1571745507872112642', 'GET', '{"0":["1571745507872112642"]}', '4', NULL, NULL, 'content:通过id查询施工组织单位', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571774099188457473', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 16:12:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:12:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/1571753437224890370', 'GET', '{"0":["1571753437224890370"]}', '17', NULL, NULL, 'content:通过id查询施工组织单位', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571774409537593346', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 16:13:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:13:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl', 'POST', '{}', '53', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571774410233847810', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 16:13:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:13:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571774420283400193', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 16:13:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:13:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1570698804578582529', 'GET', '{"id":["1570698804578582529"]}', '99', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571774420694441986', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 16:13:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:13:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571774421713657858', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 16:13:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:13:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571774524465717250', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 16:13:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:13:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl', 'POST', '{}', '68', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571774525065502721', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 16:13:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:13:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571774531671531522', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 16:13:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:13:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1570698804578582529', 'GET', '{"id":["1570698804578582529"]}', '105', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571774532300677122', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 16:13:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:13:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571774533579939841', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 16:13:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:13:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571774698617413634', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 16:14:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:14:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl', 'POST', '{}', '47', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571774699208810497', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 16:14:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:14:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571774708327227393', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 16:14:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:14:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1570698804578582529', 'GET', '{"id":["1570698804578582529"]}', '94', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571774708771823617', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 16:14:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:14:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571774709765873665', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 16:14:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:14:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571774810907320322', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 16:14:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:14:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '20', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571774811196727297', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 16:14:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:14:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571774819975405569', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 16:14:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:14:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1569507482133536769', 'GET', '{"id":["1569507482133536769"]}', '23', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571774820365475842', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 16:14:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:14:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571774820545830914', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 16:14:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:14:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571774821560852482', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 16:14:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:14:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571774854586802178', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 16:15:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:15:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl', 'POST', '{}', '70', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571774854867820545', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 16:15:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:15:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571774881556176898', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 16:15:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:15:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1569507482133536769', 'GET', '{"id":["1569507482133536769"]}', '37', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571774882118213634', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 16:15:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:15:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571774882449563650', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 16:15:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:15:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571774883544276994', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 16:15:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:15:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571774995125346305', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 16:15:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:15:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl', 'POST', '{}', '26', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571774995934846977', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 16:15:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:15:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571775008874274818', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 16:15:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:15:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1569507482133536769', 'GET', '{"id":["1569507482133536769"]}', '25', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571775010241617921', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 16:15:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:15:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571775010585550850', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 16:15:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:15:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571775012636565506', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 16:15:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:15:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571779520775168001', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 16:33:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:33:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1569507482133536769', 'GET', '{"id":["1569507482133536769"]}', '26', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571779521165238273', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 16:33:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:33:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571779521358176257', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 16:33:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:33:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571779522444500994', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 16:33:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:33:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571780058447192066', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 16:35:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:35:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl', 'POST', '{}', '24', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571780058942119937', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 16:35:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:35:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572049406541787138', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:26:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:26:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572049422400450562', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 10:26:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:26:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572049422584999937', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 10:26:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:26:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '2', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572049430352850946', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:26:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:26:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572049430545788929', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:26:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:26:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572049447012626433', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:26:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:26:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572049447159427074', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:26:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:26:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '2', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572049449017503745', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 10:26:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:26:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572049451286622210', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 10:26:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:26:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572049452188397569', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 10:26:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:26:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572049452997898242', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 10:26:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:26:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '1', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572049453224390657', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:26:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:26:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572049453408940033', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:26:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:26:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572049458794426370', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:26:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:26:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572049459763310593', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:26:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:26:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572049460463759361', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:26:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:26:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572049472669184001', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:26:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:26:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572049472845344769', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:26:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:26:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572049529971765249', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 10:26:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:26:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572049530168897537', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 10:26:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:26:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572049531594960898', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 10:26:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:26:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572049587714748417', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 10:26:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:26:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1571745533478338562', 'GET', '{"id":["1571745533478338562"]}', '23', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572049588226453506', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 10:26:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:26:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572049588411002881', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 10:26:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:26:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572049589916758017', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 10:26:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:26:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572049681377751041', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:27:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:27:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '2', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572049681549717505', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:27:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:27:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572049694061326337', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:27:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:27:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572049694329761793', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:27:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:27:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572049698322739202', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:27:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:27:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '2', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572049698490511361', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:27:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:27:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '2', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572049704052158466', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:27:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:27:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572049705016848386', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:27:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:27:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572049757261099009', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:27:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:27:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572049757462425601', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:27:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:27:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572049758838157314', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:27:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:27:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572049772247347202', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:27:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:27:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1570698804578582529', 'GET', '{"id":["1570698804578582529"]}', '88', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572049772624834562', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:27:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:27:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":["1"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572049772767440898', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:27:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:27:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572049774101229570', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:27:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:27:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572055350151573505', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:49:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:49:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '2', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572055350327734274', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:49:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:49:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '2', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572055353389576193', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:49:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:49:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572055353548959745', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:49:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:49:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572055356866654210', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:49:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:49:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572055366077345794', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:49:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:49:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572050850087034882', 'GET', '{"id":["1572050850087034882"]}', '17', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572055366719074305', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-20 10:49:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:49:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp', 'POST', '{}', '2', NULL, NULL, 'content:新增合同模板公用字段', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572055366727462914', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:49:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:49:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":["1"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572055367461466113', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:49:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:49:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572055367461466114', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-20 10:49:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:49:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["30"],"current":["1"]}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572055369701224450', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:49:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:49:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572055470368714754', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:50:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:50:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl', 'POST', '{}', '107', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572055470607790081', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:50:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:50:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '2', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572055479361302530', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:50:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:50:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572055480267272194', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:50:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:50:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '1', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572055493282197505', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-20 10:50:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:50:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp', 'POST', '{}', '2', NULL, NULL, 'content:新增合同模板公用字段', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572055493680656385', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-20 10:50:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:50:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["30"],"current":["1"]}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572055621204275202', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-20 10:50:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:50:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp', 'POST', '{}', '8', NULL, NULL, 'content:新增合同模板公用字段', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572055621896335361', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-20 10:50:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:50:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["30"],"current":["1"]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572055635179696129', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-20 10:50:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:50:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["10000"],"current":["1"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572055635204861954', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-20 10:50:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:50:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '25', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572055651747196929', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 10:50:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:50:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/saveTeamAll', 'POST', '{}', '13', NULL, NULL, 'content:新增施工班组相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572055652787384321', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 10:50:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:50:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"key":[""]}', '42', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572055727349526529', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:51:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:51:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572055727987060737', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:51:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:51:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572055731497693185', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:51:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:51:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572055732500131841', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:51:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:51:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572055740003741697', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:51:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:51:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '2', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572055740305731585', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:51:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:51:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '2', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572055744479064065', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:51:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:51:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572055745036906498', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:51:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:51:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572055748258131969', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:51:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:51:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572055755208093697', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:51:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:51:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1571745533478338562', 'GET', '{"id":["1571745533478338562"]}', '19', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572055756114063362', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:51:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:51:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":["1"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572055756256669698', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:51:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:51:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572055758689366017', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:51:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:51:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572055782412349442', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:51:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:51:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572050850087034882', 'GET', '{"id":["1572050850087034882"]}', '19', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572055783007940609', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:51:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:51:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":["1"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572055783788081153', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:51:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:51:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572055787210633218', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:51:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:51:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '2', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572055876616417281', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:51:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:51:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl', 'POST', '{}', '21', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572055877522386945', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:51:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:51:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '2', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572055937463185409', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-20 10:51:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:51:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/saveContractTemplateField', 'POST', '{}', '16', NULL, NULL, 'content:新增合同模板', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571688607553949698', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 10:32:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 10:32:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["10000"],"current":["1"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571688610850672642', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 10:32:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 10:32:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571688647039127553', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-19 10:32:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 10:32:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571688647106236418', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-19 10:32:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 10:32:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571689110216118273', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 10:34:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 10:34:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["10000"],"current":["1"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571689113739333633', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 10:34:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 10:34:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571690013153300482', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 10:37:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 10:37:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["10000"],"current":["1"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571690016563269633', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 10:37:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 10:37:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571691480446668801', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-19 10:43:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 10:43:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/4ae16c65-d602-43c7-8f67-8848a5788c0f', 'DELETE', '{}', '1', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571695941252628482', '2', 'tofly-auth', 'test', TO_DATE('2022-09-19 11:01:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 11:01:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/e813e5d6-0e65-41f7-bc47-23c1dd13f7d8', 'DELETE', '{}', '1', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571744043821027329', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 14:12:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:12:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572062894005776386', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-20 11:19:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:19:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572062898007142401', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-20 11:19:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:19:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572062901068984321', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-20 11:19:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:19:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectmaterialw/getDispatchRecord', 'GET', '{"relationId":["1570739116476383234"],"materialType":["3"]}', '1', NULL, NULL, 'content:领料记录', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572063196968742913', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 11:20:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:20:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '2', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572063204497518594', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 11:20:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:20:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572063204669485057', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 11:20:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:20:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572063208649879554', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 11:20:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:20:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '2', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572063222503665666', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 11:20:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:20:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572050850087034882', 'GET', '{"id":["1572050850087034882"]}', '22', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572063223107645442', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 11:20:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:20:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":["1"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572063223384469506', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 11:20:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:20:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572063227155148802', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 11:20:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:20:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572063395875221506', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 11:21:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:21:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl', 'POST', '{}', '23', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572063396374343682', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 11:21:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:21:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572063470957457409', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 11:21:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:21:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"id":["1572063395757809666"]}', '22', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572063471691460610', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 11:21:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:21:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572063472257691650', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 11:21:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:21:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572063475873181697', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 11:21:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:21:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572063515702292481', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 11:22:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:22:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"typeName":[""],"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572063559792816130', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 11:22:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:22:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep', 'PUT', '{}', '39', NULL, NULL, 'content:修改基础类型表', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572063560497459201', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 11:22:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:22:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"typeName":[""],"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572063570152747010', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 11:22:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:22:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572063583863926785', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 11:22:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:22:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"id":["1572063395757809666"]}', '25', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572063594232246274', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-20 11:22:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:22:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572063599500292097', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-20 11:22:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:22:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572063616453668865', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-20 11:22:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:22:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectmaterialw/getDispatchRecord', 'GET', '{"relationId":["1570739116476383234"],"materialType":["3"]}', '2', NULL, NULL, 'content:领料记录', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572063631788044290', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 11:22:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:22:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep', 'POST', '{}', '7', NULL, NULL, 'content:新增基础类型表', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572063632220057602', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 11:22:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:22:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"typeName":[""],"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572063669100572674', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 11:22:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:22:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep', 'POST', '{}', '6', NULL, NULL, 'content:新增基础类型表', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572063669310287874', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 11:22:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:22:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"typeName":[""],"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572063677363351554', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 11:22:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:22:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/1572063669050269698', 'DELETE', '{"0":["1572063669050269698"]}', '6', NULL, NULL, 'content:通过id删除基础类型表,有关联数据验证', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572063677665341442', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 11:22:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:22:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"typeName":[""],"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572063893730717697', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 11:23:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:23:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"id":["1572063395757809666"]}', '27', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571680793917919233', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-19 10:01:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 10:01:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571680840776683521', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-19 10:01:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 10:01:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571680840986398722', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-19 10:01:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 10:01:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571680851061116929', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-19 10:01:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 10:01:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571680851212111874', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-19 10:01:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 10:01:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571680852155830274', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-19 10:01:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 10:01:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571680979918524417', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-19 10:02:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 10:02:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571680980249874434', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-19 10:02:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 10:02:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571680988730757121', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-19 10:02:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 10:02:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1569660763252559873', 'GET', '{"id":["1569660763252559873"]}', '29', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571680989603172353', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-19 10:02:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 10:02:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571680989817081857', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-19 10:02:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 10:02:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571680990848880642', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-19 10:02:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 10:02:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571681160495894530', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-19 10:02:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 10:02:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571683506558865409', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 10:12:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 10:12:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"key":[""]}', '17', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571683585042681857', '0', 'tofly-flow', 'lz', TO_DATE('2022-09-19 10:12:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 10:12:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/saveTeamAll', 'POST', '{}', '185', NULL, 'nested exception is org.apache.ibatis.executor.ExecutorException: Statement returned more than one row, where no more than one was expected.', 'content:新增施工班组相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571780076138766338', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 16:35:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:35:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571780313293103105', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 16:36:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:36:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '2', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571780488476598274', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-19 16:37:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:37:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571780496613548033', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-19 16:37:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:37:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571780536849506306', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-19 16:37:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:37:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571780559129649153', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-19 16:37:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:37:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571780757654446082', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 16:38:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:38:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl', 'POST', '{}', '18', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571780757994184705', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 16:38:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:38:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571780798863482881', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 16:38:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:38:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571780799714926593', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 16:38:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:38:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571780827913232385', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 16:38:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:38:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1571780757536903170', 'GET', '{"id":["1571780757536903170"]}', '20', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571780828487852034', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 16:38:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:38:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571780829511262209', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 16:38:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:38:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571780888390901761', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-19 16:39:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:39:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571780897224105986', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-19 16:39:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:39:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571780981844189185', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 16:39:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:39:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl', 'POST', '{}', '18', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571780982175539201', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 16:39:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:39:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571781008859701250', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 16:39:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:39:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1571780757536903170', 'GET', '{"id":["1571780757536903170"]}', '21', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571781009379794945', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 16:39:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:39:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571781010403205121', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 16:39:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:39:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571781027042009089', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 16:39:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:39:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl', 'POST', '{}', '24', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571781027335610369', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 16:39:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:39:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571781033723535361', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 16:39:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:39:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1570698804578582529', 'GET', '{"id":["1570698804578582529"]}', '92', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571781034478510082', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 16:39:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:39:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571781035506114562', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 16:39:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:39:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571781070805377025', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 16:39:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 16:39:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571675189115621377', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 09:39:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 09:39:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571675361602179073', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 09:39:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 09:39:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfreportentryp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571675376282243073', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 09:39:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 09:39:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfreportentryp/1571671856216825858', 'DELETE', '{"0":["1571671856216825858"]}', '3', NULL, NULL, 'content:通过id删除开工报告条目', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571675376458403842', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 09:39:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 09:39:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfreportentryp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571675386654756866', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 09:39:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 09:39:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfreportentryp/1571671766563577857', 'DELETE', '{"0":["1571671766563577857"]}', '4', NULL, NULL, 'content:通过id删除开工报告条目', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571675386864472066', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 09:39:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 09:39:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfreportentryp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571675395718647810', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 09:39:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 09:39:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfreportentryp/1571671364648591361', 'DELETE', '{"0":["1571671364648591361"]}', '2', NULL, NULL, 'content:通过id删除开工报告条目', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571675395894808577', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 09:39:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 09:39:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfreportentryp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571675425187827713', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 09:39:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 09:39:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfreportentryp', 'POST', '{}', '3', NULL, NULL, 'content:新增开工报告条目', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571675467629989890', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 09:40:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 09:40:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfreportentryp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571675498651062273', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 09:40:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 09:40:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfreportentryp', 'PUT', '{}', '4', NULL, NULL, 'content:修改开工报告条目', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571675527981830145', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 09:40:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 09:40:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfreportentryp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571676340573704193', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-19 09:43:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 09:43:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571676340741476353', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-19 09:43:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 09:43:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571676347557220354', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-19 09:43:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 09:43:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1570698804578582529', 'GET', '{"id":["1570698804578582529"]}', '51', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571676348194754561', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-19 09:43:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 09:43:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571676349071364097', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-19 09:43:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 09:43:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571676604357677057', '1', 'tofly-flow', 'lye', TO_DATE('2022-09-19 09:44:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 09:44:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571676638985850881', '1', 'tofly-flow', 'lye', TO_DATE('2022-09-19 09:44:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 09:44:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571676639451418625', '1', 'tofly-flow', 'lye', TO_DATE('2022-09-19 09:44:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 09:44:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571676647814860802', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 09:44:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 09:44:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfreportentryp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571676655763066881', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 09:44:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 09:44:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"key":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571676662163574785', '1', 'tofly-flow', 'lye', TO_DATE('2022-09-19 09:44:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 09:44:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571676744153829378', '1', 'tofly-flow', 'lye', TO_DATE('2022-09-19 09:45:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 09:45:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571676769965576194', '1', 'tofly-flow', 'lye', TO_DATE('2022-09-19 09:45:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 09:45:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571676809626914818', '1', 'tofly-flow', 'lye', TO_DATE('2022-09-19 09:45:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 09:45:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571679699779194881', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 09:56:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 09:56:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571679699795972098', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 09:56:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 09:56:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '8', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571679700471255042', '1', 'tofly-flow', 'lye', TO_DATE('2022-09-19 09:56:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 09:56:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571680073990803457', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 09:58:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 09:58:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["10000"],"current":["1"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571680077308497922', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 09:58:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 09:58:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571680154257199105', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 09:58:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 09:58:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["10000"],"current":["1"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571680154550800386', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 09:58:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 09:58:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571680273048276993', '1', 'tofly-flow', 'lye', TO_DATE('2022-09-19 09:59:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 09:59:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571680285786378241', '1', 'tofly-flow', 'lye', TO_DATE('2022-09-19 09:59:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 09:59:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571680285970927617', '1', 'tofly-flow', 'lye', TO_DATE('2022-09-19 09:59:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 09:59:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571681522690822145', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-19 10:04:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 10:04:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571681522871177217', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-19 10:04:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 10:04:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571681529066164225', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-19 10:04:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 10:04:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1569660763252559873', 'GET', '{"id":["1569660763252559873"]}', '22', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571681529376542722', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-19 10:04:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 10:04:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571681529519149058', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-19 10:04:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 10:04:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571681530546753537', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-19 10:04:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 10:04:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571682719904567297', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-19 10:08:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 10:08:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1569613105131102209', 'GET', '{}', '30', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571684663553429505', '2', 'tofly-auth', 'hr', TO_DATE('2022-09-19 10:16:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 10:16:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/7232ef48-5e03-4d29-8a9d-a9cd0e82e61e', 'DELETE', '{}', '1', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571682719896178690', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-19 10:08:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 10:08:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1569616564261691393', 'GET', '{}', '21', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571685290958393346', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 10:19:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 10:19:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["10000"],"current":["1"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571685294531940354', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 10:19:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 10:19:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571695202677637121', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 10:58:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 10:58:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["10000"],"current":["1"]}', '447', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571695666282446850', '0', 'tofly-flow', 'yj', TO_DATE('2022-09-19 11:00:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 11:00:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '89', NULL, '### Error querying database.  Cause: java.sql.SQLSyntaxErrorException: ORA-00936: 缺失表达式

### The error may exist in com/tofly/workflow/baseconf/mapper/TfContractFieldPMapper.java (best guess)
### The error may involve defaultParameterMap
### The error occurred while setting parameters
### SQL: SELECT * FROM TF_CONTRACT_FIELD_P WHERE id IN ( )
### Cause: java.sql.SQLSyntaxErrorException: ORA-00936: 缺失表达式

; bad SQL grammar []; nested exception is java.sql.SQLSyntaxErrorException: ORA-00936: 缺失表达式', 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571695677665787905', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 11:00:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 11:00:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["10000"],"current":["1"]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571695678999576578', '0', 'tofly-flow', 'yj', TO_DATE('2022-09-19 11:00:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 11:00:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '92', NULL, '### Error querying database.  Cause: java.sql.SQLSyntaxErrorException: ORA-00936: 缺失表达式

### The error may exist in com/tofly/workflow/baseconf/mapper/TfContractFieldPMapper.java (best guess)
### The error may involve defaultParameterMap
### The error occurred while setting parameters
### SQL: SELECT * FROM TF_CONTRACT_FIELD_P WHERE id IN ( )
### Cause: java.sql.SQLSyntaxErrorException: ORA-00936: 缺失表达式

; bad SQL grammar []; nested exception is java.sql.SQLSyntaxErrorException: ORA-00936: 缺失表达式', 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571810939920474113', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 18:38:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 18:38:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '53', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571810940226658305', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 18:38:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 18:38:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '23', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571810945834442753', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 18:38:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 18:38:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '5', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571810946014797826', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 18:38:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 18:38:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571810949600927746', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 18:38:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 18:38:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '7', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571810955804303361', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 18:38:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 18:38:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1570698804578582529', 'GET', '{"id":["1570698804578582529"]}', '172', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571810956756410370', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 18:38:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 18:38:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571810958836785154', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 18:38:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 18:38:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571810963643457538', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 18:38:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 18:38:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572047724474888193', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-20 10:19:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:19:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572047726991470594', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-20 10:19:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:19:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '7', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572047793664126978', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:19:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:19:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl', 'POST', '{}', '802', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572047794507182081', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:19:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:19:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '17', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572047812500746241', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:19:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:19:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1569660763252559873', 'GET', '{"id":["1569660763252559873"]}', '40', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572047812966313985', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:19:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:19:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572047813184417793', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:19:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:19:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572047814652424193', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:19:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:19:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572047834499870722', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:19:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:19:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1569507482133536769', 'GET', '{"id":["1569507482133536769"]}', '40', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572047834957049858', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:19:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:19:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572047835175153666', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:19:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:19:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572047874089906178', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-20 10:19:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:19:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["10000"],"current":["1"]}', '32', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572047930884976641', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-20 10:20:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:20:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["10000"],"current":["1"]}', '30', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572047944671653890', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:20:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:20:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572047790992384002', 'GET', '{"id":["1572047790992384002"]}', '118', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572047946173214722', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:20:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:20:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572047946366152706', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:20:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:20:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572047949381857282', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:20:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:20:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572047989030612993', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:20:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:20:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572047998602014722', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 10:20:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:20:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572055937840672770', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-20 10:51:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:51:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '25', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572056048993923073', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-20 10:52:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:52:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["10000"],"current":["1"]}', '26', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571681160495894531', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-19 10:02:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 10:02:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571681181987508226', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-19 10:02:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 10:02:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571681182155280385', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-19 10:02:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 10:02:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571684212435062786', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 10:14:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 10:14:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"key":[""]}', '21', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571684284421902338', '0', 'tofly-flow', 'lz', TO_DATE('2022-09-19 10:15:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 10:15:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/saveTeamAll', 'POST', '{}', '99', NULL, 'nested exception is org.apache.ibatis.executor.ExecutorException: Statement returned more than one row, where no more than one was expected.', 'content:新增施工班组相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571684421101686785', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 10:15:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 10:15:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"key":[""]}', '26', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571686427233095681', '2', 'tofly-auth', 'rq', TO_DATE('2022-09-19 10:23:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 10:23:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/8fdc2289-0931-4e51-9251-b510749f43dd', 'DELETE', '{}', '1', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571734250477703169', '0', 'tofly-flow', 'yj', TO_DATE('2022-09-19 13:33:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 13:33:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '87', NULL, '### Error querying database.  Cause: java.sql.SQLSyntaxErrorException: ORA-00936: 缺失表达式

### The error may exist in com/tofly/workflow/baseconf/mapper/TfContractFieldPMapper.java (best guess)
### The error may involve defaultParameterMap
### The error occurred while setting parameters
### SQL: SELECT * FROM TF_CONTRACT_FIELD_P WHERE id IN ( )
### Cause: java.sql.SQLSyntaxErrorException: ORA-00936: 缺失表达式

; bad SQL grammar []; nested exception is java.sql.SQLSyntaxErrorException: ORA-00936: 缺失表达式', 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571795279710527490', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 17:36:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 17:36:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"key":[""]}', '50', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571795289248374785', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 17:36:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 17:36:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/1571753437224890370', 'GET', '{"0":["1571753437224890370"]}', '33', NULL, NULL, 'content:通过id查询施工组织单位', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571795348492918786', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-19 17:36:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 17:36:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571795352242626562', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-19 17:36:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 17:36:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571795475706159105', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 17:36:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 17:36:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"key":[""]}', '48', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571795486250639361', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 17:37:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 17:37:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/1571745507872112642', 'GET', '{"0":["1571745507872112642"]}', '5', NULL, NULL, 'content:通过id查询施工组织单位', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571795504290340866', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 17:37:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 17:37:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/1571753437224890370', 'GET', '{"0":["1571753437224890370"]}', '24', NULL, NULL, 'content:通过id查询施工组织单位', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572063894473109506', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 11:23:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:23:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572063894997397505', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 11:23:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:23:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572063898667413506', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 11:23:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:23:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572067964978032641', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-20 11:39:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:39:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["10000"],"current":["1"]}', '26', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572070321015058433', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 11:49:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:49:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '2', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572070337037299713', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 11:49:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:49:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572070112260382722', 'GET', '{"id":["1572070112260382722"]}', '23', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572070338480140290', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 11:49:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:49:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572070338622746625', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 11:49:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:49:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572070344373137409', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 11:49:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:49:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '2', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572070345434296321', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-20 11:49:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:49:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572070365936054274', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-20 11:49:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:49:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '2', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572070384491655170', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-20 11:49:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:49:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/page', 'GET', '{"tenantId":["1"],"current":["1"],"size":["10000"],"isDel":["0"]}', '2', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572070448429625345', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 11:49:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:49:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl', 'POST', '{}', '23', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572070449033605122', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 11:49:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:49:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572070454624612353', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 11:49:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:49:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572070112260382722', 'GET', '{"id":["1572070112260382722"]}', '25', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572070455178260482', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 11:49:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:49:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572070455941623809', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 11:49:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:49:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572070460639244290', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 11:49:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:49:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572070563357749249', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-20 11:50:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:50:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["10000"],"current":["1"]}', '64', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572070777044955137', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 11:50:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:50:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572070807097143297', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-20 11:51:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:51:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/page', 'GET', '{"tenantId":["1"],"current":["1"],"size":["10000"],"isDel":["0"]}', '2', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572071003147300865', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 11:51:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:51:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572071011498160130', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 11:51:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:51:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572071177764564994', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 11:52:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:52:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl', 'POST', '{}', '134', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571710068406734850', '0', 'tofly-flow', 'yj', TO_DATE('2022-09-19 11:57:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 11:57:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '84', NULL, '### Error querying database.  Cause: java.sql.SQLSyntaxErrorException: ORA-00936: 缺失表达式

### The error may exist in com/tofly/workflow/baseconf/mapper/TfContractFieldPMapper.java (best guess)
### The error may involve defaultParameterMap
### The error occurred while setting parameters
### SQL: SELECT * FROM TF_CONTRACT_FIELD_P WHERE id IN ( )
### Cause: java.sql.SQLSyntaxErrorException: ORA-00936: 缺失表达式

; bad SQL grammar []; nested exception is java.sql.SQLSyntaxErrorException: ORA-00936: 缺失表达式', 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571710361404035073', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 11:58:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 11:58:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"key":[""]}', '26', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571710365657059330', '0', 'tofly-flow', 'lz', TO_DATE('2022-09-19 11:58:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 11:58:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/1571708792948248577', 'GET', '{"0":["1571708792948248577"]}', '85', NULL, 'nested exception is org.apache.ibatis.executor.ExecutorException: Statement returned more than one row, where no more than one was expected.', 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571710467851276290', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 11:59:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 11:59:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '34', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571710517809631233', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 11:59:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 11:59:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"key":[""]}', '24', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571710574273351682', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 11:59:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 11:59:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"key":[""]}', '29', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571710753093308417', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 12:00:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 12:00:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571745533826433025', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 14:18:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:18:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl', 'POST', '{}', '207', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571745535021809665', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 14:18:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:18:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '156', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571745708124930049', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 14:19:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:19:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '29', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571745777993646081', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 14:19:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:19:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"key":[""]}', '55', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571745837573734401', '0', 'tofly-flow', 'lz', TO_DATE('2022-09-19 14:19:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:19:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/saveTeamAll', 'POST', '{}', '98', NULL, '### Error updating database.  Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-01400: 无法将 NULL 插入 ("TF_ZMRQ_LC"."TF_CONSTRUCTION_TEAM_P"."ORDER_NUMBER")

### The error may exist in com/tofly/workflow/baseconf/mapper/TfConstructionTeamPMapper.java (best guess)
### The error may involve com.tofly.workflow.baseconf.mapper.TfConstructionTeamPMapper.insert-Inline
### The error occurred while setting parameters
### SQL: INSERT INTO TF_CONSTRUCTION_TEAM_P  ( id,  build_unit_id, name,   CREATE_USER, CREATE_TIME, UPDATE_USER, UPDATE_TIME )  VALUES  ( ?,  ?, ?,   ?, ?, ?, ? )
### Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-01400: 无法将 NULL 插入 ("TF_ZMRQ_LC"."TF_CONSTRUCTION_TEAM_P"."ORDER_NUMBER")

; ORA-01400: 无法将 NULL 插入 ("TF_ZMRQ_LC"."TF_CONSTRUCTION_TEAM_P"."ORDER_NUMBER")
; nested exception is java.sql.SQLIntegrityConstraintViolationException: ORA-01400: 无法将 NULL 插入 ("TF_ZMRQ_LC"."TF_CONSTRUCTION_TEAM_P"."ORDER_NUMBER")', 'content:新增施工班组相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571746103572299778', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 14:20:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:20:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571746105140969474', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 14:20:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:20:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":["1"]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571746106856439809', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 14:20:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:20:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '24', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571746134874390529', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 14:20:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:20:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '20', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571746135256072194', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 14:20:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:20:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '33', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571746146006073346', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 14:20:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:20:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '19', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571746146450669569', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 14:20:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:20:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571746147780263938', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 14:20:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:20:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '8', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571746179841523714', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 14:21:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:21:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["10000"],"current":["1"]}', '25', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571746183285047298', '0', 'tofly-flow', 'yj', TO_DATE('2022-09-19 14:21:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:21:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '84', NULL, '### Error querying database.  Cause: java.sql.SQLSyntaxErrorException: ORA-00936: 缺失表达式

### The error may exist in com/tofly/workflow/baseconf/mapper/TfContractFieldPMapper.java (best guess)
### The error may involve defaultParameterMap
### The error occurred while setting parameters
### SQL: SELECT * FROM TF_CONTRACT_FIELD_P WHERE id IN ( )
### Cause: java.sql.SQLSyntaxErrorException: ORA-00936: 缺失表达式

; bad SQL grammar []; nested exception is java.sql.SQLSyntaxErrorException: ORA-00936: 缺失表达式', 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571747419577122818', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 14:26:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:26:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":["1"]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571747420810248194', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 14:26:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:26:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571747782946455553', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 14:27:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:27:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '17', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571747783193919490', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 14:27:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:27:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '17', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571747789661536258', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 14:27:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:27:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":["1"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571747790903050241', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 14:27:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:27:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571748271691923458', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 14:29:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:29:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571748273231233026', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 14:29:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:29:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '7', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571684663431794689', '0', 'tofly-flow', 'lz', TO_DATE('2022-09-19 10:16:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 10:16:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/saveTeamAll', 'POST', '{}', '104', NULL, 'nested exception is org.apache.ibatis.executor.ExecutorException: Statement returned more than one row, where no more than one was expected.', 'content:新增施工班组相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571688173078581250', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 10:30:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 10:30:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["10000"],"current":["1"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571688176484356097', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 10:30:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 10:30:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571695202686025729', '0', 'tofly-flow', 'yj', TO_DATE('2022-09-19 10:58:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 10:58:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '488', NULL, '### Error querying database.  Cause: java.sql.SQLSyntaxErrorException: ORA-00936: 缺失表达式

### The error may exist in com/tofly/workflow/baseconf/mapper/TfContractFieldPMapper.java (best guess)
### The error may involve defaultParameterMap
### The error occurred while setting parameters
### SQL: SELECT * FROM TF_CONTRACT_FIELD_P WHERE id IN ( )
### Cause: java.sql.SQLSyntaxErrorException: ORA-00936: 缺失表达式

; bad SQL grammar []; nested exception is java.sql.SQLSyntaxErrorException: ORA-00936: 缺失表达式', 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571695210156081153', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 10:58:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 10:58:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["10000"],"current":["1"]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571695211426955265', '0', 'tofly-flow', 'yj', TO_DATE('2022-09-19 10:58:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 10:58:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '97', NULL, '### Error querying database.  Cause: java.sql.SQLSyntaxErrorException: ORA-00936: 缺失表达式

### The error may exist in com/tofly/workflow/baseconf/mapper/TfContractFieldPMapper.java (best guess)
### The error may involve defaultParameterMap
### The error occurred while setting parameters
### SQL: SELECT * FROM TF_CONTRACT_FIELD_P WHERE id IN ( )
### Cause: java.sql.SQLSyntaxErrorException: ORA-00936: 缺失表达式

; bad SQL grammar []; nested exception is java.sql.SQLSyntaxErrorException: ORA-00936: 缺失表达式', 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571695665636524033', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 11:00:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 11:00:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["10000"],"current":["1"]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571696381667131393', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 11:03:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 11:03:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '18', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571736120428449793', '1', 'tofly-flow', 'lye', TO_DATE('2022-09-19 13:41:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 13:41:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"key":[""]}', '23', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571737334167752706', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 13:45:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 13:45:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571755298824757249', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 14:57:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:57:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl', 'POST', '{}', '34', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571755299286130689', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 14:57:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:57:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '17', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571755377069498370', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 14:57:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:57:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1571745533478338562', 'GET', '{"id":["1571745533478338562"]}', '35', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571755377535066113', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 14:57:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:57:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571755378973712386', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 14:57:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:57:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '7', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571755386275995650', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 14:57:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:57:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl', 'POST', '{}', '40', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571755387244879873', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 14:57:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:57:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '17', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571786399119056898', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 17:00:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 17:00:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571786519805960193', '2', 'tofly-auth', 'test', TO_DATE('2022-09-19 17:01:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 17:01:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/d774e039-02fd-4e65-841f-e7b05a57ffcd', 'DELETE', '{}', '9', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571795322844979202', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 17:36:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 17:36:22', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.48', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["10000"],"current":["1"]}', '53', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571795323201495042', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 17:36:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 17:36:22', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.48', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '143', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571796438496288769', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 17:40:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 17:40:48', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.48', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["30"],"current":["1"]}', '20', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571796456351440898', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 17:40:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 17:40:52', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.48', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '128', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571797791234826242', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 17:46:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 17:46:10', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.48', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["30"],"current":["1"]}', '22', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571801974881099777', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 18:02:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 18:02:48', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.48', NULL, '/tfcontracttemplatep/saveContractTemplateField', 'POST', '{}', '119', NULL, NULL, 'content:新增合同模板', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571801977078915074', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 18:02:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 18:02:48', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.48', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '207', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571811060162781185', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-19 18:38:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 18:38:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571816277210062849', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-19 18:59:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 18:59:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/page', 'GET', '{"tenantId":["1"],"current":["1"],"size":["10000"],"isDel":["0"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571876866703777793', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 23:00:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 23:00:23', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl', 'POST', '{}', '226', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571876867173539842', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 23:00:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 23:00:23', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.92.99', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572037721445752834', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-20 09:39:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 09:39:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '53', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572037728580263937', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-20 09:39:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 09:39:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["30"],"current":["1"]}', '18', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572045232299143169', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-20 10:09:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:09:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '8', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572045238590599169', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-20 10:09:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:09:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '48', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572045383092760577', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-20 10:10:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:10:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572045960853942274', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-20 10:12:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:12:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '7', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572045968168808449', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-20 10:12:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 10:12:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '9', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571669883044237314', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-19 09:17:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 09:17:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571669890031947778', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-19 09:17:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 09:17:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571669890816282626', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-19 09:17:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 09:17:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571669891709669377', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-19 09:17:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 09:17:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571669916640612353', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 09:18:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 09:18:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"name":[""],"tenantId":["1569216846182748162"],"current":["1"],"size":["30"],"contractType":["1570686550613266433"]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571669984814829570', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 09:18:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 09:18:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"name":[""],"tenantId":[""],"current":["1"],"size":["30"],"contractType":[""]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571670013667446785', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 09:18:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 09:18:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571670013709389825', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 09:18:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 09:18:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '10', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571670023280791553', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 09:18:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 09:18:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '21', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571670023486312449', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 09:18:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 09:18:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571670037914718210', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 09:18:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 09:18:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1569660763252559873', 'GET', '{"id":["1569660763252559873"]}', '26', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571670038388674561', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 09:18:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 09:18:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571670038590001154', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 09:18:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 09:18:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571670039470804993', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 09:18:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 09:18:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571670255347437570', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 09:19:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 09:19:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"name":[""],"tenantId":[""],"current":["1"],"size":["30"],"contractType":[""]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571670328957472769', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 09:19:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 09:19:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571670523636092929', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 09:20:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 09:20:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571670524164575233', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 09:20:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 09:20:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571670524357513217', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 09:20:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 09:20:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571670731568713730', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 09:21:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 09:21:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571671309313118209', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 09:23:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 09:23:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfreportentryp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571671323024297985', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 09:23:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 09:23:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfreportentryp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571671337758887937', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 09:23:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 09:23:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfreportentryp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571671364724068353', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 09:23:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 09:23:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfreportentryp', 'POST', '{}', '4', NULL, NULL, 'content:新增开工报告条目', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571671441551134722', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 09:24:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 09:24:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfreportentryp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571671457770508290', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 09:24:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 09:24:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfreportentryp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571671766630666242', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 09:25:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 09:25:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfreportentryp', 'POST', '{}', '3', NULL, NULL, 'content:新增开工报告条目', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571671856346828801', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 09:25:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 09:25:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfreportentryp', 'POST', '{}', '17', NULL, NULL, 'content:新增开工报告条目', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571672087310372865', '1', 'tofly-flow', 'lye', TO_DATE('2022-09-19 09:26:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 09:26:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571672288121065474', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 09:27:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 09:27:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["10000"],"current":["1"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571672288569856001', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 09:27:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 09:27:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571672295305908225', '1', 'tofly-flow', 'lye', TO_DATE('2022-09-19 09:27:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 09:27:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571672295486263298', '1', 'tofly-flow', 'lye', TO_DATE('2022-09-19 09:27:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 09:27:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571672394954182657', '1', 'tofly-flow', 'lye', TO_DATE('2022-09-19 09:27:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 09:27:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571672395155509250', '1', 'tofly-flow', 'lye', TO_DATE('2022-09-19 09:27:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 09:27:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571672421520904193', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 09:28:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 09:28:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["30"],"current":["1"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571672909804998657', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 09:29:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 09:29:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["10000"],"current":["1"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571672910077628418', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 09:29:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 09:29:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571673119134322690', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 09:30:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 09:30:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["30"],"current":["1"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571673446948540418', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 09:32:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 09:32:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571673488174354434', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 09:32:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 09:32:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["30"],"current":["1"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571673555157389313', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 09:32:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 09:32:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp', 'POST', '{}', '7', NULL, NULL, 'content:新增合同模板公用字段', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571673555375493121', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 09:32:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 09:32:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["30"],"current":["1"]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571763382582353922', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 15:29:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:29:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/1571753437224890370', 'GET', '{"0":["1571753437224890370"]}', '101', NULL, NULL, 'content:通过id查询施工组织单位', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571763574115246082', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 15:30:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:30:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"key":[""]}', '66', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571763580616417282', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 15:30:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:30:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/1571753437224890370', 'GET', '{"0":["1571753437224890370"]}', '40', NULL, NULL, 'content:通过id查询施工组织单位', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571763589223129090', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 15:30:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:30:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '39', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571763589458010114', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 15:30:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:30:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '18', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571763612157583362', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 15:30:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:30:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1570698804578582529', 'GET', '{"id":["1570698804578582529"]}', '99', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571763612677677058', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 15:30:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:30:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571763613927579649', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 15:30:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:30:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '33', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571763657611255810', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 15:30:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:30:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl', 'POST', '{}', '606', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571763658118766594', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 15:30:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:30:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571763808874635265', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 15:31:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:31:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"key":[""]}', '61', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571763828369760258', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 15:31:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:31:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/1571753437224890370', 'GET', '{"0":["1571753437224890370"]}', '28', NULL, NULL, 'content:通过id查询施工组织单位', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571763843339231234', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 15:31:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:31:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/1571749865208676353', 'GET', '{"0":["1571749865208676353"]}', '8', NULL, NULL, 'content:通过id查询施工组织单位', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571763875941556225', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 15:31:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:31:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1571763657271414785', 'GET', '{"id":["1571763657271414785"]}', '78', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571763876411318274', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 15:31:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:31:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571763877560557569', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 15:31:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:31:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '7', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571763967452880898', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 15:31:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:31:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1571763657271414785', 'GET', '{"id":["1571763657271414785"]}', '77', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571763967838756866', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 15:31:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:31:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571763968899915777', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 15:31:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:31:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571764326741155841', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 15:33:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:33:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"key":[""]}', '47', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571764346391470082', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 15:33:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:33:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/1571752183224500226', 'GET', '{"0":["1571752183224500226"]}', '15', NULL, NULL, 'content:通过id查询施工组织单位', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571764458178060290', '0', 'tofly-flow', 'yj', TO_DATE('2022-09-19 15:33:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:33:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/saveContractTemplateField', 'POST', '{}', '98', NULL, '### Error updating database.  Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.PK_TF_CONTRACT_FIELD_P)

### The error may exist in com/tofly/workflow/baseconf/mapper/TfContractFieldPMapper.java (best guess)
### The error may involve com.tofly.workflow.baseconf.mapper.TfContractFieldPMapper.insert-Inline
### The error occurred while setting parameters
### SQL: INSERT INTO TF_CONTRACT_FIELD_P  ( id, name, field_name, field_type,   remark, CREATE_USER, CREATE_TIME, UPDATE_USER, UPDATE_TIME )  VALUES  ( ?, ?, ?, ?,   ?, ?, ?, ?, ? )
### Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.PK_TF_CONTRACT_FIELD_P)

; ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.PK_TF_CONTRACT_FIELD_P)
; nested exception is java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.PK_TF_CONTRACT_FIELD_P)', 'content:新增合同模板', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571764594094481410', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-19 15:34:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:34:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571764595596042241', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 15:34:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:34:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["10000"],"current":["1"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571764598636912641', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 15:34:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:34:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571764599270252545', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-19 15:34:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:34:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571765208610349058', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-19 15:36:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:36:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571765216281731073', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-19 15:36:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:36:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571765614564450305', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 15:38:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:38:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"key":[""]}', '45', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571765619392094209', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 15:38:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:38:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/1571753437224890370', 'GET', '{"0":["1571753437224890370"]}', '23', NULL, NULL, 'content:通过id查询施工组织单位', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571765779362848769', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 15:38:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:38:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571765779694198785', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 15:38:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:38:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571766304489709569', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 15:41:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:41:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '17', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571766304707813378', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 15:41:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:41:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571766431556149249', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 15:41:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:41:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/1571752183224500226', 'GET', '{"0":["1571752183224500226"]}', '14', NULL, NULL, 'content:通过id查询施工组织单位', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571766447452561409', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 15:41:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:41:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/1571708792948248577', 'GET', '{"0":["1571708792948248577"]}', '5', NULL, NULL, 'content:通过id查询施工组织单位', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571698541607907330', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 11:11:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 11:11:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["10000"],"current":["1"]}', '22', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571699197647384578', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 11:14:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 11:14:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["10000"],"current":["1"]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571699201204154370', '0', 'tofly-flow', 'yj', TO_DATE('2022-09-19 11:14:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 11:14:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '100', NULL, '### Error querying database.  Cause: java.sql.SQLSyntaxErrorException: ORA-00936: 缺失表达式

### The error may exist in com/tofly/workflow/baseconf/mapper/TfContractFieldPMapper.java (best guess)
### The error may involve defaultParameterMap
### The error occurred while setting parameters
### SQL: SELECT * FROM TF_CONTRACT_FIELD_P WHERE id IN ( )
### Cause: java.sql.SQLSyntaxErrorException: ORA-00936: 缺失表达式

; bad SQL grammar []; nested exception is java.sql.SQLSyntaxErrorException: ORA-00936: 缺失表达式', 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571699534882009090', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 11:15:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 11:15:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["10000"],"current":["1"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571699538476527618', '0', 'tofly-flow', 'yj', TO_DATE('2022-09-19 11:15:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 11:15:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '93', NULL, '### Error querying database.  Cause: java.sql.SQLSyntaxErrorException: ORA-00936: 缺失表达式

### The error may exist in com/tofly/workflow/baseconf/mapper/TfContractFieldPMapper.java (best guess)
### The error may involve defaultParameterMap
### The error occurred while setting parameters
### SQL: SELECT * FROM TF_CONTRACT_FIELD_P WHERE id IN ( )
### Cause: java.sql.SQLSyntaxErrorException: ORA-00936: 缺失表达式

; bad SQL grammar []; nested exception is java.sql.SQLSyntaxErrorException: ORA-00936: 缺失表达式', 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571699710573015042', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 11:16:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 11:16:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfreportentryp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571699802205974529', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 11:16:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 11:16:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["10000"],"current":["1"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571699805901156354', '0', 'tofly-flow', 'yj', TO_DATE('2022-09-19 11:16:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 11:16:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '100', NULL, '### Error querying database.  Cause: java.sql.SQLSyntaxErrorException: ORA-00936: 缺失表达式

### The error may exist in com/tofly/workflow/baseconf/mapper/TfContractFieldPMapper.java (best guess)
### The error may involve defaultParameterMap
### The error occurred while setting parameters
### SQL: SELECT * FROM TF_CONTRACT_FIELD_P WHERE id IN ( )
### Cause: java.sql.SQLSyntaxErrorException: ORA-00936: 缺失表达式

; bad SQL grammar []; nested exception is java.sql.SQLSyntaxErrorException: ORA-00936: 缺失表达式', 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571700059509747714', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 11:17:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 11:17:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '52', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571700059765600258', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 11:17:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 11:17:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571700067315347457', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 11:17:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 11:17:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1570698804578582529', 'GET', '{"id":["1570698804578582529"]}', '95', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571700068082905089', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 11:17:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 11:17:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '5', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571700069269893122', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 11:17:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 11:17:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '33', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571700078388310017', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 11:17:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 11:17:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl', 'POST', '{}', '629', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571700078774185985', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 11:17:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 11:17:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571700085103390721', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 11:17:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 11:17:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1570698804578582529', 'GET', '{"id":["1570698804578582529"]}', '83', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571700085778673666', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 11:17:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 11:17:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571700086806278145', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 11:17:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 11:17:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '7', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571700431355768833', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-19 11:19:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 11:19:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571700595642462209', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 11:19:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 11:19:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl', 'POST', '{}', '31', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571700596133195778', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 11:19:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 11:19:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '30', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571700601497710594', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 11:19:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 11:19:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1570698804578582529', 'GET', '{"id":["1570698804578582529"]}', '71', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571700602160410626', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 11:19:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 11:19:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571700603204792321', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 11:19:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 11:19:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571703458519175170', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 11:31:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 11:31:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfreportentryp', 'PUT', '{}', '175', NULL, NULL, 'content:修改开工报告条目', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571739921915031554', '0', 'tofly-flow', 'yjf', TO_DATE('2022-09-19 13:56:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 13:56:13', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfbuildunitp/1571734173919072257', 'GET', '{}', '146', NULL, 'nested exception is org.apache.ibatis.executor.ExecutorException: Statement returned more than one row, where no more than one was expected.', 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571740001594224642', '0', 'tofly-flow', 'yjf', TO_DATE('2022-09-19 13:56:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 13:56:32', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfbuildunitp/1571734173919072257', 'GET', '{}', '94', NULL, 'nested exception is org.apache.ibatis.executor.ExecutorException: Statement returned more than one row, where no more than one was expected.', 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571740079499227138', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-19 13:56:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 13:56:51', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfbuildunitp/1571734173919072257', 'DELETE', '{}', '30', NULL, NULL, 'content:通过id删除施工组织单位', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571740720372101121', '0', 'tofly-flow', 'yjf', TO_DATE('2022-09-19 13:59:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 13:59:23', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfbuildunitp/1571734173919072257', 'GET', '{}', '94', NULL, 'Source must not be null', 'content:通过id查询施工组织单位', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571740747207258113', '0', 'tofly-flow', 'yjf', TO_DATE('2022-09-19 13:59:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 13:59:30', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfbuildunitp/1571734173919072257', 'GET', '{}', '12', NULL, 'Source must not be null', 'content:通过id查询施工组织单位', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571740884629434369', '0', 'tofly-flow', 'yjf', TO_DATE('2022-09-19 14:00:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:00:03', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfbuildunitp/1571734173919072257', 'GET', '{}', '16', NULL, 'Source must not be null', 'content:通过id查询施工组织单位', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571740998131494913', '0', 'tofly-flow', 'yjf', TO_DATE('2022-09-19 14:00:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:00:30', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfbuildunitp/1571734173919072257', 'GET', '{}', '0', NULL, 'Source must not be null', 'content:通过id查询施工组织单位', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571741286913519618', '0', 'tofly-flow', 'yjf', TO_DATE('2022-09-19 14:01:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:01:38', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfbuildunitp/1571734173919072257', 'GET', '{}', '25332', NULL, 'Source must not be null', 'content:通过id查询施工组织单位', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571698224635965442', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 11:10:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 11:10:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '425', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571698253308227586', '2', 'tofly-auth', 'yj', TO_DATE('2022-09-19 11:10:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 11:10:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/f03aff20-b5a6-4770-9c03-f7ce5b1f12be', 'DELETE', '{}', '7', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571698524285431809', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 11:11:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 11:11:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571698543637950465', '0', 'tofly-flow', 'yj', TO_DATE('2022-09-19 11:11:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 11:11:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '195', NULL, '### Error querying database.  Cause: java.sql.SQLSyntaxErrorException: ORA-00936: 缺失表达式

### The error may exist in com/tofly/workflow/baseconf/mapper/TfContractFieldPMapper.java (best guess)
### The error may involve defaultParameterMap
### The error occurred while setting parameters
### SQL: SELECT * FROM TF_CONTRACT_FIELD_P WHERE id IN ( )
### Cause: java.sql.SQLSyntaxErrorException: ORA-00936: 缺失表达式

; bad SQL grammar []; nested exception is java.sql.SQLSyntaxErrorException: ORA-00936: 缺失表达式', 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571761618160295938', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-19 15:22:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:22:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"contractFieldList[0].name":[""],"hitCount":[""],"records":[""],"contractType":[""],"searchCount":[""],"remark":[""],"contractFieldList[0].updateTime":[""],"contractFieldList[0].specialType":[""],"contractFieldList[0].id":[""],"contractFieldList[0].updateUser":[""],"contractFieldList[0].remark":[""],"current":[""],"total":[""],"orders[0].asc":[""],"orders[0].column":[""],"id":[""],"annex":[""],"contractFieldList[0].fieldType":[""],"optimizeCountSql":[""],"updateUser":[""],"updateTime":[""],"contractAnnex":[""],"size":[""],"createTime":[""],"name":[""],"tenantId":[""],"contractFieldList[0].isDel":[""],"createUser":[""],"contractFieldList[0].createTime":[""],"contractFieldList[0].createUser":[""],"isDel":[""],"contractFieldList[0].fieldName":[""]}', '475', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571761730978684930', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 15:22:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:22:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["10000"],"current":["1"]}', '30', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571761734065692674', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 15:22:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:22:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571761743230246914', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 15:22:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:22:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["30"],"current":["1"]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571761751472054274', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 15:22:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:22:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["10000"],"current":["1"]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571761751727906817', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 15:22:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:22:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571761772795895809', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 15:23:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:23:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/deleteByIds', 'DELETE', '{"ids":["1571758291968147457"]}', '6', NULL, NULL, 'content:通过id批量删除合同模板公用字段', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571761773072719874', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 15:23:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:23:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571761784674164738', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 15:23:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:23:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["30"],"current":["1"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571761791703818241', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 15:23:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:23:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["10000"],"current":["1"]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571761792039362561', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 15:23:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:23:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571761872817463297', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 15:23:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:23:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/1571752183224500226', 'GET', '{"0":["1571752183224500226"]}', '103', NULL, NULL, 'content:通过id查询施工组织单位', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571761916987678722', '0', 'tofly-flow', 'yj', TO_DATE('2022-09-19 15:23:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:23:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/saveContractTemplateField', 'POST', '{}', '182', NULL, '### Error updating database.  Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.PK_TF_CONTRACT_FIELD_P)

### The error may exist in com/tofly/workflow/baseconf/mapper/TfContractFieldPMapper.java (best guess)
### The error may involve com.tofly.workflow.baseconf.mapper.TfContractFieldPMapper.insert-Inline
### The error occurred while setting parameters
### SQL: INSERT INTO TF_CONTRACT_FIELD_P  ( id, name, field_name, field_type,    CREATE_USER, CREATE_TIME, UPDATE_USER, UPDATE_TIME )  VALUES  ( ?, ?, ?, ?,    ?, ?, ?, ? )
### Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.PK_TF_CONTRACT_FIELD_P)

; ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.PK_TF_CONTRACT_FIELD_P)
; nested exception is java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.PK_TF_CONTRACT_FIELD_P)', 'content:新增合同模板', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571762153093439490', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 15:24:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:24:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["10000"],"current":["1"]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571762153705807874', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 15:24:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:24:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '17', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571763126062915586', '0', 'tofly-flow', 'yj', TO_DATE('2022-09-19 15:28:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:28:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/saveContractTemplateField', 'POST', '{}', '481', NULL, '### Error updating database.  Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.PK_TF_CONTRACT_FIELD_P)

### The error may exist in com/tofly/workflow/baseconf/mapper/TfContractFieldPMapper.java (best guess)
### The error may involve com.tofly.workflow.baseconf.mapper.TfContractFieldPMapper.insert-Inline
### The error occurred while setting parameters
### SQL: INSERT INTO TF_CONTRACT_FIELD_P  ( id, name, field_name, field_type,   remark, CREATE_USER, CREATE_TIME, UPDATE_USER, UPDATE_TIME )  VALUES  ( ?, ?, ?, ?,   ?, ?, ?, ?, ? )
### Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.PK_TF_CONTRACT_FIELD_P)

; ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.PK_TF_CONTRACT_FIELD_P)
; nested exception is java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.PK_TF_CONTRACT_FIELD_P)', 'content:新增合同模板', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571763328580689921', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 15:29:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:29:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["10000"],"current":["1"]}', '221', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571763330593955841', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 15:29:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:29:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '28', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571763362927845377', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 15:29:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:29:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/deleteByIds', 'DELETE', '{"ids":["1571758291968147457,1571762086630440961"]}', '5', NULL, NULL, 'content:通过id批量删除合同模板公用字段', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571763363225640961', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 15:29:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:29:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '19', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571763371526168578', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 15:29:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:29:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"key":[""]}', '109', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571674247624396802', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 09:35:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 09:35:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfreportentryp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571674354025500673', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 09:35:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 09:35:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["30"],"current":["1"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571674480534097922', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 09:36:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 09:36:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["30"],"current":["1"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571674557130477569', '1', 'tofly-flow', 'lye', TO_DATE('2022-09-19 09:36:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 09:36:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571674557306638338', '1', 'tofly-flow', 'lye', TO_DATE('2022-09-19 09:36:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 09:36:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571675188784271362', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 09:38:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 09:38:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["10000"],"current":["1"]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571678702465978369', '1', 'tofly-flow', 'lye', TO_DATE('2022-09-19 09:52:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 09:52:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571682095251066882', '0', 'tofly-flow', 'lz', TO_DATE('2022-09-19 10:06:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 10:06:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/saveTeamAll', 'POST', '{}', '90', NULL, '### Error updating database.  Cause: java.sql.SQLDataException: ORA-01438: 值大于为此列指定的允许精度

### The error may exist in com/tofly/workflow/baseconf/mapper/TfBuildUnitPMapper.java (best guess)
### The error may involve com.tofly.workflow.baseconf.mapper.TfBuildUnitPMapper.insert-Inline
### The error occurred while setting parameters
### SQL: INSERT INTO TF_BUILD_UNIT_P  ( id, tenant_id, order_number, dept_id, team_type,  remark, CREATE_USER,  CREATE_TIME, UPDATE_USER,  UPDATE_TIME )  VALUES  ( ?, ?, ?, ?, ?,  ?, ?,  ?, ?,  ? )
### Cause: java.sql.SQLDataException: ORA-01438: 值大于为此列指定的允许精度

; ORA-01438: 值大于为此列指定的允许精度
; nested exception is java.sql.SQLDataException: ORA-01438: 值大于为此列指定的允许精度', 'content:新增施工班组相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571682896556068865', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 10:09:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 10:09:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571694522386722818', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 10:55:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 10:55:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["10000"],"current":["1"]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571694526555860994', '0', 'tofly-flow', 'yj', TO_DATE('2022-09-19 10:55:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 10:55:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '97', NULL, '### Error querying database.  Cause: java.sql.SQLSyntaxErrorException: ORA-00936: 缺失表达式

### The error may exist in com/tofly/workflow/baseconf/mapper/TfContractFieldPMapper.java (best guess)
### The error may involve defaultParameterMap
### The error occurred while setting parameters
### SQL: SELECT * FROM TF_CONTRACT_FIELD_P WHERE id IN ( )
### Cause: java.sql.SQLSyntaxErrorException: ORA-00936: 缺失表达式

; bad SQL grammar []; nested exception is java.sql.SQLSyntaxErrorException: ORA-00936: 缺失表达式', 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571694960938926081', '2', 'tofly-auth', 'rq', TO_DATE('2022-09-19 10:57:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 10:57:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/f5410b35-0514-4b6a-9d7b-601c2836a211', 'DELETE', '{}', '21', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571696591877259266', '2', 'tofly-auth', 'rq', TO_DATE('2022-09-19 11:04:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 11:04:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/35ed1da7-cc89-44d4-9b59-7af84ac0fae2', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571703458519175171', '0', 'tofly-flow', 'yjf', TO_DATE('2022-09-19 11:31:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 11:31:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"contractFieldList[0].name":[""],"hitCount":[""],"records":[""],"contractType":[""],"searchCount":[""],"remark":[""],"contractFieldList[0].updateTime":[""],"contractFieldList[0].specialType":[""],"contractFieldList[0].id":[""],"contractFieldList[0].updateUser":[""],"contractFieldList[0].remark":[""],"current":[""],"total":[""],"orders[0].asc":[""],"orders[0].column":[""],"id":[""],"annex":[""],"contractFieldList[0].fieldType":[""],"optimizeCountSql":[""],"updateUser":[""],"updateTime":[""],"contractAnnex":[""],"size":[""],"createTime":[""],"name":[""],"tenantId":[""],"contractFieldList[0].isDel":[""],"createUser":[""],"contractFieldList[0].createTime":[""],"contractFieldList[0].createUser":[""],"isDel":[""],"contractFieldList[0].fieldName":[""]}', '534', NULL, '### Error querying database.  Cause: java.sql.SQLSyntaxErrorException: ORA-00936: 缺失表达式

### The error may exist in com/tofly/workflow/baseconf/mapper/TfContractFieldPMapper.java (best guess)
### The error may involve defaultParameterMap
### The error occurred while setting parameters
### SQL: SELECT * FROM TF_CONTRACT_FIELD_P WHERE id IN ( )
### Cause: java.sql.SQLSyntaxErrorException: ORA-00936: 缺失表达式

; bad SQL grammar []; nested exception is java.sql.SQLSyntaxErrorException: ORA-00936: 缺失表达式', 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571703508423004161', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 11:31:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 11:31:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfreportentryp', 'PUT', '{}', '3', NULL, NULL, 'content:修改开工报告条目', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571703704414441473', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 11:32:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 11:32:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfreportentryp', 'PUT', '{}', '4', NULL, NULL, 'content:修改开工报告条目', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571704029531721730', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 11:33:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 11:33:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfreportentryp', 'PUT', '{}', '5', NULL, NULL, 'content:修改开工报告条目', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571704901242310658', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 11:37:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 11:37:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '63', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571704901737238530', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 11:37:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 11:37:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '28', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571704927830003714', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 11:37:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 11:37:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1569660763252559873', 'GET', '{"id":["1569660763252559873"]}', '50', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571704928496898050', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 11:37:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 11:37:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571704928715001858', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 11:37:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 11:37:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571704930803765250', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 11:37:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 11:37:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '36', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571705014475935746', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 11:37:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 11:37:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '25', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571705014769537025', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 11:37:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 11:37:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '22', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571705022357032962', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 11:37:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 11:37:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1569660763252559873', 'GET', '{"id":["1569660763252559873"]}', '44', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571705022818406401', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 11:37:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 11:37:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571705023128784898', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 11:37:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 11:37:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571705024399659009', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 11:37:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 11:37:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '8', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571749104303329282', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 14:32:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:32:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '574', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571749687277944834', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 14:35:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:35:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '477', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571749687772872705', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 14:35:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:35:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '25', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571749688448155649', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 14:35:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:35:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '21', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571749689320570881', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 14:35:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:35:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '19', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571749694127243265', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-19 14:35:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:35:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '39', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571749703333740545', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 14:35:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:35:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1570698804578582529', 'GET', '{"id":["1570698804578582529"]}', '117', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571749704029995009', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 14:35:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:35:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '5', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571749706907287554', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 14:35:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:35:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '8', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571749734895878146', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 14:35:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:35:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"key":[""]}', '123', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571749735147536386', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 14:35:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:35:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1571745533478338562', 'GET', '{"id":["1571745533478338562"]}', '40', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571749735738933250', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 14:35:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:35:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571749737500540930', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 14:35:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:35:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571749866127261698', '0', 'tofly-flow', 'lz', TO_DATE('2022-09-19 14:35:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:35:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/saveTeamAll', 'POST', '{}', '192', NULL, 'nested exception is org.apache.ibatis.type.TypeException: Could not set parameters for mapping: ParameterMapping{property=''userId'', mode=IN, javaType=class java.lang.Long, jdbcType=null, numericScale=null, resultMapId=''null'', jdbcTypeName=''null'', expression=''null''}. Cause: org.apache.ibatis.type.TypeException: Error setting null for parameter #3 with JdbcType OTHER . Try setting a different JdbcType for this parameter or a different jdbcTypeForNull configuration property. Cause: java.sql.SQLException: 无效的列类型: 1111', 'content:新增施工班组相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571749917750755330', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 14:35:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:35:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '18', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571749918237294593', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 14:35:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:35:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '17', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571749920510607361', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 14:35:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:35:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1571745533478338562', 'GET', '{"id":["1571745533478338562"]}', '34', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571749922934915073', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 14:35:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:35:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571749924226760706', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 14:35:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:35:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571749934414725121', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 14:36:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:36:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1571745533478338562', 'GET', '{"id":["1571745533478338562"]}', '30', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571749934867709953', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 14:36:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:36:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571749936079863810', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 14:36:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:36:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571749951259049986', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 14:36:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:36:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1571745533478338562', 'GET', '{"id":["1571745533478338562"]}', '32', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571749951707840513', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 14:36:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:36:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571749953050017793', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 14:36:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:36:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571749965184139266', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 14:36:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:36:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl', 'POST', '{}', '665', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571749965624541186', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 14:36:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:36:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571749974864592898', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 14:36:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:36:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1570698804578582529', 'GET', '{"id":["1570698804578582529"]}', '77', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571749975300800513', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 14:36:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:36:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571749976563286017', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 14:36:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:36:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571749995597037569', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 14:36:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:36:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl', 'POST', '{}', '54', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571749996146491393', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 14:36:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:36:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '23', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571750005365571585', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 14:36:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:36:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1570698804578582529', 'GET', '{"id":["1570698804578582529"]}', '76', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571750005906636802', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 14:36:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:36:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571750007114596353', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 14:36:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:36:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571750244558340097', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 14:37:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:37:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["10000"],"current":["1"]}', '37', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571750370697838593', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 14:37:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:37:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571750370999828481', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 14:37:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:37:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571750378700570626', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 14:37:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:37:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571737377293586433', '0', 'tofly-flow', 'lz', TO_DATE('2022-09-19 13:46:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 13:46:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp', 'POST', '{}', '70', NULL, '工程性质为空', 'content:新增工程工序/工程管控', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571737408205606913', '1', 'tofly-flow', 'lye', TO_DATE('2022-09-19 13:46:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 13:46:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"key":[""]}', '27', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571739118240124929', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 13:53:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 13:53:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571739185554509825', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 13:53:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 13:53:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp', 'POST', '{}', '23', NULL, NULL, 'content:新增工程工序/工程管控', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571739273408401409', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-19 13:53:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 13:53:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571739290948980738', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 13:53:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 13:53:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp', 'POST', '{}', '7', NULL, NULL, 'content:新增工程工序/工程管控', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571739694919176194', '0', 'tofly-flow', 'lz', TO_DATE('2022-09-19 13:55:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 13:55:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp', 'POST', '{}', '25', NULL, '工程工序列表为空', 'content:新增工程工序/工程管控', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571739725625675778', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 13:55:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 13:55:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp', 'POST', '{}', '7', NULL, NULL, 'content:新增工程工序/工程管控', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571739750380457985', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 13:55:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 13:55:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571739774506094593', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 13:55:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 13:55:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/1571739725558566913', 'DELETE', '{"0":["1571739725558566913"]}', '4', NULL, NULL, 'content:通过id删除工程工序/工程管控', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571740070334550018', '1', 'tofly-flow', 'lye', TO_DATE('2022-09-19 13:56:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 13:56:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"key":[""]}', '24', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571740209736437762', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 13:57:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 13:57:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571740248214982658', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 13:57:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 13:57:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '7', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571740900559278082', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 14:00:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:00:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571740912303329282', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 14:00:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:00:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["10000"],"current":["1"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571740912714371074', '0', 'tofly-flow', 'yj', TO_DATE('2022-09-19 14:00:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:00:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '35', NULL, '### Error querying database.  Cause: java.sql.SQLSyntaxErrorException: ORA-00936: 缺失表达式

### The error may exist in com/tofly/workflow/baseconf/mapper/TfContractFieldPMapper.java (best guess)
### The error may involve defaultParameterMap
### The error occurred while setting parameters
### SQL: SELECT * FROM TF_CONTRACT_FIELD_P WHERE id IN ( )
### Cause: java.sql.SQLSyntaxErrorException: ORA-00936: 缺失表达式

; bad SQL grammar []; nested exception is java.sql.SQLSyntaxErrorException: ORA-00936: 缺失表达式', 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571741370174525441', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 14:01:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:01:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571741379439865858', '0', 'tofly-flow', 'yjf', TO_DATE('2022-09-19 14:02:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:02:01', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfbuildunitp/1571734173919072257', 'GET', '{}', '16518', NULL, 'Source must not be null', 'content:通过id查询施工组织单位', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571741439863009282', '0', 'tofly-flow', 'yjf', TO_DATE('2022-09-19 14:02:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:02:15', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfbuildunitp/1571734173919072257', 'GET', '{}', '12043', NULL, 'Source must not be null', 'content:通过id查询施工组织单位', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571741480627449858', '0', 'tofly-flow', 'yjf', TO_DATE('2022-09-19 14:02:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:02:25', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfbuildunitp/1571708792948248577', 'GET', '{}', '52', NULL, 'nested exception is org.apache.ibatis.executor.ExecutorException: Statement returned more than one row, where no more than one was expected.', 'content:通过id查询施工组织单位', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571741527758843906', '0', 'tofly-flow', 'yjf', TO_DATE('2022-09-19 14:02:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:02:36', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfbuildunitp/1571708792948248577', 'GET', '{}', '330', NULL, 'nested exception is org.apache.ibatis.executor.ExecutorException: Statement returned more than one row, where no more than one was expected.', 'content:通过id查询施工组织单位', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571741614023094273', '0', 'tofly-flow', 'yjf', TO_DATE('2022-09-19 14:02:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:02:56', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfbuildunitp/1571708792948248577', 'GET', '{}', '6371', NULL, 'nested exception is org.apache.ibatis.executor.ExecutorException: Statement returned more than one row, where no more than one was expected.', 'content:通过id查询施工组织单位', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571741756063199234', '0', 'tofly-flow', 'yjf', TO_DATE('2022-09-19 14:03:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:03:30', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfbuildunitp/1571708792948248577', 'GET', '{}', '215', NULL, 'nested exception is org.apache.ibatis.executor.ExecutorException: Statement returned more than one row, where no more than one was expected.', 'content:通过id查询施工组织单位', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571742126709649410', '0', 'tofly-flow', 'yjf', TO_DATE('2022-09-19 14:04:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:04:59', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfbuildunitp/1571708792948248577', 'GET', '{}', '16190', NULL, 'nested exception is org.apache.ibatis.executor.ExecutorException: Statement returned more than one row, where no more than one was expected.', 'content:通过id查询施工组织单位', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571743186350223361', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-19 14:09:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:09:11', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfbuildunitp/1571708792948248577', 'GET', '{}', '132', NULL, NULL, 'content:通过id查询施工组织单位', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571755232428924929', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 14:57:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:57:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '468', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571755232974184449', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 14:57:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:57:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '22', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571755239693459458', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 14:57:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:57:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1571745533478338562', 'GET', '{"id":["1571745533478338562"]}', '42', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571755240322605057', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 14:57:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:57:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '5', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571755242050658305', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 14:57:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:57:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '38', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571755248908345345', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 14:57:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:57:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl', 'POST', '{}', '220', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571755249394884610', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 14:57:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:57:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '22', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571755289500819457', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 14:57:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:57:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1571745533478338562', 'GET', '{"id":["1571745533478338562"]}', '35', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571755290146742274', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 14:57:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:57:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571755291509891073', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 14:57:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:57:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '9', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571694475192414210', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 10:55:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 10:55:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["10000"],"current":["1"]}', '468', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571744586790363137', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 14:14:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:14:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '657', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571744588140929025', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 14:14:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:14:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '25', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571744667820122114', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 14:15:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:15:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":["1"]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571744671615967233', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 14:15:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:15:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '87', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571745410006384641', '0', 'tofly-flow', 'lz', TO_DATE('2022-09-19 14:18:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:18:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/saveTeamAll', 'POST', '{}', '375', NULL, '### Error updating database.  Cause: java.sql.SQLDataException: ORA-01438: 值大于为此列指定的允许精度

### The error may exist in com/tofly/workflow/baseconf/mapper/TfBuildUnitPMapper.java (best guess)
### The error may involve com.tofly.workflow.baseconf.mapper.TfBuildUnitPMapper.insert-Inline
### The error occurred while setting parameters
### SQL: INSERT INTO TF_BUILD_UNIT_P  ( id, tenant_id, order_number, dept_id, team_type,  remark, CREATE_USER,  CREATE_TIME, UPDATE_USER,  UPDATE_TIME )  VALUES  ( ?, ?, ?, ?, ?,  ?, ?,  ?, ?,  ? )
### Cause: java.sql.SQLDataException: ORA-01438: 值大于为此列指定的允许精度

; ORA-01438: 值大于为此列指定的允许精度
; nested exception is java.sql.SQLDataException: ORA-01438: 值大于为此列指定的允许精度', 'content:新增施工班组相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571749103749681154', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-19 14:32:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:32:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '415', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571769097732595713', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 15:52:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:52:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl', 'POST', '{}', '88', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571769099376762881', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 15:52:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:52:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571769114648223746', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 15:52:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:52:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571769115549999106', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 15:52:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:52:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571769132218163202', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 15:52:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:52:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1571763657271414785', 'GET', '{"id":["1571763657271414785"]}', '56', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571769133484843010', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 15:52:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:52:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571769136538296322', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 15:52:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:52:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571769160257085442', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 15:52:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:52:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1570698804578582529', 'GET', '{"id":["1570698804578582529"]}', '106', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571769163583168514', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 15:52:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:52:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571769164950511617', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 15:52:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:52:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571769276204425217', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 15:52:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:52:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl', 'POST', '{}', '154', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571769277051674626', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 15:52:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:52:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571769288455987202', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 15:52:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:52:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1570698804578582529', 'GET', '{"id":["1570698804578582529"]}', '109', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571769289986908162', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 15:52:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:52:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571769293749198849', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 15:52:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:52:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571769350246473730', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 15:53:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:53:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1570698804578582529', 'GET', '{"id":["1570698804578582529"]}', '101', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571769351148249089', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 15:53:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:53:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571769352490426370', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 15:53:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:53:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571769549664657410', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 15:53:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:53:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl', 'POST', '{}', '40', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571769551581454338', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 15:53:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:53:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571769565418463233', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 15:54:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:54:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1570698804578582529', 'GET', '{"id":["1570698804578582529"]}', '100', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571769566647394306', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 15:54:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:54:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571769567691776002', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 15:54:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:54:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571769650378285058', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 15:54:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:54:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl', 'POST', '{}', '40', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571769652781621250', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 15:54:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:54:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571769672805228546', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 15:54:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:54:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1570698804578582529', 'GET', '{"id":["1570698804578582529"]}', '103', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571769674856243202', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 15:54:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:54:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571769678262018049', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 15:54:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:54:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571769758230618113', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 15:54:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:54:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl', 'POST', '{}', '38', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571769758947844098', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 15:54:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:54:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571769765310603265', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 15:54:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 15:54:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1570698804578582529', 'GET', '{"id":["1570698804578582529"]}', '102', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571705191509118978', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 11:38:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 11:38:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '17', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571705215471177729', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 11:38:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 11:38:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '23', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571705215773167617', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 11:38:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 11:38:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '28', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571705222580523010', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 11:38:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 11:38:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1569660763252559873', 'GET', '{"id":["1569660763252559873"]}', '44', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571705223016730626', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 11:38:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 11:38:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571705223339692033', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 11:38:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 11:38:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571705224476348417', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 11:38:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 11:38:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571705476847620098', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 11:39:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 11:39:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '22', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571705477128638466', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 11:39:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 11:39:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '20', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571705506711064577', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 11:39:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 11:39:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1569660763252559873', 'GET', '{"id":["1569660763252559873"]}', '43', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571705507214381057', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 11:39:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 11:39:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571705507440873474', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 11:39:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 11:39:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571705508489449474', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 11:39:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 11:39:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571705706670313474', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 11:40:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 11:40:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfreportentryp', 'PUT', '{}', '3', NULL, NULL, 'content:修改开工报告条目', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571705724861009922', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 11:40:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 11:40:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfreportentryp/page', 'GET', '{"name":[""],"current":["1"],"size":["30"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571706005367672834', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 11:41:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 11:41:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfreportentryp', 'PUT', '{}', '4', NULL, NULL, 'content:修改开工报告条目', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571706015106846722', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 11:41:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 11:41:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfreportentryp/page', 'GET', '{"name":[""],"current":["1"],"size":["30"]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571706482146791426', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 11:43:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 11:43:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfreportentryp/1571671234600001537', 'DELETE', '{"0":["1571671234600001537"]}', '5', NULL, NULL, 'content:通过id删除开工报告条目', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571706482486530050', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 11:43:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 11:43:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfreportentryp/page', 'GET', '{"name":[""],"current":["1"],"size":["30"]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571706490820612097', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 11:43:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 11:43:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfreportentryp/1571671180896133122', 'DELETE', '{"0":["1571671180896133122"]}', '14', NULL, NULL, 'content:通过id删除开工报告条目', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571706491072270337', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 11:43:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 11:43:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfreportentryp/page', 'GET', '{"name":[""],"current":["1"],"size":["30"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571706501318955010', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 11:43:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 11:43:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfreportentryp/1571531036205539329', 'DELETE', '{"0":["1571531036205539329"]}', '5', NULL, NULL, 'content:通过id删除开工报告条目', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571706501553836033', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 11:43:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 11:43:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfreportentryp/page', 'GET', '{"name":[""],"current":["1"],"size":["30"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571707328242765826', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 11:46:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 11:46:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["10000"],"current":["1"]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571738511311753217', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 13:50:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 13:50:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '18', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571738511538245634', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 13:50:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 13:50:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571738516051316737', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 13:50:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 13:50:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571738516227477505', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 13:50:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 13:50:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571738521923342338', '1', 'tofly-flow', 'test', TO_DATE('2022-09-19 13:50:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 13:50:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1570698804578582529', 'GET', '{"id":["1570698804578582529"]}', '62', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571738570883452929', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 13:50:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 13:50:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '7', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571738600126140417', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 13:50:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 13:50:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571738675808161794', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-19 13:51:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 13:51:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"key":[""]}', '27', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571745508673191938', '0', 'tofly-flow', 'lz', TO_DATE('2022-09-19 14:18:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:18:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/saveTeamAll', 'POST', '{}', '153', NULL, '### Error updating database.  Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-01400: 无法将 NULL 插入 ("TF_ZMRQ_LC"."TF_CONSTRUCTION_TEAM_P"."ORDER_NUMBER")

### The error may exist in com/tofly/workflow/baseconf/mapper/TfConstructionTeamPMapper.java (best guess)
### The error may involve com.tofly.workflow.baseconf.mapper.TfConstructionTeamPMapper.insert-Inline
### The error occurred while setting parameters
### SQL: INSERT INTO TF_CONSTRUCTION_TEAM_P  ( id,  build_unit_id, name,   CREATE_USER, CREATE_TIME, UPDATE_USER, UPDATE_TIME )  VALUES  ( ?,  ?, ?,   ?, ?, ?, ? )
### Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-01400: 无法将 NULL 插入 ("TF_ZMRQ_LC"."TF_CONSTRUCTION_TEAM_P"."ORDER_NUMBER")

; ORA-01400: 无法将 NULL 插入 ("TF_ZMRQ_LC"."TF_CONSTRUCTION_TEAM_P"."ORDER_NUMBER")
; nested exception is java.sql.SQLIntegrityConstraintViolationException: ORA-01400: 无法将 NULL 插入 ("TF_ZMRQ_LC"."TF_CONSTRUCTION_TEAM_P"."ORDER_NUMBER")', 'content:新增施工班组相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571746161348837377', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 14:21:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:21:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["10000"],"current":["1"]}', '19', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571746297474973697', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-19 14:21:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:21:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["10000"],"current":["1"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571746630855032833', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 14:22:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:22:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":["1"]}', '4', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1571746632197210114', '1', 'tofly-flow', 'll', TO_DATE('2022-09-19 14:22:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-19 14:22:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '8', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572479199129219074', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-21 14:53:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 14:53:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '9', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572479204489539585', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-21 14:53:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 14:53:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572479266875617282', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-21 14:54:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 14:54:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '7', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572479271669706754', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-21 14:54:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 14:54:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '11', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572761706324512769', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-22 09:36:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 09:36:25', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessconfigl/page', 'GET', '{"hitCount":[""],"optimizeCountSql":[""],"records":[""],"isValid":[""],"searchCount":[""],"content":[""],"current":[""],"total":[""],"size":[""],"orders[0].asc":[""],"tenantId":[""],"orders[0].column":[""],"processType":[""],"businessType":[""],"isDel":[""],"isMould":[""]}', '540', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572763151488733186', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-22 09:42:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 09:42:10', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{}', '9659', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572794662631514114', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 11:47:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 11:47:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '17', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572794662916726785', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 11:47:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 11:47:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572794672400048130', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 11:47:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 11:47:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572786304281247746', 'GET', '{"id":["1572786304281247746"]}', '27', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572794672836255746', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 11:47:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 11:47:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572794673033388034', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 11:47:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 11:47:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572794675633856513', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 11:47:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 11:47:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572794837785649154', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 11:48:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 11:48:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568483117915193345"],"isMould":["0"]}', '7', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572794855263313921', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 11:48:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 11:48:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '146', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572794961517617153', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 11:48:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 11:48:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572794961752498178', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 11:48:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 11:48:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572794968421441538', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 11:48:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 11:48:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572786304281247746', 'GET', '{"id":["1572786304281247746"]}', '24', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572794968878620674', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 11:48:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 11:48:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572794969088335874', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 11:48:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 11:48:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572794971600723970', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 11:48:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 11:48:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572796126498136065', '1', 'tofly-flow', 'hq', TO_DATE('2022-09-22 11:53:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 11:53:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572796126506524674', '1', 'tofly-flow', 'hq', TO_DATE('2022-09-22 11:53:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 11:53:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '2', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572796136652546049', '1', 'tofly-flow', 'hq', TO_DATE('2022-09-22 11:53:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 11:53:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '17', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572796136887427074', '1', 'tofly-flow', 'hq', TO_DATE('2022-09-22 11:53:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 11:53:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572796156890062850', '1', 'tofly-flow', 'hq', TO_DATE('2022-09-22 11:53:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 11:53:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572796157108166657', '1', 'tofly-flow', 'hq', TO_DATE('2022-09-22 11:53:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 11:53:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572796169363922945', '1', 'tofly-flow', 'hq', TO_DATE('2022-09-22 11:53:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 11:53:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572796169565249537', '1', 'tofly-flow', 'hq', TO_DATE('2022-09-22 11:53:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 11:53:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572796861193396225', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-22 11:56:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 11:56:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572797851531485185', '1', 'tofly-flow', 'hq', TO_DATE('2022-09-22 12:00:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 12:00:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572797851791532034', '1', 'tofly-flow', 'hq', TO_DATE('2022-09-22 12:00:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 12:00:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572797854433943553', '1', 'tofly-flow', 'hq', TO_DATE('2022-09-22 12:00:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 12:00:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572822602924695554', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-22 13:38:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 13:38:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572822616870756354', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-22 13:38:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 13:38:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '69', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572822621396410370', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-22 13:38:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 13:38:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '1', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572822627478151169', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-22 13:38:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 13:38:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '18', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572822631257219074', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-22 13:38:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 13:38:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"typeName":[""],"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572822649338863618', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-22 13:38:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 13:38:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfreportentryp/page', 'GET', '{"name":[""],"current":["1"],"size":["30"]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572822739268935681', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-22 13:38:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 13:38:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '64', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572121735309373442', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 15:13:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 15:13:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572121735544254465', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 15:13:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 15:13:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572121738123751426', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 15:13:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 15:13:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572121925869187073', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-20 15:14:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 15:14:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/page', 'GET', '{"tenantId":["1"],"current":["1"],"size":["10000"],"isDel":["0"]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572122072015515650', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 15:14:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 15:14:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572122080328626177', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 15:14:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 15:14:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572122108656955394', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 15:14:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 15:14:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572122126558244865', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 15:14:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 15:14:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"id":["1572063395757809666"]}', '30', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572122149119406081', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 15:15:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 15:15:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572070112260382722', 'GET', '{"id":["1572070112260382722"]}', '33', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572122175648378881', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 15:15:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 15:15:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"id":["1572063395757809666"]}', '35', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572122717539872770', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 15:17:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 15:17:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572122805376987137', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 15:17:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 15:17:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '21', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572122825853579266', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 15:17:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 15:17:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572122845189320705', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 15:17:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 15:17:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp', 'PUT', '{}', '15', NULL, NULL, 'content:修改物资信息表', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572122845751357441', '0', 'tofly-flow', 'lz', TO_DATE('2022-09-20 15:17:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 15:17:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '83', NULL, 'nested exception is org.apache.ibatis.exceptions.TooManyResultsException: Expected one result (or null) to be returned by selectOne(), but found: 2', 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572122977418948609', '0', 'tofly-flow', 'lz', TO_DATE('2022-09-20 15:18:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 15:18:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '83', NULL, 'nested exception is org.apache.ibatis.exceptions.TooManyResultsException: Expected one result (or null) to be returned by selectOne(), but found: 2', 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572123046192951298', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 15:18:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 15:18:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572123046792736770', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 15:18:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 15:18:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572123050701828097', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 15:18:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 15:18:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572123051481968641', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 15:18:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 15:18:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572123052241137666', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 15:18:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 15:18:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572123059837022209', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 15:18:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 15:18:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572070112260382722', 'GET', '{"id":["1572070112260382722"]}', '31', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572123060730408961', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 15:18:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 15:18:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572123061120479234', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 15:18:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 15:18:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572123063402180610', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 15:18:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 15:18:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572125540969164802', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 15:28:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 15:28:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572125754044002305', '2', 'tofly-auth', 'rq', TO_DATE('2022-09-20 15:29:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 15:29:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/638844ca-6c48-4d2a-98e3-d378ec654ba7', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572127860930990081', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 15:37:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 15:37:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572128052031868929', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 15:38:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 15:38:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '36', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572128070914625537', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 15:38:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 15:38:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572139606647275521', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-20 16:24:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 16:24:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/91f66aff-1f3c-481c-87fe-6e0a8630b5db', 'DELETE', '{}', '1', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572140940075237378', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 16:29:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 16:29:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572070112260382722', 'DELETE', '{"id":["1572070112260382722"]}', '3', NULL, NULL, 'content:通过id删除审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572140940343672834', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 16:29:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 16:29:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572140948593868802', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 16:29:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 16:29:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"id":["1572063395757809666"]}', '28', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572140949038465025', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 16:29:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 16:29:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572140949248180226', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 16:29:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 16:29:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572140951081091073', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 16:29:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 16:29:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572140978352455681', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 16:29:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 16:29:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '124', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572140978855772162', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 16:29:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 16:29:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572107025138667522', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 14:14:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 14:14:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '450', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572415639745249281', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 10:41:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 10:41:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp', 'POST', '{}', '10', NULL, NULL, 'content:新增工程工序/工程管控', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572415640114348033', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 10:41:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 10:41:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '30', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572416465838587906', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 10:44:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 10:44:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '30', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572417366498263042', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-21 10:48:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 10:48:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/removeByNatureAndTenantId', 'DELETE', '{"tenantId":["1"],"nature":["1"]}', '4', NULL, NULL, 'content:通过tenantId和nature删除工程工序/工程管控', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572418035682689026', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 10:50:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 10:50:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572418063729999873', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 10:50:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 10:50:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/removeByNatureAndTenantId', 'DELETE', '{"tenantId":["1"],"nature":["1"]}', '3', NULL, NULL, 'content:通过tenantId和nature删除工程工序/工程管控', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572418064132653058', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 10:50:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 10:50:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '28', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572418086714785794', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 10:51:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 10:51:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '27', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572418098727272449', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 10:51:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 10:51:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572419964886417409', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 10:58:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 10:58:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572420001251033089', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 10:58:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 10:58:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp', 'POST', '{}', '9', NULL, NULL, 'content:新增工程工序/工程管控', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572420001674657794', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 10:58:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 10:58:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '37', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572420007555072002', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 10:58:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 10:58:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572420025439584257', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 10:58:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 10:58:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/removeByNatureAndTenantId', 'POST', '{"tenantId":["1569602913205559300"],"nature":["1"]}', '5', NULL, NULL, 'content:通过tenantId和nature删除工程工序/工程管控', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572420025825460226', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 10:58:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 10:58:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '37', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572420034134376449', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 10:58:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 10:58:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572420054166372353', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 10:58:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 10:58:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '38', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572420065100922881', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 10:58:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 10:58:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572420081823612930', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 10:58:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 10:58:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572420120272797697', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 10:59:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 10:59:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp', 'POST', '{}', '7', NULL, NULL, 'content:新增工程工序/工程管控', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572420120704811009', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 10:59:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 10:59:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '41', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572420131026993153', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 10:59:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 10:59:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572420257854357505', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-21 10:59:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 10:59:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"nature":[""],"updateUser":[""],"remark":[""],"updateTime":[""],"posts":[""],"createTime":[""],"processId":[""],"tenantId":[""],"createUser":[""],"id":[""],"isForce":[""],"isDel":[""]}', '31', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572420387621928962', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 11:00:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 11:00:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572420401001758722', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 11:00:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 11:00:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp', 'POST', '{}', '7', NULL, NULL, 'content:新增工程工序/工程管控', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572420401387634689', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 11:00:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 11:00:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '30', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572420424313700354', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 11:00:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 11:00:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/removeByNatureAndTenantId', 'POST', '{"tenantId":["1"],"nature":["1"]}', '3', NULL, NULL, 'content:通过tenantId和nature删除工程工序/工程管控', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572420424670216193', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 11:00:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 11:00:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '27', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572420441430654977', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 11:00:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 11:00:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572420466852331521', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 11:00:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 11:00:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572420501300150273', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 11:00:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 11:00:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/removeByNatureAndTenantId', 'POST', '{"tenantId":["1569602913205559300"],"nature":["2"]}', '3', NULL, NULL, 'content:通过tenantId和nature删除工程工序/工程管控', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572420501673443330', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 11:00:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 11:00:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '28', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572420506140377089', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-21 11:00:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 11:00:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/removeByNatureAndTenantId', 'POST', '{"tenantId":["1"],"nature":["2"]}', '3', NULL, NULL, 'content:通过tenantId和nature删除工程工序/工程管控', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572420537576685570', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 11:00:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 11:00:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572420542530158594', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-21 11:00:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 11:00:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"nature":[""],"updateUser":[""],"remark":[""],"updateTime":[""],"posts":[""],"createTime":[""],"processId":[""],"tenantId":[""],"createUser":[""],"id":[""],"isForce":[""],"isDel":[""]}', '26', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572420553884139522', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-21 11:00:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 11:00:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"nature":[""],"updateUser":[""],"remark":[""],"updateTime":[""],"posts":[""],"createTime":[""],"processId":[""],"tenantId":[""],"createUser":[""],"id":[""],"isForce":[""],"isDel":[""]}', '23', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572420564629946370', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-21 11:00:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 11:00:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/removeByNatureAndTenantId', 'POST', '{"tenantId":["1"],"nature":["2"]}', '2', NULL, NULL, 'content:通过tenantId和nature删除工程工序/工程管控', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572420573286989826', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-21 11:00:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 11:00:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/removeByNatureAndTenantId', 'POST', '{"tenantId":["1"],"nature":["2"]}', '3', NULL, NULL, 'content:通过tenantId和nature删除工程工序/工程管控', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572107025138667523', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 14:14:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 14:14:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '532', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572107026573119490', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 14:14:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 14:14:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '21', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572107026686365697', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 14:14:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 14:14:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '20', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572419779254910977', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 10:57:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 10:57:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572419799697948673', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 10:57:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 10:57:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/removeByNatureAndTenantId', 'POST', '{"tenantId":["1569602913205559300"],"nature":["1"]}', '4', NULL, NULL, 'content:通过tenantId和nature删除工程工序/工程管控', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572419800096407554', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 10:57:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 10:57:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '40', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572419814562562049', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 10:57:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 10:57:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572419927737466881', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 10:58:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 10:58:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572419937208205314', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 10:58:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 10:58:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp', 'POST', '{}', '18', NULL, NULL, 'content:新增工程工序/工程管控', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572419937619247105', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 10:58:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 10:58:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '39', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572419954220302338', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 10:58:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 10:58:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572420782096220161', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 11:01:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 11:01:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572421370942947329', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 11:04:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 11:04:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '24', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572421891489566722', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-21 11:06:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 11:06:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '506', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572421892521365505', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-21 11:06:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 11:06:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '28', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572421893079207937', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-21 11:06:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 11:06:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '31', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572421893548969985', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-21 11:06:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 11:06:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '21', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572421894144561154', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-21 11:06:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 11:06:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '21', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572421899651682305', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-21 11:06:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 11:06:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '20', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572421900343742465', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-21 11:06:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 11:06:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '27', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572421914591793154', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-21 11:06:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 11:06:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '279', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572421916164657154', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-21 11:06:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 11:06:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572421916529561602', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-21 11:06:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 11:06:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572421924108668930', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-21 11:06:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 11:06:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '36', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572423069048893441', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 11:10:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 11:10:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572424754005667842', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 11:17:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 11:17:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '138', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572424760397787138', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 11:17:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 11:17:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '22', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572424772175392770', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 11:17:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 11:17:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572424779393789953', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 11:17:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 11:17:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"id":["1572063395757809666"]}', '46', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572425022105579521', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 11:18:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 11:18:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '30', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572425041139331074', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 11:18:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 11:18:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '31', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572425277555470337', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-21 11:19:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 11:19:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572425323244023810', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-21 11:19:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 11:19:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '31', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572425379879710722', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-21 11:19:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 11:19:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572425439312998402', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 11:20:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 11:20:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572425472716435457', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 11:20:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 11:20:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp', 'POST', '{}', '18', NULL, NULL, 'content:新增工程工序/工程管控', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572425473110700033', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 11:20:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 11:20:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '25', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572425490106019841', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-21 11:20:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 11:20:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["10000"],"current":["1"]}', '26', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572429303806423042', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-21 11:35:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 11:35:35', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"nature":[""],"updateUser":[""],"remark":[""],"updateTime":[""],"posts":[""],"createTime":[""],"processId":[""],"tenantId":[""],"createUser":[""],"id":[""],"isForce":[""],"isDel":[""]}', '291', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572462455777918978', '1', 'tofly-flow', 'hq', TO_DATE('2022-09-21 13:47:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 13:47:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '103', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572462466062352386', '1', 'tofly-flow', 'hq', TO_DATE('2022-09-21 13:47:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 13:47:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572822746780934145', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-22 13:38:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 13:38:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572822754611699713', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-22 13:39:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 13:39:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '58', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572824485814870018', '2', 'tofly-auth', 'administrator', TO_DATE('2022-09-22 13:45:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 13:45:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/c6cfaec3-d4e4-4f28-a3ef-0f7c7b7cdc78', 'DELETE', '{}', '1', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572824647052304385', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-22 13:46:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 13:46:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572824655608684545', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-22 13:46:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 13:46:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '63', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572824661342298114', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-22 13:46:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 13:46:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '1', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572824689850982402', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-22 13:46:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 13:46:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["30"],"current":["1"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572824711615225857', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-22 13:46:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 13:46:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '2', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572824715348156417', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-22 13:46:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 13:46:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '68', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572824722298118145', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-22 13:46:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 13:46:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '2', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572824727847182337', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-22 13:46:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 13:46:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"typeName":[""],"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572824841986777090', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 13:47:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 13:47:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568483117915193345"],"isMould":["0"]}', '7', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572824871367876610', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 13:47:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 13:47:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572786304281247746', 'GET', '{"id":["1572786304281247746"]}', '27', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572825210938728449', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-22 13:48:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 13:48:46', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/tfprocessl/1569616564261691393', 'GET', '{}', '34', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572825316287062018', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-22 13:49:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 13:49:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '71', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572825322914062337', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-22 13:49:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 13:49:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfreportentryp/page', 'GET', '{"name":[""],"current":["1"],"size":["30"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572825347714981890', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-22 13:49:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 13:49:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572826575719112705', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-22 13:54:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 13:54:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572826585311485954', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-22 13:54:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 13:54:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '2', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572826595453313025', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-22 13:54:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 13:54:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '72', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572827049297977345', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 13:56:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 13:56:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572786304281247746', 'GET', '{"id":["1572786304281247746"]}', '28', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572827105635868673', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-22 13:56:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 13:56:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568483117915193345"],"isMould":["0"]}', '9', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572827123977560066', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-22 13:56:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 13:56:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '143', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572827274603405313', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-22 13:56:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 13:56:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568483117915193345"],"isMould":["0"]}', '9', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572827584784769025', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 13:58:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 13:58:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '151', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572828055175962626', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-22 14:00:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 14:00:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572828077196058626', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-22 14:00:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 14:00:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '63', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572828440762523649', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-22 14:01:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 14:01:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568483117915193345"],"isMould":["0"]}', '7', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572828476137283586', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-22 14:01:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 14:01:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568483117915193345"],"isMould":["0"]}', '8', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572828734611267586', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-22 14:02:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 14:02:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568483117915193345"],"isMould":["0"]}', '7', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572828776642387969', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 14:02:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 14:02:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568483117915193345"],"isMould":["0"]}', '9', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572828796879904770', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 14:03:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 14:03:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572786304281247746', 'GET', '{"id":["1572786304281247746"]}', '26', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572828842392297473', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-22 14:03:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 14:03:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572828842467794946', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-22 14:03:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 14:03:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572828849392590850', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-22 14:03:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 14:03:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '19', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572828849593917441', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-22 14:03:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 14:03:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572828883882352641', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-22 14:03:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 14:03:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572786304281247746', 'GET', '{"id":["1572786304281247746"]}', '25', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572828884406640642', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-22 14:03:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 14:03:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572140979052904449', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 16:29:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 16:29:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572140981288468482', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 16:29:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 16:29:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572141272876482562', '1', 'tofly-flow', 'hq', TO_DATE('2022-09-20 16:31:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 16:31:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"key":[""]}', '74', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572148099768918018', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 16:58:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 16:58:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '247', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572149964757803009', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-20 17:05:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:05:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/page', 'GET', '{"tenantId":["1"],"current":["1"],"size":["10000"],"isDel":["0"]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572151100940230657', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-20 17:10:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:10:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/page', 'GET', '{"tenantId":["1"],"current":["1"],"size":["10000"],"isDel":["0"]}', '2', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572151270004236290', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-20 17:10:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:10:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/page', 'GET', '{"tenantId":["1"],"current":["1"],"size":["10000"],"isDel":["0"]}', '1', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572151460073316354', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-20 17:11:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:11:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572151464460558338', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-20 17:11:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:11:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572151586405752833', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-20 17:12:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:12:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572152526168924161', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 17:15:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:15:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572152534951796738', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 17:15:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:15:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"id":["1572063395757809666"]}', '34', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572153748410081281', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-20 17:20:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:20:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/page', 'GET', '{"tenantId":["1"],"current":["1"],"size":["10000"],"isDel":["0"]}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572154227630284801', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 17:22:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:22:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"id":["1572063395757809666"]}', '28', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572154277974515713', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 17:22:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:22:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"id":["1572063395757809666"]}', '26', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572154568996298753', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 17:23:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:23:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"key":[""]}', '88', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572154574121738241', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 17:23:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:23:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572154577573650433', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 17:23:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:23:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["30"],"key":[""],"dataType":["1570692286170427394"]}', '51', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572154583177240577', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 17:23:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:23:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572154591276441601', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 17:23:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:23:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '62', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572157799373742082', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-20 17:36:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:36:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/page', 'GET', '{"tenantId":["1"],"current":["1"],"size":["10000"],"isDel":["0"]}', '2', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572157996208234498', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 17:37:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:37:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"id":["1572063395757809666"]}', '32', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572158039564754945', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-20 17:37:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:37:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572158045029933058', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-20 17:37:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:37:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572159028027990018', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-20 17:41:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:41:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572159032188739586', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-20 17:41:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:41:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '2', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572159036211077121', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-20 17:41:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:41:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/page', 'GET', '{"tenantId":["1"],"current":["1"],"size":["10000"],"isDel":["0"]}', '2', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572161001393582082', '2', 'tofly-auth', 'hq', TO_DATE('2022-09-20 17:49:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:49:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/2cb886a4-77c8-4f20-80e3-0ca82fe53a29', 'DELETE', '{}', '16', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572162417088622594', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 17:55:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:55:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl', 'POST', '{}', '27', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572162417495470081', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 17:55:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:55:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572162426836185089', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 17:55:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:55:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572157726111834113', 'GET', '{"id":["1572157726111834113"]}', '36', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572162427373056001', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 17:55:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:55:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572162427599548418', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 17:55:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:55:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572162429445042178', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 17:55:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:55:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572162463599259649', '0', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 17:55:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:55:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl', 'POST', '{}', '166', NULL, 'com.tofly.workflow.processconfig.mapper.TfProcessConfigStepLMapper.insert (batch index #1) failed. Cause: java.sql.BatchUpdateException: ORA-01438: 值大于为此列指定的允许精度

; ORA-01438: 值大于为此列指定的允许精度
; nested exception is java.sql.BatchUpdateException: ORA-01438: 值大于为此列指定的允许精度', 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572162474441535490', '0', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 17:55:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:55:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl', 'POST', '{}', '94', NULL, 'com.tofly.workflow.processconfig.mapper.TfProcessConfigStepLMapper.insert (batch index #1) failed. Cause: java.sql.BatchUpdateException: ORA-01438: 值大于为此列指定的允许精度

; ORA-01438: 值大于为此列指定的允许精度
; nested exception is java.sql.BatchUpdateException: ORA-01438: 值大于为此列指定的允许精度', 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572162517697392642', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 17:55:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:55:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl', 'POST', '{}', '23', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572162518095851521', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 17:55:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:55:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572071832042434561', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 11:55:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:55:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572071832361201665', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 11:55:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:55:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572071844520488961', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 11:55:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:55:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1570698804578582529', 'GET', '{"id":["1570698804578582529"]}', '88', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572071845854277633', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 11:55:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:55:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572071847867543553', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 11:55:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:55:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572071877579993090', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-20 11:55:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:55:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["10000"],"current":["1"]}', '22', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572072152747307010', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 11:56:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:56:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572420581675597826', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-21 11:00:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 11:00:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"nature":[""],"updateUser":[""],"remark":[""],"updateTime":[""],"posts":[""],"createTime":[""],"processId":[""],"tenantId":[""],"createUser":[""],"id":[""],"isForce":[""],"isDel":[""]}', '27', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572420584414478338', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-21 11:00:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 11:00:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"nature":[""],"updateUser":[""],"remark":[""],"updateTime":[""],"posts":[""],"createTime":[""],"processId":[""],"tenantId":[""],"createUser":[""],"id":[""],"isForce":[""],"isDel":[""]}', '23', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572420587363074049', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-21 11:00:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 11:00:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"nature":[""],"updateUser":[""],"remark":[""],"updateTime":[""],"posts":[""],"createTime":[""],"processId":[""],"tenantId":[""],"createUser":[""],"id":[""],"isForce":[""],"isDel":[""]}', '24', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572420763494481922', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 11:01:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 11:01:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '23', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572421384926756865', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 11:04:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 11:04:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572421397354479618', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 11:04:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 11:04:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572421409543127042', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 11:04:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 11:04:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572428464534450177', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 11:32:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 11:32:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572428499150041090', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 11:32:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 11:32:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp', 'POST', '{}', '7', NULL, NULL, 'content:新增工程工序/工程管控', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572428499464613889', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 11:32:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 11:32:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '18', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572469868472041473', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-21 14:16:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 14:16:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572469874960629762', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-21 14:16:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 14:16:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '56', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572470358547103746', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 14:18:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 14:18:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '69', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572470384883138561', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 14:18:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 14:18:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '69', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572470395549253633', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 14:18:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 14:18:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/1572142535370461186', 'GET', '{"0":["1572142535370461186"]}', '24', NULL, NULL, 'content:通过id查询施工组织单位', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572470633886384129', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 14:19:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 14:19:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '65', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572470645710127105', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 14:19:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 14:19:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/1572142535370461186', 'GET', '{"0":["1572142535370461186"]}', '14', NULL, NULL, 'content:通过id查询施工组织单位', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572470676425015297', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 14:19:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 14:19:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/1572131129849921537', 'GET', '{"0":["1572131129849921537"]}', '18', NULL, NULL, 'content:通过id查询施工组织单位', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572470771400835074', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 14:20:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 14:20:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '64', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572470798919663618', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-21 14:20:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 14:20:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/page', 'GET', '{"tenantId":["1"],"current":["1"],"size":["10000"],"isDel":["0"]}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572472062860591106', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 14:25:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 14:25:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl', 'POST', '{}', '28', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572472063489736705', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 14:25:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 14:25:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572472072301969409', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 14:25:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 14:25:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572472077221888001', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 14:25:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 14:25:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"id":["1572063395757809666"]}', '33', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572472450909208577', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 14:27:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 14:27:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572472805600526337', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 14:28:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 14:28:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"id":["1572063395757809666"]}', '29', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572474818396684290', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 14:36:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 14:36:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572474827976474625', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 14:36:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 14:36:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"id":["1572063395757809666"]}', '30', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572474927104655362', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 14:36:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 14:36:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572474938399916034', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 14:36:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 14:36:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"id":["1572063395757809666"]}', '28', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572475262254710786', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-21 14:38:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 14:38:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572475274040705026', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-21 14:38:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 14:38:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572469899652497410', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-21 14:16:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 14:16:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/page', 'GET', '{"tenantId":["1"],"current":["1"],"size":["10000"],"isDel":["0"]}', '17', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572470799024521218', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 14:20:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 14:20:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572470799133573121', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-21 14:20:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 14:20:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1570739116476383234', 'GET', '{}', '62', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572470799347482626', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 14:20:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 14:20:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572470808570757122', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 14:20:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 14:20:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"id":["1572063395757809666"]}', '34', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572470809011159042', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 14:20:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 14:20:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572470809212485634', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 14:20:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 14:20:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572470811024424961', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 14:20:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 14:20:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572471121323229185', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 14:21:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 14:21:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"id":["1572063395757809666"]}', '31', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572471121763631105', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 14:21:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 14:21:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572471121964957698', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 14:21:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 14:21:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572471123693010945', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 14:21:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 14:21:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572471812037017601', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 14:24:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 14:24:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '69', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572471863748591617', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 14:24:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 14:24:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl', 'POST', '{}', '202', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572471864138661890', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 14:24:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 14:24:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572471871436750850', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 14:24:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 14:24:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"id":["1572063395757809666"]}', '36', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572471871860375553', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 14:24:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 14:24:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572471872053313537', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 14:24:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 14:24:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572471873752006658', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 14:24:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 14:24:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572479421553565697', '0', 'tofly-flow', 'admin', TO_DATE('2022-09-21 14:54:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 14:54:44', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessconfigl/stepConfig', 'POST', '{}', '191', NULL, 'nested exception is org.apache.ibatis.executor.ExecutorException: A query was run and no Result Maps were found for the Mapped Statement ''com.tofly.workflow.processconfig.mapper.TfProcessConfigLMapper.getStepConfig''.  It''s likely that neither a Result Type nor a Result Map was specified.', 'content:根据标签、页面和app控件获取步骤和节点', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572480379012505601', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-21 14:58:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 14:58:32', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessconfigl/stepConfig', 'POST', '{}', '541', NULL, NULL, 'content:根据标签、页面和app控件获取步骤和节点', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572481795172708354', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 15:04:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 15:04:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"id":["1572063395757809666"]}', '337', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572482371855953922', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 15:06:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 15:06:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '213', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572482372271190018', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 15:06:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 15:06:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '31', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572482379506364417', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 15:06:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 15:06:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"id":["1572063395757809666"]}', '56', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572482380231979009', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 15:06:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 15:06:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572482380492025858', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 15:06:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 15:06:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572482384774410241', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 15:06:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 15:06:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '35', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572482756532350977', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 15:07:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 15:07:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl', 'POST', '{}', '35', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572482756935004161', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 15:07:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 15:07:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572482769475973121', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 15:08:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 15:08:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572482773317955586', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 15:08:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 15:08:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"id":["1572063395757809666"]}', '41', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572493639765499906', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-21 15:51:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 15:51:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '414', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572493641799737346', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-21 15:51:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 15:51:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"name":[""],"current":["1"],"size":["30"]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572493840458752002', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-21 15:52:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 15:52:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp', 'POST', '{}', '15', NULL, NULL, 'content:新增工序管理（工序名称）/工程管控管理', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572493840785907713', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-21 15:52:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 15:52:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572493872373211138', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-21 15:52:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 15:52:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp', 'POST', '{}', '12', NULL, NULL, 'content:新增工序管理（工序名称）/工程管控管理', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572493872704561154', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-21 15:52:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 15:52:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572493939880534017', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-21 15:52:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 15:52:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp', 'POST', '{}', '5', NULL, NULL, 'content:新增工序管理（工序名称）/工程管控管理', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572493940157358082', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-21 15:52:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 15:52:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572493974689062913', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-21 15:52:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 15:52:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp', 'POST', '{}', '4', NULL, NULL, 'content:新增工序管理（工序名称）/工程管控管理', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572828884603772929', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-22 14:03:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 14:03:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572828887212630018', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-22 14:03:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 14:03:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572829006318280705', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-22 14:03:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 14:03:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl', 'POST', '{}', '31', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572829006809014273', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-22 14:03:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 14:03:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572829025784045569', '2', 'tofly-auth', 'lz', TO_DATE('2022-09-22 14:03:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 14:03:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/09ee8d2a-bf3e-482a-8615-d80bc92bc29e', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572829143178420225', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-22 14:04:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 14:04:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568483117915193345"],"isMould":["0"]}', '9', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572829342017789954', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-22 14:05:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 14:05:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568483117915193345"],"isMould":["0"]}', '11', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572829372128698370', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-22 14:05:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 14:05:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568483117915193345"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572829718699843585', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-22 14:06:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 14:06:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '7', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572829742850646018', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-22 14:06:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 14:06:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572786304281247746', 'GET', '{"id":["1572786304281247746"]}', '32', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572829922098421762', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-22 14:07:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 14:07:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572829922324914177', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-22 14:07:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 14:07:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572829993619693570', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-22 14:07:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 14:07:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572786304281247746', 'GET', '{"id":["1572786304281247746"]}', '26', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572829994265616386', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-22 14:07:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 14:07:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572829994504691714', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-22 14:07:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 14:07:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572829998103404546', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-22 14:07:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 14:07:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572830367508340738', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-22 14:09:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 14:09:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572830436613693441', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-22 14:09:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 14:09:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '2', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572830442645102593', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-22 14:09:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 14:09:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl', 'POST', '{}', '25', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572830443127447553', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-22 14:09:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 14:09:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572830444578676737', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-22 14:09:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 14:09:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572830485649301505', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-22 14:09:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 14:09:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1570739116476383234', 'GET', '{}', '1', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572830485678661634', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-22 14:09:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 14:09:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/page', 'GET', '{"tenantId":["1"],"current":["1"],"size":["10000"],"isDel":["0"]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572830495778545666', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-22 14:09:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 14:09:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572830520092925954', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-22 14:09:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 14:09:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572786304281247746', 'GET', '{"id":["1572786304281247746"]}', '31', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572830657183752194', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-22 14:10:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 14:10:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '63', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572830674359427073', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-22 14:10:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 14:10:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"typeName":[""],"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572830696119476225', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-22 14:10:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 14:10:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572830729036374017', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-22 14:10:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 14:10:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572830729246089218', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-22 14:10:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 14:10:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572830867192553473', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-22 14:11:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 14:11:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572831022801231874', '1', 'tofly-flow', 'll', TO_DATE('2022-09-22 14:11:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 14:11:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568483117915193345"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572831037917503490', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-22 14:11:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 14:11:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572786304281247746', 'GET', '{"id":["1572786304281247746"]}', '30', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572831042925502466', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 14:11:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 14:11:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572786304281247746', 'GET', '{"id":["1572786304281247746"]}', '27', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572831073896243202', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 14:12:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 14:12:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568483117915193345"],"isMould":["0"]}', '9', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572831090535047170', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 14:12:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 14:12:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572786304281247746', 'GET', '{"id":["1572786304281247746"]}', '24', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572831114727792642', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-22 14:12:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 14:12:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572831114950090754', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-22 14:12:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 14:12:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572831125200969729', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-22 14:12:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 14:12:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572142059635732483', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 16:34:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 16:34:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/1572055651524927489', 'GET', '{"0":["1572055651524927489"]}', '374', NULL, NULL, 'content:通过id查询施工组织单位', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572162527604338689', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 17:55:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:55:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572157726111834113', 'GET', '{"id":["1572157726111834113"]}', '34', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572162528048934913', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 17:55:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:55:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572162528241872897', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 17:55:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:55:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572162530183835649', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 17:55:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:55:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572162558541524993', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 17:55:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:55:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572157726111834113', 'GET', '{"id":["1572157726111834113"]}', '33', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572162559007092737', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 17:55:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:55:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572162559208419329', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 17:55:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:55:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572162560919695361', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 17:55:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:55:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572162568188424193', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 17:55:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:55:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl', 'POST', '{}', '24', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572162568565911553', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 17:55:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:55:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572162576002412545', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 17:55:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:55:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572157726111834113', 'GET', '{"id":["1572157726111834113"]}', '32', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572162576526700546', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 17:55:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:55:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572162576711249922', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 17:55:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:55:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572162578636435457', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 17:55:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:55:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572162689152151554', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 17:56:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:56:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl', 'POST', '{}', '22', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572162689525444609', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 17:56:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:56:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572162695955312641', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 17:56:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:56:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572157726111834113', 'GET', '{"id":["1572157726111834113"]}', '33', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572162696538320898', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 17:56:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:56:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572162696781590530', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 17:56:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:56:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572162698509643777', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 17:56:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:56:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572163030396530689', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 17:57:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:57:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl', 'POST', '{}', '21', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572163030916624386', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 17:57:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:57:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572163041922478082', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 17:57:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:57:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"id":["1572063395757809666"]}', '29', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572163042568400898', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 17:57:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:57:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572163042761338881', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 17:57:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:57:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572163044812353538', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 17:57:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:57:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572163060264169474', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 17:57:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:57:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572157726111834113', 'GET', '{"id":["1572157726111834113"]}', '30', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572163060788457474', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 17:57:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:57:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572163061040115714', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 17:57:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:57:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572163062986272769', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 17:57:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:57:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572163145328848897', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 17:57:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:57:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572157726111834113', 'GET', '{"id":["1572157726111834113"]}', '28', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572163145953800194', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 17:57:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:57:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572163146226429954', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 17:57:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:57:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572163148164198402', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 17:57:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:57:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572163332537413634', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 17:58:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:58:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl', 'POST', '{}', '25', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572163332927483906', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 17:58:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:58:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '17', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572163338606571522', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 17:58:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:58:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572157726111834113', 'GET', '{"id":["1572157726111834113"]}', '31', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572163338984058882', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 17:58:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:58:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572141127208529921', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-20 16:30:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 16:30:28', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"nature":[""],"updateUser":[""],"remark":[""],"updateTime":[""],"posts":[""],"createTime":[""],"processId":[""],"tenantId":[""],"createUser":[""],"id":[""],"isForce":[""],"isDel":[""]}', '242', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572163667888959490', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-20 18:00:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 18:00:02', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"nature":[""],"updateUser":[""],"remark":[""],"updateTime":[""],"posts":[""],"createTime":[""],"processId":[""],"tenantId":[""],"createUser":[""],"id":[""],"isForce":[""],"isDel":[""]}', '237', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572430057078124545', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-21 11:38:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 11:38:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"nature":[""],"updateUser":[""],"remark":[""],"updateTime":[""],"posts":[""],"createTime":[""],"processId":[""],"tenantId":[""],"createUser":[""],"id":[""],"isForce":[""],"isDel":[""]}', '345', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572430418031538177', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 11:40:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 11:40:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '283', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572430424666927106', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 11:40:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 11:40:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '141', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572430443570655233', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 11:40:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 11:40:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '31', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572430505130455041', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 11:40:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 11:40:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/removeByNatureAndTenantId', 'POST', '{"tenantId":["1569602913205559298"],"nature":["1"]}', '16', NULL, NULL, 'content:通过tenantId和nature删除工程工序/工程管控', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572430505461805057', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 11:40:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 11:40:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '24', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572430909092261889', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 11:41:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 11:41:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '7', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572430916864307202', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 11:41:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 11:41:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"id":["1572063395757809666"]}', '50', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572431047298772994', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 11:42:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 11:42:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '35', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572431399418982401', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 11:43:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 11:43:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{}', '28', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572431558479572994', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 11:44:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 11:44:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '19', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572431558735425537', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 11:44:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 11:44:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572431900587978754', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 11:45:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 11:45:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '7', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572431906443227138', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 11:45:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 11:45:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"id":["1572063395757809666"]}', '46', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572434594228727810', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 11:56:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 11:56:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572434605003894785', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 11:56:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 11:56:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"id":["1572063395757809666"]}', '34', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572434962673168385', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 11:58:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 11:58:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572434981220380673', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 11:58:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 11:58:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"id":["1572063395757809666"]}', '33', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572475334753255425', '2', 'tofly-auth', 'yj', TO_DATE('2022-09-21 14:38:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 14:38:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/55ea080e-71e3-4cf9-a355-393eb6d8efd9', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572475382073393154', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 14:38:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 14:38:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572475390638161922', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 14:38:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 14:38:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"id":["1572063395757809666"]}', '29', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572475433348759554', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-21 14:38:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 14:38:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572475437656309761', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-21 14:38:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 14:38:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572478987551748097', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-21 14:53:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 14:53:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '315', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572479574712365057', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-21 14:55:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 14:55:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/b10bafe7-c7b9-4568-9a57-44e4916dd9e4', 'DELETE', '{}', '9', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572480091354148866', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 14:57:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 14:57:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '46', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572480091689693186', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 14:57:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 14:57:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '22', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572480098715152386', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 14:57:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 14:57:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"id":["1572063395757809666"]}', '59', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572480099340103681', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 14:57:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 14:57:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572480099570790402', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 14:57:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 14:57:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572480101407895553', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 14:57:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 14:57:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572480796433428482', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 15:00:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 15:00:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '7', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572481088801583105', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 15:01:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 15:01:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"id":["1572063395757809666"]}', '50', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572485510365528066', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 15:18:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 15:18:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '1030', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572485531236384770', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 15:19:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 15:19:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/1572142535370461186', 'GET', '{"0":["1572142535370461186"]}', '36', NULL, NULL, 'content:通过id查询施工组织单位', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572493974953304066', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-21 15:52:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 15:52:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572494014170046466', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-21 15:52:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 15:52:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp', 'POST', '{}', '4', NULL, NULL, 'content:新增工序管理（工序名称）/工程管控管理', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572494040480915457', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-21 15:52:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 15:52:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp', 'POST', '{}', '3', NULL, NULL, 'content:新增工序管理（工序名称）/工程管控管理', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572494040757739522', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-21 15:52:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 15:52:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572494061083336705', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-21 15:52:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 15:52:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/deleteByIds', 'DELETE', '{"ids":["1572412015216537601,1572412065850175490,1572412129138028546,1572412196779569154"]}', '37', NULL, NULL, 'content:通过id批量删除工序管理（工序名称）/工程管控管理', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572494061326606337', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-21 15:52:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 15:52:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572494089252282369', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-21 15:53:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 15:53:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/deleteByIds', 'DELETE', '{"ids":["1569616104107118593"]}', '8', NULL, NULL, 'content:通过id批量删除工序管理（工序名称）/工程管控管理', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572494089495552001', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-21 15:53:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 15:53:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572494795044593665', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-21 15:55:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 15:55:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp', 'POST', '{}', '4', NULL, NULL, 'content:新增工序管理（工序名称）/工程管控管理', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572494795313029122', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-21 15:55:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 15:55:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572495277548937217', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-21 15:57:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 15:57:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp', 'POST', '{}', '4', NULL, NULL, 'content:新增工序管理（工序名称）/工程管控管理', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572495277817372673', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-21 15:57:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 15:57:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572495306309279746', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-21 15:57:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 15:57:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp', 'POST', '{}', '4', NULL, NULL, 'content:新增工序管理（工序名称）/工程管控管理', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572495306560937985', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-21 15:57:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 15:57:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572495333719056385', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-21 15:57:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 15:57:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp', 'POST', '{}', '4', NULL, NULL, 'content:新增工序管理（工序名称）/工程管控管理', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572495333953937410', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-21 15:57:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 15:57:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572495359908290561', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-21 15:58:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 15:58:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp', 'POST', '{}', '4', NULL, NULL, 'content:新增工序管理（工序名称）/工程管控管理', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572495360155754498', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-21 15:58:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 15:58:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572495383933263873', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-21 15:58:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 15:58:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp', 'POST', '{}', '3', NULL, NULL, 'content:新增工序管理（工序名称）/工程管控管理', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572495384201699329', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-21 15:58:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 15:58:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572495418779541505', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-21 15:58:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 15:58:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp', 'POST', '{}', '4', NULL, NULL, 'content:新增工序管理（工序名称）/工程管控管理', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572495419022811138', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-21 15:58:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 15:58:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572495464275156993', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-21 15:58:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 15:58:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp', 'POST', '{}', '4', NULL, NULL, 'content:新增工序管理（工序名称）/工程管控管理', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572495464526815234', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-21 15:58:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 15:58:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572496659576299522', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-21 16:03:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 16:03:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/3d48b27b-7462-4d4a-9864-2a4a00afd32d', 'DELETE', '{}', '1', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572497658881810433', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 16:07:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 16:07:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl', 'POST', '{}', '64', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572497659519344642', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 16:07:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 16:07:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '17', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572497752221851649', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 16:07:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 16:07:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572497758660108290', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 16:07:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 16:07:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"id":["1572063395757809666"]}', '57', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572514091477053441', '1', 'tofly-flow', 'txh', TO_DATE('2022-09-21 17:12:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 17:12:29', 'SYYYY-MM-DD HH24:MI:SS'), '42.225.115.58', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572514348843741185', '1', 'tofly-flow', 'txh', TO_DATE('2022-09-21 17:13:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 17:13:31', 'SYYYY-MM-DD HH24:MI:SS'), '42.225.115.58', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572514982481440770', '2', 'tofly-auth', 'hr', TO_DATE('2022-09-21 17:16:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 17:16:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/0a26efa4-5928-4578-96fc-903e74ba4f59', 'DELETE', '{}', '6', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572515005675941890', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-21 17:16:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 17:16:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572515005973737473', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-21 17:16:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 17:16:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572515017503879170', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-21 17:16:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 17:16:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '126', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572515019433259009', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-21 17:16:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 17:16:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572515019861078018', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-21 17:16:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 17:16:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572515021874343937', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-21 17:16:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 17:16:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572515379275182081', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-21 17:17:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 17:17:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572515379589754881', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-21 17:17:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 17:17:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572515540978184194', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-21 17:18:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 17:18:15', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/tfprocessl/1571780757536903170', 'GET', '{}', '81', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572515550197264385', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-21 17:18:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 17:18:17', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/tfprocessl/1571780757536903170', 'GET', '{}', '84', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572831125385519105', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-22 14:12:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 14:12:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572831129789538305', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-22 14:12:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 14:12:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1571763657271414785', 'GET', '{"id":["1571763657271414785"]}', '56', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572831130267688961', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-22 14:12:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 14:12:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572831133077872642', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-22 14:12:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 14:12:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572831275289944066', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-22 14:12:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 14:12:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572831275558379521', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-22 14:12:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 14:12:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572831290477518849', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-22 14:12:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 14:12:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '7', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572831293379977217', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-22 14:12:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 14:12:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '143', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572831294063648770', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-22 14:12:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 14:12:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572831294332084225', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-22 14:12:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 14:12:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572831296840278017', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-22 14:12:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 14:12:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572831315253272577', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-22 14:13:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 14:13:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572786304281247746', 'GET', '{"id":["1572786304281247746"]}', '27', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572831517875904513', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 14:13:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 14:13:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '145', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572831546850156546', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-22 14:13:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 14:13:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572831547059871746', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-22 14:13:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 14:13:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572831565229596674', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 14:14:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 14:14:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '155', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572831608485453825', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 14:14:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 14:14:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568483117915193345"],"isMould":["0"]}', '8', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572831627091386369', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 14:14:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 14:14:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572786304281247746', 'GET', '{"id":["1572786304281247746"]}', '30', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572831639535886338', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-22 14:14:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 14:14:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '156', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572831640467021825', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-22 14:14:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 14:14:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572831640643182593', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-22 14:14:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 14:14:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572831643457560577', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-22 14:14:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 14:14:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572831927806205953', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 14:15:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 14:15:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572786304281247746', 'GET', '{"id":["1572786304281247746"]}', '28', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572832430854250497', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-22 14:17:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 14:17:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572832452836597761', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-22 14:17:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 14:17:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572832790356434945', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-22 14:18:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 14:18:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572833119831597058', '1', 'tofly-flow', 'lye', TO_DATE('2022-09-22 14:20:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 14:20:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '70', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572833540809695233', '1', 'tofly-flow', 'lye', TO_DATE('2022-09-22 14:21:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 14:21:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572833540851638273', '1', 'tofly-flow', 'lye', TO_DATE('2022-09-22 14:21:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 14:21:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '13', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572833572518633473', '1', 'tofly-flow', 'lye', TO_DATE('2022-09-22 14:22:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 14:22:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '18', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572833572707377153', '1', 'tofly-flow', 'lye', TO_DATE('2022-09-22 14:22:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 14:22:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572833591523024897', '1', 'tofly-flow', 'lye', TO_DATE('2022-09-22 14:22:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 14:22:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572833591686602754', '1', 'tofly-flow', 'lye', TO_DATE('2022-09-22 14:22:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 14:22:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572834488151973890', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 14:25:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 14:25:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568483117915193345"],"isMould":["0"]}', '8', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572834631043522562', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 14:26:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 14:26:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568483117915193345"],"isMould":["0"]}', '8', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572834797511254017', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 14:26:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 14:26:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568483117915193345"],"isMould":["0"]}', '8', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572835020631449601', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 14:27:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 14:27:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568483117915193345"],"isMould":["0"]}', '8', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572835052076146690', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 14:27:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 14:27:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568483117915193345"],"isMould":["0"]}', '7', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572163339189579778', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 17:58:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:58:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572163340930215937', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 17:58:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:58:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572163662935322625', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 18:00:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 18:00:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572157726111834113', 'GET', '{"id":["1572157726111834113"]}', '32', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572163751602909186', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 18:00:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 18:00:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"id":["1572063395757809666"]}', '29', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572164097574268930', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 18:01:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 18:01:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"id":["1572063395757809666"]}', '25', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572164097993699329', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 18:01:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 18:01:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572164098232774657', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 18:01:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 18:01:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572164100321538049', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 18:01:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 18:01:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '2', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572164658822385665', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 18:03:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 18:03:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '527', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572164660290392065', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 18:03:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 18:03:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '29', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572164723490164737', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 18:04:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 18:04:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '118', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572165162168307713', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 18:05:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 18:05:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '374', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572165702122033154', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 18:08:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 18:08:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '31', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572165885278900226', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 18:08:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 18:08:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp', 'POST', '{}', '23', NULL, NULL, 'content:新增工程工序/工程管控', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572165886138732545', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 18:08:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 18:08:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '53', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572169957314744321', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 18:25:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 18:25:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '34', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572171388620984322', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 18:30:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 18:30:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '31', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572171610868764674', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 18:31:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 18:31:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '31', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572171831057141762', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 18:32:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 18:32:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '29', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572172328631619585', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 18:34:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 18:34:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '29', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572172815523205122', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 18:36:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 18:36:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '28', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572173424783609857', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 18:38:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 18:38:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '28', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572174081494175745', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 18:41:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 18:41:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '31', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572174490640142337', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 18:43:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 18:43:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '32', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572174978848739329', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 18:44:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 18:44:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '28', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572175110474387458', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 18:45:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 18:45:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '28', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572175334408278017', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 18:46:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 18:46:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '28', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572175579372408834', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 18:47:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 18:47:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '27', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572175737422172161', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 18:48:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 18:48:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '26', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572175885959254017', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 18:48:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 18:48:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '29', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572176476630503425', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 18:50:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 18:50:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '27', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572176652023713794', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 18:51:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 18:51:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '26', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572176657568583682', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 18:51:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 18:51:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '23', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572176676182904833', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 18:51:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 18:51:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '22', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572176778112880641', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 18:52:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 18:52:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '25', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572176881703800834', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 18:52:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 18:52:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '24', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572177371258769409', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 18:54:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 18:54:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '24', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572177568265228290', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 18:55:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 18:55:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp', 'POST', '{}', '5', NULL, NULL, 'content:新增工程工序/工程管控', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572496982923583490', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 16:04:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 16:04:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl', 'POST', '{}', '208', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572496983380762625', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 16:04:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 16:04:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '20', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572496992557899778', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 16:04:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 16:04:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572496998039855106', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 16:04:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 16:04:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"id":["1572063395757809666"]}', '47', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572497582935547905', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 16:06:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 16:06:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '20', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572497583241732097', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 16:06:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 16:06:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '24', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572497592859271170', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 16:06:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 16:06:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '18', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572497593031237633', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 16:06:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 16:06:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572497600413212674', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 16:06:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 16:06:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"id":["1572063395757809666"]}', '47', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572497600862003201', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 16:06:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 16:06:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572497601046552577', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 16:06:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 16:06:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572497602808160257', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 16:06:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 16:06:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572509141837623297', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 16:52:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 16:52:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572509314865246210', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 16:53:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 16:53:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '18', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572509315108515842', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 16:53:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 16:53:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572509492221390850', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 16:54:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 16:54:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572509492456271874', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 16:54:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 16:54:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572509499448176641', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 16:54:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 16:54:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"id":["1572063395757809666"]}', '35', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572509499926327298', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 16:54:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 16:54:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572509500136042497', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 16:54:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 16:54:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572509501914427394', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 16:54:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 16:54:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572509739572080641', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 16:55:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 16:55:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572509743770578946', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 16:55:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 16:55:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"id":["1572063395757809666"]}', '34', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572509820568285185', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 16:55:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 16:55:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572511605571792898', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 17:02:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 17:02:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '49', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572511616028192770', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 17:02:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 17:02:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '43', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572511630066528257', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 17:02:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 17:02:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '114', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572511636085354497', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 17:02:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 17:02:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '14', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572511647233814530', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 17:02:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 17:02:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"typeName":[""],"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '53', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572511694671392770', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-21 17:02:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 17:02:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572511841757245441', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-21 17:03:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 17:03:33', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/tfprocessconfigl/1572157726111834113', 'GET', '{}', '43', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572511940554076162', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-21 17:03:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 17:03:57', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/tfprocessconfigl/page', 'GET', '{"hitCount":[""],"optimizeCountSql":[""],"records":[""],"isValid":[""],"searchCount":[""],"content":[""],"current":[""],"total":[""],"size":[""],"orders[0].asc":[""],"tenantId":[""],"orders[0].column":[""],"processType":[""],"businessType":[""],"isDel":[""],"isMould":[""]}', '17', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572511984275501057', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-21 17:04:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 17:04:07', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/tfprocessl/1572140204302041089', 'GET', '{}', '83', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572512021357342722', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-21 17:04:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 17:04:16', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/tfprocessl/1572111539262464001', 'GET', '{}', '75', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572512060007854081', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-21 17:04:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 17:04:25', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/tfprocessl/1572063395757809666', 'GET', '{}', '70', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572512075677773825', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 17:04:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 17:04:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572512102454210562', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-21 17:04:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 17:04:35', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/tfprocessconfigl/page', 'GET', '{"hitCount":[""],"optimizeCountSql":[""],"records":[""],"isValid":[""],"searchCount":[""],"content":[""],"current":[""],"total":[""],"size":[""],"orders[0].asc":[""],"tenantId":[""],"orders[0].column":[""],"processType":[""],"businessType":[""],"isDel":[""],"isMould":[""]}', '21', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572512132367986689', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-21 17:04:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 17:04:42', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/tfprocessl/1572157726111834113', 'GET', '{}', '73', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572512143445143553', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-21 17:04:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 17:04:45', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/tfprocessl/1572157726111834113', 'GET', '{}', '71', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572512146511179777', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-21 17:04:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 17:04:46', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/tfprocessl/1572157726111834113', 'GET', '{}', '72', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572515571902787585', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-21 17:18:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 17:18:22', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/tfprocessconfigl/page', 'GET', '{"hitCount":[""],"optimizeCountSql":[""],"records":[""],"isValid":[""],"searchCount":[""],"content":[""],"current":[""],"total":[""],"size":[""],"orders[0].asc":[""],"tenantId":[""],"orders[0].column":[""],"processType":[""],"businessType":[""],"isDel":[""],"isMould":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572515599253843969', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-21 17:18:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 17:18:29', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/tfprocessl/1572157726111834113', 'GET', '{}', '81', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572515603221655554', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-21 17:18:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 17:18:30', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/tfprocessl/1572157726111834113', 'GET', '{}', '82', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572515606652596225', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-21 17:18:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 17:18:31', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/tfprocessl/1572157726111834113', 'GET', '{}', '70', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572515651695226881', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-21 17:18:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 17:18:41', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/tfprocessl/1571763657271414785', 'GET', '{}', '75', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572515656204103682', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-21 17:18:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 17:18:43', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/tfprocessl/1571763657271414785', 'GET', '{}', '76', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572515678266142722', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-21 17:18:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 17:18:48', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/tfprocessl/1571763657271414785', 'GET', '{}', '27', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572515928150192130', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-21 17:19:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 17:19:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572515928183746561', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-21 17:19:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 17:19:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572515936106786817', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-21 17:19:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 17:19:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572515936324890625', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-21 17:19:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 17:19:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572515944843522050', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-21 17:19:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 17:19:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '124', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572515945476861954', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-21 17:19:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 17:19:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572515945682382849', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-21 17:19:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 17:19:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572515947586596866', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-21 17:19:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 17:19:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572516018197704706', '1', 'tofly-flow', 'txh', TO_DATE('2022-09-21 17:20:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 17:20:09', 'SYYYY-MM-DD HH24:MI:SS'), '42.225.115.58', NULL, '/tfprocessconfigl/1572111539262464001', 'GET', '{"id":["1572111539262464001"]}', '100', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572516021456678913', '1', 'tofly-flow', 'txh', TO_DATE('2022-09-21 17:20:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 17:20:10', 'SYYYY-MM-DD HH24:MI:SS'), '42.225.115.58', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572516022060658690', '1', 'tofly-flow', 'txh', TO_DATE('2022-09-21 17:20:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 17:20:10', 'SYYYY-MM-DD HH24:MI:SS'), '42.225.115.58', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572516030356992002', '1', 'tofly-flow', 'txh', TO_DATE('2022-09-21 17:20:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 17:20:12', 'SYYYY-MM-DD HH24:MI:SS'), '42.225.115.58', NULL, '/tfprocessconfigl/1571763657271414785', 'GET', '{"id":["1571763657271414785"]}', '50', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572516030407323650', '1', 'tofly-flow', 'txh', TO_DATE('2022-09-21 17:20:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 17:20:12', 'SYYYY-MM-DD HH24:MI:SS'), '42.225.115.58', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572516037525057537', '1', 'tofly-flow', 'txh', TO_DATE('2022-09-21 17:20:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 17:20:13', 'SYYYY-MM-DD HH24:MI:SS'), '42.225.115.58', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572516037940293634', '1', 'tofly-flow', 'txh', TO_DATE('2022-09-21 17:20:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 17:20:14', 'SYYYY-MM-DD HH24:MI:SS'), '42.225.115.58', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '19', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572516347798695938', '1', 'tofly-flow', 'txh', TO_DATE('2022-09-21 17:21:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 17:21:27', 'SYYYY-MM-DD HH24:MI:SS'), '42.225.115.58', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572516348339761154', '1', 'tofly-flow', 'txh', TO_DATE('2022-09-21 17:21:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 17:21:28', 'SYYYY-MM-DD HH24:MI:SS'), '42.225.115.58', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572516453771980801', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 17:21:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 17:21:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572516465029492737', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 17:21:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 17:21:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"id":["1572063395757809666"]}', '31', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572519836725608450', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 17:35:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 17:35:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '216', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572519837216342018', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 17:35:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 17:35:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572519837568663553', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 17:35:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 17:35:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '27', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572519839670009857', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 17:35:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 17:35:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572520604706865154', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-21 17:38:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 17:38:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572520612722180098', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-21 17:38:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 17:38:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '22', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572520613011587074', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-21 17:38:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 17:38:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '25', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572520640786268161', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-21 17:38:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 17:38:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572157726111834113', 'GET', '{"id":["1572157726111834113"]}', '49', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572520641369276417', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-21 17:38:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 17:38:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572520641981644801', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-21 17:38:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 17:38:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572520644900880385', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-21 17:38:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 17:38:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572536196457418753', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 18:40:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 18:40:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '19', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572536196709076994', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 18:40:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 18:40:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572536206834126850', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 18:40:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 18:40:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"id":["1572063395757809666"]}', '32', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572841376759422977', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 14:53:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 14:53:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568483117915193345"],"isMould":["0"]}', '14', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572841917774307329', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 14:55:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 14:55:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568483117915193345"],"isMould":["0"]}', '10', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572844554791952385', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 15:05:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 15:05:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568483117915193345"],"isMould":["0"]}', '7', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572844663374094338', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-22 15:06:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 15:06:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572844702389510145', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-22 15:06:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 15:06:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '26', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572844718998953985', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-22 15:06:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 15:06:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"typeName":[""],"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572844742931652609', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-22 15:06:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 15:06:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '22', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572844747197259778', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-22 15:06:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 15:06:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '1', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572844753333526529', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-22 15:06:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 15:06:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '183', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572844756718329857', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-22 15:06:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 15:06:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572844820538859521', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-22 15:06:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 15:06:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572844833654448129', '1', 'tofly-flow', 'll', TO_DATE('2022-09-22 15:06:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 15:06:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572844906811498498', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-22 15:07:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 15:07:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"typeName":[""],"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572844943264194562', '1', 'tofly-flow', 'll', TO_DATE('2022-09-22 15:07:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 15:07:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/page', 'GET', '{"current":["1"],"projectLink":[""],"size":["30"],"label":["1568482594885484546"],"state":[""],"userType":["{}"]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572845044422418433', '1', 'tofly-flow', 'll', TO_DATE('2022-09-22 15:07:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 15:07:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/page', 'GET', '{"current":["1"],"projectLink":[""],"size":["30"],"label":["1568482594885484546"],"state":[""],"userType":["{}"]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572845110432374786', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-22 15:07:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 15:07:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '8', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572845132494413825', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-22 15:07:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 15:07:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572786304281247746', 'GET', '{"id":["1572786304281247746"]}', '21', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572845170725494785', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 15:08:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 15:08:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572786304281247746', 'GET', '{"id":["1572786304281247746"]}', '20', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572846689822711809', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 15:14:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 15:14:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568483117915193345"],"isMould":["0"]}', '7', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572846720235610113', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 15:14:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 15:14:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572786304281247746', 'GET', '{"id":["1572786304281247746"]}', '24', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572848299676278785', '1', 'tofly-flow', 'll', TO_DATE('2022-09-22 15:20:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 15:20:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572848309360926721', '1', 'tofly-flow', 'll', TO_DATE('2022-09-22 15:20:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 15:20:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/page', 'GET', '{"current":["1"],"projectLink":[""],"size":["30"],"label":["1568482594885484546"],"state":[""],"userType":["{}"]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572848720469827585', '1', 'tofly-flow', 'll', TO_DATE('2022-09-22 15:22:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 15:22:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572848997386166274', '1', 'tofly-flow', 'll', TO_DATE('2022-09-22 15:23:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 15:23:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/page', 'GET', '{"current":["1"],"projectLink":[""],"size":["30"],"label":["1568482594885484546"],"state":[""],"userType":["{}"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572852127410692098', '2', 'tofly-auth', 'hq', TO_DATE('2022-09-22 15:35:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 15:35:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/9d694ebf-8239-4f63-be85-25ce8a5bd6ec', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572854094312775682', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 15:43:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 15:43:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568483117915193345"],"isMould":["0"]}', '12', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572854118593601537', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 15:43:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 15:43:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '102', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572856869264302081', '1', 'tofly-flow', 'll', TO_DATE('2022-09-22 15:54:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 15:54:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572858363657068546', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-22 16:00:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 16:00:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572858497581195265', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-22 16:01:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 16:01:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572858556414697474', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-22 16:01:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 16:01:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572858575301648385', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-22 16:01:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 16:01:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568483117915193345"],"isMould":["0"]}', '7', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572858587414798338', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-22 16:01:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 16:01:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572858617332768769', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-22 16:01:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 16:01:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572786304281247746', 'GET', '{"id":["1572786304281247746"]}', '23', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572871870045757442', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-22 16:54:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 16:54:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572177568663687169', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 18:55:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 18:55:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '27', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572178787603927041', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 19:00:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 19:00:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '55', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572178856428261378', '0', 'tofly-flow', 'lz', TO_DATE('2022-09-20 19:00:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 19:00:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp', 'POST', '{}', '177', NULL, 'com.tofly.workflow.baseconf.mapper.TfProjectProcessPMapper.insert (batch index #1) failed. Cause: java.sql.BatchUpdateException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.PK_TF_PROJECT_PROCESS_P)

; ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.PK_TF_PROJECT_PROCESS_P)
; nested exception is java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.PK_TF_PROJECT_PROCESS_P)', 'content:新增工程工序/工程管控', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572178896479670274', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 19:00:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 19:00:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '32', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572178931762155521', '0', 'tofly-flow', 'lz', TO_DATE('2022-09-20 19:00:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 19:00:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp', 'POST', '{}', '85', NULL, 'com.tofly.workflow.baseconf.mapper.TfProjectProcessPMapper.insert (batch index #1) failed. Cause: java.sql.BatchUpdateException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.PK_TF_PROJECT_PROCESS_P)

; ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.PK_TF_PROJECT_PROCESS_P)
; nested exception is java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.PK_TF_PROJECT_PROCESS_P)', 'content:新增工程工序/工程管控', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572209641092894722', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 21:02:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 21:02:43', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.91.143', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '23', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572209648332263426', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 21:02:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 21:02:45', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.91.143', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"id":["1572063395757809666"]}', '42', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572209685116309505', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 21:02:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 21:02:53', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.91.143', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"id":["1572063395757809666"]}', '38', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572210462895460354', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 21:05:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 21:05:59', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.91.143', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572210491991347201', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 21:06:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 21:06:06', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.91.143', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"id":["1572063395757809666"]}', '33', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572210542687899649', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-20 21:06:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 21:06:18', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.167.115', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '479', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572210547947556865', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-20 21:06:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 21:06:19', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.167.115', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '8', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572408567649583106', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-21 10:13:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 10:13:11', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/tfprocessl/page', 'GET', '{}', '36', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572408713267429377', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-21 10:13:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 10:13:45', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/tfprocessl/1569616564261691393', 'GET', '{}', '50', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572409426529796098', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 10:16:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 10:16:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '24', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572409431160307713', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 10:16:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 10:16:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"id":["1572063395757809666"]}', '68', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572411389363404801', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 10:24:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 10:24:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '144', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572411544250662914', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 10:25:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 10:25:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp', 'POST', '{}', '46', NULL, NULL, 'content:新增工程工序/工程管控', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572411544724619265', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 10:25:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 10:25:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '50', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572411620238868481', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 10:25:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 10:25:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp', 'POST', '{}', '9', NULL, NULL, 'content:新增工程工序/工程管控', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572411620691853314', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 10:25:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 10:25:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '47', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572411661477265410', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 10:25:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 10:25:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp', 'POST', '{}', '9', NULL, NULL, 'content:新增工程工序/工程管控', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572411661921861633', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 10:25:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 10:25:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '44', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572411712953958401', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 10:25:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 10:25:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp', 'POST', '{}', '10', NULL, NULL, 'content:新增工程工序/工程管控', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572411713432109057', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 10:25:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 10:25:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '45', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572411816830091266', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 10:26:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 10:26:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp', 'POST', '{}', '9', NULL, NULL, 'content:新增工程工序/工程管控', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572411817266298882', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 10:26:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 10:26:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '43', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572411881413984258', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 10:26:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 10:26:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572412015308750850', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 10:26:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 10:26:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp', 'POST', '{}', '4', NULL, NULL, 'content:新增工序管理（工序名称）/工程管控管理', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572412015606546434', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 10:26:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 10:26:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572412065938194433', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 10:27:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 10:27:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp', 'POST', '{}', '3', NULL, NULL, 'content:新增工序管理（工序名称）/工程管控管理', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572412066210824193', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 10:27:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 10:27:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572412129221853186', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 10:27:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 10:27:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp', 'POST', '{}', '4', NULL, NULL, 'content:新增工序管理（工序名称）/工程管控管理', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572412129481900033', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 10:27:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 10:27:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572412196867588097', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 10:27:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 10:27:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp', 'POST', '{}', '3', NULL, NULL, 'content:新增工序管理（工序名称）/工程管控管理', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572412197186355201', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 10:27:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 10:27:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572414557702897665', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 10:36:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 10:36:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '132', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572414571128864770', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 10:37:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 10:37:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '38', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572512233358438402', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-21 17:05:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 17:05:06', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/tfprocessl/1572157726111834113', 'GET', '{}', '72', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572512236386725890', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-21 17:05:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 17:05:07', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/tfprocessl/1572157726111834113', 'GET', '{}', '69', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572512238798450689', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-21 17:05:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 17:05:08', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/tfprocessl/1572157726111834113', 'GET', '{}', '75', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572512241147260929', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-21 17:05:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 17:05:08', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/tfprocessl/1572157726111834113', 'GET', '{}', '79', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572512318746079233', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 17:05:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 17:05:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572512318985154561', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 17:05:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 17:05:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572512332394344450', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 17:05:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 17:05:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '144', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572512333145124866', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 17:05:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 17:05:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572512333338062849', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 17:05:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 17:05:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572512335074504706', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 17:05:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 17:05:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572512841016619010', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-21 17:07:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 17:07:31', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/tfprocessl/1572157726111834113', 'GET', '{}', '72', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572512844485308418', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-21 17:07:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 17:07:32', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/tfprocessl/1572157726111834113', 'GET', '{}', '69', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572512847496818689', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-21 17:07:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 17:07:33', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/tfprocessl/1572157726111834113', 'GET', '{}', '68', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572512862877331458', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-21 17:07:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 17:07:37', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/tfprocessconfigl/page', 'GET', '{"hitCount":[""],"optimizeCountSql":[""],"records":[""],"isValid":[""],"searchCount":[""],"content":[""],"current":[""],"total":[""],"size":[""],"orders[0].asc":[""],"tenantId":[""],"orders[0].column":[""],"processType":[""],"businessType":[""],"isDel":[""],"isMould":[""]}', '21', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572512866438295554', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-21 17:07:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 17:07:37', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/tfprocessconfigl/page', 'GET', '{"hitCount":[""],"optimizeCountSql":[""],"records":[""],"isValid":[""],"searchCount":[""],"content":[""],"current":[""],"total":[""],"size":[""],"orders[0].asc":[""],"tenantId":[""],"orders[0].column":[""],"processType":[""],"businessType":[""],"isDel":[""],"isMould":[""]}', '17', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572512916715417602', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-21 17:07:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 17:07:49', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/tfprocessl/1570698804578582529', 'GET', '{}', '77', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572512949951082497', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 17:07:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 17:07:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572512961669967873', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-21 17:08:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 17:08:00', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/tfprocessl/1571763657271414785', 'GET', '{}', '71', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572512965482590209', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 17:08:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 17:08:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572512992854618113', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 17:08:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 17:08:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572513722177314818', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-21 17:11:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 17:11:01', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessl/1571780757536903170', 'GET', '{}', '172', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572514091485442050', '1', 'tofly-flow', 'txh', TO_DATE('2022-09-21 17:12:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 17:12:29', 'SYYYY-MM-DD HH24:MI:SS'), '42.225.115.58', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572514120304504833', '1', 'tofly-flow', 'txh', TO_DATE('2022-09-21 17:12:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 17:12:36', 'SYYYY-MM-DD HH24:MI:SS'), '42.225.115.58', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '17', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572514120698769409', '1', 'tofly-flow', 'txh', TO_DATE('2022-09-21 17:12:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 17:12:36', 'SYYYY-MM-DD HH24:MI:SS'), '42.225.115.58', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572514174725599233', '1', 'tofly-flow', 'txh', TO_DATE('2022-09-21 17:12:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 17:12:49', 'SYYYY-MM-DD HH24:MI:SS'), '42.225.115.58', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572514175128252417', '1', 'tofly-flow', 'txh', TO_DATE('2022-09-21 17:12:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 17:12:49', 'SYYYY-MM-DD HH24:MI:SS'), '42.225.115.58', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572514191087579137', '1', 'tofly-flow', 'txh', TO_DATE('2022-09-21 17:12:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 17:12:53', 'SYYYY-MM-DD HH24:MI:SS'), '42.225.115.58', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572514191477649410', '1', 'tofly-flow', 'txh', TO_DATE('2022-09-21 17:12:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 17:12:53', 'SYYYY-MM-DD HH24:MI:SS'), '42.225.115.58', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572514212226871298', '1', 'tofly-flow', 'txh', TO_DATE('2022-09-21 17:12:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 17:12:58', 'SYYYY-MM-DD HH24:MI:SS'), '42.225.115.58', NULL, '/tfprocessconfigl/1572157726111834113', 'GET', '{"id":["1572157726111834113"]}', '27', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572514213527105538', '1', 'tofly-flow', 'txh', TO_DATE('2022-09-21 17:12:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 17:12:59', 'SYYYY-MM-DD HH24:MI:SS'), '42.225.115.58', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572514214114308097', '1', 'tofly-flow', 'txh', TO_DATE('2022-09-21 17:12:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 17:12:59', 'SYYYY-MM-DD HH24:MI:SS'), '42.225.115.58', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572514217100652546', '1', 'tofly-flow', 'txh', TO_DATE('2022-09-21 17:12:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 17:12:59', 'SYYYY-MM-DD HH24:MI:SS'), '42.225.115.58', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572514235677564930', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-21 17:13:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 17:13:04', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessl/page', 'GET', '{"hitCount":[""],"registerStaff":[""],"processState":[""],"records":[""],"processNumber":[""],"searchCount":[""],"edition":[""],"remark":[""],"relationNumber":[""],"current":[""],"total":[""],"configId":[""],"orders[0].asc":[""],"registerPost":[""],"ywType":[""],"orders[0].column":[""],"id":[""],"processType":[""],"optimizeCountSql":[""],"registerTime":[""],"registerDept":[""],"passingNode":[""],"relationId":[""],"size":[""],"createTime":[""],"name":[""],"tenantId":[""],"createUser":[""],"category":[""],"isDel":[""]}', '358', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572514290090270722', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-21 17:13:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 17:13:17', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessl/1571780757536903170', 'GET', '{}', '18', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572514306401918978', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-21 17:13:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 17:13:21', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessl/1569616564261691393', 'GET', '{}', '220', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572514348852129794', '1', 'tofly-flow', 'txh', TO_DATE('2022-09-21 17:13:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 17:13:31', 'SYYYY-MM-DD HH24:MI:SS'), '42.225.115.58', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572514399255080961', '1', 'tofly-flow', 'txh', TO_DATE('2022-09-21 17:13:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 17:13:43', 'SYYYY-MM-DD HH24:MI:SS'), '42.225.115.58', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572514399716454402', '1', 'tofly-flow', 'txh', TO_DATE('2022-09-21 17:13:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 17:13:43', 'SYYYY-MM-DD HH24:MI:SS'), '42.225.115.58', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572514446697193474', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-21 17:13:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 17:13:54', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessl/1570739113997549569', 'GET', '{}', '82', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572536207320666114', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 18:40:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 18:40:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572536207563935745', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 18:40:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 18:40:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572536210625777665', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 18:40:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 18:40:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572536380058882049', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 18:41:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 18:41:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572536380067270657', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 18:41:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 18:41:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572536387906424834', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 18:41:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 18:41:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572536388132917250', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 18:41:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 18:41:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572536424526893057', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 18:41:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 18:41:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '144', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572536425202176001', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 18:41:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 18:41:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572536425395113985', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 18:41:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 18:41:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572536427815227393', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 18:41:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 18:41:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572753654585872385', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-22 09:04:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 09:04:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl', 'POST', '{}', '120', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572753656708190210', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-22 09:04:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 09:04:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572753696017207298', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-22 09:04:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 09:04:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572753727872946177', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-22 09:04:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 09:04:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '152', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572754130094116865', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-22 09:06:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 09:06:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572754135966142465', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-22 09:06:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 09:06:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572757884168163330', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 09:21:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 09:21:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572757884444987394', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 09:21:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 09:21:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572758139991347201', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-22 09:22:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 09:22:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572758161063530498', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-22 09:22:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 09:22:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '136', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572758465028935682', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-22 09:23:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 09:23:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572758466840875009', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-22 09:23:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 09:23:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572758500135260161', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-22 09:23:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 09:23:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '110', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572758501204807682', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-22 09:23:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 09:23:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572758501443883009', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-22 09:23:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 09:23:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572758504543473665', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-22 09:23:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 09:23:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572766658958315521', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-22 09:56:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 09:56:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '126', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572766659931394050', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-22 09:56:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 09:56:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572766867591385090', '1', 'tofly-flow', 'lye', TO_DATE('2022-09-22 09:56:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 09:56:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '61', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572767068213334017', '1', 'tofly-flow', 'lye', TO_DATE('2022-09-22 09:57:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 09:57:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572767084457873409', '1', 'tofly-flow', 'lye', TO_DATE('2022-09-22 09:57:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 09:57:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"id":["1572063395757809666"]}', '24', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572767229224275969', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 09:58:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 09:58:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572767471315308545', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-22 09:59:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 09:59:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl', 'POST', '{}', '66', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572767472426799106', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-22 09:59:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 09:59:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572767488570675202', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-22 09:59:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 09:59:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '109', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572767488939773953', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-22 09:59:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 09:59:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572767492043558913', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-22 09:59:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 09:59:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572767495805849601', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-22 09:59:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 09:59:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572862655663185921', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-22 16:17:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 16:17:34', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{}', '133', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572863481752330242', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 16:20:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 16:20:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568483117915193345"],"isMould":["0"]}', '11', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572863659930558466', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-22 16:21:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 16:21:33', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/tfprocessl/1569616564261691393', 'GET', '{}', '15', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572864706908528641', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 16:25:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 16:25:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572786304281247746', 'GET', '{"id":["1572786304281247746"]}', '23', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572865029844770818', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-22 16:27:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 16:27:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572865269318557698', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 16:27:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 16:27:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568483117915193345"],"isMould":["0"]}', '13', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572865546956316673', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 16:29:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 16:29:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572786304281247746', 'GET', '{"id":["1572786304281247746"]}', '19', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572865581156671489', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 16:29:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 16:29:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '120', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572865642125074434', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 16:29:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 16:29:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '119', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572866095223152641', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-22 16:31:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 16:31:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572866100893851650', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-22 16:31:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 16:31:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572866104224129025', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-22 16:31:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 16:31:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/page', 'GET', '{"tenantId":["1"],"current":["1"],"size":["10000"],"isDel":["0"]}', '2', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572866104240906242', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-22 16:31:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 16:31:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1"],"isMould":["0"]}', '1', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572866208670687234', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-22 16:31:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 16:31:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572866213242478594', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-22 16:31:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 16:31:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572866223338168322', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-22 16:31:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 16:31:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/page', 'GET', '{"tenantId":["1"],"current":["1"],"size":["10000"],"isDel":["0"]}', '2', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572866223346556930', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-22 16:31:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 16:31:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1"],"isMould":["0"]}', '2', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572868971555201026', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-22 16:42:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 16:42:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568483117915193345"],"isMould":["0"]}', '11', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572868984704344065', '1', 'tofly-flow', 'll', TO_DATE('2022-09-22 16:42:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 16:42:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572868990022721538', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-22 16:42:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 16:42:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572869007965954049', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-22 16:42:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 16:42:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572786304281247746', 'GET', '{"id":["1572786304281247746"]}', '28', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572869788093915138', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 16:45:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 16:45:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '7', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572869795895320577', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 16:45:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 16:45:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568483117915193345"],"isMould":["0"]}', '7', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572869833019105282', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 16:46:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 16:46:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '121', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572869851255939074', '0', 'tofly-flow', 'yj', TO_DATE('2022-09-22 16:46:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 16:46:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/list', 'GET', '{}', '85', NULL, 'nested exception is org.apache.ibatis.exceptions.TooManyResultsException: Expected one result (or null) to be returned by selectOne(), but found: 2', 'content:列表查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572870414597103618', '1', 'tofly-flow', 'll', TO_DATE('2022-09-22 16:48:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 16:48:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"id":["1572063395757809666"]}', '32', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572870572340682754', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 16:49:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 16:49:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572786304281247746', 'GET', '{"id":["1572786304281247746"]}', '28', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572870573720608770', '0', 'tofly-flow', 'yj', TO_DATE('2022-09-22 16:49:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 16:49:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/list', 'GET', '{}', '84', NULL, 'nested exception is org.apache.ibatis.exceptions.TooManyResultsException: Expected one result (or null) to be returned by selectOne(), but found: 2', 'content:列表查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572870800485654530', '0', 'tofly-flow', 'yj', TO_DATE('2022-09-22 16:49:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 16:49:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/list', 'GET', '{}', '38', NULL, 'nested exception is org.apache.ibatis.exceptions.TooManyResultsException: Expected one result (or null) to be returned by selectOne(), but found: 2', 'content:列表查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572871870045757443', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-22 16:54:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 16:54:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/page', 'GET', '{"tenantId":["1"],"current":["1"],"size":["10000"],"isDel":["0"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572872057346596866', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-22 16:54:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 16:54:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '7', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572872088124399617', '1', 'tofly-flow', 'll', TO_DATE('2022-09-22 16:55:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 16:55:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572872101202239490', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-22 16:55:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 16:55:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572786304281247746', 'GET', '{"id":["1572786304281247746"]}', '27', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572872104050171906', '1', 'tofly-flow', 'll', TO_DATE('2022-09-22 16:55:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 16:55:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"id":["1572063395757809666"]}', '32', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572873012821630977', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 16:58:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 16:58:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572873021239599106', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 16:58:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 16:58:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572873027283591169', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 16:58:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 16:58:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"typeName":[""],"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572142059635732482', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 16:34:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 16:34:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/1572131129849921537', 'GET', '{"0":["1572131129849921537"]}', '59', NULL, NULL, 'content:通过id查询施工组织单位', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572414581291663362', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 10:37:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 10:37:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572414766264664065', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 10:37:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 10:37:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572414785755594754', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 10:37:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 10:37:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572414806278324226', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 10:37:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 10:37:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572414858908450818', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 10:38:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 10:38:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '37', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572414870010773505', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 10:38:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 10:38:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572421891502149633', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-21 11:06:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 11:06:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '41', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572421892504588289', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-21 11:06:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 11:06:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '35', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572422451961917441', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 11:08:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 11:08:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '357', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572422490444656641', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-21 11:08:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 11:08:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"nature":[""],"updateUser":[""],"remark":[""],"updateTime":[""],"posts":[""],"createTime":[""],"processId":[""],"tenantId":[""],"createUser":[""],"id":[""],"isForce":[""],"isDel":[""]}', '43', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572422501660225537', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 11:08:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 11:08:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{}', '153', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572422516524838913', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 11:08:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 11:08:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572422535147548674', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 11:08:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 11:08:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/removeByNatureAndTenantId', 'POST', '{"tenantId":["1569602913205559300"],"nature":["1"]}', '14', NULL, NULL, 'content:通过tenantId和nature删除工程工序/工程管控', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572422535625699329', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 11:08:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 11:08:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '37', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572422544433737730', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 11:08:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 11:08:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572422558065225729', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-21 11:08:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 11:08:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '56', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572422558409158657', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-21 11:08:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 11:08:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '24', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572422592257191938', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 11:08:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 11:08:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572423026350878722', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 11:10:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 11:10:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/removeByNatureAndTenantId', 'POST', '{"tenantId":["1569602913205559300"],"nature":["1"]}', '3', NULL, NULL, 'content:通过tenantId和nature删除工程工序/工程管控', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572423026699005954', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 11:10:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 11:10:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '26', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572423838993084418', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 11:13:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 11:13:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/removeByNatureAndTenantId', 'POST', '{"tenantId":["1569602913205559300"],"nature":["1"]}', '3', NULL, NULL, 'content:通过tenantId和nature删除工程工序/工程管控', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572423839370571777', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 11:13:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 11:13:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '27', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572431047307161602', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 11:42:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 11:42:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '35', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572431056308137986', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 11:42:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 11:42:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '28', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572431056584962050', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 11:42:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 11:42:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '18', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572431074603692033', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 11:42:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 11:42:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"id":["1572063395757809666"]}', '44', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572431075107008514', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 11:42:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 11:42:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572431077355155458', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 11:42:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 11:42:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572431079381004290', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 11:42:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 11:42:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '7', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572433773948694529', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 11:53:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 11:53:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572433808786583554', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 11:53:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 11:53:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"id":["1572063395757809666"]}', '43', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572434055394881538', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 11:54:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 11:54:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572434064513298433', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 11:54:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 11:54:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"id":["1572063395757809666"]}', '36', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572434219371196418', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-21 11:55:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 11:55:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/b41875a0-5c97-4910-a8de-b449d163da6b', 'DELETE', '{}', '1', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572434322748207105', '2', 'tofly-auth', 'mzscb', TO_DATE('2022-09-21 11:55:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 11:55:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/2e0d43b5-610a-4b91-bbc4-8f0284ab7984', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572459256656429058', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 13:34:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 13:34:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"id":["1572063395757809666"]}', '283', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572459562609934337', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 13:35:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 13:35:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '412', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572459894270328834', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 13:37:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 13:37:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '7', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572459905251016705', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 13:37:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 13:37:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"id":["1572063395757809666"]}', '53', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572460269727645697', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 13:38:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 13:38:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572514510081515522', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-21 17:14:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 17:14:09', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessl/1570733710425354242', 'GET', '{}', '89', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572514777224785921', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 17:15:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 17:15:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572515269468303361', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-21 17:17:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 17:17:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '118', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572515269887733762', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-21 17:17:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 17:17:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572515270089060353', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-21 17:17:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 17:17:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572515271854862337', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-21 17:17:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 17:17:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572518352785399810', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-21 17:29:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 17:29:25', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessl/1569616564261691393', 'GET', '{}', '101', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572519035684847617', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 17:32:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 17:32:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '226', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572519036087500802', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 17:32:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 17:32:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '27', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572519060888420353', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 17:32:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 17:32:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"id":["1572063395757809666"]}', '53', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572519062222209026', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 17:32:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 17:32:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572519062524198913', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 17:32:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 17:32:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572519067435728897', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 17:32:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 17:32:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '39', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572520604690087938', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-21 17:38:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 17:38:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '10', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572530678590459906', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-21 18:18:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 18:18:24', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/tfprocessl/1571763657271414785', 'GET', '{}', '220', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572530727122751489', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-21 18:18:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 18:18:36', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/tfprocessl/page', 'GET', '{"hitCount":[""],"registerStaff":[""],"processState":[""],"records":[""],"processNumber":[""],"searchCount":[""],"edition":[""],"remark":[""],"relationNumber":[""],"current":[""],"total":[""],"configId":[""],"orders[0].asc":[""],"registerPost":[""],"ywType":[""],"orders[0].column":[""],"id":[""],"processType":[""],"optimizeCountSql":[""],"registerTime":[""],"registerDept":[""],"passingNode":[""],"relationId":[""],"size":[""],"createTime":[""],"name":[""],"tenantId":[""],"createUser":[""],"category":[""],"isDel":[""]}', '271', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572530755887288322', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-21 18:18:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 18:18:43', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/tfprocessl/1569616564261691393', 'GET', '{}', '57', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572532064543690754', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-21 18:23:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 18:23:55', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/tfregionp/page', 'GET', '{"hitCount":[""],"optimizeCountSql":[""],"level":[""],"records":[""],"searchCount":[""],"fullName":[""],"updateUser":[""],"remark":[""],"updateTime":[""],"current":[""],"regionCode":[""],"total":[""],"size":[""],"createTime":[""],"regionId":[""],"orders[0].asc":[""],"name":[""],"tenantId":["1"],"createUser":[""],"orders[0].column":[""],"id":[""],"isDel":[""]}', '21', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572533333123518465', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 18:28:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 18:28:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '196', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572533494746828801', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 18:29:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 18:29:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '22', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572533790885662721', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 18:30:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 18:30:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '13', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572533823685120001', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 18:30:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 18:30:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '9', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572533938684547073', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 18:31:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 18:31:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '10', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572534074596773889', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 18:31:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 18:31:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '31', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572534074647105538', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 18:31:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 18:31:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '42', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572534084575023106', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 18:31:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 18:31:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '34', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572534084948316162', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 18:31:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 18:31:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '22', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572534122139209729', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 18:32:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 18:32:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '18', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572534122462171138', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 18:32:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 18:32:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '24', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572534170910576642', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 18:32:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 18:32:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '20', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572534171216760833', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 18:32:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 18:32:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '18', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572534209015828482', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 18:32:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 18:32:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"id":["1572063395757809666"]}', '51', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572534209682722818', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 18:32:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 18:32:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572534209921798145', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 18:32:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 18:32:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572534213000417282', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 18:32:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 18:32:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572534614776991745', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 18:34:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 18:34:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '12', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572762110436954113', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-22 09:38:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 09:38:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '64', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572762431921967106', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-22 09:39:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 09:39:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '115', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572762433599688706', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-22 09:39:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 09:39:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572762629284941825', '2', 'tofly-auth', 'hq', TO_DATE('2022-09-22 09:40:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 09:40:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/f473bcdf-7a5f-4428-af68-96bef7503308', 'DELETE', '{}', '1', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572762757190242305', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-22 09:40:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 09:40:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572762809153474561', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-22 09:40:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 09:40:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572762809472241665', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-22 09:40:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 09:40:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572762827864264705', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-22 09:40:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 09:40:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '126', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572762829042864129', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-22 09:40:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 09:40:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572762831387480065', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-22 09:40:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 09:40:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572762835455954945', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-22 09:40:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 09:40:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572763352294871041', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-22 09:42:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 09:42:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl', 'POST', '{}', '96', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572763353314086914', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-22 09:42:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 09:42:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572763745619922945', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-22 09:44:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 09:44:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/812530fa-b06f-4181-8f7b-cf3dd2321002', 'DELETE', '{}', '1', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572763854084624386', '1', 'tofly-flow', 'hq', TO_DATE('2022-09-22 09:44:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 09:44:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572763877144907777', '1', 'tofly-flow', 'll', TO_DATE('2022-09-22 09:45:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 09:45:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572767700215255041', '1', 'tofly-flow', 'll', TO_DATE('2022-09-22 10:00:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 10:00:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572767963504300034', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 10:01:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 10:01:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572768153753735169', '1', 'tofly-flow', 'll', TO_DATE('2022-09-22 10:02:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 10:02:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572768166881906690', '1', 'tofly-flow', 'll', TO_DATE('2022-09-22 10:02:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 10:02:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"id":["1572063395757809666"]}', '29', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572768420461137922', '1', 'tofly-flow', 'll', TO_DATE('2022-09-22 10:03:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 10:03:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572768426794536961', '1', 'tofly-flow', 'll', TO_DATE('2022-09-22 10:03:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 10:03:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"id":["1572063395757809666"]}', '26', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572768494335414274', '1', 'tofly-flow', 'll', TO_DATE('2022-09-22 10:03:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 10:03:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"id":["1572063395757809666"]}', '22', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572769379593601025', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-22 10:06:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 10:06:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '276', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572769379593601026', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-22 10:06:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 10:06:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '768', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572769705398747137', '2', 'tofly-auth', 'yj', TO_DATE('2022-09-22 10:08:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 10:08:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/e5340a38-dd65-4cbf-9305-751d46161896', 'DELETE', '{}', '15', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572770067077775361', '1', 'tofly-flow', 'll', TO_DATE('2022-09-22 10:09:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 10:09:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572770071569874945', '1', 'tofly-flow', 'll', TO_DATE('2022-09-22 10:09:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 10:09:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"id":["1572063395757809666"]}', '55', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572770091815780353', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 10:09:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 10:09:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '32', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572770092172296193', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 10:09:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 10:09:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '22', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572770132643135489', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 10:09:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 10:09:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '221', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572770137143623681', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 10:09:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 10:09:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572770140503261186', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 10:09:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 10:09:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572770148216586242', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 10:09:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 10:09:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '34', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572770404241096705', '1', 'tofly-flow', 'll', TO_DATE('2022-09-22 10:10:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 10:10:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '9', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572770431504072706', '1', 'tofly-flow', 'll', TO_DATE('2022-09-22 10:11:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 10:11:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"id":["1572063395757809666"]}', '40', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572770986322411522', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 10:13:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 10:13:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl', 'POST', '{}', '879', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572770987421319170', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 10:13:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 10:13:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '17', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572858896153321473', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-22 16:02:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 16:02:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '7', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572858905066217473', '1', 'tofly-flow', 'll', TO_DATE('2022-09-22 16:02:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 16:02:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572859033449668609', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-22 16:03:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 16:03:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572859059605348354', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-22 16:03:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 16:03:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572786304281247746', 'GET', '{"id":["1572786304281247746"]}', '26', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572859668165304322', '1', 'tofly-flow', 'll', TO_DATE('2022-09-22 16:05:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 16:05:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572860311022084098', '1', 'tofly-flow', 'lye', TO_DATE('2022-09-22 16:08:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 16:08:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '8', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572860614102491138', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 16:09:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 16:09:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572786304281247746', 'GET', '{"id":["1572786304281247746"]}', '28', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572861830689726465', '1', 'tofly-flow', 'll', TO_DATE('2022-09-22 16:14:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 16:14:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572861843205529601', '1', 'tofly-flow', 'll', TO_DATE('2022-09-22 16:14:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 16:14:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572861937401208834', '1', 'tofly-flow', 'll', TO_DATE('2022-09-22 16:14:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 16:14:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572862146634063873', '1', 'tofly-flow', 'll', TO_DATE('2022-09-22 16:15:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 16:15:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572862571672248321', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-22 16:17:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 16:17:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572862577074511874', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-22 16:17:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 16:17:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572862581533057025', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-22 16:17:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 16:17:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1"],"isMould":["0"]}', '2', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572862581541445633', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-22 16:17:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 16:17:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/page', 'GET', '{"tenantId":["1"],"current":["1"],"size":["10000"],"isDel":["0"]}', '2', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572873636690796546', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 17:01:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 17:01:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572874534192631809', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-22 17:04:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 17:04:46', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessconfigl/page', 'GET', '{"hitCount":[""],"optimizeCountSql":[""],"records":[""],"isValid":["1"],"searchCount":[""],"content":[""],"current":[""],"total":[""],"size":[""],"orders[0].asc":[""],"tenantId":[""],"orders[0].column":[""],"processType":[""],"businessType":[""],"isDel":["0"],"isMould":["0"]}', '433', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572874820328050689', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-22 17:05:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 17:05:54', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["11"],"id":["1572140204302041089"]}', '1887', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572875669481201665', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 17:09:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 17:09:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568483117915193345"],"isMould":["0"]}', '9', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572875687126638593', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 17:09:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 17:09:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '124', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572875688171020289', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 17:09:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 17:09:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572875688280072193', '0', 'tofly-flow', 'yj', TO_DATE('2022-09-22 17:09:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 17:09:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/list', 'GET', '{}', '40', NULL, 'nested exception is org.apache.ibatis.exceptions.TooManyResultsException: Expected one result (or null) to be returned by selectOne(), but found: 2', 'content:列表查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572875850532528129', '2', 'tofly-auth', 'test', TO_DATE('2022-09-22 17:10:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 17:10:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/fdd9d4b1-c3b2-43a4-9d84-758bd0e13bda', 'DELETE', '{}', '1', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572876052010586113', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-22 17:10:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 17:10:48', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["11"],"id":["1572140204302041089"]}', '7286', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572876117886324737', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-22 17:11:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 17:11:03', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["10"],"id":["1572140204302041089"]}', '1606', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572876166019686402', '1', 'tofly-flow', 'll', TO_DATE('2022-09-22 17:11:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 17:11:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572876174878056450', '1', 'tofly-flow', 'll', TO_DATE('2022-09-22 17:11:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 17:11:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"id":["1572063395757809666"]}', '27', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572876275428577282', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-22 17:11:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 17:11:41', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{}', '5907', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572876390989570050', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-22 17:12:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 17:12:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572876415148761090', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-22 17:12:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 17:12:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"typeName":[""],"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572876556857516033', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-22 17:12:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 17:12:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"typeName":[""],"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572878242670030850', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-22 17:19:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 17:19:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"typeName":[""],"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '509', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572878251549372418', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-22 17:19:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 17:19:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"typeName":[""],"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572878407933997057', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-22 17:20:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 17:20:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '70', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572878438476918786', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-22 17:20:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 17:20:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572460302527102977', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 13:38:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 13:38:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"id":["1572063395757809666"]}', '46', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572460415685230593', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 13:39:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 13:39:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '37', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572460440322572289', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 13:39:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 13:39:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{}', '29', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572460466830573569', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 13:39:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 13:39:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '58', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572460517409685505', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 13:39:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 13:39:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"typeName":[""],"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '78', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572460538238599170', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 13:39:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 13:39:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfreportentryp/page', 'GET', '{"name":[""],"current":["1"],"size":["30"]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572460552981577730', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 13:39:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 13:39:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfreportentryp/page', 'GET', '{"name":[""],"current":["1"],"size":["30"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572460718170046465', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 13:40:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 13:40:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '131', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572461358568964097', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 13:42:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 13:42:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '28', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572461358891925506', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 13:42:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 13:42:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '22', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572461368790482946', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 13:42:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 13:42:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"id":["1572063395757809666"]}', '52', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572461369339936769', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 13:43:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 13:43:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '4', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572461369566429185', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 13:43:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 13:43:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572461371730690049', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 13:43:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 13:43:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '24', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572461724765257729', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 13:44:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 13:44:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572461730503065601', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 13:44:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 13:44:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"id":["1572063395757809666"]}', '41', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572461798010388481', '2', 'tofly-auth', 'mzscb', TO_DATE('2022-09-21 13:44:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 13:44:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/1b47e9ad-58a5-4aec-b382-6544c285d774', 'DELETE', '{}', '7', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572467588762959873', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 14:07:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 14:07:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '80', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572467596329484290', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 14:07:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 14:07:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/1572142535370461186', 'GET', '{"0":["1572142535370461186"]}', '26', NULL, NULL, 'content:通过id查询施工组织单位', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572467622183174145', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 14:07:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 14:07:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/1572131129849921537', 'GET', '{"0":["1572131129849921537"]}', '20', NULL, NULL, 'content:通过id查询施工组织单位', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572467633587486722', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 14:07:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 14:07:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/1572131129849921537', 'GET', '{"0":["1572131129849921537"]}', '25', NULL, NULL, 'content:通过id查询施工组织单位', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572467778056093698', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 14:08:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 14:08:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/1572142535370461186', 'GET', '{"0":["1572142535370461186"]}', '12', NULL, NULL, 'content:通过id查询施工组织单位', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572467788562825218', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 14:08:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 14:08:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/1572142535370461186', 'GET', '{"0":["1572142535370461186"]}', '14', NULL, NULL, 'content:通过id查询施工组织单位', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572467801342869506', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 14:08:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 14:08:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/1572131129849921537', 'GET', '{"0":["1572131129849921537"]}', '24', NULL, NULL, 'content:通过id查询施工组织单位', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572467815498645505', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 14:08:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 14:08:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/1572142535370461186', 'GET', '{"0":["1572142535370461186"]}', '13', NULL, NULL, 'content:通过id查询施工组织单位', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572467943273922562', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 14:09:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 14:09:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/1572142535370461186', 'GET', '{"0":["1572142535370461186"]}', '12', NULL, NULL, 'content:通过id查询施工组织单位', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572468008021393409', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 14:09:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 14:09:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '73', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572468085620211714', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 14:09:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 14:09:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/1572142535370461186', 'GET', '{"0":["1572142535370461186"]}', '13', NULL, NULL, 'content:通过id查询施工组织单位', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572468489003204609', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 14:11:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 14:11:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/1572142535370461186', 'GET', '{"0":["1572142535370461186"]}', '14', NULL, NULL, 'content:通过id查询施工组织单位', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572468511975407617', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 14:11:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 14:11:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"id":["1572063395757809666"]}', '28', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572468512386449409', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 14:11:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 14:11:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572468512570998786', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 14:11:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 14:11:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572468514248720386', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 14:11:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 14:11:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572468626677039106', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 14:11:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 14:11:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '77', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572468640589545474', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 14:11:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 14:11:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/1572142535370461186', 'GET', '{"0":["1572142535370461186"]}', '15', NULL, NULL, 'content:通过id查询施工组织单位', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572469410743451650', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 14:14:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 14:14:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"id":["1572063395757809666"]}', '33', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572469411183853570', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 14:14:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 14:14:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572469411376791553', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 14:14:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 14:14:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572469413113233409', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 14:14:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 14:14:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572469899891572737', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-21 14:16:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 14:16:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1570739116476383234', 'GET', '{}', '86', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572469973187035138', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-21 14:17:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 14:17:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectmaterialw/getDispatchRecord', 'GET', '{"relationId":["1570739116476383234"],"materialType":["3"]}', '24', NULL, NULL, 'content:领料记录', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572138880084770818', '2', 'tofly-auth', 'rq', TO_DATE('2022-09-20 16:21:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 16:21:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/d330e5e7-7385-45b6-8497-caa5f37c5aae', 'DELETE', '{}', '18', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572138894227963906', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 16:21:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 16:21:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '6', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572139873736359938', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-20 16:25:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 16:25:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["10000"],"current":["1"]}', '50', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572140207196110849', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 16:26:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 16:26:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl', 'POST', '{}', '865', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572140208181772290', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 16:26:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 16:26:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '40', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572140227752394754', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 16:26:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 16:26:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '217', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572140228675141633', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 16:26:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 16:26:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572140228905828353', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 16:26:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 16:26:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572140231011368962', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 16:26:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 16:26:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '16', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572534780066123778', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 18:34:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 18:34:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '9', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572535479978020866', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 18:37:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 18:37:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '9', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572535540522799106', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 18:37:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 18:37:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '20', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572535540896092162', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 18:37:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 18:37:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '35', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572535553340592129', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 18:37:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 18:37:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572535553348980737', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 18:37:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 18:37:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572535562287042561', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 18:37:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 18:37:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '20', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572535562538700801', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 18:37:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 18:37:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '18', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572535565474713602', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 18:37:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 18:37:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '18', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572535565726371841', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 18:37:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 18:37:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572535569710960641', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 18:37:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 18:37:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '17', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572535569975201794', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 18:37:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 18:37:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572535796203376642', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 18:38:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 18:38:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572535796455034882', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 18:38:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 18:38:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572535799701426178', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 18:38:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 18:38:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '17', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572535800364126210', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 18:38:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 18:38:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '118', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572535818991030273', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 18:38:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 18:38:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '189', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572535821713133569', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 18:38:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 18:38:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572535821931237378', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 18:38:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 18:38:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572535824414265346', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 18:38:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 18:38:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572537283365163009', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 18:44:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 18:44:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572537284996747265', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 18:44:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 18:44:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572537304827416578', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 18:44:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 18:44:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '124', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572537305439784962', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 18:44:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 18:44:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572537305636917249', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 18:44:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 18:44:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572537307826343937', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 18:44:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 18:44:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572537476538028033', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-21 18:45:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 18:45:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/page', 'GET', '{"tenantId":["1"],"current":["1"],"size":["10000"],"isDel":["0"]}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572754144182784001', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-22 09:06:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 09:06:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1570739116476383234', 'GET', '{}', '1', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572754924625317889', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 09:09:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 09:09:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572754934075084802', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 09:09:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 09:09:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"id":["1572063395757809666"]}', '32', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572755071203659778', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-22 09:10:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 09:10:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572111362480951297', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-20 14:32:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 14:32:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572111362724220929', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-20 14:32:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 14:32:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572111369787428866', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 14:32:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 14:32:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '23', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572111376376680450', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-20 14:32:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 14:32:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572111376573812737', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-20 14:32:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 14:32:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572111378587078657', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-20 14:32:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 14:32:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572111441942040578', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-20 14:32:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 14:32:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572111447931506690', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-20 14:32:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 14:32:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572111508467896322', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-20 14:32:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 14:32:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572111508719554562', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-20 14:32:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 14:32:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572111514193121282', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 14:32:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 14:32:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '7', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572111525077340162', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-20 14:32:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 14:32:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1570698804578582529', 'GET', '{"id":["1570698804578582529"]}', '120', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572111525626793985', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-20 14:32:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 14:32:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572111527589728257', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-20 14:32:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 14:32:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572111539983896578', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-20 14:32:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 14:32:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl', 'POST', '{}', '293', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572111540516573186', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-20 14:32:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 14:32:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572111570929471489', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-20 14:33:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 14:33:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1570698804578582529', 'GET', '{"id":["1570698804578582529"]}', '102', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572111571680251905', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-20 14:33:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 14:33:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572111573626408961', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-20 14:33:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 14:33:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572111680627298306', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-20 14:33:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 14:33:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1570698804578582529', 'GET', '{"id":["1570698804578582529"]}', '96', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572111681508102145', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-20 14:33:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 14:33:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572111683353595905', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-20 14:33:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 14:33:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572111699803656193', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 14:33:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 14:33:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '20', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572111706137055233', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 14:33:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 14:33:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572111884982177793', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 14:34:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 14:34:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/saveMatterAndPrice', 'POST', '{}', '9', NULL, NULL, 'content:新增物资信息及价格', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572111885300944897', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 14:34:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 14:34:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '18', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572111979672784897', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-20 14:34:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 14:34:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572111979895083009', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-20 14:34:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 14:34:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572112016804958209', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-20 14:34:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 14:34:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572112017010479105', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-20 14:34:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 14:34:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572112018864361474', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-20 14:34:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 14:34:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572112027156500481', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-20 14:34:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 14:34:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1570698804578582529', 'GET', '{"id":["1570698804578582529"]}', '102', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572112027554959361', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-20 14:34:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 14:34:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572112027718537218', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-20 14:34:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 14:34:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572112029585002498', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-20 14:34:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 14:34:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572771004462776321', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 10:13:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 10:13:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '9', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572773504976797698', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-22 10:23:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 10:23:18', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/tfprocessconfigl/page', 'GET', '{"hitCount":[""],"optimizeCountSql":[""],"records":[""],"isValid":[""],"searchCount":[""],"content":[""],"current":[""],"total":[""],"size":[""],"orders[0].asc":[""],"tenantId":[""],"orders[0].column":[""],"processType":[""],"businessType":[""],"isDel":[""],"isMould":[""]}', '33', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572773548081659905', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-22 10:23:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 10:23:29', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{}', '167', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572773607242317825', '1', 'tofly-flow', 'll', TO_DATE('2022-09-22 10:23:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 10:23:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572774845400858625', '1', 'tofly-flow', 'll', TO_DATE('2022-09-22 10:28:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 10:28:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572842190655725569', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 14:56:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 14:56:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568483117915193345"],"isMould":["0"]}', '10', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572842245018099713', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 14:56:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 14:56:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568483117915193345"],"isMould":["0"]}', '7', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572842555090411522', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 14:57:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 14:57:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568483117915193345"],"isMould":["0"]}', '10', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572842680336523265', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 14:58:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 14:58:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568483117915193345"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572842725240741890', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-22 14:58:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 14:58:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572842741208457218', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-22 14:58:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 14:58:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572842748821118978', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 14:58:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 14:58:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568483117915193345"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572842767351554050', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-22 14:58:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 14:58:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '1', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572842775027130369', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-22 14:58:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 14:58:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"typeName":[""],"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572842805972705281', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-22 14:58:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 14:58:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"typeName":[""],"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572842811664375809', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 14:58:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 14:58:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572786304281247746', 'GET', '{"id":["1572786304281247746"]}', '24', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572842840709931009', '2', 'tofly-auth', 'administrator', TO_DATE('2022-09-22 14:58:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 14:58:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/b6315f83-9f9b-47de-a6a3-10150a4cee82', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572842877414285313', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-22 14:58:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 14:58:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572843200535076865', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-22 15:00:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 15:00:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '60', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572843216779616258', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-22 15:00:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 15:00:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572843296752410626', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-22 15:00:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 15:00:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572843307678572546', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-22 15:00:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 15:00:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '2', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572843319934328833', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-22 15:00:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 15:00:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '56', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572843418538221569', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-22 15:01:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 15:01:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572843418731159553', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-22 15:01:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 15:01:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572843515791548418', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-22 15:01:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 15:01:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572843711879454721', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-22 15:02:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 15:02:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572843712072392706', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-22 15:02:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 15:02:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572844774422487042', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-22 15:06:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 15:06:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["10000"],"current":["1"]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572844774447652865', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-22 15:06:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 15:06:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '32', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572844774799974402', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-22 15:06:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 15:06:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["30"],"current":["1"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572844831980920834', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-22 15:06:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 15:06:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/page', 'GET', '{"current":["1"],"size":["30"],"yearName":[""]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572844832710729729', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-22 15:06:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 15:06:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/page', 'GET', '{"current":["1"],"size":["30"],"yearName":[""]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572845813477416961', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-22 15:10:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 15:10:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '7', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572845839192694785', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-22 15:10:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 15:10:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572786304281247746', 'GET', '{"id":["1572786304281247746"]}', '25', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572846646973702145', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-22 15:13:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 15:13:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572846672466681857', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-22 15:14:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 15:14:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572786304281247746', 'GET', '{"id":["1572786304281247746"]}', '21', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572849002566131714', '1', 'tofly-flow', 'll', TO_DATE('2022-09-22 15:23:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 15:23:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572849094916317185', '1', 'tofly-flow', 'll', TO_DATE('2022-09-22 15:23:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 15:23:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/page', 'GET', '{"size":["30"],"current":["1"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572849218266603521', '1', 'tofly-flow', 'll', TO_DATE('2022-09-22 15:24:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 15:24:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/page', 'GET', '{"size":["30"],"current":["1"]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572849715807526914', '1', 'tofly-flow', 'll', TO_DATE('2022-09-22 15:26:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 15:26:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/page', 'GET', '{"size":["30"],"current":["1"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572849751073234945', '1', 'tofly-flow', 'll', TO_DATE('2022-09-22 15:26:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 15:26:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/page', 'GET', '{"size":["30"],"current":["1"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572853010009694210', '2', 'tofly-auth', 'administrator', TO_DATE('2022-09-22 15:39:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 15:39:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/c05aaa0a-9033-4c93-9ace-fdad8488b180', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572866290061156354', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-22 16:32:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 16:32:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '1', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572471135512559618', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 14:21:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 14:21:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/1572142535370461186', 'GET', '{"0":["1572142535370461186"]}', '17', NULL, NULL, 'content:通过id查询施工组织单位', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572471340668551170', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 14:22:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 14:22:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '64', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572471353574424578', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 14:22:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 14:22:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/1572142535370461186', 'GET', '{"0":["1572142535370461186"]}', '19', NULL, NULL, 'content:通过id查询施工组织单位', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572471586702229506', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 14:23:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 14:23:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/1572142535370461186', 'GET', '{"0":["1572142535370461186"]}', '10', NULL, NULL, 'content:通过id查询施工组织单位', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572476805137907715', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-21 14:44:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 14:44:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '10', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572477502793269249', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 14:47:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 14:47:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '7', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572477511085408258', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 14:47:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 14:47:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '25', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572477511404175362', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 14:47:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 14:47:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '19', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572477520870719489', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 14:47:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 14:47:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"id":["1572063395757809666"]}', '58', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572477521374035970', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 14:47:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 14:47:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572477521579556865', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 14:47:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 14:47:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572477523471187969', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 14:47:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 14:47:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572478987551748098', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-21 14:53:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 14:53:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '10', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572479072675147778', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-21 14:53:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 14:53:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '10', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572479080535273473', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-21 14:53:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 14:53:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '8', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572480156583964674', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 14:57:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 14:57:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl', 'POST', '{}', '272', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572480157057921026', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 14:57:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 14:57:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '22', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572480166893563905', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 14:57:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 14:57:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '7', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572480171561824258', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 14:57:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 14:57:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"id":["1572063395757809666"]}', '55', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572482417552896001', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-21 15:06:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 15:06:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '10', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572482419985592322', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 15:06:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 15:06:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl', 'POST', '{}', '102', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572482423034851330', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-21 15:06:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 15:06:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572482447445700609', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 15:06:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 15:06:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl', 'POST', '{}', '185', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572482447932239874', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 15:06:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 15:06:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '21', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572482457604304898', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 15:06:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 15:06:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572482463556022274', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 15:06:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 15:06:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"id":["1572063395757809666"]}', '58', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572482528198635522', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 15:07:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 15:07:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '8', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572482528215412738', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 15:07:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 15:07:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '8', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572482530039934977', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 15:07:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 15:07:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '24', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572482530312564738', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 15:07:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 15:07:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '19', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572482537862311937', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 15:07:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 15:07:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"id":["1572063395757809666"]}', '55', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572482538374017026', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 15:07:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 15:07:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572482538592120834', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 15:07:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 15:07:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572482540743798785', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 15:07:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 15:07:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572482610671235074', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 15:07:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 15:07:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl', 'POST', '{}', '499', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572482611120025602', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 15:07:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 15:07:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '23', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572482629654654978', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 15:07:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 15:07:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '7', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572482634704596994', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 15:07:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 15:07:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"id":["1572063395757809666"]}', '43', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572482706750156802', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 15:07:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 15:07:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '18', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572482707043758081', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 15:07:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 15:07:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572482720675246081', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 15:07:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 15:07:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572753217635864578', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-22 09:02:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 09:02:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '203', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572753226607480833', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-22 09:02:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 09:02:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '19', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572753233729409025', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-22 09:02:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 09:02:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '77', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572753246559784961', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-22 09:02:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 09:02:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '15', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572753358728056833', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-22 09:03:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 09:03:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572753358799360001', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-22 09:03:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 09:03:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572753363979325441', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-22 09:03:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 09:03:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572753364222595073', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-22 09:03:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 09:03:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572753380215476225', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-22 09:03:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 09:03:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '132', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572753382128078849', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-22 09:03:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 09:03:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572753382463623170', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-22 09:03:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 09:03:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572753385194115073', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-22 09:03:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 09:03:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572754144174395394', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-22 09:06:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 09:06:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/page', 'GET', '{"tenantId":["1"],"current":["1"],"size":["10000"],"isDel":["0"]}', '2', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572755167416799234', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-22 09:10:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 09:10:26', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/tfprocessconfigl/1572157726111834113', 'GET', '{}', '32', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572755414436139010', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 09:11:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 09:11:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572755540684689409', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 09:11:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 09:11:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572755540693078017', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 09:11:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 09:11:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '9', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572755611757170689', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 09:12:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 09:12:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572755611983663106', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 09:12:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 09:12:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572755632229568513', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 09:12:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 09:12:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572157726111834113', 'GET', '{"id":["1572157726111834113"]}', '32', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572755632745467905', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 09:12:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 09:12:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572755632930017282', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 09:12:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 09:12:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572755635106861057', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 09:12:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 09:12:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572755822931988482', '2', 'tofly-auth', 'test', TO_DATE('2022-09-22 09:13:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 09:13:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/f1fc38c0-1734-4de1-9168-25aabf1807cf', 'DELETE', '{}', '8', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572762835191713793', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-22 09:40:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 09:40:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572763610710134786', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-22 09:43:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 09:43:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572763610940821506', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-22 09:44:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 09:44:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572763619908243457', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-22 09:44:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 09:44:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '110', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572763620482863106', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-22 09:44:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 09:44:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572763620675801089', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-22 09:44:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 09:44:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572763622668095490', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-22 09:44:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 09:44:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572764013891801089', '1', 'tofly-flow', 'll', TO_DATE('2022-09-22 09:45:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 09:45:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"id":["1572063395757809666"]}', '27', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572764311725133825', '1', 'tofly-flow', 'hq', TO_DATE('2022-09-22 09:46:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 09:46:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572764332516298753', '1', 'tofly-flow', 'hq', TO_DATE('2022-09-22 09:46:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 09:46:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '66', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572764343073361921', '1', 'tofly-flow', 'hq', TO_DATE('2022-09-22 09:46:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 09:46:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '13', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572764356839067650', '1', 'tofly-flow', 'hq', TO_DATE('2022-09-22 09:46:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 09:46:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '39', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572764367249330177', '1', 'tofly-flow', 'hq', TO_DATE('2022-09-22 09:47:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 09:47:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"typeName":[""],"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572764377722507265', '1', 'tofly-flow', 'hq', TO_DATE('2022-09-22 09:47:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 09:47:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfreportentryp/page', 'GET', '{"name":[""],"current":["1"],"size":["30"]}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572764388107603970', '1', 'tofly-flow', 'hq', TO_DATE('2022-09-22 09:47:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 09:47:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"typeName":[""],"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572774870478602242', '1', 'tofly-flow', 'll', TO_DATE('2022-09-22 10:28:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 10:28:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '17', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572774870734454785', '1', 'tofly-flow', 'll', TO_DATE('2022-09-22 10:28:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 10:28:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572774878871404545', '1', 'tofly-flow', 'll', TO_DATE('2022-09-22 10:28:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 10:28:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"id":["1572063395757809666"]}', '31', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572774879345360898', '1', 'tofly-flow', 'll', TO_DATE('2022-09-22 10:28:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 10:28:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572774879546687489', '1', 'tofly-flow', 'll', TO_DATE('2022-09-22 10:28:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 10:28:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572774881962606593', '1', 'tofly-flow', 'll', TO_DATE('2022-09-22 10:28:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 10:28:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '7', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572782585967812609', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 10:59:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 10:59:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '263', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572783608484601858', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-22 11:03:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 11:03:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '12', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572783807370108930', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 11:04:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 11:04:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '9', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572785060963688449', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 11:09:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 11:09:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '16', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572785199526715394', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 11:09:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 11:09:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '11', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572785761013997569', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 11:12:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 11:12:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568483117915193345"],"isMould":["0"]}', '10', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572785928614191106', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 11:12:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 11:12:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '179', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572785929146867713', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 11:12:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 11:12:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '27', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572785935882919938', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 11:12:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 11:12:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572785936298156034', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 11:12:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 11:12:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572785939313860609', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 11:12:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 11:12:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '36', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572785956514701314', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 11:12:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 11:12:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572057231389220865', 'GET', '{"id":["1572057231389220865"]}', '38', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572785957076738049', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 11:12:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 11:12:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572785957307424770', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 11:12:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 11:12:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572785959828201474', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 11:12:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 11:12:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '8', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572786276280049666', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 11:14:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 11:14:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl', 'POST', '{}', '111', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572786304738402305', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 11:14:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 11:14:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl', 'POST', '{}', '153', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572786305279467521', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 11:14:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 11:14:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '23', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572786318827069442', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 11:14:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 11:14:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572786304281247746', 'GET', '{"id":["1572786304281247746"]}', '40', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572786319263277057', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 11:14:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 11:14:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '4', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572786319468797953', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 11:14:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 11:14:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '4', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572786321997963265', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 11:14:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 11:14:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '7', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572786358572294145', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 11:14:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 11:14:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl', 'POST', '{}', '56', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572786359113359361', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 11:14:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 11:14:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '22', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572786377278889986', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 11:14:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 11:14:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '10', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572786387928227841', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 11:14:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 11:14:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568483117915193345"],"isMould":["0"]}', '12', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572786955522416641', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 11:16:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 11:16:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568483117915193345"],"isMould":["0"]}', '11', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572787419722817537', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-22 11:18:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 11:18:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '231', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572787555580518401', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 11:19:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 11:19:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568483117915193345"],"isMould":["0"]}', '12', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572787969478631426', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-22 11:20:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 11:20:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '28', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572788010549256193', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-22 11:20:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 11:20:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572788060419530754', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-22 11:21:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 11:21:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '51', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572835090324004865', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 14:28:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 14:28:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568483117915193345"],"isMould":["0"]}', '10', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572835091817177089', '2', 'tofly-auth', 'administrator', TO_DATE('2022-09-22 14:28:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 14:28:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/e49cf3a1-62d6-4f0b-9cc3-bd1227c426b6', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572835552414670849', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 14:29:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 14:29:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568483117915193345"],"isMould":["0"]}', '11', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572835921194655746', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 14:31:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 14:31:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568483117915193345"],"isMould":["0"]}', '9', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572836105349767169', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-22 14:32:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 14:32:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572836116649222146', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-22 14:32:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 14:32:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572836731462885377', '1', 'tofly-flow', 'll', TO_DATE('2022-09-22 14:34:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 14:34:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572837239879639042', '1', 'tofly-flow', 'll', TO_DATE('2022-09-22 14:36:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 14:36:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572837493874106370', '1', 'tofly-flow', 'll', TO_DATE('2022-09-22 14:37:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 14:37:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572837736124522497', '1', 'tofly-flow', 'll', TO_DATE('2022-09-22 14:38:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 14:38:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572839721385074689', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-22 14:46:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 14:46:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572839721661898754', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-22 14:46:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 14:46:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '18', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572850342931472385', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-22 15:28:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 15:28:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572850367573008385', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-22 15:28:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 15:28:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572786304281247746', 'GET', '{"id":["1572786304281247746"]}', '22', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572850820457177089', '1', 'tofly-flow', 'll', TO_DATE('2022-09-22 15:30:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 15:30:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/page', 'GET', '{"size":["30"],"current":["1"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572850842393387009', '1', 'tofly-flow', 'll', TO_DATE('2022-09-22 15:30:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 15:30:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572850885024292865', '1', 'tofly-flow', 'll', TO_DATE('2022-09-22 15:30:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 15:30:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/page', 'GET', '{"size":["30"],"current":["1"]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572850925008592897', '1', 'tofly-flow', 'll', TO_DATE('2022-09-22 15:30:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 15:30:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/page', 'GET', '{"size":["30"],"current":["1"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572852167390797826', '1', 'tofly-flow', 'll', TO_DATE('2022-09-22 15:35:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 15:35:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '2', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572852732560678914', '1', 'tofly-flow', 'll', TO_DATE('2022-09-22 15:38:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 15:38:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572852816153157633', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-22 15:38:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 15:38:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572852836168376322', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-22 15:38:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 15:38:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572786304281247746', 'GET', '{"id":["1572786304281247746"]}', '21', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572853000874500098', '1', 'tofly-flow', 'll', TO_DATE('2022-09-22 15:39:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 15:39:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572853653512396801', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-22 15:41:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 15:41:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572853681308049409', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-22 15:41:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 15:41:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572786304281247746', 'GET', '{"id":["1572786304281247746"]}', '21', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572856394808827905', '1', 'tofly-flow', 'll', TO_DATE('2022-09-22 15:52:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 15:52:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572866563148095490', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-22 16:33:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 16:33:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572866668001501185', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-22 16:33:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 16:33:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572866698678640642', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 16:33:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 16:33:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568483117915193345"],"isMould":["0"]}', '7', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572866729599049730', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-22 16:33:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 16:33:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/page', 'GET', '{"tenantId":["1"],"current":["1"],"size":["10000"],"isDel":["0"]}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572866729657769985', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-22 16:33:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 16:33:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572866736213467137', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 16:33:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 16:33:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572786304281247746', 'GET', '{"id":["1572786304281247746"]}', '24', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572866747731025922', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 16:33:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 16:33:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/list', 'GET', '{}', '27', NULL, NULL, 'content:列表查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572867173377384450', '1', 'tofly-flow', 'll', TO_DATE('2022-09-22 16:35:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 16:35:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572867173595488258', '1', 'tofly-flow', 'll', TO_DATE('2022-09-22 16:35:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 16:35:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572867177605242882', '1', 'tofly-flow', 'll', TO_DATE('2022-09-22 16:35:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 16:35:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572873211929436161', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 16:59:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 16:59:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"typeName":[""],"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572482721035956225', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 15:07:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 15:07:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572482725720993794', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 15:07:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 15:07:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"id":["1572063395757809666"]}', '39', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572482726178172930', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 15:07:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 15:07:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572482726371110913', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 15:07:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 15:07:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572482728308879362', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 15:07:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 15:07:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572485510365528067', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 15:18:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 15:18:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '630', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572491352913518594', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-21 15:42:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 15:42:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/ab1f990b-8b9d-4cbb-b39a-699220e09fdb', 'DELETE', '{}', '7', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572494014455259137', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-21 15:52:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 15:52:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572496835263111170', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 16:03:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 16:03:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '23', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572496844431859714', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 16:03:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 16:03:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"id":["1572063395757809666"]}', '57', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572501687150129153', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 16:23:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 16:23:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '262', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572501707324731393', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 16:23:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 16:23:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572501713318391809', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 16:23:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 16:23:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"id":["1572063395757809666"]}', '71', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572502317646295041', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 16:25:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 16:25:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572502330296315906', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 16:25:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 16:25:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"id":["1572063395757809666"]}', '62', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572502706277920769', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 16:27:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 16:27:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572502713915748354', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 16:27:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 16:27:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"id":["1572063395757809666"]}', '51', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572503063171248129', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 16:28:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 16:28:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572503069651447810', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 16:28:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 16:28:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"id":["1572063395757809666"]}', '62', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572503115612631042', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 16:28:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 16:28:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"id":["1572063395757809666"]}', '48', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572503686600011778', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 16:31:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 16:31:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572503694401417217', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 16:31:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 16:31:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"id":["1572063395757809666"]}', '47', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572503947854819329', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 16:32:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 16:32:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572503957422026754', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 16:32:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 16:32:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"id":["1572063395757809666"]}', '43', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572504338327744514', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 16:33:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 16:33:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572504350201819138', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 16:33:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 16:33:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"id":["1572063395757809666"]}', '48', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572506515087634434', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 16:42:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 16:42:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572506529557983233', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 16:42:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 16:42:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"id":["1572063395757809666"]}', '45', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572508440587743234', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-21 16:50:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 16:50:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '51', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572508492718747649', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-21 16:50:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 16:50:15', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/tfprocessconfigl/1569613105131102209', 'GET', '{}', '1', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572508535328681986', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-21 16:50:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 16:50:25', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/tfprocessconfigl/page', 'GET', '{"hitCount":[""],"optimizeCountSql":[""],"records":[""],"isValid":[""],"searchCount":[""],"content":[""],"current":[""],"total":[""],"size":[""],"orders[0].asc":[""],"tenantId":[""],"orders[0].column":[""],"processType":[""],"businessType":[""],"isDel":[""],"isMould":[""]}', '537', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572508564961439746', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-21 16:50:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 16:50:32', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/tfprocessconfigl/1572157726111834113', 'GET', '{}', '42', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572508940209041409', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 16:52:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 16:52:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '24', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572508940473282561', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 16:52:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 16:52:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572508950564777985', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 16:52:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 16:52:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"id":["1572063395757809666"]}', '42', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572508951080677378', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 16:52:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 16:52:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572508951332335618', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 16:52:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 16:52:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572508953244938242', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 16:52:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 16:52:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572509820576673794', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 16:55:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 16:55:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572391193110204417', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 09:04:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 09:04:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '122', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572391198961258498', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 09:04:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 09:04:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '25', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572391261271838721', '0', 'tofly-flow', 'lz', TO_DATE('2022-09-21 09:04:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 09:04:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp', 'POST', '{}', '89', NULL, 'com.tofly.workflow.baseconf.mapper.TfProjectProcessPMapper.insert (batch index #1) failed. Cause: java.sql.BatchUpdateException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.PK_TF_PROJECT_PROCESS_P)

; ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.PK_TF_PROJECT_PROCESS_P)
; nested exception is java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.PK_TF_PROJECT_PROCESS_P)', 'content:新增工程工序/工程管控', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572391549089173505', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 09:05:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 09:05:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '26', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572392119250276354', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 09:07:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 09:07:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '20', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572392134689509377', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 09:07:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 09:07:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '24', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572392189244821505', '0', 'tofly-flow', 'lz', TO_DATE('2022-09-21 09:08:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 09:08:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp', 'POST', '{}', '78', NULL, 'com.tofly.workflow.baseconf.mapper.TfProjectProcessPMapper.insert (batch index #1) failed. Cause: java.sql.BatchUpdateException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.PK_TF_PROJECT_PROCESS_P)

; ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.PK_TF_PROJECT_PROCESS_P)
; nested exception is java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.PK_TF_PROJECT_PROCESS_P)', 'content:新增工程工序/工程管控', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572392570699993089', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 09:09:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 09:09:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp', 'POST', '{}', '6', NULL, NULL, 'content:新增工程工序/工程管控', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572392571077480449', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 09:09:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 09:09:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '19', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572392601779785730', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 09:09:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 09:09:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '21', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572392646302322689', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 09:09:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 09:09:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '23', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572392700752777218', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 09:10:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 09:10:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp', 'POST', '{}', '4', NULL, NULL, 'content:新增工程工序/工程管控', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572392701105098754', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 09:10:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 09:10:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '26', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572764738772389890', '1', 'tofly-flow', 'lye', TO_DATE('2022-09-22 09:48:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 09:48:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572766629308780546', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-22 09:55:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 09:55:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl', 'POST', '{}', '659', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572766630437048322', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-22 09:55:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 09:55:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572766637437341697', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-22 09:56:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 09:56:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572157726111834113', 'GET', '{"id":["1572157726111834113"]}', '25', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572766640759230466', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-22 09:56:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 09:56:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572766643263229954', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-22 09:56:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 09:56:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572766647159738370', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-22 09:56:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 09:56:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '2', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572766660090777602', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-22 09:56:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 09:56:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572766665987969025', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-22 09:56:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 09:56:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572766877884207106', '1', 'tofly-flow', 'lye', TO_DATE('2022-09-22 09:56:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 09:56:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572767660461641730', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-22 10:00:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 10:00:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572767662281969666', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-22 10:00:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 10:00:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572767674017632257', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-22 10:00:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 10:00:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '121', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572767677037531138', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-22 10:00:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 10:00:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572767677863809025', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-22 10:00:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 10:00:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572767683907801089', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-22 10:00:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 10:00:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572767706229886978', '1', 'tofly-flow', 'll', TO_DATE('2022-09-22 10:00:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 10:00:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"id":["1572063395757809666"]}', '30', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572767897586618370', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 10:01:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 10:01:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572767897804722178', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 10:01:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 10:01:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572767956327845889', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 10:01:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 10:01:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '106', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572767957477085186', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 10:01:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 10:01:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572767959876227073', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 10:01:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 10:01:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572496909540040706', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 16:04:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 16:04:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '43', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572496909816864769', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 16:04:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 16:04:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '20', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572496913503657985', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-21 16:04:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 16:04:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '39', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572496917874122753', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 16:04:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 16:04:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"id":["1572063395757809666"]}', '59', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572496918327107586', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 16:04:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 16:04:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572496918541017089', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 16:04:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 16:04:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572496920311013377', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 16:04:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 16:04:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572756060614807554', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 09:13:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 09:13:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572756912226291714', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 09:17:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 09:17:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572756912436006913', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 09:17:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 09:17:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572756949639483394', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 09:17:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 09:17:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '132', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572756950214103042', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 09:17:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 09:17:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572756950423818241', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 09:17:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 09:17:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572756952487415810', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 09:17:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 09:17:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572762121228898305', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-22 09:38:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 09:38:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfreportentryp/page', 'GET', '{"name":[""],"current":["1"],"size":["30"]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572762131374919682', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-22 09:38:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 09:38:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfreportentryp/page', 'GET', '{"name":[""],"current":["1"],"size":["30"]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572762138496847874', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-22 09:38:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 09:38:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"typeName":[""],"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '26', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572762165822738434', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-22 09:38:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 09:38:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572762183967297537', '2', 'tofly-auth', 'lz', TO_DATE('2022-09-22 09:38:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 09:38:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/571cc87f-153d-49e3-a288-d48d65e3eb22', 'DELETE', '{}', '1', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572762434451132417', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-22 09:39:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 09:39:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572762440881000449', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-22 09:39:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 09:39:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572788101712453634', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-22 11:21:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 11:21:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '30', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572788138098040833', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-22 11:21:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 11:21:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '34', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572788149212946434', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-22 11:21:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 11:21:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '30', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572788183467827202', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-22 11:21:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 11:21:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"typeName":[""],"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '29', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572788246940229633', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-22 11:21:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 11:21:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '25', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572788280767291394', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 11:22:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 11:22:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568483117915193345"],"isMould":["0"]}', '11', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572788365899079682', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-22 11:22:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 11:22:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '23', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572788454533111809', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 11:22:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 11:22:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572786304281247746', 'GET', '{"id":["1572786304281247746"]}', '33', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572788616982700034', '2', 'tofly-auth', 'yj', TO_DATE('2022-09-22 11:23:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 11:23:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/9cbb8ace-f792-45ff-b0bf-98bb1c1f658f', 'DELETE', '{}', '9', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572788759454818306', '2', 'tofly-auth', 'll', TO_DATE('2022-09-22 11:23:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 11:23:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/b665c3a8-2e31-428e-a0d4-3a1570146f01', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572789201551237121', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 11:25:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 11:25:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '26', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572789201819672577', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 11:25:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 11:25:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '17', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572789221700673538', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 11:25:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 11:25:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572786304281247746', 'GET', '{"id":["1572786304281247746"]}', '34', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572789222216572930', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 11:25:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 11:25:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572789222426288130', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 11:25:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 11:25:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572789224892538882', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 11:25:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 11:25:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572789405146947585', '1', 'tofly-flow', 'll', TO_DATE('2022-09-22 11:26:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 11:26:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572789405163724802', '1', 'tofly-flow', 'll', TO_DATE('2022-09-22 11:26:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 11:26:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '8', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572789413078376449', '1', 'tofly-flow', 'll', TO_DATE('2022-09-22 11:26:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 11:26:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '18', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572789413325840386', '1', 'tofly-flow', 'll', TO_DATE('2022-09-22 11:26:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 11:26:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '17', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572210561784565762', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-20 21:06:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 21:06:22', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.167.115', NULL, '/tfregionp/page', 'GET', '{"tenantId":["1"],"current":["1"],"size":["10000"],"isDel":["0"]}', '28', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572396029138522114', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-21 09:23:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 09:23:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572396037137059841', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-21 09:23:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 09:23:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '7', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572396190132686849', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-21 09:24:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 09:24:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/page', 'GET', '{"tenantId":["1"],"current":["1"],"size":["10000"],"isDel":["0"]}', '2', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572405938232016897', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-21 10:02:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 10:02:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '291', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572405938232016898', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-21 10:02:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 10:02:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '25', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572417861539381249', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 10:50:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 10:50:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '28', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572417891063087105', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 10:50:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 10:50:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '27', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572417906632343554', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 10:50:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 10:50:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/removeByNatureAndTenantId', 'DELETE', '{"tenantId":["1"],"nature":["1"]}', '2', NULL, NULL, 'content:通过tenantId和nature删除工程工序/工程管控', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572417906930139137', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 10:50:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 10:50:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '26', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572418003176833026', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 10:50:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 10:50:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '28', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572418011867430914', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 10:50:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 10:50:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '26', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572537771808641026', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 18:46:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 18:46:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl', 'POST', '{}', '307', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572537772840439809', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 18:46:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 18:46:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572537856206426114', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 18:46:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 18:46:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '8', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572543064592470018', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-21 19:07:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 19:07:37', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/tfprocessconfigl/1572157726111834113', 'GET', '{}', '36', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572587255020244993', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 22:03:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 22:03:13', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.91.143', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572587260045021185', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 22:03:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 22:03:14', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.91.143', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"id":["1572063395757809666"]}', '29', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572590521623891970', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 22:16:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 22:16:12', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.91.143', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572590732299587585', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 22:17:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 22:17:02', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.91.143', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"id":["1572063395757809666"]}', '26', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572591582975741954', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 22:20:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 22:20:25', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.91.143', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"id":["1572063395757809666"]}', '25', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572847830048448514', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 15:18:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 15:18:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572786304281247746', 'GET', '{"id":["1572786304281247746"]}', '26', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572851457538400257', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 15:33:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 15:33:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '123', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572851908442857473', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-22 15:34:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 15:34:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '7', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572851950994071554', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-22 15:35:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 15:35:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572786304281247746', 'GET', '{"id":["1572786304281247746"]}', '26', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572859172658618369', '1', 'tofly-flow', 'll', TO_DATE('2022-09-22 16:03:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 16:03:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572859345812070401', '1', 'tofly-flow', 'll', TO_DATE('2022-09-22 16:04:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 16:04:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572859487994781697', '1', 'tofly-flow', 'll', TO_DATE('2022-09-22 16:04:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 16:04:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572879365095141377', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-22 17:23:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 17:23:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '24', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572879481843593218', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-22 17:24:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 17:24:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572786304281247746', 'GET', '{"id":["1572786304281247746"]}', '50', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572880663538331649', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-22 17:29:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 17:29:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectmaterialw/getDispatchRecord', 'GET', '{"relationId":["1570739116476383234"],"materialType":["3"]}', '27', NULL, NULL, 'content:领料记录', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572882545862275074', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 17:36:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 17:36:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '41', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572882558726205442', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 17:36:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 17:36:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568483117915193345"],"isMould":["0"]}', '15', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572882773503930369', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 17:37:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 17:37:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572786304281247746', 'GET', '{"id":["1572786304281247746"]}', '50', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572882775391367169', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 17:37:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 17:37:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '178', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572882775563333634', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 17:37:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 17:37:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{}', '250', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572883010473717762', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 17:38:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 17:38:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '29', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572883010507272193', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 17:38:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 17:38:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{}', '60', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572883015670460417', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-22 17:38:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 17:38:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '31', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572112623376814081', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-20 14:37:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 14:37:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["10000"],"current":["1"]}', '40', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572113112168419330', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-20 14:39:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 14:39:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["10000"],"current":["1"]}', '31', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572162735574708226', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 17:56:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:56:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl', 'POST', '{}', '28', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572162735964778497', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 17:56:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:56:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572162742201708546', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 17:56:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:56:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572157726111834113', 'GET', '{"id":["1572157726111834113"]}', '33', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572162742629527553', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 17:56:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:56:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572162742818271233', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 17:56:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:56:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572162744592461826', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 17:56:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:56:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572162839765413889', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 17:56:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:56:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl', 'POST', '{}', '23', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572162840100958209', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 17:56:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:56:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572162880622129154', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 17:56:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:56:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572157726111834113', 'GET', '{"id":["1572157726111834113"]}', '28', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572162881117057026', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 17:56:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:56:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572162881301606402', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 17:56:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:56:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572162883155488770', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 17:56:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:56:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572162944283275266', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 17:57:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:57:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl', 'POST', '{}', '19', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572162944761425921', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 17:57:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:57:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572162954819366913', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 17:57:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:57:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572157726111834113', 'GET', '{"id":["1572157726111834113"]}', '31', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572162955662422017', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 17:57:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:57:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572162956136378370', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 17:57:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:57:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572162958267084802', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 17:57:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:57:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572163497662967809', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 17:59:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:59:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572157726111834113', 'GET', '{"id":["1572157726111834113"]}', '31', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572163509662871554', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 17:59:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:59:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '117', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572163602252132353', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 17:59:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:59:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572157726111834113', 'GET', '{"id":["1572157726111834113"]}', '28', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572163602805780481', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 17:59:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:59:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572163602990329858', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 17:59:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:59:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572163604634497025', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 17:59:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:59:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572214178855866370', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 21:20:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 21:20:45', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.91.143', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572214187370303490', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 21:20:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 21:20:47', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.91.143', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"id":["1572063395757809666"]}', '42', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572215213548720129', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 21:24:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 21:24:51', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.91.143', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572215224894312449', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 21:24:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 21:24:54', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.91.143', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"id":["1572063395757809666"]}', '36', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572215457141313538', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 21:25:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 21:25:49', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.91.143', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572215467660627969', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 21:25:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 21:25:52', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.91.143', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"id":["1572063395757809666"]}', '70', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572215911795478529', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 21:27:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 21:27:38', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.91.143', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"id":["1572063395757809666"]}', '30', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572234282855387137', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 22:40:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 22:40:38', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.91.143', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572234288517697537', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 22:40:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 22:40:39', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.91.143', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"id":["1572063395757809666"]}', '34', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572234809945182209', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 22:42:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 22:42:44', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.91.143', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572234820212838402', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 22:42:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 22:42:46', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.91.143', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"id":["1572063395757809666"]}', '34', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572235311177093121', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 22:44:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 22:44:43', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.91.143', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"id":["1572063395757809666"]}', '32', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572236303020937217', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 22:48:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 22:48:40', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.91.143', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572143491642302466', '1', 'tofly-flow', 'qw', TO_DATE('2022-09-20 16:39:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 16:39:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572143539633528833', '1', 'tofly-flow', 'qw', TO_DATE('2022-09-20 16:40:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 16:40:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572143539893575682', '1', 'tofly-flow', 'qw', TO_DATE('2022-09-20 16:40:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 16:40:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572143565726294018', '1', 'tofly-flow', 'qw', TO_DATE('2022-09-20 16:40:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 16:40:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572143565990535170', '1', 'tofly-flow', 'qw', TO_DATE('2022-09-20 16:40:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 16:40:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572143593744244737', '1', 'tofly-flow', 'qw', TO_DATE('2022-09-20 16:40:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 16:40:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572143593995902977', '1', 'tofly-flow', 'qw', TO_DATE('2022-09-20 16:40:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 16:40:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572143608441085953', '1', 'tofly-flow', 'qw', TO_DATE('2022-09-20 16:40:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 16:40:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '127', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572143608956985345', '1', 'tofly-flow', 'qw', TO_DATE('2022-09-20 16:40:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 16:40:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572143609183477761', '1', 'tofly-flow', 'qw', TO_DATE('2022-09-20 16:40:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 16:40:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572143611255463937', '1', 'tofly-flow', 'qw', TO_DATE('2022-09-20 16:40:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 16:40:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572144057151922177', '1', 'tofly-flow', 'qw', TO_DATE('2022-09-20 16:42:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 16:42:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl', 'POST', '{}', '73', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572144057760096258', '1', 'tofly-flow', 'qw', TO_DATE('2022-09-20 16:42:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 16:42:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572144065381146625', '1', 'tofly-flow', 'qw', TO_DATE('2022-09-20 16:42:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 16:42:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '135', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572144065838325762', '1', 'tofly-flow', 'qw', TO_DATE('2022-09-20 16:42:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 16:42:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572144066006097921', '1', 'tofly-flow', 'qw', TO_DATE('2022-09-20 16:42:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 16:42:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572144067880951810', '1', 'tofly-flow', 'qw', TO_DATE('2022-09-20 16:42:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 16:42:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572151591547969537', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-20 17:12:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:12:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/page', 'GET', '{"tenantId":["1"],"current":["1"],"size":["10000"],"isDel":["0"]}', '2', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572152135859576833', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 17:14:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:14:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572152136077680641', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 17:14:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:14:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572152145011548162', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 17:14:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:14:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '139', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572152145540030465', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 17:14:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:14:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572152145724579842', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 17:14:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:14:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572152147582656514', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 17:14:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:14:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572152461291429889', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 17:15:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:15:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572152526160535553', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 17:15:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:15:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572152948510171138', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 17:17:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:17:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572152983620689921', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 17:17:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:17:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"id":["1572063395757809666"]}', '32', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572153592704933890', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-20 17:20:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:20:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572153599248048130', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-20 17:20:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:20:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572153602431524866', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-20 17:20:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:20:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/page', 'GET', '{"tenantId":["1"],"current":["1"],"size":["10000"],"isDel":["0"]}', '2', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572153737634914305', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-20 17:20:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:20:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572153743397888002', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-20 17:20:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:20:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572156384450453506', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-20 17:31:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:31:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/page', 'GET', '{"tenantId":["1"],"current":["1"],"size":["10000"],"isDel":["0"]}', '2', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572156458723188737', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 17:31:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:31:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572156467443146753', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 17:31:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:31:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"id":["1572063395757809666"]}', '31', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572156496232849410', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-20 17:31:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:31:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572156501828050946', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-20 17:31:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:31:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '7', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572156601983836161', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-20 17:31:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:31:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/page', 'GET', '{"tenantId":["1"],"current":["1"],"size":["10000"],"isDel":["0"]}', '2', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572156842762051586', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 17:32:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:32:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572789420791701506', '1', 'tofly-flow', 'll', TO_DATE('2022-09-22 11:26:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 11:26:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572786304281247746', 'GET', '{"id":["1572786304281247746"]}', '31', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572789421257269249', '1', 'tofly-flow', 'll', TO_DATE('2022-09-22 11:26:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 11:26:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572789421466984450', '1', 'tofly-flow', 'll', TO_DATE('2022-09-22 11:26:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 11:26:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572789423803211777', '1', 'tofly-flow', 'll', TO_DATE('2022-09-22 11:26:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 11:26:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572789506204508161', '1', 'tofly-flow', 'll', TO_DATE('2022-09-22 11:26:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 11:26:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl', 'POST', '{}', '29', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572789506632327170', '1', 'tofly-flow', 'll', TO_DATE('2022-09-22 11:26:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 11:26:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572789561506406401', '1', 'tofly-flow', 'll', TO_DATE('2022-09-22 11:27:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 11:27:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572786304281247746', 'GET', '{"id":["1572786304281247746"]}', '28', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572789561988751362', '1', 'tofly-flow', 'll', TO_DATE('2022-09-22 11:27:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 11:27:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572789562269769730', '1', 'tofly-flow', 'll', TO_DATE('2022-09-22 11:27:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 11:27:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572789564727631874', '1', 'tofly-flow', 'll', TO_DATE('2022-09-22 11:27:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 11:27:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572789616892190721', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 11:27:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 11:27:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '8', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572789657706962946', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-22 11:27:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 11:27:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '9', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572789663218278401', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 11:27:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 11:27:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568483117915193345"],"isMould":["0"]}', '8', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572789903589646338', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 11:28:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 11:28:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568483117915193345"],"isMould":["0"]}', '8', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572789956156858369', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 11:28:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 11:28:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572786304281247746', 'GET', '{"id":["1572786304281247746"]}', '26', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572790286659624961', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 11:30:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 11:30:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568483117915193345"],"isMould":["0"]}', '9', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572790310869147649', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-22 11:30:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 11:30:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572790321099055105', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-22 11:30:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 11:30:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '16', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572790326790725633', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-22 11:30:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 11:30:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '97', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572790958645846017', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-22 11:32:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 11:32:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572791017399656450', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-22 11:32:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 11:32:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"typeName":[""],"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572791022978080769', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-22 11:32:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 11:32:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '23', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572791027633758209', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-22 11:32:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 11:32:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '2', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572791032587231233', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-22 11:32:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 11:32:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '77', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572791184404258817', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-22 11:33:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 11:33:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572791221712592897', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-22 11:33:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 11:33:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572791242424066049', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-22 11:33:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 11:33:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '74', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572791350884573185', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 11:34:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 11:34:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568483117915193345"],"isMould":["0"]}', '7', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572791427246071810', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 11:34:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 11:34:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572786304281247746', 'GET', '{"id":["1572786304281247746"]}', '27', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572791517171949569', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-22 11:34:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 11:34:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572791781698314241', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 11:35:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 11:35:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '18', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572791781916418050', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 11:35:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 11:35:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572791798345506817', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 11:36:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 11:36:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572786304281247746', 'GET', '{"id":["1572786304281247746"]}', '27', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572791798840434690', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 11:36:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 11:36:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572791799016595458', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 11:36:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 11:36:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572791801654812674', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 11:36:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 11:36:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572792137928941569', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-22 11:37:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 11:37:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572792196158464001', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-22 11:37:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 11:37:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["10000"],"current":["1"]}', '21', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572792196275904514', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-22 11:37:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 11:37:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '65', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572866295769604098', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-22 16:32:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 16:32:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572866299024384001', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-22 16:32:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 16:32:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/page', 'GET', '{"tenantId":["1"],"current":["1"],"size":["10000"],"isDel":["0"]}', '2', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572866299049549825', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-22 16:32:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 16:32:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1"],"isMould":["0"]}', '1', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572866432789127170', '1', 'tofly-flow', 'll', TO_DATE('2022-09-22 16:32:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 16:32:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"id":["1572063395757809666"]}', '27', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572866442146619393', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 16:32:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 16:32:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572786304281247746', 'GET', '{"id":["1572786304281247746"]}', '26', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572867177605242883', '1', 'tofly-flow', 'll', TO_DATE('2022-09-22 16:35:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 16:35:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572867251437576194', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-22 16:35:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 16:35:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572867257045360641', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-22 16:35:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 16:35:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572867262384709633', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-22 16:35:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 16:35:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/page', 'GET', '{"tenantId":["1"],"current":["1"],"size":["10000"],"isDel":["0"]}', '2', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572867262401486850', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-22 16:35:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 16:35:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1"],"isMould":["0"]}', '1', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572867295993667586', '1', 'tofly-flow', 'll', TO_DATE('2022-09-22 16:36:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 16:36:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572867296199188482', '1', 'tofly-flow', 'll', TO_DATE('2022-09-22 16:36:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 16:36:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572867302847160322', '1', 'tofly-flow', 'll', TO_DATE('2022-09-22 16:36:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 16:36:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572867303023321089', '1', 'tofly-flow', 'll', TO_DATE('2022-09-22 16:36:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 16:36:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572867305653149697', '1', 'tofly-flow', 'll', TO_DATE('2022-09-22 16:36:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 16:36:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572867312359841794', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-22 16:36:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 16:36:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568483117915193345"],"isMould":["0"]}', '9', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572867333134229506', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-22 16:36:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 16:36:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '111', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572867525061386242', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-22 16:36:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 16:36:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572867549686145025', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-22 16:37:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 16:37:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572867672809938946', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-22 16:37:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 16:37:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572867714841059330', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-22 16:37:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 16:37:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp', 'PUT', '{}', '16', NULL, NULL, 'content:修改物资信息表', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572867715122077697', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-22 16:37:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 16:37:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572868231851941890', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-22 16:39:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 16:39:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572868232137154561', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 16:39:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 16:39:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '49', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572868250512400385', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 16:39:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 16:39:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572868271517474817', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 16:39:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 16:39:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '54', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572868278178029569', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 16:39:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 16:39:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572868332133556225', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 16:40:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 16:40:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '22', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572868343584006145', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 16:40:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 16:40:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572868357676867586', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-22 16:40:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 16:40:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp', 'PUT', '{}', '12', NULL, NULL, 'content:修改物资信息表', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572868357936914433', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-22 16:40:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 16:40:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572868369060208642', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 16:40:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 16:40:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '20', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572868380846202882', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-22 16:40:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 16:40:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572868414002176001', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 16:40:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 16:40:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572868478275690497', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-22 16:40:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 16:40:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp', 'PUT', '{}', '12', NULL, NULL, 'content:修改物资信息表', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572868478552514561', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-22 16:40:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 16:40:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572868501335973890', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-22 16:40:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 16:40:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572868538191323137', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-22 16:40:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 16:40:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp', 'PUT', '{}', '9', NULL, NULL, 'content:修改物资信息表', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572868538459758594', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-22 16:40:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 16:40:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572868919399030785', '1', 'tofly-flow', 'll', TO_DATE('2022-09-22 16:42:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 16:42:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '14', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572868926495793153', '1', 'tofly-flow', 'll', TO_DATE('2022-09-22 16:42:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 16:42:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"id":["1572063395757809666"]}', '70', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572868947299540994', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-22 16:42:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 16:42:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572236310457438209', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 22:48:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 22:48:41', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.91.143', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"id":["1572063395757809666"]}', '29', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572236803145551873', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 22:50:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 22:50:39', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.91.143', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572236819197153282', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 22:50:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 22:50:43', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.91.143', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"id":["1572063395757809666"]}', '32', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572237061443375105', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 22:51:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 22:51:40', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.91.143', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572237076412846081', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 22:51:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 22:51:44', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.91.143', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"id":["1572063395757809666"]}', '28', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572237402083774466', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 22:53:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 22:53:02', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.91.143', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572237409574801409', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 22:53:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 22:53:03', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.91.143', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"id":["1572063395757809666"]}', '32', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572237783685746689', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 22:54:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 22:54:33', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.91.143', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572237790723788802', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 22:54:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 22:54:34', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.91.143', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"id":["1572063395757809666"]}', '34', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572509828814286850', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 16:55:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 16:55:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572509829036584962', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 16:55:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 16:55:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572509838352134146', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 16:55:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 16:55:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"id":["1572063395757809666"]}', '32', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572509838750593026', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 16:55:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 16:55:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572509838985474049', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 16:55:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 16:55:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572509840851939329', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 16:55:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 16:55:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572512649374674945', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 17:06:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 17:06:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572512655104094210', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 17:06:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 17:06:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"id":["1572063395757809666"]}', '30', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572512732971347969', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 17:07:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 17:07:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"id":["1572063395757809666"]}', '31', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572512764369907714', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 17:07:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 17:07:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572512764608983042', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 17:07:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 17:07:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572512781814018050', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 17:07:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 17:07:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '129', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572512782459940865', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 17:07:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 17:07:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572512782627713026', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 17:07:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 17:07:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572512784397709314', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 17:07:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 17:07:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572514247001845762', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 17:13:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 17:13:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572514247219949570', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 17:13:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 17:13:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572514264580173825', '1', 'tofly-flow', 'txh', TO_DATE('2022-09-21 17:13:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 17:13:11', 'SYYYY-MM-DD HH24:MI:SS'), '42.225.115.58', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572514264999604225', '1', 'tofly-flow', 'txh', TO_DATE('2022-09-21 17:13:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 17:13:11', 'SYYYY-MM-DD HH24:MI:SS'), '42.225.115.58', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572514301783650305', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 17:13:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 17:13:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"id":["1572063395757809666"]}', '24', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572514302295355393', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 17:13:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 17:13:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572514302505070593', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 17:13:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 17:13:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572514304199569409', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 17:13:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 17:13:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572515047484764161', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-21 17:16:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 17:16:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572515047694479362', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-21 17:16:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 17:16:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572515190820909058', '1', 'tofly-flow', 'txh', TO_DATE('2022-09-21 17:16:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 17:16:52', 'SYYYY-MM-DD HH24:MI:SS'), '42.225.115.58', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '114', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572515192339247105', '1', 'tofly-flow', 'txh', TO_DATE('2022-09-21 17:16:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 17:16:52', 'SYYYY-MM-DD HH24:MI:SS'), '42.225.115.58', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572515192922255361', '1', 'tofly-flow', 'txh', TO_DATE('2022-09-21 17:16:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 17:16:52', 'SYYYY-MM-DD HH24:MI:SS'), '42.225.115.58', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572515195552083970', '1', 'tofly-flow', 'txh', TO_DATE('2022-09-21 17:16:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 17:16:53', 'SYYYY-MM-DD HH24:MI:SS'), '42.225.115.58', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572518635942510594', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 17:30:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 17:30:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"id":["1572063395757809666"]}', '308', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572518918470828033', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 17:31:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 17:31:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"id":["1572063395757809666"]}', '62', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572156853835014146', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 17:32:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:32:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"id":["1572063395757809666"]}', '27', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572156957123944449', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 17:33:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:33:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"id":["1572063395757809666"]}', '27', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572157092050509825', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 17:33:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:33:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl', 'POST', '{}', '305', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572157093057142786', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 17:33:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:33:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572157103492571138', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 17:33:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:33:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '135', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572157104071385089', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 17:33:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:33:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572157104230768641', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 17:33:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:33:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572157106067873794', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 17:33:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:33:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572157837084729345', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 17:36:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:36:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572157726111834113', 'GET', '{"id":["1572157726111834113"]}', '32', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572157837478993921', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 17:36:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:36:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572157837638377473', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 17:36:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:36:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572157839379013633', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 17:36:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:36:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572163705457176578', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 18:00:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 18:00:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"id":["1572063395757809666"]}', '27', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572163705847246849', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 18:00:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 18:00:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572163706048573441', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 18:00:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 18:00:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572163707780820994', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 18:00:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 18:00:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572399018351874049', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 09:35:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 09:35:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '27', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572399348997246978', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 09:36:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 09:36:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp', 'POST', '{}', '4', NULL, NULL, 'content:新增工程工序/工程管控', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572399349336985602', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 09:36:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 09:36:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '25', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572399500625530881', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 09:37:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 09:37:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp', 'POST', '{}', '3', NULL, NULL, 'content:新增工程工序/工程管控', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572399501023989761', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 09:37:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 09:37:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '26', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572399528509263873', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 09:37:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 09:37:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp', 'POST', '{}', '4', NULL, NULL, 'content:新增工程工序/工程管控', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572399528836419585', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 09:37:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 09:37:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '25', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572399581399437314', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 09:37:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 09:37:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp', 'POST', '{}', '5', NULL, NULL, 'content:新增工程工序/工程管控', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572399581814673410', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 09:37:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 09:37:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '26', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572399625347354625', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 09:37:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 09:37:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp', 'POST', '{}', '4', NULL, NULL, 'content:新增工程工序/工程管控', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572399625716453377', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 09:37:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 09:37:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '25', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572399706075123714', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 09:37:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 09:37:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '28', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572399770310889473', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 09:38:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 09:38:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp', 'POST', '{}', '3', NULL, NULL, 'content:新增工程工序/工程管控', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572399770646433794', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 09:38:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 09:38:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '27', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572399901093482497', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 09:38:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 09:38:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp', 'POST', '{}', '4', NULL, NULL, 'content:新增工程工序/工程管控', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572399901441609729', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 09:38:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 09:38:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '30', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572400054168801281', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 09:39:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 09:39:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '31', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572400114931683330', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 09:39:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 09:39:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp', 'POST', '{}', '6', NULL, NULL, 'content:新增工程工序/工程管控', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572400115288199170', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 09:39:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 09:39:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '30', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572400280917069826', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 09:40:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 09:40:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp', 'POST', '{}', '7', NULL, NULL, 'content:新增工程工序/工程管控', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572400281336500225', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 09:40:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 09:40:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '34', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572514319852711938', '1', 'tofly-flow', 'txh', TO_DATE('2022-09-21 17:13:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 17:13:24', 'SYYYY-MM-DD HH24:MI:SS'), '42.225.115.58', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":["1569152821327564802"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572514322583203842', '1', 'tofly-flow', 'txh', TO_DATE('2022-09-21 17:13:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 17:13:25', 'SYYYY-MM-DD HH24:MI:SS'), '42.225.115.58', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572514335304527874', '1', 'tofly-flow', 'txh', TO_DATE('2022-09-21 17:13:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 17:13:28', 'SYYYY-MM-DD HH24:MI:SS'), '42.225.115.58', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572514335702986753', '1', 'tofly-flow', 'txh', TO_DATE('2022-09-21 17:13:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 17:13:28', 'SYYYY-MM-DD HH24:MI:SS'), '42.225.115.58', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572509141837623298', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 16:52:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 16:52:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '7', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572509152176582658', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 16:52:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 16:52:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '22', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572509152436629505', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 16:52:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 16:52:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572509158979743746', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 16:52:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 16:52:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '153', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572509159545974786', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 16:52:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 16:52:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572509159751495681', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 16:52:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 16:52:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572509161697652738', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 16:52:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 16:52:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572516037948682242', '1', 'tofly-flow', 'txh', TO_DATE('2022-09-21 17:20:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 17:20:14', 'SYYYY-MM-DD HH24:MI:SS'), '42.225.115.58', NULL, '/tfprocessconfigl/1570698804578582529', 'GET', '{"id":["1570698804578582529"]}', '103', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572516045561344002', '1', 'tofly-flow', 'txh', TO_DATE('2022-09-21 17:20:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 17:20:15', 'SYYYY-MM-DD HH24:MI:SS'), '42.225.115.58', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572516045854945282', '1', 'tofly-flow', 'txh', TO_DATE('2022-09-21 17:20:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 17:20:15', 'SYYYY-MM-DD HH24:MI:SS'), '42.225.115.58', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":["1569602913205559298"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572516047503306753', '1', 'tofly-flow', 'txh', TO_DATE('2022-09-21 17:20:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 17:20:16', 'SYYYY-MM-DD HH24:MI:SS'), '42.225.115.58', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572516053375332354', '1', 'tofly-flow', 'txh', TO_DATE('2022-09-21 17:20:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 17:20:17', 'SYYYY-MM-DD HH24:MI:SS'), '42.225.115.58', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572516223689240577', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 17:20:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 17:20:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572516223907344385', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 17:20:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 17:20:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572516235827556354', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 17:21:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 17:21:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '8', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572516276600385538', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 17:21:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 17:21:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572516309148184578', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 17:21:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 17:21:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572516321026453506', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 17:21:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 17:21:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"id":["1572063395757809666"]}', '31', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572516346389409794', '1', 'tofly-flow', 'txh', TO_DATE('2022-09-21 17:21:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 17:21:27', 'SYYYY-MM-DD HH24:MI:SS'), '42.225.115.58', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"id":["1572063395757809666"]}', '30', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572516351040892929', '1', 'tofly-flow', 'txh', TO_DATE('2022-09-21 17:21:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 17:21:28', 'SYYYY-MM-DD HH24:MI:SS'), '42.225.115.58', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572516352211103745', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 17:21:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 17:21:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572516360423550978', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 17:21:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 17:21:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"id":["1572063395757809666"]}', '32', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572516367184769025', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-21 17:21:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 17:21:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '124', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572516367620976642', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-21 17:21:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 17:21:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572516367818108930', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-21 17:21:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 17:21:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572516369575522305', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-21 17:21:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 17:21:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572537476571582465', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-21 18:45:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 18:45:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1570739116476383234', 'GET', '{}', '1', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572760127873339393', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-22 09:30:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 09:30:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572760364817960961', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-22 09:31:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 09:31:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572760456023101442', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-22 09:31:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 09:31:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572761011009212417', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-22 09:33:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 09:33:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572761865711898626', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-22 09:37:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 09:37:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572761868132012033', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-22 09:37:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 09:37:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572762429661237250', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-22 09:39:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 09:39:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572775218320621569', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-22 10:30:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 10:30:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '95', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572775244040093697', '1', 'tofly-flow', 'll', TO_DATE('2022-09-22 10:30:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 10:30:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572775299379740674', '1', 'tofly-flow', 'll', TO_DATE('2022-09-22 10:30:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 10:30:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"id":["1572063395757809666"]}', '32', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572113538397786113', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 14:40:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 14:40:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '19', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572113543040880642', '2', 'tofly-auth', 'test', TO_DATE('2022-09-20 14:40:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 14:40:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/f2d38e80-0121-43b8-aa85-6e02b33cdc1c', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572125039473012737', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 15:26:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 15:26:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '49', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572125046435557378', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 15:26:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 15:26:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '19', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572125227264585729', '2', 'tofly-auth', 'yj', TO_DATE('2022-09-20 15:27:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 15:27:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/0cd97c41-3076-46a8-80d7-2d2a68f79c1c', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572131663021428738', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 15:52:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 15:52:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/1572055651524927489', 'GET', '{"0":["1572055651524927489"]}', '11', NULL, NULL, 'content:通过id查询施工组织单位', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572132431648608258', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 15:55:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 15:55:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '57', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572132440301457410', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 15:55:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 15:55:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/1572131129849921537', 'GET', '{"0":["1572131129849921537"]}', '11', NULL, NULL, 'content:通过id查询施工组织单位', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572132544160813057', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 15:56:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 15:56:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/saveTeamAll', 'POST', '{}', '22', NULL, NULL, 'content:新增施工班组相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572132544647352322', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 15:56:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 15:56:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '58', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572132556798251009', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 15:56:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 15:56:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/1572131129849921537', 'GET', '{"0":["1572131129849921537"]}', '17', NULL, NULL, 'content:通过id查询施工组织单位', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572144183740211202', '1', 'tofly-flow', 'qw', TO_DATE('2022-09-20 16:42:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 16:42:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '123', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572144184142864385', '1', 'tofly-flow', 'qw', TO_DATE('2022-09-20 16:42:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 16:42:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572144184373551105', '1', 'tofly-flow', 'qw', TO_DATE('2022-09-20 16:42:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 16:42:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572144186890133505', '1', 'tofly-flow', 'qw', TO_DATE('2022-09-20 16:42:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 16:42:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572148685708992513', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-20 17:00:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:00:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572148685943873538', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-20 17:00:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:00:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572148687747424258', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-20 17:00:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:00:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572148693954994177', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-20 17:00:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:00:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1570698804578582529', 'GET', '{"id":["1570698804578582529"]}', '115', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572148694676414465', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-20 17:00:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:00:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572148694877741057', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-20 17:00:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:00:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572148697490792450', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-20 17:00:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:00:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572149240468611074', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-20 17:02:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:02:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '7', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572149247401795585', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-20 17:02:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:02:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572153635629441025', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 17:20:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:20:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '493', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572153635860127746', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 17:20:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:20:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572153643640561666', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 17:20:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:20:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '118', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572153644190015490', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 17:20:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:20:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572153644374564866', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 17:20:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:20:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572153646190698497', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 17:20:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:20:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572154591234498561', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 17:23:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:23:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["10000"],"current":["1"]}', '20', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572154594006933506', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 17:23:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:23:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["30"],"current":["1"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572154691620970497', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 17:24:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:24:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["30"],"key":[""],"dataType":["1570692286170427394"]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572156253642694658', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 17:30:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:30:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572156259451805697', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 17:30:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:30:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"id":["1572063395757809666"]}', '29', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572156374086328321', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-20 17:31:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:31:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572156380470059009', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-20 17:31:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:31:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572157273881976833', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-20 17:34:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:34:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572157279485566977', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-20 17:34:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:34:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572157505759879170', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-20 17:35:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:35:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572159016032280577', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 17:41:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:41:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '10', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572111200383684610', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-20 14:31:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 14:31:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572111870079815681', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-20 14:34:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 14:34:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/page', 'GET', '{"tenantId":["1"],"current":["1"],"size":["10000"],"isDel":["0"]}', '17', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572149948404211714', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-20 17:05:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:05:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572149956595687425', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-20 17:05:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:05:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572150132886478849', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-20 17:06:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:06:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '7', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572150138557177858', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-20 17:06:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:06:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '8', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572151225502670849', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-20 17:10:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:10:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572151266082562050', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-20 17:10:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:10:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572161342969311234', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 17:50:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:50:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '7', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572161354692390913', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 17:50:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:50:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"id":["1572063395757809666"]}', '45', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572161924387926018', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 17:53:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:53:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"id":["1572063395757809666"]}', '40', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572162220212187138', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 17:54:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:54:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl', 'POST', '{}', '99', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572162221072019458', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 17:54:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:54:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '17', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572162227543830530', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 17:54:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:54:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '162', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572162228395274241', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 17:54:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:54:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572162228672098306', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 17:54:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:54:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572162230551146497', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 17:54:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:54:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572162641924288514', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 17:55:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:55:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl', 'POST', '{}', '26', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572162642314358785', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 17:55:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:55:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '19', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572162653324406786', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 17:56:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:56:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572157726111834113', 'GET', '{"id":["1572157726111834113"]}', '34', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572162654234570753', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 17:56:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:56:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572162654444285954', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 17:56:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:56:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572162656717598722', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 17:56:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:56:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572162980308152321', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 17:57:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:57:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl', 'POST', '{}', '22', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572162980694028289', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 17:57:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:57:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572162987438469121', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 17:57:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:57:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572157726111834113', 'GET', '{"id":["1572157726111834113"]}', '30', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572162988084391938', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 17:57:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:57:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572162988403159042', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 17:57:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:57:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572162990559031298', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 17:57:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:57:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572163405858041858', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 17:58:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:58:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl', 'POST', '{}', '18', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572163406227140610', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 17:59:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:59:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572163411293859841', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 17:59:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:59:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572157726111834113', 'GET', '{"id":["1572157726111834113"]}', '32', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572163411864285185', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 17:59:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:59:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572163412099166209', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 17:59:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:59:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572163413915299842', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 17:59:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:59:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572394555595640833', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-21 09:17:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 09:17:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/list', 'GET', '{"nature":[""],"updateUser":[""],"remark":[""],"updateTime":[""],"posts":[""],"createTime":[""],"processId":[""],"tenantId":[""],"createUser":[""],"id":[""],"isForce":[""],"isDel":[""]}', '12', NULL, NULL, 'content:列表查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572394651213189122', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-21 09:17:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 09:17:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"nature":[""],"updateUser":[""],"remark":[""],"updateTime":[""],"posts":[""],"createTime":[""],"processId":[""],"tenantId":[""],"createUser":[""],"id":[""],"isForce":[""],"isDel":[""]}', '24', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572415330906062850', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 10:40:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 10:40:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572415351445569537', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 10:40:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 10:40:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '34', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572104294592278530', '0', 'tofly-flow', 'lz', TO_DATE('2022-09-20 14:04:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 14:04:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/saveMatterAndPrice', 'POST', '{}', '90', NULL, '### Error updating database.  Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-01400: 无法将 NULL 插入 ("TF_ZMRQ_LC"."TF_MATTER_P"."MATTER_NUMBER")

### The error may exist in com/tofly/workflow/baseconf/mapper/TfMatterPMapper.java (best guess)
### The error may involve com.tofly.workflow.baseconf.mapper.TfMatterPMapper.insert-Inline
### The error occurred while setting parameters
### SQL: INSERT INTO TF_MATTER_P  ( id,  category, matter_type, matter_name,   standards, unit,     remark, CREATE_USER, CREATE_TIME, UPDATE_USER, UPDATE_TIME )  VALUES  ( ?,  ?, ?, ?,   ?, ?,     ?, ?, ?, ?, ? )
### Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-01400: 无法将 NULL 插入 ("TF_ZMRQ_LC"."TF_MATTER_P"."MATTER_NUMBER")

; ORA-01400: 无法将 NULL 插入 ("TF_ZMRQ_LC"."TF_MATTER_P"."MATTER_NUMBER")
; nested exception is java.sql.SQLIntegrityConstraintViolationException: ORA-01400: 无法将 NULL 插入 ("TF_ZMRQ_LC"."TF_MATTER_P"."MATTER_NUMBER")', 'content:新增物资信息及价格', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572106110470057986', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-20 14:11:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 14:11:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["10000"],"current":["1"]}', '41', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572106201536786433', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-20 14:11:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 14:11:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["10000"],"current":["1"]}', '37', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572106248722706433', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-20 14:11:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 14:11:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["10000"],"current":["1"]}', '32', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572121707551469569', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 15:13:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 15:13:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"id":["1572063395757809666"]}', '32', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572121708243529729', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 15:13:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 15:13:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572121708507770882', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 15:13:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 15:13:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572121710554591233', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 15:13:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 15:13:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572123475920367618', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 15:20:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 15:20:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572123476545318913', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 15:20:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 15:20:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572123480487964674', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 15:20:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 15:20:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572123480701874178', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 15:20:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 15:20:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572123483138764801', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 15:20:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 15:20:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572123486242549761', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 15:20:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 15:20:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1570698804578582529', 'GET', '{"id":["1570698804578582529"]}', '96', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572123488390033410', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 15:20:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 15:20:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572123490201972737', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 15:20:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 15:20:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572123500134084610', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 15:20:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 15:20:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572124264122363906', '2', 'tofly-auth', 'rq', TO_DATE('2022-09-20 15:23:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 15:23:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/d8fda014-3d40-419c-953c-b4b5021e301d', 'DELETE', '{}', '1', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572139328069992449', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-20 16:23:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 16:23:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/192a15ff-3d2e-4a5b-b993-1fc25e382d13', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572140736139788289', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 16:28:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 16:28:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl', 'POST', '{}', '112', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572140736932511746', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 16:28:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 16:28:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572140755563610113', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 16:28:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 16:28:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '137', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572140756322779137', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 16:28:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 16:28:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572140756532494337', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 16:28:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 16:28:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572140758281519106', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 16:29:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 16:29:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572141089270824962', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 16:30:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 16:30:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '100', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572141106979176449', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 16:30:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 16:30:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '44', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572141123634757633', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 16:30:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 16:30:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"typeName":[""],"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '32', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572141138025414657', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 16:30:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 16:30:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '2', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572141161421242369', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 16:30:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 16:30:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '74', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572154829143810049', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 17:24:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:24:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"key":[""]}', '72', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572155526832726017', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 17:27:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:27:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572155527034052610', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 17:27:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:27:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572155562064879617', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 17:27:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:27:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '121', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572155564002648065', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 17:27:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:27:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572780631921377282', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 10:51:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 10:51:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '10', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572781846180773890', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 10:56:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 10:56:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '7', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572792202466697218', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-22 11:37:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 11:37:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["30"],"current":["1"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572792226810437634', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-22 11:37:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 11:37:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '71', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572792249359015938', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-22 11:37:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 11:37:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '1', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572792252513132546', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 11:37:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 11:37:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl', 'POST', '{}', '34', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572792252966117377', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 11:37:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 11:37:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572792258213191682', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-22 11:37:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 11:37:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '2', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572792259005915137', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-22 11:37:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 11:37:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '2', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572792273144913921', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 11:37:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 11:37:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568483117915193345"],"isMould":["0"]}', '9', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572792292338049025', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-22 11:37:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 11:37:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfreportentryp/page', 'GET', '{"name":[""],"current":["1"],"size":["30"]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572792306850340866', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-22 11:38:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 11:38:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '26', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572792442628349954', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-22 11:38:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 11:38:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfreportentryp/page', 'GET', '{"name":[""],"current":["1"],"size":["30"]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572792692797612034', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-22 11:39:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 11:39:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572792851518464002', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 11:40:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 11:40:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568483117915193345"],"isMould":["0"]}', '7', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572792894883373057', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 11:40:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 11:40:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568483117915193345"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572792955306516481', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-22 11:40:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 11:40:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572793096964939777', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-22 11:41:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 11:41:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572793110558679041', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-22 11:41:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 11:41:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfreportentryp/page', 'GET', '{"name":[""],"current":["1"],"size":["30"]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572793611291467778', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-22 11:43:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 11:43:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572793649736458241', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-22 11:43:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 11:43:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572793682674327553', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-22 11:43:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 11:43:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572793693734707201', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-22 11:43:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 11:43:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["30"],"current":["1"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572793714693644290', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-22 11:43:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 11:43:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572793735891656705', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-22 11:43:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 11:43:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '76', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572793740870295553', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-22 11:43:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 11:43:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '25', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572793750785630210', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-22 11:43:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 11:43:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '1', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572793807966576642', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-22 11:43:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 11:43:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfreportentryp/page', 'GET', '{"name":[""],"current":["1"],"size":["30"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572793829378498562', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-22 11:44:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 11:44:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"typeName":[""],"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572793847145570305', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-22 11:44:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 11:44:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '21', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572793853235699713', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-22 11:44:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 11:44:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"typeName":[""],"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572794145054400513', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-22 11:45:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 11:45:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '61', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572794148976074753', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-22 11:45:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 11:45:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572794157507289089', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-22 11:45:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 11:45:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '65', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572794165241585666', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-22 11:45:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 11:45:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572794175781871617', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-22 11:45:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 11:45:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '64', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572794182018801665', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-22 11:45:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 11:45:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '1', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572794424613150721', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 11:46:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 11:46:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568483117915193345"],"isMould":["0"]}', '8', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572794446687772674', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 11:46:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 11:46:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572786304281247746', 'GET', '{"id":["1572786304281247746"]}', '23', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572103205432193026', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 13:59:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 13:59:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572103205734182913', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 13:59:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 13:59:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572103266622894081', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 14:00:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 14:00:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572103266908106753', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 14:00:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 14:00:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572103274847924226', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 14:00:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 14:00:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572070112260382722', 'GET', '{"id":["1572070112260382722"]}', '37', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572103275514818562', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 14:00:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 14:00:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572103275800031233', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 14:00:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 14:00:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572103278228533249', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 14:00:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 14:00:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572103358817890306', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 14:00:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 14:00:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572104266075205634', '0', 'tofly-flow', 'lz', TO_DATE('2022-09-20 14:03:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 14:03:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/saveMatterAndPrice', 'POST', '{}', '218', NULL, '### Error updating database.  Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-01400: 无法将 NULL 插入 ("TF_ZMRQ_LC"."TF_MATTER_P"."MATTER_NUMBER")

### The error may exist in com/tofly/workflow/baseconf/mapper/TfMatterPMapper.java (best guess)
### The error may involve com.tofly.workflow.baseconf.mapper.TfMatterPMapper.insert-Inline
### The error occurred while setting parameters
### SQL: INSERT INTO TF_MATTER_P  ( id,  category, matter_type, matter_name,   standards, unit,     remark, CREATE_USER, CREATE_TIME, UPDATE_USER, UPDATE_TIME )  VALUES  ( ?,  ?, ?, ?,   ?, ?,     ?, ?, ?, ?, ? )
### Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-01400: 无法将 NULL 插入 ("TF_ZMRQ_LC"."TF_MATTER_P"."MATTER_NUMBER")

; ORA-01400: 无法将 NULL 插入 ("TF_ZMRQ_LC"."TF_MATTER_P"."MATTER_NUMBER")
; nested exception is java.sql.SQLIntegrityConstraintViolationException: ORA-01400: 无法将 NULL 插入 ("TF_ZMRQ_LC"."TF_MATTER_P"."MATTER_NUMBER")', 'content:新增物资信息及价格', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572105537750429697', '1', 'tofly-flow', 'lye', TO_DATE('2022-09-20 14:09:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 14:09:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '19', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572105538010476546', '1', 'tofly-flow', 'lye', TO_DATE('2022-09-20 14:09:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 14:09:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572105567387381761', '1', 'tofly-flow', 'lye', TO_DATE('2022-09-20 14:09:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 14:09:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572105567429324802', '1', 'tofly-flow', 'lye', TO_DATE('2022-09-20 14:09:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 14:09:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '10', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572105954144153602', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-20 14:10:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 14:10:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["10000"],"current":["1"]}', '47', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572111252711821314', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 14:31:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 14:31:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572111252976062466', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 14:31:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 14:31:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572111263705092098', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 14:31:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 14:31:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572111264007081985', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 14:31:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 14:31:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572111284668223490', '2', 'tofly-auth', 'test', TO_DATE('2022-09-20 14:31:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 14:31:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/0939c606-c447-4608-b1a3-080a98a1abd7', 'DELETE', '{}', '7', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572111306029813761', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 14:31:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 14:31:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '7', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572113596337901569', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 14:41:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 14:41:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '20', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572121793379512321', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 15:13:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 15:13:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl', 'POST', '{}', '204', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572121794201595905', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 15:13:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 15:13:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572121805962424322', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 15:13:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 15:13:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572121822584451074', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 15:13:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 15:13:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572070112260382722', 'GET', '{"id":["1572070112260382722"]}', '36', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572121836253687809', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 15:13:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 15:13:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572070112260382722', 'GET', '{"id":["1572070112260382722"]}', '32', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572121850581430274', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 15:13:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 15:13:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572070112260382722', 'GET', '{"id":["1572070112260382722"]}', '27', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572121920378843137', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-20 15:14:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 15:14:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572128290431913985', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 15:39:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 15:39:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '17', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572128311541846018', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 15:39:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 15:39:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '36', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572128362565554178', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 15:39:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 15:39:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572128435139596290', '0', 'tofly-flow', 'lz', TO_DATE('2022-09-20 15:40:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 15:40:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/saveMatterAndPrice', 'POST', '{}', '70', NULL, '物资价格为空，请重新输入', 'content:新增物资信息及价格', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572128724152307714', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 15:41:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 15:41:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572128776497221633', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 15:41:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 15:41:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/saveMatterAndPrice', 'POST', '{}', '32', NULL, NULL, 'content:新增物资信息及价格', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572128776920846337', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 15:41:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 15:41:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '36', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572140520485453826', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 16:28:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 16:28:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '21', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572140520741306370', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 16:28:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 16:28:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572140530107187201', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 16:28:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 16:28:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '162', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572140530610503682', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 16:28:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 16:28:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572140530803441665', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 16:28:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 16:28:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572140532497940482', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 16:28:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 16:28:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '7', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572142385826635778', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 16:35:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 16:35:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '122', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572142440189009921', '1', 'tofly-flow', 'qw', TO_DATE('2022-09-20 16:35:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 16:35:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '43', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572142440532942849', '1', 'tofly-flow', 'qw', TO_DATE('2022-09-20 16:35:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 16:35:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '17', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572142454005047297', '1', 'tofly-flow', 'qw', TO_DATE('2022-09-20 16:35:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 16:35:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '18', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572142454353174530', '1', 'tofly-flow', 'qw', TO_DATE('2022-09-20 16:35:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 16:35:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '17', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572142461525434369', '1', 'tofly-flow', 'qw', TO_DATE('2022-09-20 16:35:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 16:35:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '24', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572142462406238210', '1', 'tofly-flow', 'qw', TO_DATE('2022-09-20 16:35:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 16:35:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '17', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572142481972666369', '1', 'tofly-flow', 'qw', TO_DATE('2022-09-20 16:35:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 16:35:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":["1569602913205559298"]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572142486322159617', '1', 'tofly-flow', 'qw', TO_DATE('2022-09-20 16:35:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 16:35:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '34', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572142521516564481', '1', 'tofly-flow', 'hq', TO_DATE('2022-09-20 16:36:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 16:36:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"key":[""]}', '97', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572142535571677186', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 16:36:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 16:36:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/saveTeamAll', 'POST', '{}', '30', NULL, NULL, 'content:新增施工班组相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572142536335040514', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 16:36:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 16:36:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '94', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572142548284612609', '1', 'tofly-flow', 'hq', TO_DATE('2022-09-20 16:36:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 16:36:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"key":[""]}', '94', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572143314428764162', '1', 'tofly-flow', 'qw', TO_DATE('2022-09-20 16:39:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 16:39:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '22', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572143314789474305', '1', 'tofly-flow', 'qw', TO_DATE('2022-09-20 16:39:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 16:39:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572143323886919682', '1', 'tofly-flow', 'qw', TO_DATE('2022-09-20 16:39:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 16:39:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '182', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572143324469927938', '1', 'tofly-flow', 'qw', TO_DATE('2022-09-20 16:39:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 16:39:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572143324721586178', '1', 'tofly-flow', 'qw', TO_DATE('2022-09-20 16:39:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 16:39:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572143328420962306', '1', 'tofly-flow', 'qw', TO_DATE('2022-09-20 16:39:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 16:39:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572143491629719553', '1', 'tofly-flow', 'qw', TO_DATE('2022-09-20 16:39:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 16:39:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572143950037786626', '1', 'tofly-flow', 'qw', TO_DATE('2022-09-20 16:41:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 16:41:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl', 'POST', '{}', '89', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572143950671126529', '1', 'tofly-flow', 'qw', TO_DATE('2022-09-20 16:41:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 16:41:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572143958539640833', '1', 'tofly-flow', 'qw', TO_DATE('2022-09-20 16:41:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 16:41:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '128', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572143958959071234', '1', 'tofly-flow', 'qw', TO_DATE('2022-09-20 16:41:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 16:41:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572143959168786433', '1', 'tofly-flow', 'qw', TO_DATE('2022-09-20 16:41:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 16:41:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572143961244966914', '1', 'tofly-flow', 'qw', TO_DATE('2022-09-20 16:41:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 16:41:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572148432796655617', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-20 16:59:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 16:59:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '19', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572148433056702466', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-20 16:59:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 16:59:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572148440610643969', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-20 16:59:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 16:59:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '171', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572148441348841473', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-20 16:59:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 16:59:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572148441575333890', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-20 16:59:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 16:59:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572148443789926402', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-20 16:59:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 16:59:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '7', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572148766084440065', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 17:00:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:00:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '26', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572150296938291201', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-20 17:06:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:06:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/page', 'GET', '{"tenantId":["1"],"current":["1"],"size":["10000"],"isDel":["0"]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572142356172906498', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 16:35:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 16:35:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '658', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572143773914767361', '1', 'tofly-flow', 'qw', TO_DATE('2022-09-20 16:40:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 16:40:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl', 'POST', '{}', '313', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572143774598438914', '1', 'tofly-flow', 'qw', TO_DATE('2022-09-20 16:40:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 16:40:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572143782655696897', '1', 'tofly-flow', 'qw', TO_DATE('2022-09-20 16:41:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 16:41:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '128', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572143783075127297', '1', 'tofly-flow', 'qw', TO_DATE('2022-09-20 16:41:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 16:41:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572143783330979842', '1', 'tofly-flow', 'qw', TO_DATE('2022-09-20 16:41:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 16:41:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '4', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572143785319079937', '1', 'tofly-flow', 'qw', TO_DATE('2022-09-20 16:41:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 16:41:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572147369406373890', '2', 'tofly-auth', 'lz', TO_DATE('2022-09-20 16:55:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 16:55:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/931cc6bb-c6a9-46b0-9731-d97b2687af9f', 'DELETE', '{}', '5', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572147428176961538', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 16:55:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 16:55:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '428', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572147428621557762', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 16:55:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 16:55:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '23', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572147465967640578', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 16:55:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 16:55:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '24', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572147603494674434', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 16:56:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 16:56:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '247', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572147604333535234', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 16:56:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 16:56:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572147604757159938', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 16:56:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 16:56:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572147609584803841', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 16:56:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 16:56:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '36', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572149263679889409', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-20 17:02:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:02:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/page', 'GET', '{"tenantId":["1"],"current":["1"],"size":["10000"],"isDel":["0"]}', '28', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572150143074443266', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-20 17:06:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:06:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/page', 'GET', '{"tenantId":["1"],"current":["1"],"size":["10000"],"isDel":["0"]}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572150285055827970', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-20 17:06:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:06:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572150291292758017', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-20 17:06:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:06:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572151088944521217', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-20 17:10:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:10:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572151095726710786', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-20 17:10:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:10:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572151468721971201', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-20 17:11:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:11:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/page', 'GET', '{"tenantId":["1"],"current":["1"],"size":["10000"],"isDel":["0"]}', '2', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572151574342934529', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-20 17:11:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:11:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '157', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572151575227932674', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-20 17:11:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:11:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572151575576059906', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-20 17:11:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:11:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572151577765486594', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-20 17:11:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:11:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572151581800407042', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-20 17:12:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:12:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572155564229140481', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 17:27:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:27:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572155567379062786', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 17:27:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:27:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572156504994750466', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-20 17:31:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:31:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/page', 'GET', '{"tenantId":["1"],"current":["1"],"size":["10000"],"isDel":["0"]}', '2', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572156594228568065', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-20 17:31:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:31:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572156598062161922', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-20 17:31:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:31:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572157284707475457', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-20 17:34:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:34:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/page', 'GET', '{"tenantId":["1"],"current":["1"],"size":["10000"],"isDel":["0"]}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572157382829023234', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 17:35:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:35:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572157383571415041', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 17:35:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:35:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572157385324634113', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 17:35:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:35:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572157385509183489', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 17:35:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:35:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572157387203682305', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 17:35:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:35:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572157395927834625', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 17:35:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:35:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1571763657271414785', 'GET', '{"id":["1571763657271414785"]}', '54', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572157396531814402', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 17:35:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:35:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572157396699586562', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 17:35:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:35:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572113164870320130', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-20 14:39:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 14:39:21', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '267', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572422615598493697', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 11:09:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 11:09:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '35', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572422628139462657', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 11:09:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 11:09:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/removeByNatureAndTenantId', 'POST', '{"tenantId":["1569602913205559300"],"nature":["1"]}', '4', NULL, NULL, 'content:通过tenantId和nature删除工程工序/工程管控', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572422628533727234', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 11:09:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 11:09:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '32', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572422633038409730', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 11:09:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 11:09:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572422809652162562', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 11:09:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 11:09:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572422836575399937', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 11:09:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 11:09:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/removeByNatureAndTenantId', 'POST', '{"tenantId":["1569602913205559300"],"nature":["1"]}', '3', NULL, NULL, 'content:通过tenantId和nature删除工程工序/工程管控', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572422837040967682', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 11:09:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 11:09:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '38', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572422870134026242', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 11:10:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 11:10:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572423012937494530', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 11:10:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 11:10:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572423396288491521', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-21 11:12:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 11:12:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"nature":[""],"updateUser":[""],"remark":[""],"updateTime":[""],"posts":[""],"createTime":[""],"processId":[""],"tenantId":[""],"createUser":[""],"id":[""],"isForce":[""],"isDel":[""]}', '36', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572425490219266050', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-21 11:20:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 11:20:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '68', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572425503179665410', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-21 11:20:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 11:20:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["30"],"current":["1"]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572425570955423746', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 11:20:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 11:20:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '100', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572427024747327490', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 11:26:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 11:26:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '93', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572427188916580354', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 11:27:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 11:27:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '23', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572428638551928833', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-21 11:32:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 11:32:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/page', 'GET', '{"tenantId":["1"],"current":["1"],"size":["10000"],"isDel":["0"]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572461928667152385', '2', 'tofly-auth', 'hq', TO_DATE('2022-09-21 13:45:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 13:45:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/fc041bdf-746b-40b4-94e4-40a84262b77f', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572462568323678210', '1', 'tofly-flow', 'hq', TO_DATE('2022-09-21 13:47:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 13:47:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"name":[""],"current":["1"],"size":["30"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572462767754444802', '1', 'tofly-flow', 'hq', TO_DATE('2022-09-21 13:48:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 13:48:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["10000"],"current":["1"]}', '574', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572462767838330882', '1', 'tofly-flow', 'hq', TO_DATE('2022-09-21 13:48:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 13:48:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '609', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572463034889666561', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-21 13:49:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 13:49:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '7', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572463313123016705', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-21 13:50:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 13:50:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572465570170273793', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-21 13:59:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 13:59:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '8', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572465584741285890', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-21 13:59:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 13:59:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '7', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572465648809279489', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 14:00:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 14:00:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572465655260119041', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 14:00:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 14:00:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"id":["1572063395757809666"]}', '35', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572466310402015233', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 14:02:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 14:02:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572466568884387842', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 14:03:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 14:03:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572466588337569794', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 14:03:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 14:03:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"id":["1572063395757809666"]}', '35', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572467199367970818', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 14:06:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 14:06:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '20', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572467199628017665', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 14:06:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 14:06:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572467207257456641', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 14:06:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 14:06:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"id":["1572063395757809666"]}', '40', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572467207777550337', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 14:06:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 14:06:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572467208037597186', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 14:06:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 14:06:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572467209916645377', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 14:06:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 14:06:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572469480394063874', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 14:15:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 14:15:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572469480624750593', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 14:15:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 14:15:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '18', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572469796795580418', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 14:16:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 14:16:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572157726111834113', 'GET', '{"id":["1572157726111834113"]}', '33', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572469797282119682', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 14:16:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 14:16:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572123079185346562', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 15:18:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 15:18:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572123079369895937', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 15:18:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 15:18:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572123081769037825', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 15:18:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 15:18:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572123087481679874', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 15:18:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 15:18:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1570698804578582529', 'GET', '{"id":["1570698804578582529"]}', '100', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572123088689639425', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 15:18:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 15:18:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572123088987435009', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 15:18:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 15:18:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572123091747287041', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 15:18:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 15:18:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572128106645901314', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-20 15:38:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 15:38:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/5bd2eb74-ef3f-4f12-861b-f2d9dab26dfc', 'DELETE', '{}', '7', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572128825381834753', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 15:41:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 15:41:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572128851965333506', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 15:41:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 15:41:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp', 'PUT', '{}', '18', NULL, NULL, 'content:修改物资信息表', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572128852372180993', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 15:41:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 15:41:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '31', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572129040390246401', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 15:42:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 15:42:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '64', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572129048497836033', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 15:42:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 15:42:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"key":[""]}', '113', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572129077044269058', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 15:42:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 15:42:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '30', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572129542616207361', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 15:44:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 15:44:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfreportentryp/page', 'GET', '{"name":[""],"current":["1"],"size":["30"]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572129578527838210', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 15:44:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 15:44:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfreportentryp', 'PUT', '{}', '3', NULL, NULL, 'content:修改开工报告条目', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572129578796273666', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 15:44:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 15:44:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfreportentryp/page', 'GET', '{"name":[""],"current":["1"],"size":["30"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572129606252187650', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 15:44:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 15:44:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"typeName":[""],"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572129621632700417', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 15:44:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 15:44:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep', 'PUT', '{}', '47', NULL, NULL, 'content:修改基础类型表', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572129621871775745', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 15:44:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 15:44:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"typeName":[""],"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572129649021505538', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 15:44:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 15:44:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '33', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572129655149383681', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 15:44:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 15:44:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572129661566668802', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 15:44:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 15:44:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/1571794464484749313', 'GET', '{"0":["1571794464484749313"]}', '7', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572129683486101505', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 15:44:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 15:44:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/1571802239679983618', 'GET', '{"0":["1571802239679983618"]}', '5', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572129704000442369', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 15:45:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 15:45:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"key":[""]}', '76', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572130225495035905', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 15:47:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 15:47:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/1572055651524927489', 'GET', '{"0":["1572055651524927489"]}', '34', NULL, NULL, 'content:通过id查询施工组织单位', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572130963671568386', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 15:50:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 15:50:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"key":[""]}', '65', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572130998454931457', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 15:50:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 15:50:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"key":[""]}', '67', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572131129992499201', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 15:50:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 15:50:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/saveTeamAll', 'POST', '{}', '21', NULL, NULL, 'content:新增施工班组相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572131130504204289', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 15:50:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 15:50:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"key":[""]}', '64', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572131137840041985', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 15:50:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 15:50:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/1572131129849921537', 'GET', '{"0":["1572131129849921537"]}', '19', NULL, NULL, 'content:通过id查询施工组织单位', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572131245956616193', '0', 'tofly-flow', 'lz', TO_DATE('2022-09-20 15:51:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 15:51:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/saveTeamAll', 'POST', '{}', '156', NULL, '### Error updating database.  Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-01400: 无法将 NULL 插入 ("TF_ZMRQ_LC"."TF_BUILD_UNIT_P"."DEPT_ID")

### The error may exist in com/tofly/workflow/baseconf/mapper/TfBuildUnitPMapper.java (best guess)
### The error may involve com.tofly.workflow.baseconf.mapper.TfBuildUnitPMapper.insert-Inline
### The error occurred while setting parameters
### SQL: INSERT INTO TF_BUILD_UNIT_P  ( id, tenant_id, order_number,  team_type,  remark, CREATE_USER,  CREATE_TIME, UPDATE_USER,  UPDATE_TIME )  VALUES  ( ?, ?, ?,  ?,  ?, ?,  ?, ?,  ? )
### Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-01400: 无法将 NULL 插入 ("TF_ZMRQ_LC"."TF_BUILD_UNIT_P"."DEPT_ID")

; ORA-01400: 无法将 NULL 插入 ("TF_ZMRQ_LC"."TF_BUILD_UNIT_P"."DEPT_ID")
; nested exception is java.sql.SQLIntegrityConstraintViolationException: ORA-01400: 无法将 NULL 插入 ("TF_ZMRQ_LC"."TF_BUILD_UNIT_P"."DEPT_ID")', 'content:新增施工班组相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572131556230254594', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-20 15:52:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 15:52:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["10000"],"current":["1"]}', '77', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572131568347598849', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 15:52:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 15:52:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"key":[""]}', '62', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572131580947288065', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 15:52:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 15:52:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/1572131129849921537', 'GET', '{"0":["1572131129849921537"]}', '18', NULL, NULL, 'content:通过id查询施工组织单位', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572131625822146561', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 15:52:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 15:52:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/saveTeamAll', 'POST', '{}', '46', NULL, NULL, 'content:新增施工班组相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572131626291908610', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 15:52:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 15:52:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"key":[""]}', '57', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572132260437118977', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-20 15:55:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 15:55:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["10000"],"current":["1"]}', '36', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572071671199662082', '0', 'tofly-flow', 'admin', TO_DATE('2022-09-20 11:54:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:54:28', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '276', NULL, '### Error querying database.  Cause: java.sql.SQLSyntaxErrorException: ORA-00904: "S"."STEP_ID": 标识符无效

### The error may exist in file [E:\java\work\zmrq\tofly-zmrq\workflow\target\classes\mapper\processconfig\TfProcessConfigLMapper.xml]
### The error may involve defaultParameterMap
### The error occurred while setting parameters
### SQL: SELECT distinct s.STEP_ID,c.ID, c.TENANT_ID,c.PROCESS_NAME,c.PROCESS_NUMBER,c.PROCESS_TYPE,t.TYPE_NAME PROCESS_TYPE_NAME,c.BUSINESS_TYPE ,t1.TYPE_NAME BUSINESS_TYPE_NAME         FROM TF_PROCESS_CONFIG_L c LEFT JOIN TF_PROCESS_CONFIG_STEP_L s ON (c.ID = s.CONFIG_ID AND c.EDITION = s.EDITION)                                    LEFT JOIN TF_BASE_TYPE_P t ON (c.PROCESS_TYPE = t.ID) LEFT JOIN TF_BASE_TYPE_P t1 ON (c.BUSINESS_TYPE = t1.ID)         WHERE c.IS_DEL = 0 AND s.IS_VALID = 1 AND s.IS_DEL = 0           AND c.TENANT_ID = ?             AND s.LABEL = ?             AND c.IS_MOULD = ?
### Cause: java.sql.SQLSyntaxErrorException: ORA-00904: "S"."STEP_ID": 标识符无效

; bad SQL grammar []; nested exception is java.sql.SQLSyntaxErrorException: ORA-00904: "S"."STEP_ID": 标识符无效', 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572072899426091010', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-20 11:59:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:59:21', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '297', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572117234397556738', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 14:55:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 14:55:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572117236519874562', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 14:55:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 14:55:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '24', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572117675403456513', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 14:57:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 14:57:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572119496335372289', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 15:04:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 15:04:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572119764057796609', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 15:05:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 15:05:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572119811793170433', '2', 'tofly-auth', 'll', TO_DATE('2022-09-20 15:05:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 15:05:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/41fbcc31-2403-47f7-8a0c-fc828c950d5e', 'DELETE', '{}', '1', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572119866776301569', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 15:05:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 15:05:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '19', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572119872048541697', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 15:06:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 15:06:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572120048578408450', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 15:06:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 15:06:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572120203859931137', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 15:07:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 15:07:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572120273095307265', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 15:07:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 15:07:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '18', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572120289989963778', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 15:07:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 15:07:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572150431965519873', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-20 17:07:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:07:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572150444644900865', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-20 17:07:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:07:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572150449736785921', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-20 17:07:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:07:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/page', 'GET', '{"tenantId":["1"],"current":["1"],"size":["10000"],"isDel":["0"]}', '2', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572150870781992961', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-20 17:09:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:09:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572150875685134338', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-20 17:09:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:09:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572150878952497153', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-20 17:09:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:09:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/page', 'GET', '{"tenantId":["1"],"current":["1"],"size":["10000"],"isDel":["0"]}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572157352919441409', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 17:34:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:34:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"id":["1572063395757809666"]}', '30', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572157353347260418', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 17:34:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:34:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572157353556975618', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 17:34:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:34:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572157355310194689', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 17:34:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:34:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572157509706719234', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-20 17:35:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:35:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/page', 'GET', '{"tenantId":["1"],"current":["1"],"size":["10000"],"isDel":["0"]}', '2', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572157637159034882', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-20 17:36:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:36:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '2', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572157642984923137', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-20 17:36:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:36:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572157801076629506', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 17:36:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:36:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572157962112737282', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 17:37:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:37:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl', 'POST', '{}', '21', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572157962439892994', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 17:37:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:37:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572157968299335681', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 17:37:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:37:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572157726111834113', 'GET', '{"id":["1572157726111834113"]}', '33', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572157968861372418', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 17:37:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:37:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572157969037533186', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 17:37:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:37:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572157398419251202', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 17:35:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:35:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572157415989190657', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 17:35:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:35:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1571780757536903170', 'GET', '{"id":["1571780757536903170"]}', '24', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572157417054543873', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 17:35:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:35:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572157417260064769', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 17:35:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:35:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572157419868921858', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 17:35:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:35:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572157501251002370', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-20 17:35:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:35:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572157647254724609', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-20 17:36:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:36:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/page', 'GET', '{"tenantId":["1"],"current":["1"],"size":["10000"],"isDel":["0"]}', '2', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572157726225080322', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 17:36:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:36:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl', 'POST', '{}', '48', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572157726569013249', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 17:36:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:36:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572157740481519618', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 17:36:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:36:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572157726111834113', 'GET', '{"id":["1572157726111834113"]}', '31', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572157740980641793', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 17:36:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:36:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572157741169385473', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 17:36:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:36:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572157742830329857', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 17:36:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:36:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572157784467185665', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-20 17:36:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:36:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572157788250447873', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-20 17:36:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:36:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572157790624423938', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 17:36:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:36:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl', 'POST', '{}', '25', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572157790985134082', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 17:36:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:36:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572157798333554690', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 17:36:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:36:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '124', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572157799025614849', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 17:36:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:36:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572157799210164225', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 17:36:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:36:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572158220272148482', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 17:38:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:38:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '259', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572158234666999810', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 17:38:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:38:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '15', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572158710254936065', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 17:40:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:40:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '113', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572158711077019650', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 17:40:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:40:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572158711240597506', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 17:40:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:40:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572158712901541890', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 17:40:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:40:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572159479461015554', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 17:43:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:43:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"id":["1572063395757809666"]}', '293', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572160258070638593', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 17:46:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:46:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"id":["1572063395757809666"]}', '63', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572160311044698113', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 17:46:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:46:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl', 'POST', '{}', '470', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572160312642727937', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 17:46:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:46:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '154', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572160319357808641', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 17:46:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:46:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '226', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572160320360247297', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 17:46:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:46:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572160320691597313', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 17:46:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:46:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572160325066256386', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 17:46:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:46:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '16', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572401236861853698', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 09:44:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 09:44:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '609', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572401244822642690', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 09:44:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 09:44:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '71', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572405960696709122', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-21 10:02:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 10:02:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/page', 'GET', '{"tenantId":["1"],"current":["1"],"size":["10000"],"isDel":["0"]}', '54', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572418932181663745', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 10:54:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 10:54:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '479', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572419197148430338', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 10:55:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 10:55:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{}', '162', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572419215318155265', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-21 10:55:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 10:55:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectmaterialw/getDispatchRecord', 'GET', '{"relationId":["1570739116476383234"],"materialType":["3"]}', '20', NULL, NULL, 'content:领料记录', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572136312981979138', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 16:11:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 16:11:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '462', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572136364869713922', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 16:11:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 16:11:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/1571802239679983618', 'GET', '{"0":["1571802239679983618"]}', '9', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572137174898868226', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 16:14:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 16:14:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '21', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572137271875371010', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-20 16:15:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 16:15:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["10000"],"current":["1"]}', '228', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572137406600609794', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 16:15:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 16:15:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572138238905712641', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-20 16:18:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 16:18:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["10000"],"current":["1"]}', '65', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572138305343488001', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 16:19:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 16:19:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp', 'POST', '{}', '22', NULL, NULL, 'content:新增工程工序/工程管控', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572138305674838018', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 16:19:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 16:19:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572140899994468354', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 16:29:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 16:29:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572070112260382722', 'GET', '{"id":["1572070112260382722"]}', '32', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572140900577476610', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 16:29:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 16:29:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572140900770414593', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 16:29:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 16:29:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572140902683017218', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 16:29:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 16:29:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572469797454086146', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 14:16:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 14:16:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572469799169556482', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 14:16:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 14:16:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572469843352354818', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 14:16:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 14:16:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"id":["1572063395757809666"]}', '31', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572469843796951042', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 14:16:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 14:16:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572469843985694722', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 14:16:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 14:16:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572469845759885313', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 14:16:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 14:16:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572471919394422786', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 14:24:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 14:24:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl', 'POST', '{}', '36', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572471920614965250', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 14:24:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 14:24:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572471996452175873', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 14:25:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 14:25:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572472025237684225', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 14:25:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 14:25:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572472025455788033', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 14:25:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 14:25:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572472034620342273', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 14:25:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 14:25:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"id":["1572063395757809666"]}', '37', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572472035064938497', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 14:25:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 14:25:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572472035245293569', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 14:25:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 14:25:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572472037141118978', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 14:25:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 14:25:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572476805137907714', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-21 14:44:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 14:44:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '260', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572476833432682497', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-21 14:44:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 14:44:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '12', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572476850641911810', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 14:44:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 14:44:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"id":["1572063395757809666"]}', '87', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572476854605529090', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-21 14:44:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 14:44:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '8', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572476973853786114', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-21 14:45:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 14:45:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/f56dce75-6a08-4c6a-87a9-1cf6876b0d7b', 'DELETE', '{}', '6', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572477094234505217', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-21 14:45:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 14:45:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/03298e2b-5724-40ac-83ba-4d4d27196db8', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572477488889151490', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-21 14:47:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 14:47:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/cb0c5793-5e02-4265-9c24-cfb7a9ac4595', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572477502784880642', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 14:47:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 14:47:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '9', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572477551484944386', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 14:47:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 14:47:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl', 'POST', '{}', '93', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572477584322150402', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 14:47:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 14:47:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl', 'POST', '{}', '169', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572477584779329538', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 14:47:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 14:47:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '19', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572477601673986049', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 14:47:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 14:47:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '7', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572477606359023617', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 14:47:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 14:47:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"id":["1572063395757809666"]}', '50', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572477843689521153', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 14:48:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 14:48:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"id":["1572063395757809666"]}', '53', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572498254879907841', '2', 'tofly-auth', 'yj', TO_DATE('2022-09-21 16:09:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 16:09:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/c594a68c-46ab-477b-9aa4-d21ffa74c443', 'DELETE', '{}', '24', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572519233957986306', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 17:32:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 17:32:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '7', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572073034696220673', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 11:59:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:59:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '631', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572073349289992194', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-20 12:01:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 12:01:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/page', 'GET', '{"hitCount":[""],"optimizeCountSql":[""],"level":[""],"records":[""],"searchCount":[""],"fullName":[""],"updateUser":[""],"remark":[""],"updateTime":[""],"current":[""],"regionCode":[""],"total":[""],"size":[""],"createTime":[""],"regionId":[""],"orders[0].asc":[""],"name":[""],"tenantId":[""],"createUser":[""],"orders[0].column":[""],"id":[""],"isDel":[""]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572097383255891970', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-20 13:36:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 13:36:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/page', 'GET', '{"hitCount":[""],"optimizeCountSql":[""],"level":[""],"records":[""],"searchCount":[""],"fullName":[""],"updateUser":[""],"remark":[""],"updateTime":[""],"current":[""],"regionCode":[""],"total":[""],"size":[""],"createTime":[""],"regionId":[""],"orders[0].asc":[""],"name":[""],"tenantId":[""],"createUser":[""],"orders[0].column":[""],"id":[""],"isDel":[""]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572115863225053185', '2', 'tofly-auth', 'yj', TO_DATE('2022-09-20 14:50:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 14:50:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/945cf052-5945-4150-beda-ff701e31388d', 'DELETE', '{}', '16', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572116100903677953', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 14:51:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 14:51:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '44', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572116140485324801', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 14:51:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 14:51:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '29', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572116155945529345', '1', 'tofly-flow', 'lye', TO_DATE('2022-09-20 14:51:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 14:51:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '36', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572116773347078146', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 14:53:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 14:53:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '18', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572116773619707906', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 14:53:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 14:53:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '18', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572116773858783234', '1', 'tofly-flow', 'lye', TO_DATE('2022-09-20 14:53:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 14:53:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572116776073375746', '1', 'tofly-flow', 'lye', TO_DATE('2022-09-20 14:53:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 14:53:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572116777667211266', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 14:53:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 14:53:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572116809963352066', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 14:53:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 14:53:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '8', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572116834500030466', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 14:53:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 14:53:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '26', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572116947830124546', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 14:54:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 14:54:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '8', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572117144748503041', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 14:55:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 14:55:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '37', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572117166311419906', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 14:55:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 14:55:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '24', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572117675411845122', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 14:57:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 14:57:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572117694340739074', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 14:57:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 14:57:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '17', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572117694663700481', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 14:57:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 14:57:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572117698342105090', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 14:57:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 14:57:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572117698761535490', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 14:57:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 14:57:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572117701718519810', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 14:57:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 14:57:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572117702012121089', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 14:57:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 14:57:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572117706701352961', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 14:57:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 14:57:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572117707078840321', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 14:57:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 14:57:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572117709603811329', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 14:57:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 14:57:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572117724732665857', '2', 'tofly-auth', 'test', TO_DATE('2022-09-20 14:57:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 14:57:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/8296b684-e6b8-4dd1-b871-c80e7e41c6bc', 'DELETE', '{}', '3', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572117737235886082', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 14:57:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 14:57:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '7', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572117739492421633', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 14:57:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 14:57:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '24', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572117769477500930', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 14:57:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 14:57:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"id":["1572063395757809666"]}', '41', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572117785516519426', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 14:57:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 14:57:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/1572107971822424065', 'DELETE', '{"0":["1572107971822424065"]}', '4', NULL, NULL, 'content:通过id删除物资信息表', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572117785847869441', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 14:57:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 14:57:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '21', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572117794316169217', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 14:57:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 14:57:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572070112260382722', 'GET', '{"id":["1572070112260382722"]}', '37', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572117836552810497', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 14:57:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 14:57:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572117836800274433', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 14:57:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 14:57:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572117844115140610', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 14:57:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 14:57:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572070112260382722', 'GET', '{"id":["1572070112260382722"]}', '40', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572117844740091905', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 14:57:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 14:57:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '5', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572071630271246337', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 11:54:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:54:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1571745533478338562', 'DELETE', '{"id":["1571745533478338562"]}', '3', NULL, NULL, 'content:通过id删除审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572071630766174210', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 11:54:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:54:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572071639754567682', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 11:54:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:54:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572050850087034882', 'DELETE', '{"id":["1572050850087034882"]}', '2', NULL, NULL, 'content:通过id删除审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572071639930728449', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 11:54:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:54:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572071647639859201', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 11:54:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:54:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572055469848649729', 'DELETE', '{"id":["1572055469848649729"]}', '2', NULL, NULL, 'content:通过id删除审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572071647824408577', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 11:54:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:54:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572071659530711041', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 11:54:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:54:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572055876322844673', 'DELETE', '{"id":["1572055876322844673"]}', '1', NULL, NULL, 'content:通过id删除审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572071659740426241', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 11:54:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:54:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572071670805000194', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 11:54:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:54:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1570698804578582529', 'GET', '{"id":["1570698804578582529"]}', '76', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572071671882936322', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 11:54:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:54:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572071675133521921', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 11:54:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:54:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572071733094608898', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 11:54:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:54:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572071733266575361', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 11:54:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:54:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572072214411964417', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 11:56:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:56:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572072214827200514', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 11:56:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:56:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572072228160892929', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 11:56:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:56:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572072228429328386', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 11:56:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:56:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572072240760582145', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 11:56:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:56:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572070112260382722', 'GET', '{"id":["1572070112260382722"]}', '19', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572072241263898626', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 11:56:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:56:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572072241851101185', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 11:56:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:56:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572072245051355137', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 11:56:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:56:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572072273832669185', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 11:56:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:56:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572070112260382722', 'GET', '{"id":["1572070112260382722"]}', '31', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572072274436648962', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 11:56:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:56:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572072274726055937', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 11:56:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:56:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572072278555455489', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 11:56:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:56:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572072290240786434', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 11:56:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:56:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1570698804578582529', 'GET', '{"id":["1570698804578582529"]}', '84', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572072291385831425', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 11:56:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:56:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":["1"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572072291843010561', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 11:56:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:56:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572072296226058241', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 11:56:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 11:56:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572098537104732161', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 13:41:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 13:41:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '31', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572116155945529346', '1', 'tofly-flow', 'lye', TO_DATE('2022-09-20 14:51:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 14:51:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '36', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572116173255421954', '1', 'tofly-flow', 'lye', TO_DATE('2022-09-20 14:51:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 14:51:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '23', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572116173523857409', '1', 'tofly-flow', 'lye', TO_DATE('2022-09-20 14:51:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 14:51:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572116242310443010', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 14:51:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 14:51:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '28', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572116583970058242', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 14:52:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 14:52:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '31', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572118613274996738', '2', 'tofly-auth', 'test', TO_DATE('2022-09-20 15:01:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 15:01:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/1dfa030b-f62d-4e57-a528-0467c0c1bc92', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572118664512614402', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 15:01:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 15:01:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572125920205549570', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 15:30:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 15:30:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '17', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572157971013050369', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 17:37:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:37:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572158048230187010', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-20 17:37:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:37:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/page', 'GET', '{"tenantId":["1"],"current":["1"],"size":["10000"],"isDel":["0"]}', '2', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572158139917672449', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-20 17:38:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:38:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '2', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572098513931202561', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 13:41:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 13:41:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"key":[""]}', '563', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572098529999581185', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 13:41:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 13:41:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfreportentryp/page', 'GET', '{"name":[""],"current":["1"],"size":["30"]}', '29', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572098535989047297', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 13:41:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 13:41:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"typeName":[""],"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '73', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572098536467197954', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-20 13:41:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 13:41:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["10000"],"current":["1"]}', '109', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572098547896676354', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 13:41:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 13:41:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572099060222521346', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-20 13:43:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 13:43:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '28', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572099067344449537', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-20 13:43:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 13:43:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '10', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572099180456439810', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-20 13:43:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 13:43:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572099229315887106', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-20 13:43:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 13:43:59', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/tfregionp/page', 'GET', '{}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572099383829852161', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-20 13:44:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 13:44:35', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/tfregionp/page', 'GET', '{"tenantId":["1"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572099422518112258', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 13:44:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 13:44:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572099451794354177', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 13:44:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 13:44:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572099465069326338', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 13:44:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 13:44:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572100614103101441', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 13:49:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 13:49:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572100655400218625', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 13:49:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 13:49:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572100859486662658', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 13:50:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 13:50:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572101293701984258', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 13:52:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 13:52:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '468', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572101359665803266', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 13:52:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 13:52:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572101368352206850', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 13:52:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 13:52:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572101534488588290', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 13:53:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 13:53:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '34', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572101534761218050', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 13:53:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 13:53:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572101541153337346', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 13:53:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 13:53:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572070112260382722', 'GET', '{"id":["1572070112260382722"]}', '44', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572101542155776001', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 13:53:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 13:53:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572101542445182978', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 13:53:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 13:53:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572101545762877442', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 13:53:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 13:53:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '7', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572101736754704385', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 13:53:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 13:53:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572102166654087170', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 13:55:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 13:55:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572102208358051842', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 13:55:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 13:55:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572102215723249665', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 13:55:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 13:55:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572102863969710081', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 13:58:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 13:58:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572102892902019074', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 13:58:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 13:58:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572070112260382722', 'GET', '{"id":["1572070112260382722"]}', '49', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572104019521433602', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 14:03:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 14:03:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572104041038213122', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 14:03:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 14:03:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572070112260382722', 'GET', '{"id":["1572070112260382722"]}', '46', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572104137519788033', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 14:03:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 14:03:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572104165143474177', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 14:03:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 14:03:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572104173276229633', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 14:03:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 14:03:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572104249595785218', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 14:03:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 14:03:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572104249855832065', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 14:03:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 14:03:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572104257137143809', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 14:03:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 14:03:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572070112260382722', 'GET', '{"id":["1572070112260382722"]}', '38', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572104257573351425', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 14:03:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 14:03:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572104257766289409', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 14:03:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 14:03:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572104260089933826', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 14:03:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 14:03:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572107788594184194', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-20 14:17:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 14:17:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["10000"],"current":["1"]}', '565', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572107888632528897', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 14:18:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 14:18:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '36', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572107897583173633', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 14:18:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 14:18:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '83', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572107972493443073', '0', 'tofly-flow', 'lz', TO_DATE('2022-09-20 14:18:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 14:18:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/saveMatterAndPrice', 'POST', '{}', '135', NULL, 'nested exception is org.apache.ibatis.type.TypeException: Could not set parameters for mapping: ParameterMapping{property=''ew.paramNameValuePairs.MPGENVAL1'', mode=IN, javaType=class java.lang.Object, jdbcType=null, numericScale=null, resultMapId=''null'', jdbcTypeName=''null'', expression=''null''}. Cause: org.apache.ibatis.type.TypeException: Error setting null for parameter #1 with JdbcType OTHER . Try setting a different JdbcType for this parameter or a different jdbcTypeForNull configuration property. Cause: java.sql.SQLException: 无效的列类型: 1111', 'content:新增物资信息及价格', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572108583851024386', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 14:21:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 14:21:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '483', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572109114346590209', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 14:23:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 14:23:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '570', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572109135901118465', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 14:23:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 14:23:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '81', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572109216473698305', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 14:23:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 14:23:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/saveMatterAndPrice', 'POST', '{}', '52', NULL, NULL, 'content:新增物资信息及价格', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572109526176911361', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 14:24:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 14:24:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '27', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572109542878629889', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 14:24:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 14:24:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572109644238180353', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 14:25:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 14:25:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572109744221999105', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 14:25:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 14:25:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/saveMatterAndPrice', 'POST', '{}', '14', NULL, NULL, 'content:新增物资信息及价格', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572109830234591233', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 14:26:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 14:26:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '36', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572110122858598402', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 14:27:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 14:27:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '21', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572110384125988866', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-20 14:28:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 14:28:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["10000"],"current":["1"]}', '85', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572110786514931714', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 14:29:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 14:29:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '32', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572110801912221697', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 14:29:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 14:29:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/1', 'DELETE', '{"0":["1"]}', '3', NULL, NULL, 'content:通过id删除物资信息表', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572110802247766018', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 14:29:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 14:29:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '22', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572110831255572482', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 14:30:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 14:30:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/1572108633176104961', 'DELETE', '{"0":["1572108633176104961"]}', '3', NULL, NULL, 'content:通过id删除物资信息表', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572110831578533889', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 14:30:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 14:30:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '18', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572110848062148609', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 14:30:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 14:30:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572110963028021250', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 14:30:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 14:30:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/saveMatterAndPrice', 'POST', '{}', '12', NULL, NULL, 'content:新增物资信息及价格', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572110963426480130', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 14:30:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 14:30:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '23', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572111096675323906', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 14:31:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 14:31:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '25', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572111096977313793', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 14:31:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 14:31:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '17', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572111102887088130', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 14:31:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 14:31:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572111103180689410', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 14:31:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 14:31:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572111124487753730', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 14:31:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 14:31:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1570698804578582529', 'GET', '{"id":["1570698804578582529"]}', '169', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572111125611827201', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 14:31:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 14:31:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572111130091343874', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 14:31:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 14:31:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '22', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572111159120121857', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 14:31:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 14:31:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572111159405334530', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 14:31:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 14:31:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '19', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572111183543554050', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-20 14:31:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 14:31:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '8', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572111199037313025', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 14:31:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 14:31:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"id":["1572063395757809666"]}', '35', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572111199679041538', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 14:31:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 14:31:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572111199901339650', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 14:31:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 14:31:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572111202057211906', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 14:31:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 14:31:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572113295451115522', '2', 'tofly-auth', 'rq', TO_DATE('2022-09-20 14:39:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 14:39:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/53f304cc-40fd-4767-8ae6-482a4ae321c9', 'DELETE', '{}', '1', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572114850015363073', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 14:46:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 14:46:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '501', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572114871909629954', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 14:46:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 14:46:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '39', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572117844949807106', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 14:57:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 14:57:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572117846828855298', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 14:57:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 14:57:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572118721236381697', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 15:01:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 15:01:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572118779637870594', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 15:01:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 15:01:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572118824646946817', '2', 'tofly-auth', 'll', TO_DATE('2022-09-20 15:01:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 15:01:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/6e2a534c-10b2-452f-99f0-0ab1fc6a4265', 'DELETE', '{}', '1', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572118904716210178', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 15:02:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 15:02:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572119255070617602', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 15:03:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 15:03:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572119427817222145', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 15:04:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 15:04:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572120315399057409', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 15:07:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 15:07:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572120315801710593', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-20 15:07:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 15:07:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572120320625160194', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 15:07:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 15:07:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572120382524698626', '0', 'tofly-flow', 'lz', TO_DATE('2022-09-20 15:08:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 15:08:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/saveMatterAndPrice', 'POST', '{}', '167', NULL, '### Error updating database.  Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys006)

### The error may exist in com/tofly/workflow/baseconf/mapper/TfMatterPMapper.java (best guess)
### The error may involve com.tofly.workflow.baseconf.mapper.TfMatterPMapper.insert-Inline
### The error occurred while setting parameters
### SQL: INSERT INTO TF_MATTER_P  ( id,  category, matter_type, matter_name,   standards, unit,     remark, CREATE_USER, CREATE_TIME, UPDATE_USER, UPDATE_TIME )  VALUES  ( ?,  ?, ?, ?,   ?, ?,     ?, ?, ?, ?, ? )
### Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys006)

; ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys006)
; nested exception is java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys006)', 'content:新增物资信息及价格', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572120909455110146', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 15:10:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 15:10:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572120924663656449', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 15:10:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 15:10:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"id":["1572063395757809666"]}', '31', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572120934855815170', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 15:10:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 15:10:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '19', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572120950760615937', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 15:10:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 15:10:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572120968510910465', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 15:10:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 15:10:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/saveMatterAndPrice', 'POST', '{}', '10', NULL, NULL, 'content:新增物资信息及价格', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572120968804511745', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 15:10:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 15:10:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '18', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572120985686585346', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 15:10:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 15:10:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '7', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572121354298798081', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 15:11:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 15:11:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572121368790118401', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 15:11:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 15:11:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572121385533779970', '0', 'tofly-flow', 'lz', TO_DATE('2022-09-20 15:12:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 15:12:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp', 'PUT', '{}', '87', NULL, 'nested exception is org.apache.ibatis.type.TypeException: Could not set parameters for mapping: ParameterMapping{property=''id'', mode=IN, javaType=class java.lang.Object, jdbcType=null, numericScale=null, resultMapId=''null'', jdbcTypeName=''null'', expression=''null''}. Cause: org.apache.ibatis.type.TypeException: Error setting null for parameter #1 with JdbcType OTHER . Try setting a different JdbcType for this parameter or a different jdbcTypeForNull configuration property. Cause: java.sql.SQLException: 无效的列类型: 1111', 'content:修改物资信息表', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572121508309446657', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 15:12:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 15:12:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572121570850713601', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 15:12:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 15:12:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"id":["1572063395757809666"]}', '30', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572121583811112962', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 15:12:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 15:12:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"id":["1572063395757809666"]}', '29', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572121631429046273', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 15:13:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 15:13:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572121631651344386', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 15:13:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 15:13:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572121639905734657', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 15:13:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 15:13:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572070112260382722', 'GET', '{"id":["1572070112260382722"]}', '29', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572121640828481538', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 15:13:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 15:13:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572121641088528385', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 15:13:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 15:13:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572121643059851265', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 15:13:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 15:13:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572121734759919617', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 15:13:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 15:13:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572070112260382722', 'GET', '{"id":["1572070112260382722"]}', '30', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572158144778870786', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-20 17:38:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:38:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572158155503706114', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-20 17:38:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:38:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/page', 'GET', '{"tenantId":["1"],"current":["1"],"size":["10000"],"isDel":["0"]}', '2', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572162404002394113', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 17:55:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:55:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572157726111834113', 'GET', '{"id":["1572157726111834113"]}', '33', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572162404463767554', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 17:55:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:55:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572162404673482753', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 17:55:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:55:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572162406594473985', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 17:55:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:55:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572162909395054593', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 17:57:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:57:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl', 'POST', '{}', '20', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572162909738987522', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 17:57:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:57:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572162917263568898', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 17:57:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:57:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572157726111834113', 'GET', '{"id":["1572157726111834113"]}', '38', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572162917863354369', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 17:57:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:57:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572162918064680962', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 17:57:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:57:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572162919876620289', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 17:57:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:57:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572163079293726722', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 17:57:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:57:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl', 'POST', '{}', '31', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572163079801237505', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 17:57:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:57:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572163090387660802', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 17:57:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:57:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572157726111834113', 'GET', '{"id":["1572157726111834113"]}', '32', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572163090790313985', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 17:57:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:57:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572163091054555137', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 17:57:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:57:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572163093185261570', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 17:57:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:57:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572163219043741697', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 17:58:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:58:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572157726111834113', 'GET', '{"id":["1572157726111834113"]}', '26', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572163220125872129', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 17:58:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:58:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572163220419473410', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 17:58:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:58:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572163222432739329', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 17:58:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:58:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572163282537115650', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 17:58:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:58:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl', 'POST', '{}', '20', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572163282881048578', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 17:58:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:58:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572163288832765953', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 17:58:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:58:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572157726111834113', 'GET', '{"id":["1572157726111834113"]}', '29', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572163289256390657', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 17:58:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:58:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572163289457717250', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 17:58:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:58:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572163291181576194', '1', 'tofly-flow', 'administrator', TO_DATE('2022-09-20 17:58:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 17:58:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572415359850954753', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 10:40:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 10:40:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572415404444794882', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 10:40:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 10:40:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572415440650027010', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 10:40:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 10:40:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572415487890472961', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 10:40:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 10:40:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp', 'POST', '{}', '8', NULL, NULL, 'content:新增工程工序/工程管控', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572415488356040705', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 10:40:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 10:40:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '33', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572415498703388674', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 10:40:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 10:40:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572415518068490241', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 10:40:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 10:40:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp', 'POST', '{}', '7', NULL, NULL, 'content:新增工程工序/工程管控', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572415518412423170', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 10:40:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 10:40:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '30', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572415523273621505', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 10:40:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 10:40:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572415535135113217', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 10:40:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 10:40:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572415544408719362', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 10:40:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 10:40:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572415569691983874', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 10:41:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 10:41:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572415582409113602', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 10:41:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 10:41:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572415609521094658', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 10:41:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 10:41:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp', 'POST', '{}', '13', NULL, NULL, 'content:新增工程工序/工程管控', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572415609881804802', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 10:41:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 10:41:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '31', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572415620677943297', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 10:41:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 10:41:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572108583851024385', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 14:21:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 14:21:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '188', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572108633683550209', '0', 'tofly-flow', 'lz', TO_DATE('2022-09-20 14:21:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 14:21:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/saveMatterAndPrice', 'POST', '{}', '104', NULL, 'nested exception is org.apache.ibatis.type.TypeException: Could not set parameters for mapping: ParameterMapping{property=''ew.paramNameValuePairs.MPGENVAL1'', mode=IN, javaType=class java.lang.Object, jdbcType=null, numericScale=null, resultMapId=''null'', jdbcTypeName=''null'', expression=''null''}. Cause: org.apache.ibatis.type.TypeException: Error setting null for parameter #1 with JdbcType OTHER . Try setting a different JdbcType for this parameter or a different jdbcTypeForNull configuration property. Cause: java.sql.SQLException: 无效的列类型: 1111', 'content:新增物资信息及价格', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572116620980596738', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 14:53:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 14:53:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '27', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572116721971048449', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 14:53:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 14:53:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '10', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572116773611319298', '1', 'tofly-flow', 'lye', TO_DATE('2022-09-20 14:53:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 14:53:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572116777675599873', '1', 'tofly-flow', 'test', TO_DATE('2022-09-20 14:53:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 14:53:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572117852457611265', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 14:57:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 14:57:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '49', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572117894547451905', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 14:58:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 14:58:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"id":["1572063395757809666"]}', '39', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572117896883679233', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 14:58:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 14:58:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572117897076617218', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 14:58:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 14:58:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572117898884362241', '1', 'tofly-flow', 'll', TO_DATE('2022-09-20 14:58:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 14:58:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572126977501515777', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 15:34:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 15:34:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '478', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572127210092449793', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 15:35:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 15:35:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '77', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572134417982828545', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 16:03:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 16:03:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '608', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572134669565571074', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 16:04:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 16:04:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '33', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572134748850499586', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 16:05:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 16:05:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp', 'POST', '{}', '24', NULL, NULL, 'content:新增工程工序/工程管控', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572134749186043905', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 16:05:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 16:05:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572134760695214081', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 16:05:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 16:05:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/1571794464484749313', 'GET', '{"0":["1571794464484749313"]}', '6', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572135193769684994', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 16:06:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 16:06:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/1571794464484749313', 'GET', '{"0":["1571794464484749313"]}', '7', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572135243690291201', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 16:07:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 16:07:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572419252030898177', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 10:55:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 10:55:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '58', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572419549860036609', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 10:56:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 10:56:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '48', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572419561771859969', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 10:56:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 10:56:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/removeByNatureAndTenantId', 'POST', '{"tenantId":["1"],"nature":["1"]}', '14', NULL, NULL, 'content:通过tenantId和nature删除工程工序/工程管控', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572419562312925186', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 10:56:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 10:56:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '65', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572419582219091969', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 10:56:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 10:56:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '45', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572419593472409602', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 10:56:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 10:56:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572419614058053633', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 10:57:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 10:57:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572419625248456705', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 10:57:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 10:57:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572419640972902402', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 10:57:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 10:57:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572419660736462849', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 10:57:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 10:57:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/removeByNatureAndTenantId', 'POST', '{"tenantId":["1569602913205559300"],"nature":["1"]}', '4', NULL, NULL, 'content:通过tenantId和nature删除工程工序/工程管控', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572419661193641985', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 10:57:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 10:57:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '46', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572419666977587201', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 10:57:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 10:57:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572419683171794945', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 10:57:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 10:57:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/removeByNatureAndTenantId', 'POST', '{"tenantId":["1569602913205559300"],"nature":["1"]}', '5', NULL, NULL, 'content:通过tenantId和nature删除工程工序/工程管控', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572419683628974082', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 10:57:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 10:57:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '43', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572419707377123329', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 10:57:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 10:57:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '44', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572419721423847425', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 10:57:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 10:57:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572419753573187585', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 10:57:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 10:57:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/removeByNatureAndTenantId', 'POST', '{"tenantId":["1569602913205559300"],"nature":["1"]}', '4', NULL, NULL, 'content:通过tenantId和nature删除工程工序/工程管控', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572419754084892674', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 10:57:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 10:57:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '45', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572419760216965121', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-21 10:57:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 10:57:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572115330821074946', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 14:47:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 14:47:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '486', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572115333648035842', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 14:47:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 14:47:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '36', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572115348470706178', '1', 'tofly-flow', 'lye', TO_DATE('2022-09-20 14:48:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 14:48:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '59', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572115348810444801', '1', 'tofly-flow', 'lye', TO_DATE('2022-09-20 14:48:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 14:48:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '17', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572115358511869953', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 14:48:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 14:48:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '31', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572115372172718082', '1', 'tofly-flow', 'lye', TO_DATE('2022-09-20 14:48:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 14:48:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '24', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572115372541816833', '1', 'tofly-flow', 'lye', TO_DATE('2022-09-20 14:48:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 14:48:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '19', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572118272567488513', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 14:59:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 14:59:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '20', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572118292863725569', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 14:59:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 14:59:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572118482416906241', '2', 'tofly-auth', 'administrator', TO_DATE('2022-09-20 15:00:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 15:00:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/0d06d525-9e0e-4acc-a694-5976fde86bf2', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572133321759621121', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 15:59:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 15:59:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '529', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572134613764550658', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-20 16:04:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-20 16:04:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/1572131129849921537', 'GET', '{"0":["1572131129849921537"]}', '60', NULL, NULL, 'content:通过id查询施工组织单位', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572430368152875010', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 11:39:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 11:39:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"id":["1572063395757809666"]}', '72', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572433503395115009', '2', 'tofly-auth', 'hq', TO_DATE('2022-09-21 11:52:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 11:52:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/99a511a2-c98b-4436-b784-45d553295437', 'DELETE', '{}', '6', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572512357883129857', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 17:05:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 17:05:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"id":["1572063395757809666"]}', '35', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572512358315143169', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 17:05:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 17:05:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572512358516469761', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 17:05:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 17:05:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572512360219357185', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 17:05:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 17:05:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572512992871395330', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 17:08:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 17:08:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '10', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572513006016344065', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-21 17:08:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 17:08:11', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/tfprocessl/1571780757536903170', 'GET', '{}', '73', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572513044390031362', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 17:08:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 17:08:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572513044624912386', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 17:08:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 17:08:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572513046877253633', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 17:08:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 17:08:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572513047061803010', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 17:08:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 17:08:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572513182286163970', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 17:08:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 17:08:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572513187642290177', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 17:08:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 17:08:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"id":["1572063395757809666"]}', '27', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572513216964669442', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 17:09:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 17:09:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"id":["1572063395757809666"]}', '27', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572513703252275201', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 17:10:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 17:10:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572513727642152961', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 17:11:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 17:11:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '7', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572519238781435906', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 17:32:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 17:32:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"id":["1572063395757809666"]}', '59', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572519774729601026', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 17:35:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 17:35:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '12', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572519774775738370', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 17:35:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 17:35:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '16', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572519779427221506', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 17:35:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 17:35:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '23', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572519779704045570', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 17:35:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 17:35:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '19', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572519810393767938', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 17:35:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 17:35:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572157726111834113', 'GET', '{"id":["1572157726111834113"]}', '51', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572519810997747714', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 17:35:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 17:35:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572519811245211649', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 17:35:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 17:35:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572519814806175745', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 17:35:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 17:35:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572520035720167426', '1', 'tofly-flow', 'll', TO_DATE('2022-09-21 17:36:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 17:36:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '60', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572522092464242690', '2', 'tofly-auth', 'administrator', TO_DATE('2022-09-21 17:44:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-21 17:44:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/beefbaa0-8135-4c08-9301-729418cf5c75', 'DELETE', '{}', '8', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573134951099514881', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-23 10:19:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 10:19:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572786304281247746', 'GET', '{"id":["1572786304281247746"]}', '27', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573135209711910914', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-23 10:20:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 10:20:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/4b4e950a-0fd3-429f-be33-2e3cfd63eabc', 'DELETE', '{}', '8', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573135368604729345', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 10:21:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 10:21:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573135708255272962', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-23 10:22:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 10:22:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '10', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573135726559215618', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-23 10:22:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 10:22:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572786304281247746', 'GET', '{"id":["1572786304281247746"]}', '23', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573214641021632514', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-23 15:36:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 15:36:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573214643248807937', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-23 15:36:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 15:36:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573214643592740865', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-23 15:36:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 15:36:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573214688840892418', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 15:36:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 15:36:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573214688903806978', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 15:36:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 15:36:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '25', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573214869363736578', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-23 15:37:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 15:37:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573214869787361281', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-23 15:37:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 15:37:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573214972061270017', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-23 15:37:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 15:37:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573215280652992513', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-23 15:38:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 15:38:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573216163470098433', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-23 15:42:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 15:42:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573216978058461186', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-23 15:45:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 15:45:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573216978293342210', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-23 15:45:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 15:45:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573216996807000065', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-23 15:45:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 15:45:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573216996987355138', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-23 15:45:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 15:45:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573217006504230913', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-23 15:45:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 15:45:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572057231389220865', 'GET', '{"id":["1572057231389220865"]}', '25', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573217007267594241', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-23 15:45:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 15:45:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573217010400739329', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-23 15:45:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 15:45:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573217017195511809', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-23 15:45:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 15:45:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573217027031154689', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-23 15:45:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 15:45:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573217027232481281', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-23 15:45:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 15:45:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573217031967850498', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-23 15:45:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 15:45:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573219850292674562', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 15:56:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 15:56:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573219877278826497', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 15:57:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 15:57:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568483117915193345"],"isMould":["0"]}', '8', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573219893368176642', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 15:57:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 15:57:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '140', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573219901266051073', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 15:57:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 15:57:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '23', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573219901358325761', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 15:57:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 15:57:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '45', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573219978026008577', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 15:57:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 15:57:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '153', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573219993427492865', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 15:57:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 15:57:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573220059949154306', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 15:57:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 15:57:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '156', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573220217990529025', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 15:58:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 15:58:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573220218074415105', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 15:58:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 15:58:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '30', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573220246285303809', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 15:58:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 15:58:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '20', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573220246604070913', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 15:58:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 15:58:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573220264849293313', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 15:58:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 15:58:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '206', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573220265474244610', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 15:58:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 15:58:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573220265935618050', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 15:58:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 15:58:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573289689384235010', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-23 20:34:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 20:34:26', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '7', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573289694258016258', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-23 20:34:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 20:34:28', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573292743332474881', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-23 20:46:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 20:46:35', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573292749229666306', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-23 20:46:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 20:46:36', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573293393608978434', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-23 20:49:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 20:49:10', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573293444917899265', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-23 20:49:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 20:49:22', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '7', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573293486877716481', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-23 20:49:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 20:49:32', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573293493164978178', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-23 20:49:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 20:49:33', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573324085927620610', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 22:51:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 22:51:07', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.91.143', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"edition":["11"],"id":["1572063395757809666"]}', '57', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573324096555986946', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 22:51:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 22:51:10', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.91.143', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"edition":["11"],"id":["1572063395757809666"]}', '44', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573324097428402177', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 22:51:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 22:51:10', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.91.143', NULL, '/tfprocessl/1573274177313312800', 'GET', '{"id":["1573274177313312800"]}', '2', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573479068778115073', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-24 09:06:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-24 09:06:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '45', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573479080375365634', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-24 09:07:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-24 09:07:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568483117915193345"],"isMould":["0"]}', '10', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573479694249504769', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-24 09:09:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-24 09:09:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572786304281247746', 'GET', '{"id":["1572786304281247746"]}', '47', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573479695470047234', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-24 09:09:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-24 09:09:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '40', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573479695532961793', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-24 09:09:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-24 09:09:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '69', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573480175868850177', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-24 09:11:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-24 09:11:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '17', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573480175961124866', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-24 09:11:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-24 09:11:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '43', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573484993198960641', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-24 09:30:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-24 09:30:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"edition":["11"],"id":["1572063395757809666"]}', '41', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573485025046310913', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-24 09:30:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-24 09:30:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"edition":["11"],"id":["1572063395757809666"]}', '32', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573488662803918850', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-24 09:45:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-24 09:45:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568483117915193345"],"isMould":["0"]}', '15', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573492554488885249', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-24 10:00:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-24 10:00:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572786304281247746', 'GET', '{"id":["1572786304281247746"]}', '37', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573492555520684033', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-24 10:00:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-24 10:00:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573492555638124546', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-24 10:00:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-24 10:00:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '52', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573492740892143617', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-24 10:01:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-24 10:01:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '18', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573492740967641089', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-24 10:01:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-24 10:01:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '34', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573492775985885185', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-24 10:01:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-24 10:01:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572786304281247746', 'GET', '{"id":["1572786304281247746"]}', '35', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573492799985692673', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-24 10:01:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-24 10:01:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573492800077967361', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-24 10:01:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-24 10:01:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '37', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573493639920234498', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-24 10:04:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-24 10:04:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"edition":["11"],"id":["1572063395757809666"]}', '40', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573493676083523586', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-24 10:05:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-24 10:05:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1573274177313312800', 'GET', '{"id":["1573274177313312800"]}', '3', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573493833432838145', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-24 10:05:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-24 10:05:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"edition":["11"],"id":["1572063395757809666"]}', '38', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573493852902797313', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-24 10:05:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-24 10:05:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1573274177313312800', 'GET', '{"id":["1573274177313312800"]}', '1', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573496977046908930', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-24 10:18:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-24 10:18:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568483117915193345"],"isMould":["0"]}', '10', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573497035146407938', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-24 10:18:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-24 10:18:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572786304281247746', 'GET', '{"id":["1572786304281247746"]}', '33', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573497060794576897', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-24 10:18:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-24 10:18:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573497060886851586', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-24 10:18:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-24 10:18:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '32', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573497336821723137', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-24 10:19:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-24 10:19:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568483117915193345"],"isMould":["0"]}', '11', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573497554380271618', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-24 10:20:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-24 10:20:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572786304281247746', 'GET', '{"id":["1572786304281247746"]}', '33', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573497567126761474', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-24 10:20:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-24 10:20:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573497567202258945', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-24 10:20:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-24 10:20:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '28', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573154059828379649', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 11:35:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 11:35:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl', 'POST', '{}', '428', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573154060939870209', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 11:35:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 11:35:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '25', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573154224018604033', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 11:36:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 11:36:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568483117915193345"],"isMould":["0"]}', '14', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573154240586104833', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 11:36:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 11:36:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572786304281247746', 'GET', '{"id":["1572786304281247746"]}', '36', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573154250744709122', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 11:36:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 11:36:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '42', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573154250816012290', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 11:36:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 11:36:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '88', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573154251281580034', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 11:36:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 11:36:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '628', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573154251751342081', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 11:36:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 11:36:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573154251952668674', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 11:36:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 11:36:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573154254456668162', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 11:36:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 11:36:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573155136279724034', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 11:39:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 11:39:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572786304281247746', 'GET', '{"id":["1572786304281247746"]}', '28', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573155136934035458', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 11:39:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 11:39:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573155137177305090', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 11:39:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 11:39:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573155139719053314', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 11:39:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 11:39:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573155198745493505', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 11:40:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 11:40:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '142', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573155199303335938', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 11:40:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 11:40:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573155199487885314', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 11:40:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 11:40:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573155201924775938', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 11:40:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 11:40:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573199028609990658', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 14:34:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 14:34:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '13', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573199038269472769', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 14:34:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 14:34:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568483117915193345"],"isMould":["0"]}', '22', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573199056913154049', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 14:34:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 14:34:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '688', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573199058951585794', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 14:34:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 14:34:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573199062260891649', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 14:34:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 14:34:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '88', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573199902166073346', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 14:37:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 14:37:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"id":0,"isDel":0}', '25', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573199907509616642', '0', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 14:37:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 14:37:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"id":0,"isDel":0}', '157', NULL, '### Error updating database.  Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.PK_TF_REGION_P)

### The error may exist in com/tofly/workflow/baseconf/mapper/TfRegionPMapper.java (best guess)
### The error may involve com.tofly.workflow.baseconf.mapper.TfRegionPMapper.insert-Inline
### The error occurred while setting parameters
### SQL: INSERT INTO TF_REGION_P  ( id, tenant_id,     region_id, is_del,  CREATE_USER, CREATE_TIME, UPDATE_USER, UPDATE_TIME )  VALUES  ( ?, ?,     ?, ?,  ?, ?, ?, ? )
### Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.PK_TF_REGION_P)

; ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.PK_TF_REGION_P)
; nested exception is java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.PK_TF_REGION_P)', 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573199986337366017', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 14:38:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 14:38:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '14', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573199988874919938', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 14:38:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 14:38:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573199990997237762', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 14:38:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 14:38:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573199991915790338', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 14:38:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 14:38:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '4', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573199992616239106', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 14:38:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 14:38:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573199993236996097', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 14:38:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 14:38:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '6', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573199993924861953', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 14:38:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 14:38:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573199994574979073', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 14:38:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 14:38:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '5', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573199995229290498', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 14:38:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 14:38:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573199995829075969', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 14:38:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 14:38:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572896092830941185', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-22 18:30:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 18:30:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '9', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572896106147856385', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-22 18:30:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 18:30:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '10', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572896249010044930', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-22 18:31:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 18:31:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572786304281247746', 'GET', '{"id":["1572786304281247746"]}', '40', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573154432978829314', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 11:36:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 11:36:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '167', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573154433570226177', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 11:36:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 11:36:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '7', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573154433779941377', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 11:36:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 11:36:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573154436351049730', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 11:37:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 11:37:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573155407546335233', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 11:40:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 11:40:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573156138185703426', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 11:43:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 11:43:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568483117915193345"],"isMould":["0"]}', '9', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573156217239945217', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-23 11:44:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 11:44:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1"],"isMould":["0"]}', '26', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573156435561857026', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 11:44:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 11:44:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568483117915193345"],"isMould":["0"]}', '9', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573156866660810753', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-23 11:46:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 11:46:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1570692286170427394"]}', '7', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573156997384683521', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-23 11:47:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 11:47:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectmaterialw/getDispatchRecord', 'GET', '{"relationId":["1570739116476383234"],"materialType":["3"]}', '15', NULL, NULL, 'content:领料记录', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573157003260903425', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-23 11:47:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 11:47:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1"],"isMould":["0"]}', '2', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573157011628539905', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-23 11:47:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 11:47:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1"],"isMould":["0"]}', '2', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573157044180533249', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-23 11:47:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 11:47:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573157090808610817', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-23 11:47:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 11:47:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1570692286170427394"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573157237818966018', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-23 11:48:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 11:48:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1570692286170427394"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573157470007246849', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 11:49:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 11:49:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573203010392801281', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 14:50:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 14:50:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809700', 'GET', '{"edition":["11"],"id":["1572063395757809700"]}', '2', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573203117536296961', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 14:50:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 14:50:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809700', 'GET', '{"edition":["11"],"id":["1572063395757809700"]}', '2', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573203117725040642', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 14:50:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 14:50:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809700', 'GET', '{"edition":["11"],"id":["1572063395757809700"]}', '1', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573203122141642754', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 14:50:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 14:50:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573203123043418114', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 14:50:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 14:50:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573203123815170049', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 14:50:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 14:50:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573203124410761217', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 14:50:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 14:50:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573203125186707458', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 14:50:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 14:50:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573203125933293570', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 14:50:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 14:50:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573203126608576513', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 14:50:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 14:50:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573203127321608193', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 14:50:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 14:50:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573203128118525954', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 14:50:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 14:50:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573203128818974721', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 14:50:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 14:50:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573203129662029825', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 14:50:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 14:50:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573203130547027970', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 14:50:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 14:50:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573203131281031170', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 14:50:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 14:50:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573203132077948929', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 14:50:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 14:50:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573203132967141377', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 14:50:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 14:50:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573203133843750914', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 14:50:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 14:50:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '4', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572900519910424578', '1', 'tofly-flow', 'll', TO_DATE('2022-09-22 18:48:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 18:48:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572900528181592065', '1', 'tofly-flow', 'll', TO_DATE('2022-09-22 18:48:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 18:48:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"id":["1572063395757809666"]}', '41', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572900613460180994', '1', 'tofly-flow', 'll', TO_DATE('2022-09-22 18:48:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 18:48:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl', 'POST', '{}', '7', NULL, NULL, 'content:新增流程信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572900884785512449', '1', 'tofly-flow', 'll', TO_DATE('2022-09-22 18:49:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 18:49:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572900891584479234', '1', 'tofly-flow', 'll', TO_DATE('2022-09-22 18:49:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 18:49:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"id":["1572063395757809666"]}', '34', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572901119318409217', '1', 'tofly-flow', 'll', TO_DATE('2022-09-22 18:50:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 18:50:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl', 'POST', '{"files":["[object Object]","[object Object]"]}', '4', NULL, NULL, 'content:新增流程信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572902566730776578', '1', 'tofly-flow', 'll', TO_DATE('2022-09-22 18:56:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 18:56:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572902573580075009', '1', 'tofly-flow', 'll', TO_DATE('2022-09-22 18:56:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 18:56:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"id":["1572063395757809666"]}', '35', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572903217082777602', '1', 'tofly-flow', 'll', TO_DATE('2022-09-22 18:58:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 18:58:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572903326566694914', '1', 'tofly-flow', 'll', TO_DATE('2022-09-22 18:59:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 18:59:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572903333504073729', '1', 'tofly-flow', 'll', TO_DATE('2022-09-22 18:59:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 18:59:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"id":["1572063395757809666"]}', '35', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573154860424544258', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 11:38:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 11:38:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '27', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573154860688785410', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 11:38:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 11:38:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573154992062775298', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 11:39:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 11:39:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '146', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573154992855498753', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 11:39:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 11:39:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573154993048436738', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 11:39:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 11:39:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573154995594379265', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 11:39:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 11:39:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573198242479980545', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 14:31:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 14:31:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809700', 'GET', '{"edition":["11"],"id":["1572063395757809700"]}', '327', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573198295328210946', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-23 14:31:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 14:31:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '98', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573198310087966722', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-23 14:31:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 14:31:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '9', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573198362076364801', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 14:31:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 14:31:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '280', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573198385027596289', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-23 14:31:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 14:31:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '12', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573198424332419074', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-23 14:31:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 14:31:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572786304281247746', 'GET', '{"id":["1572786304281247746"]}', '52', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573226233318719489', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-23 16:22:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:22:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573226233524240386', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-23 16:22:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:22:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573226241526972417', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-23 16:22:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:22:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573226241787019265', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-23 16:22:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:22:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573226245427675137', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-23 16:22:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:22:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573226247713570817', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-23 16:22:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:22:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573226302562484226', '1', 'tofly-flow', 'll2', TO_DATE('2022-09-23 16:22:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:22:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568483117915193345"],"isMould":["0"]}', '8', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573226365753868290', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-23 16:22:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:22:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573226365959389186', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-23 16:22:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:22:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573226379435687938', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-23 16:22:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:22:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '111', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573226380186468353', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-23 16:22:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:22:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573226380391989250', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-23 16:22:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:22:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573226382950514690', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-23 16:22:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:22:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573226438059474946', '1', 'tofly-flow', 'll2', TO_DATE('2022-09-23 16:23:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:23:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809700', 'GET', '{"edition":["11"],"id":["1572063395757809700"]}', '1', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573226471337082882', '1', 'tofly-flow', 'll2', TO_DATE('2022-09-23 16:23:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:23:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572786304281247746', 'GET', '{"id":["1572786304281247746"]}', '27', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573226583769595905', '1', 'tofly-flow', 'll2', TO_DATE('2022-09-23 16:23:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:23:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572895611480031234', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-22 18:28:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 18:28:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '261', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572895627099619330', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-22 18:28:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 18:28:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572786304281247746', 'GET', '{"id":["1572786304281247746"]}', '64', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572895929836093441', '1', 'tofly-flow', 'll', TO_DATE('2022-09-22 18:29:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 18:29:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"id":["1572063395757809666"]}', '57', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572896637377429506', '1', 'tofly-flow', 'll', TO_DATE('2022-09-22 18:32:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 18:32:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '7', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572896644629381121', '1', 'tofly-flow', 'll', TO_DATE('2022-09-22 18:32:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 18:32:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"id":["1572063395757809666"]}', '55', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572897137413963777', '1', 'tofly-flow', 'll', TO_DATE('2022-09-22 18:34:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 18:34:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '9', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572897142593929218', '1', 'tofly-flow', 'll', TO_DATE('2022-09-22 18:34:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 18:34:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"id":["1572063395757809666"]}', '47', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572897623433134081', '1', 'tofly-flow', 'll', TO_DATE('2022-09-22 18:36:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 18:36:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572897627711324162', '1', 'tofly-flow', 'll', TO_DATE('2022-09-22 18:36:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 18:36:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"id":["1572063395757809666"]}', '54', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572897703271710721', '1', 'tofly-flow', 'll', TO_DATE('2022-09-22 18:36:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 18:36:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl', 'POST', '{"files":[""]}', '1000', NULL, NULL, 'content:新增流程信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572897772213485569', '1', 'tofly-flow', 'll', TO_DATE('2022-09-22 18:37:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 18:37:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl', 'POST', '{"files":["[object Object],[object Object]"]}', '11', NULL, NULL, 'content:新增流程信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572898015533449218', '1', 'tofly-flow', 'll', TO_DATE('2022-09-22 18:38:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 18:38:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572898021837488130', '1', 'tofly-flow', 'll', TO_DATE('2022-09-22 18:38:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 18:38:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"id":["1572063395757809666"]}', '44', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572898105052479489', '1', 'tofly-flow', 'll', TO_DATE('2022-09-22 18:38:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 18:38:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl', 'POST', '{"files":["[object Object]","[object Object]",""]}', '7', NULL, NULL, 'content:新增流程信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572898440089288705', '1', 'tofly-flow', 'll', TO_DATE('2022-09-22 18:39:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 18:39:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572898445336363009', '1', 'tofly-flow', 'll', TO_DATE('2022-09-22 18:39:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 18:39:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"id":["1572063395757809666"]}', '44', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572898531902603265', '1', 'tofly-flow', 'll', TO_DATE('2022-09-22 18:40:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 18:40:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl', 'POST', '{"files":[""]}', '116', NULL, NULL, 'content:新增流程信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572898631332773890', '1', 'tofly-flow', 'll', TO_DATE('2022-09-22 18:40:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 18:40:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '7', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572898639419392002', '1', 'tofly-flow', 'll', TO_DATE('2022-09-22 18:40:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 18:40:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"id":["1572063395757809666"]}', '39', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572898752044843010', '1', 'tofly-flow', 'll', TO_DATE('2022-09-22 18:41:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 18:41:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl', 'POST', '{"files":["[object Object]","[object Object]",""]}', '5', NULL, NULL, 'content:新增流程信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572898897859821570', '1', 'tofly-flow', 'll', TO_DATE('2022-09-22 18:41:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 18:41:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572898903991894018', '1', 'tofly-flow', 'll', TO_DATE('2022-09-22 18:41:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 18:41:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"id":["1572063395757809666"]}', '36', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572899087903735809', '1', 'tofly-flow', 'll', TO_DATE('2022-09-22 18:42:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 18:42:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl', 'POST', '{"files":["[object Object]","[object Object]","[object Object]"]}', '5', NULL, NULL, 'content:新增流程信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572899276123127810', '1', 'tofly-flow', 'll', TO_DATE('2022-09-22 18:43:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 18:43:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572899814839533570', '1', 'tofly-flow', 'll', TO_DATE('2022-09-22 18:45:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 18:45:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"id":["1572063395757809666"]}', '38', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573498159580590082', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-24 10:22:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-24 10:22:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573498159681253378', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-24 10:22:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-24 10:22:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '36', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573499308048134146', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-24 10:27:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-24 10:27:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568483117915193345"],"isMould":["0"]}', '9', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573499320043843586', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-24 10:27:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-24 10:27:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572786304281247746', 'GET', '{"id":["1572786304281247746"]}', '34', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573499332224102401', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-24 10:27:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-24 10:27:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573499332299599873', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-24 10:27:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-24 10:27:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '31', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573499854796632065', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-24 10:29:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-24 10:29:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568483117915193345"],"isMould":["0"]}', '9', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573499881455628290', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-24 10:29:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-24 10:29:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568483117915193345"],"isMould":["0"]}', '10', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573499949399158785', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-24 10:29:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-24 10:29:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572786304281247746', 'GET', '{"id":["1572786304281247746"]}', '37', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573499962472804353', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-24 10:29:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-24 10:29:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573499962523136002', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-24 10:29:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-24 10:29:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '26', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573500674804035585', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-24 10:32:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-24 10:32:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573500674913087489', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-24 10:32:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-24 10:32:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '31', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573500740658802690', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-24 10:33:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-24 10:33:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573199996437250050', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 14:38:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 14:38:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573199997074784257', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 14:38:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 14:38:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573199997687152641', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 14:38:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 14:38:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573199998379212801', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 14:38:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 14:38:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '6', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573199998983192577', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 14:38:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 14:38:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573200000300204033', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 14:38:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 14:38:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573200001004847106', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 14:38:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 14:38:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '4', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573200002426716161', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 14:38:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 14:38:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '4', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573200003747921921', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 14:38:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 14:38:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573200004423204865', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 14:38:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 14:38:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573200005132042241', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 14:38:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 14:38:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '4', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573200005765382145', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 14:38:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 14:38:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '12', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573200006356779009', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 14:38:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 14:38:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573200007078199298', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 14:38:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 14:38:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573200007736705026', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 14:38:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 14:38:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573200008407793666', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 14:38:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 14:38:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '4', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573200009045327873', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 14:38:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 14:38:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573200009842245634', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 14:38:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 14:38:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573200010941153282', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 14:38:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 14:38:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573200011629019138', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 14:38:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 14:38:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573200012354633729', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 14:38:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 14:38:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573200013042499585', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 14:38:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 14:38:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573200013663256578', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 14:38:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 14:38:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573200014435008513', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 14:38:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 14:38:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573200015030599682', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 14:38:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 14:38:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573200016431497217', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 14:38:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 14:38:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573200017761091586', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 14:38:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 14:38:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573200018507677698', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 14:38:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 14:38:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573200019237486593', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 14:38:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 14:38:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573200020764213249', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 14:38:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 14:38:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573200022056058882', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 14:38:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 14:38:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '11', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573200023050108929', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 14:38:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 14:38:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573200024505532417', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 14:38:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 14:38:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573200025164038146', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 14:38:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 14:38:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573200025969344513', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 14:38:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 14:38:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '4', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573200026653016066', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 14:38:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 14:38:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573200027399602178', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 14:38:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 14:38:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573200028062302210', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 14:38:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 14:38:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573200028842442753', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 14:38:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 14:38:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573200029568057345', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 14:38:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 14:38:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573203134586142722', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 14:50:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 14:50:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573203135307563010', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 14:50:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 14:50:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573203136045760513', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 14:50:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 14:50:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573203136716849153', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 14:50:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 14:50:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '4', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573203137455046657', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 14:50:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 14:50:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573203138126135297', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 14:50:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 14:50:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573203138860138497', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 14:50:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 14:50:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573203139640279041', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 14:50:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 14:50:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573203140336533505', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 14:50:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 14:50:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573203141036982273', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 14:50:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 14:50:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573203141787762690', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 14:50:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 14:50:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '13', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573203142584680450', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 14:50:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 14:50:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573203143486455810', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 14:50:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 14:50:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573203144228847617', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 14:50:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 14:50:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573203144979628034', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 14:50:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 14:50:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573203145734602753', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 14:50:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 14:50:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573203146456023042', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 14:50:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 14:50:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573203147164860417', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 14:50:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 14:50:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573203147873697793', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 14:50:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 14:50:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573203148561563649', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 14:50:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 14:50:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573203149282983938', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 14:50:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 14:50:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573203150599995394', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 14:50:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 14:50:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573203151296249857', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 14:50:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 14:50:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573203152621649921', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 14:50:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 14:50:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573203159064100865', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 14:50:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 14:50:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '37', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573203159324147713', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 14:50:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 14:50:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '23', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573203323807973378', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 14:51:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 14:51:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573203345706434561', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 14:51:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 14:51:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"id":["1572063395757809666"]}', '34', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573203451147042817', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 14:51:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 14:51:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl', 'POST', '{}', '356', NULL, NULL, 'content:新增流程信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573206749304438786', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-23 15:04:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 15:04:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/a07504fc-43a2-4d70-8720-ddba2df073e6', 'DELETE', '{}', '3', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573207495030718466', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 15:07:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 15:07:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573207495169130497', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 15:07:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 15:07:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '46', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573207521085734914', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-23 15:07:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 15:07:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223427870408706', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:11:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:11:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223428629577729', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:11:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:11:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223429451661314', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:11:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:11:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223430231801858', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:11:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:11:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223430974193665', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:11:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:11:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223431766917122', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:11:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:11:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223432458977281', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:11:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:11:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573226583845093377', '1', 'tofly-flow', 'll2', TO_DATE('2022-09-23 16:23:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:23:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '23', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573226934023340033', '1', 'tofly-flow', 'll2', TO_DATE('2022-09-23 16:25:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:25:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572786304281247746', 'GET', '{"id":["1572786304281247746"]}', '22', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573226966982180866', '1', 'tofly-flow', 'll2', TO_DATE('2022-09-23 16:25:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:25:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573226967074455553', '1', 'tofly-flow', 'll2', TO_DATE('2022-09-23 16:25:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:25:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '19', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573227218820775938', '1', 'tofly-flow', 'll2', TO_DATE('2022-09-23 16:26:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:26:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573227218887884801', '1', 'tofly-flow', 'll2', TO_DATE('2022-09-23 16:26:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:26:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '20', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573227294578294786', '1', 'tofly-flow', 'll2', TO_DATE('2022-09-23 16:26:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:26:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573227294628626433', '1', 'tofly-flow', 'll2', TO_DATE('2022-09-23 16:26:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:26:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '18', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573227304141066241', '0', 'tofly-auth', 'hq', TO_DATE('2022-09-23 16:26:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:26:33', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["hq"]}', '56', NULL, 'nested exception is org.apache.ibatis.builder.BuilderException: Error evaluating expression ''ew.customSqlSegment''. Cause: org.apache.ibatis.ognl.OgnlException: source is null for getProperty(null, "customSqlSegment")', 'content:登录 :hq', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573227311552643074', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-23 16:26:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:26:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '17', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573227311795912705', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-23 16:26:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:26:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573227588263460865', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-23 16:27:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:27:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573227588481564674', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-23 16:27:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:27:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573227591509852161', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-23 16:27:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:27:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573227720191098882', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-23 16:28:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:28:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"isMould":["0"],"label":["1568482594885484546"]}', '11', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573227764914962434', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-23 16:28:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:28:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573227765095317505', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-23 16:28:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:28:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573227865334988801', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-23 16:28:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:28:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573227865544704001', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-23 16:28:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:28:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573227868153561090', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-23 16:28:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:28:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573227871538364418', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-23 16:28:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:28:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573227871714525185', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-23 16:28:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:28:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573227874860253185', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-23 16:28:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:28:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"]}', '0', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573227877120983041', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-23 16:28:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:28:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '2', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573227973875187714', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-23 16:29:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:29:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573227974059737090', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-23 16:29:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:29:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573227979608801282', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-23 16:29:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:29:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573227979776573441', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-23 16:29:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:29:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573227992472731649', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-23 16:29:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:29:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572111539262464001', 'GET', '{"id":["1572111539262464001"]}', '94', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573227993466781698', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-23 16:29:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:29:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573227996591538177', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-23 16:29:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:29:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573228117899198465', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 16:29:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:29:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573228117966307330', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 16:29:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:29:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '18', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573228118138273794', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 16:29:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:29:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573228118209576962', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 16:29:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:29:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573228118368960513', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 16:29:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:29:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573228118444457985', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 16:29:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:29:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '20', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573228118566092802', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 16:29:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:29:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573228118729670658', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 16:29:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:29:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '17', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573228692388823041', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-23 16:32:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:32:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572111539262464001', 'GET', '{"id":["1572111539262464001"]}', '99', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573500740742688770', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-24 10:33:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-24 10:33:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '28', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573501095752773634', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-24 10:34:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-24 10:34:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573501095866019841', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-24 10:34:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-24 10:34:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '30', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573501682238107650', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-24 10:36:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-24 10:36:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '8', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573501721643593730', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-24 10:36:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-24 10:36:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568483117915193345"],"isMould":["0"]}', '8', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573501751079219201', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-24 10:37:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-24 10:37:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '19', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573501786739191809', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-24 10:37:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-24 10:37:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573501786747580417', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-24 10:37:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-24 10:37:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573501793622044673', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-24 10:37:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-24 10:37:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '19', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573501793861120002', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-24 10:37:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-24 10:37:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573501812659990530', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-24 10:37:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-24 10:37:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572786304281247746', 'GET', '{"id":["1572786304281247746"]}', '33', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573501813092003842', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-24 10:37:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-24 10:37:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573501813360439297', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-24 10:37:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-24 10:37:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573501816048988162', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-24 10:37:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-24 10:37:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573502091660898306', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-24 10:38:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-24 10:38:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '9', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573502106261270530', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-24 10:38:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-24 10:38:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568483117915193345"],"isMould":["0"]}', '9', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573502131909439490', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-24 10:38:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-24 10:38:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572786304281247746', 'GET', '{"id":["1572786304281247746"]}', '33', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573502719560790018', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-24 10:40:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-24 10:40:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573502719661453314', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-24 10:40:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-24 10:40:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '32', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573502984548528129', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-24 10:42:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-24 10:42:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568483117915193345"],"isMould":["0"]}', '15', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573503692962279425', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-24 10:44:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-24 10:44:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568483117915193345"],"isMould":["0"]}', '7', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573504637418876929', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-24 10:48:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-24 10:48:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568483117915193345"],"isMould":["0"]}', '7', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573504657677365250', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-24 10:48:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-24 10:48:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"edition":["11"],"id":["1572063395757809666"]}', '31', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573504738564517889', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-24 10:48:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-24 10:48:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1573274177313312800', 'GET', '{"id":["1573274177313312800"]}', '1', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573504973336489986', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-24 10:49:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-24 10:49:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"edition":["11"],"id":["1572063395757809666"]}', '31', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573504990449250305', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-24 10:49:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-24 10:49:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1573274177313312800', 'GET', '{"id":["1573274177313312800"]}', '2', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573505286843936770', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-24 10:51:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-24 10:51:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568483117915193345"],"isMould":["0"]}', '9', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573505296671191042', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-24 10:51:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-24 10:51:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessnodel/getNode', 'GET', '{"processStep":["1"],"id":["1573274177313312769"],"stepNode":["2"]}', '33', NULL, NULL, 'content:通过流程Id步骤节点获取数据', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573505296889294850', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-24 10:51:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-24 10:51:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"edition":["11"],"id":["1572063395757809666"]}', '28', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573505768027074561', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-24 10:53:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-24 10:53:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1573274177313312800', 'GET', '{"id":["1573274177313312800"]}', '2', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573505786469429249', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-24 10:53:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-24 10:53:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '7', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573505965939503106', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-24 10:53:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-24 10:53:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568483117915193345"],"isMould":["0"]}', '9', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573509131590447105', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-24 11:06:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-24 11:06:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573509141639999489', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-24 11:06:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-24 11:06:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["30"],"current":["1"]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573509147985981441', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-24 11:06:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-24 11:06:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["10000"],"current":["1"]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573509148103421954', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-24 11:06:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-24 11:06:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '60', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573509206156783618', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-24 11:06:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-24 11:06:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '9', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573509217888251905', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-24 11:06:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-24 11:06:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568483117915193345"],"isMould":["0"]}', '10', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573200030226563073', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 14:38:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 14:38:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573200030994120705', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 14:38:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 14:38:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573200032470515713', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 14:38:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 14:38:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573200033196130306', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 14:38:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 14:38:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573200033925939201', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 14:38:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 14:38:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573200034789965825', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 14:38:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 14:38:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573200036140531713', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 14:38:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 14:38:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573200036979392513', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 14:38:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 14:38:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573200037671452674', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 14:38:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 14:38:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573200038426427393', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 14:38:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 14:38:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573200039189790722', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 14:38:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 14:38:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573200039894433794', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 14:38:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 14:38:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573200040771043329', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 14:38:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 14:38:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573200041609904129', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 14:38:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 14:38:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573200042968858626', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 14:38:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 14:38:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573200043698667522', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 14:38:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 14:38:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573200044462030849', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 14:38:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 14:38:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '34', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573200045070204930', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 14:38:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 14:38:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573200045896482818', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 14:38:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 14:38:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573200047351906306', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 14:38:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 14:38:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573200048136241153', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 14:38:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 14:38:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573200048928964609', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 14:38:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 14:38:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573200049721688066', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 14:38:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 14:38:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573200051097419777', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 14:38:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 14:38:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573200052477345794', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 14:38:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 14:38:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573200053907603457', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 14:38:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 14:38:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573200054675161089', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 14:38:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 14:38:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573200055413358593', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 14:38:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 14:38:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573200056050892802', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 14:38:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 14:38:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573200564148879361', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-23 14:40:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 14:40:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '8', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573200596868644865', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-23 14:40:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 14:40:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572786304281247746', 'GET', '{"id":["1572786304281247746"]}', '37', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573201055834554370', '2', 'tofly-auth', 'test', TO_DATE('2022-09-23 14:42:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 14:42:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/024f8aee-5402-4587-85e2-6cb724d3b645', 'DELETE', '{}', '7', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573220269119094785', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 15:58:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 15:58:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573220632878497794', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 16:00:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:00:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '8', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573220650481991682', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 16:00:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:00:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568483117915193345"],"isMould":["0"]}', '9', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573220697575636994', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 16:00:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:00:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572786304281247746', 'GET', '{"id":["1572786304281247746"]}', '21', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573220706354315265', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 16:00:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:00:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573220706396258305', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 16:00:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:00:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '22', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573221317141446657', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 16:02:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:02:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573184288089276417', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-23 13:35:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 13:35:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '260', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573184317529096194', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-23 13:35:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 13:35:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '316', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223433281060865', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:11:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:11:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223434052812802', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:11:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:11:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223434837147649', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:11:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:11:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223435512430594', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:11:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:11:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223436305154049', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:11:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:11:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223437060128769', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:11:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:11:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223437823492098', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:11:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:11:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223438540718081', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:11:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:11:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223439249555458', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:11:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:11:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223440092610562', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:11:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:11:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223440721756162', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:11:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:11:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223441493508097', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:11:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:11:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223442152013825', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:11:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:11:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223442936348674', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:11:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:11:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223443578077186', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:11:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:11:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '8', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223444400160769', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:11:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:11:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223445121581058', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:11:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:11:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '12', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223446493118466', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:11:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:11:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223448133091330', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:11:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:11:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '13', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223449529794562', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:11:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:11:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223450242826241', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:11:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:11:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '7', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223450997800962', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:11:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:11:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '7', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223452037988353', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:11:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:11:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '10', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223453367582722', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:11:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:11:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223453975756802', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:11:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:11:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223454705565697', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:11:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:11:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223455473123330', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:11:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:11:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223456991461378', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:11:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:11:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223457750630402', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:11:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:11:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '1', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223458463662082', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:11:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:11:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223459231219713', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:11:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:11:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223459965222914', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:11:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:11:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223460736974850', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:11:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:11:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223461462589442', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:11:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:11:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223462427279362', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:11:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:11:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223463647821826', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:11:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:11:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223464406990850', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:11:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:11:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573228693269626882', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-23 16:32:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:32:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573228696063033346', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-23 16:32:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:32:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '2', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573228987294404609', '2', 'tofly-auth', 'hq', TO_DATE('2022-09-23 16:33:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:33:14', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["hq"]}', '1144', NULL, NULL, 'content:登录 :hq', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573230266087493633', '1', 'tofly-flow', 'Jtadmin', TO_DATE('2022-09-23 16:38:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:38:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '40', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573230270860611585', '1', 'tofly-flow', 'Jtadmin', TO_DATE('2022-09-23 16:38:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:38:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1571780757536903170', 'GET', '{"id":["1571780757536903170"]}', '63', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573230273075204097', '1', 'tofly-flow', 'Jtadmin', TO_DATE('2022-09-23 16:38:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:38:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '5', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573230278271946753', '1', 'tofly-flow', 'Jtadmin', TO_DATE('2022-09-23 16:38:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:38:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '38', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573230459809812481', '1', 'tofly-flow', 'Jtadmin', TO_DATE('2022-09-23 16:39:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:39:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '55', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573230492370194433', '1', 'tofly-flow', 'Jtadmin', TO_DATE('2022-09-23 16:39:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:39:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '16', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573230502960812034', '1', 'tofly-flow', 'Jtadmin', TO_DATE('2022-09-23 16:39:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:39:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573230563073576962', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 16:39:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:39:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568483117915193345"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573230569520222210', '2', 'tofly-auth', 'll', TO_DATE('2022-09-23 16:39:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:39:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/8e3f0f3c-0aff-4dae-af2b-928d4705017d', 'DELETE', '{}', '7', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573230669344657409', '2', 'tofly-auth', 'Jtadmin', TO_DATE('2022-09-23 16:39:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:39:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/65eb3539-5fae-4e9a-ab27-e3a2f5335fd9', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573230801943384065', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-23 16:40:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:40:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573230848240111618', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-23 16:40:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:40:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '13', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573230938920964097', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-23 16:40:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:40:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573231078809391105', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-23 16:41:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:41:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573231180881973249', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-23 16:41:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:41:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573231392392335362', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-23 16:42:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:42:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '11', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573231420649361410', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-23 16:42:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:42:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '8', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573231446310113281', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-23 16:43:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:43:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568483117915193345"],"isMould":["0"]}', '15', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573231499812655106', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-23 16:43:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:43:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '9', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573231579735117826', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-23 16:43:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:43:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572786304281247746', 'GET', '{"id":["1572786304281247746"]}', '46', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573231677332377602', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 16:43:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:43:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '60', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573231677391097857', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 16:43:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:43:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '65', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573231723947872257', '1', 'tofly-flow', 'lye', TO_DATE('2022-09-23 16:44:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:44:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '8', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573231723964649474', '1', 'tofly-flow', 'lye', TO_DATE('2022-09-23 16:44:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:44:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573231793749479425', '1', 'tofly-flow', 'lye', TO_DATE('2022-09-23 16:44:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:44:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '23', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573231794047275010', '1', 'tofly-flow', 'lye', TO_DATE('2022-09-23 16:44:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:44:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '28', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573231809079660545', '1', 'tofly-flow', 'lye', TO_DATE('2022-09-23 16:44:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:44:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '18', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573231809327124482', '1', 'tofly-flow', 'lye', TO_DATE('2022-09-23 16:44:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:44:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '17', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573232350191013890', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 16:46:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:46:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573232350274899970', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 16:46:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:46:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '40', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573232465987358721', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-23 16:47:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:47:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/fb686461-ef47-4ad2-bd42-580f2491b449', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573232633407197186', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-23 16:47:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:47:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/1f80b84c-ee9c-44ff-b2c3-53deb4cb1f8a', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573232667930513409', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-23 16:47:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:47:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '8', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573232691074682882', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-23 16:47:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:47:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572786304281247746', 'GET', '{"id":["1572786304281247746"]}', '41', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573233078271856641', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 16:49:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:49:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573233078418657281', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 16:49:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:49:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '49', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573233153869991937', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 16:49:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:49:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '30', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573840643988926465', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 09:03:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 09:03:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '37', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573840680114466818', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 09:03:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 09:03:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '16', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573840772443680770', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 09:04:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 09:04:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"edition":["11"],"id":["1572063395757809666"]}', '30', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573840773311901697', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 09:04:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 09:04:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1573274177313312800', 'GET', '{"id":["1573274177313312800"]}', '6', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573840810301468674', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 09:04:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 09:04:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"edition":["11"],"id":["1572063395757809666"]}', '34', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573840825363214338', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 09:04:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 09:04:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"edition":["11"],"id":["1572063395757809666"]}', '33', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573840825950416897', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 09:04:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 09:04:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1573274177313312800', 'GET', '{"id":["1573274177313312800"]}', '1', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573840838034206721', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 09:04:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 09:04:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"edition":["11"],"id":["1572063395757809666"]}', '30', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573840838529134594', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 09:04:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 09:04:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1573274177313312800', 'GET', '{"id":["1573274177313312800"]}', '2', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573840858439495681', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 09:04:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 09:04:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"edition":["11"],"id":["1572063395757809666"]}', '29', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573840858934423553', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 09:04:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 09:04:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1573256199146496000', 'GET', '{"id":["1573256199146496000"]}', '1', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573840902215446530', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 09:04:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 09:04:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '133', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573840951263637506', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 09:04:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 09:04:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572786304281247746', 'GET', '{"id":["1572786304281247746"]}', '29', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573845133349629954', '1', 'tofly-flow', 'll', TO_DATE('2022-09-25 09:21:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 09:21:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573845170188201986', '1', 'tofly-flow', 'll', TO_DATE('2022-09-25 09:21:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 09:21:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"edition":["11"],"id":["1572063395757809666"]}', '29', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573845221648117762', '1', 'tofly-flow', 'll', TO_DATE('2022-09-25 09:21:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 09:21:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"edition":["11"],"id":["1572063395757809666"]}', '30', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573845222214348801', '1', 'tofly-flow', 'll', TO_DATE('2022-09-25 09:21:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 09:21:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1573274177313312800', 'GET', '{"id":["1573274177313312800"]}', '1', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573847622438367234', '1', 'tofly-flow', 'll', TO_DATE('2022-09-25 09:31:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 09:31:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573847662196174850', '1', 'tofly-flow', 'll', TO_DATE('2022-09-25 09:31:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 09:31:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"edition":["11"],"id":["1572063395757809666"]}', '34', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573847680856633346', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 09:31:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 09:31:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"edition":["11"],"id":["1572063395757809666"]}', '29', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573847706534162433', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 09:31:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 09:31:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1573274177313312800', 'GET', '{"id":["1573274177313312800"]}', '1', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573847793398198273', '1', 'tofly-flow', 'll', TO_DATE('2022-09-25 09:32:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 09:32:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1573274177313312769', 'GET', '{"id":["1573274177313312769"]}', '26', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573847840701558786', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 09:32:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 09:32:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '9', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573849219612553218', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 09:37:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 09:37:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '7', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573849237182492673', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 09:37:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 09:37:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"edition":["11"],"id":["1572063395757809666"]}', '28', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573849261983412226', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 09:37:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 09:37:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1573274177313312800', 'GET', '{"id":["1573274177313312800"]}', '1', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573849302424891394', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 09:38:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 09:38:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"edition":["11"],"id":["1572063395757809666"]}', '26', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573849362378272770', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 09:38:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 09:38:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573849367302385665', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 09:38:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 09:38:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"edition":["11"],"id":["1572063395757809666"]}', '32', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573849380854181889', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 09:38:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 09:38:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1573274177313312800', 'GET', '{"id":["1573274177313312800"]}', '1', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573849636048220162', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 09:39:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 09:39:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"edition":["11"],"id":["1572063395757809666"]}', '33', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573849652255010818', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 09:39:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 09:39:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1573254705466761200', 'GET', '{"id":["1573254705466761200"]}', '2', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573849667455168514', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 09:39:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 09:39:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"edition":["11"],"id":["1572063395757809666"]}', '29', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573849696358117378', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 09:39:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 09:39:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"edition":["11"],"id":["1572063395757809666"]}', '27', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573849707036815362', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 09:39:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 09:39:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1573256199146496000', 'GET', '{"id":["1573256199146496000"]}', '2', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573849771994001410', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 09:40:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 09:40:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"edition":["11"],"id":["1572063395757809666"]}', '27', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573849783125684226', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 09:40:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 09:40:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1573256199146496000', 'GET', '{"id":["1573256199146496000"]}', '1', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573849826293460993', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 09:40:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 09:40:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572786304281247746', 'GET', '{"id":["1572786304281247746"]}', '27', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573852707490902018', '1', 'tofly-flow', 'll', TO_DATE('2022-09-25 09:51:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 09:51:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"edition":["11"],"id":["1572063395757809666"]}', '27', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573221317208555521', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 16:02:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:02:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '20', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573221402143211522', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 16:03:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:03:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573221491779682306', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 16:03:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:03:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl', 'POST', '{}', '46', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573221492274610177', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 16:03:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:03:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573221504400343041', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 16:03:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:03:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '136', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573221505100791809', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 16:03:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:03:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573221505365032962', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 16:03:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:03:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573221508477206530', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 16:03:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:03:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573222240714604545', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 16:06:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:06:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573222261031813121', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 16:06:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:06:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568483117915193345"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573222275682516993', '2', 'tofly-auth', 'll', TO_DATE('2022-09-23 16:06:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:06:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/d41eddac-eb36-42f8-97a5-f2ac9b386b64', 'DELETE', '{}', '1', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573222452476624898', '1', 'tofly-flow', 'lye', TO_DATE('2022-09-23 16:07:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:07:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223144842969089', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '4', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223145526640641', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223146134814721', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223146755571713', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223147481186306', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223148118720513', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223148731088898', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223149418954754', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223150450753538', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223151381889026', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223152011034626', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223152745037825', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223153483235329', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223154762498049', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223156104675330', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223157287469058', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223158084386818', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223159237820417', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223160110235650', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223161263669249', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223162190610434', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223162928807937', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223163604090882', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223164606529537', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223165772546050', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223166519132162', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223167177637890', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223167894863873', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223465401040898', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:11:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:11:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223466671915010', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:11:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:11:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223467359780866', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:11:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:11:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223468131532801', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:11:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:11:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223468903284738', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:11:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:11:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223469704396801', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:11:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:11:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223470501314562', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:11:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:11:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '7', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223471189180417', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:11:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:11:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223489505705986', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:11:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:11:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223490243903490', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:11:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:11:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223491024044034', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:11:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:11:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '1', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223491716104193', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:11:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:11:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '4', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223492496244737', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:11:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:11:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223493205082113', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:11:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:11:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223493951668226', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:11:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:11:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223494631145473', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:11:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:11:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223495381925889', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:11:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:11:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223496082374658', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:11:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:11:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '1', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223496807989249', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:11:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:11:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223497562963969', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:11:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:11:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223498334715905', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:11:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:11:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223499035164673', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:11:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:11:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '8', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223499848859649', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:11:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:11:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '15', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223500486393858', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:11:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:11:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223501165871105', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:11:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:11:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223502050869249', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:11:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:11:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223502843592706', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:11:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:11:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223503598567425', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:11:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:11:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223504349347841', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:11:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:11:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223505020436482', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:11:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:11:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223505817354242', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:11:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:11:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223506492637186', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:11:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:11:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223507805454337', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:11:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:11:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223508606566402', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:11:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:11:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223509332180993', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:11:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:11:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223510250733569', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:11:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:11:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223511735517186', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:11:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:11:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223512498880513', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:11:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:11:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223513174163457', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:11:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:11:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223513929138177', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:11:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:11:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573233153878380546', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 16:49:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:49:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '17', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573233561531174913', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-23 16:51:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:51:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '20', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573233561799610370', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-23 16:51:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:51:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '20', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573233628103168002', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-23 16:51:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:51:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '8', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573233718645608449', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-23 16:52:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:52:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572786304281247746', 'GET', '{"id":["1572786304281247746"]}', '41', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573234037706313729', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-23 16:53:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:53:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/429e27db-6a71-4917-80ac-b9444a8ceb70', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573234496290541569', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-23 16:55:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:55:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '8', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573234519782838273', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-23 16:55:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:55:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572786304281247746', 'GET', '{"id":["1572786304281247746"]}', '42', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573235316520243201', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 16:58:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:58:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573235317312966658', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 16:58:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:58:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '30', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573235533642584066', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 16:59:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:59:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl', 'POST', '{}', '154', NULL, NULL, 'content:新增流程信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573235685044375554', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-23 16:59:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:59:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573235690958344193', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-23 16:59:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:59:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573235874450755586', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 17:00:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 17:00:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl', 'POST', '{}', '25', NULL, NULL, 'content:新增流程信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573235911117361153', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-23 17:00:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 17:00:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/page', 'GET', '{"tenantId":["1"],"current":["1"],"size":["10000"],"isDel":["0"]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573235915965976577', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-23 17:00:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 17:00:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '9', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573235916288937986', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-23 17:00:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 17:00:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573235916452515842', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-23 17:00:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 17:00:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573235939722514434', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-23 17:00:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 17:00:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573235944768262146', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-23 17:00:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 17:00:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573235970970079233', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 17:00:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 17:00:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl', 'POST', '{}', '23', NULL, NULL, 'content:新增流程信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573238650597658626', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-23 17:11:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 17:11:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1"],"isMould":["0"]}', '2', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573240209150693378', '2', 'tofly-auth', 'mxy', TO_DATE('2022-09-23 17:17:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 17:17:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/3c1e18e4-7d7c-434d-8e3d-78f3656d3c0d', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573240266532966401', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-23 17:18:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 17:18:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/a5b85df1-28ec-4f6f-96c6-e1093d066aa4', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573240520917504001', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-23 17:19:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 17:19:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/page', 'GET', '{"tenantId":["1"],"current":["1"],"size":["10000"],"isDel":["0"]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573240521404043265', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-23 17:19:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 17:19:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1"],"isMould":["0"]}', '43', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573240559383465986', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-23 17:19:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 17:19:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1"],"isMould":["0"]}', '2', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573240563976228865', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-23 17:19:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 17:19:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '7', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573240580858302466', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-23 17:19:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 17:19:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '8', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573240602622545921', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-23 17:19:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 17:19:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/page', 'GET', '{"tenantId":["1"],"current":["1"],"size":["10000"],"isDel":["0"]}', '2', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573240603000033281', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-23 17:19:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 17:19:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573240604967161857', '1', 'tofly-flow', 'demo', TO_DATE('2022-09-23 17:19:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 17:19:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '7', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573240614362402818', '2', 'tofly-auth', 'rqs', TO_DATE('2022-09-23 17:19:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 17:19:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/5ae417a9-6169-4935-815b-cac55efe53b4', 'DELETE', '{}', '1', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573240636038565889', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-23 17:19:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 17:19:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809700', 'GET', '{"edition":["11"],"id":["1572063395757809700"]}', '2', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573240660113870850', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-23 17:19:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 17:19:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809700', 'GET', '{"edition":["11"],"id":["1572063395757809700"]}', '3', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573240661883867137', '1', 'tofly-flow', 'demo', TO_DATE('2022-09-23 17:19:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 17:19:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573240681701953537', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-23 17:19:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 17:19:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/page', 'GET', '{"tenantId":["1"],"current":["1"],"size":["10000"],"isDel":["0"]}', '2', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573240683144794114', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-23 17:19:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 17:19:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '7', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573240690556129281', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-23 17:19:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 17:19:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573229090063368193', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 16:33:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:33:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573229099466997761', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 16:33:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:33:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"id":["1572063395757809666"]}', '26', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573229291733893122', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 16:34:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:34:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573229300785201153', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 16:34:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:34:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568483117915193345"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573229327058321409', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 16:34:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:34:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572786304281247746', 'GET', '{"id":["1572786304281247746"]}', '21', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573229380208541698', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 16:34:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:34:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573229380267261953', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 16:34:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:34:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '17', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573229547796152322', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-23 16:35:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:35:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/f1bc8d0e-8413-45e5-b879-a68fcde39e1f', 'DELETE', '{}', '1', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573853458489421826', '1', 'tofly-flow', 'll', TO_DATE('2022-09-25 09:54:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 09:54:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"id":["1572063395757809666"]}', '30', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573853479926509570', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 09:54:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 09:54:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573853491678949378', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 09:54:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 09:54:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"edition":["11"],"id":["1572063395757809666"]}', '26', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573853775998234626', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 09:55:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 09:55:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1573274177313312800', 'GET', '{"id":["1573274177313312800"]}', '3', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573854006227775489', '1', 'tofly-flow', 'll', TO_DATE('2022-09-25 09:56:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 09:56:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1573853851315458049', 'GET', '{"id":["1573853851315458049"]}', '13', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573858088594190337', '1', 'tofly-flow', 'll', TO_DATE('2022-09-25 10:13:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 10:13:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '133', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573858089051369473', '1', 'tofly-flow', 'll', TO_DATE('2022-09-25 10:13:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 10:13:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573858089210753025', '1', 'tofly-flow', 'll', TO_DATE('2022-09-25 10:13:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 10:13:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573858091714752513', '1', 'tofly-flow', 'll', TO_DATE('2022-09-25 10:13:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 10:13:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573858491624861697', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 10:14:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 10:14:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '10', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573858509257715714', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 10:14:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 10:14:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572786304281247746', 'GET', '{"id":["1572786304281247746"]}', '27', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573860337517080577', '1', 'tofly-flow', 'll', TO_DATE('2022-09-25 10:22:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 10:22:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl', 'POST', '{}', '263', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573860338385301505', '1', 'tofly-flow', 'll', TO_DATE('2022-09-25 10:22:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 10:22:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573860406513381378', '1', 'tofly-flow', 'll', TO_DATE('2022-09-25 10:22:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 10:22:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '306', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573860407083806722', '1', 'tofly-flow', 'll', TO_DATE('2022-09-25 10:22:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 10:22:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573860407222218754', '1', 'tofly-flow', 'll', TO_DATE('2022-09-25 10:22:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 10:22:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573860409789132802', '1', 'tofly-flow', 'll', TO_DATE('2022-09-25 10:22:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 10:22:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573860553792172034', '1', 'tofly-flow', 'll', TO_DATE('2022-09-25 10:22:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 10:22:51', 'SYYYY-MM-DD HH24:MI:SS'), '171.214.157.239', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{}', '142', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573860562436632578', '1', 'tofly-flow', 'll', TO_DATE('2022-09-25 10:22:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 10:22:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573860562604404737', '1', 'tofly-flow', 'll', TO_DATE('2022-09-25 10:22:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 10:22:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573860644024233985', '1', 'tofly-flow', 'll', TO_DATE('2022-09-25 10:23:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 10:23:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '2', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573860657370509314', '2', 'tofly-auth', 'll', TO_DATE('2022-09-25 10:23:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 10:23:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/4f6c4d7d-cf83-4e6a-b294-6770b5d170f4', 'DELETE', '{}', '9', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573860803474894850', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 10:23:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 10:23:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573860810739429378', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 10:23:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 10:23:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573860981162389505', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 10:24:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 10:24:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573860981346938881', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 10:24:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 10:24:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573861110837686274', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 10:25:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 10:25:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573861223844818946', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 10:25:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 10:25:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573861224029368322', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 10:25:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 10:25:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573861263401299969', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 10:25:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 10:25:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '127', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573861263984308225', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 10:25:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 10:25:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223168561758210', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223169346093058', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223170067513345', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223170927345666', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223172307271682', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223173225824258', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223174429589506', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223175113261057', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223175977287681', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223177277521922', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223178032496641', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223178716168193', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223179525668865', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223180389695490', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223181891256321', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223182428127233', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223183216656385', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223184147791874', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223185498357762', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223186412716033', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223187750699009', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223188484702209', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223189306785793', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223189923348481', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223190636380162', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223191441686529', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223192184078337', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223192905498625', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223193656279041', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223194423836674', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223195170422786', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223195921203202', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223196667789314', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223197435346945', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223198211293185', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223198999822338', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223199742214146', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223200455245825', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223201281523714', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223202049081345', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223514663141378', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:11:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:11:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223515384561666', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:11:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:11:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223516537995265', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:11:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:11:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223517636902913', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:11:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:11:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223518467375106', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:11:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:11:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223519897632769', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:11:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:11:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223520757465090', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:11:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:11:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223521554382849', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:11:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:11:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223522330329090', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:11:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:11:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223524003856386', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:11:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:11:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223525899681794', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:11:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:11:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223526759514114', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:11:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:11:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223527556431873', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:11:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:11:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223528361738242', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:11:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:11:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223529162850305', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:11:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:11:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223530681188353', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:11:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:11:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223531465523202', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:11:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:11:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223532258246657', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:11:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:11:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223533092913154', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:11:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:11:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223534552530945', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:11:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:11:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223535362031617', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:11:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:11:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223536217669633', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:11:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:11:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223536955867137', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:11:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:11:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223537845059586', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:11:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:11:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223538667143169', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:11:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:11:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223539480838145', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:11:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:11:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223540202258433', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:11:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:11:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223541032730625', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:11:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:11:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223541787705346', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:11:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:11:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223542584623105', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:11:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:11:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223543347986434', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:11:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:11:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223544191041538', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:11:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:11:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223545055068162', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:11:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:11:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223545864568833', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:11:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:11:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223567003860993', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:11:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:11:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223567767224321', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:11:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:11:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223568480256002', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:11:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:11:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223569126178818', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:11:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:11:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '4', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223569927290882', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:11:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:11:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223570673876993', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:11:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:11:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573240723372363777', '1', 'tofly-flow', 'demo', TO_DATE('2022-09-23 17:19:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 17:19:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '8', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573240725373046786', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-23 17:19:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 17:19:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '150', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573240790921629698', '1', 'tofly-flow', 'demo', TO_DATE('2022-09-23 17:20:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 17:20:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '10', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573240820000739329', '1', 'tofly-flow', 'demo', TO_DATE('2022-09-23 17:20:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 17:20:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568483117915193345"],"isMould":["0"]}', '9', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573241026284998658', '1', 'tofly-flow', 'demo', TO_DATE('2022-09-23 17:21:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 17:21:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '7', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573241065518518273', '1', 'tofly-flow', 'demo', TO_DATE('2022-09-23 17:21:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 17:21:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568483117915193345"],"isMould":["0"]}', '9', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573241163908849665', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 17:21:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 17:21:37', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.213', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '840', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573241194191376385', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-23 17:21:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 17:21:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/8873a3c5-be96-4ffe-9c13-963142bf9fc5', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573241254975578114', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 17:21:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 17:21:59', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.213', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '22', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573241346495291394', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 17:22:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 17:22:21', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.213', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"id":["1572063395757809666"]}', '307', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573241490481553409', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 17:22:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 17:22:55', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.213', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '163', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573241491395911681', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 17:22:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 17:22:55', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.213', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '87', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573241621196689410', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-23 17:23:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 17:23:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '15', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573241751719235586', '2', 'tofly-auth', 'rqa', TO_DATE('2022-09-23 17:23:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 17:23:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/8a95ddf3-5159-485e-a7b4-37280f281c58', 'DELETE', '{}', '1', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573242003432001537', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 17:24:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 17:24:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568483117915193345"],"isMould":["0"]}', '11', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573242053788815362', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 17:25:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 17:25:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568483117915193345"],"isMould":["0"]}', '9', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573242184739528705', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 17:25:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 17:25:40', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.213', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '21', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573242201776791554', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 17:25:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 17:25:44', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.213', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"id":["1572063395757809666"]}', '262', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573242263675981826', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-23 17:25:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 17:25:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573242270135209985', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-23 17:26:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 17:26:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573242304134238209', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-23 17:26:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 17:26:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573242445600071681', '0', 'tofly-flow', 'll', TO_DATE('2022-09-23 17:26:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 17:26:43', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.213', NULL, '/tfprocessl', 'POST', '{}', '10262', NULL, 'Duplicate key org.springframework.web.multipart.support.StandardMultipartHttpServletRequest$StandardMultipartFile@2a4d74f6', 'content:新增流程信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573243017266581506', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-23 17:28:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 17:28:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573243128520495105', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-23 17:29:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 17:29:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573243183247773697', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-23 17:29:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 17:29:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573243202419937282', '0', 'tofly-flow', 'yck', TO_DATE('2022-09-23 17:29:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 17:29:43', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/tfprojectprocessp/list', 'GET', '{"nature":[""],"updateUser":[""],"remark":[""],"updateTime":[""],"posts":[""],"createTime":[""],"processId":[""],"tenantId":[""],"createUser":[""],"id":[""],"isForce":[""],"isDel":[""]}', '102', NULL, 'nested exception is org.apache.ibatis.executor.ExecutorException: Statement returned more than one row, where no more than one was expected.', 'content:列表查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573243798007259138', '0', 'tofly-flow', 'll', TO_DATE('2022-09-23 17:32:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 17:32:05', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.213', NULL, '/tfprocessl', 'POST', '{}', '151813', NULL, 'Duplicate key org.springframework.web.multipart.support.StandardMultipartHttpServletRequest$StandardMultipartFile@6609144a', 'content:新增流程信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573244010788147202', '2', 'tofly-auth', 'lz', TO_DATE('2022-09-23 17:32:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 17:32:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/24a10a92-9cae-4e83-b185-ad4d5b045794', 'DELETE', '{}', '1', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573244043906371585', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-23 17:33:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 17:33:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573244078115115009', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-23 17:33:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 17:33:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '7', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573244091079708673', '1', 'tofly-flow', 'lye', TO_DATE('2022-09-23 17:33:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 17:33:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573244091079708674', '1', 'tofly-flow', 'lye', TO_DATE('2022-09-23 17:33:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 17:33:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573244143105855489', '1', 'tofly-flow', 'lye', TO_DATE('2022-09-23 17:33:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 17:33:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '18', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573244143332347905', '1', 'tofly-flow', 'lye', TO_DATE('2022-09-23 17:33:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 17:33:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573244185455742978', '1', 'tofly-flow', 'lye', TO_DATE('2022-09-23 17:33:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 17:33:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573195961969799169', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 14:22:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 14:22:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573861486416637954', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 10:26:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 10:26:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573861486584410114', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 10:26:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 10:26:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573861489113575426', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 10:26:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 10:26:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573862086822866946', '1', 'tofly-flow', 'll', TO_DATE('2022-09-25 10:28:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 10:28:57', 'SYYYY-MM-DD HH24:MI:SS'), '171.214.157.239', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{}', '117', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573862614311120897', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-25 10:31:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 10:31:02', 'SYYYY-MM-DD HH24:MI:SS'), '171.214.157.239', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573862614541807617', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-25 10:31:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 10:31:02', 'SYYYY-MM-DD HH24:MI:SS'), '171.214.157.239', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573862623966408706', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-25 10:31:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 10:31:05', 'SYYYY-MM-DD HH24:MI:SS'), '171.214.157.239', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '113', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573862624826241026', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-25 10:31:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 10:31:05', 'SYYYY-MM-DD HH24:MI:SS'), '171.214.157.239', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573862625103065089', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-25 10:31:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 10:31:05', 'SYYYY-MM-DD HH24:MI:SS'), '171.214.157.239', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573862627946803202', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-25 10:31:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 10:31:06', 'SYYYY-MM-DD HH24:MI:SS'), '171.214.157.239', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573863049650515969', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-25 10:32:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 10:32:46', 'SYYYY-MM-DD HH24:MI:SS'), '171.214.157.239', NULL, '/tfprocessconfigl', 'POST', '{}', '91', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573863050812338178', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-25 10:32:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 10:32:46', 'SYYYY-MM-DD HH24:MI:SS'), '171.214.157.239', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573863068696850434', '1', 'tofly-flow', 'll', TO_DATE('2022-09-25 10:32:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 10:32:51', 'SYYYY-MM-DD HH24:MI:SS'), '171.214.157.239', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{}', '124', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573863135289815041', '1', 'tofly-flow', 'll', TO_DATE('2022-09-25 10:33:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 10:33:07', 'SYYYY-MM-DD HH24:MI:SS'), '171.214.157.239', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{}', '111', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573863151387553793', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 10:33:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 10:33:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '116', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573866175501709314', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 10:45:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 10:45:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '7', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573870477469298689', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 11:02:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 11:02:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '138', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573870621346508801', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 11:02:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 11:02:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '131', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573875898938675202', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 11:23:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 11:23:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '160', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573875899223887874', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 11:23:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 11:23:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573875907163705345', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 11:23:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 11:23:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '161', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573875907784462338', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 11:23:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 11:23:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573875908015149057', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 11:23:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 11:23:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573875911194431490', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 11:23:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 11:23:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '33', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573876583860129793', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 11:26:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 11:26:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573876592538144769', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 11:26:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 11:26:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573876592752054274', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 11:26:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 11:26:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573876602910658562', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 11:26:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 11:26:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '142', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573876603363643393', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 11:26:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 11:26:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573876603556581377', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 11:26:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 11:26:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573876606186409985', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 11:26:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 11:26:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573877953161973762', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 11:31:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 11:31:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573877962032926721', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 11:32:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 11:32:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '138', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573877962519465985', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 11:32:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 11:32:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573877962708209666', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 11:32:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 11:32:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573877965484838913', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 11:32:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 11:32:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573878115598979074', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 11:32:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 11:32:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl', 'POST', '{}', '79', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573878116467200002', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 11:32:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 11:32:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573878126424477697', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 11:32:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 11:32:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573878170183651329', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 11:32:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 11:32:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '136', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573149969824137218', '1', 'tofly-flow', 'test', TO_DATE('2022-09-23 11:19:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 11:19:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '19', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573149970067406850', '1', 'tofly-flow', 'test', TO_DATE('2022-09-23 11:19:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 11:19:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573195961978187777', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 14:22:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 14:22:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '19', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573196114185285633', '2', 'tofly-auth', 'administrator', TO_DATE('2022-09-23 14:22:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 14:22:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/ccda6b00-0126-4535-9206-e1aa2f5877cd', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223202749530114', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223203500310529', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223204288839681', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223204959928321', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223205748457473', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223206989971457', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223207728168962', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223208504115202', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223209225535489', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223209934372865', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223210802593794', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '1', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223212245434369', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223213189152769', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '1', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223213885407233', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223214644576258', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223215395356674', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223216162914306', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223216943054849', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223217836441601', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223219153453057', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223219996508162', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223221472903169', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223222198517761', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223222953492481', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223223632969730', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223224496996354', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223225163890690', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223225927254018', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223226682228737', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223227474952193', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223228204761090', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223229018456065', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223229706321922', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '4', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223230436130817', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223231237242882', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223232000606210', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223571353354242', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:11:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:11:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223572053803010', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:11:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:11:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223572729085954', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:11:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:11:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223573391785986', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:11:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:11:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223628148424706', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-23 16:11:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:11:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223628379111426', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-23 16:11:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:11:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223636453146625', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-23 16:11:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:11:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '124', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223637614968834', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-23 16:11:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:11:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223637795323905', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-23 16:11:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:11:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223640165105666', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-23 16:11:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:11:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223726672625666', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 16:12:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:12:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223726815232002', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 16:12:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:12:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223743475007489', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-23 16:12:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:12:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '17', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223743663751170', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-23 16:12:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:12:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223753541337090', '2', 'tofly-auth', 'mzadmin', TO_DATE('2022-09-23 16:12:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:12:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/eb77cec4-7771-438c-b6d3-cd21d3689d11', 'DELETE', '{}', '1', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223794838454274', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-23 16:12:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:12:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223795069140993', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-23 16:12:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:12:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223814220333057', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-23 16:12:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:12:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '122', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223815596064769', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-23 16:12:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:12:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223815830945793', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-23 16:12:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:12:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223818842456066', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-23 16:12:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:12:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223836122988546', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:12:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:12:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '1', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223838979309569', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:12:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:12:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223839793004545', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:12:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:12:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '1', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223841143570433', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:12:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:12:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223841885962241', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:12:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:12:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223842678685698', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:12:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:12:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223843521740802', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:12:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:12:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223844306075650', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:12:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:12:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223857845288962', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:12:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:12:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223862328999938', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:12:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:12:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573224085772156930', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-23 16:13:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:13:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '2', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573224090541080577', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-23 16:13:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:13:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573224275983843330', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:14:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:14:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573224276705263618', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:14:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:14:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573224295365722114', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:14:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:14:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573224296120696834', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:14:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:14:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573224296846311426', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:14:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:14:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573224297588703233', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:14:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:14:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '12', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573224298180100098', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:14:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:14:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573244185644486657', '1', 'tofly-flow', 'lye', TO_DATE('2022-09-23 17:33:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 17:33:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573244189322747906', '2', 'tofly-auth', 'hq', TO_DATE('2022-09-23 17:33:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 17:33:38', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["hq"]}', '384', NULL, NULL, 'content:登录 :hq', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573244197220765697', '1', 'tofly-flow', 'lye', TO_DATE('2022-09-23 17:33:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 17:33:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573244197438869505', '1', 'tofly-flow', 'lye', TO_DATE('2022-09-23 17:33:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 17:33:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573244201654145026', '1', 'tofly-flow', 'lye', TO_DATE('2022-09-23 17:33:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 17:33:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573244201889026049', '1', 'tofly-flow', 'lye', TO_DATE('2022-09-23 17:33:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 17:33:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573244204531437570', '1', 'tofly-flow', 'lye', TO_DATE('2022-09-23 17:33:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 17:33:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573244227075821570', '1', 'tofly-flow', 'lye', TO_DATE('2022-09-23 17:33:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 17:33:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573244227293925378', '1', 'tofly-flow', 'lye', TO_DATE('2022-09-23 17:33:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 17:33:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573244289726140418', '1', 'tofly-flow', 'lye', TO_DATE('2022-09-23 17:34:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 17:34:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573244289965215745', '1', 'tofly-flow', 'lye', TO_DATE('2022-09-23 17:34:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 17:34:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573244529342881794', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 17:34:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 17:34:59', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.213', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '75', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573244578886000641', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 17:35:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 17:35:11', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.213', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '24', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573244599631028226', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 17:35:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 17:35:16', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.213', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"id":["1572063395757809666"]}', '427', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573244832830136321', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 17:36:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 17:36:12', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.213', NULL, '/tfprocessl', 'POST', '{"files":["[object Object]"]}', '17771', NULL, NULL, 'content:新增流程信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573244832897245186', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 17:36:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 17:36:12', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.213', NULL, '/tfprocessl', 'POST', '{"files":["[object Object]"]}', '2235', NULL, NULL, 'content:新增流程信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573244917579894786', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-23 17:36:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 17:36:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '8', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573244926643785730', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-23 17:36:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 17:36:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573244960902860801', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-23 17:36:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 17:36:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '7', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573244977961095169', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-23 17:36:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 17:36:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/8a480f37-fb6e-4dcc-bb35-84560b5fd5c5', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573244993224167426', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-23 17:36:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 17:36:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573245021929984002', '1', 'tofly-flow', 'rqa', TO_DATE('2022-09-23 17:36:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 17:36:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573245037172084737', '1', 'tofly-flow', 'rqa', TO_DATE('2022-09-23 17:37:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 17:37:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '8', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573245056646238210', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-23 17:37:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 17:37:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573245204784861186', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-23 17:37:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 17:37:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573245235898208257', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-23 17:37:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 17:37:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573245389862719490', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-23 17:38:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 17:38:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573245550391316481', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-23 17:39:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 17:39:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '8', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573245620381667329', '1', 'tofly-flow', 'rqa', TO_DATE('2022-09-23 17:39:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 17:39:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '23', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573245628854161409', '2', 'tofly-auth', 'rqa', TO_DATE('2022-09-23 17:39:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 17:39:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/e067dab6-1c25-4b6c-9651-465ae3e12a22', 'DELETE', '{}', '1', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573246796665835522', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-23 17:44:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 17:44:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '10', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573246805238992897', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-23 17:44:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 17:44:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573247163872956417', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-23 17:45:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 17:45:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '7', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573247507029913601', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-23 17:46:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 17:46:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '223', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573247538273284097', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-23 17:46:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 17:46:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '13', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573265380989673474', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 18:57:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 18:57:51', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.213', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"edition":["11"],"id":["1572063395757809666"]}', '479', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573852793973256194', '1', 'tofly-flow', 'll', TO_DATE('2022-09-25 09:52:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 09:52:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1573269335869759490', 'GET', '{"id":["1573269335869759490"]}', '15', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573853782906253313', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 09:55:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 09:55:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573853851638312962', '1', 'tofly-flow', 'll', TO_DATE('2022-09-25 09:56:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 09:56:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl', 'POST', '{}', '174', NULL, NULL, 'content:新增流程信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573853960165928961', '1', 'tofly-flow', 'll', TO_DATE('2022-09-25 09:56:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 09:56:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"edition":["11"],"id":["1572063395757809666"]}', '28', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573854107520217089', '1', 'tofly-flow', 'll', TO_DATE('2022-09-25 09:57:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 09:57:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"edition":["11"],"id":["1572063395757809666"]}', '28', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573854221278130177', '1', 'tofly-flow', 'll', TO_DATE('2022-09-25 09:57:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 09:57:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1573853851315458049', 'GET', '{"id":["1573853851315458049"]}', '15', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573854781511315458', '1', 'tofly-flow', 'll', TO_DATE('2022-09-25 09:59:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 09:59:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl', 'POST', '{}', '62', NULL, NULL, 'content:新增流程信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573854811710304257', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 10:00:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 10:00:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573854899803271169', '1', 'tofly-flow', 'll', TO_DATE('2022-09-25 10:00:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 10:00:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"edition":["11"],"id":["1572063395757809666"]}', '32', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573854935937200129', '1', 'tofly-flow', 'll', TO_DATE('2022-09-25 10:00:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 10:00:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1573854781284929537', 'GET', '{"id":["1573854781284929537"]}', '13', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573854978232561665', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 10:00:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 10:00:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573855059576893442', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 10:01:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 10:01:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573855634930544641', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 10:03:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 10:03:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '7', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573855662684254209', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 10:03:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 10:03:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572786304281247746', 'GET', '{"id":["1572786304281247746"]}', '26', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573856531454636034', '1', 'tofly-flow', 'll', TO_DATE('2022-09-25 10:06:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 10:06:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"edition":["11"],"id":["1572063395757809666"]}', '26', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573856566766481409', '1', 'tofly-flow', 'll', TO_DATE('2022-09-25 10:07:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 10:07:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1573854781284929537', 'GET', '{"id":["1573854781284929537"]}', '15', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573856766918668289', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 10:07:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 10:07:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '7', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573856792327761922', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 10:07:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 10:07:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572786304281247746', 'GET', '{"id":["1572786304281247746"]}', '29', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573857542160265217', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 10:10:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 10:10:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '11', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573857569049948162', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 10:10:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 10:10:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572786304281247746', 'GET', '{"id":["1572786304281247746"]}', '27', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573857730480320514', '1', 'tofly-flow', 'll', TO_DATE('2022-09-25 10:11:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 10:11:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '20', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573857730698424322', '1', 'tofly-flow', 'll', TO_DATE('2022-09-25 10:11:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 10:11:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '17', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573857740869611522', '1', 'tofly-flow', 'll', TO_DATE('2022-09-25 10:11:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 10:11:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '123', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573857741297430530', '1', 'tofly-flow', 'll', TO_DATE('2022-09-25 10:11:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 10:11:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573857741469396994', '1', 'tofly-flow', 'll', TO_DATE('2022-09-25 10:11:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 10:11:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '4', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573857744011145218', '1', 'tofly-flow', 'll', TO_DATE('2022-09-25 10:11:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 10:11:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573857786478473217', '1', 'tofly-flow', 'll', TO_DATE('2022-09-25 10:11:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 10:11:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '18', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573857936726831105', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 10:12:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 10:12:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573857953034285057', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 10:12:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 10:12:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572786304281247746', 'GET', '{"id":["1572786304281247746"]}', '72', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573858827366313986', '1', 'tofly-flow', 'll', TO_DATE('2022-09-25 10:15:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 10:15:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '132', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573858827857047553', '1', 'tofly-flow', 'll', TO_DATE('2022-09-25 10:16:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 10:16:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573858828008042497', '1', 'tofly-flow', 'll', TO_DATE('2022-09-25 10:16:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 10:16:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573858830495264769', '1', 'tofly-flow', 'll', TO_DATE('2022-09-25 10:16:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 10:16:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573859418561851394', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 10:18:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 10:18:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '9', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573859434781224961', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 10:18:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 10:18:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572786304281247746', 'GET', '{"id":["1572786304281247746"]}', '26', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573859645972819969', '1', 'tofly-flow', 'll', TO_DATE('2022-09-25 10:19:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 10:19:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573859646165757954', '1', 'tofly-flow', 'll', TO_DATE('2022-09-25 10:19:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 10:19:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573859695453024257', '1', 'tofly-flow', 'll', TO_DATE('2022-09-25 10:19:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 10:19:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572786304281247746', 'DELETE', '{"id":["1572786304281247746"]}', '2', NULL, NULL, 'content:通过id删除审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223232793329666', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223233548304385', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223234303279105', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223252401700866', '1', 'tofly-flow', 'lye', TO_DATE('2022-09-23 16:10:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223256453398529', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223257300647938', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223258101760001', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223258923843585', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223259683012610', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223260433793025', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223261197156353', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223262002462722', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223262719688706', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223263470469122', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223264233832450', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223264938475521', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223265827667969', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223267123707906', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223267949985793', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223279517876225', '1', 'tofly-flow', 'lye', TO_DATE('2022-09-23 16:10:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572111539262464001', 'GET', '{"id":["1572111539262464001"]}', '101', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223279912140801', '1', 'tofly-flow', 'lye', TO_DATE('2022-09-23 16:10:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223282546163713', '1', 'tofly-flow', 'lye', TO_DATE('2022-09-23 16:10:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223292671213570', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223293493297153', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223294248271874', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223295024218113', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223295795970049', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223296517390338', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223297276559361', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223297964425218', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223298736177154', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223299415654402', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223300183212034', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223300871077890', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223301600886786', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223302288752642', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223303001784321', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223303706427394', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223304482373633', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223305216376834', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573224298922491906', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:14:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:14:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573224299568414722', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:14:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:14:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573224300826705921', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:14:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:14:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573224301485211650', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:14:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:14:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573224302118551554', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:14:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:14:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573224302756085762', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:14:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:14:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '1', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573224303402008578', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:14:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:14:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573224303993405442', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:14:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:14:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573224304685465602', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:14:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:14:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573224305264279554', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:14:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:14:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573224305901813761', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:14:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:14:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573224306551930882', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:14:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:14:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573224307294322689', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:14:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:14:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573224307831193602', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:14:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:14:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573224308514865154', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:14:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:14:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573224309190148098', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:14:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:14:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573224309840265217', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:14:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:14:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573224310498770945', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:14:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:14:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573224311123722242', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:14:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:14:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '1', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573224311878696962', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:14:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:14:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573224312474288130', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:14:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:14:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573224313271205889', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:14:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:14:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573224313845825537', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:14:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:14:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573224314504331266', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:14:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:14:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573224315208974337', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:14:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:14:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573224315934588930', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:14:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:14:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573224316685369345', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:14:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:14:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573224317381623809', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:14:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:14:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573224318082072578', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:14:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:14:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573224318858018817', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:14:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:14:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573224319415861250', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:14:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:14:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573224320149864449', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:14:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:14:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573224320825147393', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:14:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:14:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '1', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573224321554956290', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:14:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:14:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573224322309931010', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:14:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:14:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573224322989408258', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:14:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:14:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573224323689857025', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:14:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:14:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '1', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573224324495163394', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:14:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:14:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573224325166252033', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:14:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:14:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573224325883478018', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:14:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:14:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '1', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573245753815060481', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-23 17:39:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 17:39:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573245753932500994', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 17:39:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 17:39:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"nature":[""],"updateUser":[""],"remark":[""],"updateTime":[""],"posts":[""],"createTime":[""],"processId":[""],"tenantId":[""],"createUser":[""],"id":[""],"isForce":[""],"isDel":[""]}', '4', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573245812401098753', '1', 'tofly-flow', 'demo', TO_DATE('2022-09-23 17:40:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 17:40:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573245832135299074', '1', 'tofly-flow', 'demo', TO_DATE('2022-09-23 17:40:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 17:40:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573245868277616642', '1', 'tofly-flow', 'demo', TO_DATE('2022-09-23 17:40:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 17:40:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568483117915193345"],"isMould":["0"]}', '8', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573245882294980610', '2', 'tofly-auth', 'demo', TO_DATE('2022-09-23 17:40:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 17:40:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/7d57523a-1929-4d21-87b5-059f0043e809', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573247583244611586', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 17:47:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 17:47:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568483117915193345"],"isMould":["0"]}', '23', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573247687082995714', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 17:47:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 17:47:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568483117915193345"],"isMould":["0"]}', '15', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573247714920591361', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 17:47:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 17:47:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572786304281247746', 'GET', '{"id":["1572786304281247746"]}', '59', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573248161882378242', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 17:49:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 17:49:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '274', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573248178718314498', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 17:49:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 17:49:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568483117915193345"],"isMould":["0"]}', '21', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573248194472120321', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-23 17:49:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 17:49:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569152821327564802"],"label":["1568482594885484546"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573248199886966785', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 17:49:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 17:49:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572786304281247746', 'GET', '{"id":["1572786304281247746"]}', '53', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573248207734509570', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 17:49:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 17:49:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '210', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573248207822589953', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 17:49:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 17:49:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '242', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573248297291288577', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-23 17:49:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 17:49:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569152821327564802"],"label":["1568482739010158593"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573248371375280129', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-23 17:50:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 17:50:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '11', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573248373283688450', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-23 17:50:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 17:50:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569152821327564802"],"label":["1568482594885484546"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573248378606260226', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-23 17:50:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 17:50:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '11', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573248398361432066', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-23 17:50:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 17:50:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809700', 'GET', '{"edition":["11"],"id":["1572063395757809700"]}', '2', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573248502166261761', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-23 17:50:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 17:50:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '36', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573248502476640258', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-23 17:50:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 17:50:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '24', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573248587243524097', '2', 'tofly-auth', 'hr', TO_DATE('2022-09-23 17:51:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 17:51:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/301bb4ae-1bf5-4d57-b95a-adf087c56b61', 'DELETE', '{}', '8', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573248940236546049', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 17:52:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 17:52:31', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.213', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568483117915193345"],"isMould":["0"]}', '27', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573248958796341249', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 17:52:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 17:52:35', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.213', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '20', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573249008913682434', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-23 17:52:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 17:52:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/97a748b8-1ddc-4dbb-a0b9-e92ac9d2f779', 'DELETE', '{}', '3', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573249135728463873', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 17:53:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 17:53:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessnodel', 'POST', '{}', '44', NULL, NULL, 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573249365333450753', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 17:54:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 17:54:12', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.213', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"id":["1572063395757809666"]}', '339', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573249515183349762', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 17:54:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 17:54:48', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.213', NULL, '/tfprocessl', 'POST', '{}', '14311', NULL, NULL, 'content:新增流程信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573249526675742721', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 17:54:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 17:54:51', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.213', NULL, '/tfprocessl', 'POST', '{}', '10801', NULL, NULL, 'content:新增流程信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573249838240829441', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 17:56:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 17:56:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573249838429573121', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 17:56:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 17:56:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '44', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573249873426845698', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-23 17:56:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 17:56:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '17', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573249947582140418', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-23 17:56:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 17:56:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '20', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573251037342052354', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 18:00:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 18:00:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '492', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573251037342052355', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 18:00:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 18:00:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '451', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573262886284406785', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 18:47:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 18:47:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessnodel', 'POST', '{}', '33', NULL, NULL, 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573263635705868289', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 18:50:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 18:50:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573263635798142977', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 18:50:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 18:50:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '33', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573264009510629377', '0', 'tofly-flow', 'yj', TO_DATE('2022-09-23 18:52:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 18:52:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessnodel', 'POST', '{}', '311', NULL, 'Duplicate key TfProcessNodeL(id=1573264008818483201, processId=1573256199146496001, processStep=2, stepNode=1, stepName=null, startTime=null, endTime=null, condition=null, opinion=null, handleResults=null, handleResultsName=null, longitude=null, latitude=null, numberValue=null, numberValue1=null, annex=null, timeLimit=null, userId=null, handlePost=null, handleDept=null, handleUser=null, dutyPost=1571810293355929602, dutyDept=null, dutyUser=1571810415846383617, handleTime=null, isValid=1, isValidName=null, isOvertime=0, isOvertimeName=null, isDel=0, isDelName=null, isTemp=null, remark=null, nodeState=0, nodeStateName=null, handleState=null, dataTime=null, signAnnex=null, adder=null, outcome=null, createPost=1, createDept=null, createUser=1562707353475338242, createUserName=null, createTime=2022-09-23 18:52:24.194)', 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573265374718832642', '0', 'tofly-flow', 'yj', TO_DATE('2022-09-23 18:57:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 18:57:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessnodel', 'POST', '{}', '142', NULL, 'Duplicate key TfProcessNodeL(id=1573265374278344706, processId=1573256199146496001, processStep=2, stepNode=1, stepName=null, startTime=null, endTime=null, condition=null, opinion=null, handleResults=null, handleResultsName=null, longitude=null, latitude=null, numberValue=null, numberValue1=null, annex=null, timeLimit=null, userId=null, handlePost=null, handleDept=null, handleUser=null, dutyPost=1571810293355929602, dutyDept=null, dutyUser=1571810415846383617, handleTime=null, isValid=1, isValidName=null, isOvertime=0, isOvertimeName=null, isDel=0, isDelName=null, isTemp=null, remark=null, nodeState=0, nodeStateName=null, handleState=null, dataTime=null, signAnnex=null, adder=null, outcome=null, createPost=1, createDept=null, createUser=1562707353475338242, createUserName=null, createTime=2022-09-23 18:57:49.743)', 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573265376606269442', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 18:57:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 18:57:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573265376673378305', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 18:57:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 18:57:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '40', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573265455719231489', '0', 'tofly-flow', 'yj', TO_DATE('2022-09-23 18:58:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 18:58:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessnodel', 'POST', '{}', '202', NULL, '关联流程ID不能为空', 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573273351248936962', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 19:29:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 19:29:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"id":["1572063395757809666"]}', '36', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573273973016756226', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 19:31:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 19:31:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573274014385176577', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 19:32:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 19:32:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"edition":["11"],"id":["1572063395757809666"]}', '36', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573861673277075457', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 10:27:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 10:27:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573861695112622081', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 10:27:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 10:27:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573861699483086850', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 10:27:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 10:27:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '116', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573866002771881986', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 10:44:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 10:44:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573866002998374401', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 10:44:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 10:44:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573866022912929793', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 10:44:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 10:44:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '155', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573866023672098817', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 10:44:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 10:44:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573866023890202626', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 10:44:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 10:44:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573866026482282498', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 10:44:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 10:44:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '7', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573866147710251009', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 10:45:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 10:45:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '19', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573866147936743425', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 10:45:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 10:45:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573866156853833729', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 10:45:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 10:45:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '141', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573866157357150209', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 10:45:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 10:45:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573866157566865409', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 10:45:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 10:45:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573866160192499713', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 10:45:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 10:45:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573866165796089858', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 10:45:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 10:45:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573866166064525313', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 10:45:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 10:45:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573867292218372097', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 10:49:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 10:49:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '167', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573869732351193090', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 10:59:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 10:59:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '148', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573140974614921217', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-23 10:43:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 10:43:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/362e94e3-3aec-46b7-ae1c-655391d8a0e7', 'DELETE', '{}', '8', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573141015970758658', '1', 'tofly-flow', 'test', TO_DATE('2022-09-23 10:43:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 10:43:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573141022161551361', '1', 'tofly-flow', 'test', TO_DATE('2022-09-23 10:43:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 10:43:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfreportentryp/page', 'GET', '{"name":[""],"current":["1"],"size":["30"]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573141090830696449', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-23 10:43:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 10:43:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '8', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573141111181459457', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-23 10:44:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 10:44:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572786304281247746', 'GET', '{"id":["1572786304281247746"]}', '40', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573141623536664578', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-23 10:46:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 10:46:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '8', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573141645183467522', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-23 10:46:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 10:46:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572786304281247746', 'GET', '{"id":["1572786304281247746"]}', '46', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573142162622169090', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 10:48:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 10:48:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '18', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573142162831884290', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 10:48:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 10:48:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '69', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573143254068150274', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 10:52:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 10:52:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573143254152036354', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 10:52:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 10:52:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '26', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573143668796735490', '2', 'tofly-auth', 'test', TO_DATE('2022-09-23 10:54:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 10:54:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/7f9bfcd2-e24f-4fa8-9ab3-11332154110e', 'DELETE', '{}', '1', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573143815609958401', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-23 10:54:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 10:54:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/b40dd1f5-5f6f-4c9e-9bc1-f27f54757b7f', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573143845783781377', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 10:54:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 10:54:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573143846094159873', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 10:54:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 10:54:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '24', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573144151699537921', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 10:56:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 10:56:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568483117915193345"],"isMould":["0"]}', '8', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573144191960662017', '2', 'tofly-auth', 'test', TO_DATE('2022-09-23 10:56:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 10:56:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/e415cf9f-a23b-422a-98af-d3d1737e26ca', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573144210562400258', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 10:56:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 10:56:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '27', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573144300526026754', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-23 10:56:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 10:56:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573144325989646337', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-23 10:56:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 10:56:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573144483775168514', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-23 10:57:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 10:57:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '7', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573144501626126338', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 10:57:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 10:57:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"id":["1572063395757809666"]}', '32', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573144513307262978', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-23 10:57:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 10:57:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568483117915193345"],"isMould":["0"]}', '11', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573144528180264961', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-23 10:57:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 10:57:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '7', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573144662406381570', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 10:58:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 10:58:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '17', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573144662658039810', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 10:58:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 10:58:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '20', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573144753716379650', '2', 'tofly-auth', 'test', TO_DATE('2022-09-23 10:58:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 10:58:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/a7afe385-d041-4b9f-8ad3-a36fdc9c89c5', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573144814273740802', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-23 10:58:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 10:58:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '8', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573144846456635393', '2', 'tofly-auth', 'test', TO_DATE('2022-09-23 10:58:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 10:58:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/bf93d15c-aee0-4115-9602-c17036c64074', 'DELETE', '{}', '1', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573145051298054146', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 10:59:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 10:59:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572786304281247746', 'GET', '{"id":["1572786304281247746"]}', '29', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573145067643256834', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-23 10:59:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 10:59:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '7', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573145228352208898', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 11:00:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 11:00:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573145228402540546', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 11:00:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 11:00:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '30', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573145260245696514', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 11:00:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 11:00:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568483117915193345"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573145309608460290', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 11:00:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 11:00:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572786304281247746', 'GET', '{"id":["1572786304281247746"]}', '24', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573145310195662850', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 11:00:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 11:00:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573145310396989442', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 11:00:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 11:00:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573145313148452866', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 11:00:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 11:00:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573145512847654914', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-23 11:01:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 11:01:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/12d9f797-8d17-46c1-a253-12f890bb97eb', 'DELETE', '{}', '1', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573145598260461569', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-23 11:01:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 11:01:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/aed05900-52c2-4424-8e95-2d60e9dc1f5e', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573116223397937153', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 09:05:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 09:05:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568483117915193345"],"isMould":["0"]}', '8', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573116254582587393', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 09:05:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 09:05:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572786304281247746', 'GET', '{"id":["1572786304281247746"]}', '25', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573116255765381122', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 09:05:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 09:05:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '40', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573116255840878593', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 09:05:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 09:05:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"name":[""],"typeName":[""],"current":["1"],"size":["30"]}', '63', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573116442944585729', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 09:06:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 09:06:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl', 'POST', '{"files":["[object Object]"]}', '7', NULL, NULL, 'content:新增流程信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573116453564563457', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 09:06:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 09:06:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl', 'POST', '{"files":["[object Object]"]}', '6', NULL, NULL, 'content:新增流程信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573116498158403585', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 09:06:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 09:06:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl', 'POST', '{"files":["[object Object]"]}', '4', NULL, NULL, 'content:新增流程信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573116680157642753', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 09:06:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 09:06:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '151', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573116681101361154', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 09:06:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 09:06:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573116681151692802', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 09:06:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 09:06:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"name":[""],"typeName":[""],"current":["1"],"size":["30"]}', '29', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573117077358231554', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 09:08:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 09:08:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573117330484477954', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 09:09:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 09:09:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573117383773110274', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 09:09:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 09:09:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"id":["1572063395757809666"]}', '31', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573117514400514049', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 09:10:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 09:10:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573119257079300097', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 09:17:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 09:17:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573119257163186177', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 09:17:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 09:17:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"name":[""],"typeName":[""],"current":["1"],"size":["30"]}', '24', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573119293125148673', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 09:17:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 09:17:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573119293209034754', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 09:17:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 09:17:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"name":[""],"typeName":[""],"current":["1"],"size":["30"]}', '25', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573119461337710594', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 09:18:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 09:18:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573119461421596673', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 09:18:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 09:18:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"name":[""],"typeName":[""],"current":["1"],"size":["30"]}', '28', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573120239641149442', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-23 09:21:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 09:21:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '8', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573120857835421697', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 09:23:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 09:23:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573120857906724865', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 09:23:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 09:23:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"name":[""],"typeName":[""],"current":["1"],"size":["30"]}', '22', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573121085909090305', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 09:24:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 09:24:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573121109036482562', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 09:24:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 09:24:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573121116884025346', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 09:24:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 09:24:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"id":["1572063395757809666"]}', '27', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573121683328974850', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-23 09:26:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 09:26:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573121690199244801', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-23 09:26:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 09:26:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573121771593908226', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 09:27:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 09:27:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573121771694571521', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 09:27:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 09:27:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"name":[""],"typeName":[""],"current":["1"],"size":["30"]}', '24', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573121894868697090', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-23 09:27:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 09:27:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/page', 'GET', '{"tenantId":["1"],"current":["1"],"size":["10000"],"isDel":["0"]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573122195382190081', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 09:28:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 09:28:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573122195440910338', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 09:28:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 09:28:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"name":[""],"typeName":[""],"current":["1"],"size":["30"]}', '21', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573122236922576898', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-23 09:29:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 09:29:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1"],"isMould":["0"]}', '1', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573123010553561089', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-23 09:32:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 09:32:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573123204338794498', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-23 09:32:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 09:32:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1"],"isMould":["0"]}', '2', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573123668463697921', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 09:34:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 09:34:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573123675015200770', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 09:34:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 09:34:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"id":["1572063395757809666"]}', '27', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573123700105527298', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-23 09:34:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 09:34:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/page', 'GET', '{"tenantId":["1"],"current":["1"],"size":["10000"],"isDel":["0"]}', '2', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573124859000111105', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 09:39:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 09:39:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl', 'POST', '{"files":["[object Blob]"]}', '4', NULL, NULL, 'content:新增流程信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573125034821140482', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 09:40:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 09:40:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572786304281247746', 'GET', '{"id":["1572786304281247746"]}', '25', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573119053512949761', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 09:16:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 09:16:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl', 'POST', '{"file":["[object Object]"]}', '4', NULL, NULL, 'content:新增流程信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573131662450606081', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-23 10:06:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 10:06:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573131680272203778', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-23 10:06:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 10:06:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1"],"isMould":["0"]}', '1', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573131700706852865', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-23 10:06:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 10:06:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1"],"isMould":["0"]}', '2', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573201538066268161', '2', 'tofly-auth', 'administrator', TO_DATE('2022-09-23 14:44:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 14:44:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/3f499101-3d6b-45fe-a725-576f32693f8e', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573209981980360705', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 15:17:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 15:17:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568483117915193345"],"isMould":["0"]}', '14', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573209998728216577', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 15:17:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 15:17:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '160', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573210009956368385', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 15:17:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 15:17:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573210010019282946', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 15:17:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 15:17:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '30', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573210113207549953', '2', 'tofly-auth', 'subadmin', TO_DATE('2022-09-23 15:18:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 15:18:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/1beae56b-6ea3-49ae-96a6-ba6f65d4d8c1', 'DELETE', '{}', '1', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573210209580072962', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-23 15:18:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 15:18:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573210227934347265', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-23 15:18:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 15:18:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '7', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573210284007997441', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-23 15:18:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 15:18:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573210347207770113', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-23 15:19:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 15:19:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '8', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573221273302581250', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 16:02:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:02:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573221273361301506', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 16:02:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:02:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '23', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573222739845169154', '1', 'tofly-flow', 'lye', TO_DATE('2022-09-23 16:08:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:08:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573222740046495745', '1', 'tofly-flow', 'lye', TO_DATE('2022-09-23 16:08:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:08:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573222774502703105', '1', 'tofly-flow', 'lye', TO_DATE('2022-09-23 16:08:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:08:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573222790952763394', '1', 'tofly-flow', 'lye', TO_DATE('2022-09-23 16:08:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:08:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572111539262464001', 'GET', '{"id":["1572111539262464001"]}', '106', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573222791376388097', '1', 'tofly-flow', 'lye', TO_DATE('2022-09-23 16:08:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:08:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573222793733586945', '1', 'tofly-flow', 'lye', TO_DATE('2022-09-23 16:08:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:08:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573222845973643266', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-23 16:08:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:08:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/c00c645e-a6ba-4fd4-ac0b-33ab26822217', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223834797588481', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:12:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:12:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223836869574658', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:12:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:12:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573251377978257410', '1', 'tofly-flow', 'test', TO_DATE('2022-09-23 18:02:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 18:02:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '23', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573251425181310978', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 18:02:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 18:02:24', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.213', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '18', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573251492440813569', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 18:02:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 18:02:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessnodel', 'POST', '{}', '124', NULL, NULL, 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573251519414738946', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 18:02:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 18:02:46', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.213', NULL, '/tfprocessconfigl/1569613105131102200', 'GET', '{"edition":["1"],"id":["1569613105131102200"]}', '14', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573251595742326785', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-23 18:03:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 18:03:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '20', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573251602457407490', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-23 18:03:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 18:03:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '18', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573251779213766658', '1', 'tofly-flow', 'test', TO_DATE('2022-09-23 18:03:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 18:03:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '20', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573251787891781634', '2', 'tofly-auth', 'test', TO_DATE('2022-09-23 18:03:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 18:03:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/51e34652-ff9c-45d7-9832-df7583d157f7', 'DELETE', '{}', '7', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573251829146955778', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-23 18:04:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 18:04:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '204', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573251878585573378', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 18:04:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 18:04:12', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.213', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '205', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573251879768367106', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 18:04:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 18:04:12', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.213', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '98', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573252366592843777', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 18:06:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 18:06:08', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.213', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '417', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573252564681433090', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 18:06:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 18:06:55', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.213', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"id":["1572063395757809666"]}', '5896', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573252648366186498', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 18:07:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 18:07:15', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.213', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"id":["1572063395757809666"]}', '216', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573130213113053185', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 10:00:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 10:00:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568483117915193345"],"isMould":["0"]}', '7', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573130262236741633', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 10:00:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 10:00:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572786304281247746', 'GET', '{"id":["1572786304281247746"]}', '20', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573130263331454978', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 10:00:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 10:00:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573130263381786626', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 10:00:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 10:00:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '20', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573130274043707393', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-23 10:00:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 10:00:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1"],"isMould":["0"]}', '2', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573130462846107649', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-23 10:01:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 10:01:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573130482177654785', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-23 10:01:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 10:01:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572786304281247746', 'GET', '{"id":["1572786304281247746"]}', '26', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573861786460368897', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 10:27:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 10:27:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573861795033526274', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 10:27:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 10:27:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '112', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573864976446771201', '1', 'tofly-flow', 'll', TO_DATE('2022-09-25 10:40:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 10:40:26', 'SYYYY-MM-DD HH24:MI:SS'), '171.214.157.239', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{}', '620', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573865040120500226', '1', 'tofly-flow', 'll', TO_DATE('2022-09-25 10:40:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 10:40:41', 'SYYYY-MM-DD HH24:MI:SS'), '171.214.157.239', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{}', '220', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573865615159472129', '1', 'tofly-flow', 'll', TO_DATE('2022-09-25 10:42:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 10:42:58', 'SYYYY-MM-DD HH24:MI:SS'), '171.214.157.239', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{}', '519', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573865661691080705', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 10:43:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 10:43:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '222', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573865663360413697', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 10:43:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 10:43:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '45', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573865663670792193', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 10:43:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 10:43:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573865669916110849', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 10:43:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 10:43:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '44', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573865856227094530', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 10:43:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 10:43:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '155', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573865856554250242', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 10:43:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 10:43:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '19', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573865889647308802', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 10:44:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 10:44:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573865889970270209', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 10:44:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 10:44:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573865922652286978', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 10:44:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 10:44:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1571780757536903170', 'GET', '{"id":["1571780757536903170"]}', '32', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573865923163992066', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 10:44:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 10:44:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573865926280359938', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 10:44:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 10:44:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573865950703792129', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 10:44:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 10:44:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573865960023535618', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 10:44:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 10:44:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '183', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573865960581378049', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 10:44:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 10:44:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573865960833036289', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 10:44:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 10:44:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '4', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573865963659997186', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 10:44:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 10:44:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573866233647345666', '1', 'tofly-flow', 'll', TO_DATE('2022-09-25 10:45:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 10:45:25', 'SYYYY-MM-DD HH24:MI:SS'), '171.214.157.239', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{}', '178', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573866240198848514', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 10:45:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 10:45:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573866240400175105', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 10:45:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 10:45:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573866261484941313', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 10:45:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 10:45:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573866504796516353', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 10:46:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 10:46:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '7', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573866520483213314', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 10:46:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 10:46:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573866559796424706', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 10:46:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 10:46:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '146', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573867440369577985', '1', 'tofly-flow', 'll', TO_DATE('2022-09-25 10:50:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 10:50:13', 'SYYYY-MM-DD HH24:MI:SS'), '171.214.157.239', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '7', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573867529704058881', '0', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 10:50:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 10:50:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl', 'POST', '{}', '232', NULL, 'parseLong error, field : region', 'content:新增流程信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573867667700854785', '0', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 10:51:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 10:51:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl', 'POST', '{}', '98', NULL, 'parseLong error, field : region', 'content:新增流程信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573873012959727617', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 11:12:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 11:12:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"edition":["11"],"id":["1572063395757809666"]}', '202', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572903393843331074', '1', 'tofly-flow', 'll', TO_DATE('2022-09-22 18:59:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 18:59:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl', 'POST', '{}', '79', NULL, NULL, 'content:新增流程信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572903592267464705', '0', 'tofly-flow', 'll', TO_DATE('2022-09-22 19:00:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 19:00:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl', 'POST', '{}', '2815', NULL, 'Duplicate key org.springframework.web.multipart.support.StandardMultipartHttpServletRequest$StandardMultipartFile@1688f525', 'content:新增流程信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572904456663187458', '1', 'tofly-flow', 'll', TO_DATE('2022-09-22 19:03:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 19:03:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572904463764144129', '1', 'tofly-flow', 'll', TO_DATE('2022-09-22 19:03:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 19:03:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"id":["1572063395757809666"]}', '39', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572905544833417217', '1', 'tofly-flow', 'll', TO_DATE('2022-09-22 19:07:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 19:07:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl', 'POST', '{"files":["[object Object]","[object Object]"]}', '5', NULL, NULL, 'content:新增流程信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572905864103837698', '1', 'tofly-flow', 'll', TO_DATE('2022-09-22 19:09:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 19:09:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572905872488251393', '1', 'tofly-flow', 'll', TO_DATE('2022-09-22 19:09:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 19:09:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"id":["1572063395757809666"]}', '31', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572906003421839361', '1', 'tofly-flow', 'll', TO_DATE('2022-09-22 19:09:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 19:09:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl', 'POST', '{}', '116', NULL, NULL, 'content:新增流程信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572906150247645186', '1', 'tofly-flow', 'll', TO_DATE('2022-09-22 19:10:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 19:10:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl', 'POST', '{"files":["[object Object]"]}', '4', NULL, NULL, 'content:新增流程信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572921157530271746', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-22 20:10:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 20:10:02', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.85', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '44', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572921160512421889', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-22 20:10:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 20:10:02', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.85', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573145790502191105', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-23 11:02:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 11:02:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573145831556038657', '1', 'tofly-flow', 'public', TO_DATE('2022-09-23 11:02:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 11:02:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573145838422114306', '1', 'tofly-flow', 'public', TO_DATE('2022-09-23 11:02:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 11:02:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"name":[""],"current":["1"],"size":["30"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573145931439194114', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 11:03:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 11:03:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572786304281247746', 'GET', '{"id":["1572786304281247746"]}', '25', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573145931967676417', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 11:03:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 11:03:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573145932177391618', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 11:03:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 11:03:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573145934912077826', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 11:03:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 11:03:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573145955740991490', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-23 11:03:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 11:03:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '7', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573145971071172610', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 11:03:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 11:03:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572786304281247746', 'GET', '{"id":["1572786304281247746"]}', '28', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573145971482214402', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 11:03:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 11:03:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573145971691929601', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 11:03:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 11:03:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573145974187540482', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 11:03:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 11:03:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573146024120729601', '2', 'tofly-auth', 'public', TO_DATE('2022-09-23 11:03:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 11:03:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/67f56b8b-ce19-413c-bd7e-9d2117470440', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573146052625219585', '1', 'tofly-flow', 'lye', TO_DATE('2022-09-23 11:03:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 11:03:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573146052797186050', '1', 'tofly-flow', 'lye', TO_DATE('2022-09-23 11:03:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 11:03:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573146063547187202', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-23 11:03:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 11:03:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/98ca1054-b32a-4437-8731-690b40fe4d46', 'DELETE', '{}', '1', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573150144525287426', '2', 'tofly-auth', 'test', TO_DATE('2022-09-23 11:19:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 11:19:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/0512f899-73f7-4141-a45d-3eb68a8b4fe8', 'DELETE', '{}', '1', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573150174896242690', '2', 'tofly-auth', 'test', TO_DATE('2022-09-23 11:20:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 11:20:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/9a69f713-5a25-40aa-9554-7799b5697ddc', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573150274372550658', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-23 11:20:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 11:20:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573150274582265857', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-23 11:20:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 11:20:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573150282324951041', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-23 11:20:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 11:20:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '125', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573150282756964353', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-23 11:20:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 11:20:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573150282933125122', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-23 11:20:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 11:20:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573150285395181569', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-23 11:20:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 11:20:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573150440949334017', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 11:21:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 11:21:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '124', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573150441502982145', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 11:21:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 11:21:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573150441712697345', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 11:21:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 11:21:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573150444120227842', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 11:21:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 11:21:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573157521702043649', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-23 11:49:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 11:49:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1"],"isMould":["0"]}', '2', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573157920999784450', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-23 11:50:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 11:50:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1"],"isMould":["0"]}', '2', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573112868260921346', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-23 08:51:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 08:51:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '26', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573112891447033857', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-23 08:51:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 08:51:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '7', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573112905447620609', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-23 08:51:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 08:51:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568483117915193345"],"isMould":["0"]}', '8', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573112915757219842', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-23 08:52:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 08:52:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573112926268145665', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-23 08:52:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 08:52:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '7', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573112942911143937', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-23 08:52:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 08:52:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '142', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573112999198703617', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-23 08:52:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 08:52:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573113020031811586', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-23 08:52:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 08:52:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572786304281247746', 'GET', '{"id":["1572786304281247746"]}', '27', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573116213931393026', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 09:05:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 09:05:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '8', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573116369523294209', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 09:05:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 09:05:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '7', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573116374736814081', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 09:05:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 09:05:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"id":["1572063395757809666"]}', '33', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573125035727110145', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 09:40:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 09:40:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573125035785830401', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 09:40:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 09:40:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"name":[""],"typeName":[""],"current":["1"],"size":["30"]}', '22', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573125849581469698', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 09:43:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 09:43:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568483117915193345"],"isMould":["0"]}', '10', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573125864563523585', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 09:43:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 09:43:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572786304281247746', 'GET', '{"id":["1572786304281247746"]}', '28', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573125865658236930', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 09:43:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 09:43:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573125865716957186', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 09:43:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 09:43:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"name":[""],"typeName":[""],"current":["1"],"size":["30"]}', '21', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573126015738822658', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 09:44:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 09:44:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573126015810125826', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 09:44:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 09:44:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"name":[""],"typeName":[""],"current":["1"],"size":["30"]}', '22', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573127295878152194', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 09:49:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 09:49:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573127296041730050', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 09:49:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 09:49:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '22', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573127350760620033', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 09:49:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 09:49:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568483117915193345"],"isMould":["0"]}', '11', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573127388404498433', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 09:49:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 09:49:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573127763761152001', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-23 09:51:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 09:51:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectmaterialw/getDispatchRecord', 'GET', '{"relationId":["1570739116476383234"],"materialType":["3"]}', '21', NULL, NULL, 'content:领料记录', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573127763828260865', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-23 09:51:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 09:51:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1"],"isMould":["0"]}', '2', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573128121128435713', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-23 09:52:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 09:52:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["PROJECT_BASE"]}', '27', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573128159732809730', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-23 09:52:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 09:52:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["PROJECT_BASE"]}', '21', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573128204251152386', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-23 09:52:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 09:52:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1"],"isMould":["0"]}', '2', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573128512272449537', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 09:53:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 09:53:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572786304281247746', 'GET', '{"id":["1572786304281247746"]}', '28', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573128513467826177', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 09:53:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 09:53:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573128513509769218', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 09:53:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 09:53:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '27', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573128707462774786', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 09:54:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 09:54:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":["1570692499828273153"],"matterName":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573128721765351425', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 09:54:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 09:54:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":["1572057611951005698"],"matterName":[""]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573128729814220801', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 09:54:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 09:54:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '18', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573128757068808194', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 09:54:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 09:54:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":["材料"]}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573128900144906241', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 09:55:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 09:55:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573128900212015105', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 09:55:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 09:55:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '27', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573128917794537473', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 09:55:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 09:55:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":["好材料"]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572904927549308929', '1', 'tofly-flow', 'll', TO_DATE('2022-09-22 19:05:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 19:05:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl', 'POST', '{"files":["[object Object]","[object Object]"]}', '5', NULL, NULL, 'content:新增流程信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572904972449333249', '1', 'tofly-flow', 'll', TO_DATE('2022-09-22 19:05:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 19:05:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572904977478303745', '1', 'tofly-flow', 'll', TO_DATE('2022-09-22 19:05:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 19:05:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"id":["1572063395757809666"]}', '30', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572905149138583554', '1', 'tofly-flow', 'll', TO_DATE('2022-09-22 19:06:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 19:06:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl', 'POST', '{"files":["[object Object]","[object Object]"]}', '5', NULL, NULL, 'content:新增流程信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572905384413872129', '1', 'tofly-flow', 'll', TO_DATE('2022-09-22 19:07:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 19:07:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572905407377686530', '1', 'tofly-flow', 'll', TO_DATE('2022-09-22 19:07:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 19:07:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572905426637930497', '1', 'tofly-flow', 'll', TO_DATE('2022-09-22 19:07:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 19:07:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"id":["1572063395757809666"]}', '31', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573135227390902274', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 10:20:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 10:20:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573252828192776194', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-23 18:07:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 18:07:58', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessl', 'POST', '{}', '12756', NULL, NULL, 'content:新增流程信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573252829644005378', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 18:07:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 18:07:58', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.213', NULL, '/tfprocessl', 'POST', '{}', '458', NULL, NULL, 'content:新增流程信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573253966048731137', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-23 18:12:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 18:12:29', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessl', 'POST', '{}', '124', NULL, NULL, 'content:新增流程信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573254168163852289', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 18:13:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 18:13:17', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.213', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '19', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573254170688466946', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-23 18:13:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 18:13:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '13', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573254188069662722', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-23 18:13:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 18:13:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '8', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573254189638688770', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-23 18:13:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 18:13:23', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{}', '246', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573254243187367937', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 18:13:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 18:13:35', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.213', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '67', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573254610771976194', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 18:15:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 18:15:03', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.213', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '32', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573254707480043522', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-23 18:15:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 18:15:26', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessl', 'POST', '{}', '543', NULL, NULL, 'content:新增流程信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573254731270135810', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 18:15:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 18:15:32', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.213', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '71', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573254906961141762', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 18:16:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 18:16:14', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.213', NULL, '/tfprocessconfigl/1572063395757809700', 'GET', '{"edition":["11"],"id":["1572063395757809700"]}', '11', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573255523075039233', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-23 18:18:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 18:18:41', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessl', 'POST', '{}', '99', NULL, NULL, 'content:新增流程信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573256000093233154', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-23 18:20:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 18:20:34', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessl', 'POST', '{}', '195', NULL, NULL, 'content:新增流程信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573256202795556865', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-23 18:21:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 18:21:23', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessl', 'POST', '{}', '976', NULL, NULL, 'content:新增流程信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573257394384384001', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 18:26:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 18:26:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessnodel', 'POST', '{}', '33', NULL, NULL, 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573257400025722881', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 18:26:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 18:26:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '25', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573257402206760961', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 18:26:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 18:26:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '539', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573257653734977537', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 18:27:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 18:27:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessnodel', 'POST', '{}', '11', NULL, NULL, 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573257967129178114', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 18:28:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 18:28:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessnodel', 'POST', '{}', '9', NULL, NULL, 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573257969532514305', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 18:28:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 18:28:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '43', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573257969591234561', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 18:28:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 18:28:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '62', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573258143646461954', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 18:29:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 18:29:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessnodel', 'POST', '{}', '45', NULL, NULL, 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573258468181090306', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 18:30:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 18:30:23', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.213', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '614', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573258474116030465', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 18:30:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 18:30:24', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.213', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '785', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573258474694844417', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 18:30:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 18:30:24', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.213', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '267', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573258477102374913', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 18:30:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 18:30:25', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.213', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '216', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573258738512371714', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 18:31:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 18:31:27', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.213', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '67', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573258807600947202', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 18:31:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 18:31:44', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.213', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '224', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573258809148645378', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 18:31:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 18:31:44', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.213', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '230', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573258820334854146', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 18:31:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 18:31:47', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.213', NULL, '/tfprocessconfigl/1572786304281247746', 'GET', '{"id":["1572786304281247746"]}', '164', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573258821710585858', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 18:31:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 18:31:47', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.213', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '16', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573258822364897282', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 18:31:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 18:31:47', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.213', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '19', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573240681924251650', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-23 17:19:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 17:19:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1"],"isMould":["0"]}', '2', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573268523743444993', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 19:10:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 19:10:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '87', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573268529577721858', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 19:10:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 19:10:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"edition":["11"],"id":["1572063395757809666"]}', '58', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573268808356331522', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-23 19:11:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 19:11:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '31', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573269087747309570', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-23 19:12:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 19:12:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '9', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573269211215036418', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-23 19:13:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 19:13:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '7', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573269224557117442', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 19:13:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 19:13:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"id":["1572063395757809666"]}', '55', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573859695671128066', '1', 'tofly-flow', 'll', TO_DATE('2022-09-25 10:19:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 10:19:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573859711282327553', '1', 'tofly-flow', 'll', TO_DATE('2022-09-25 10:19:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 10:19:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572157726111834113', 'DELETE', '{"id":["1572157726111834113"]}', '13', NULL, NULL, 'content:通过id删除审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573859711483654146', '1', 'tofly-flow', 'll', TO_DATE('2022-09-25 10:19:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 10:19:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573859725693956097', '1', 'tofly-flow', 'll', TO_DATE('2022-09-25 10:19:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 10:19:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"id":["1572063395757809666"]}', '30', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573859726067249153', '1', 'tofly-flow', 'll', TO_DATE('2022-09-25 10:19:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 10:19:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573859726218244098', '1', 'tofly-flow', 'll', TO_DATE('2022-09-25 10:19:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 10:19:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573859728902598657', '1', 'tofly-flow', 'll', TO_DATE('2022-09-25 10:19:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 10:19:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573859745474293761', '1', 'tofly-flow', 'll', TO_DATE('2022-09-25 10:19:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 10:19:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'DELETE', '{"id":["1572063395757809666"]}', '7', NULL, NULL, 'content:通过id删除审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573859745658843138', '1', 'tofly-flow', 'll', TO_DATE('2022-09-25 10:19:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 10:19:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573859760540233730', '1', 'tofly-flow', 'll', TO_DATE('2022-09-25 10:19:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 10:19:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '138', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573859761009995778', '1', 'tofly-flow', 'll', TO_DATE('2022-09-25 10:19:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 10:19:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573859761169379329', '1', 'tofly-flow', 'll', TO_DATE('2022-09-25 10:19:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 10:19:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573859763857928193', '1', 'tofly-flow', 'll', TO_DATE('2022-09-25 10:19:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 10:19:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573859820652998657', '1', 'tofly-flow', 'll', TO_DATE('2022-09-25 10:19:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 10:19:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '138', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573859821059846145', '1', 'tofly-flow', 'll', TO_DATE('2022-09-25 10:19:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 10:19:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573859821210841090', '1', 'tofly-flow', 'll', TO_DATE('2022-09-25 10:19:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 10:19:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573859823781949442', '1', 'tofly-flow', 'll', TO_DATE('2022-09-25 10:19:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 10:19:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573861264143691777', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 10:25:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 10:25:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573861266886766594', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 10:25:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 10:25:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573861336881311746', '1', 'tofly-flow', 'll', TO_DATE('2022-09-25 10:25:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 10:25:58', 'SYYYY-MM-DD HH24:MI:SS'), '171.214.157.239', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{}', '120', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573861374130925569', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 10:26:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 10:26:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573861374323863553', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 10:26:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 10:26:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573861401473593346', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 10:26:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 10:26:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573861401658142721', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 10:26:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 10:26:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573861421769830401', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 10:26:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 10:26:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573861421794996225', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 10:26:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 10:26:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '16', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573861429218914305', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 10:26:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 10:26:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573861429395075073', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 10:26:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 10:26:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573861434289827842', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 10:26:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 10:26:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573861434465988610', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 10:26:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 10:26:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573861466304950274', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 10:26:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 10:26:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573861466497888257', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 10:26:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 10:26:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573861485925904385', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 10:26:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 10:26:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '118', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573861552560812033', '1', 'tofly-flow', 'll', TO_DATE('2022-09-25 10:26:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 10:26:49', 'SYYYY-MM-DD HH24:MI:SS'), '171.214.157.239', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{}', '115', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572883022867886081', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-22 17:38:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 17:38:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '10', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572883026789560321', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-22 17:38:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 17:38:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/page', 'GET', '{"tenantId":["1"],"current":["1"],"size":["10000"],"isDel":["0"]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572883027037024257', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-22 17:38:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 17:38:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1"],"isMould":["0"]}', '2', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572883046754447361', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-22 17:38:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 17:38:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/page', 'GET', '{"tenantId":["1"],"current":["1"],"size":["10000"],"isDel":["0"]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572883109002113026', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-22 17:38:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 17:38:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572883178552061954', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-22 17:39:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 17:39:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/page', 'GET', '{"tenantId":["1"],"current":["1"],"size":["10000"],"isDel":["0"]}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572883178757582850', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-22 17:39:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 17:39:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572883299159273474', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-22 17:39:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 17:39:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572884216210288642', '1', 'tofly-flow', 'll', TO_DATE('2022-09-22 17:43:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 17:43:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572884219444097025', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 17:43:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 17:43:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572884219599286273', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 17:43:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 17:43:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{}', '61', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572884436839067649', '1', 'tofly-flow', 'll', TO_DATE('2022-09-22 17:44:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 17:44:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"id":["1572063395757809666"]}', '52', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572884712165765121', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 17:45:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 17:45:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572884712312565761', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 17:45:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 17:45:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{}', '43', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572884844756103169', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 17:45:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 17:45:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568483117915193345"],"isMould":["0"]}', '19', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572885013589422082', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 17:46:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 17:46:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '226', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572885016714178561', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 17:46:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 17:46:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572885016798064641', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 17:46:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 17:46:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{}', '36', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572885089632153601', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 17:46:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 17:46:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '171', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572885316682412033', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 17:47:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 17:47:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572885316774686721', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 17:47:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 17:47:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{}', '35', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572885376950366209', '1', 'tofly-flow', 'll', TO_DATE('2022-09-22 17:47:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 17:47:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572885384680468481', '1', 'tofly-flow', 'll', TO_DATE('2022-09-22 17:47:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 17:47:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"id":["1572063395757809666"]}', '33', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572885568546172930', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 17:48:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 17:48:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568483117915193345"],"isMould":["0"]}', '8', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572885591669370882', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 17:48:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 17:48:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572786304281247746', 'GET', '{"id":["1572786304281247746"]}', '26', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572885611340656642', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 17:48:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 17:48:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572885611399376898', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 17:48:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 17:48:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"name":[""],"typeName":[""],"current":["1"],"size":["30"]}', '28', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572885903465541634', '1', 'tofly-flow', 'll', TO_DATE('2022-09-22 17:49:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 17:49:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572885912734953474', '1', 'tofly-flow', 'll', TO_DATE('2022-09-22 17:49:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 17:49:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"id":["1572063395757809666"]}', '31', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572886320605851649', '1', 'tofly-flow', 'll', TO_DATE('2022-09-22 17:51:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 17:51:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572886451552022529', '1', 'tofly-flow', 'll', TO_DATE('2022-09-22 17:52:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 17:52:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572886455909904385', '1', 'tofly-flow', 'll', TO_DATE('2022-09-22 17:52:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 17:52:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"id":["1572063395757809666"]}', '28', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572886948769984514', '1', 'tofly-flow', 'll', TO_DATE('2022-09-22 17:54:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 17:54:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '8', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572886955308904449', '1', 'tofly-flow', 'll', TO_DATE('2022-09-22 17:54:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 17:54:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"id":["1572063395757809666"]}', '31', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572887146233622529', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-22 17:54:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 17:54:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572887151728160769', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-22 17:54:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 17:54:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572887157482745858', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-22 17:54:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 17:54:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1"],"isMould":["0"]}', '2', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572887744727248897', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 17:57:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 17:57:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572887744819523585', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 17:57:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 17:57:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"name":[""],"typeName":[""],"current":["1"],"size":["30"]}', '29', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572887967243464705', '1', 'tofly-flow', 'll', TO_DATE('2022-09-22 17:58:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 17:58:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573128929953824769', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 09:55:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 09:55:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '19', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573128959385255938', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-23 09:55:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 09:55:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1"],"isMould":["0"]}', '2', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573129354803265537', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 09:57:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 09:57:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572786304281247746', 'GET', '{"id":["1572786304281247746"]}', '26', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573129355914756097', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 09:57:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 09:57:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573129356048973826', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 09:57:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 09:57:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '17', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573129999274852353', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-23 09:59:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 09:59:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573130017570406402', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-23 09:59:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 09:59:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '8', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573130064898932738', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-23 10:00:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 10:00:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572786304281247746', 'GET', '{"id":["1572786304281247746"]}', '24', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573130112734969857', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 10:00:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 10:00:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572786304281247746', 'GET', '{"id":["1572786304281247746"]}', '27', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573130113607385090', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 10:00:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 10:00:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573130113666105345', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 10:00:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 10:00:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '19', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573130535545978881', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-23 10:02:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 10:02:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573130535755694082', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-23 10:02:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 10:02:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573130544064610305', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-23 10:02:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 10:02:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573132124679684097', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-23 10:08:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 10:08:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1"],"isMould":["0"]}', '1', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573132825258475522', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-23 10:11:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 10:11:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573132829775740930', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-23 10:11:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 10:11:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '8', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573132836553736193', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-23 10:11:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 10:11:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1"],"isMould":["0"]}', '2', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573133260828557314', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-23 10:12:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 10:12:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572786304281247746', 'GET', '{"id":["1572786304281247746"]}', '27', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573137190270648321', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-23 10:28:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 10:28:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573137219253288961', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-23 10:28:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 10:28:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573203985581064193', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 14:53:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 14:53:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573203985711087617', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 14:53:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 14:53:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '39', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573204148575911937', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-23 14:54:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 14:54:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '9', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573205040247193602', '1', 'tofly-flow', 'lye', TO_DATE('2022-09-23 14:58:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 14:58:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '9', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573205040301719554', '1', 'tofly-flow', 'lye', TO_DATE('2022-09-23 14:58:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 14:58:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573207016783593474', '2', 'tofly-auth', 'subadmin', TO_DATE('2022-09-23 15:05:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 15:05:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/986ab6f8-7175-45d0-9c38-bdf74a6fcb7b', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573209568321323010', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 15:16:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 15:16:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573209568430374913', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 15:16:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 15:16:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '36', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573209585937399810', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-23 15:16:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 15:16:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/1ce48e64-cf2c-492a-af13-9931a3e9c219', 'DELETE', '{}', '1', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573210826218258434', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 15:21:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 15:21:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573210972859514881', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 15:21:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 15:21:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809700', 'GET', '{"edition":["11"],"id":["1572063395757809700"]}', '1', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573212658491572225', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 15:28:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 15:28:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '19', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573212658864865281', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 15:28:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 15:28:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '20', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573212724430225410', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 15:28:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 15:28:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '2', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573212734832099329', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 15:28:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 15:28:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"id":["1572063395757809666"]}', '30', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573213737929261057', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-23 15:32:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 15:32:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '17', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573213738206085121', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-23 15:32:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 15:32:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573213764076552194', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-23 15:32:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 15:32:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '138', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573213765259345921', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-23 15:32:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 15:32:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573258831680446465', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 18:31:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 18:31:49', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.213', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '39', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573259139395559426', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 18:33:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 18:33:03', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.213', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '87', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573259332803305473', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 18:33:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 18:33:49', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.213', NULL, '/tfprocessconfigl/1572786304281247746', 'GET', '{"id":["1572786304281247746"]}', '258', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573259334367780865', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 18:33:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 18:33:49', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.213', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '5', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573259335294722049', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 18:33:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 18:33:49', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.213', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '7', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573259352180989953', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 18:33:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 18:33:53', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.213', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '44', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573259363073597441', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 18:33:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 18:33:56', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.213', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '1267', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573259364768096257', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 18:33:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 18:33:56', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.213', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '5', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573259365225275393', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 18:33:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 18:33:57', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.213', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '5', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573259373865541634', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 18:33:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 18:33:59', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.213', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '14', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573259700576657410', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 18:35:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 18:35:17', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.213', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '167', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573259701683953666', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 18:35:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 18:35:17', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.213', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '70', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573259724463218689', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 18:35:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 18:35:22', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.213', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '2591', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573259726543593473', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 18:35:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 18:35:23', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.213', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '26', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573259727323734018', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 18:35:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 18:35:23', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.213', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '7', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573259746294571009', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 18:35:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 18:35:27', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.213', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '18', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573260062830305281', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 18:36:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 18:36:43', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.213', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '16', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573260108107816961', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 18:36:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 18:36:54', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.213', NULL, '/tfprocessconfigl/1569613105131102209', 'GET', '{"edition":["1"],"id":["1569613105131102209"]}', '12', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573260300852506625', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 18:37:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 18:37:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessnodel', 'POST', '{}', '26', NULL, NULL, 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573260471284211714', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 18:38:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 18:38:20', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.213', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"edition":["11"],"id":["1572063395757809666"]}', '795', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573262607463854081', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 18:46:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 18:46:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessnodel', 'POST', '{}', '29', NULL, NULL, 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573262619807690754', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 18:46:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 18:46:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568483117915193345"],"isMould":["0"]}', '14', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573262644830908418', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 18:46:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 18:46:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572786304281247746', 'GET', '{"id":["1572786304281247746"]}', '40', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573262664632217602', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 18:47:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 18:47:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '27', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573262664640606210', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 18:47:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 18:47:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '32', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573263313734672386', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 18:49:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 18:49:38', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.213', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '182', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573263566873501698', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 18:50:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 18:50:38', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.213', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"edition":["11"],"id":["1572063395757809666"]}', '295', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573264023922614274', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 18:52:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 18:52:27', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.213', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"edition":["11"],"id":["1572063395757809666"]}', '339', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573264736379674625', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 18:55:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 18:55:17', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.213', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '94', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573264805958983681', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 18:55:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 18:55:34', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.213', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"edition":["11"],"id":["1572063395757809666"]}', '461', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573268342067167233', '0', 'tofly-flow', 'yj', TO_DATE('2022-09-23 19:09:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 19:09:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessnodel', 'POST', '{}', '3268', NULL, 'nested exception is org.apache.ibatis.type.TypeException: Could not set parameters for mapping: ParameterMapping{property=''ew.paramNameValuePairs.MPGENVAL3'', mode=IN, javaType=class java.lang.Object, jdbcType=null, numericScale=null, resultMapId=''null'', jdbcTypeName=''null'', expression=''null''}. Cause: org.apache.ibatis.type.TypeException: Error setting null for parameter #3 with JdbcType OTHER . Try setting a different JdbcType for this parameter or a different jdbcTypeForNull configuration property. Cause: java.sql.SQLException: 无效的列类型: 1111', 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573269263677390850', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 19:13:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 19:13:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl', 'POST', '{}', '201', NULL, NULL, 'content:新增流程信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573269336264015873', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 19:13:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 19:13:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl', 'POST', '{}', '105', NULL, NULL, 'content:新增流程信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573269403649703938', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 19:13:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 19:13:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"edition":["11"],"id":["1572063395757809666"]}', '51', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573269744134914049', '0', 'tofly-flow', 'yj', TO_DATE('2022-09-23 19:15:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 19:15:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessnodel', 'POST', '{}', '646', NULL, 'nested exception is org.apache.ibatis.exceptions.TooManyResultsException: Expected one result (or null) to be returned by selectOne(), but found: 2', 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573269795812933634', '2', 'tofly-auth', 'yj', TO_DATE('2022-09-23 19:15:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 19:15:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/bfe53e8e-8a76-4d4b-948e-9acc4445ac90', 'DELETE', '{}', '6', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573869752286720002', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 10:59:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 10:59:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573869778752778242', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 10:59:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 10:59:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '147', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573871996008673282', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 11:08:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 11:08:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '143', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573872526839869442', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 11:10:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 11:10:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '231', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573872558175514625', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 11:10:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 11:10:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '10', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573873191393808385', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 11:13:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 11:13:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '78', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573873271727312898', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 11:13:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 11:13:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '230', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573875574979022850', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 11:22:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 11:22:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573875587104755713', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 11:22:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 11:22:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '191', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573875824007434241', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 11:23:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 11:23:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '10', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573875835172671489', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 11:23:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 11:23:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '171', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573876270256214018', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 11:25:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 11:25:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl', 'POST', '{}', '772', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573876271199932418', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 11:25:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 11:25:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573876287150870530', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 11:25:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 11:25:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '161', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573876287666769922', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 11:25:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 11:25:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573876287859707905', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 11:25:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 11:25:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573876290623754242', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 11:25:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 11:25:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573876461994627073', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 11:26:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 11:26:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl', 'POST', '{}', '179', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573876462883819521', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 11:26:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 11:26:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573876472471998466', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 11:26:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 11:26:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573876478478241794', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 11:26:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 11:26:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '149', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573876583843352577', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 11:26:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 11:26:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573876764852736001', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 11:27:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 11:27:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl', 'POST', '{}', '92', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573876765783871489', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 11:27:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 11:27:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573876773677551617', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 11:27:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 11:27:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573876779910287362', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 11:27:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 11:27:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '147', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573876861468528641', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 11:27:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 11:27:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573876861695021057', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 11:27:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 11:27:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573876871526469634', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 11:27:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 11:27:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '149', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573876872046563330', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 11:27:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 11:27:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573876872273055746', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 11:27:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 11:27:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573876874806415361', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 11:27:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 11:27:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573877625054154754', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 11:30:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 11:30:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573877648974270466', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 11:30:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 11:30:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573877659074154497', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 11:30:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 11:30:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '150', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573877876821446658', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 11:31:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 11:31:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573877886422208514', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 11:31:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 11:31:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '150', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573877952914509825', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 11:31:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 11:31:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572883207811526657', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-22 17:39:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 17:39:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572883228405559297', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-22 17:39:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 17:39:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/page', 'GET', '{"tenantId":["1"],"current":["1"],"size":["10000"],"isDel":["0"]}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572883330968875010', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-22 17:39:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 17:39:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/page', 'GET', '{"tenantId":["1"],"current":["1"],"size":["10000"],"isDel":["0"]}', '2', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572887972016582657', '1', 'tofly-flow', 'll', TO_DATE('2022-09-22 17:58:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 17:58:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"id":["1572063395757809666"]}', '32', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572887984456888322', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 17:58:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 17:58:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '145', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572888002278486018', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 17:58:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 17:58:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572888002345594881', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 17:58:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 17:58:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"name":[""],"typeName":[""],"current":["1"],"size":["30"]}', '27', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572888120725630977', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 17:58:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 17:58:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572888120801128450', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 17:58:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 17:58:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"name":[""],"typeName":[""],"current":["1"],"size":["30"]}', '26', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572888545436659714', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 18:00:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 18:00:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572888545537323009', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 18:00:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 18:00:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"name":[""],"typeName":[""],"current":["1"],"size":["30"]}', '29', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572888634842443778', '1', 'tofly-flow', 'll', TO_DATE('2022-09-22 18:00:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 18:00:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572888641540747266', '1', 'tofly-flow', 'll', TO_DATE('2022-09-22 18:00:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 18:00:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"id":["1572063395757809666"]}', '28', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572888992771764226', '1', 'tofly-flow', 'll', TO_DATE('2022-09-22 18:02:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 18:02:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572888997876232194', '1', 'tofly-flow', 'll', TO_DATE('2022-09-22 18:02:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 18:02:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"id":["1572063395757809666"]}', '28', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573122914193620993', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-23 09:31:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 09:31:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1"],"isMould":["0"]}', '2', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573123183321137153', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-23 09:32:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 09:32:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573123197204283393', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-23 09:32:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 09:32:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573123700365574145', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-23 09:34:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 09:34:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1"],"isMould":["0"]}', '2', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573123719709704193', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-23 09:34:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 09:34:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573123773237411842', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 09:35:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 09:35:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"id":["1572063395757809666"]}', '28', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573158547150651393', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-23 11:53:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 11:53:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1"],"isMould":["0"]}', '2', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573158565383290881', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-23 11:53:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 11:53:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1"],"isMould":["0"]}', '2', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573158624535560193', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-23 11:53:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 11:53:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectmaterialw/getDispatchRecord', 'GET', '{"relationId":["1570739116476383234"],"materialType":["3"]}', '2', NULL, NULL, 'content:领料记录', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573158624711720961', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-23 11:53:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 11:53:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1"],"isMould":["0"]}', '1', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573158661021810690', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-23 11:53:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 11:53:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["PROJECT_BASE"]}', '27', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573158684421832705', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-23 11:53:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 11:53:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1"],"isMould":["0"]}', '2', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573158693829656577', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-23 11:53:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 11:53:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1570692286170427394"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573158800746659842', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 11:54:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 11:54:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568483117915193345"],"isMould":["0"]}', '9', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573158825870540801', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 11:54:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 11:54:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572786304281247746', 'GET', '{"id":["1572786304281247746"]}', '27', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573158835915898881', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 11:54:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 11:54:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573158836024950786', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 11:54:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 11:54:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '28', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573159019416698881', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-23 11:55:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 11:55:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectmaterialw/getDispatchRecord', 'GET', '{"relationId":["1570739116476383234"],"materialType":["3"]}', '5', NULL, NULL, 'content:领料记录', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573159019760631810', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-23 11:55:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 11:55:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573220556747685890', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 15:59:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 15:59:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572157726111834113', 'GET', '{"id":["1572157726111834113"]}', '27', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573220557439746050', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 15:59:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 15:59:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573220557716570113', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 15:59:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 15:59:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573220560342204417', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 15:59:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 15:59:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573221402168377346', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 16:03:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:03:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573213765519392769', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-23 15:32:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 15:32:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573213768417656833', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-23 15:32:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 15:32:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573214237575725057', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-23 15:34:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 15:34:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573214238477500418', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-23 15:34:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 15:34:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573214242751496194', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-23 15:34:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 15:34:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573214255921610753', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-23 15:34:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 15:34:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573214256227794945', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-23 15:34:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 15:34:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573214258979258370', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-23 15:34:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 15:34:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573214638194671618', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-23 15:36:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 15:36:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '17', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573214638421164034', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-23 15:36:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 15:36:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573214641013243905', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-23 15:36:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 15:36:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573219993511378945', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 15:57:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 15:57:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '28', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573220585545777153', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 15:59:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 15:59:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572786304281247746', 'GET', '{"id":["1572786304281247746"]}', '23', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573220586028122114', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 15:59:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 15:59:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573220586254614529', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 15:59:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 15:59:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573220588859277314', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 15:59:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 15:59:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573221110483894274', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-23 16:01:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:01:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '17', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573221110701998082', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-23 16:01:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:01:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573221115676442626', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-23 16:01:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:01:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573221115840020481', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-23 16:01:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:01:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573221215022727170', '2', 'tofly-auth', 'mzadmin', TO_DATE('2022-09-23 16:02:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:02:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/fb53cb55-292d-4515-967b-4bdf58844a9d', 'DELETE', '{}', '1', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573224326588121090', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:14:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:14:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573224327309541377', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:14:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:14:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573224327997407234', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:14:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:14:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573224328743993345', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:14:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:14:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573224329519939585', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:14:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:14:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573224330149085185', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:14:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:14:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573224330916642817', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:14:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:14:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573224331721949186', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:14:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:14:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573224332481118209', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:14:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:14:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573224333131235330', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:14:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:14:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573224334016233473', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:14:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:14:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573224334607630338', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:14:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:14:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573224335379382274', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:14:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:14:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573224336029499394', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:14:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:14:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573224336729948161', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:14:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:14:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573224337510088705', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:14:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:14:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573224338244091905', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:14:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:14:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573224339024232449', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:14:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:14:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573224339871481857', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:14:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:14:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573226062769930243', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-23 16:21:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:21:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '2', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573270016907792386', '0', 'tofly-flow', 'yj', TO_DATE('2022-09-23 19:16:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 19:16:16', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessnodel', 'POST', '{}', '586', NULL, 'nested exception is org.apache.ibatis.exceptions.TooManyResultsException: Expected one result (or null) to be returned by selectOne(), but found: 2', 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573270161888104449', '0', 'tofly-flow', 'yj', TO_DATE('2022-09-23 19:16:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 19:16:51', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessnodel', 'POST', '{}', '577', NULL, 'nested exception is org.apache.ibatis.exceptions.TooManyResultsException: Expected one result (or null) to be returned by selectOne(), but found: 2', 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573270533230297090', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 19:18:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 19:18:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573270680290983937', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 19:18:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 19:18:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"edition":["11"],"id":["1572063395757809666"]}', '50', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573271108260986881', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 19:20:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 19:20:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"edition":["11"],"id":["1572063395757809666"]}', '39', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573271111595970561', '0', 'tofly-flow', 'yj', TO_DATE('2022-09-23 19:20:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 19:20:37', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessnodel', 'POST', '{}', '99632', NULL, 'nested exception is org.apache.ibatis.exceptions.TooManyResultsException: Expected one result (or null) to be returned by selectOne(), but found: 2', 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573271593118334978', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 19:22:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 19:22:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573272446307389441', '0', 'tofly-flow', 'yj', TO_DATE('2022-09-23 19:25:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 19:25:55', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessnodel', 'POST', '{}', '2833', NULL, '### Error updating database.  Cause: java.sql.SQLSyntaxErrorException: ORA-00904: "LINK_PROCESS_ID": 标识符无效

### The error may exist in com/tofly/workflow/buss/mapper/TfProjectMaterialWMapper.java (best guess)
### The error may involve defaultParameterMap
### The error occurred while setting parameters
### SQL: DELETE FROM TF_PROJECT_MATERIAL_W     WHERE (PROCESS_ID = ? AND NODE_ID = ? AND LINK_PROCESS_ID = ?)
### Cause: java.sql.SQLSyntaxErrorException: ORA-00904: "LINK_PROCESS_ID": 标识符无效

; bad SQL grammar []; nested exception is java.sql.SQLSyntaxErrorException: ORA-00904: "LINK_PROCESS_ID": 标识符无效', 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573272815124611073', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 19:27:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 19:27:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573272882120228866', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 19:27:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 19:27:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"edition":["11"],"id":["1572063395757809666"]}', '41', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573273000404307969', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 19:28:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 19:28:07', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessnodel', 'POST', '{}', '1571', NULL, NULL, 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573273241890848769', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 19:29:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 19:29:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '7', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573273277664067585', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 19:29:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 19:29:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"edition":["11"],"id":["1572063395757809666"]}', '40', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573273332580601857', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 19:29:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 19:29:27', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessl', 'POST', '{}', '36', NULL, NULL, 'content:新增流程信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573273426436542466', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 19:29:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 19:29:49', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessl', 'POST', '{}', '322', NULL, NULL, 'content:新增流程信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573274185345519618', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 19:32:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 19:32:50', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessl', 'POST', '{}', '2489', NULL, NULL, 'content:新增流程信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573274354081857538', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 19:33:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 19:33:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '7', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573274371664379906', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 19:33:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 19:33:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"edition":["11"],"id":["1572063395757809666"]}', '33', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573274459321139202', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 19:33:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 19:33:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"edition":["11"],"id":["1572063395757809666"]}', '36', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573274539847581697', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 19:34:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 19:34:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573274561544716289', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 19:34:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 19:34:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"edition":["11"],"id":["1572063395757809666"]}', '45', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573274701525417985', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 19:34:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 19:34:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"edition":["11"],"id":["1572063395757809666"]}', '33', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573274707737182209', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 19:34:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 19:34:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '7', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573274719825166338', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 19:34:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 19:34:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568483117915193345"],"isMould":["0"]}', '11', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573274764913934337', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 19:35:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 19:35:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572786304281247746', 'GET', '{"id":["1572786304281247746"]}', '29', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573274769129209857', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 19:35:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 19:35:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"edition":["11"],"id":["1572063395757809666"]}', '30', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573274773289959426', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 19:35:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 19:35:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '38', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573274773399011330', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 19:35:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 19:35:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '64', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573275186995134465', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 19:36:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 19:36:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573276053869703170', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 19:40:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 19:40:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessnodel', 'POST', '{}', '684', NULL, NULL, 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573276153866104833', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 19:40:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 19:40:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '33', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573276175756177410', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 19:40:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 19:40:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"edition":["11"],"id":["1572063395757809666"]}', '60', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573276412767907842', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 19:41:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 19:41:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"edition":["11"],"id":["1572063395757809666"]}', '57', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573189486329327618', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 13:56:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 13:56:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568483117915193345"],"isMould":["0"]}', '20', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573189518164094978', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 13:56:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 13:56:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '257', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573189530809921538', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 13:56:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 13:56:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '574', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573191376458870786', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 14:03:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 14:03:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573191376517591041', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 14:03:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 14:03:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '36', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573191377754910721', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 14:03:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 14:03:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '177', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573191380254715906', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 14:03:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 14:03:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '28', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573194229269262338', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 14:15:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 14:15:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573195241895882753', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-23 14:19:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 14:19:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '19', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573324078562422786', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 22:51:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 22:51:05', 'SYYYY-MM-DD HH24:MI:SS'), '183.220.91.143', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573873016050929666', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 11:12:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 11:12:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '323', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573878188038803457', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 11:32:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 11:32:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573878196020563969', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 11:32:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 11:32:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '136', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573878430750593026', '0', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 11:33:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 11:33:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl', 'POST', '{}', '189', NULL, 'parseLong error, field : region', 'content:新增流程信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573878455069167618', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 11:33:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 11:33:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '136', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573878640226717697', '0', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 11:34:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 11:34:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl', 'POST', '{}', '102', NULL, 'parseLong error, field : region', 'content:新增流程信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573880278253424641', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 11:41:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 11:41:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573880544709169154', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 11:42:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 11:42:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573880566452441089', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 11:42:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 11:42:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '136', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573881072503607297', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 11:44:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 11:44:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '9', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573881080615391233', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 11:44:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 11:44:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '130', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573881403945897985', '0', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 11:45:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 11:45:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl', 'POST', '{}', '91', NULL, 'parseLong error, field : region', 'content:新增流程信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573881744837955585', '0', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 11:47:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 11:47:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl', 'POST', '{}', '95', NULL, 'parseLong error, field : region', 'content:新增流程信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573881816065626114', '0', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 11:47:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 11:47:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl', 'POST', '{}', '88', NULL, 'parseLong error, field : region', 'content:新增流程信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573882319528906753', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 11:49:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 11:49:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573882325103136770', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 11:49:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 11:49:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '142', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573882821368991745', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 11:51:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 11:51:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '126', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573910181136945154', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 13:40:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 13:40:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573910187747168258', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 13:40:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 13:40:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '132', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573910352931442690', '0', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 13:40:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 13:40:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl', 'POST', '{}', '89', NULL, 'parseLong error, field : region', 'content:新增流程信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573911740134576130', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-25 13:46:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 13:46:15', 'SYYYY-MM-DD HH24:MI:SS'), '171.214.157.239', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '133', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573911741103460354', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-25 13:46:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 13:46:15', 'SYYYY-MM-DD HH24:MI:SS'), '171.214.157.239', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573911741367701506', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-25 13:46:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 13:46:15', 'SYYYY-MM-DD HH24:MI:SS'), '171.214.157.239', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573911744135942145', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-25 13:46:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 13:46:16', 'SYYYY-MM-DD HH24:MI:SS'), '171.214.157.239', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573912709267918849', '0', 'tofly-flow', 'yj', TO_DATE('2022-09-25 13:50:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 13:50:06', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessl', 'POST', '{}', '576', NULL, 'parseLong error, field : region', 'content:新增流程信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573913563805372418', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 13:53:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 13:53:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '7', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573913578435104770', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 13:53:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 13:53:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '136', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573914103239004162', '0', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 13:55:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 13:55:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl', 'POST', '{}', '100', NULL, 'parseShort error, field : urgentLevel', 'content:新增流程信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573914497419694081', '0', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 13:57:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 13:57:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl', 'POST', '{}', '98', NULL, 'parseShort error, field : urgentLevel', 'content:新增流程信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572890004941189122', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 18:06:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 18:06:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '307', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572890274425221122', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 18:07:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 18:07:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '14', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572890327139233794', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 18:07:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 18:07:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"name":[""],"typeName":[""],"current":["1"],"size":["30"]}', '102', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572890374987853825', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 18:07:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 18:07:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '243', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572890376015458305', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 18:07:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 18:07:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572890376116121602', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 18:07:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 18:07:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"name":[""],"typeName":[""],"current":["1"],"size":["30"]}', '42', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572890399344177154', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 18:07:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 18:07:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572786304281247746', 'GET', '{"id":["1572786304281247746"]}', '37', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572890400266924034', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 18:07:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 18:07:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572890400367587329', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 18:07:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 18:07:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"name":[""],"typeName":[""],"current":["1"],"size":["30"]}', '43', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572890948584091649', '1', 'tofly-flow', 'll', TO_DATE('2022-09-22 18:09:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 18:09:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"id":["1572063395757809666"]}', '49', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573146174230675458', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 11:04:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 11:04:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572786304281247746', 'GET', '{"id":["1572786304281247746"]}', '37', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573146184871624705', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-23 11:04:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 11:04:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573146185286860802', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 11:04:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 11:04:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573146270276042754', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 11:04:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 11:04:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573147318524887042', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 11:08:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 11:08:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573147318759768065', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 11:08:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 11:08:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573147328943538177', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 11:08:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 11:08:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572786304281247746', 'GET', '{"id":["1572786304281247746"]}', '25', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573147329404911617', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 11:08:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 11:08:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573147329606238209', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 11:08:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 11:08:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573147332215095298', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 11:08:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 11:08:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573148290571616257', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-23 11:12:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 11:12:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573148297597075457', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-23 11:12:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 11:12:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573148303674621954', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-23 11:12:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 11:12:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1"],"isMould":["0"]}', '1', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573148878885666818', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-23 11:14:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 11:14:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectmaterialw/getDispatchRecord', 'GET', '{"relationId":["1570739116476383234"],"materialType":["3"]}', '2', NULL, NULL, 'content:领料记录', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573148976625532930', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-23 11:15:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 11:15:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1"],"isMould":["0"]}', '2', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573148985420988417', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-23 11:15:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 11:15:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectmaterialw/getDispatchRecord', 'GET', '{"relationId":["1570739116476383234"],"materialType":["3"]}', '2', NULL, NULL, 'content:领料记录', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573148985546817537', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-23 11:15:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 11:15:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1"],"isMould":["0"]}', '2', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573149042165727234', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 11:15:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 11:15:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572786304281247746', 'GET', '{"id":["1572786304281247746"]}', '26', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573149042656460801', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 11:15:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 11:15:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573149042836815874', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 11:15:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 11:15:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573149045449867265', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 11:15:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 11:15:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573184344443944961', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-23 13:35:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 13:35:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '52', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573184350198530050', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-23 13:35:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 13:35:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '7', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573221407683887105', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 16:03:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:03:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573221407918768129', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 16:03:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:03:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573221425073471490', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 16:03:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:03:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572786304281247746', 'GET', '{"id":["1572786304281247746"]}', '27', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573221425677451266', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 16:03:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:03:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573221425941692417', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 16:03:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:03:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573221429053865986', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 16:03:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:03:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573222452476624899', '1', 'tofly-flow', 'lye', TO_DATE('2022-09-23 16:07:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:07:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573224340425129985', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:14:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:14:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '1', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573224341129773057', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:14:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:14:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573224341775695873', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:14:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:14:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573224342513893378', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:14:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:14:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '13', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573224343306616833', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:14:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:14:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573224344040620033', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:14:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:14:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573224344749457410', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:14:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:14:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573224345512820738', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:14:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:14:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573224347014381570', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:14:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:14:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573224347731607554', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:14:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:14:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573224348503359490', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:14:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:14:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573224349233168386', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:14:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:14:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573224350021697538', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:14:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:14:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573224350738923522', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:14:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:14:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573224351519064066', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:14:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:14:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573224352219512834', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:14:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:14:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573224352932544513', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:14:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:14:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573224353649770497', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:14:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:14:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573224354341830657', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:14:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:14:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573224355071639553', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:14:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:14:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573224356418011137', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:14:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:14:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573224357160402946', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:14:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:14:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573224357873434625', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:14:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:14:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573224358548717569', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:14:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:14:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573224359274332161', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:14:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:14:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573224360058667009', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:14:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:14:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573224361379872769', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:14:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:14:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '1', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573224362055155713', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:14:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:14:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573224362680107010', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:14:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:14:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573224363397332994', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:14:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:14:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573224364777259010', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:14:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:14:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573224365456736257', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:14:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:14:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573224366220099586', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:14:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:14:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573224367478390786', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:14:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:14:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573224386633777154', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:14:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:14:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573224387879485441', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:14:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:14:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573224388722540545', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:14:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:14:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573224389439766529', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:14:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:14:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573224390127632385', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:14:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:14:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573224390794526721', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:14:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:14:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573144717548896257', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 10:58:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 10:58:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572786304281247746', 'GET', '{"id":["1572786304281247746"]}', '23', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573144718039629825', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 10:58:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 10:58:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573144718257733634', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 10:58:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 10:58:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573144721663508482', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 10:58:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 10:58:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '11', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573146007192518658', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 11:03:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 11:03:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572786304281247746', 'GET', '{"id":["1572786304281247746"]}', '25', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573146007679057921', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 11:03:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 11:03:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573146007863607298', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 11:03:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 11:03:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573146010413744129', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 11:03:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 11:03:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573150654070308865', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 11:21:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 11:21:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '132', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573150654850449410', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 11:21:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 11:21:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573150655085330433', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 11:21:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 11:21:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573150657534803969', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 11:21:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 11:21:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573150662001737730', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-23 11:22:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 11:22:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '70', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573150662282756097', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-23 11:22:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 11:22:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '19', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573150668775538689', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-23 11:22:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 11:22:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '143', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573150669643759617', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-23 11:22:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 11:22:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573150669811531777', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-23 11:22:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 11:22:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573150672307142657', '1', 'tofly-flow', 'rq', TO_DATE('2022-09-23 11:22:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 11:22:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573192537169588225', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-23 14:08:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 14:08:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573192599450808322', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-23 14:08:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 14:08:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573193555223638017', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 14:12:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 14:12:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '22', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573193581127659521', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 14:12:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 14:12:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '23', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573194158934978561', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 14:14:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 14:14:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568483117915193345"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573194182406303745', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 14:14:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 14:14:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568483117915193345"],"isMould":["0"]}', '27', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573194202866118658', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 14:15:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 14:15:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568483117915193345"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573194220360560641', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 14:15:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 14:15:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '144', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573195258492743681', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-23 14:19:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 14:19:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '133', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573195293334827010', '2', 'tofly-auth', 'test', TO_DATE('2022-09-23 14:19:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 14:19:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/4981aef6-3ab5-40f6-abe7-01d1bef39af0', 'DELETE', '{}', '7', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573202826665508866', '2', 'tofly-auth', 'subadmin', TO_DATE('2022-09-23 14:49:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 14:49:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/b5748954-810b-4a8c-ad43-01c451f1041f', 'DELETE', '{}', '1', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573202852649222145', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 14:49:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 14:49:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809700', 'GET', '{"edition":["11"],"id":["1572063395757809700"]}', '3', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573277275565600769', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 19:45:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 19:45:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '11', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573277296495177730', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 19:45:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 19:45:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"edition":["11"],"id":["1572063395757809666"]}', '48', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573277400249675778', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 19:45:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 19:45:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1573274177313312800', 'GET', '{"id":["1573274177313312800"]}', '9', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573277705058136066', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 19:46:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 19:46:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1573274177313312800', 'GET', '{}', '2', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573278181887586306', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 19:48:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 19:48:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1573269335869759500', 'GET', '{}', '3', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573278185989615617', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 19:48:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 19:48:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1573269335869759500', 'GET', '{}', '2', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573286333219614721', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-23 20:21:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 20:21:06', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '35', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573286341054574594', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-23 20:21:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 20:21:08', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '11', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573288463494033410', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-23 20:29:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 20:29:34', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573288486826946562', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-23 20:29:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 20:29:40', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573288710848917506', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-23 20:30:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 20:30:33', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572890004941189124', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 18:06:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 18:06:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '196', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572890006371446786', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 18:06:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 18:06:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '26', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572890014135103489', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 18:06:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 18:06:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572786304281247746', 'GET', '{"id":["1572786304281247746"]}', '47', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572890015829602306', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 18:06:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 18:06:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572890016160952321', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 18:06:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 18:06:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572890022301413377', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 18:06:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 18:06:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '10', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572890311150546945', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 18:07:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 18:07:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568483117915193345"],"isMould":["0"]}', '13', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572890325801250818', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 18:07:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 18:07:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572786304281247746', 'GET', '{"id":["1572786304281247746"]}', '43', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572890327130845185', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 18:07:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 18:07:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '96', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572890935099404289', '1', 'tofly-flow', 'll', TO_DATE('2022-09-22 18:09:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 18:09:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '9', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572894296460865538', '1', 'tofly-flow', 'll', TO_DATE('2022-09-22 18:23:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 18:23:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '12', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572894405793787905', '1', 'tofly-flow', 'll', TO_DATE('2022-09-22 18:23:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 18:23:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572894409941954561', '1', 'tofly-flow', 'll', TO_DATE('2022-09-22 18:23:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 18:23:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"id":["1572063395757809666"]}', '51', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572894753828745217', '1', 'tofly-flow', 'll', TO_DATE('2022-09-22 18:25:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 18:25:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572894761604984833', '1', 'tofly-flow', 'll', TO_DATE('2022-09-22 18:25:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 18:25:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"id":["1572063395757809666"]}', '52', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573121895011303425', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-23 09:27:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 09:27:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573122179657744386', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 09:28:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 09:28:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568483117915193345"],"isMould":["0"]}', '7', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573122194295865345', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 09:28:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 09:28:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572786304281247746', 'GET', '{"id":["1572786304281247746"]}', '24', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573122198410477570', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-23 09:28:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 09:28:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573122203749826561', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-23 09:28:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 09:28:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573122227623804930', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-23 09:29:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 09:29:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/page', 'GET', '{"tenantId":["1"],"current":["1"],"size":["10000"],"isDel":["0"]}', '2', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573122227904823298', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-23 09:29:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 09:29:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1"],"isMould":["0"]}', '1', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573122314454286337', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 09:29:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 09:29:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl', 'POST', '{}', '3', NULL, NULL, 'content:新增流程信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573122418640797697', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 09:29:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 09:29:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '17', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573122418724683778', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 09:29:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 09:29:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"name":[""],"typeName":[""],"current":["1"],"size":["30"]}', '22', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573122471254147074', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 09:29:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 09:29:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573122471329644545', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 09:29:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 09:29:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"name":[""],"typeName":[""],"current":["1"],"size":["30"]}', '24', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573122489637781505', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 09:30:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 09:30:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573122489688113154', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 09:30:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 09:30:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"name":[""],"typeName":[""],"current":["1"],"size":["30"]}', '20', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573122744957648898', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 09:31:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 09:31:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573122753455308801', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 09:31:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 09:31:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"id":["1572063395757809666"]}', '23', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573123826538627073', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 09:35:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 09:35:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl', 'POST', '{}', '4', NULL, NULL, 'content:新增流程信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573123959233822722', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 09:35:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 09:35:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573123959334486017', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 09:35:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 09:35:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"name":[""],"typeName":[""],"current":["1"],"size":["30"]}', '25', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573123966896816129', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 09:35:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 09:35:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl', 'POST', '{}', '5', NULL, NULL, 'content:新增流程信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573124204063735809', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 09:36:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 09:36:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573124204139233281', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 09:36:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 09:36:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"name":[""],"typeName":[""],"current":["1"],"size":["30"]}', '22', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573124490941546497', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 09:38:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 09:38:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573124496649994241', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 09:38:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 09:38:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"id":["1572063395757809666"]}', '29', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573124603457945602', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 09:38:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 09:38:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl', 'POST', '{}', '4', NULL, NULL, 'content:新增流程信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573124730683768834', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 09:38:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 09:38:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573130544072998914', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-23 10:02:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 10:02:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573130594329149441', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-23 10:02:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 10:02:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1"],"isMould":["0"]}', '1', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573130732724404226', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 10:02:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 10:02:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573130732854427649', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 10:02:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 10:02:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '35', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573130894247051266', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-23 10:03:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 10:03:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1"],"isMould":["0"]}', '1', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573131130562527234', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-23 10:04:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 10:04:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1"],"isMould":["0"]}', '2', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573131183297511426', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 10:04:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 10:04:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572786304281247746', 'GET', '{"id":["1572786304281247746"]}', '25', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573131184354476033', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 10:04:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 10:04:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573131184396419074', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 10:04:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 10:04:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '22', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573131256483921922', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-23 10:04:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 10:04:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1"],"isMould":["0"]}', '2', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573131596927188993', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-23 10:06:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 10:06:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573131647170756609', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-23 10:06:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 10:06:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573131662136033282', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-23 10:06:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 10:06:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/page', 'GET', '{"tenantId":["1"],"current":["1"],"size":["10000"],"isDel":["0"]}', '2', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573137630538272770', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-23 10:30:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 10:30:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '303', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573137713367388162', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-23 10:30:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 10:30:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '49', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573137720472539137', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-23 10:30:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 10:30:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '9', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573137727137288194', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-23 10:30:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 10:30:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1"],"isMould":["0"]}', '18', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573138137487032322', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-23 10:32:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 10:32:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectmaterialw/getDispatchRecord', 'GET', '{"relationId":["1570739116476383234"],"materialType":["3"]}', '225', NULL, NULL, 'content:领料记录', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573138519621681154', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 10:33:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 10:33:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572786304281247746', 'GET', '{"id":["1572786304281247746"]}', '66', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573138521966297090', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 10:33:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 10:33:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '225', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573138522159235074', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 10:33:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 10:33:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '239', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573138943552569345', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 10:35:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 10:35:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573138943900696578', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 10:35:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 10:35:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '47', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573139573105016834', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-23 10:37:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 10:37:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1"],"isMould":["0"]}', '2', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573140512650084353', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-23 10:41:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 10:41:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '19', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573140559873753089', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-23 10:41:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 10:41:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '33', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573140560230268930', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-23 10:41:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 10:41:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '27', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573140704354942977', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-23 10:42:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 10:42:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '8', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573140742384697345', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-23 10:42:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 10:42:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572786304281247746', 'GET', '{"id":["1572786304281247746"]}', '40', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573142954842308610', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-23 10:51:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 10:51:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '8', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573142986576412674', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-23 10:51:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 10:51:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '11', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573143000786714625', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-23 10:51:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 10:51:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '9', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573143014778912769', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-23 10:51:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 10:51:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '203', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573143046655623169', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-23 10:51:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 10:51:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '186', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573143080054865921', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-23 10:51:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 10:51:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '8', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573143198250352642', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-23 10:52:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 10:52:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '7', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573143218647252994', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-23 10:52:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 10:52:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572786304281247746', 'GET', '{"id":["1572786304281247746"]}', '26', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573221016967692290', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-23 16:01:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:01:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/45a2e4bf-b0f5-4392-a61e-76658bcda6db', 'DELETE', '{}', '1', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573221720096620546', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 16:04:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:04:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl', 'POST', '{}', '82', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573224391427866625', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:14:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:14:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573224392119926786', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:14:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:14:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573224392740683777', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:14:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:14:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573224393394995201', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:14:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:14:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573224394082861057', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:14:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:14:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573224394762338305', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:14:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:14:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573224395466981378', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:14:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:14:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573224396125487105', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:14:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:14:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573224396855296002', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:14:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:14:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573224397610270722', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:15:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:15:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573224398247804930', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:15:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:15:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573224398981808129', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:15:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:15:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573224399690645505', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:15:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:15:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573224400340762626', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:15:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:15:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573224401020239873', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:15:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:15:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573224401766825985', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:15:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:15:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573224402475663362', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:15:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:15:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '1', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573224403171917826', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:15:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:15:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573224403918503937', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:15:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:15:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573224404572815361', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:15:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:15:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573224405290041346', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:15:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:15:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573224406007267329', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:15:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:15:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573224406720299009', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:15:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:15:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573224407424942082', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:15:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:15:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573224408137973762', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:15:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:15:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573224408880365570', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:15:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:15:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573224409559842818', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:15:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:15:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573224410222542849', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:15:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:15:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573224410910408706', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:15:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:15:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573224411577303041', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:15:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:15:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573224412290334722', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:15:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:15:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '5', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573224413091446786', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:15:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:15:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '15', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573224413808672770', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:15:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:15:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573224414471372802', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:15:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:15:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573224415171821570', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:15:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:15:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573224415880658946', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:15:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:15:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573224416656605186', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:15:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:15:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573224417369636865', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:15:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:15:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573224418112028673', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:15:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:15:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573224418867003393', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:15:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:15:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573217017497501698', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-23 15:45:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 15:45:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573217577122512898', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 15:47:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 15:47:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573217601344618497', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 15:47:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 15:47:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568483117915193345"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573217621657632769', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-23 15:48:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 15:48:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573217705203974146', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 15:48:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 15:48:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1569613105131102200', 'GET', '{"edition":["1"],"id":["1569613105131102200"]}', '2', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573217764654039041', '2', 'tofly-auth', 'll', TO_DATE('2022-09-23 15:48:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 15:48:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/97c03aa1-8c02-4757-8f10-734914a8b701', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573217843787972609', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 15:48:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 15:48:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '7', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573217856937115649', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 15:49:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 15:49:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568483117915193345"],"isMould":["0"]}', '10', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573217919268667394', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 15:49:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 15:49:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572786304281247746', 'GET', '{"id":["1572786304281247746"]}', '27', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573217935278325761', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 15:49:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 15:49:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573217935337046017', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 15:49:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 15:49:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '21', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573217982061592578', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-23 15:49:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 15:49:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573217982292279297', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-23 15:49:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 15:49:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573218031453716481', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 15:49:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 15:49:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572786304281247746', 'GET', '{"id":["1572786304281247746"]}', '31', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573218379006328833', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-23 15:51:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 15:51:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573218379853578242', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-23 15:51:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 15:51:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '17', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573218430969561089', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-23 15:51:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 15:51:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573218431405768706', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-23 15:51:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 15:51:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573218434475999234', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-23 15:51:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 15:51:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573218524892610561', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 15:51:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 15:51:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '4', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573218526121541634', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 15:51:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 15:51:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573218526670995457', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 15:51:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 15:51:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573218527367249922', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 15:51:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 15:51:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573218528080281602', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 15:51:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 15:51:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573218528717815810', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 15:51:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 15:51:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573218529384710145', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 15:51:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 15:51:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573218529984495617', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 15:51:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 15:51:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573218530651389954', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 15:51:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 15:51:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573218531301507073', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 15:51:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 15:51:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573219023024930817', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 15:53:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 15:53:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573219025914806273', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 15:53:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 15:53:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '19', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573230264950837249', '1', 'tofly-flow', 'Jtadmin', TO_DATE('2022-09-23 16:38:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:38:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '536', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573235999034167298', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-23 17:01:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 17:01:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/168bb722-0025-4221-8158-ce8dfeac9fe2', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573237534472392706', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-23 17:07:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 17:07:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573237541095198722', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-23 17:07:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 17:07:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '7', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573238179732508673', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 17:09:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 17:09:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573238179938029569', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 17:09:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 17:09:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '26', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573238296145416194', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 17:10:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 17:10:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573238296262856705', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 17:10:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 17:10:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '28', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573238650102730753', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-23 17:11:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 17:11:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/page', 'GET', '{"tenantId":["1"],"current":["1"],"size":["10000"],"isDel":["0"]}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573117519274295297', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 09:10:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 09:10:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"id":["1572063395757809666"]}', '28', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573117603961487362', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 09:10:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 09:10:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl', 'POST', '{"file":["[object Object]","[object Object]"]}', '4', NULL, NULL, 'content:新增流程信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573117658336444417', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-23 09:10:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 09:10:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573117661725442050', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-23 09:10:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 09:10:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573117718348546049', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 09:11:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 09:11:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573117718449209346', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 09:11:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 09:11:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"name":[""],"typeName":[""],"current":["1"],"size":["30"]}', '30', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573118560510263297', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 09:14:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 09:14:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573118560539623426', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 09:14:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 09:14:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"name":[""],"typeName":[""],"current":["1"],"size":["30"]}', '26', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573118696774811650', '1', 'tofly-flow', 'hq', TO_DATE('2022-09-23 09:14:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 09:14:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '141', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573118706346213377', '1', 'tofly-flow', 'hq', TO_DATE('2022-09-23 09:15:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 09:15:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '14', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573118710414688258', '1', 'tofly-flow', 'hq', TO_DATE('2022-09-23 09:15:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 09:15:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '21', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573118711219994626', '1', 'tofly-flow', 'hq', TO_DATE('2022-09-23 09:15:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 09:15:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"typeName":[""],"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573118715422687234', '1', 'tofly-flow', 'hq', TO_DATE('2022-09-23 09:15:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 09:15:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfreportentryp/page', 'GET', '{"name":[""],"current":["1"],"size":["30"]}', '17', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573118957702463490', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 09:16:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 09:16:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573118964816003074', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 09:16:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 09:16:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"id":["1572063395757809666"]}', '29', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573124739084959745', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 09:38:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 09:38:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"id":["1572063395757809666"]}', '29', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573138137487032323', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-23 10:32:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 10:32:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1"],"isMould":["0"]}', '21', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573138437828558850', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 10:33:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 10:33:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '22', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573139189749825538', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-23 10:36:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 10:36:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573144209312497666', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 10:56:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 10:56:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572786304281247746', 'GET', '{"id":["1572786304281247746"]}', '27', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573144210428182529', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 10:56:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 10:56:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573144419975610369', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-23 10:57:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 10:57:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/f37b6f51-b51a-4602-860f-3db67f818a34', 'DELETE', '{}', '1', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573144453240635393', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 10:57:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 10:57:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573144453307744258', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 10:57:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 10:57:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '27', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573146185496576001', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 11:04:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 11:04:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573146188336119810', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 11:04:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 11:04:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573146206979801089', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-23 11:04:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 11:04:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573146270276042753', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 11:04:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 11:04:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573146428078342146', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 11:05:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 11:05:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '17', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573146428296445954', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 11:05:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 11:05:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573146436475338753', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 11:05:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 11:05:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572786304281247746', 'GET', '{"id":["1572786304281247746"]}', '30', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573146458382188546', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-23 11:05:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 11:05:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/4ae0c724-c31b-489a-af91-f5c8ce2db6a7', 'DELETE', '{}', '1', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573147706443481090', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-23 11:10:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 11:10:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '7', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573148345093373954', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-23 11:12:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 11:12:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1"],"isMould":["0"]}', '2', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573148433425416194', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-23 11:13:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 11:13:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1"],"isMould":["0"]}', '2', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573148452312367105', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-23 11:13:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 11:13:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1"],"isMould":["0"]}', '2', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573148489176104962', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-23 11:13:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 11:13:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573148528078274561', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-23 11:13:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 11:13:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1"],"isMould":["0"]}', '2', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573148846870544385', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-23 11:14:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 11:14:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1"],"isMould":["0"]}', '1', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573148878894055426', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-23 11:14:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 11:14:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1"],"isMould":["0"]}', '2', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573221721094864898', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 16:04:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:04:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573221813822537730', '2', 'tofly-auth', 'll', TO_DATE('2022-09-23 16:04:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:04:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/4c4a048f-afdf-4586-8821-f99a44949cfa', 'DELETE', '{}', '1', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573222461519544322', '1', 'tofly-flow', 'll2', TO_DATE('2022-09-23 16:07:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:07:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '9', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573222470277251073', '1', 'tofly-flow', 'll2', TO_DATE('2022-09-23 16:07:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:07:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568483117915193345"],"isMould":["0"]}', '10', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223306013294593', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223306873126914', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223307548409857', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223308282413058', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223309024804865', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223309763002370', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223310551531521', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223311260368898', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223311998566401', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223312803872770', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223313504321538', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223314284462082', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223315140100098', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '15', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223315865714689', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223316683603969', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223317488910337', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223318348742658', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223319225352193', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223320127127554', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223321788071938', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '6', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223323398684674', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223324992520193', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223326615715841', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223328075333634', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223329660780545', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223331233644545', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223332634542082', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223334119325698', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223335511834625', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223336929509377', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223338271686658', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223339815190530', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223341132201986', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223342512128001', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223343678144513', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572890004941189123', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-22 18:06:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 18:06:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '307', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572892183190155266', '1', 'tofly-flow', 'll', TO_DATE('2022-09-22 18:14:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 18:14:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572892646673330178', '1', 'tofly-flow', 'll', TO_DATE('2022-09-22 18:16:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 18:16:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '8', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572892654025945089', '1', 'tofly-flow', 'll', TO_DATE('2022-09-22 18:16:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 18:16:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"id":["1572063395757809666"]}', '56', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572893619294679042', '1', 'tofly-flow', 'll', TO_DATE('2022-09-22 18:20:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 18:20:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '7', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572893686755864578', '1', 'tofly-flow', 'll', TO_DATE('2022-09-22 18:20:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 18:20:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '12', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572893822982664193', '1', 'tofly-flow', 'll', TO_DATE('2022-09-22 18:21:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 18:21:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572893828422676481', '1', 'tofly-flow', 'll', TO_DATE('2022-09-22 18:21:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 18:21:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"id":["1572063395757809666"]}', '52', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572894027731808258', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-22 18:22:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 18:22:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '9', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572894109478793217', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-22 18:22:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 18:22:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572786304281247746', 'GET', '{"id":["1572786304281247746"]}', '49', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572895923544637442', '1', 'tofly-flow', 'll', TO_DATE('2022-09-22 18:29:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 18:29:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '27', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573184860678791170', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-23 13:37:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 13:37:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '235', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573184880274579457', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-23 13:37:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 13:37:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '326', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573198830097776642', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-23 14:33:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 14:33:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '11', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573198870975463425', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-23 14:33:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 14:33:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572786304281247746', 'GET', '{"id":["1572786304281247746"]}', '48', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573213176962072578', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-23 15:30:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 15:30:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '18', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573213177196953602', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-23 15:30:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 15:30:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573213178199392258', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 15:30:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 15:30:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573213178262306818', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 15:30:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 15:30:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '26', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573213184012697602', '2', 'tofly-auth', 'mzadmin', TO_DATE('2022-09-23 15:30:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 15:30:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/453ac33c-35d8-4b8b-bd3a-146044333170', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573213280808845313', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-23 15:30:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 15:30:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573213281031143426', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-23 15:30:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 15:30:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573213327680192514', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-23 15:31:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 15:31:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"id":["1572063395757809666"]}', '32', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573213328464527362', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-23 15:31:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 15:31:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '4', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573213328774905858', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-23 15:31:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 15:31:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573213331958382594', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-23 15:31:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 15:31:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573213480717762562', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-23 15:31:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 15:31:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl', 'POST', '{}', '245', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573213481808281602', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-23 15:31:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 15:31:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573213507825549313', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-23 15:31:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 15:31:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '140', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573213509301944322', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-23 15:31:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 15:31:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '4', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573213509528436738', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-23 15:31:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 15:31:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573213512267317249', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-23 15:31:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 15:31:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573224419651338241', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:15:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:15:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '32', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573224420209180674', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:15:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:15:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573224420968349698', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:15:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:15:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573224421605883905', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:15:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:15:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573224422386024449', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:15:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:15:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573224423086473218', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:15:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:15:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573224424495759361', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:15:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:15:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573185942008229889', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 13:42:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 13:42:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '53', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573186708164964354', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-23 13:45:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 13:45:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572786304281247746', 'GET', '{"id":["1572786304281247746"]}', '56', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573187526469480449', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-23 13:48:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 13:48:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1"],"isMould":["0"]}', '2', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573187901771608065', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-23 13:49:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 13:49:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '171', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573187902144901122', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-23 13:49:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 13:49:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '28', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573187942028537857', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-23 13:50:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 13:50:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572786304281247746', 'GET', '{"id":["1572786304281247746"]}', '43', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573187942611546114', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-23 13:50:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 13:50:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573187942859010049', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-23 13:50:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 13:50:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573187946008932354', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-23 13:50:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 13:50:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '25', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573189530818310146', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 13:56:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 13:56:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '581', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573189892686082049', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 13:57:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 13:57:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '34', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573189893713686529', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 13:57:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 13:57:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '38', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573190114371825665', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 13:58:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 13:58:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '30', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573190198379540482', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 13:59:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 13:59:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '29', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573190222480011265', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 13:59:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 13:59:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '43', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573190806255824897', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-23 14:01:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 14:01:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573190859376685057', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-23 14:01:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 14:01:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572786304281247746', 'GET', '{"id":["1572786304281247746"]}', '30', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573222060468584450', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-23 16:05:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:05:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '19', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573222060720242689', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-23 16:05:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:05:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573222152315453442', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:06:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:06:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573222152932016129', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:06:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:06:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573222154160947201', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:06:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:06:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573222154890756098', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:06:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:06:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573222155566039042', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:06:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:06:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573222156170018818', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:06:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:06:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573222156904022018', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:06:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:06:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573222157583499266', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:06:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:06:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573222158283948034', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:06:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:06:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573222158908899329', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:06:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:06:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573222159579987969', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:06:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:06:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573222160246882305', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:06:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:06:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573222160934748161', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:06:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:06:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573222161626808322', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:06:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:06:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573222162247565314', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:06:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:06:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573222162922848257', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:06:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:06:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573222164197916674', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:06:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:06:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573222164906754049', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:06:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:06:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573222165623980033', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:06:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:06:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573222166290874369', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:06:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:06:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572892177003556865', '1', 'tofly-flow', 'll', TO_DATE('2022-09-22 18:14:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 18:14:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '469', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572892188500144129', '1', 'tofly-flow', 'll', TO_DATE('2022-09-22 18:14:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 18:14:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"id":["1572063395757809666"]}', '63', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573148895880986626', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-23 11:14:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 11:14:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573148922057637890', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-23 11:15:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 11:15:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectmaterialw/getDispatchRecord', 'GET', '{"relationId":["1570739116476383234"],"materialType":["3"]}', '2', NULL, NULL, 'content:领料记录', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573148922191855618', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-23 11:15:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 11:15:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1"],"isMould":["0"]}', '2', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573148951229022209', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-23 11:15:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 11:15:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1"],"isMould":["0"]}', '2', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573148963174400001', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-23 11:15:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 11:15:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1"],"isMould":["0"]}', '2', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573149052253028354', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 11:15:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 11:15:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573149052408217602', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 11:15:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 11:15:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573149055063212033', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 11:15:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 11:15:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573149176186322945', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 11:16:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 11:16:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573149176375066626', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 11:16:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 11:16:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573149178925203458', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 11:16:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 11:16:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573149431434887169', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 11:17:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 11:17:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573149431619436545', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 11:17:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 11:17:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573149434240876546', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 11:17:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 11:17:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573149490100617218', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 11:17:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 11:17:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '140', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573149490587156482', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 11:17:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 11:17:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573149490771705857', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 11:17:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 11:17:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573149493149876226', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 11:17:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 11:17:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573149844091486210', '1', 'tofly-flow', 'test', TO_DATE('2022-09-23 11:18:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 11:18:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573149844326367234', '1', 'tofly-flow', 'test', TO_DATE('2022-09-23 11:18:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 11:18:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573149875573932033', '1', 'tofly-flow', 'test', TO_DATE('2022-09-23 11:18:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 11:18:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '129', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573149876416987137', '1', 'tofly-flow', 'test', TO_DATE('2022-09-23 11:18:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 11:18:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573149876718977025', '1', 'tofly-flow', 'test', TO_DATE('2022-09-23 11:18:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 11:18:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573149879264919553', '1', 'tofly-flow', 'test', TO_DATE('2022-09-23 11:18:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 11:18:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573151460475584513', '2', 'tofly-auth', 'rq', TO_DATE('2022-09-23 11:25:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 11:25:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/f9144cff-2449-4a45-bd58-c5342dec276e', 'DELETE', '{}', '0', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573153868974964738', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 11:34:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 11:34:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '212', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573153869411172354', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 11:34:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 11:34:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '27', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573153881843089410', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 11:34:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 11:34:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '260', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573153882451263489', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 11:34:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 11:34:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573153882665172993', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 11:34:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 11:34:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573153885404053506', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 11:34:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 11:34:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '25', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573210515365806082', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-23 15:19:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 15:19:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573210725068423169', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-23 15:20:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 15:20:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/3a851d8d-3635-4282-a692-1c6a6f9d6947', 'DELETE', '{}', '1', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573210795515953153', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-23 15:20:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 15:20:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '7', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573213883802959873', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-23 15:33:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 15:33:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573213884193030145', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-23 15:33:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 15:33:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573213887326175233', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-23 15:33:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 15:33:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573213900542427138', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-23 15:33:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 15:33:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223344772857857', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223345410392066', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223346131812353', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223346870009858', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223348166049794', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223349365620737', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223350103818241', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223350682632193', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223351349526529', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223352066752514', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223352704286722', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223353346015233', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223354012909570', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223354767884290', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223355405418497', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223356181364737', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223357469016066', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223358140104706', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223358890885121', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223359578750978', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223360925122561', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223361675902977', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223362372157441', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223363064217602', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223363781443585', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223364519641090', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223365236867073', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223365970870274', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223366620987394', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223367426293761', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223368852357122', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223369582166018', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223370282614786', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223371008229378', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223371847090177', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223373407371266', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223374032322562', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223374774714370', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223375588409345', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223376376938498', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573224425192013826', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:15:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:15:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573224426123149314', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:15:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:15:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573224427356274690', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:15:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:15:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573224428006391809', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:15:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:15:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573224428706840578', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:15:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:15:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573224429633781762', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:15:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:15:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573224430288093185', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:15:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:15:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573224431064039425', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:15:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:15:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '1', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573224431835791362', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:15:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:15:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573224432632709122', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:15:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:15:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573224433333157889', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:15:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:15:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573224434046189570', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:15:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:15:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573224434771804161', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:15:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:15:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573224435501613058', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:15:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:15:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573224436126564354', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:15:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:15:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573224455143538689', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:15:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:15:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573224455835598849', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:15:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:15:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573224456515076097', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:15:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:15:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573224457236496386', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:15:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:15:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573224457874030593', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:15:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:15:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '1', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573224458557702146', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:15:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:15:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '1', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573224459258150914', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:15:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:15:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573224459874713601', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:15:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:15:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '1', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573224460570968065', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:15:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:15:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573224461229473794', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:15:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:15:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573224461879590914', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:15:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:15:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573224462584233986', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:15:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:15:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '1', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573224463330820098', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:15:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:15:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573224464148709378', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:15:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:15:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573224465390223361', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:15:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:15:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573224466153586689', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:15:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:15:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573224466841452545', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:15:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:15:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573224467583844353', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:15:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:15:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573224468288487426', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:15:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:15:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573224468955381761', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:15:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:15:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573224469601304578', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:15:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:15:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573224470226255873', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:15:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:15:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573224486718259202', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:15:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:15:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573224488077213697', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:15:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:15:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573224490883203074', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:15:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:15:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573222166940991490', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:06:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:06:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573222167649828865', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:06:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:06:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573222168467718145', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-23 16:06:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:06:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '132', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573222168895537153', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:06:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:06:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573222169415630849', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-23 16:06:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:06:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573222169474351106', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:06:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:06:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573222169583403010', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-23 16:06:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:06:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573222172527804418', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-23 16:06:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:06:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573222500270718978', '1', 'tofly-flow', 'lye', TO_DATE('2022-09-23 16:07:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:07:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573222500480434177', '1', 'tofly-flow', 'lye', TO_DATE('2022-09-23 16:07:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:07:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573222506448928769', '1', 'tofly-flow', 'll2', TO_DATE('2022-09-23 16:07:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:07:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572786304281247746', 'GET', '{"id":["1572786304281247746"]}', '28', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573222531878993921', '1', 'tofly-flow', 'lye', TO_DATE('2022-09-23 16:07:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:07:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '17', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573222540137578497', '1', 'tofly-flow', 'll2', TO_DATE('2022-09-23 16:07:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:07:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573222540187910146', '1', 'tofly-flow', 'll2', TO_DATE('2022-09-23 16:07:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:07:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '21', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573222554893139970', '1', 'tofly-flow', 'lye', TO_DATE('2022-09-23 16:07:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:07:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '17', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573222562279309313', '1', 'tofly-flow', 'lye', TO_DATE('2022-09-23 16:07:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:07:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572786304281247746', 'GET', '{"id":["1572786304281247746"]}', '31', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573222562669379586', '1', 'tofly-flow', 'lye', TO_DATE('2022-09-23 16:07:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:07:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573222562845540353', '1', 'tofly-flow', 'lye', TO_DATE('2022-09-23 16:07:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:07:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573222565269848066', '1', 'tofly-flow', 'lye', TO_DATE('2022-09-23 16:07:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:07:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573222606453719042', '2', 'tofly-auth', 'mzadmin', TO_DATE('2022-09-23 16:07:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:07:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/786b1f5e-4bf4-44b9-9c38-d5b0adc7382c', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223835506425858', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:12:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:12:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '1', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573238594612088834', '0', 'tofly-flow', 'yj', TO_DATE('2022-09-23 17:11:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 17:11:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl', 'POST', '{}', '320', NULL, 'Duplicate key TfProcessNodeL(id=1573238594003898369, processId=1573238593504776193, processStep=2, stepNode=1, stepName=null, startTime=null, endTime=null, condition=null, opinion=null, handleResults=null, handleResultsName=null, longitude=null, latitude=null, numberValue=null, numberValue1=null, annex=null, timeLimit=null, userId=null, handlePost=null, handleDept=null, handleUser=null, dutyPost=1572536774545756162, dutyDept=null, dutyUser=1562365397418708993, handleTime=null, isValid=1, isValidName=null, isOvertime=0, isOvertimeName=null, isDel=0, isDelName=null, isTemp=null, remark=null, nodeState=0, nodeStateName=null, handleState=null, dataTime=null, signAnnex=null, adder=null, outcome=null, createPost=1, createDept=null, createUser=1562707353475338242, createUserName=null, createTime=2022-09-23 17:11:24.828)', 'content:新增流程信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573244740890644482', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-23 17:35:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 17:35:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573244754085924866', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-23 17:35:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 17:35:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '7', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573245909381795841', '1', 'tofly-flow', 'demo', TO_DATE('2022-09-23 17:40:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 17:40:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573246274902806529', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-23 17:41:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 17:41:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573246294993522690', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-23 17:42:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 17:42:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573246357408960513', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-23 17:42:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 17:42:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '7', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573246456876879874', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-23 17:42:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 17:42:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '9', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573274679887003649', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 19:34:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 19:34:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573275187003523073', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 19:36:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 19:36:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '26', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573288716288929794', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-23 20:30:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 20:30:34', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573289631976796162', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-23 20:34:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 20:34:13', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573289640512204801', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-23 20:34:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 20:34:15', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573201741095747585', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 14:44:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 14:44:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '8', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573201764894228482', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 14:45:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 14:45:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809700', 'GET', '{"edition":["11"],"id":["1572063395757809700"]}', '2', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573201820766552066', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 14:45:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 14:45:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809700', 'GET', '{"edition":["11"],"id":["1572063395757809700"]}', '1', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573201901464961026', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 14:45:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 14:45:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809700', 'GET', '{"edition":["11"],"id":["1572063395757809700"]}', '2', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573202112115490818', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 14:46:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 14:46:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573202161616666626', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 14:46:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 14:46:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809700', 'GET', '{"edition":["11"],"id":["1572063395757809700"]}', '2', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573202163118227458', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-23 14:46:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 14:46:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/8b6f5263-2676-41d5-b149-b2d730196749', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573202344031141890', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 14:47:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 14:47:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809700', 'GET', '{"edition":["11"],"id":["1572063395757809700"]}', '2', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573202390285926402', '1', 'tofly-flow', 'subadmin', TO_DATE('2022-09-23 14:47:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 14:47:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '13', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573202403544121346', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 14:47:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 14:47:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573202406316556290', '1', 'tofly-flow', 'subadmin', TO_DATE('2022-09-23 14:47:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 14:47:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573202413920829442', '1', 'tofly-flow', 'subadmin', TO_DATE('2022-09-23 14:47:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 14:47:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573202426591821826', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 14:47:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 14:47:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809700', 'GET', '{"edition":["11"],"id":["1572063395757809700"]}', '2', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573202678392668161', '1', 'tofly-flow', 'subadmin', TO_DATE('2022-09-23 14:48:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 14:48:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573202732121702401', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 14:48:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 14:48:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573210972515581954', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 15:21:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 15:21:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809700', 'GET', '{"edition":["11"],"id":["1572063395757809700"]}', '1', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573211129474826241', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-23 15:22:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 15:22:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573211138186395650', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-23 15:22:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 15:22:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573211543767203842', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 15:23:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 15:23:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573211543846895618', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 15:23:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 15:23:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '27', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573212572206350337', '1', 'tofly-flow', 'll', TO_DATE('2022-09-23 15:28:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 15:28:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"id":["1572063395757809666"]}', '31', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573212769565130754', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-23 15:28:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 15:28:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573212780877168641', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-23 15:28:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 15:28:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '8', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573212803316695042', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-23 15:28:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 15:28:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '9', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573212893498425346', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 15:29:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 15:29:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573212893590700034', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 15:29:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 15:29:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '26', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573213363965116417', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-23 15:31:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 15:31:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '140', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573213365001109505', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-23 15:31:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 15:31:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573213365252767746', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-23 15:31:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 15:31:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573213368041979905', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-23 15:31:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 15:31:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573213900768919554', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-23 15:33:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 15:33:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573213903767846913', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-23 15:33:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 15:33:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573214153744171009', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-23 15:34:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 15:34:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '18', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573214154012606466', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-23 15:34:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 15:34:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573214173197352961', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-23 15:34:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 15:34:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '131', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573214176338886657', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-23 15:34:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 15:34:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573214176741539841', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-23 15:34:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 15:34:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573214181971836929', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-23 15:34:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 15:34:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223377308073985', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223378574753794', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223379329728514', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223380139229185', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223380869038081', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223381632401410', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223382345433089', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223383079436289', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223383872159746', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223385281445889', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223386044809217', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223386665566210', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:10:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:10:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223395985309698', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-23 16:11:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:11:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '2', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223406659813377', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:11:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:11:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223407590948865', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:11:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:11:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223408253648897', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:11:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:11:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223408966680578', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:11:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:11:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223409776181249', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:11:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:11:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223410552127490', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:11:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:11:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223411260964865', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:11:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:11:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223412024328193', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:11:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:11:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223412733165570', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:11:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:11:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223413525889025', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:11:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:11:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '11', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223414272475138', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:11:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:11:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223415111335938', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:11:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:11:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223415841144834', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:11:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:11:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223416625479682', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:11:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:11:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223417409814530', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:11:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:11:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223418114457601', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:11:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:11:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223418823294978', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:11:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:11:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223419871870977', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:11:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:11:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '64', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223420962390018', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:11:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:11:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223421688004610', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:11:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:11:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223422422007809', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:11:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:11:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223423218925570', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:11:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:11:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223424020037634', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:11:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:11:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223424791789569', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:11:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:11:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223425555152897', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:11:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:11:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223426352070658', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:11:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:11:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573223427115433985', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:11:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:11:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572883046855110657', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-22 17:38:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 17:38:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572883108637208578', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-22 17:38:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 17:38:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/page', 'GET', '{"tenantId":["1"],"current":["1"],"size":["10000"],"isDel":["0"]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572883151205199873', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-22 17:39:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 17:39:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/page', 'GET', '{"tenantId":["1"],"current":["1"],"size":["10000"],"isDel":["0"]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572883151368777730', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-22 17:39:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 17:39:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572883207522119681', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-22 17:39:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 17:39:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/page', 'GET', '{"tenantId":["1"],"current":["1"],"size":["10000"],"isDel":["0"]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572883228720132097', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-22 17:39:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 17:39:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1"],"isMould":["0"]}', '2', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572883251843330049', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-22 17:39:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 17:39:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/page', 'GET', '{"tenantId":["1"],"current":["1"],"size":["10000"],"isDel":["0"]}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572883251977547778', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-22 17:39:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 17:39:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1"],"isMould":["0"]}', '2', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572883298995695618', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-22 17:39:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 17:39:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/page', 'GET', '{"tenantId":["1"],"current":["1"],"size":["10000"],"isDel":["0"]}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572883331186978818', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-22 17:39:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 17:39:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1"],"isMould":["0"]}', '2', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572884753056034818', '1', 'tofly-flow', 'll', TO_DATE('2022-09-22 17:45:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 17:45:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1572884758974197762', '1', 'tofly-flow', 'll', TO_DATE('2022-09-22 17:45:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-22 17:45:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"id":["1572063395757809666"]}', '45', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573224492615450626', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:15:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:15:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573224494775517186', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:15:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:15:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573224496407101441', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:15:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:15:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573224498210652161', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:15:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:15:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573224500232306690', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:15:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:15:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573224502245572609', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:15:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:15:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573224504506302466', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:15:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:15:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '3', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573224525050003457', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:15:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:15:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '1', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573224527667249154', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-23 16:15:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:15:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp', 'POST', '{"updateUser":0,"regionId":0,"tenantId":0,"createUser":0,"isDel":0}', '2', NULL, NULL, 'content:新增行政区划', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573224973689536513', '1', 'tofly-flow', 'll2', TO_DATE('2022-09-23 16:17:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:17:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573224973689536514', '1', 'tofly-flow', 'll2', TO_DATE('2022-09-23 16:17:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:17:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '25', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573224998142328834', '1', 'tofly-flow', 'll2', TO_DATE('2022-09-23 16:17:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:17:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568483117915193345"],"isMould":["0"]}', '41', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573225037145161730', '1', 'tofly-flow', 'll2', TO_DATE('2022-09-23 16:17:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:17:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572786304281247746', 'GET', '{"id":["1572786304281247746"]}', '23', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573225774600273922', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 16:20:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:20:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573225774726103041', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-23 16:20:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:20:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '18', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573225961435545602', '1', 'tofly-flow', 'll2', TO_DATE('2022-09-23 16:21:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:21:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573225961502654466', '1', 'tofly-flow', 'll2', TO_DATE('2022-09-23 16:21:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:21:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '21', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573225990057476097', '1', 'tofly-flow', 'll2', TO_DATE('2022-09-23 16:21:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:21:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573225990317522945', '1', 'tofly-flow', 'll2', TO_DATE('2022-09-23 16:21:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:21:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573225998173454337', '1', 'tofly-flow', 'll2', TO_DATE('2022-09-23 16:21:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:21:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572786304281247746', 'GET', '{"id":["1572786304281247746"]}', '25', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573225998626439170', '1', 'tofly-flow', 'll2', TO_DATE('2022-09-23 16:21:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:21:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573225998861320193', '1', 'tofly-flow', 'll2', TO_DATE('2022-09-23 16:21:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:21:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573226001537286145', '1', 'tofly-flow', 'll2', TO_DATE('2022-09-23 16:21:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:21:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573226035867664385', '1', 'tofly-flow', 'll2', TO_DATE('2022-09-23 16:21:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:21:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl', 'POST', '{}', '33', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573226036274511874', '1', 'tofly-flow', 'll2', TO_DATE('2022-09-23 16:21:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:21:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573226056990179329', '1', 'tofly-flow', 'll2', TO_DATE('2022-09-23 16:21:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:21:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '7', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573226062769930242', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-23 16:21:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:21:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '2', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573226083993108481', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-23 16:21:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-23 16:21:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574288585367527425', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 14:43:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:43:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574288588001550337', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 14:43:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:43:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574288651721416706', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-26 14:43:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:43:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574289511738286081', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 14:47:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:47:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '126', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574289524103094274', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 14:47:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:47:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574219785834180609', 'GET', '{"id":["1574219785834180609"]}', '15', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574289629568868354', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 14:47:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:47:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574219785834180609', 'GET', '{"id":["1574219785834180609"]}', '15', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574289805738024961', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 14:48:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:48:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessnodel', 'POST', '{}', '281', NULL, NULL, 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574289825132486658', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 14:48:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:48:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '2', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574289846301138945', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 14:48:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:48:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '131', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574289846879952898', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 14:48:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:48:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574237792111685633', 'GET', '{"id":["1574237792111685633"]}', '18', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574289852521291778', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 14:48:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:48:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574237792111685633', 'GET', '{"id":["1574237792111685633"]}', '14', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574289906061582338', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 14:48:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:48:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '127', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574289906464235521', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 14:48:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:48:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574219785834180609', 'GET', '{"id":["1574219785834180609"]}', '20', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574289912965406722', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 14:48:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:48:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574219785834180609', 'GET', '{"id":["1574219785834180609"]}', '19', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574289955684392961', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 14:49:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:49:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574290053457813506', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-26 14:49:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:49:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574290478814765058', '2', 'tofly-auth', 'test', TO_DATE('2022-09-26 14:51:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:51:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/0b6c6bac-4b6b-459d-8fb3-8070a08798bd', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574290561442553858', '2', 'tofly-auth', 'test', TO_DATE('2022-09-26 14:51:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:51:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/ab2638f2-6645-4ce2-87c5-489d346da73e', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574291008861544449', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-26 14:53:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:53:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/page', 'GET', '{"tenantId":["1"],"current":["1"],"size":["10000"],"isDel":["0"]}', '1', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574291870371586050', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-26 14:56:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:56:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/67ed1d45-a217-4bcd-a1c4-4edc962c7a6d', 'DELETE', '{}', '1', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574292034297569282', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-26 14:57:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:57:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574292045731241985', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-26 14:57:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:57:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574292059278843905', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-26 14:57:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:57:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '7', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574292075510800386', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-26 14:57:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:57:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568483117915193345"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574292137905266690', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-26 14:57:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:57:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574292161238179841', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-26 14:57:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:57:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574292170625032193', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-26 14:57:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:57:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574292206603771906', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-26 14:58:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:58:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/34b2385d-3f64-4d41-b690-c9d200261816', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574292211750182914', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-26 14:58:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:58:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '122', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574292212182196225', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-26 14:58:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:58:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574237792111685633', 'GET', '{"id":["1574237792111685633"]}', '16', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574293601507647490', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-26 15:03:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:03:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl', 'POST', '{}', '17', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574293601834803202', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-26 15:03:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:03:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574293623968145409', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-26 15:03:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:03:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1574293601415409665', 'GET', '{"id":["1574293601415409665"]}', '26', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574293624404353026', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-26 15:03:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:03:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574293624563736578', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-26 15:03:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:03:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574293627139039234', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-26 15:03:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:03:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574296175707676673', '1', 'tofly-flow', 'public', TO_DATE('2022-09-26 15:13:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:13:51', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessl/1574237792111685633', 'GET', '{}', '514', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574305437665841154', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-26 15:50:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:50:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574305437921693697', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-26 15:50:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:50:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '4', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574305440274698242', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-26 15:50:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:50:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574305447933497345', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 15:50:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:50:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1574275849078255617', 'GET', '{"id":["1574275849078255617"]}', '25', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574305448545865730', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 15:50:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:50:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574305451054059521', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 15:50:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:50:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574305456787673090', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 15:50:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:50:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '126', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574305469869707266', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 15:50:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:50:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574293039374479362', 'GET', '{"id":["1574293039374479362"]}', '29', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574306011912196098', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-26 15:52:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:52:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '2', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574306015456382977', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 15:52:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:52:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl', 'POST', '{}', '35', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574306015833870338', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 15:52:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:52:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574306037124157441', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 15:53:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:53:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '7', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574306047169515521', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 15:53:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:53:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '153', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574306055545540610', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 15:53:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:53:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574293039374479362', 'GET', '{"id":["1574293039374479362"]}', '28', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574306629015949313', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 15:55:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:55:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574306631528337410', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 15:55:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:55:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574306659072331777', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 15:55:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:55:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574306674683531266', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 15:55:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:55:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl', 'POST', '{}', '171', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574306675442700289', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 15:55:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:55:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '19', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574306685265760258', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 15:55:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:55:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '155', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574306697240498177', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 15:55:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:55:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574293039374479362', 'GET', '{"id":["1574293039374479362"]}', '27', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574306743117795329', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 15:55:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:55:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572111539262464001', 'GET', '{"id":["1572111539262464001"]}', '97', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574306743893741570', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 15:55:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:55:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574306747073024001', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 15:55:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:55:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574307034215075842', '1', 'tofly-flow', 'txh', TO_DATE('2022-09-26 15:57:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:57:00', 'SYYYY-MM-DD HH24:MI:SS'), '42.225.115.58', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '17', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574307034697420802', '1', 'tofly-flow', 'txh', TO_DATE('2022-09-26 15:57:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:57:00', 'SYYYY-MM-DD HH24:MI:SS'), '42.225.115.58', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '17', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574307042448494593', '1', 'tofly-flow', 'txh', TO_DATE('2022-09-26 15:57:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:57:02', 'SYYYY-MM-DD HH24:MI:SS'), '42.225.115.58', NULL, '/tfprocessconfigl/1574293601415409665', 'GET', '{"id":["1574293601415409665"]}', '30', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574307043979415554', '1', 'tofly-flow', 'txh', TO_DATE('2022-09-26 15:57:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:57:03', 'SYYYY-MM-DD HH24:MI:SS'), '42.225.115.58', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574307044616949762', '1', 'tofly-flow', 'txh', TO_DATE('2022-09-26 15:57:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:57:03', 'SYYYY-MM-DD HH24:MI:SS'), '42.225.115.58', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574307048605732865', '1', 'tofly-flow', 'txh', TO_DATE('2022-09-26 15:57:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:57:04', 'SYYYY-MM-DD HH24:MI:SS'), '42.225.115.58', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574307058428792834', '1', 'tofly-flow', 'txh', TO_DATE('2022-09-26 15:57:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:57:06', 'SYYYY-MM-DD HH24:MI:SS'), '42.225.115.58', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574307058810474497', '1', 'tofly-flow', 'txh', TO_DATE('2022-09-26 15:57:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:57:06', 'SYYYY-MM-DD HH24:MI:SS'), '42.225.115.58', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574307076636266498', '1', 'tofly-flow', 'txh', TO_DATE('2022-09-26 15:57:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:57:10', 'SYYYY-MM-DD HH24:MI:SS'), '42.225.115.58', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '125', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574307078196547585', '1', 'tofly-flow', 'txh', TO_DATE('2022-09-26 15:57:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:57:11', 'SYYYY-MM-DD HH24:MI:SS'), '42.225.115.58', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574307078750195713', '1', 'tofly-flow', 'txh', TO_DATE('2022-09-26 15:57:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:57:11', 'SYYYY-MM-DD HH24:MI:SS'), '42.225.115.58', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574307082038530050', '1', 'tofly-flow', 'txh', TO_DATE('2022-09-26 15:57:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:57:12', 'SYYYY-MM-DD HH24:MI:SS'), '42.225.115.58', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574307128809213953', '1', 'tofly-flow', 'txh', TO_DATE('2022-09-26 15:57:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:57:23', 'SYYYY-MM-DD HH24:MI:SS'), '42.225.115.58', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574307131199967234', '1', 'tofly-flow', 'txh', TO_DATE('2022-09-26 15:57:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:57:23', 'SYYYY-MM-DD HH24:MI:SS'), '42.225.115.58', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574307132189822977', '1', 'tofly-flow', 'txh', TO_DATE('2022-09-26 15:57:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:57:24', 'SYYYY-MM-DD HH24:MI:SS'), '42.225.115.58', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574307138313506817', '1', 'tofly-flow', 'txh', TO_DATE('2022-09-26 15:57:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:57:25', 'SYYYY-MM-DD HH24:MI:SS'), '42.225.115.58', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '132', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574247517582303234', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 12:00:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 12:00:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574247528739151873', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 12:00:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 12:00:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '114', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574247533906534402', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 12:00:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 12:00:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574247534082695169', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 12:00:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 12:00:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574247535169019906', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 12:00:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 12:00:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574247535345180674', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 12:00:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 12:00:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574247538654486529', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 12:00:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 12:00:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574247538855813121', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 12:00:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 12:00:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574247539069722626', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 12:00:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 12:00:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574247539245883394', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 12:00:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 12:00:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574247544446820354', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 12:00:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 12:00:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574247544627175425', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 12:00:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 12:00:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574247549840695297', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 12:00:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 12:00:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574247550058799106', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 12:00:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 12:00:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574247564269101057', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 12:00:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 12:00:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574247565166682113', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 12:00:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 12:00:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574270593103601665', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 13:32:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 13:32:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574270595511132162', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 13:32:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 13:32:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574270933228101633', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-26 13:33:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 13:33:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574270933421039618', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-26 13:33:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 13:33:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574270939192401921', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-26 13:33:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 13:33:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574270939410505729', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-26 13:33:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 13:33:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574270941939671041', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-26 13:33:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 13:33:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574270944577888258', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-26 13:33:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 13:33:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574270944795992065', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-26 13:33:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 13:33:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574270948193378306', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-26 13:33:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 13:33:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574270950512828417', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-26 13:33:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 13:33:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '2', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574271006729084929', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-26 13:33:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 13:33:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574271006762639362', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-26 13:33:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 13:33:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574271114728218626', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-26 13:34:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 13:34:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep', 'POST', '{}', '36', NULL, NULL, 'content:新增基础类型表', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574271115026014209', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-26 13:34:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 13:34:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574271115026014210', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-26 13:34:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 13:34:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574271293585924097', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-26 13:34:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 13:34:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '132', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574271313752137729', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-26 13:35:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 13:35:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '124', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574271314708439041', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-26 13:35:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 13:35:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574219785834180609', 'GET', '{"id":["1574219785834180609"]}', '26', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574272054633996290', '2', 'tofly-auth', 'mzscb', TO_DATE('2022-09-26 13:38:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 13:38:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/6efdf8fb-a2ab-4249-a1a4-2e5df6281265', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574272060250169345', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-26 13:38:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 13:38:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574274542535745538', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-26 13:47:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 13:47:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574274542745460738', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-26 13:47:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 13:47:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574274559354904577', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-26 13:47:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 13:47:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574228665133703169', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-26 10:45:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:45:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '141', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574228716484567042', '1', 'tofly-flow', 'public', TO_DATE('2022-09-26 10:45:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:45:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574228716694282242', '1', 'tofly-flow', 'public', TO_DATE('2022-09-26 10:45:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:45:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574228724625711105', '1', 'tofly-flow', 'public', TO_DATE('2022-09-26 10:45:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:45:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '129', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574228725451988994', '1', 'tofly-flow', 'public', TO_DATE('2022-09-26 10:45:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:45:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574228725602983937', '1', 'tofly-flow', 'public', TO_DATE('2022-09-26 10:45:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:45:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574228728106983426', '1', 'tofly-flow', 'public', TO_DATE('2022-09-26 10:45:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:45:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574228734599766018', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 10:45:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:45:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '145', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574228735832891393', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 10:45:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:45:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '0', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574230785660641282', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-26 10:54:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:54:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '661', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574232364241428482', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 11:00:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 11:00:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl', 'POST', '{}', '780', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574232366548295681', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 11:00:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 11:00:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '155', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574232728327987201', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-26 11:01:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 11:01:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '18', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574233726257766402', '1', 'tofly-flow', 'public', TO_DATE('2022-09-26 11:05:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 11:05:42', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.91', NULL, '/tfprocesssqlp/page', 'GET', '{"hitCount":[""],"optimizeCountSql":[""],"records":[""],"searchCount":[""],"edition":[""],"remark":[""],"content":[""],"current":[""],"total":[""],"size":[""],"createTime":[""],"orders[0].asc":[""],"createUser":[""],"model":[""],"orders[0].column":[""],"id":[""],"isDel":[""]}', '40', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574234407190437890', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-26 11:08:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 11:08:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '18', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574234902483214338', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 11:10:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 11:10:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574235000441184257', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-26 11:10:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 11:10:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '158', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574235000818671617', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-26 11:10:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 11:10:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574219785834180609', 'GET', '{"id":["1574219785834180609"]}', '21', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574235008414556162', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-26 11:10:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 11:10:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '115', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574235050647003138', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-26 11:10:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 11:10:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574235053759176706', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-26 11:10:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 11:10:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '16', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574235073954750466', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-26 11:11:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 11:11:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574235074747473921', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-26 11:11:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 11:11:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574235123879550978', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-26 11:11:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 11:11:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574235133908131841', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-26 11:11:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 11:11:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '159', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574235134281424898', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-26 11:11:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 11:11:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574219785834180609', 'GET', '{"id":["1574219785834180609"]}', '21', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574235528873156609', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-26 11:12:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 11:12:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '57', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574235529732988930', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-26 11:12:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 11:12:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '62', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574235537375010817', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-26 11:12:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 11:12:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574235537597308930', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-26 11:12:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 11:12:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574235541338628097', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-26 11:12:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 11:12:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574235541544148994', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-26 11:12:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 11:12:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574235544564047874', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-26 11:12:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 11:12:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574235547164516354', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-26 11:12:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 11:12:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574236616787533825', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-26 11:17:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 11:17:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/deleteByIds', 'DELETE', '{"ids":["1572055651524927489"]}', '9', NULL, NULL, 'content:通过id批量删除施工组织单位', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574236617160826881', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-26 11:17:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 11:17:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '39', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574237033604882434', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-26 11:18:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 11:18:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/1572054869920571394', 'GET', '{"0":["1572054869920571394"]}', '22', NULL, NULL, 'content:通过id查询施工组织单位', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574228497634172929', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-26 10:44:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:44:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl', 'POST', '{}', '84', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574228498653388801', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-26 10:44:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:44:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574228507746639874', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-26 10:44:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:44:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '135', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574228508195430402', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-26 10:44:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:44:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574228508388368385', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-26 10:44:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:44:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574228511169191938', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-26 10:44:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:44:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574228745546899458', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 10:45:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:45:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '2', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574291008970596354', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-26 14:53:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:53:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1572832711356719105"],"isMould":["0"]}', '1', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574293770898808834', '1', 'tofly-flow', 'public', TO_DATE('2022-09-26 15:04:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:04:18', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.91', NULL, '/tfprocessl/page', 'GET', '{"hitCount":[""],"registerStaff":[""],"processState":[""],"records":[""],"processNumber":[""],"searchCount":[""],"edition":[""],"remark":[""],"relationNumber":[""],"current":[""],"total":[""],"configId":[""],"orders[0].asc":[""],"registerPost":[""],"ywType":[""],"orders[0].column":[""],"id":[""],"processType":[""],"optimizeCountSql":[""],"registerTime":[""],"registerDept":[""],"passingNode":[""],"relationId":[""],"size":[""],"createTime":[""],"name":[""],"tenantId":[""],"createUser":[""],"category":[""],"isDel":[""]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574293788732989442', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-26 15:04:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:04:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574293789542490113', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-26 15:04:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:04:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574293790444265474', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-26 15:04:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:04:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574293793665490945', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-26 15:04:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:04:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574293793891983361', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-26 15:04:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:04:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574293796530200577', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-26 15:04:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:04:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574293805958995970', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-26 15:04:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:04:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1574276325647659009', 'GET', '{"id":["1574276325647659009"]}', '13', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574293806592335874', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-26 15:04:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:04:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":["1569602913205559298"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574293806726553601', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-26 15:04:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:04:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574293809125695489', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-26 15:04:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:04:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574293954881953794', '1', 'tofly-flow', 'public', TO_DATE('2022-09-26 15:05:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:05:02', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.91', NULL, '/tfprocessl/1574237792111685633', 'GET', '{}', '20', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574294940434341889', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 15:08:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:08:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574295188418371586', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 15:09:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:09:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '15', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574295201949196289', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 15:09:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:09:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '123', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574295210824343553', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 15:10:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:10:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574293039374479362', 'GET', '{"id":["1574293039374479362"]}', '17', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574295314113273857', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 15:10:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:10:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574293039374479362', 'GET', '{"id":["1574293039374479362"]}', '16', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574295317569380354', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-26 15:10:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:10:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl', 'POST', '{}', '2', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574295343792168962', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-26 15:10:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:10:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl', 'POST', '{}', '3', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574295493491073026', '2', 'tofly-auth', 'mzscb', TO_DATE('2022-09-26 15:11:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:11:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/2690510b-dde6-4bd6-ba5d-726cce7386af', 'DELETE', '{}', '3', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574295518224883713', '2', 'tofly-auth', 'mzadmin', TO_DATE('2022-09-26 15:11:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:11:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/86c620ea-2372-4191-aa5b-21fcc0482087', 'DELETE', '{}', '1', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574295546972643329', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-26 15:11:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:11:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574295547148804097', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-26 15:11:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:11:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574295549061406721', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-26 15:11:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:11:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574295549069795329', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-26 15:11:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:11:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574295624915394561', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 15:11:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:11:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '2', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574295634864283649', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 15:11:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:11:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '132', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574295640568537090', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 15:11:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:11:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574295642321756162', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 15:11:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:11:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574293039374479362', 'GET', '{"id":["1574293039374479362"]}', '20', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574295669794447361', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 15:11:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:11:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574219785834180609', 'GET', '{"id":["1574219785834180609"]}', '24', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574228942192648194', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 10:46:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:46:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '140', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574228955161436161', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 10:46:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:46:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574228955371151361', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 10:46:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:46:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574229005371449345', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 10:46:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:46:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '134', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574229005946068993', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 10:46:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:46:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574229006130618370', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 10:46:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:46:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574229008550731777', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 10:46:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:46:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574296270943068161', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-26 15:14:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:14:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574296271169560577', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-26 15:14:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:14:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574296274952822786', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-26 15:14:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:14:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574296275112206338', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-26 15:14:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:14:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574296278119522305', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-26 15:14:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:14:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '2', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574298210787737601', '2', 'tofly-auth', 'mzadmin', TO_DATE('2022-09-26 15:21:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:21:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/ab3b64da-3935-4e47-83f0-659229e59a13', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574298416191193089', '2', 'tofly-auth', 'scb', TO_DATE('2022-09-26 15:22:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:22:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/33025bb2-74df-480d-932f-d6467e50b262', 'DELETE', '{}', '1', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574298416367353858', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 15:22:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:22:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '229', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574298429516496898', '0', 'tofly-flow', 'lz', TO_DATE('2022-09-26 15:22:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:22:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574293039374479362', 'GET', '{"id":["1574293039374479362"]}', '142', NULL, '### Error querying database.  Cause: java.sql.SQLSyntaxErrorException: ORA-00904: "REGION_ID": 标识符无效

### The error may exist in URL [jar:file:/E:/中民燃气/workflow/workflow-1.0-SNAPSHOT.jar!/BOOT-INF/classes!/mapper/buss/TfRegisterItemWMapper.xml]
### The error may involve defaultParameterMap
### The error occurred while setting parameters
### SQL: SELECT REPLACE( wm_concat ( NAME ), '','', ''-'' ) NAME         FROM             ( SELECT NAME FROM TF_BASE_TYPE_P START WITH ID = ? CONNECT BY PRIOR REGION_ID = ID ORDER BY ID )
### Cause: java.sql.SQLSyntaxErrorException: ORA-00904: "REGION_ID": 标识符无效

; bad SQL grammar []; nested exception is java.sql.SQLSyntaxErrorException: ORA-00904: "REGION_ID": 标识符无效', 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574298622727110658', '0', 'tofly-flow', 'lz', TO_DATE('2022-09-26 15:23:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:23:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574293039374479362', 'GET', '{"id":["1574293039374479362"]}', '656', NULL, '### Error querying database.  Cause: java.sql.SQLSyntaxErrorException: ORA-00904: "REGION_ID": 标识符无效

### The error may exist in URL [jar:file:/E:/中民燃气/workflow/workflow-1.0-SNAPSHOT.jar!/BOOT-INF/classes!/mapper/buss/TfRegisterItemWMapper.xml]
### The error may involve defaultParameterMap
### The error occurred while setting parameters
### SQL: SELECT REPLACE( wm_concat ( NAME ), '','', ''-'' ) NAME         FROM             ( SELECT NAME FROM TF_BASE_TYPE_P START WITH ID = ? CONNECT BY PRIOR REGION_ID = ID ORDER BY ID )
### Cause: java.sql.SQLSyntaxErrorException: ORA-00904: "REGION_ID": 标识符无效

; bad SQL grammar []; nested exception is java.sql.SQLSyntaxErrorException: ORA-00904: "REGION_ID": 标识符无效', 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574298648278810625', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-26 15:23:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:23:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574298667841044481', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 15:23:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:23:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '161', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574298685780082690', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-26 15:23:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:23:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574298709406597121', '0', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 15:23:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:23:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574219785834180609', 'GET', '{"id":["1574219785834180609"]}', '127', NULL, '### Error querying database.  Cause: java.sql.SQLSyntaxErrorException: ORA-00904: "REGION_ID": 标识符无效

### The error may exist in URL [jar:file:/E:/中民燃气/workflow/workflow-1.0-SNAPSHOT.jar!/BOOT-INF/classes!/mapper/buss/TfRegisterItemWMapper.xml]
### The error may involve defaultParameterMap
### The error occurred while setting parameters
### SQL: SELECT REPLACE( wm_concat ( NAME ), '','', ''-'' ) NAME         FROM             ( SELECT NAME FROM TF_BASE_TYPE_P START WITH ID = ? CONNECT BY PRIOR REGION_ID = ID ORDER BY ID )
### Cause: java.sql.SQLSyntaxErrorException: ORA-00904: "REGION_ID": 标识符无效

; bad SQL grammar []; nested exception is java.sql.SQLSyntaxErrorException: ORA-00904: "REGION_ID": 标识符无效', 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574307140544876545', '1', 'tofly-flow', 'txh', TO_DATE('2022-09-26 15:57:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:57:26', 'SYYYY-MM-DD HH24:MI:SS'), '42.225.115.58', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574307144370081794', '1', 'tofly-flow', 'txh', TO_DATE('2022-09-26 15:57:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:57:27', 'SYYYY-MM-DD HH24:MI:SS'), '42.225.115.58', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574307570104520706', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 15:59:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:59:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574219785834180609', 'GET', '{"id":["1574219785834180609"]}', '30', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574307714338246657', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 15:59:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:59:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '336', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574307715340685314', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 15:59:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:59:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574219785834180609', 'GET', '{"id":["1574219785834180609"]}', '22', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574307936959320066', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 16:00:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:00:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '117', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574307937705906178', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 16:00:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:00:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574219785834180609', 'GET', '{"id":["1574219785834180609"]}', '24', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574274561791795201', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-26 13:47:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 13:47:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574275669239046145', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-26 13:52:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 13:52:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574275674360291329', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-26 13:52:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 13:52:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574278230679527425', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 14:02:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:02:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":["1"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574278234068525058', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 14:02:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:02:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574278283569700865', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-26 14:02:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:02:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574278286132420610', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-26 14:02:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:02:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574283971096256513', '2', 'tofly-auth', 'mzadmin', TO_DATE('2022-09-26 14:25:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:25:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/beec9ebb-4745-4ff8-b41e-c30dd004b093', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574284114398846977', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 14:25:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:25:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574237792111685633', 'GET', '{"id":["1574237792111685633"]}', '24', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574284163472203777', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 14:26:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:26:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574284765522599937', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 14:28:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:28:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '216', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574284770790645762', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 14:28:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:28:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574237792111685633', 'GET', '{"id":["1574237792111685633"]}', '22', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574284789446909954', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-26 14:28:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:28:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/9f49bdb6-990e-4171-9b68-fc89fdc8c569', 'DELETE', '{}', '1', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574284813132144642', '1', 'tofly-flow', 'fsq1', TO_DATE('2022-09-26 14:28:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:28:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1570225246022770689"],"label":["1568482594885484546"],"isMould":["0"]}', '2', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574284841087180801', '2', 'tofly-auth', 'fsq1', TO_DATE('2022-09-26 14:28:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:28:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/ab693ddf-9184-419f-83e5-a96c42a6c800', 'DELETE', '{}', '1', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574285856930832385', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 14:32:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:32:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574219785834180609', 'GET', '{"id":["1574219785834180609"]}', '22', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574286932614619138', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 14:37:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:37:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574219785834180609', 'GET', '{"id":["1574219785834180609"]}', '14', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574287068665257985', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 14:37:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:37:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574287068833030145', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 14:37:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:37:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574287076202422273', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 14:37:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:37:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1574286883662934017', 'GET', '{"id":["1574286883662934017"]}', '31', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574287076605075457', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 14:37:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:37:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574287076781236226', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 14:37:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:37:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574287079218126850', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 14:37:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:37:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574303877510582273', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-26 15:44:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:44:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574303877527359489', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-26 15:44:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:44:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574303891561500674', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 15:44:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:44:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '20', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574303892077400065', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 15:44:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:44:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574303894921138177', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 15:44:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:44:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '17', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574303895206350850', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 15:44:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:44:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '21', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574303913896169473', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-26 15:44:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:44:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '21', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574303914147827713', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-26 15:44:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:44:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574303928173580289', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 15:44:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:44:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574303928425238529', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 15:44:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:44:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574303933030584321', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-26 15:44:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:44:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":["1"]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574303935509417986', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-26 15:44:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:44:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574303937996640257', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 15:44:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:44:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574303938235715585', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 15:44:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:44:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574303962529124354', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 15:44:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:44:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1574245421143371777', 'GET', '{"id":["1574245421143371777"]}', '20', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574303963019857921', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 15:44:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:44:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574303965620326402', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 15:44:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:44:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574303981541904386', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 15:44:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:44:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1571763657271414785', 'GET', '{"id":["1571763657271414785"]}', '63', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574237443082199041', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-26 11:20:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 11:20:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574237517107470337', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 11:20:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 11:20:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574219785834180609', 'GET', '{"id":["1574219785834180609"]}', '55', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574237519515000834', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 11:20:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 11:20:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '139', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574237539190480898', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 11:20:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 11:20:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574219785834180609', 'GET', '{"id":["1574219785834180609"]}', '25', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574237567627862017', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 11:20:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 11:20:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574237578474332161', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 11:21:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 11:21:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '137', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574237578935705601', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 11:21:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 11:21:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574219785834180609', 'GET', '{"id":["1574219785834180609"]}', '20', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574237627858067457', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 11:21:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 11:21:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '135', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574243118654988290', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-26 11:43:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 11:43:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574243145771163649', '0', 'tofly-flow', 'mzscb', TO_DATE('2022-09-26 11:43:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 11:43:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/saveTeamAll', 'POST', '{}', '162', NULL, '### Error updating database.  Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-01400: 无法将 NULL 插入 ("TF_ZMRQ_LC"."TF_BUILD_UNIT_P"."TEAM_TYPE")

### The error may exist in com/tofly/workflow/baseconf/mapper/TfBuildUnitPMapper.java (best guess)
### The error may involve com.tofly.workflow.baseconf.mapper.TfBuildUnitPMapper.insert-Inline
### The error occurred while setting parameters
### SQL: INSERT INTO TF_BUILD_UNIT_P  ( id, tenant_id, order_number, dept_id,   remark, CREATE_USER,  CREATE_TIME, UPDATE_USER,  UPDATE_TIME )  VALUES  ( ?, ?, ?, ?,   ?, ?,  ?, ?,  ? )
### Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-01400: 无法将 NULL 插入 ("TF_ZMRQ_LC"."TF_BUILD_UNIT_P"."TEAM_TYPE")

; ORA-01400: 无法将 NULL 插入 ("TF_ZMRQ_LC"."TF_BUILD_UNIT_P"."TEAM_TYPE")
; nested exception is java.sql.SQLIntegrityConstraintViolationException: ORA-01400: 无法将 NULL 插入 ("TF_ZMRQ_LC"."TF_BUILD_UNIT_P"."TEAM_TYPE")', 'content:新增施工班组相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574243157938839554', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-26 11:43:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 11:43:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/saveTeamAll', 'POST', '{}', '6', NULL, NULL, 'content:新增施工班组相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574243158148554754', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-26 11:43:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 11:43:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574243168848224257', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-26 11:43:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 11:43:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/1574243157838213121', 'GET', '{"0":["1574243157838213121"]}', '6', NULL, NULL, 'content:通过id查询施工组织单位', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574243192457961473', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-26 11:43:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 11:43:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/1574243157838213121', 'GET', '{"0":["1574243157838213121"]}', '6', NULL, NULL, 'content:通过id查询施工组织单位', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574243243267760130', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 11:43:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 11:43:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574243243452309505', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 11:43:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 11:43:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574245435261362177', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 11:52:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 11:52:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1574245421143371777', 'GET', '{"id":["1574245421143371777"]}', '20', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574245435882119170', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 11:52:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 11:52:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574245438352564225', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 11:52:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 11:52:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574245454085398530', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 11:52:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 11:52:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '138', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574271604237049857', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-26 13:36:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 13:36:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"edition":["11"],"id":["1572063395757809666"]}', '2', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574271711120498689', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-26 13:36:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 13:36:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfreportentryp/page', 'GET', '{"name":[""],"current":["1"],"size":["30"]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574271711577677826', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-26 13:36:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 13:36:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '140', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574272127270952962', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-26 13:38:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 13:38:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574272127438725121', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-26 13:38:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 13:38:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574272142336892930', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-26 13:38:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 13:38:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574272142529830913', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-26 13:38:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 13:38:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574272148372496386', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-26 13:38:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 13:38:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568483117915193345"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574272152910733313', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-26 13:38:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 13:38:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":["1"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574272155318263809', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-26 13:38:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 13:38:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574272164000473090', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-26 13:38:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 13:38:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574272334209523713', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 13:39:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 13:39:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '129', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574272395475722242', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 13:39:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 13:39:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574272404279566339', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-26 13:39:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 13:39:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '21', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574295729944961025', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 15:12:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:12:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '129', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574295731215835138', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 15:12:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:12:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574219785834180609', 'GET', '{"id":["1574219785834180609"]}', '24', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574295765118394370', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 15:12:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:12:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessnodel', 'POST', '{}', '102', NULL, NULL, 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574295769857957890', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-26 15:12:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:12:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '2', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574295769857957891', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-26 15:12:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:12:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574295826426535937', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-26 15:12:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:12:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep', 'PUT', '{}', '32', NULL, NULL, 'content:修改基础类型表', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574295826959212545', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-26 15:12:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:12:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574295826967601154', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-26 15:12:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:12:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574295877022425090', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-26 15:12:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:12:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep', 'POST', '{}', '10', NULL, NULL, 'content:新增基础类型表', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574295877299249154', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-26 15:12:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:12:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574295877307637762', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-26 15:12:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:12:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '2', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574295899097047042', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 15:12:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:12:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574296124004016130', '2', 'tofly-auth', 'hr', TO_DATE('2022-09-26 15:13:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:13:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/d2e160ee-a895-42e7-a24d-7f6485a3b06e', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574296177917599745', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 15:13:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:13:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '126', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574296299179122690', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-26 15:14:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:14:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572111539262464001', 'GET', '{"id":["1572111539262464001"]}', '107', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574296299678244866', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-26 15:14:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:14:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":["1569602913205559298"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574296299871182849', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-26 15:14:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:14:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574296303503450114', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-26 15:14:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:14:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574297710499545089', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-26 15:19:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:19:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/b1eed457-d1d4-40e1-9093-41a92229ba18', 'DELETE', '{}', '16', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574298297391726593', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 15:22:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:22:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '48', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574298309186109441', '0', 'tofly-flow', 'lz', TO_DATE('2022-09-26 15:22:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:22:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574293039374479362', 'GET', '{"id":["1574293039374479362"]}', '372', NULL, '### Error querying database.  Cause: java.sql.SQLSyntaxErrorException: ORA-00904: "REGION_ID": 标识符无效

### The error may exist in URL [jar:file:/E:/中民燃气/workflow/workflow-1.0-SNAPSHOT.jar!/BOOT-INF/classes!/mapper/buss/TfRegisterItemWMapper.xml]
### The error may involve defaultParameterMap
### The error occurred while setting parameters
### SQL: SELECT REPLACE( wm_concat ( NAME ), '','', ''-'' ) NAME         FROM             ( SELECT NAME FROM TF_BASE_TYPE_P START WITH ID = ? CONNECT BY PRIOR REGION_ID = ID ORDER BY ID )
### Cause: java.sql.SQLSyntaxErrorException: ORA-00904: "REGION_ID": 标识符无效

; bad SQL grammar []; nested exception is java.sql.SQLSyntaxErrorException: ORA-00904: "REGION_ID": 标识符无效', 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574298312558329857', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 15:22:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:22:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '290', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574298326613442562', '1', 'tofly-flow', 'scb', TO_DATE('2022-09-26 15:22:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:22:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574298374076186625', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 15:22:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:22:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574298540082544642', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-26 15:23:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:23:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574298559502172162', '0', 'tofly-flow', 'lz', TO_DATE('2022-09-26 15:23:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:23:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574293039374479362', 'GET', '{"id":["1574293039374479362"]}', '130', NULL, '### Error querying database.  Cause: java.sql.SQLSyntaxErrorException: ORA-00904: "REGION_ID": 标识符无效

### The error may exist in URL [jar:file:/E:/中民燃气/workflow/workflow-1.0-SNAPSHOT.jar!/BOOT-INF/classes!/mapper/buss/TfRegisterItemWMapper.xml]
### The error may involve defaultParameterMap
### The error occurred while setting parameters
### SQL: SELECT REPLACE( wm_concat ( NAME ), '','', ''-'' ) NAME         FROM             ( SELECT NAME FROM TF_BASE_TYPE_P START WITH ID = ? CONNECT BY PRIOR REGION_ID = ID ORDER BY ID )
### Cause: java.sql.SQLSyntaxErrorException: ORA-00904: "REGION_ID": 标识符无效

; bad SQL grammar []; nested exception is java.sql.SQLSyntaxErrorException: ORA-00904: "REGION_ID": 标识符无效', 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574298584340840450', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 15:23:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:23:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574298602393124865', '2', 'tofly-auth', 'mzadmin', TO_DATE('2022-09-26 15:23:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:23:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/0b42dd24-0015-4df4-b4ff-0cbb85c8cdd3', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574298610047729665', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 15:23:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:23:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '200', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574298612639809537', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 15:23:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:23:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574299138177712130', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-26 15:25:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:25:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574229296007356417', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 10:48:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:48:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl', 'POST', '{}', '93', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574229297022377986', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 10:48:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:48:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574229306551836674', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 10:48:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:48:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '140', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574229307071930370', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 10:48:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:48:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574229307264868354', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 10:48:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:48:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574229309668204545', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 10:48:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:48:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574307953149333505', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 16:00:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:00:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574293039374479362', 'GET', '{"id":["1574293039374479362"]}', '25', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574308338475847682', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 16:02:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:02:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574219785834180609', 'GET', '{"id":["1574219785834180609"]}', '28', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574308442020630529', '2', 'tofly-auth', 'hr', TO_DATE('2022-09-26 16:02:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:02:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/1ef5f653-9230-4eab-acdb-d4a31dce63dd', 'DELETE', '{}', '10', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574308459515072513', '1', 'tofly-flow', 'scb', TO_DATE('2022-09-26 16:02:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:02:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574308485058383873', '2', 'tofly-auth', 'scb', TO_DATE('2022-09-26 16:02:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:02:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/1163338c-7463-4c38-af1b-df78a793642f', 'DELETE', '{}', '1', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574308516712796162', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-26 16:02:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:02:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574308588674469889', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 16:03:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:03:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '16', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574308601819418625', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 16:03:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:03:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '124', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574308626414817281', '2', 'tofly-auth', 'test', TO_DATE('2022-09-26 16:03:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:03:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/a59b7b64-366c-4c20-b16d-9ab65d3d4d7c', 'DELETE', '{}', '1', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574308668890533889', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 16:03:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:03:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574308669171552257', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 16:03:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:03:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574308678822645762', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 16:03:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:03:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '128', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574308679489540097', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 16:03:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:03:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574308679724421122', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 16:03:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:03:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574308682329083906', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 16:03:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:03:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574308848108949506', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 16:04:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:04:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574308876621828097', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 16:04:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:04:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '130', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574308945160949761', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 16:04:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:04:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574293039374479362', 'GET', '{"id":["1574293039374479362"]}', '27', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574309092045475841', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 16:05:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:05:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574309092431351809', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 16:05:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:05:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '19', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574309093756751873', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 16:05:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:05:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574309094000021505', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 16:05:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:05:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574309099855269890', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 16:05:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:05:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1574293601415409665', 'GET', '{"id":["1574293601415409665"]}', '25', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574309100664770562', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 16:05:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:05:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574309101260361729', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 16:05:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:05:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574309103923744770', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 16:05:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:05:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574309191056216066', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 16:05:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:05:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl', 'POST', '{}', '59', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574309191463063553', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 16:05:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:05:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574309199264468993', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 16:05:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:05:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1574293601415409665', 'GET', '{"id":["1574293601415409665"]}', '25', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574309199855865857', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 16:05:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:05:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574309200162050049', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 16:05:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:05:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574309202917707778', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 16:05:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:05:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574309213697069058', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 16:05:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:05:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574293039374479362', 'GET', '{"id":["1574293039374479362"]}', '24', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574309242377719810', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 16:05:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:05:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '9', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574309625951014914', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 16:07:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:07:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl', 'POST', '{}', '25', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574303982007472129', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 15:44:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:44:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574303984805072897', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 15:44:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:44:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574303993961238529', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 15:44:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:44:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574293039374479362', 'GET', '{"id":["1574293039374479362"]}', '30', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574304008934903810', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-26 15:44:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:44:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574304009169784833', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-26 15:44:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:44:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574304014525911041', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-26 15:45:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:45:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574304014769180673', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-26 15:45:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:45:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574304017361260545', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-26 15:45:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:45:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574304026219630593', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 15:45:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:45:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574304046201294849', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 15:45:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:45:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1571763657271414785', 'GET', '{"id":["1571763657271414785"]}', '61', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574304046809468929', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 15:45:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:45:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574304049422520321', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 15:45:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:45:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574304064551374849', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 15:45:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:45:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574293039374479362', 'GET', '{"id":["1574293039374479362"]}', '32', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574304115222761474', '1', 'tofly-flow', 'mz001', TO_DATE('2022-09-26 15:45:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:45:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574304115478614017', '1', 'tofly-flow', 'mz001', TO_DATE('2022-09-26 15:45:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:45:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574304147116249089', '1', 'tofly-flow', 'mz001', TO_DATE('2022-09-26 15:45:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:45:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '18', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574304164224815106', '1', 'tofly-flow', 'mz001', TO_DATE('2022-09-26 15:45:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:45:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1574293601415409665', 'GET', '{"id":["1574293601415409665"]}', '29', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574304164774268929', '1', 'tofly-flow', 'mz001', TO_DATE('2022-09-26 15:45:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:45:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574304165009149954', '1', 'tofly-flow', 'mz001', TO_DATE('2022-09-26 15:45:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:45:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574304168347815937', '1', 'tofly-flow', 'mz001', TO_DATE('2022-09-26 15:45:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:45:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574304278452490241', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 15:46:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:46:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572111539262464001', 'GET', '{"id":["1572111539262464001"]}', '116', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574304279312322561', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 15:46:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:46:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574304281803739137', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 15:46:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:46:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574304301760237569', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-26 15:46:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:46:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '145', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574304302477463554', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-26 15:46:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:46:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574304302674595842', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-26 15:46:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:46:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574304305115680770', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-26 15:46:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:46:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574307131590037505', '1', 'tofly-flow', 'txh', TO_DATE('2022-09-26 15:57:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:57:24', 'SYYYY-MM-DD HH24:MI:SS'), '42.225.115.58', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574307139987034114', '1', 'tofly-flow', 'txh', TO_DATE('2022-09-26 15:57:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:57:26', 'SYYYY-MM-DD HH24:MI:SS'), '42.225.115.58', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574308801388597249', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 16:04:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:04:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574293039374479362', 'GET', '{"id":["1574293039374479362"]}', '24', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574349137997574146', '1', 'tofly-flow', 'fsq1', TO_DATE('2022-09-26 18:44:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 18:44:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1570225246022770689"],"label":["1568482594885484546"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574349207216173058', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-26 18:44:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 18:44:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1574245421143371777', 'GET', '{"id":["1574245421143371777"]}', '27', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574349228103806978', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-26 18:44:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 18:44:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1574275849078255617', 'GET', '{"id":["1574275849078255617"]}', '30', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574349347754717185', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-26 18:45:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 18:45:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '20', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574349348069289985', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-26 18:45:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 18:45:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '17', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574349368927563778', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-26 18:45:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 18:45:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '19', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574349369191804929', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-26 18:45:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 18:45:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574349555452456961', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-26 18:45:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 18:45:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '26', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574349556333260801', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-26 18:45:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 18:45:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '23', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574349557134372866', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-26 18:45:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 18:45:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '17', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574272404279566338', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-26 13:39:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 13:39:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574272409350479874', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 13:39:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 13:39:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '130', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574272455479435266', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-26 13:39:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 13:39:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574272455563321345', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-26 13:39:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 13:39:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '27', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574272484160086017', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-26 13:39:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 13:39:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574272484218806273', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-26 13:39:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 13:39:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '28', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574272511938961410', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-26 13:39:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 13:39:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574272512014458882', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-26 13:39:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 13:39:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '19', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574272606373715969', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-26 13:40:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 13:40:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574272606453407746', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-26 13:40:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 13:40:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '20', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574272623759106049', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-26 13:40:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 13:40:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '1', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574272699764088834', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-26 13:40:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 13:40:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574272699982192642', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-26 13:40:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 13:40:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574272751907676162', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-26 13:40:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 13:40:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574272753577009154', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-26 13:40:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 13:40:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574272753761558530', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-26 13:40:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 13:40:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574272756676599810', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-26 13:40:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 13:40:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":["1"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574272759230930946', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-26 13:40:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 13:40:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574272920350924801', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 13:41:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 13:41:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574272934536060929', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 13:41:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 13:41:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '123', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574273013242175489', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-26 13:41:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 13:41:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574273013313478658', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-26 13:41:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 13:41:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '21', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574273245073940482', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-26 13:42:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 13:42:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574273645063741442', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-26 13:44:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 13:44:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp', 'PUT', '{}', '3', NULL, NULL, 'content:修改工序管理（工序名称）/工程管控管理', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574273645256679426', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-26 13:44:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 13:44:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574273658930110465', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-26 13:44:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 13:44:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp', 'PUT', '{}', '6', NULL, NULL, 'content:修改工序管理（工序名称）/工程管控管理', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574273659123048450', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-26 13:44:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 13:44:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574273671693377538', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-26 13:44:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 13:44:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp', 'PUT', '{}', '8', NULL, NULL, 'content:修改工序管理（工序名称）/工程管控管理', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574273671936647170', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-26 13:44:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 13:44:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574273678672699394', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-26 13:44:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 13:44:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568483117915193345"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574273682992832513', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-26 13:44:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 13:44:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp', 'PUT', '{}', '4', NULL, NULL, 'content:修改工序管理（工序名称）/工程管控管理', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574273683261267969', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-26 13:44:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 13:44:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574273694300676097', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-26 13:44:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 13:44:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp', 'PUT', '{}', '4', NULL, NULL, 'content:修改工序管理（工序名称）/工程管控管理', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574273694493614082', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-26 13:44:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 13:44:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574273706132807681', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-26 13:44:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 13:44:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp', 'PUT', '{}', '2', NULL, NULL, 'content:修改工序管理（工序名称）/工程管控管理', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574273706292191233', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-26 13:44:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 13:44:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574273719869153281', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-26 13:44:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 13:44:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp', 'PUT', '{}', '2', NULL, NULL, 'content:修改工序管理（工序名称）/工程管控管理', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574273720141783041', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-26 13:44:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 13:44:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574273732242350081', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-26 13:44:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 13:44:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp', 'PUT', '{}', '3', NULL, NULL, 'content:修改工序管理（工序名称）/工程管控管理', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574273732426899457', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-26 13:44:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 13:44:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574273744829456386', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-26 13:44:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 13:44:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp', 'PUT', '{}', '16', NULL, NULL, 'content:修改工序管理（工序名称）/工程管控管理', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574273745026588674', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-26 13:44:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 13:44:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574273751418707970', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-26 13:44:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 13:44:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574299209472491522', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-26 15:25:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:25:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574299249679089665', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-26 15:26:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:26:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '11', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574299300216082434', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-26 15:26:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:26:16', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.48', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '34', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574299334974455809', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-26 15:26:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:26:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574299513794412545', '0', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 15:27:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:27:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574219785834180609', 'GET', '{"id":["1574219785834180609"]}', '118', NULL, '### Error querying database.  Cause: java.sql.SQLSyntaxErrorException: ORA-00904: "REGION_ID": 标识符无效

### The error may exist in URL [jar:file:/E:/中民燃气/workflow/workflow-1.0-SNAPSHOT.jar!/BOOT-INF/classes!/mapper/buss/TfRegisterItemWMapper.xml]
### The error may involve defaultParameterMap
### The error occurred while setting parameters
### SQL: SELECT REPLACE( wm_concat ( NAME ), '','', ''-'' ) NAME         FROM             ( SELECT NAME FROM TF_BASE_TYPE_P START WITH ID = ? CONNECT BY PRIOR REGION_ID = ID ORDER BY ID )
### Cause: java.sql.SQLSyntaxErrorException: ORA-00904: "REGION_ID": 标识符无效

; bad SQL grammar []; nested exception is java.sql.SQLSyntaxErrorException: ORA-00904: "REGION_ID": 标识符无效', 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574299787959287810', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 15:28:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:28:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '152', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574299788244500481', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 15:28:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:28:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '19', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574299791985819649', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 15:28:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:28:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574299792212312065', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 15:28:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:28:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574299794892472321', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 15:28:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:28:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '24', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574299827876478978', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 15:28:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:28:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574299836374138882', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 15:28:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:28:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '163', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574300053798469633', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 15:29:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:29:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574300130843639810', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 15:29:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:29:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '155', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574300132240343041', '0', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 15:29:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:29:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1573965383747530754', 'GET', '{"id":["1573965383747530754"]}', '116', NULL, '### Error querying database.  Cause: java.sql.SQLSyntaxErrorException: ORA-00904: "REGION_ID": 标识符无效

### The error may exist in URL [jar:file:/E:/中民燃气/workflow/workflow-1.0-SNAPSHOT.jar!/BOOT-INF/classes!/mapper/buss/TfRegisterItemWMapper.xml]
### The error may involve defaultParameterMap
### The error occurred while setting parameters
### SQL: SELECT REPLACE( wm_concat ( NAME ), '','', ''-'' ) NAME         FROM             ( SELECT NAME FROM TF_BASE_TYPE_P START WITH ID = ? CONNECT BY PRIOR REGION_ID = ID ORDER BY ID )
### Cause: java.sql.SQLSyntaxErrorException: ORA-00904: "REGION_ID": 标识符无效

; bad SQL grammar []; nested exception is java.sql.SQLSyntaxErrorException: ORA-00904: "REGION_ID": 标识符无效', 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574300145079107585', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-26 15:29:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:29:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574300145301405698', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-26 15:29:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:29:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574300152297504769', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 15:29:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:29:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '150', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574300153060868098', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-26 15:29:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:29:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574300153186697218', '0', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 15:29:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:29:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1573965383747530754', 'GET', '{"id":["1573965383747530754"]}', '114', NULL, '### Error querying database.  Cause: java.sql.SQLSyntaxErrorException: ORA-00904: "REGION_ID": 标识符无效

### The error may exist in URL [jar:file:/E:/中民燃气/workflow/workflow-1.0-SNAPSHOT.jar!/BOOT-INF/classes!/mapper/buss/TfRegisterItemWMapper.xml]
### The error may involve defaultParameterMap
### The error occurred while setting parameters
### SQL: SELECT REPLACE( wm_concat ( NAME ), '','', ''-'' ) NAME         FROM             ( SELECT NAME FROM TF_BASE_TYPE_P START WITH ID = ? CONNECT BY PRIOR REGION_ID = ID ORDER BY ID )
### Cause: java.sql.SQLSyntaxErrorException: ORA-00904: "REGION_ID": 标识符无效

; bad SQL grammar []; nested exception is java.sql.SQLSyntaxErrorException: ORA-00904: "REGION_ID": 标识符无效', 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574300153270583297', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-26 15:29:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:29:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574300155841691650', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-26 15:29:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:29:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '7', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574300227274883073', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 15:29:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:29:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '149', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574300620247613442', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-26 15:31:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:31:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '141', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574300688845279234', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-26 15:31:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:31:47', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.48', NULL, '/tfprocessl/1574293039374479362', 'GET', '{}', '315', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574300695136735233', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-26 15:31:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:31:49', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.48', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '1766', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574309254029496321', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 16:05:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:05:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '175', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574309260421615617', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 16:05:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:05:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574293039374479362', 'GET', '{"id":["1574293039374479362"]}', '25', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574309293955076097', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 16:05:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:05:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl', 'POST', '{}', '31', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574309294676496385', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 16:05:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:05:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574309300913426434', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 16:06:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:06:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1574293601415409665', 'GET', '{"id":["1574293601415409665"]}', '28', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574309301584515073', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 16:06:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:06:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574309301840367618', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 16:06:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:06:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574309304369532929', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 16:06:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:06:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574309593222860802', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 16:07:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:07:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl', 'POST', '{}', '3', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574309626261393410', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-26 16:07:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:07:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574309626496274434', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-26 16:07:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:07:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574309626718572545', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 16:07:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:07:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574309652089917441', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-26 16:07:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:07:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '160', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574309652744228865', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-26 16:07:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:07:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574309652991692802', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-26 16:07:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:07:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574309655344697346', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-26 16:07:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:07:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574309714027204610', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 16:07:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:07:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1574293601415409665', 'GET', '{"id":["1574293601415409665"]}', '28', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574309714987700225', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 16:07:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:07:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574309715495211010', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 16:07:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:07:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574309718066319361', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 16:07:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:07:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574309847909388289', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 16:08:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:08:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574293039374479362', 'GET', '{"id":["1574293039374479362"]}', '33', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574309913395056642', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 16:08:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:08:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574309929006256130', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 16:08:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:08:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '136', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574309937445195778', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 16:08:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:08:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574293039374479362', 'GET', '{"id":["1574293039374479362"]}', '32', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574310250688401409', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 16:09:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:09:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '147', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574310251451764737', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 16:09:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:09:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574310251795697665', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 16:09:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:09:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574310254366806018', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 16:09:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:09:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574310661247848450', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 16:11:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:11:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574310673851731970', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 16:11:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:11:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '149', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574310676649332738', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 16:11:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:11:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '136', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574310686174597121', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 16:11:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:11:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574293039374479362', 'GET', '{"id":["1574293039374479362"]}', '30', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574310832509669377', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 16:12:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:12:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574293039374479362', 'GET', '{"id":["1574293039374479362"]}', '31', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574310883298496514', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 16:12:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:12:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574293039374479362', 'GET', '{"id":["1574293039374479362"]}', '32', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574310975237640194', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 16:12:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:12:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '129', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574310993008906241', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 16:12:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:12:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574311091164008450', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 16:13:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:13:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574311119706247169', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 16:13:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:13:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574311128027746306', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 16:13:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:13:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574343601700847617', '2', 'tofly-auth', 'tnadmin', TO_DATE('2022-09-26 18:22:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 18:22:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/2e36ec47-3ddc-4863-85b5-99c04618e013', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574349574909833218', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-26 18:46:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 18:46:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574349575811608577', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-26 18:46:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 18:46:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574349576667246594', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-26 18:46:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 18:46:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574349622452269057', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-26 18:46:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 18:46:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574349623186272258', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-26 18:46:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 18:46:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '18', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574349647324491778', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-26 18:46:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 18:46:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574349679813570562', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-26 18:46:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 18:46:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '18', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574349695403798530', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-26 18:46:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 18:46:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '19', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574349696246853634', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-26 18:46:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 18:46:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '18', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574349829218873345', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 18:47:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 18:47:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '202', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574349829948682241', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 18:47:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 18:47:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '4', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574349830246477826', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 18:47:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 18:47:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574349832813391874', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 18:47:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 18:47:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574353754688958465', '2', 'tofly-auth', 'yj', TO_DATE('2022-09-26 19:02:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 19:02:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/ca9b459f-f1ce-4a3c-9256-6e9728753faf', 'DELETE', '{}', '1', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574561818650193922', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-27 08:49:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 08:49:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '28', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574561825444966401', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-27 08:49:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 08:49:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574565255211233281', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-27 09:03:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 09:03:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '56', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574565276681875457', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-27 09:03:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 09:03:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"name":[""],"current":["1"],"size":["30"]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574565277503959042', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-27 09:03:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 09:03:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"name":[""],"current":["1"],"size":["30"]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574565278250545153', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-27 09:03:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 09:03:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"name":[""],"current":["1"],"size":["30"]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574565489270173698', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-27 09:04:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 09:04:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"name":[""],"current":["1"],"size":["30"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574565489983205377', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-27 09:04:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 09:04:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"name":[""],"current":["1"],"size":["30"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574565490666876929', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-27 09:04:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 09:04:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"name":[""],"current":["1"],"size":["30"]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574565504608743425', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-27 09:04:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 09:04:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"name":["沟槽开挖验沟"],"current":["1"],"size":["30"]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574565511558705154', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-27 09:04:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 09:04:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"name":[""],"current":["1"],"size":["30"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574565512594698242', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-27 09:04:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 09:04:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"name":[""],"current":["1"],"size":["30"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574565532853186561', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-27 09:04:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 09:04:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"name":["室外管道强度试验"],"current":["1"],"size":["30"]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574565540981747714', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-27 09:04:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 09:04:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"name":[""],"current":["1"],"size":["30"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574565639925379073', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-27 09:04:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 09:04:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp', 'PUT', '{}', '13', NULL, NULL, 'content:修改工序管理（工序名称）/工程管控管理', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574565640147677185', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-27 09:04:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 09:04:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574566213743915010', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-27 09:06:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 09:06:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp', 'PUT', '{}', '13', NULL, NULL, 'content:修改工序管理（工序名称）/工程管控管理', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574566214016544770', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-27 09:06:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 09:06:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574566329691254786', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-27 09:07:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 09:07:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp', 'PUT', '{}', '4', NULL, NULL, 'content:修改工序管理（工序名称）/工程管控管理', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574566329963884546', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-27 09:07:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 09:07:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574566418086211585', '0', 'tofly-flow', 'admin', TO_DATE('2022-09-27 09:07:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 09:07:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp', 'POST', '{}', '140', NULL, '### Error updating database.  Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.workProcessNotNull)

### The error may exist in com/tofly/workflow/baseconf/mapper/TfWorkProcessPMapper.java (best guess)
### The error may involve com.tofly.workflow.baseconf.mapper.TfWorkProcessPMapper.insert-Inline
### The error occurred while setting parameters
### SQL: INSERT INTO TF_WORK_PROCESS_P  ( id, name,   remark, CREATE_USER, CREATE_TIME, UPDATE_USER, UPDATE_TIME )  VALUES  ( ?, ?,   ?, ?, ?, ?, ? )
### Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.workProcessNotNull)

; ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.workProcessNotNull)
; nested exception is java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.workProcessNotNull)', 'content:新增工序管理（工序名称）/工程管控管理', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574226657957888001', '2', 'tofly-auth', 'hq', TO_DATE('2022-09-26 10:37:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:37:37', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["hq"]}', '613', NULL, NULL, 'content:登录 :hq', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574272751983173633', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-26 13:40:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 13:40:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '21', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574273245082329090', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-26 13:42:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 13:42:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574273298492596225', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 13:42:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 13:42:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '7', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574273312384131074', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 13:43:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 13:43:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '125', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574273442936037377', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 13:43:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 13:43:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574273443128975361', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 13:43:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 13:43:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574273447847567361', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 13:43:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 13:43:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574273448057282562', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 13:43:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 13:43:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574273455565086722', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 13:43:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 13:43:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1570698804578582529', 'GET', '{"id":["1570698804578582529"]}', '97', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574273456122929154', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 13:43:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 13:43:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574273458622734337', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 13:43:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 13:43:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574273569608212482', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-26 13:44:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 13:44:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574273616479559681', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-26 13:44:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 13:44:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp', 'PUT', '{}', '6', NULL, NULL, 'content:修改工序管理（工序名称）/工程管控管理', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574273616701857793', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-26 13:44:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 13:44:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574273622649380865', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-26 13:44:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 13:44:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574273635026771970', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-26 13:44:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 13:44:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574273642501021697', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-26 13:44:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 13:44:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '125', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574273642853343233', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-26 13:44:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 13:44:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574219785834180609', 'GET', '{"id":["1574219785834180609"]}', '17', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574273757622083585', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-26 13:44:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 13:44:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp', 'PUT', '{}', '5', NULL, NULL, 'content:修改工序管理（工序名称）/工程管控管理', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574273757806632962', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-26 13:44:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 13:44:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574273768846041089', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-26 13:44:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 13:44:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp', 'PUT', '{}', '4', NULL, NULL, 'content:修改工序管理（工序名称）/工程管控管理', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574273769055756289', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-26 13:44:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 13:44:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574273773166174209', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-26 13:44:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 13:44:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '136', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574273781223432194', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-26 13:44:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 13:44:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp', 'PUT', '{}', '16', NULL, NULL, 'content:修改工序管理（工序名称）/工程管控管理', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574273781517033473', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-26 13:44:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 13:44:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574273797371502594', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-26 13:44:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 13:44:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp', 'PUT', '{}', '3', NULL, NULL, 'content:修改工序管理（工序名称）/工程管控管理', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574273797597995009', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-26 13:44:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 13:44:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574273833387991041', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-26 13:45:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 13:45:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574273833568346113', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-26 13:45:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 13:45:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574273838010114050', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-26 13:45:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 13:45:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":["1"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574273840325369857', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-26 13:45:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 13:45:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574273847975780354', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-26 13:45:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 13:45:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '2', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574273861787623425', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 13:45:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 13:45:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574273861967978498', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 13:45:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 13:45:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574273871761678337', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 13:45:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 13:45:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '132', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574273872592150530', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 13:45:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 13:45:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574273872759922689', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 13:45:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 13:45:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574273875226173441', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 13:45:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 13:45:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574274154193526785', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-26 13:46:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 13:46:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '1', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574300173596180481', '0', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 15:29:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:29:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1573965383747530754', 'GET', '{"id":["1573965383747530754"]}', '123', NULL, '### Error querying database.  Cause: java.sql.SQLSyntaxErrorException: ORA-00904: "REGION_ID": 标识符无效

### The error may exist in URL [jar:file:/E:/中民燃气/workflow/workflow-1.0-SNAPSHOT.jar!/BOOT-INF/classes!/mapper/buss/TfRegisterItemWMapper.xml]
### The error may involve defaultParameterMap
### The error occurred while setting parameters
### SQL: SELECT REPLACE( wm_concat ( NAME ), '','', ''-'' ) NAME         FROM             ( SELECT NAME FROM TF_BASE_TYPE_P START WITH ID = ? CONNECT BY PRIOR REGION_ID = ID ORDER BY ID )
### Cause: java.sql.SQLSyntaxErrorException: ORA-00904: "REGION_ID": 标识符无效

; bad SQL grammar []; nested exception is java.sql.SQLSyntaxErrorException: ORA-00904: "REGION_ID": 标识符无效', 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574300266437099522', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 15:30:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:30:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '148', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574300268240650242', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 15:30:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:30:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '41', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574300268307759106', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 15:30:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:30:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '65', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574300636907388929', '0', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-26 15:31:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:31:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574293039374479362', 'GET', '{"id":["1574293039374479362"]}', '131', NULL, '### Error querying database.  Cause: java.sql.SQLSyntaxErrorException: ORA-00904: "REGION_ID": 标识符无效

### The error may exist in URL [jar:file:/E:/中民燃气/workflow/workflow-1.0-SNAPSHOT.jar!/BOOT-INF/classes!/mapper/buss/TfRegisterItemWMapper.xml]
### The error may involve defaultParameterMap
### The error occurred while setting parameters
### SQL: SELECT REPLACE( wm_concat ( NAME ), '','', ''-'' ) NAME         FROM             ( SELECT NAME FROM TF_BASE_TYPE_P START WITH ID = ? CONNECT BY PRIOR REGION_ID = ID ORDER BY ID )
### Cause: java.sql.SQLSyntaxErrorException: ORA-00904: "REGION_ID": 标识符无效

; bad SQL grammar []; nested exception is java.sql.SQLSyntaxErrorException: ORA-00904: "REGION_ID": 标识符无效', 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574300697066115074', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-26 15:31:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:31:49', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.48', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '45', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574300697762369538', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-26 15:31:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:31:50', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.48', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '218', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574300845976666113', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 15:32:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:32:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '152', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574300846970716161', '0', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 15:32:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:32:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1573918359266291713', 'GET', '{"id":["1573918359266291713"]}', '117', NULL, '### Error querying database.  Cause: java.sql.SQLSyntaxErrorException: ORA-00904: "REGION_ID": 标识符无效

### The error may exist in URL [jar:file:/E:/中民燃气/workflow/workflow-1.0-SNAPSHOT.jar!/BOOT-INF/classes!/mapper/buss/TfRegisterItemWMapper.xml]
### The error may involve defaultParameterMap
### The error occurred while setting parameters
### SQL: SELECT REPLACE( wm_concat ( NAME ), '','', ''-'' ) NAME         FROM             ( SELECT NAME FROM TF_BASE_TYPE_P START WITH ID = ? CONNECT BY PRIOR REGION_ID = ID ORDER BY ID )
### Cause: java.sql.SQLSyntaxErrorException: ORA-00904: "REGION_ID": 标识符无效

; bad SQL grammar []; nested exception is java.sql.SQLSyntaxErrorException: ORA-00904: "REGION_ID": 标识符无效', 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574300916495499266', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 15:32:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:32:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '139', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574300918101917698', '0', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 15:32:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:32:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1573918359266291713', 'GET', '{"id":["1573918359266291713"]}', '112', NULL, '### Error querying database.  Cause: java.sql.SQLSyntaxErrorException: ORA-00904: "REGION_ID": 标识符无效

### The error may exist in URL [jar:file:/E:/中民燃气/workflow/workflow-1.0-SNAPSHOT.jar!/BOOT-INF/classes!/mapper/buss/TfRegisterItemWMapper.xml]
### The error may involve defaultParameterMap
### The error occurred while setting parameters
### SQL: SELECT REPLACE( wm_concat ( NAME ), '','', ''-'' ) NAME         FROM             ( SELECT NAME FROM TF_BASE_TYPE_P START WITH ID = ? CONNECT BY PRIOR REGION_ID = ID ORDER BY ID )
### Cause: java.sql.SQLSyntaxErrorException: ORA-00904: "REGION_ID": 标识符无效

; bad SQL grammar []; nested exception is java.sql.SQLSyntaxErrorException: ORA-00904: "REGION_ID": 标识符无效', 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574301000402550785', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-26 15:33:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:33:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '146', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574301012767358977', '0', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-26 15:33:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:33:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574293039374479362', 'GET', '{"id":["1574293039374479362"]}', '123', NULL, '### Error querying database.  Cause: java.sql.SQLSyntaxErrorException: ORA-00904: "REGION_ID": 标识符无效

### The error may exist in URL [jar:file:/E:/中民燃气/workflow/workflow-1.0-SNAPSHOT.jar!/BOOT-INF/classes!/mapper/buss/TfRegisterItemWMapper.xml]
### The error may involve defaultParameterMap
### The error occurred while setting parameters
### SQL: SELECT REPLACE( wm_concat ( NAME ), '','', ''-'' ) NAME         FROM             ( SELECT NAME FROM TF_BASE_TYPE_P START WITH ID = ? CONNECT BY PRIOR REGION_ID = ID ORDER BY ID )
### Cause: java.sql.SQLSyntaxErrorException: ORA-00904: "REGION_ID": 标识符无效

; bad SQL grammar []; nested exception is java.sql.SQLSyntaxErrorException: ORA-00904: "REGION_ID": 标识符无效', 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574301035936694273', '0', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 15:33:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:33:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1573918359266291713', 'GET', '{"id":["1573918359266291713"]}', '113', NULL, '### Error querying database.  Cause: java.sql.SQLSyntaxErrorException: ORA-00904: "REGION_ID": 标识符无效

### The error may exist in URL [jar:file:/E:/中民燃气/workflow/workflow-1.0-SNAPSHOT.jar!/BOOT-INF/classes!/mapper/buss/TfRegisterItemWMapper.xml]
### The error may involve defaultParameterMap
### The error occurred while setting parameters
### SQL: SELECT REPLACE( wm_concat ( NAME ), '','', ''-'' ) NAME         FROM             ( SELECT NAME FROM TF_BASE_TYPE_P START WITH ID = ? CONNECT BY PRIOR REGION_ID = ID ORDER BY ID )
### Cause: java.sql.SQLSyntaxErrorException: ORA-00904: "REGION_ID": 标识符无效

; bad SQL grammar []; nested exception is java.sql.SQLSyntaxErrorException: ORA-00904: "REGION_ID": 标识符无效', 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574301065233907713', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 15:33:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:33:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574301568353079297', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-26 15:35:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:35:17', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.48', NULL, '/tfprocessl/1574293039374479362', 'GET', '{}', '3812', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574311158314815489', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 16:13:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:13:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574311176249659393', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 16:13:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:13:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574293039374479362', 'GET', '{"id":["1574293039374479362"]}', '33', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574311210672312321', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 16:13:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:13:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574311234709868545', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 16:13:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:13:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '7', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574311276917149697', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 16:13:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:13:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574311320680517633', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 16:14:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:14:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '8', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574311324971290625', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 16:14:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:14:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '142', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574311356059471874', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 16:14:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:14:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574311525358358530', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 16:14:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:14:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574311525576462337', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 16:14:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:14:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574311577950736385', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 16:15:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:15:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '136', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574311580068859906', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 16:15:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:15:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574311581478146049', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 16:15:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:15:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574311585496289282', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 16:15:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:15:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574311654974935042', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 16:15:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:15:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '155', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574311690769125377', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 16:15:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:15:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '132', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574311698650222594', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 16:15:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:15:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574219785834180609', 'GET', '{"id":["1574219785834180609"]}', '28', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574311738881986561', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 16:15:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:15:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '115', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574311826446471170', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 16:16:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:16:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574293039374479362', 'GET', '{"id":["1574293039374479362"]}', '25', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574311863322791937', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 16:16:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:16:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574311879454085121', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 16:16:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:16:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '149', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574311890430578689', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 16:16:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:16:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574293039374479362', 'GET', '{"id":["1574293039374479362"]}', '27', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574311939902394370', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 16:16:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:16:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '9', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574311949733842946', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 16:16:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:16:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '122', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574312424063488002', '1', 'tofly-flow', 'txh', TO_DATE('2022-09-26 16:18:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:18:25', 'SYYYY-MM-DD HH24:MI:SS'), '42.225.115.58', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569152821327564802"],"label":["1568482594885484546"],"isMould":["0"]}', '2', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574312443986432001', '1', 'tofly-flow', 'txh', TO_DATE('2022-09-26 16:18:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:18:30', 'SYYYY-MM-DD HH24:MI:SS'), '42.225.115.58', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '116', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574312469361971201', '1', 'tofly-flow', 'txh', TO_DATE('2022-09-26 16:18:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:18:36', 'SYYYY-MM-DD HH24:MI:SS'), '42.225.115.58', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '134', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574312492900405249', '1', 'tofly-flow', 'txh', TO_DATE('2022-09-26 16:18:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:18:42', 'SYYYY-MM-DD HH24:MI:SS'), '42.225.115.58', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '116', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574312494292914177', '1', 'tofly-flow', 'txh', TO_DATE('2022-09-26 16:18:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:18:42', 'SYYYY-MM-DD HH24:MI:SS'), '42.225.115.58', NULL, '/tfprocessl/1574293039374479362', 'GET', '{"id":["1574293039374479362"]}', '27', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574312715345317889', '1', 'tofly-flow', 'txh', TO_DATE('2022-09-26 16:19:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:19:35', 'SYYYY-MM-DD HH24:MI:SS'), '42.225.115.58', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569152821327564802"],"label":["1568482594885484546"],"isMould":["0"]}', '2', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574312806613372930', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 16:19:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:19:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '117', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574312807183798274', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 16:19:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:19:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1573965383747530754', 'GET', '{"id":["1573965383747530754"]}', '19', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574312819129176066', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 16:20:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:20:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1573965383747530754', 'GET', '{"id":["1573965383747530754"]}', '17', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574313540666904578', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 16:22:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:22:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '264', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574313552331264001', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 16:22:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:22:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '304', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574313564238893058', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 16:22:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:22:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574293039374479362', 'GET', '{"id":["1574293039374479362"]}', '176', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574313577480310785', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-26 16:23:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:23:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '212', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574348585188216836', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-26 18:42:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 18:42:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '496', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574566457638498306', '0', 'tofly-flow', 'admin', TO_DATE('2022-09-27 09:07:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 09:07:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp', 'POST', '{}', '66', NULL, '### Error updating database.  Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.workProcessNotNull)

### The error may exist in com/tofly/workflow/baseconf/mapper/TfWorkProcessPMapper.java (best guess)
### The error may involve com.tofly.workflow.baseconf.mapper.TfWorkProcessPMapper.insert-Inline
### The error occurred while setting parameters
### SQL: INSERT INTO TF_WORK_PROCESS_P  ( id, name,   remark, CREATE_USER, CREATE_TIME, UPDATE_USER, UPDATE_TIME )  VALUES  ( ?, ?,   ?, ?, ?, ?, ? )
### Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.workProcessNotNull)

; ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.workProcessNotNull)
; nested exception is java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.workProcessNotNull)', 'content:新增工序管理（工序名称）/工程管控管理', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574566592116273153', '0', 'tofly-flow', 'admin', TO_DATE('2022-09-27 09:08:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 09:08:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp', 'POST', '{}', '64', NULL, '### Error updating database.  Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.workProcessNotNull)

### The error may exist in com/tofly/workflow/baseconf/mapper/TfWorkProcessPMapper.java (best guess)
### The error may involve com.tofly.workflow.baseconf.mapper.TfWorkProcessPMapper.insert-Inline
### The error occurred while setting parameters
### SQL: INSERT INTO TF_WORK_PROCESS_P  ( id, name,   remark, CREATE_USER, CREATE_TIME, UPDATE_USER, UPDATE_TIME )  VALUES  ( ?, ?,   ?, ?, ?, ?, ? )
### Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.workProcessNotNull)

; ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.workProcessNotNull)
; nested exception is java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.workProcessNotNull)', 'content:新增工序管理（工序名称）/工程管控管理', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574566619521855489', '0', 'tofly-flow', 'admin', TO_DATE('2022-09-27 09:08:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 09:08:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp', 'POST', '{}', '70', NULL, '### Error updating database.  Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.workProcessNotNull)

### The error may exist in com/tofly/workflow/baseconf/mapper/TfWorkProcessPMapper.java (best guess)
### The error may involve com.tofly.workflow.baseconf.mapper.TfWorkProcessPMapper.insert-Inline
### The error occurred while setting parameters
### SQL: INSERT INTO TF_WORK_PROCESS_P  ( id, name,   remark, CREATE_USER, CREATE_TIME, UPDATE_USER, UPDATE_TIME )  VALUES  ( ?, ?,   ?, ?, ?, ?, ? )
### Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.workProcessNotNull)

; ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.workProcessNotNull)
; nested exception is java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.workProcessNotNull)', 'content:新增工序管理（工序名称）/工程管控管理', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574566639352524801', '0', 'tofly-flow', 'admin', TO_DATE('2022-09-27 09:08:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 09:08:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp', 'POST', '{}', '75', NULL, '### Error updating database.  Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.workProcessNotNull)

### The error may exist in com/tofly/workflow/baseconf/mapper/TfWorkProcessPMapper.java (best guess)
### The error may involve com.tofly.workflow.baseconf.mapper.TfWorkProcessPMapper.insert-Inline
### The error occurred while setting parameters
### SQL: INSERT INTO TF_WORK_PROCESS_P  ( id, name,   remark, CREATE_USER, CREATE_TIME, UPDATE_USER, UPDATE_TIME )  VALUES  ( ?, ?,   ?, ?, ?, ?, ? )
### Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.workProcessNotNull)

; ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.workProcessNotNull)
; nested exception is java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.workProcessNotNull)', 'content:新增工序管理（工序名称）/工程管控管理', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574566696101457921', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-27 09:08:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 09:08:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '34', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574567188353363969', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-27 09:10:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 09:10:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp', 'POST', '{}', '5', NULL, NULL, 'content:新增工序管理（工序名称）/工程管控管理', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574567188672131074', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-27 09:10:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 09:10:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574567239427403778', '0', 'tofly-flow', 'admin', TO_DATE('2022-09-27 09:10:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 09:10:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp', 'PUT', '{}', '87', NULL, '### Error updating database.  Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.workProcessNotNull)

### The error may exist in com/tofly/workflow/baseconf/mapper/TfWorkProcessPMapper.java (best guess)
### The error may involve com.tofly.workflow.baseconf.mapper.TfWorkProcessPMapper.updateById-Inline
### The error occurred while setting parameters
### SQL: UPDATE TF_WORK_PROCESS_P  SET name=?,   remark=?,   UPDATE_USER=?, UPDATE_TIME=?  WHERE id=?
### Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.workProcessNotNull)

; ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.workProcessNotNull)
; nested exception is java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.workProcessNotNull)', 'content:修改工序管理（工序名称）/工程管控管理', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574567416120848385', '0', 'tofly-flow', 'admin', TO_DATE('2022-09-27 09:11:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 09:11:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp', 'PUT', '{}', '77', NULL, '### Error updating database.  Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.workProcessNotNull)

### The error may exist in com/tofly/workflow/baseconf/mapper/TfWorkProcessPMapper.java (best guess)
### The error may involve com.tofly.workflow.baseconf.mapper.TfWorkProcessPMapper.updateById-Inline
### The error occurred while setting parameters
### SQL: UPDATE TF_WORK_PROCESS_P  SET name=?,   remark=?,   UPDATE_USER=?, UPDATE_TIME=?  WHERE id=?
### Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.workProcessNotNull)

; ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.workProcessNotNull)
; nested exception is java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.workProcessNotNull)', 'content:修改工序管理（工序名称）/工程管控管理', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574569147483402242', '2', 'tofly-auth', 'yj', TO_DATE('2022-09-27 09:18:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 09:18:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/d8bde688-5fbc-450e-8a55-4235410645b4', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574274387426189313', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-26 13:47:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 13:47:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '2', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574274406476718081', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-26 13:47:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 13:47:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '133', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574274406812262402', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-26 13:47:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 13:47:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574237792111685633', 'GET', '{"id":["1574237792111685633"]}', '17', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574274429125959681', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-26 13:47:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 13:47:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '120', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574274441889226753', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-26 13:47:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 13:47:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '122', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574274474223116290', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-26 13:47:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 13:47:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '129', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574274474634158082', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-26 13:47:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 13:47:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574237792111685633', 'GET', '{"id":["1574237792111685633"]}', '23', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574274494485798913', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-26 13:47:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 13:47:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '125', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574274494779400193', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-26 13:47:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 13:47:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574237792111685633', 'GET', '{"id":["1574237792111685633"]}', '16', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574275236978270209', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-26 13:50:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 13:50:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '2', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574275413420056577', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-26 13:51:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 13:51:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '123', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574275414065979393', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-26 13:51:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 13:51:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574237792111685633', 'GET', '{"id":["1574237792111685633"]}', '19', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574275678382628866', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-26 13:52:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 13:52:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["-1"],"isMould":["0"]}', '1', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574275685269676033', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-26 13:52:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 13:52:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectmaterialw/getDispatchRecord', 'GET', '{"relationId":["1570739116476383234"],"materialType":["3"]}', '23', NULL, NULL, 'content:领料记录', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574275685328396290', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-26 13:52:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 13:52:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["-1"],"isMould":["0"]}', '1', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574275849178882049', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-26 13:53:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 13:53:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl', 'POST', '{}', '20', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574275849485066241', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-26 13:53:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 13:53:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574275866744627201', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-26 13:53:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 13:53:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574275869189906433', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-26 13:53:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 13:53:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574275923942350850', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-26 13:53:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 13:53:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '2', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574276139017871361', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-26 13:54:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 13:54:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '2', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574276163047038978', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-26 13:54:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 13:54:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574276165433597954', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-26 13:54:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 13:54:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574276174652678146', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-26 13:54:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 13:54:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '2', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574276223197552641', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-26 13:54:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 13:54:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '1', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574276325765062657', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-26 13:54:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 13:54:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl', 'POST', '{}', '20', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574276326100606978', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-26 13:54:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 13:54:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574276346711416833', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-26 13:55:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 13:55:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574276364524625922', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-26 13:55:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 13:55:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572111539262464001', 'GET', '{"id":["1572111539262464001"]}', '97', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574276365061496834', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-26 13:55:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 13:55:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574276367527747586', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-26 13:55:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 13:55:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574276456719622145', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-26 13:55:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 13:55:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl', 'POST', '{}', '73', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574276457214550018', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-26 13:55:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 13:55:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574276470585991169', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-26 13:55:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 13:55:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '134', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574276487526785026', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-26 13:55:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 13:55:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '121', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574276487912660993', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-26 13:55:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 13:55:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574237792111685633', 'GET', '{"id":["1574237792111685633"]}', '17', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574276488768299009', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-26 13:55:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 13:55:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574276491335213058', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-26 13:55:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 13:55:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574276502777274369', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-26 13:55:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 13:55:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '131', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574276503062487041', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-26 13:55:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 13:55:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574237792111685633', 'GET', '{"id":["1574237792111685633"]}', '16', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574301092656267265', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 15:33:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:33:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '140', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574301094128467969', '0', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 15:33:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:33:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574219785834180609', 'GET', '{"id":["1574219785834180609"]}', '119', NULL, '### Error querying database.  Cause: java.sql.SQLSyntaxErrorException: ORA-00904: "REGION_ID": 标识符无效

### The error may exist in URL [jar:file:/E:/中民燃气/workflow/workflow-1.0-SNAPSHOT.jar!/BOOT-INF/classes!/mapper/buss/TfRegisterItemWMapper.xml]
### The error may involve defaultParameterMap
### The error occurred while setting parameters
### SQL: SELECT REPLACE( wm_concat ( NAME ), '','', ''-'' ) NAME         FROM             ( SELECT NAME FROM TF_BASE_TYPE_P START WITH ID = ? CONNECT BY PRIOR REGION_ID = ID ORDER BY ID )
### Cause: java.sql.SQLSyntaxErrorException: ORA-00904: "REGION_ID": 标识符无效

; bad SQL grammar []; nested exception is java.sql.SQLSyntaxErrorException: ORA-00904: "REGION_ID": 标识符无效', 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574301438245945345', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 15:34:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:34:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574301460266041345', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 15:34:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:34:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '133', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574301461041987585', '0', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 15:34:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:34:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574219785834180609', 'GET', '{"id":["1574219785834180609"]}', '75', NULL, '### Error querying database.  Cause: java.sql.SQLSyntaxErrorException: ORA-00904: "REGION_ID": 标识符无效

### The error may exist in URL [jar:file:/E:/中民燃气/workflow/workflow-1.0-SNAPSHOT.jar!/BOOT-INF/classes!/mapper/buss/TfRegisterItemWMapper.xml]
### The error may involve defaultParameterMap
### The error occurred while setting parameters
### SQL: SELECT REPLACE( wm_concat ( NAME ), '','', ''-'' ) NAME         FROM             ( SELECT NAME FROM TF_BASE_TYPE_P START WITH ID = ? CONNECT BY PRIOR REGION_ID = ID ORDER BY ID )
### Cause: java.sql.SQLSyntaxErrorException: ORA-00904: "REGION_ID": 标识符无效

; bad SQL grammar []; nested exception is java.sql.SQLSyntaxErrorException: ORA-00904: "REGION_ID": 标识符无效', 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574301470474977281', '0', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 15:34:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:34:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574219785834180609', 'GET', '{"id":["1574219785834180609"]}', '57', NULL, '### Error querying database.  Cause: java.sql.SQLSyntaxErrorException: ORA-00904: "REGION_ID": 标识符无效

### The error may exist in URL [jar:file:/E:/中民燃气/workflow/workflow-1.0-SNAPSHOT.jar!/BOOT-INF/classes!/mapper/buss/TfRegisterItemWMapper.xml]
### The error may involve defaultParameterMap
### The error occurred while setting parameters
### SQL: SELECT REPLACE( wm_concat ( NAME ), '','', ''-'' ) NAME         FROM             ( SELECT NAME FROM TF_BASE_TYPE_P START WITH ID = ? CONNECT BY PRIOR REGION_ID = ID ORDER BY ID )
### Cause: java.sql.SQLSyntaxErrorException: ORA-00904: "REGION_ID": 标识符无效

; bad SQL grammar []; nested exception is java.sql.SQLSyntaxErrorException: ORA-00904: "REGION_ID": 标识符无效', 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574301580592058370', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-26 15:35:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:35:20', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.48', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '6713', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574301582131367938', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-26 15:35:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:35:20', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.48', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '31', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574301582823428097', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-26 15:35:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:35:21', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.48', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '198', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574302554287362050', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-26 15:39:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:39:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '45', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574302789159784450', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-26 15:40:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:40:08', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.48', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '10', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574302808537468929', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-26 15:40:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:40:13', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.48', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '1617', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574302811167297538', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-26 15:40:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:40:13', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.48', NULL, '/tfprocessl/1574293039374479362', 'GET', '{"id":["1574293039374479362"]}', '368', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574302971549306881', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-26 15:40:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:40:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '33', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574302983104614402', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-26 15:40:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:40:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '283', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574302984270630913', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-26 15:40:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:40:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574237792111685633', 'GET', '{"id":["1574237792111685633"]}', '151', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574303016168312833', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-26 15:41:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:41:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574303033218158593', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-26 15:41:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:41:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '219', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574303034044436481', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-26 15:41:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:41:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574237792111685633', 'GET', '{"id":["1574237792111685633"]}', '31', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574304055877554178', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 15:45:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:45:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '157', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574304451647885313', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 15:46:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:46:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574304451878572033', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 15:46:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:46:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574304471117844481', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 15:46:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:46:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '145', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574304472694902785', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 15:46:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:46:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574304472917200897', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 15:46:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:46:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574304475492503554', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 15:46:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:46:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574313584744845313', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 16:23:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:23:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574313589899644930', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-26 16:23:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:23:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '191', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574313590449098753', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-26 16:23:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:23:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574237792111685633', 'GET', '{"id":["1574237792111685633"]}', '24', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574313617737240577', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-26 16:23:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:23:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '181', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574313618211196930', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-26 16:23:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:23:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574219785834180609', 'GET', '{"id":["1574219785834180609"]}', '30', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574313630932520962', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-26 16:23:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:23:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '172', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574313654756167682', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-26 16:23:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:23:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '227', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574313824898109441', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 16:23:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:23:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574293039374479362', 'GET', '{"id":["1574293039374479362"]}', '40', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574313869764579329', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 16:24:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:24:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574313880845930498', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 16:24:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:24:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '140', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574314015059464194', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 16:24:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:24:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl', 'POST', '{}', '846', NULL, NULL, 'content:新增流程信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574314066175447041', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 16:24:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:24:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '143', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574314066808786946', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 16:24:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:24:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574314012068810754', 'GET', '{"id":["1574314012068810754"]}', '25', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574314073570004994', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 16:24:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:24:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574314012068810754', 'GET', '{"id":["1574314012068810754"]}', '22', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574314191702577154', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 16:25:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:25:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '163', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574314192403025922', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 16:25:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:25:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574314012068810754', 'GET', '{"id":["1574314012068810754"]}', '24', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574314198505738241', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 16:25:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:25:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574314012068810754', 'GET', '{"id":["1574314012068810754"]}', '23', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574314248342458370', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 16:25:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:25:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574293039374479362', 'GET', '{"id":["1574293039374479362"]}', '30', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574314328000679938', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 16:25:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:25:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessnodel', 'POST', '{}', '161', NULL, NULL, 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574314347755851778', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 16:26:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:26:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '142', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574314348217225217', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 16:26:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:26:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574314012068810754', 'GET', '{"id":["1574314012068810754"]}', '25', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574314356651970561', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 16:26:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:26:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574314012068810754', 'GET', '{"id":["1574314012068810754"]}', '24', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574314390646804481', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 16:26:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:26:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574293039374479362', 'GET', '{"id":["1574293039374479362"]}', '44', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574314440579993602', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 16:26:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:26:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574314473769521153', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 16:26:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:26:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574314517885210626', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 16:26:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:26:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574314597551820802', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 16:27:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:27:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '138', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574314598164189185', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 16:27:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:27:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574314012068810754', 'GET', '{"id":["1574314012068810754"]}', '24', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574314641239691266', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 16:27:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:27:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574293039374479362', 'GET', '{"id":["1574293039374479362"]}', '32', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574314661334601729', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 16:27:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:27:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '168', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574314662311874561', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 16:27:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:27:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574314012068810754', 'GET', '{"id":["1574314012068810754"]}', '27', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574314711758524417', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 16:27:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:27:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574293039374479362', 'GET', '{"id":["1574293039374479362"]}', '32', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574314825025703938', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 16:27:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:27:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessnodel', 'POST', '{}', '84', NULL, NULL, 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574314893275418625', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 16:28:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:28:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574314937844092929', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 16:28:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:28:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '135', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574314954285764610', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 16:28:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:28:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574293039374479362', 'GET', '{"id":["1574293039374479362"]}', '34', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574315090630004738', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 16:29:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:29:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '139', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574315091569528834', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 16:29:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:29:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574314012068810754', 'GET', '{"id":["1574314012068810754"]}', '23', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574315756744200194', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-26 16:31:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:31:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574315766001029122', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-26 16:31:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:31:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482739010158593"],"isMould":["0"]}', '23', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574348585188216834', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-26 18:42:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 18:42:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '504', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574348588057120770', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-26 18:42:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 18:42:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '31', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574348588157784066', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-26 18:42:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 18:42:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '28', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574348835567194114', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-26 18:43:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 18:43:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1574293601415409665', 'GET', '{"id":["1574293601415409665"]}', '33', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574348836292808705', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-26 18:43:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 18:43:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574348836598992897', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-26 18:43:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 18:43:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574348839572754434', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-26 18:43:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 18:43:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574348849681027074', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 18:43:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 18:43:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574348849894936578', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 18:43:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 18:43:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574348852952584193', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 18:43:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 18:43:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574570766967091201', '2', 'tofly-auth', 'tmx', TO_DATE('2022-09-27 09:24:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 09:24:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/5c2e63c6-a06b-4fc4-8d26-05d06177bcc1', 'DELETE', '{}', '1', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574570883396775937', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 09:25:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 09:25:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"name":[""],"current":["1"],"size":["30"]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574570884021727234', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 09:25:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 09:25:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"name":[""],"current":["1"],"size":["30"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574570884772507649', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 09:25:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 09:25:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"name":[""],"current":["1"],"size":["30"]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574570895769972738', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 09:25:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 09:25:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"name":[""],"current":["1"],"size":["30"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574570896306843650', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 09:25:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 09:25:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"name":[""],"current":["1"],"size":["30"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574570986790563841', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 09:25:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 09:25:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574571013508280322', '0', 'tofly-flow', 'test', TO_DATE('2022-09-27 09:25:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 09:25:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp', 'PUT', '{}', '62', NULL, '### Error updating database.  Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.workProcessNotNull)

### The error may exist in com/tofly/workflow/baseconf/mapper/TfWorkProcessPMapper.java (best guess)
### The error may involve com.tofly.workflow.baseconf.mapper.TfWorkProcessPMapper.updateById-Inline
### The error occurred while setting parameters
### SQL: UPDATE TF_WORK_PROCESS_P  SET name=?,   remark=?,   UPDATE_USER=?, UPDATE_TIME=?  WHERE id=?
### Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.workProcessNotNull)

; ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.workProcessNotNull)
; nested exception is java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.workProcessNotNull)', 'content:修改工序管理（工序名称）/工程管控管理', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574571029018816513', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 09:26:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 09:26:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/1574567188256894978', 'DELETE', '{}', '5', NULL, NULL, 'content:通过id删除工序管理（工序名称）/工程管控管理', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574571029488578562', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 09:26:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 09:26:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574571037327732738', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 09:26:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 09:26:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"name":[""],"current":["1"],"size":["30"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574571038162399233', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 09:26:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 09:26:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"name":[""],"current":["1"],"size":["30"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574571038934151170', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 09:26:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 09:26:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"name":[""],"current":["1"],"size":["30"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574571077123289089', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 09:26:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 09:26:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp', 'POST', '{}', '6', NULL, NULL, 'content:新增工序管理（工序名称）/工程管控管理', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574571077802766337', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 09:26:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 09:26:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574572697055768578', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 09:32:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 09:32:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp', 'PUT', '{}', '11', NULL, NULL, 'content:修改合同模板公用字段', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574572697546502146', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 09:32:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 09:32:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["30"],"current":["1"]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574573215849230337', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-27 09:34:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 09:34:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '8', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574573223948431361', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-27 09:34:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 09:34:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '40', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574573268353527809', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 09:34:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 09:34:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp', 'PUT', '{}', '3', NULL, NULL, 'content:修改合同模板公用字段', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574573268814901250', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 09:34:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 09:34:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["30"],"current":["1"]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574573336762626050', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 09:35:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 09:35:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp', 'PUT', '{}', '3', NULL, NULL, 'content:修改合同模板公用字段', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574573337412743170', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 09:35:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 09:35:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["30"],"current":["1"]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574573394572718082', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 09:35:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 09:35:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp', 'PUT', '{}', '2', NULL, NULL, 'content:修改合同模板公用字段', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574573395101200385', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 09:35:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 09:35:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["30"],"current":["1"]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574574122217353218', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 09:38:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 09:38:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["30"],"current":["1"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574574181310902273', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 09:38:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 09:38:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp', 'POST', '{}', '3', NULL, NULL, 'content:新增合同模板公用字段', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574574182246232066', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 09:38:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 09:38:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["30"],"current":["1"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574574241885040641', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 09:38:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 09:38:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp', 'POST', '{}', '37', NULL, NULL, 'content:新增合同模板公用字段', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574271839604613121', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-26 13:37:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 13:37:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '128', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574276635610882050', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-26 13:56:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 13:56:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/page', 'GET', '{"tenantId":["1"],"current":["1"],"size":["10000"],"isDel":["0"]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574276650005733377', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-26 13:56:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 13:56:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574276650056065025', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-26 13:56:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 13:56:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574276650139951106', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-26 13:56:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 13:56:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574276698844209153', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 13:56:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 13:56:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574276699045535746', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 13:56:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 13:56:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574276703525052417', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 13:56:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 13:56:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":["1"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574276705936777218', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 13:56:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 13:56:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574277765317304322', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 14:00:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:00:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl', 'POST', '{}', '22', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574277765673820161', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 14:00:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:00:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574277772275654658', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 14:00:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:00:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":["1"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574277774725128194', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 14:00:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:00:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574277822481473537', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 14:00:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:00:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574277832979816450', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 14:00:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:00:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '125', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574277842899345410', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-26 14:01:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:01:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482739010158593"],"isMould":["0"]}', '1', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574278055613472769', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 14:01:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:01:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574278099167125505', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 14:02:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:02:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '143', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574278483101130753', '1', 'tofly-flow', 'fsq', TO_DATE('2022-09-26 14:03:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:03:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1570225246022770689"],"label":["1568482594885484546"],"isMould":["0"]}', '2', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574278837947637762', '2', 'tofly-auth', 'lz', TO_DATE('2022-09-26 14:04:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:04:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/efb1e4e0-bc02-4334-ae52-194342ae2f47', 'DELETE', '{}', '1', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574279430762176514', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 14:07:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:07:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl', 'POST', '{}', '18', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574279431101915138', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 14:07:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:07:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574279448491499522', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-26 14:07:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:07:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574279463985258497', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 14:07:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:07:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1574279430669938690', 'GET', '{"id":["1574279430669938690"]}', '21', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574279464408883202', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 14:07:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:07:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574279466833190914', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 14:07:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:07:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574279477029543938', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 14:07:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:07:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl', 'POST', '{}', '16', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574279477360893953', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 14:07:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:07:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '17', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574279489549541377', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 14:07:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:07:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1574277765191512066', 'GET', '{"id":["1574277765191512066"]}', '18', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574279489977360385', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 14:07:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:07:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574279492418445313', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 14:07:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:07:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574279528825004033', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 14:07:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:07:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1574275849078255617', 'GET', '{"id":["1574275849078255617"]}', '25', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574279529240240130', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 14:07:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:07:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574279531924594690', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 14:07:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:07:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574279553537843202', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 14:07:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:07:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '2', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574279842764464130', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 14:08:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:08:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":["1"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574279846396731394', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 14:08:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:08:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574279964172787714', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 14:09:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:09:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574279966802616321', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 14:09:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:09:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574280815813632001', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 14:12:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:12:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574304543700275202', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 15:47:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:47:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574304560242610178', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 15:47:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:47:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '146', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574304569042259970', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 15:47:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:47:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574293039374479362', 'GET', '{"id":["1574293039374479362"]}', '30', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574304690337337345', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 15:47:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:47:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574293039374479362', 'GET', '{"id":["1574293039374479362"]}', '31', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574304709186539521', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 15:47:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:47:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574304724478971905', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 15:47:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:47:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '149', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574304732347486209', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 15:47:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:47:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574293039374479362', 'GET', '{"id":["1574293039374479362"]}', '29', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574304775058083841', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-26 15:48:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:48:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '2', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574304899209482241', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 15:48:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:48:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574293039374479362', 'GET', '{"id":["1574293039374479362"]}', '33', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574304913117794306', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-26 15:48:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:48:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '153', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574304946827415554', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-26 15:48:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:48:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '153', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574304964028256258', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-26 15:48:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:48:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '145', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574304977714270210', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-26 15:48:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:48:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '2', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574305144895033346', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 15:49:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:49:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574293039374479362', 'GET', '{"id":["1574293039374479362"]}', '27', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574305296909193217', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-26 15:50:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:50:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '32', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574305309840232449', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-26 15:50:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:50:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574305346733330433', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 15:50:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:50:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '22', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574305347073069058', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 15:50:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:50:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '21', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574305373912420354', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 15:50:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:50:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1574276325647659009', 'GET', '{"id":["1574276325647659009"]}', '11', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574305374742892546', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 15:50:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:50:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574305410667106305', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 15:50:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:50:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574305490165944321', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 15:50:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:50:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1574276325647659009', 'GET', '{"id":["1574276325647659009"]}', '19', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574305490837032961', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 15:50:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:50:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574305493294895105', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 15:50:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:50:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574305518448136193', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 15:50:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:50:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574305527268757505', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 15:51:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:51:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl', 'POST', '{}', '136', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574305527663022081', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 15:51:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:51:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574305572017786881', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 15:51:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:51:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '149', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574305572609183746', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 15:51:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:51:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574219785834180609', 'GET', '{"id":["1574219785834180609"]}', '24', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574305600627134466', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 15:51:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:51:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1574276325647659009', 'GET', '{"id":["1574276325647659009"]}', '19', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574305601457606657', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 15:51:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:51:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574305604062269441', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 15:51:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:51:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574305730935771137', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 15:51:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:51:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl', 'POST', '{}', '22', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574305731330035714', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 15:51:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:51:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574305761851985921', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 15:51:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:51:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1574276325647659009', 'GET', '{"id":["1574276325647659009"]}', '19', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574305762447577089', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 15:51:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:51:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574305764985131010', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 15:51:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:51:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574305814381449218', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 15:52:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:52:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574305817036443649', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 15:52:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:52:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574305994430337025', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 15:52:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:52:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574293039374479362', 'GET', '{"id":["1574293039374479362"]}', '29', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574211760469700610', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 09:38:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:38:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '114', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574211760880742401', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 09:38:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:38:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1573965383747530754', 'GET', '{"id":["1573965383747530754"]}', '13', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574212614446772225', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 09:41:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:41:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl', 'POST', '{}', '60', NULL, NULL, 'content:新增流程信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574212623045095426', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 09:41:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:41:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '119', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574212896526299137', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-26 09:42:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:42:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '121', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574212903455289345', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-26 09:42:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:42:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '26', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574212903488843777', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-26 09:42:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:42:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '41', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574213403055616002', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 09:44:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:44:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '116', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574213403412131841', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 09:44:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:44:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1573965383747530754', 'GET', '{"id":["1573965383747530754"]}', '13', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574214287122624513', '1', 'tofly-flow', 'fsq', TO_DATE('2022-09-26 09:48:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:48:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1570225246022770689"],"label":["1568482594885484546"],"isMould":["0"]}', '2', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574214672289755137', '2', 'tofly-auth', 'fsq', TO_DATE('2022-09-26 09:50:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:50:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/d774e98a-1e51-41e5-a0f1-84673b3e4629', 'DELETE', '{}', '1', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574215668772499458', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 09:53:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:53:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '2', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574215700590489602', '2', 'tofly-auth', 'hq', TO_DATE('2022-09-26 09:54:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:54:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/71294deb-6d4b-48ea-8a50-72615dce98f2', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574215752062988290', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 09:54:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:54:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '124', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574215760480956417', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 09:54:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:54:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1573919105386835969', 'GET', '{"id":["1573919105386835969"]}', '23', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574215855972675585', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-26 09:54:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:54:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '50', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574215859474919425', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-26 09:54:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:54:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568483117915193345"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574216025456111618', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-26 09:55:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:55:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574216044670218241', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-26 09:55:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:55:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574216044905099265', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-26 09:55:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:55:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574216065293611010', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-26 09:55:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:55:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '124', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574216065511714817', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-26 09:55:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:55:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1573919105386835969', 'GET', '{}', '18', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574216067344625666', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-26 09:55:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:55:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '113', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574216067982159874', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-26 09:55:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:55:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574216068246401026', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-26 09:55:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:55:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574216070775566338', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-26 09:55:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:55:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '2', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574216562977140737', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 09:57:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:57:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '2', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574216603968073730', '2', 'tofly-auth', 'mz001', TO_DATE('2022-09-26 09:57:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:57:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/a98280e1-3a3f-4c5e-b858-8ada74484f67', 'DELETE', '{}', '1', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574281697045291010', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 14:16:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:16:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '17', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574281698039341057', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 14:16:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:16:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '18', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574281698941116417', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 14:16:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:16:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574284176726204418', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 14:26:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:26:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '134', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574284183537754114', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 14:26:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:26:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574237792111685633', 'GET', '{"id":["1574237792111685633"]}', '25', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574284243642130433', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-26 14:26:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:26:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/ea5a0e42-b1a6-4559-b991-52acbcfda59c', 'DELETE', '{}', '1', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574284273329414146', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-26 14:26:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:26:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574286716431802369', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-26 14:36:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:36:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574237792111685633', 'GET', '{}', '19', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574286717048365057', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-26 14:36:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:36:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '115', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574286859587592194', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-26 14:36:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:36:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574286859663089666', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-26 14:36:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:36:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '18', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574286861470834690', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-26 14:36:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:36:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574286861554720770', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-26 14:36:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:36:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '18', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574292004614479874', '2', 'tofly-auth', 'mzadmin', TO_DATE('2022-09-26 14:57:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:57:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/1e563ad5-d80a-4d4d-867b-fee3aad266f8', 'DELETE', '{}', '1', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574292343593934849', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-26 14:58:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:58:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1574286883662934017', 'DELETE', '{"id":["1574286883662934017"]}', '2', NULL, NULL, 'content:通过id删除审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574292343803650050', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-26 14:58:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:58:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574292347352031234', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-26 14:58:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:58:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574292347528192002', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-26 14:58:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:58:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574292350124466178', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-26 14:58:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:58:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574292360492785666', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-26 14:58:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:58:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1574275849078255617', 'GET', '{"id":["1574275849078255617"]}', '21', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574292361071599618', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-26 14:58:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:58:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574292361314869250', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-26 14:58:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:58:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574292363869200386', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-26 14:58:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:58:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574292454008987650', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 14:59:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:59:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574292507230511106', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 14:59:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:59:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '118', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574292518265724929', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-26 14:59:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:59:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574292673471750145', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 14:59:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:59:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '126', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574293039768707073', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 15:01:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:01:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl', 'POST', '{}', '137', NULL, NULL, 'content:新增流程信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574293103601819649', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-26 15:01:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:01:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '122', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574293110144933889', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-26 15:01:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:01:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '121', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574293110501449730', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-26 15:01:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:01:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574219785834180609', 'GET', '{"id":["1574219785834180609"]}', '21', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574293283898171393', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 15:02:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:02:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574293305322676226', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 15:02:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:02:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574293318186606594', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 15:02:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:02:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '124', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574293327846088705', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 15:02:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:02:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574293039374479362', 'GET', '{"id":["1574293039374479362"]}', '13', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574296191783968770', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 15:13:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:13:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574293039374479362', 'GET', '{"id":["1574293039374479362"]}', '17', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574296194355077121', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-26 15:13:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:13:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574296194397020162', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-26 15:13:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:13:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574296206019436545', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-26 15:13:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:13:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/e70b08f6-b546-49d5-aa89-7d82de139eab', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574566428114792449', '0', 'tofly-flow', 'admin', TO_DATE('2022-09-27 09:07:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 09:07:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp', 'POST', '{}', '67', NULL, '### Error updating database.  Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.workProcessNotNull)

### The error may exist in com/tofly/workflow/baseconf/mapper/TfWorkProcessPMapper.java (best guess)
### The error may involve com.tofly.workflow.baseconf.mapper.TfWorkProcessPMapper.insert-Inline
### The error occurred while setting parameters
### SQL: INSERT INTO TF_WORK_PROCESS_P  ( id, name,   remark, CREATE_USER, CREATE_TIME, UPDATE_USER, UPDATE_TIME )  VALUES  ( ?, ?,   ?, ?, ?, ?, ? )
### Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.workProcessNotNull)

; ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.workProcessNotNull)
; nested exception is java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.workProcessNotNull)', 'content:新增工序管理（工序名称）/工程管控管理', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574566604200062978', '0', 'tofly-flow', 'admin', TO_DATE('2022-09-27 09:08:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 09:08:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp', 'POST', '{}', '59', NULL, '### Error updating database.  Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.workProcessNotNull)

### The error may exist in com/tofly/workflow/baseconf/mapper/TfWorkProcessPMapper.java (best guess)
### The error may involve com.tofly.workflow.baseconf.mapper.TfWorkProcessPMapper.insert-Inline
### The error occurred while setting parameters
### SQL: INSERT INTO TF_WORK_PROCESS_P  ( id, name,   remark, CREATE_USER, CREATE_TIME, UPDATE_USER, UPDATE_TIME )  VALUES  ( ?, ?,   ?, ?, ?, ?, ? )
### Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.workProcessNotNull)

; ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.workProcessNotNull)
; nested exception is java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.workProcessNotNull)', 'content:新增工序管理（工序名称）/工程管控管理', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574568102648721410', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-27 09:14:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 09:14:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574568624189452289', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-27 09:16:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 09:16:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573955315337654273', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 16:39:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 16:39:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '119', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573955886140485634', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 16:41:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 16:41:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573958404417384450', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 16:51:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 16:51:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573958412449476609', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 16:51:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 16:51:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '114', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573958884279316482', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 16:53:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 16:53:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573958893800386562', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 16:53:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 16:53:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '123', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573959443703001089', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 16:55:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 16:55:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573959451374383105', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 16:55:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 16:55:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '122', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573960160190787586', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 16:58:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 16:58:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573960171867729922', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 16:58:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 16:58:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '133', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573960716766539777', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 17:00:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 17:00:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessnodel', 'POST', '{}', '139', NULL, NULL, 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573960844726366210', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 17:01:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 17:01:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessnodel', 'POST', '{}', '47', NULL, NULL, 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573961616889344001', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 17:04:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 17:04:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1573919105386835969', 'GET', '{"id":["1573919105386835969"]}', '35', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573961721755332610', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 17:04:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 17:04:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573963047620964354', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 17:10:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 17:10:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '7', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573963055967629314', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 17:10:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 17:10:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '122', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573963067506159618', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 17:10:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 17:10:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1573919105386835969', 'GET', '{"id":["1573919105386835969"]}', '19', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573963211756662785', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 17:10:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 17:10:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1573919105386835969', 'GET', '{"id":["1573919105386835969"]}', '23', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573963272515350530', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 17:11:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 17:11:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1573919105386835969', 'GET', '{"id":["1573919105386835969"]}', '15', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573963473003081729', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 17:11:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 17:11:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessnodel', 'POST', '{}', '89', NULL, NULL, 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573963696676925441', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 17:12:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 17:12:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573963950176464897', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 17:13:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 17:13:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '120', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573970433832251394', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 17:39:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 17:39:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '115', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573970439440035842', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 17:39:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 17:39:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1573919105386835969', 'GET', '{"id":["1573919105386835969"]}', '18', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574280828568510466', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 14:12:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:12:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '150', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574280906712588290', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 14:13:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:13:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '137', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574280919450689537', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-26 14:13:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:13:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '1', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574281121574199297', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-26 14:14:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:14:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574281148610682881', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-26 14:14:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:14:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '16', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574281307054710785', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-26 14:14:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:14:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/e7bc8395-4a9d-4f21-9629-42eea46d157e', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574281771133476866', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 14:16:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:16:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":["1"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574281992848580610', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 14:17:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:17:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '7', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574282004236115969', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 14:17:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:17:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep', 'POST', '{}', '13', NULL, NULL, 'content:新增基础类型表', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574282004420665346', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 14:17:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:17:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574282601072992258', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 14:19:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:19:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574282609868447746', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 14:19:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:19:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '141', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574282681943367681', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 14:20:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:20:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '148', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573932994044489729', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 15:10:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 15:10:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '7', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573933134343958529', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 15:11:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 15:11:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '26', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573933146998173697', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 15:11:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 15:11:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '145', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573933147216277505', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 15:11:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 15:11:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573933156586352641', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 15:11:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 15:11:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573933156779290626', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 15:11:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 15:11:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573933183157268482', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 15:11:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 15:11:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573933183358595073', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 15:11:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 15:11:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573933201180192769', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 15:11:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 15:11:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '135', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573933201792561153', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 15:11:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 15:11:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573933202094551041', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 15:11:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 15:11:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573933204871180289', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 15:11:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 15:11:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573971298706124802', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 17:42:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 17:42:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573971309149941761', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 17:42:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 17:42:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '120', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573971330230513665', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 17:43:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 17:43:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1573919105386835969', 'GET', '{"id":["1573919105386835969"]}', '19', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574202117622198274', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 09:00:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:00:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '33', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574203806802636801', '2', 'tofly-auth', 'mzadmin', TO_DATE('2022-09-26 09:06:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:06:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/6689866f-6741-4caf-83a3-c9396bc3fc01', 'DELETE', '{}', '8', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574204309187981314', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-26 09:08:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:08:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574204320009285634', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-26 09:08:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:08:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568483117915193345"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574204328041377794', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 09:08:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:08:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574204341169549313', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 09:08:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:08:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574204355077861377', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 09:09:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:09:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '122', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574204360756948994', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 09:09:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:09:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1573919105386835969', 'GET', '{"id":["1573919105386835969"]}', '15', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574204421108789250', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 09:09:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:09:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1573919105386835969', 'GET', '{"id":["1573919105386835969"]}', '19', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574204784557813761', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 09:10:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:10:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574204822348492801', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-26 09:10:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:10:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/a1dee3dc-a559-4b32-afd3-00a1c72109b1', 'DELETE', '{}', '1', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574207562093031425', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 09:21:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:21:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '2', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574209655545655297', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-26 09:30:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:30:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1572832711356719105"],"isMould":["0"]}', '2', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574210408066707458', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-26 09:33:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:33:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574210427515695105', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 09:33:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:33:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '115', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574210427888988161', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 09:33:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:33:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1573965383747530754', 'GET', '{"id":["1573965383747530754"]}', '14', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574210559787266049', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 09:33:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:33:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574210570885394433', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 09:33:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:33:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574210744185647106', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-26 09:34:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:34:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '2', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574210749009096706', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-26 09:34:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:34:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574210802301923330', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 09:34:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:34:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '2', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573929769153196033', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 14:57:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 14:57:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573929980760027138', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 14:58:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 14:58:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '123', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573930158195863553', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 14:59:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 14:59:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '128', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573930168086032385', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 14:59:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 14:59:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1573919105386835969', 'GET', '{"id":["1573919105386835969"]}', '18', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573930608244682753', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 15:01:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 15:01:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '127', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573932384540815362', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 15:08:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 15:08:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573932854822957057', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 15:10:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 15:10:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl', 'POST', '{}', '143', NULL, NULL, 'content:新增流程信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574286870006243330', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 14:36:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:36:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574219785834180609', 'GET', '{"id":["1574219785834180609"]}', '16', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574289424505151490', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 14:47:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:47:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574289665409196034', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 14:47:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:47:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574289692785418242', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 14:48:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:48:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '122', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574289704676270082', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 14:48:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:48:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574219785834180609', 'GET', '{"id":["1574219785834180609"]}', '15', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574291000657485825', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-26 14:53:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:53:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574291005392855042', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-26 14:53:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:53:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '2', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574315782040047617', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 16:31:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:31:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '134', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574315783063457793', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 16:31:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:31:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574314012068810754', 'GET', '{"id":["1574314012068810754"]}', '23', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574315823781761026', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-26 16:31:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:31:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '2', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574315859966021634', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 16:32:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:32:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574316055164735490', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 16:32:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:32:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessnodel', 'POST', '{}', '116', NULL, NULL, 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574316211188649985', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 16:33:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:33:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574316244436897794', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 16:33:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:33:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '154', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574316253593063426', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 16:33:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:33:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574293039374479362', 'GET', '{"id":["1574293039374479362"]}', '29', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574316859456081921', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 16:36:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:36:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '139', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574316860001341442', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 16:36:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:36:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574314012068810754', 'GET', '{"id":["1574314012068810754"]}', '22', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574316886295433217', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 16:36:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:36:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '160', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574316886823915522', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 16:36:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:36:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574314012068810754', 'GET', '{"id":["1574314012068810754"]}', '21', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574316970491891713', '1', 'tofly-flow', 'txh', TO_DATE('2022-09-26 16:36:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:36:29', 'SYYYY-MM-DD HH24:MI:SS'), '42.225.115.58', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '132', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574316972056367105', '1', 'tofly-flow', 'txh', TO_DATE('2022-09-26 16:36:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:36:30', 'SYYYY-MM-DD HH24:MI:SS'), '42.225.115.58', NULL, '/tfprocessl/1574293039374479362', 'GET', '{"id":["1574293039374479362"]}', '25', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574317114163580930', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-26 16:37:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:37:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574317120777998338', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-26 16:37:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:37:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568483117915193345"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574317444561489922', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 16:38:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:38:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '155', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574317445526179841', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 16:38:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:38:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '24', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574317460210438146', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 16:38:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:38:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '147', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574317460961218561', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 16:38:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:38:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574317461846216706', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 16:38:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:38:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574317466388647937', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 16:38:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:38:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '25', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574317642142568449', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 16:39:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:39:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574570369254797314', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 09:23:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 09:23:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574570435789041665', '2', 'tofly-auth', 'tmx', TO_DATE('2022-09-27 09:23:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 09:23:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/9cd00f88-8abc-4076-9a66-2d63c79b9a5a', 'DELETE', '{}', '3', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574571476089679874', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 09:27:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 09:27:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574571488391573505', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 09:27:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 09:27:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"name":[""],"current":["1"],"size":["30"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574571489171714050', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 09:27:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 09:27:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"name":[""],"current":["1"],"size":["30"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574571526513602562', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 09:28:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 09:28:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp', 'PUT', '{}', '5', NULL, NULL, 'content:修改工序管理（工序名称）/工程管控管理', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574571526995947522', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 09:28:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 09:28:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574571884040269826', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 09:29:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 09:29:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp', 'POST', '{}', '3', NULL, NULL, 'content:新增工序管理（工序名称）/工程管控管理', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574571884409368578', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 09:29:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 09:29:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574571913706582018', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 09:29:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 09:29:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp', 'POST', '{}', '4', NULL, NULL, 'content:新增工序管理（工序名称）/工程管控管理', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574571914394447874', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 09:29:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 09:29:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574571923315732482', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 09:29:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 09:29:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["10"],"current":["1"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574571932035690497', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 09:29:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 09:29:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["10"],"current":["2"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574571992261701634', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 09:29:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 09:29:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/deleteByIds', 'DELETE', '{"ids":["1574571913614307330,1574571883968966658,1574571077031014401"]}', '35', NULL, NULL, 'content:通过id批量删除工序管理（工序名称）/工程管控管理', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574571992706297858', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 09:29:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 09:29:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["10"],"current":["1"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574572011215761410', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 09:29:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 09:29:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["10"],"current":["1"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574572019528871937', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 09:29:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 09:29:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["10"],"current":["2"]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574572028190109697', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 09:30:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 09:30:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["10"],"current":["1"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574572034892607489', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 09:30:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 09:30:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"name":[""],"current":["1"],"size":["10"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574572035731468290', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 09:30:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 09:30:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"name":[""],"current":["1"],"size":["10"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574572063178993665', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 09:30:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 09:30:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["10000"],"current":["1"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574572063527120897', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 09:30:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 09:30:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '49', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574572101045170177', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 09:30:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 09:30:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"name":[""],"tenantId":[""],"current":["1"],"size":["30"],"contractType":[""]}', '39', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574572101942751234', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 09:30:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 09:30:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"name":[""],"tenantId":[""],"current":["1"],"size":["30"],"contractType":[""]}', '28', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574572334437216258', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 09:31:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 09:31:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["30"],"current":["1"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574572339457798145', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 09:31:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 09:31:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"name":[""],"current":["1"],"size":["30"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574572340015640578', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 09:31:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 09:31:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"name":[""],"current":["1"],"size":["30"]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574572603115941890', '2', 'tofly-auth', 'lz', TO_DATE('2022-09-27 09:32:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 09:32:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/c7702a24-3b24-4a2e-a179-4981d971e1f1', 'DELETE', '{}', '3', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574573556506406914', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 09:36:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 09:36:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp', 'POST', '{}', '4', NULL, NULL, 'content:新增合同模板公用字段', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574573556888088578', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 09:36:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 09:36:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["30"],"current":["1"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574573612370341889', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-27 09:36:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 09:36:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574573616036163585', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 09:36:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 09:36:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp', 'POST', '{}', '5', NULL, NULL, 'content:新增合同模板公用字段', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574573616396873730', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 09:36:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 09:36:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["30"],"current":["1"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574573678657122305', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 09:36:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 09:36:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp', 'POST', '{}', '2', NULL, NULL, 'content:新增合同模板公用字段', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574573679080747010', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 09:36:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 09:36:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["30"],"current":["1"]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574573765651181570', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 09:36:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 09:36:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp', 'POST', '{}', '3', NULL, NULL, 'content:新增合同模板公用字段', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574573766242578433', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 09:36:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 09:36:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["30"],"current":["1"]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574573830029553666', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 09:37:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 09:37:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp', 'POST', '{}', '3', NULL, NULL, 'content:新增合同模板公用字段', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574573830528675841', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 09:37:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 09:37:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["30"],"current":["1"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574573906701430786', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 09:37:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 09:37:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp', 'POST', '{}', '97', NULL, NULL, 'content:新增合同模板公用字段', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574573907213135873', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 09:37:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 09:37:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["30"],"current":["1"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574573979812343809', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 09:37:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 09:37:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp', 'POST', '{}', '2', NULL, NULL, 'content:新增合同模板公用字段', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574573980160471041', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 09:37:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 09:37:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["30"],"current":["1"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574574052478660610', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 09:38:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 09:38:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp', 'POST', '{}', '3', NULL, NULL, 'content:新增合同模板公用字段', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574574053363658753', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 09:38:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 09:38:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["30"],"current":["1"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574574119000322049', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 09:38:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 09:38:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp', 'POST', '{}', '3', NULL, NULL, 'content:新增合同模板公用字段', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574203416640090113', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 09:05:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:05:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '7', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574203437376729090', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 09:05:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:05:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '125', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574203437951348738', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 09:05:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:05:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1573965383747530754', 'GET', '{"id":["1573965383747530754"]}', '24', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574203481538555906', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 09:05:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:05:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '116', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574203481987346433', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 09:05:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:05:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1573965383747530754', 'GET', '{"id":["1573965383747530754"]}', '20', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574203973618495489', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 09:07:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:07:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '121', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574204012449361921', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 09:07:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:07:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '21', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574204012659077121', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 09:07:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:07:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574204015687364610', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 09:07:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:07:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574204015846748162', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 09:07:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:07:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574204020628254721', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 09:07:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:07:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574206275737743362', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 09:16:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:16:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574206307962580994', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 09:16:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:16:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '122', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574206315101286401', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 09:16:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:16:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1573919105386835969', 'GET', '{"id":["1573919105386835969"]}', '20', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574207507252506625', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-26 09:21:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:21:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568483117915193345"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574207577729396738', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 09:21:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:21:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '122', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574207583890829314', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 09:21:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:21:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1573919105386835969', 'GET', '{"id":["1573919105386835969"]}', '20', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574209619344617474', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 09:29:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:29:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574209619776630785', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 09:29:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:29:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574209643440893953', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-26 09:30:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:30:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '2', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574209649782681602', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-26 09:30:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:30:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574209655168167938', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-26 09:30:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:30:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/page', 'GET', '{"tenantId":["1"],"current":["1"],"size":["10000"],"isDel":["0"]}', '2', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574223738713939969', '1', 'tofly-flow', 'Jtadmin', TO_DATE('2022-09-26 10:26:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:26:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574223746876055554', '1', 'tofly-flow', 'Jtadmin', TO_DATE('2022-09-26 10:26:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:26:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574225499507924994', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-26 10:33:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:33:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574225503853223938', '0', 'tofly-flow', 'Jtadmin', TO_DATE('2022-09-26 10:33:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:33:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl', 'POST', '{}', '162', NULL, 'nested exception is org.apache.ibatis.type.TypeException: Could not set parameters for mapping: ParameterMapping{property=''userId'', mode=IN, javaType=class java.lang.Long, jdbcType=null, numericScale=null, resultMapId=''null'', jdbcTypeName=''null'', expression=''null''}. Cause: org.apache.ibatis.type.TypeException: Error setting null for parameter #6 with JdbcType OTHER . Try setting a different JdbcType for this parameter or a different jdbcTypeForNull configuration property. Cause: java.sql.SQLException: 无效的列类型: 1111', 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574225536879173633', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-26 10:33:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:33:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574225545418776577', '1', 'tofly-flow', 'Jtadmin', TO_DATE('2022-09-26 10:33:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:33:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl', 'POST', '{}', '184', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574225546219888641', '1', 'tofly-flow', 'Jtadmin', TO_DATE('2022-09-26 10:33:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:33:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574225553371176962', '1', 'tofly-flow', 'Jtadmin', TO_DATE('2022-09-26 10:33:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:33:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '142', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574225553849327617', '1', 'tofly-flow', 'Jtadmin', TO_DATE('2022-09-26 10:33:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:33:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574225554033876994', '1', 'tofly-flow', 'Jtadmin', TO_DATE('2022-09-26 10:33:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:33:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574225556399464449', '1', 'tofly-flow', 'Jtadmin', TO_DATE('2022-09-26 10:33:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:33:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574228285821820930', '2', 'tofly-auth', 'public', TO_DATE('2022-09-26 10:44:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:44:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/4c2cc234-3770-4763-b43a-8505e66862a4', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574228344642740225', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-26 10:44:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:44:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574228344852455426', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-26 10:44:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:44:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573970421823959041', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 17:39:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 17:39:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573973600921841665', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 17:52:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 17:52:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1573919105386835969', 'GET', '{"id":["1573919105386835969"]}', '18', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573974731920109570', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 17:56:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 17:56:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '128', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573974737032966145', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 17:56:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 17:56:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1573919105386835969', 'GET', '{"id":["1573919105386835969"]}', '20', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574210889342119938', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-26 09:34:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:34:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '128', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574210925765455873', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-26 09:35:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:35:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1573965383747530754', 'GET', '{"id":["1573965383747530754"]}', '13', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574211090899398658', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-26 09:35:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:35:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574211095303417858', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-26 09:35:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:35:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574211105667543041', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 09:35:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:35:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574211153327419394', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-26 09:36:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:36:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568483117915193345"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574211158817763329', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-26 09:36:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:36:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessnodel/1573965383747530754', 'GET', '{}', '2', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574211159602098177', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-26 09:36:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:36:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '109', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574211173929840641', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-26 09:36:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:36:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1573965383747530754', 'GET', '{"id":["1573965383747530754"]}', '16', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574302951240273921', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-26 15:40:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:40:47', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.48', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '1558', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574306076357677057', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 15:53:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:53:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1574276325647659009', 'DELETE', '{"id":["1574276325647659009"]}', '3', NULL, NULL, 'content:通过id删除审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574306076689027074', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 15:53:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:53:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '19', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574306084469460993', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 15:53:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:53:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '21', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574306085199269890', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 15:53:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:53:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '18', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574306090844803074', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 15:53:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:53:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574306091125821442', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 15:53:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:53:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '18', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574306095227850754', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 15:53:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:53:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574306095517257730', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 15:53:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:53:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574306098751066113', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 15:53:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:53:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574306152261996545', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 15:53:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:53:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1574306015364100097', 'GET', '{"id":["1574306015364100097"]}', '18', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574306152865976322', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 15:53:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:53:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574306153075691522', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 15:53:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:53:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574306156011704322', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 15:53:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:53:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574306290485284865', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 15:54:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:54:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '19', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574306290820829186', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 15:54:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:54:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '19', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574306299385597953', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 15:54:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:54:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1574306015364100097', 'GET', '{"id":["1574306015364100097"]}', '20', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574306300178321409', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 15:54:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:54:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574306302657155073', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 15:54:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:54:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574306396013973506', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 15:54:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:54:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl', 'POST', '{}', '15', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574306396437598210', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 15:54:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:54:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574306403978956802', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 15:54:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:54:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574306404213837826', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 15:54:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:54:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574306603871096834', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 15:55:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:55:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '17', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574306604173086721', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 15:55:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:55:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574306625601785857', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 15:55:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:55:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574293039374479362', 'GET', '{"id":["1574293039374479362"]}', '26', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574306628466495490', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 15:55:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:55:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572111539262464001', 'GET', '{"id":["1572111539262464001"]}', '102', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574317679450902530', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 16:39:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:39:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568483117915193345"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574318008817012738', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 16:40:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:40:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '10', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574318192980512770', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 16:41:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:41:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574318193248948226', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 16:41:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:41:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574318204217053185', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 16:41:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:41:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1574293601415409665', 'GET', '{"id":["1574293601415409665"]}', '23', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574318204795867137', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 16:41:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:41:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574318205093662721', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 16:41:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:41:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '4', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574318207622828033', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 16:41:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:41:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '7', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574318226996318210', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 16:41:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:41:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '132', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574318227747098625', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 16:41:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:41:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574318228028116993', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 16:41:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:41:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574318231484223490', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 16:41:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:41:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574318376376455170', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 16:42:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:42:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574318391027159042', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 16:42:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:42:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '142', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574318408257359873', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 16:42:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:42:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574314012068810754', 'GET', '{"id":["1574314012068810754"]}', '21', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574318516810141697', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 16:42:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:42:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '144', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574318529439191041', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 16:42:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:42:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574219785834180609', 'GET', '{"id":["1574219785834180609"]}', '32', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574318564142862338', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 16:42:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:42:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessnodel', 'POST', '{}', '9', NULL, NULL, 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574318653250850818', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 16:43:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:43:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '7', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574318659663941634', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-26 16:43:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:43:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '128', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574318678668333058', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 16:43:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:43:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574318687207936002', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 16:43:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:43:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '127', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574318689749684226', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 16:43:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:43:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '113', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574318690450132994', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 16:43:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:43:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574314012068810754', 'GET', '{"id":["1574314012068810754"]}', '18', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574318697945354241', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 16:43:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:43:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574219785834180609', 'GET', '{"id":["1574219785834180609"]}', '25', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574318730660925442', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 16:43:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:43:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574314012068810754', 'GET', '{"id":["1574314012068810754"]}', '22', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574318810675662849', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 16:43:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:43:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessnodel', 'POST', '{}', '5', NULL, NULL, 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574318920092471298', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 16:44:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:44:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '125', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574318930242686978', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 16:44:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:44:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574293039374479362', 'GET', '{"id":["1574293039374479362"]}', '22', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574318976556191745', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 16:44:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:44:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessnodel', 'POST', '{}', '144', NULL, NULL, 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574319050560491521', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 16:44:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:44:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574319312008237057', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 16:45:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:45:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '145', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574319323693568001', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 16:45:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:45:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574314012068810754', 'GET', '{"id":["1574314012068810754"]}', '22', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574319385463083009', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 16:46:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:46:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574319462193680386', '1', 'tofly-flow', 'txh', TO_DATE('2022-09-26 16:46:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:46:23', 'SYYYY-MM-DD HH24:MI:SS'), '42.225.115.58', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574319462676025345', '1', 'tofly-flow', 'txh', TO_DATE('2022-09-26 16:46:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:46:24', 'SYYYY-MM-DD HH24:MI:SS'), '42.225.115.58', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '25', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574319462768300034', '1', 'tofly-flow', 'txh', TO_DATE('2022-09-26 16:46:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:46:24', 'SYYYY-MM-DD HH24:MI:SS'), '42.225.115.58', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574319463145787393', '1', 'tofly-flow', 'txh', TO_DATE('2022-09-26 16:46:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:46:24', 'SYYYY-MM-DD HH24:MI:SS'), '42.225.115.58', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '19', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574319489171443714', '1', 'tofly-flow', 'txh', TO_DATE('2022-09-26 16:46:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:46:30', 'SYYYY-MM-DD HH24:MI:SS'), '42.225.115.58', NULL, '/tfprocessconfigl/1572111539262464001', 'GET', '{"id":["1572111539262464001"]}', '114', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573951220396716034', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 16:23:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 16:23:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '7', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573951231868137473', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 16:23:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 16:23:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '113', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573951398222622721', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 16:23:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 16:23:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573951408821628930', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 16:23:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 16:23:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '122', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573951841749299201', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 16:25:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 16:25:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573951853686288386', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 16:25:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 16:25:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '113', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573952295619129345', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 16:27:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 16:27:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573952310353719298', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 16:27:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 16:27:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '121', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573952624419008514', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 16:28:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 16:28:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '124', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573952636980948993', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 16:28:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 16:28:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573952647315714049', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 16:28:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 16:28:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '117', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573952714995003394', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 16:29:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 16:29:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573952728827817985', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 16:29:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 16:29:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '117', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573952860763844610', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 16:29:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 16:29:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1573918359266291713', 'GET', '{"id":["1573918359266291713"]}', '19', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573952884667183105', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 16:29:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 16:29:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '109', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574570383544791041', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 09:23:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 09:23:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["30"],"current":["1"]}', '18', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574574242728095746', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 09:38:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 09:38:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["30"],"current":["1"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574574554826256386', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-27 09:40:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 09:40:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/fdecf574-b75e-4db6-80e3-d5924b7f998e', 'DELETE', '{}', '1', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574574579987886082', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-27 09:40:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 09:40:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '19', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574574581216817154', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-27 09:40:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 09:40:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '19', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574574633633034241', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-27 09:40:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 09:40:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '167', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574574635868598274', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-27 09:40:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 09:40:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574574636371914753', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-27 09:40:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 09:40:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '6', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574574641182781442', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-27 09:40:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 09:40:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '8', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574574685738872834', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 09:40:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 09:40:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp', 'POST', '{}', '4', NULL, NULL, 'content:新增合同模板公用字段', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574574686258966530', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 09:40:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 09:40:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["30"],"current":["1"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574574698590220290', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-27 09:40:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 09:40:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '64', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574574979012997121', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 09:41:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 09:41:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp', 'POST', '{}', '4', NULL, NULL, 'content:新增合同模板公用字段', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574574979348541441', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 09:41:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 09:41:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["30"],"current":["1"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574574989179990017', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 09:41:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 09:41:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"name":[""],"current":["1"],"size":["30"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574575076207603713', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 09:42:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 09:42:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp', 'POST', '{}', '3', NULL, NULL, 'content:新增合同模板公用字段', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574575076597673985', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 09:42:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 09:42:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["30"],"current":["1"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574575174828273665', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 09:42:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 09:42:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp', 'POST', '{}', '4', NULL, NULL, 'content:新增合同模板公用字段', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574575175306424321', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 09:42:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 09:42:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["30"],"current":["1"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574575255354716161', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 09:42:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 09:42:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp', 'POST', '{}', '2', NULL, NULL, 'content:新增合同模板公用字段', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574575255870615554', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 09:42:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 09:42:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["30"],"current":["1"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574575334656421889', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 09:43:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 09:43:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp', 'POST', '{}', '4', NULL, NULL, 'content:新增合同模板公用字段', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574575334975188993', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 09:43:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 09:43:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["30"],"current":["1"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574575366990311426', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 09:43:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 09:43:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"name":["totalBudget"],"current":["1"],"size":["30"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574575375500554241', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 09:43:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 09:43:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"name":[""],"current":["1"],"size":["30"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574575417401651201', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 09:43:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 09:43:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp', 'PUT', '{}', '2', NULL, NULL, 'content:修改合同模板公用字段', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574228363735212034', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-26 10:44:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:44:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '146', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574228364246917122', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-26 10:44:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:44:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574228364423077890', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-26 10:44:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:44:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574228366843191298', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-26 10:44:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:44:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574229480569315329', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 10:48:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:48:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574229480770641921', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 10:48:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:48:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574229506305564673', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 10:48:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:48:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '148', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574229506943098882', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 10:48:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:48:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574229507152814082', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 10:48:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:48:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574229509652619266', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 10:48:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:48:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574242838383206402', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-26 11:41:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 11:41:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574242853528838145', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-26 11:41:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 11:41:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574242888651939841', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 11:42:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 11:42:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '132', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574242889167839233', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 11:42:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 11:42:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574237792111685633', 'GET', '{"id":["1574237792111685633"]}', '19', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574242911833858049', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-26 11:42:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 11:42:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568483117915193345"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574242927692521474', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 11:42:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 11:42:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '132', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574242928204226561', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 11:42:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 11:42:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574237792111685633', 'GET', '{"id":["1574237792111685633"]}', '20', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574282793327304706', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 14:20:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:20:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '2', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574282823295606786', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 14:20:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:20:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574282823509516290', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 14:20:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:20:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574282823803117569', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 14:20:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:20:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574282823996055553', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 14:20:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:20:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574282827800289282', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 14:20:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:20:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":["1"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574282830140710914', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 14:20:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:20:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574282873044246529', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 14:21:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:21:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574237792111685633', 'GET', '{"id":["1574237792111685633"]}', '23', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574282900584046593', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 14:21:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:21:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574282914228117505', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 14:21:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:21:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '148', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574282940413157377', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 14:21:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:21:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574237792111685633', 'GET', '{"id":["1574237792111685633"]}', '19', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574283154482044930', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 14:22:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:22:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574283204939522049', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 14:22:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:22:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574283222773702657', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 14:22:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:22:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '140', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574283231602712578', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 14:22:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:22:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574237792111685633', 'GET', '{"id":["1574237792111685633"]}', '25', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574283322535223297', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 14:22:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:22:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '140', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574283332622524417', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 14:22:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:22:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574219785834180609', 'GET', '{"id":["1574219785834180609"]}', '18', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574283527326310401', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 14:23:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:23:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl', 'POST', '{}', '21', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574283527712186369', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 14:23:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:23:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '19', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574283535182241794', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 14:23:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:23:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574283535350013953', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 14:23:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:23:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574283546691411969', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 14:23:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:23:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574204020628254722', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 09:07:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:07:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574204096373190658', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 09:07:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:07:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '122', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574204104086515714', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 09:08:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:08:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1573918359266291713', 'GET', '{"id":["1573918359266291713"]}', '16', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574204616513024002', '2', 'tofly-auth', 'test', TO_DATE('2022-09-26 09:10:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:10:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/9f468771-c431-46db-9cc2-a6fd6f1cec2c', 'DELETE', '{}', '1', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574207723468877825', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 09:22:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:22:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1573919105386835969', 'GET', '{"id":["1573919105386835969"]}', '21', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574208592079876098', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 09:25:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:25:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '122', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574211102043664386', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-26 09:35:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:35:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/page', 'GET', '{"tenantId":["1"],"current":["1"],"size":["10000"],"isDel":["0"]}', '2', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574211102358237185', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-26 09:35:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:35:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1572832711356719105"],"isMould":["0"]}', '1', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574211707243982850', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 09:38:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:38:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574211723517882369', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 09:38:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:38:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '120', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574211729511542786', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 09:38:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:38:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1573919105386835969', 'GET', '{"id":["1573919105386835969"]}', '18', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574213241688158210', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 09:44:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:44:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '113', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574213248038334466', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 09:44:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:44:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1573919105386835969', 'GET', '{"id":["1573919105386835969"]}', '34', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574215304065183745', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 09:52:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:52:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessnodel', 'POST', '{}', '142', NULL, NULL, 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574215390300073985', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 09:52:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:52:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574215423401521153', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 09:52:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:52:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568483117915193345"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574215665236701186', '2', 'tofly-auth', 'yj', TO_DATE('2022-09-26 09:53:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:53:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/25eda4db-b68d-445c-8318-24e2467e7500', 'DELETE', '{}', '1', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574215847550513154', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-26 09:54:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:54:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574216025456111617', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-26 09:55:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:55:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574216473806237697', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-26 09:57:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:57:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574216474020147201', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-26 09:57:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:57:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574216495306240001', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-26 09:57:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:57:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572111539262464001', 'GET', '{"id":["1572111539262464001"]}', '89', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574216495918608386', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-26 09:57:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:57:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574216498540048386', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-26 09:57:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:57:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574233224715476993', '2', 'tofly-auth', 'fsq', TO_DATE('2022-09-26 11:03:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 11:03:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/b5c09b63-bd23-42b2-a8ab-ca999f9602e6', 'DELETE', '{}', '6', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574237827368525826', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-26 11:22:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 11:22:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '38', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574237837871063041', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-26 11:22:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 11:22:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/deleteByIds', 'DELETE', '{"ids":["1572054869920571394"]}', '10', NULL, NULL, 'content:通过id批量删除施工组织单位', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574237838143692801', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-26 11:22:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 11:22:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '28', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574237847232749570', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-26 11:22:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 11:22:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/deleteByIds', 'DELETE', '{"ids":["1571753437224890370"]}', '12', NULL, NULL, 'content:通过id批量删除施工组织单位', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574237847442464770', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-26 11:22:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 11:22:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574237855306784770', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-26 11:22:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 11:22:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/deleteByIds', 'DELETE', '{"ids":["1571752183224500226"]}', '9', NULL, NULL, 'content:通过id批量删除施工组织单位', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574237855541665794', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-26 11:22:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 11:22:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574237861715681281', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-26 11:22:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 11:22:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/deleteByIds', 'DELETE', '{"ids":["1571683584212230146"]}', '4', NULL, NULL, 'content:通过id批量删除施工组织单位', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574237861891842049', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-26 11:22:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 11:22:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574237869022158850', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-26 11:22:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 11:22:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/deleteByIds', 'DELETE', '{"ids":["1554750588556771329"]}', '10', NULL, NULL, 'content:通过id批量删除施工组织单位', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574237869206708225', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-26 11:22:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 11:22:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '2', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574237910235389953', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 11:22:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 11:22:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '131', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574240286182776834', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-26 11:31:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 11:31:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574240333226090498', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-26 11:31:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 11:31:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '187', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574295601653784577', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 15:11:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:11:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574295660902522882', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 15:11:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:11:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '129', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574295738581032961', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 15:12:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:12:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574219785834180609', 'GET', '{"id":["1574219785834180609"]}', '21', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574298961605726210', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-26 15:24:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:24:56', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.48', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '101', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574298962058711042', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-26 15:24:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:24:56', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.48', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '46', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574299009294962689', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-26 15:25:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:25:07', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.48', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '940', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574299010867826689', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-26 15:25:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:25:07', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.48', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '13', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574299011450834945', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-26 15:25:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:25:08', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.48', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '12', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574299018803449858', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-26 15:25:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:25:09', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.48', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '22', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574310632273596417', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 16:11:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:11:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574293039374479362', 'GET', '{"id":["1574293039374479362"]}', '36', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574319490761084929', '1', 'tofly-flow', 'txh', TO_DATE('2022-09-26 16:46:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:46:30', 'SYYYY-MM-DD HH24:MI:SS'), '42.225.115.58', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574319494473043970', '1', 'tofly-flow', 'txh', TO_DATE('2022-09-26 16:46:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:46:31', 'SYYYY-MM-DD HH24:MI:SS'), '42.225.115.58', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '7', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574319521723437058', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-26 16:46:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:46:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '131', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574319546146869249', '1', 'tofly-flow', 'txh', TO_DATE('2022-09-26 16:46:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:46:43', 'SYYYY-MM-DD HH24:MI:SS'), '42.225.115.58', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574319546583076865', '1', 'tofly-flow', 'txh', TO_DATE('2022-09-26 16:46:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:46:44', 'SYYYY-MM-DD HH24:MI:SS'), '42.225.115.58', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '17', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574319556510994433', '1', 'tofly-flow', 'txh', TO_DATE('2022-09-26 16:46:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:46:46', 'SYYYY-MM-DD HH24:MI:SS'), '42.225.115.58', NULL, '/tfprocessconfigl/1574293601415409665', 'GET', '{"id":["1574293601415409665"]}', '30', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574319558314545153', '1', 'tofly-flow', 'txh', TO_DATE('2022-09-26 16:46:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:46:46', 'SYYYY-MM-DD HH24:MI:SS'), '42.225.115.58', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574319558914330625', '1', 'tofly-flow', 'txh', TO_DATE('2022-09-26 16:46:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:46:46', 'SYYYY-MM-DD HH24:MI:SS'), '42.225.115.58', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574319562215247873', '1', 'tofly-flow', 'txh', TO_DATE('2022-09-26 16:46:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:46:47', 'SYYYY-MM-DD HH24:MI:SS'), '42.225.115.58', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574319677701214209', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-26 16:47:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:47:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '114', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574319937144082434', '1', 'tofly-flow', 'txh', TO_DATE('2022-09-26 16:48:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:48:17', 'SYYYY-MM-DD HH24:MI:SS'), '42.225.115.58', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '18', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574319937618038785', '1', 'tofly-flow', 'txh', TO_DATE('2022-09-26 16:48:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:48:17', 'SYYYY-MM-DD HH24:MI:SS'), '42.225.115.58', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '21', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574320289868271617', '1', 'tofly-flow', 'txh', TO_DATE('2022-09-26 16:49:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:49:41', 'SYYYY-MM-DD HH24:MI:SS'), '42.225.115.58', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574320290291896322', '1', 'tofly-flow', 'txh', TO_DATE('2022-09-26 16:49:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:49:41', 'SYYYY-MM-DD HH24:MI:SS'), '42.225.115.58', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574320305559162882', '1', 'tofly-flow', 'txh', TO_DATE('2022-09-26 16:49:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:49:44', 'SYYYY-MM-DD HH24:MI:SS'), '42.225.115.58', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '121', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574320307291410433', '1', 'tofly-flow', 'txh', TO_DATE('2022-09-26 16:49:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:49:45', 'SYYYY-MM-DD HH24:MI:SS'), '42.225.115.58', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574320307912167426', '1', 'tofly-flow', 'txh', TO_DATE('2022-09-26 16:49:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:49:45', 'SYYYY-MM-DD HH24:MI:SS'), '42.225.115.58', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574320311175335938', '1', 'tofly-flow', 'txh', TO_DATE('2022-09-26 16:49:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:49:46', 'SYYYY-MM-DD HH24:MI:SS'), '42.225.115.58', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574321110785839106', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 16:52:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:52:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574321127508529153', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 16:53:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:53:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '125', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574321279992451074', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 16:53:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:53:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574321302142570497', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 16:53:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:53:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '160', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574321474104840193', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 16:54:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:54:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '53', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574321490760421377', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 16:54:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:54:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '138', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574322791648972802', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 16:59:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 16:59:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574340361609396225', '2', 'tofly-auth', 'llzm', TO_DATE('2022-09-26 18:09:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 18:09:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/43f49441-fa17-4d20-8604-e53d15f5da81', 'DELETE', '{}', '7', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574341667015213057', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-26 18:14:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 18:14:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/00123489-d70f-4b09-bd7e-6e5ba4d1de6f', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574342096457416705', '2', 'tofly-auth', 'hr', TO_DATE('2022-09-26 18:16:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 18:16:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/c2f08023-4613-4bd5-ae92-edf81f30a165', 'DELETE', '{}', '3', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574344095613489153', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-26 18:24:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 18:24:16', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.48', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '204', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573931346735788033', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 15:04:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 15:04:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573931348950380545', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 15:04:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 15:04:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568483117915193345"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573931360203698177', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 15:04:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 15:04:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '139', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573931400351576065', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 15:04:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 15:04:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '136', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573931417535639553', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 15:04:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 15:04:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1573919105386835969', 'GET', '{"id":["1573919105386835969"]}', '17', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573934973688868866', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 15:18:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 15:18:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573935233463087106', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 15:19:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 15:19:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573935579245703169', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 15:20:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 15:20:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573935637886267394', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 15:21:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 15:21:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '119', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573935777464315906', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 15:21:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 15:21:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '8', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573935795793424386', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 15:21:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 15:21:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '131', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573935796284157954', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 15:21:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 15:21:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1573919105386835969', 'GET', '{"id":["1573919105386835969"]}', '17', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573939648802713601', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 15:37:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 15:37:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573939971680235521', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 15:38:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 15:38:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573939982140829698', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 15:38:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 15:38:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '143', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573940124143185922', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 15:39:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 15:39:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573940135765602305', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 15:39:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 15:39:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '143', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573940333417984001', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 15:39:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 15:39:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573940342964219905', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 15:39:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 15:39:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '148', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573940526343385090', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 15:40:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 15:40:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '143', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573940560485019649', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 15:40:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 15:40:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573940573608996866', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 15:40:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 15:40:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573940818833174530', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 15:41:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 15:41:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '135', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573940859333373954', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 15:41:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 15:41:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573940940749008897', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 15:42:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 15:42:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573941082323546113', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 15:42:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 15:42:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '7', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573941098941378561', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 15:42:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 15:42:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '133', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573941366936432641', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 15:43:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 15:43:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '145', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573941629021712385', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 15:45:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 15:45:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573942199342198785', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 15:47:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 15:47:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573942212612976641', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 15:47:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 15:47:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573942517568237570', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 15:48:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 15:48:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573942530906124290', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 15:48:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 15:48:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '120', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574283547106648065', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 14:23:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:23:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574283549707116546', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 14:23:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:23:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574283678149287938', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 14:24:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:24:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574219785834180609', 'GET', '{"id":["1574219785834180609"]}', '26', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574283713826037761', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-26 14:24:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:24:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574283714002198529', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-26 14:24:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:24:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574283715164020738', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 14:24:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:24:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574283720155242497', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-26 14:24:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:24:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574283720318820353', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-26 14:24:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:24:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574283722759905282', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-26 14:24:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:24:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574283728908754945', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-26 14:24:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:24:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/d7af6bdb-fe28-421b-ab2f-82930660bdd0', 'DELETE', '{}', '0', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574284312747483138', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-26 14:26:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:26:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574284595284189185', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-26 14:27:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:27:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/4cac5302-4965-48eb-a0c1-76b3577e332f', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574284686778736641', '1', 'tofly-flow', 'fsq', TO_DATE('2022-09-26 14:28:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:28:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1570225246022770689"],"label":["1568482594885484546"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574284704835215362', '2', 'tofly-auth', 'fsq', TO_DATE('2022-09-26 14:28:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:28:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/39e95c2a-42b3-4cff-87c2-fb21317c576f', 'DELETE', '{}', '1', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574285099934457857', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 14:29:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:29:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574285100215476226', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 14:29:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:29:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574285104216842242', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 14:29:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:29:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574285104384614402', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 14:29:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:29:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574285106880225282', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 14:29:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:29:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574285129403637762', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 14:29:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:29:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '127', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574285168196755457', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 14:30:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:30:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '130', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574285172441391106', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 14:30:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:30:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574237792111685633', 'GET', '{"id":["1574237792111685633"]}', '20', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574285218608095234', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-26 14:30:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:30:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574285250145067009', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 14:30:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:30:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574285250304450561', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 14:30:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:30:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574285254641360897', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 14:30:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:30:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574285254934962178', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 14:30:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:30:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574285257787088897', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 14:30:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:30:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574285273490563073', '2', 'tofly-auth', 'test', TO_DATE('2022-09-26 14:30:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:30:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/e7f22bce-1efc-4853-a474-320bd17ce8c6', 'DELETE', '{}', '1', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574285293719691266', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-26 14:30:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:30:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574237792111685633', 'GET', '{}', '15', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574285294562746370', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-26 14:30:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:30:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '132', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574285619021520898', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 14:31:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:31:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574285619222847489', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 14:31:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:31:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574285646552932354', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 14:32:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:32:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572057231389220865', 'GET', '{"id":["1572057231389220865"]}', '17', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574285647043665922', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 14:32:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:32:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574285649606385665', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 14:32:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:32:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574285657701392386', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 14:32:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:32:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574285657877553154', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 14:32:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:32:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574285663153987586', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 14:32:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:32:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574285663304982530', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 14:32:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:32:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574240375307542529', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-26 11:32:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 11:32:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '150', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574240410887823361', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-26 11:32:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 11:32:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '137', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574245278511833089', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-26 11:51:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 11:51:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574245284094451713', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-26 11:51:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 11:51:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574245312447946754', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-26 11:51:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 11:51:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '14', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574245340776275970', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-26 11:51:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 11:51:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574245421235609601', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 11:52:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 11:52:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl', 'POST', '{}', '45', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574245421529210882', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 11:52:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 11:52:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574246245802221570', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-26 11:55:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 11:55:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/ece05f93-b05a-489e-aa17-da2d71c7ba0e', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574292249939320834', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-26 14:58:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:58:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574292250140647425', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-26 14:58:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:58:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574292258940297217', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-26 14:58:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:58:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568483117915193345"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574292260320223233', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-26 14:58:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:58:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574292260496384002', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-26 14:58:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:58:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574292262845194241', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-26 14:58:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:58:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574292282881384450', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-26 14:58:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:58:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574292298068959233', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-26 14:58:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:58:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574292298253508610', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-26 14:58:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:58:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574292304905674754', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-26 14:58:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:58:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574292305081835521', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-26 14:58:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:58:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574292307594223617', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-26 14:58:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:58:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574292321112465410', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-26 14:58:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:58:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '127', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574292321649336321', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-26 14:58:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:58:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574212614236958722', 'GET', '{"id":["1574212614236958722"]}', '19', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574292527031820289', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-26 14:59:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:59:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '134', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574292585248759810', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-26 14:59:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:59:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '121', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574292598926385153', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-26 14:59:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:59:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '114', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574292605712769025', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-26 14:59:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:59:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '124', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574292613161852930', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-26 14:59:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:59:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '122', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574292621282025474', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-26 14:59:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:59:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '129', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574292629012127745', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-26 14:59:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:59:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '122', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574292645827092481', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-26 14:59:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:59:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '131', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574292646263300097', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-26 14:59:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:59:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574237792111685633', 'GET', '{"id":["1574237792111685633"]}', '16', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574293116113428481', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-26 15:01:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:01:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl', 'POST', '{}', '9', NULL, NULL, 'content:新增流程信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574293116876791810', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 15:01:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:01:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574293140750770178', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 15:01:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:01:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '116', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574293151551102977', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 15:01:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:01:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574293039374479362', 'GET', '{"id":["1574293039374479362"]}', '17', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574293258375831553', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-26 15:02:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:02:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '117', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574293262960205825', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 15:02:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:02:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessnodel', 'POST', '{}', '72', NULL, NULL, 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574293265032192001', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-26 15:02:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:02:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"edition":["11"],"id":["1572063395757809666"]}', '2', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574293274427432962', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-26 15:02:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:02:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '124', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574344574858858498', '2', 'tofly-auth', 'yj', TO_DATE('2022-09-26 18:26:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 18:26:11', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.48', NULL, '/token/d1a6e900-a8c2-4b83-ae36-746a4d2243d2', 'DELETE', '{}', '6', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574348585188216837', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-26 18:42:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 18:42:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '19', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574348585188216835', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-26 18:42:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 18:42:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '480', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574348585188216833', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-26 18:42:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 18:42:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '61', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574348585188216838', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-26 18:42:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 18:42:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '19', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574348588048732162', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-26 18:42:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 18:42:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '26', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574348588099063810', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-26 18:42:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 18:42:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '23', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574348602393251841', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-26 18:42:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 18:42:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574348605186658306', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-26 18:42:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 18:42:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '127', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574348622593019905', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-26 18:42:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 18:42:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '17', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574348622928564226', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-26 18:42:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 18:42:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574348623213776897', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-26 18:42:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 18:42:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574348625600335874', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-26 18:42:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 18:42:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '29', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574348625998794754', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-26 18:42:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 18:42:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '31', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574348626321756162', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-26 18:42:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 18:42:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '22', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574348626623746049', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-26 18:42:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 18:42:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '23', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574348699730464770', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-26 18:42:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 18:42:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574348700913258497', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-26 18:42:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 18:42:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '95', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574348706634289154', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-26 18:42:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 18:42:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '24', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574348707531870209', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-26 18:42:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 18:42:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '29', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574348715891118081', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-26 18:42:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 18:42:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1574293601415409665', 'GET', '{"id":["1574293601415409665"]}', '39', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574348718982320129', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-26 18:42:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 18:42:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574348719498219522', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-26 18:42:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 18:42:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574348732265680897', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-26 18:42:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 18:42:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '39', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574348806727159809', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 18:43:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 18:43:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574348806999789570', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 18:43:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 18:43:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574348820283150337', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 18:43:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 18:43:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1574293601415409665', 'GET', '{"id":["1574293601415409665"]}', '40', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574348820832604162', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 18:43:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 18:43:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574348821159759874', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 18:43:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 18:43:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '5', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574348823886057474', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 18:43:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 18:43:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '7', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574349098390761474', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 18:44:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 18:44:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '526', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574349101494546434', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 18:44:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 18:44:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '45', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574349101838479361', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 18:44:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 18:44:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574349107228160002', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 18:44:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 18:44:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '46', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574349156217630721', '2', 'tofly-auth', 'fsq1', TO_DATE('2022-09-26 18:44:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 18:44:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/46ac0a93-f24f-4b49-a12a-ddf68f4d1e3b', 'DELETE', '{}', '8', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574349189667205122', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-26 18:44:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 18:44:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '154', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574349190090829825', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-26 18:44:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 18:44:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '26', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574349193811177473', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-26 18:44:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 18:44:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"]}', '4', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574349194058641409', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-26 18:44:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 18:44:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '5', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574349197539913730', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-26 18:44:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 18:44:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '10', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573925964151910401', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 14:42:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 14:42:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '135', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573925989019938818', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 14:42:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 14:42:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1573919105386835969', 'GET', '{"id":["1573919105386835969"]}', '19', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573926080271216641', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 14:43:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 14:43:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1573919105386835969', 'GET', '{"id":["1573919105386835969"]}', '21', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573926253927985154', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 14:43:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 14:43:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1573919105386835969', 'GET', '{"id":["1573919105386835969"]}', '19', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573926439379136513', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 14:44:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 14:44:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573926449323831297', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 14:44:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 14:44:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '132', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573926469422936065', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 14:44:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 14:44:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1573919105386835969', 'GET', '{"id":["1573919105386835969"]}', '20', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573928037132136450', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 14:51:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 14:51:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '137', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573929498696085506', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 14:56:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 14:56:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573929543319285761', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 14:56:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 14:56:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '126', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573929557433118722', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 14:57:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 14:57:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1573919105386835969', 'GET', '{"id":["1573919105386835969"]}', '24', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573930622442401794', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 15:01:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 15:01:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1573918359266291713', 'GET', '{"id":["1573918359266291713"]}', '19', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573931028476194817', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 15:02:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 15:02:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '17', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573931926480875521', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 15:06:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 15:06:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573931933351145474', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 15:06:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 15:06:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '134', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573932931691966465', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 15:10:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 15:10:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '128', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573932949635198978', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 15:10:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 15:10:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1573919105386835969', 'GET', '{"id":["1573919105386835969"]}', '16', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573942803296808962', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 15:49:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 15:49:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '119', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573943026014351362', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 15:50:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 15:50:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573943039046053890', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 15:50:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 15:50:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '115', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573943696280907778', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 15:53:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 15:53:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573943824723079169', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 15:53:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 15:53:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573944107507249154', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 15:54:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 15:54:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '120', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573944138415075330', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 15:54:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 15:54:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '119', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573955203492343809', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 16:38:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 16:38:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '116', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573955237180993537', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 16:39:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 16:39:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '115', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573955281498009602', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 16:39:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 16:39:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1573919105386835969', 'GET', '{"id":["1573919105386835969"]}', '21', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573970684471275521', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 17:40:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 17:40:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1573919105386835969', 'GET', '{"id":["1573919105386835969"]}', '21', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573970885818839041', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 17:41:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 17:41:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1573919105386835969', 'GET', '{"id":["1573919105386835969"]}', '19', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574203506440138754', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 09:05:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:05:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '129', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574203506884734977', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 09:05:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:05:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1573965383747530754', 'GET', '{"id":["1573965383747530754"]}', '15', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574203508155609089', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 09:05:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:05:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574203551835090946', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 09:05:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:05:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '120', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574203603508916226', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 09:06:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:06:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '124', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574203604091924481', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 09:06:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:06:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '107', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574203604624601089', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 09:06:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:06:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1573965383747530754', 'GET', '{"id":["1573965383747530754"]}', '19', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574203675235708930', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 09:06:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:06:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '128', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574203690209374209', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 09:06:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:06:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1573965383747530754', 'GET', '{"id":["1573965383747530754"]}', '20', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573961730265575425', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 17:04:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 17:04:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '128', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573961730856972290', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 17:04:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 17:04:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1573919105386835969', 'GET', '{"id":["1573919105386835969"]}', '17', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573961816953450497', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 17:05:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 17:05:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1573919105386835969', 'GET', '{"id":["1573919105386835969"]}', '21', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573962272576499713', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 17:07:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 17:07:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1573919105386835969', 'GET', '{"id":["1573919105386835969"]}', '19', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573963017644273666', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 17:10:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 17:10:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1573919105386835969', 'GET', '{"id":["1573919105386835969"]}', '17', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573963331428544513', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 17:11:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 17:11:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573963339120898049', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 17:11:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 17:11:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '128', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573963349971562498', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 17:11:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 17:11:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1573919105386835969', 'GET', '{"id":["1573919105386835969"]}', '23', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573968496890081282', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 17:31:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 17:31:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573968688552996865', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 17:32:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 17:32:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573968701228183553', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 17:32:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 17:32:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573968751530471426', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 17:32:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 17:32:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '112', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573968758497210369', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 17:32:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 17:32:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1573919105386835969', 'GET', '{"id":["1573919105386835969"]}', '17', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573970387535523842', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 17:39:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 17:39:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1573919105386835969', 'GET', '{"id":["1573919105386835969"]}', '16', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573970709922312193', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 17:40:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 17:40:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573970728662462466', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 17:40:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 17:40:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '123', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573970729157390337', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 17:40:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 17:40:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1573919105386835969', 'GET', '{"id":["1573919105386835969"]}', '22', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573973675316211714', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 17:52:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 17:52:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '122', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573973721025736705', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 17:52:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 17:52:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '123', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573973944678608898', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 17:53:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 17:53:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573973963422953473', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 17:53:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 17:53:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '121', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573974006552981505', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 17:53:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 17:53:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1573919105386835969', 'GET', '{"id":["1573919105386835969"]}', '17', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573974704283840513', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 17:56:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 17:56:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '111', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574204480437219330', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 09:09:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:09:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574204500829925377', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 09:09:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:09:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '111', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574204507142352897', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 09:09:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:09:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1573919105386835969', 'GET', '{"id":["1573919105386835969"]}', '19', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574204671533903874', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-26 09:10:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:10:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568483117915193345"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574204739238359042', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 09:10:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:10:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1573919105386835969', 'GET', '{"id":["1573919105386835969"]}', '22', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574204857354153985', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-26 09:10:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:10:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574204885481156609', '2', 'tofly-auth', 'mzadmin', TO_DATE('2022-09-26 09:11:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:11:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/aac6640d-3e1f-4aac-bec6-738f7319cf3d', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574205000488972290', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 09:11:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:11:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '111', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574205006600073218', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 09:11:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:11:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1573919105386835969', 'GET', '{"id":["1573919105386835969"]}', '19', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574205108131590146', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-09-26 09:11:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:11:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1570225246022770689"],"label":["1568482594885484546"],"isMould":["0"]}', '1', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574206491652124674', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-26 09:17:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:17:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568483117915193345"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574206684208427010', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-26 09:18:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:18:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568483117915193345"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574206691288412161', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-09-26 09:18:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:18:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '84', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574206710129225729', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-09-26 09:18:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:18:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '17', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573916682257813505', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 14:05:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 14:05:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573923659843235842', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 14:33:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 14:33:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1573919105386835969', 'GET', '{"id":["1573919105386835969"]}', '21', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573924479708033026', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 14:36:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 14:36:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1573919105386835969', 'GET', '{"id":["1573919105386835969"]}', '23', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573925116185276417', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 14:39:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 14:39:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573925892521586689', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 14:42:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 14:42:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573925904362106882', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 14:42:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 14:42:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '137', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573925925476233218', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 14:42:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 14:42:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1573919105386835969', 'GET', '{"id":["1573919105386835969"]}', '19', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573972359344943105', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 17:47:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 17:47:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573972372158541826', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 17:47:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 17:47:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '118', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573972464450007042', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 17:47:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 17:47:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '122', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573972656230363138', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 17:48:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 17:48:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '129', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573972667710173185', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 17:48:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 17:48:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '116', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573973031201140738', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 17:49:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 17:49:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1573919105386835969', 'GET', '{"id":["1573919105386835969"]}', '15', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573973178693840898', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 17:50:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 17:50:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '118', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573973430628904961', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 17:51:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 17:51:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1573919105386835969', 'GET', '{"id":["1573919105386835969"]}', '15', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574271139835322370', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-26 13:34:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 13:34:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574271140053426178', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-26 13:34:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 13:34:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574271143937351682', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-26 13:34:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 13:34:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574271146835615745', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-26 13:34:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 13:34:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574271165122781185', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-26 13:34:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 13:34:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574271177479200769', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-26 13:34:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 13:34:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '135', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574271229115277314', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-26 13:34:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 13:34:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '124', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574271271926538242', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-26 13:34:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 13:34:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '134', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574273945048752129', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-26 13:45:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 13:45:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574273945241690113', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-26 13:45:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 13:45:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574273948701990913', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-26 13:45:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 13:45:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":["1"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574273951038218241', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-26 13:45:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 13:45:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574274020810465282', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-26 13:45:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 13:45:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574274020990820354', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-26 13:45:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 13:45:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574274033464680450', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-26 13:45:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 13:45:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '129', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574274034018328578', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-26 13:45:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 13:45:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574274034190295041', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-26 13:45:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 13:45:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574274036828512257', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-26 13:45:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 13:45:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574276488306925569', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-26 13:55:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 13:55:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1574276325647659009', 'GET', '{"id":["1574276325647659009"]}', '14', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574276515456655361', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-26 13:55:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 13:55:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl', 'POST', '{}', '15', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574276515788005378', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-26 13:55:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 13:55:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574276574424375298', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-26 13:55:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 13:55:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1570698804578582529', 'DELETE', '{"id":["1570698804578582529"]}', '4', NULL, NULL, 'content:通过id删除审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574276574663450626', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-26 13:55:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 13:55:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574276584125800450', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-26 13:56:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 13:56:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1571780757536903170', 'GET', '{"id":["1571780757536903170"]}', '22', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573914367643734017', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 13:56:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 13:56:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/page', 'GET', '{"hitCount":[""],"optimizeCountSql":[""],"level":[""],"records":[""],"searchCount":[""],"fullName":[""],"updateUser":[""],"remark":[""],"updateTime":[""],"current":[""],"regionCode":[""],"total":[""],"size":[""],"createTime":[""],"regionId":[""],"orders[0].asc":[""],"name":[""],"tenantId":[""],"createUser":[""],"orders[0].column":[""],"id":[""],"isDel":[""]}', '32', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573914586880004098', '0', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 13:57:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 13:57:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl', 'POST', '{}', '90', NULL, 'parseShort error, field : urgentLevel', 'content:新增流程信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573915241552138242', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 14:00:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 14:00:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '7', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573915247965229057', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 14:00:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 14:00:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '122', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573915737671192578', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 14:02:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 14:02:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '136', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573916240438218754', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 14:04:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 14:04:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"edition":["11"],"id":["1572063395757809666"]}', '2', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573916269676711937', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 14:04:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 14:04:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"edition":["11"],"id":["1572063395757809666"]}', '2', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573916276526010370', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 14:04:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 14:04:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573916280900669442', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 14:04:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 14:04:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"edition":["11"],"id":["1572063395757809666"]}', '2', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573916631099887618', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 14:05:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 14:05:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '134', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573925128231317505', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 14:39:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 14:39:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '138', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573925557094707201', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 14:41:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 14:41:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573925569627287554', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 14:41:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 14:41:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '140', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573965714694991873', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 17:20:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 17:20:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573966130316963842', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 17:22:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 17:22:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '46', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573966251834339330', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 17:22:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 17:22:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '119', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573966260843704322', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 17:22:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 17:22:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1573965383747530754', 'GET', '{"id":["1573965383747530754"]}', '18', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573966303503970305', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 17:23:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 17:23:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '114', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574211792791007233', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 09:38:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:38:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessnodel', 'POST', '{}', '110', NULL, NULL, 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574211813519257601', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 09:38:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:38:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '167', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574211813896744961', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 09:38:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:38:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1573965383747530754', 'GET', '{"id":["1573965383747530754"]}', '18', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574211829428252673', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 09:38:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:38:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '118', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574211829801545730', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 09:38:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:38:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1573965383747530754', 'GET', '{"id":["1573965383747530754"]}', '15', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574213538158342145', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 09:45:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:45:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '126', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574213570882301953', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 09:45:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:45:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1573919105386835969', 'GET', '{"id":["1573919105386835969"]}', '18', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574214633769267202', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-26 09:49:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:49:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568483117915193345"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574214805165305857', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-09-26 09:50:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:50:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '58', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574215168987623426', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 09:51:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:51:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1573919105386835969', 'GET', '{"id":["1573919105386835969"]}', '17', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574215455559249921', '2', 'tofly-auth', 'fsq', TO_DATE('2022-09-26 09:53:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:53:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/7d664a1d-cd15-403b-930a-05bc4df06a32', 'DELETE', '{}', '1', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574215602791903233', '2', 'tofly-auth', 'mz001', TO_DATE('2022-09-26 09:53:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:53:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/91401ff5-46cf-49a4-a3db-6eb0aae122b0', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574216241294995458', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-26 09:56:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:56:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1573919105386835969', 'GET', '{}', '21', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574216252816748545', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-26 09:56:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:56:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574216253202624513', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-26 09:56:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:56:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '28', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574216258965598209', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 09:56:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:56:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574216259175313409', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 09:56:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:56:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574216266867666945', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 09:56:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:56:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '122', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574216267501006850', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 09:56:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:56:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574216267756859393', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 09:56:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:56:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573944145960628225', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 15:55:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 15:55:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1573919105386835969', 'GET', '{"id":["1573919105386835969"]}', '18', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573944280086081537', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 15:55:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 15:55:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '118', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573944324478595074', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 15:55:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 15:55:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1573919105386835969', 'GET', '{"id":["1573919105386835969"]}', '16', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573944599486525441', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 15:56:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 15:56:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573946031128309761', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 16:02:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 16:02:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573946046756286466', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 16:02:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 16:02:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '112', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573946476496285698', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 16:04:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 16:04:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573946507576078338', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 16:04:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 16:04:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '116', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573946519236243457', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 16:04:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 16:04:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1573918359266291713', 'GET', '{"id":["1573918359266291713"]}', '17', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573947451613245442', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 16:08:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 16:08:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573947528675192833', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 16:08:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 16:08:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '2', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573947537516785665', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 16:08:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 16:08:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '121', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573947760838307842', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 16:09:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 16:09:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573947777737158658', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 16:09:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 16:09:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573947844883771393', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 16:09:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 16:09:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573947854165766146', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 16:09:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 16:09:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '120', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573948988796301313', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 16:14:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 16:14:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '119', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573952793076166658', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 16:29:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 16:29:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573952811300417537', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 16:29:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 16:29:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '123', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573952840111091713', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 16:29:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 16:29:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573952847992188930', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 16:29:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 16:29:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '116', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573964321653387265', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 17:15:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 17:15:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573965171679424513', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 17:18:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 17:18:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '120', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573965384024453122', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 17:19:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 17:19:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl', 'POST', '{}', '110', NULL, NULL, 'content:新增流程信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573965421919989762', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 17:19:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 17:19:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '113', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573965432091176962', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 17:19:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 17:19:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1573965383747530754', 'GET', '{"id":["1573965383747530754"]}', '15', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573965454325182466', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 17:19:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 17:19:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '114', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573965480245981186', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 17:19:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 17:19:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1573965383747530754', 'GET', '{"id":["1573965383747530754"]}', '15', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574203902390824961', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 09:07:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:07:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574203930773680129', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 09:07:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:07:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '115', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574203938226958338', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 09:07:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:07:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1573919105386835969', 'GET', '{"id":["1573919105386835969"]}', '24', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574207760101928961', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 09:22:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:22:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574207773892800514', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 09:22:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:22:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '120', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574207779311841281', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 09:22:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:22:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1573919105386835969', 'GET', '{"id":["1573919105386835969"]}', '16', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574207821976301569', '0', 'tofly-flow', 'lz', TO_DATE('2022-09-26 09:22:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:22:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessnodel', 'POST', '{}', '108', NULL, 'parseShort error, field : isTally', 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574208047684382721', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-26 09:23:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:23:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574208061936627713', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-26 09:23:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:23:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574206714537439233', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-09-26 09:18:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:18:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{}', '27', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574206772469166081', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-09-26 09:18:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:18:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '64', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574206777242284034', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-09-26 09:18:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:18:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '2', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574206814047301634', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 09:18:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:18:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574206879251951617', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 09:19:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:19:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574206906846277633', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 09:19:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:19:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '129', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574206914496688130', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 09:19:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:19:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1573965383747530754', 'GET', '{"id":["1573965383747530754"]}', '19', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574206965788831745', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 09:19:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:19:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '125', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574206973200166914', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 09:19:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:19:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1573919105386835969', 'GET', '{"id":["1573919105386835969"]}', '17', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574207008335851521', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 09:19:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:19:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessnodel', 'POST', '{}', '11', NULL, NULL, 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574207272396648449', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 09:20:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:20:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574207283742240770', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 09:20:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:20:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '117', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574207288817348610', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 09:20:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:20:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1573919105386835969', 'GET', '{"id":["1573919105386835969"]}', '14', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574208597796712450', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 09:25:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:25:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1573965383747530754', 'GET', '{"id":["1573965383747530754"]}', '14', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574209188501516290', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-26 09:28:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:28:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574209386149703682', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 09:28:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:28:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '129', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574209386611077121', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 09:28:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:28:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1573965383747530754', 'GET', '{"id":["1573965383747530754"]}', '15', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574209841483345921', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 09:30:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:30:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574211198038700034', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 09:36:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:36:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '131', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574211202660823042', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 09:36:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:36:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1573965383747530754', 'GET', '{"id":["1573965383747530754"]}', '14', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574211854485024770', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-26 09:38:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:38:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568483117915193345"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574212296258482178', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-26 09:40:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:40:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessnodel/1573965383747530754', 'GET', '{}', '2', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574212297449664514', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-26 09:40:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:40:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '120', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574212306723270658', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-26 09:40:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:40:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1573965383747530754', 'GET', '{"id":["1573965383747530754"]}', '17', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574212388386369537', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-26 09:40:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:40:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '128', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574212396217135106', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-26 09:40:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:40:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1573965383747530754', 'GET', '{"id":["1573965383747530754"]}', '19', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574212607417118721', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 09:41:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:41:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '122', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574213743314333698', '2', 'tofly-auth', 'tnadmin', TO_DATE('2022-09-26 09:46:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:46:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/f8b5c800-ddf4-48be-83d5-d9caac0b6aac', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574213809609502722', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-26 09:46:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:46:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '2', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574213814894325761', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-26 09:46:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:46:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '7', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574214081597534210', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-26 09:47:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:47:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '2', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574214087247261698', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-26 09:47:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:47:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574214409558552578', '2', 'tofly-auth', 'lye', TO_DATE('2022-09-26 09:48:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:48:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/1cc1692d-4e38-4f95-ae73-4a86b6e494e9', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574214972987797505', '1', 'tofly-flow', 'fsq', TO_DATE('2022-09-26 09:51:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:51:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '53', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574215108170215426', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 09:51:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:51:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574215117431238658', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 09:51:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:51:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '135', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574215163509862402', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 09:51:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:51:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '124', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574215788868005890', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-26 09:54:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:54:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '52', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574215812842647554', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-26 09:54:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:54:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574216087204655106', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-26 09:55:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:55:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '17', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573917623468027906', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 14:09:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 14:09:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '250', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573917626647310338', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 14:09:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 14:09:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '296', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573918360117833730', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 14:12:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 14:12:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl', 'POST', '{}', '417', NULL, NULL, 'content:新增流程信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573918417344917506', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 14:12:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 14:12:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '204', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573918532134629378', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 14:13:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 14:13:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '188', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573918826146951170', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 14:14:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 14:14:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '146', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573919107622498306', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 14:15:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 14:15:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl', 'POST', '{}', '534', NULL, NULL, 'content:新增流程信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573919649249751042', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 14:17:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 14:17:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '144', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573935885899657217', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 15:22:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 15:22:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl', 'POST', '{}', '226', NULL, NULL, 'content:新增流程信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573936013104508930', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 15:22:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 15:22:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573936013414887425', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 15:22:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 15:22:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '18', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573936021363093505', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 15:22:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 15:22:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '130', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573936021845438466', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 15:22:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 15:22:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573936022063542274', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 15:22:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 15:22:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573936024441712641', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 15:22:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 15:22:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573936034663231489', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 15:22:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 15:22:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573936034910695426', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 15:22:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 15:22:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573939663453417474', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 15:37:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 15:37:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '139', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573939927421939713', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 15:38:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 15:38:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573939954835910657', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 15:38:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 15:38:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573952891948494849', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 16:29:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 16:29:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1573919105386835969', 'GET', '{"id":["1573919105386835969"]}', '18', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573952918255169537', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 16:29:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 16:29:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573954911593951233', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 16:37:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 16:37:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573954920448126977', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 16:37:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 16:37:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '120', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573955185809158146', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 16:38:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 16:38:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '114', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574218411817836546', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-26 10:04:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:04:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '168', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574218412266627074', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-26 10:04:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:04:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574212614236958722', 'GET', '{"id":["1574212614236958722"]}', '22', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574218634250166273', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 10:05:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:05:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574219256869429250', '2', 'tofly-auth', 'mz001', TO_DATE('2022-09-26 10:08:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:08:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/43eb6ad5-b048-4156-bb85-924f4db1b398', 'DELETE', '{}', '1', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574219335479074818', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-26 10:08:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:08:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '20', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574219335747510273', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-26 10:08:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:08:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '17', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574221719068483586', '2', 'tofly-auth', 'tmx', TO_DATE('2022-09-26 10:18:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:18:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/6b164788-914d-4bf7-b5d7-de37a5843f49', 'DELETE', '{}', '1', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574222160359596034', '1', 'tofly-flow', 'Jtadmin', TO_DATE('2022-09-26 10:19:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:19:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574222161068433409', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 10:19:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:19:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574228735618981889', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 10:45:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:45:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574228765482426369', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-26 10:46:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:46:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574228765541146625', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-26 10:46:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:46:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '23', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574232634664984577', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-26 11:01:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 11:01:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '32', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574232699865440257', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-26 11:01:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 11:01:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '49', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574232700293259266', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-26 11:01:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 11:01:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573946535132655617', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 16:04:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 16:04:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '117', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573946586198306818', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 16:04:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 16:04:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1573919105386835969', 'GET', '{"id":["1573919105386835969"]}', '16', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573946635745619970', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 16:04:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 16:04:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"edition":["11"],"id":["1572063395757809666"]}', '1', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573946653680463874', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 16:04:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 16:04:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"edition":["11"],"id":["1572063395757809666"]}', '1', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573946664698900482', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 16:05:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 16:05:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"edition":["11"],"id":["1572063395757809666"]}', '1', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573946713638039553', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 16:05:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 16:05:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1569613105131102209', 'GET', '{"edition":["1"],"id":["1569613105131102209"]}', '1', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573946729412816897', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 16:05:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 16:05:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1569613105131102209', 'GET', '{"edition":["1"],"id":["1569613105131102209"]}', '1', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573947016374513666', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 16:06:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 16:06:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568483117915193345"],"isMould":["0"]}', '2', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573947126793760769', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 16:06:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 16:06:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573947149937930241', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 16:06:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 16:06:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '113', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574216270722232321', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 09:56:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:56:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574216305413320705', '2', 'tofly-auth', 'mzadmin', TO_DATE('2022-09-26 09:56:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:56:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/ccd3ff53-9558-455e-be5a-576c1adc019b', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574217562894901250', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-26 10:01:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:01:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '217', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574218383330123777', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-26 10:04:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:04:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '195', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574218749056655362', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 10:06:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:06:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574218769109622785', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 10:06:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:06:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '142', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574219999236071425', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-26 10:11:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:11:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1573919105386835969', 'GET', '{}', '24', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574220005233926145', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-26 10:11:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:11:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '132', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574220008757141505', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 10:11:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:11:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessnodel', 'POST', '{}', '211', NULL, NULL, 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574220041116196866', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-26 10:11:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:11:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574220041187500034', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-26 10:11:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:11:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '22', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574220445891698690', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-26 10:12:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:12:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '7', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574222113320476674', '2', 'tofly-auth', 'mzadmin', TO_DATE('2022-09-26 10:19:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:19:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/5c8c025f-ec99-45e1-a077-11128167df51', 'DELETE', '{}', '1', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574222160351207426', '1', 'tofly-flow', 'Jtadmin', TO_DATE('2022-09-26 10:19:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:19:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574222476287156226', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-26 10:21:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:21:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574222486798082049', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-26 10:21:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:21:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '140', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574222549070913538', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-26 10:21:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:21:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568483117915193345"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574222779979931650', '1', 'tofly-flow', 'Jtadmin', TO_DATE('2022-09-26 10:22:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:22:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '2', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574223701363662850', '1', 'tofly-flow', 'Jtadmin', TO_DATE('2022-09-26 10:25:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:25:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574223701560795138', '1', 'tofly-flow', 'Jtadmin', TO_DATE('2022-09-26 10:25:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:25:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574223717163606018', '1', 'tofly-flow', 'Jtadmin', TO_DATE('2022-09-26 10:25:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:25:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '131', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574223717822111746', '1', 'tofly-flow', 'Jtadmin', TO_DATE('2022-09-26 10:25:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:25:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574223717998272514', '1', 'tofly-flow', 'Jtadmin', TO_DATE('2022-09-26 10:25:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:25:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574223720380637186', '1', 'tofly-flow', 'Jtadmin', TO_DATE('2022-09-26 10:25:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:25:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574223749120008194', '1', 'tofly-flow', 'Jtadmin', TO_DATE('2022-09-26 10:26:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:26:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1570698804578582529', 'GET', '{"id":["1570698804578582529"]}', '109', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574223749514272770', '1', 'tofly-flow', 'Jtadmin', TO_DATE('2022-09-26 10:26:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:26:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":["1"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574223749732376577', '1', 'tofly-flow', 'Jtadmin', TO_DATE('2022-09-26 10:26:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:26:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574223752492228609', '1', 'tofly-flow', 'Jtadmin', TO_DATE('2022-09-26 10:26:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:26:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573946544695668738', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 16:04:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 16:04:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1573918359266291713', 'GET', '{"id":["1573918359266291713"]}', '18', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573946556951425025', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 16:04:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 16:04:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '110', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573946565960790017', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 16:04:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 16:04:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1573919105386835969', 'GET', '{"id":["1573919105386835969"]}', '16', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573946577176358913', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 16:04:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 16:04:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '117', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574208142412738562', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-26 09:24:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:24:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["-1"],"isMould":["0"]}', '1', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574208609721118721', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-26 09:25:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:25:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574208615467315201', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-26 09:25:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:25:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574208711491710978', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-26 09:26:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:26:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574208722489176066', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-26 09:26:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:26:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574208947303870465', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-26 09:27:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:27:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574208954799091714', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-26 09:27:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:27:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574209010281345025', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 09:27:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:27:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '122', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574209010868547586', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 09:27:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:27:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1573965383747530754', 'GET', '{"id":["1573965383747530754"]}', '20', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574209181270536194', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-26 09:28:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:28:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '2', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574209186173677569', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 09:28:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:28:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '111', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574209186534387713', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 09:28:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:28:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1573965383747530754', 'GET', '{"id":["1573965383747530754"]}', '14', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574209196504248321', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-26 09:28:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:28:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/page', 'GET', '{"tenantId":["1"],"current":["1"],"size":["10000"],"isDel":["0"]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574209366939791362', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-26 09:28:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:28:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574209386116149249', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-26 09:28:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:28:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '2', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574209398434820098', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-26 09:29:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:29:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/page', 'GET', '{"tenantId":["1"],"current":["1"],"size":["10000"],"isDel":["0"]}', '2', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574209472619474945', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 09:29:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:29:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574209472871133186', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 09:29:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:29:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574209480047587330', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 09:29:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:29:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '114', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574209480580263937', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 09:29:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:29:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574209480781590530', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 09:29:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:29:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574209483377864705', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 09:29:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:29:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '2', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574209706342871042', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 09:30:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:30:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '113', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574209706883936258', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 09:30:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:30:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574209707064291330', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 09:30:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:30:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574209709413101570', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 09:30:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:30:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574209848718520321', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 09:30:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:30:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '117', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574209849096007681', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 09:30:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:30:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1573965383747530754', 'GET', '{"id":["1573965383747530754"]}', '15', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574209939118354434', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 09:31:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:31:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574209939344846850', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 09:31:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:31:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574209946533883906', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 09:31:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:31:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '117', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574209947041394690', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 09:31:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:31:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574209947209166849', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 09:31:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:31:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574209949838995458', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 09:31:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:31:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '2', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574210420423127042', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 09:33:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:33:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574210743711690754', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-26 09:34:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:34:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568483117915193345"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573923790965567490', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 14:34:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 14:34:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1573919105386835969', 'GET', '{"id":["1573919105386835969"]}', '20', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573924112161173506', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 14:35:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 14:35:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573924430185885697', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 14:36:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 14:36:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '130', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573925699646517249', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 14:41:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 14:41:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1573919105386835969', 'GET', '{"id":["1573919105386835969"]}', '25', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573926890547834881', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 14:46:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 14:46:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1573919105386835969', 'GET', '{"id":["1573919105386835969"]}', '22', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573926913629089794', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 14:46:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 14:46:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573926926463660034', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 14:46:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 14:46:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '123', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573926951839199233', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 14:46:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 14:46:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1573919105386835969', 'GET', '{"id":["1573919105386835969"]}', '20', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573927289996570625', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 14:48:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 14:48:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1573919105386835969', 'GET', '{"id":["1573919105386835969"]}', '28', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574216221539823618', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-26 09:56:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:56:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '125', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574217562894901249', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-26 10:01:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:01:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568483117915193345"],"isMould":["0"]}', '7', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574218453811208194', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-26 10:05:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:05:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574218454012534785', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-26 10:05:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:05:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '24', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574218499269074946', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 10:05:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:05:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574218607599558658', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 10:05:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:05:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '137', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574218608232898561', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 10:05:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:05:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574212614236958722', 'GET', '{"id":["1574212614236958722"]}', '21', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574222180932657154', '1', 'tofly-flow', 'Jtadmin', TO_DATE('2022-09-26 10:19:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:19:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574225584572604418', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-26 10:33:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:33:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574227958791938050', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 10:42:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:42:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574227958993264641', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 10:42:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:42:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574227985723564033', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 10:42:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:42:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '126', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574227986289795073', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 10:42:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:42:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574227986474344449', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 10:42:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:42:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574227989099978754', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 10:42:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:42:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574233487706726402', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-26 11:04:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 11:04:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '27', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574233488017104898', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-26 11:04:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 11:04:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574233792292888577', '1', 'tofly-flow', 'public', TO_DATE('2022-09-26 11:05:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 11:05:58', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.91', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{}', '204', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574234915540082689', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-26 11:10:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 11:10:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574234915753992193', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-26 11:10:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 11:10:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574234926432690177', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-26 11:10:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 11:10:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '159', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574234927133138945', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-26 11:10:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 11:10:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574219785834180609', 'GET', '{"id":["1574219785834180609"]}', '79', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574234991050137601', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-26 11:10:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 11:10:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '9', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574235283120496642', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-26 11:11:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 11:11:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp', 'POST', '{}', '9', NULL, NULL, 'content:新增工程工序/工程管控', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574235283384737793', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-26 11:11:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 11:11:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '13', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574235527761666049', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-26 11:12:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 11:12:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '62', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574235546019471362', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-26 11:12:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 11:12:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/deleteByIds', 'DELETE', '{"ids":["1572131129849921537"]}', '10', NULL, NULL, 'content:通过id批量删除施工组织单位', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574235546401153025', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-26 11:12:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 11:12:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '45', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574236245121867778', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 11:15:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 11:15:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '149', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574237059680870402', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-26 11:18:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 11:18:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/1572054869920571394', 'GET', '{"0":["1572054869920571394"]}', '17', NULL, NULL, 'content:通过id查询施工组织单位', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574232705687134209', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-26 11:01:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 11:01:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '21', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574232705972346881', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-26 11:01:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 11:01:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '18', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574232710992928769', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-26 11:01:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 11:01:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574232711265558530', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-26 11:01:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 11:01:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574232720786628610', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-26 11:01:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 11:01:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '316', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574232724628611074', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-26 11:01:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 11:01:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574232724863492098', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-26 11:01:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 11:01:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574235516931973122', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-26 11:12:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 11:12:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/deleteByIds', 'DELETE', '{"ids":["1572142535370461186"]}', '13', NULL, NULL, 'content:通过id批量删除施工组织单位', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574235517401735170', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-26 11:12:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 11:12:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '66', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574235738525442050', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-26 11:13:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 11:13:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574235746767249410', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-26 11:13:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 11:13:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/ff9ad21c-5289-478f-86cf-1dc6f5abeba0', 'DELETE', '{}', '1', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574236165128101890', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 11:15:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 11:15:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '146', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574236165681750018', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 11:15:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 11:15:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574219785834180609', 'GET', '{"id":["1574219785834180609"]}', '19', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574240931199623169', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-26 11:34:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 11:34:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '132', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574243262075019265', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-26 11:43:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 11:43:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/1574243157838213121', 'GET', '{"0":["1574243157838213121"]}', '3', NULL, NULL, 'content:通过id查询施工组织单位', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574243346237923329', '0', 'tofly-flow', 'mzscb', TO_DATE('2022-09-26 11:43:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 11:43:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/saveTeamAll', 'POST', '{}', '84', NULL, '### Error updating database.  Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-01400: 无法将 NULL 插入 ("TF_ZMRQ_LC"."TF_BUILD_UNIT_P"."TEAM_TYPE")

### The error may exist in com/tofly/workflow/baseconf/mapper/TfBuildUnitPMapper.java (best guess)
### The error may involve com.tofly.workflow.baseconf.mapper.TfBuildUnitPMapper.insert-Inline
### The error occurred while setting parameters
### SQL: INSERT INTO TF_BUILD_UNIT_P  ( id, tenant_id, order_number, dept_id,   remark, CREATE_USER,  CREATE_TIME, UPDATE_USER,  UPDATE_TIME )  VALUES  ( ?, ?, ?, ?,   ?, ?,  ?, ?,  ? )
### Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-01400: 无法将 NULL 插入 ("TF_ZMRQ_LC"."TF_BUILD_UNIT_P"."TEAM_TYPE")

; ORA-01400: 无法将 NULL 插入 ("TF_ZMRQ_LC"."TF_BUILD_UNIT_P"."TEAM_TYPE")
; nested exception is java.sql.SQLIntegrityConstraintViolationException: ORA-01400: 无法将 NULL 插入 ("TF_ZMRQ_LC"."TF_BUILD_UNIT_P"."TEAM_TYPE")', 'content:新增施工班组相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574244951016382465', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 11:50:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 11:50:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574244951217709057', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 11:50:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 11:50:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574244954845782017', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 11:50:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 11:50:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574244955038720001', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 11:50:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 11:50:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574244958796816385', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 11:50:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 11:50:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574244961271455746', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 11:50:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 11:50:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574244990551891970', '2', 'tofly-auth', 'mzscb', TO_DATE('2022-09-26 11:50:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 11:50:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/4690bb91-92fc-465a-9574-3742827a78c9', 'DELETE', '{}', '1', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574245020012683265', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 11:50:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 11:50:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574245031865786369', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 11:50:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 11:50:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '135', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574245069845209089', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-26 11:50:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 11:50:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '176', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574245070260445185', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-26 11:50:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 11:50:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574237792111685633', 'GET', '{"id":["1574237792111685633"]}', '19', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574245178783866882', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-26 11:51:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 11:51:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574276584595562497', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-26 13:56:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 13:56:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574276587103756289', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-26 13:56:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 13:56:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574276616375803905', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-26 13:56:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 13:56:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574276617072058370', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-26 13:56:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 13:56:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574277335946403841', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-26 13:59:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 13:59:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574278189223026689', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 14:02:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:02:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl', 'POST', '{}', '17', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574278189550182402', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 14:02:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:02:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573936049439764482', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 15:22:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 15:22:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574225965654482946', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-26 10:34:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:34:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574227062590808066', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-26 10:39:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:39:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '119', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574227070866169858', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-26 10:39:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:39:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574227070908112898', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-26 10:39:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:39:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '21', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574228163864043522', '2', 'tofly-auth', 'Jtadmin', TO_DATE('2022-09-26 10:43:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:43:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/2ca91a87-642d-45f7-8f53-169df71a11c9', 'DELETE', '{}', '1', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574234076356321282', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-26 11:07:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 11:07:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '17', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574234076587008001', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-26 11:07:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 11:07:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574234102499418114', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-26 11:07:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 11:07:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574234102751076353', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-26 11:07:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 11:07:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574234105343156225', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-26 11:07:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 11:07:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574234105636757505', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-26 11:07:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 11:07:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574234118324527106', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-26 11:07:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 11:07:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574234118630711297', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-26 11:07:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 11:07:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574234122535608322', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-26 11:07:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 11:07:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574234122762100737', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-26 11:07:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 11:07:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574234124209135617', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-26 11:07:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 11:07:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574234124427239426', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-26 11:07:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 11:07:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574234190923735041', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-26 11:07:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 11:07:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574234191754207234', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-26 11:07:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 11:07:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574234199182319617', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-26 11:07:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 11:07:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574234199396229122', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-26 11:07:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 11:07:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574234268052791298', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-26 11:07:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 11:07:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574234268287672322', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-26 11:07:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 11:07:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574234380493692929', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-26 11:08:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 11:08:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574234380732768257', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-26 11:08:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 11:08:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574234913585537026', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-26 11:10:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 11:10:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574235458094276609', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-26 11:12:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 11:12:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/96d74fdf-4857-49ed-952c-2baf939be5f4', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574235467808284674', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-26 11:12:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 11:12:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '78', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574235525207334914', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-26 11:12:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 11:12:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '64', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574236946061369345', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 11:18:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 11:18:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '154', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574237100357230594', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-26 11:19:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 11:19:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '11', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574237563991400449', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-26 11:20:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 11:20:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574237704915820546', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 11:21:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 11:21:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '150', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574237811451142145', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-26 11:21:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 11:21:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '146', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574237812038344705', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-26 11:21:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 11:21:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1573919105386835969', 'GET', '{"id":["1573919105386835969"]}', '36', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574240901931769858', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-26 11:34:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 11:34:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '133', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574240960480059394', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-26 11:34:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 11:34:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '127', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574241082404282369', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-26 11:34:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 11:34:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574211186156236802', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 09:36:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:36:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '2', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574211614352732161', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 09:37:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:37:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574211646086836225', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 09:37:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:37:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574211655440134146', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 09:38:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:38:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '133', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574213140957753346', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 09:43:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:43:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '119', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574213141326852098', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 09:43:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:43:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1573965383747530754', 'GET', '{"id":["1573965383747530754"]}', '14', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574214692980256770', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-26 09:50:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:50:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568483117915193345"],"isMould":["0"]}', '8', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574214712550879233', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-09-26 09:50:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:50:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '58', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574214851160043521', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-26 09:50:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:50:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574212614236958722', 'GET', '{}', '16', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574214852267339778', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-26 09:50:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:50:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '121', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574214862715351041', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-26 09:50:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:50:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574212614236958722', 'GET', '{"id":["1574212614236958722"]}', '18', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574214915966234626', '2', 'tofly-auth', 'tnadmin', TO_DATE('2022-09-26 09:50:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:50:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/37f86efa-2daa-4a76-b9c0-8d0fb6294aad', 'DELETE', '{}', '1', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574215892932882433', '2', 'tofly-auth', 'lye', TO_DATE('2022-09-26 09:54:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:54:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/c615be65-7e39-40e6-ba9f-8946961ae892', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574216087120769025', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-26 09:55:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 09:55:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574217681081999362', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-26 10:01:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:01:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568483117915193345"],"isMould":["0"]}', '9', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574217706520453121', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-26 10:02:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:02:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1573919105386835969', 'GET', '{}', '185', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574217707917156353', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-26 10:02:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:02:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '291', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574217730188910594', '2', 'tofly-auth', 'fsq', TO_DATE('2022-09-26 10:02:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:02:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/e367b4b3-397c-400a-abc2-c45836d9bef1', 'DELETE', '{}', '8', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574217732755824641', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-26 10:02:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:02:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '191', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574217732931985409', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-26 10:02:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:02:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '95', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574218050113642498', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-26 10:03:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:03:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568483117915193345"],"isMould":["0"]}', '14', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574218247036215297', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-26 10:04:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:04:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574218434060230657', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-26 10:04:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:04:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1573919105386835969', 'GET', '{}', '33', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574218434936840193', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-26 10:04:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:04:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '165', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574218443954593793', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 10:04:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:04:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1573919105386835969', 'GET', '{"id":["1573919105386835969"]}', '502', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574218776411906049', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 10:06:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:06:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1573965383747530754', 'GET', '{"id":["1573965383747530754"]}', '22', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574218918007414786', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 10:06:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:06:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessnodel', 'POST', '{}', '48', NULL, NULL, 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574219387882708993', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 10:08:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:08:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574219721724141570', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-26 10:10:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:10:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '14', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574219737247260674', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-26 10:10:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:10:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568483117915193345"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574219737951903745', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-26 10:10:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:10:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574219738161618946', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-26 10:10:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:10:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574219742632747010', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-26 10:10:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:10:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574219749041643522', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-26 10:10:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:10:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1573919105386835969', 'GET', '{}', '28', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574219750228631553', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-26 10:10:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:10:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '133', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574219759334465538', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-26 10:10:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:10:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574219759376408577', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-26 10:10:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:10:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '24', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574220561163755521', '1', 'tofly-flow', 'tmx', TO_DATE('2022-09-26 10:13:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:13:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569152821327564802"],"label":["1568482594885484546"],"isMould":["0"]}', '2', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574221100656107522', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-26 10:15:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:15:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573917697778511873', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 14:09:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 14:09:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"edition":["11"],"id":["1572063395757809666"]}', '2', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573917751578849281', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 14:10:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 14:10:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"edition":["11"],"id":["1572063395757809666"]}', '2', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573917815239995393', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 14:10:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 14:10:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"edition":["11"],"id":["1572063395757809666"]}', '2', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573918112045723650', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 14:11:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 14:11:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '228', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573919690035163137', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 14:17:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 14:17:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1573919105386835969', 'GET', '{"id":["1573919105386835969"]}', '55', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573920171688062978', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 14:19:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 14:19:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573920184442941441', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 14:19:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 14:19:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '184', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573920257985867777', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 14:20:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 14:20:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1573919105386835969', 'GET', '{"id":["1573919105386835969"]}', '23', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573921602990108674', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 14:25:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 14:25:26', 'SYYYY-MM-DD HH24:MI:SS'), '171.214.157.239', NULL, '/tfprocessl/1573919105386835969', 'GET', '{}', '15', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573922252423557122', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 14:28:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 14:28:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '149', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573922280256958465', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 14:28:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 14:28:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1573919105386835969', 'GET', '{"id":["1573919105386835969"]}', '23', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574237063594156033', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 11:18:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 11:18:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '153', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574285666341658626', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 14:32:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:32:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574285688500166658', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 14:32:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:32:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1574276325647659009', 'GET', '{"id":["1574276325647659009"]}', '14', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574285689204809730', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 14:32:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:32:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":["1569602913205559298"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574285689389359105', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 14:32:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:32:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574285692094685185', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 14:32:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:32:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574285697316593666', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 14:32:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:32:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1574275849078255617', 'GET', '{"id":["1574275849078255617"]}', '23', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574285697945739265', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 14:32:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:32:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":["1569602913205559298"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574285698260312065', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 14:32:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:32:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574285700881752065', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 14:32:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:32:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574285737246367745', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 14:32:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:32:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1574276325647659009', 'GET', '{"id":["1574276325647659009"]}', '13', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574285737770655746', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 14:32:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:32:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":["1569602913205559298"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574285737930039297', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 14:32:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:32:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574285740677308417', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 14:32:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:32:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574285747912482818', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 14:32:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:32:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1574275849078255617', 'GET', '{"id":["1574275849078255617"]}', '18', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574285748470325249', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 14:32:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:32:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":["1569602913205559298"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574285748604542978', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 14:32:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:32:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574285751284703234', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 14:32:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:32:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574285794951602178', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 14:32:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:32:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572111539262464001', 'GET', '{"id":["1572111539262464001"]}', '88', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574285795555581953', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 14:32:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:32:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":["1569602913205559298"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574285795735937025', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 14:32:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:32:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574285798525149185', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 14:32:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:32:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574285816875229186', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 14:32:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:32:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1574275849078255617', 'GET', '{"id":["1574275849078255617"]}', '21', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574285818431315969', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 14:32:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:32:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574285818620059650', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 14:32:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:32:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574285823435120642', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 14:32:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:32:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574285826643763201', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 14:32:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:32:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1574276325647659009', 'GET', '{"id":["1574276325647659009"]}', '13', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574285827067387905', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 14:32:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:32:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":["1569602913205559298"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574285827230965761', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 14:32:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:32:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574278715293605890', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-26 14:04:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:04:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574279540405477378', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 14:07:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:07:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl', 'POST', '{}', '18', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574279540778770434', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 14:07:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:07:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574279549830078465', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 14:07:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:07:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1574275849078255617', 'GET', '{"id":["1574275849078255617"]}', '24', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574279550404698113', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 14:07:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:07:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574279677114621954', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 14:08:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:08:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl', 'POST', '{}', '16', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574279677450166273', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 14:08:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:08:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574280297729007618', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 14:10:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:10:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1571763657271414785', 'GET', '{"id":["1571763657271414785"]}', '64', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574280298383319041', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 14:10:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:10:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574280300799238145', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 14:10:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:10:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574281773675225089', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 14:16:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:16:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574281795389136897', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 14:16:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:16:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '10', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574281795431079938', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 14:16:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:16:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574282004420665347', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 14:17:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:17:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574282012440174594', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 14:17:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:17:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '142', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574282022816882689', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 14:17:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:17:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574282022993043457', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 14:17:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:17:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574282023852875777', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 14:17:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:17:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574282024033230849', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 14:17:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:17:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574282028143648769', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 14:17:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:17:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":["1"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574282030593122305', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 14:17:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:17:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574283687603249154', '2', 'tofly-auth', 'test', TO_DATE('2022-09-26 14:24:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:24:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/9c3a000e-1eec-4859-a120-da248d396840', 'DELETE', '{}', '1', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574284330028015617', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 14:26:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:26:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574237792111685633', 'GET', '{"id":["1574237792111685633"]}', '23', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574284364584886274', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 14:26:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:26:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574284901971697665', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-26 14:29:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:29:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574284902168829954', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-26 14:29:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:29:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574284906975502337', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-26 14:29:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:29:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574284907185217538', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-26 14:29:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:29:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574284909575970817', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-26 14:29:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:29:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574284929914150913', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-26 14:29:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:29:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574284930073534465', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-26 14:29:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:29:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574284932783054850', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-26 14:29:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:29:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574284976068272129', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 14:29:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:29:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574237792111685633', 'GET', '{"id":["1574237792111685633"]}', '20', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574285306201939970', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-26 14:30:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:30:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574285306235494401', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-26 14:30:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:30:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '19', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574285308458475521', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 14:30:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:30:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574285308626247682', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 14:30:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:30:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574285314678628353', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 14:30:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:30:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574285314838011906', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 14:30:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:30:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574285317438480386', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 14:30:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:30:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574285388045393922', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 14:30:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:30:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '124', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573932390224097281', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 15:08:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 15:08:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '118', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573932402068811778', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 15:08:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 15:08:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1573919105386835969', 'GET', '{"id":["1573919105386835969"]}', '15', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573932729782366210', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 15:09:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 15:09:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '9', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573932741929070593', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 15:09:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 15:09:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '125', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573932750909075457', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 15:09:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 15:09:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1573919105386835969', 'GET', '{"id":["1573919105386835969"]}', '18', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573933134335569921', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 15:11:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 15:11:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '26', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573936065046769665', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 15:22:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 15:22:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573936224447098881', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 15:23:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 15:23:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '7', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573936240209293314', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-25 15:23:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 15:23:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '127', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573936549346275330', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 15:24:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 15:24:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573937411225415682', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 15:28:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 15:28:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573937672463446018', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 15:29:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 15:29:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573938314523308033', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 15:31:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 15:31:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573938450628472834', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 15:32:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 15:32:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '143', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573938464893300737', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 15:32:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 15:32:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1573919105386835969', 'GET', '{"id":["1573919105386835969"]}', '18', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573938521386381313', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 15:32:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 15:32:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573938882557898753', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 15:34:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 15:34:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '7', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573938902325653506', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 15:34:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 15:34:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573939020831518722', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 15:34:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 15:34:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573939066750758914', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 15:34:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 15:34:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568483117915193345"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1573939105745203201', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-25 15:34:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-25 15:34:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574242016874242050', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 11:38:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 11:38:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574242030140825602', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 11:38:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 11:38:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '138', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574243064112259074', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 11:42:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 11:42:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574243064326168577', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 11:42:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 11:42:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574243075726286850', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 11:42:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 11:42:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '140', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574243076279934978', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 11:42:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 11:42:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574243076456095746', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 11:42:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 11:42:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574243078901374977', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 11:42:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 11:42:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574243699297656834', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 11:45:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 11:45:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574243712077701121', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 11:45:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 11:45:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '141', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574243762153496578', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-26 11:45:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 11:45:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574243770625990658', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 11:45:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 11:45:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '140', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574243793208123394', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-26 11:45:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 11:45:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/1574243157838213121', 'GET', '{"0":["1574243157838213121"]}', '6', NULL, NULL, 'content:通过id查询施工组织单位', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574243807724609537', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-26 11:45:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 11:45:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/1574243157838213121', 'GET', '{"0":["1574243157838213121"]}', '5', NULL, NULL, 'content:通过id查询施工组织单位', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574218209019043842', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-26 10:04:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:04:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"edition":["11"],"id":["1572063395757809666"]}', '1', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574218261716279297', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-26 10:04:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:04:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574218273623908353', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-26 10:04:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:04:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574218281140101122', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-26 10:04:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:04:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '215', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574218281853132802', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-26 10:04:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:04:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1573919105386835969', 'GET', '{"id":["1573919105386835969"]}', '35', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574218342074949634', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-26 10:04:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:04:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574218368473899010', '2', 'tofly-auth', 'mzscb', TO_DATE('2022-09-26 10:04:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:04:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/c7e8905f-3d2a-4577-ad81-2b465377b23a', 'DELETE', '{}', '1', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574218383938297857', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-26 10:04:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:04:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1573965383747530754', 'GET', '{"id":["1573965383747530754"]}', '24', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574218992087212033', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-26 10:07:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:07:09', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.91', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{}', '137', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574219408015368194', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 10:08:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:08:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '137', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574219564978806785', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-26 10:09:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:09:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574219565096247297', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-26 10:09:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:09:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '32', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574219711565537281', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-26 10:10:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:10:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574219711800418305', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-26 10:10:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:10:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574219721724141569', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-26 10:10:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:10:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '14', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574219733250088961', '1', 'tofly-flow', 'tmx', TO_DATE('2022-09-26 10:10:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:10:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569152821327564802"],"label":["1568482594885484546"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574219786962345985', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 10:10:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:10:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl', 'POST', '{}', '373', NULL, NULL, 'content:新增流程信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574219830713131009', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 10:10:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:10:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '150', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574219831262584834', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 10:10:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:10:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574219785834180609', 'GET', '{"id":["1574219785834180609"]}', '18', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574219933385498626', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-26 10:10:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:10:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568483117915193345"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574219963748065281', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 10:11:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:11:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessnodel', 'POST', '{}', '151', NULL, NULL, 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574219973466267649', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 10:11:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:11:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '137', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574219973982167042', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 10:11:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:11:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574219785834180609', 'GET', '{"id":["1574219785834180609"]}', '20', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574221100664496130', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-26 10:15:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:15:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574221108394598402', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-26 10:15:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:15:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574221108633673730', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-26 10:15:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:15:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '18', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574221114828660737', '1', 'tofly-flow', 'tmx', TO_DATE('2022-09-26 10:15:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:15:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569152821327564802"],"label":["1568482594885484546"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574221422216617986', '1', 'tofly-flow', 'tmx', TO_DATE('2022-09-26 10:16:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:16:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574221422485053441', '1', 'tofly-flow', 'tmx', TO_DATE('2022-09-26 10:16:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:16:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574221432371027969', '1', 'tofly-flow', 'tmx', TO_DATE('2022-09-26 10:16:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:16:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '138', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574221432907898882', '1', 'tofly-flow', 'tmx', TO_DATE('2022-09-26 10:16:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:16:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574221433092448258', '1', 'tofly-flow', 'tmx', TO_DATE('2022-09-26 10:16:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:16:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574221435965546497', '1', 'tofly-flow', 'tmx', TO_DATE('2022-09-26 10:16:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:16:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574222149773172738', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 10:19:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:19:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574222149966110722', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 10:19:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:19:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574222154487570433', '1', 'tofly-flow', 'Jtadmin', TO_DATE('2022-09-26 10:19:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:19:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574222154688897025', '1', 'tofly-flow', 'Jtadmin', TO_DATE('2022-09-26 10:19:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:19:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574222157507469314', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 10:19:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:19:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '137', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574222158006591490', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 10:19:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:19:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574285830263447553', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 14:32:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:32:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574285834260619266', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 14:32:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:32:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574219785834180609', 'GET', '{"id":["1574219785834180609"]}', '21', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574285874651766785', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 14:32:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:32:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574285874869870593', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 14:32:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:32:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574285885846364162', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 14:32:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:32:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574285918020870146', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 14:33:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:33:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1574275849078255617', 'GET', '{"id":["1574275849078255617"]}', '20', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574285918519992321', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 14:33:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:33:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574285921078517762', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 14:33:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:33:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574285933887922177', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 14:33:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:33:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574285934047305730', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 14:33:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:33:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574285939160162306', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 14:33:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:33:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574285939323740162', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 14:33:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:33:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574285941865488386', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 14:33:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:33:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574285951483027458', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 14:33:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:33:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1574275849078255617', 'GET', '{"id":["1574275849078255617"]}', '24', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574285951894069249', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 14:33:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:33:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":["1569602913205559298"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574285952087007234', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 14:33:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:33:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574285954683281409', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 14:33:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:33:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574286012396904450', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-26 14:33:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:33:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '2', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574286041870278658', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 14:33:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:33:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '120', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574286053836627969', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 14:33:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:33:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574219785834180609', 'GET', '{"id":["1574219785834180609"]}', '17', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574286464983277570', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 14:35:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:35:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574219785834180609', 'GET', '{"id":["1574219785834180609"]}', '17', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574286883813892097', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 14:36:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:36:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl', 'POST', '{}', '34', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574286884245905410', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 14:36:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:36:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574286884837302274', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 14:36:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:36:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '112', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574286885307064322', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 14:36:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:36:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574237792111685633', 'GET', '{"id":["1574237792111685633"]}', '18', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574286902986055681', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 14:37:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:37:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574286913639587842', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 14:37:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:37:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '124', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574286914088378370', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 14:37:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:37:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574286914256150530', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 14:37:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:37:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574286916646903810', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 14:37:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:37:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574286923005468673', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 14:37:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:37:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '124', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574286947592478722', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-26 14:37:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:37:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574286955549073409', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-26 14:37:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:37:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574286969943924737', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 14:37:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:37:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1574286883662934017', 'GET', '{"id":["1574286883662934017"]}', '24', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574286970363355138', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 14:37:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:37:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574286970535321601', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 14:37:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:37:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574286972926074882', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 14:37:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:37:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574287019940028418', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 14:37:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:37:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574287020149743618', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 14:37:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:37:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574287030908133378', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 14:37:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:37:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1574286883662934017', 'GET', '{"id":["1574286883662934017"]}', '24', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574230220012634114', '2', 'tofly-auth', 'fsq', TO_DATE('2022-09-26 10:51:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:51:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/0b91387f-bfbc-4e64-954b-f69727a7f1f3', 'DELETE', '{}', '6', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574230294075654145', '1', 'tofly-flow', 'Jtadmin', TO_DATE('2022-09-26 10:52:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:52:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '232', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574230785400594434', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-26 10:54:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:54:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1573919105386835969', 'GET', '{}', '748', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574230801435418626', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-26 10:54:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:54:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '166', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574230801561247745', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-26 10:54:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:54:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '200', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574285393523154945', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 14:31:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:31:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574219785834180609', 'GET', '{"id":["1574219785834180609"]}', '19', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574285415622942721', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 14:31:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:31:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '134', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574285429191516162', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 14:31:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:31:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574219785834180609', 'GET', '{"id":["1574219785834180609"]}', '16', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574290064522387458', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-26 14:49:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:49:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/e945b4ee-f1ee-4612-9b6e-9131da0e15d3', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574290099729375234', '2', 'tofly-auth', 'yj', TO_DATE('2022-09-26 14:49:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:49:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/884b3eb5-fbbe-4898-98e0-e0cc380aef14', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574292300887396353', '2', 'tofly-auth', 'yj', TO_DATE('2022-09-26 14:58:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:58:28', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.48', NULL, '/token/13206cc2-d820-4e03-aeae-16e6bcb4f735', 'DELETE', '{}', '0', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574293275119493122', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-26 15:02:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:02:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1573918359266291713', 'GET', '{"id":["1573918359266291713"]}', '16', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574296154907512833', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-26 15:13:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:13:47', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.48', NULL, '/token/6cc45915-27a6-4245-9fe7-c22c9c03ce70', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574296260964683777', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-26 15:14:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:14:12', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.48', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '290', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574296281843929089', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-26 15:14:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:14:17', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.48', NULL, '/tfprocessl/1574293039374479362', 'GET', '{}', '216', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574296286176645122', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-26 15:14:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:14:18', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.48', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '1230', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574296287875338242', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-26 15:14:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:14:18', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.48', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '100', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574296288198299650', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-26 15:14:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:14:18', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.48', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '184', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574296736665866241', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-26 15:16:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:16:05', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.48', NULL, '/tfprocessl/1574293039374479362', 'GET', '{}', '177', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574296742797938690', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-26 15:16:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:16:07', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.48', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '1536', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574296744823787521', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-26 15:16:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:16:07', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.48', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '28', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574296745343881217', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-26 15:16:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:16:07', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.48', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '133', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574298018243842049', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-26 15:21:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:21:11', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.48', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '61', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574298018818461697', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-26 15:21:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:21:11', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.48', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '174', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574298378165456897', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-26 15:22:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:22:37', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.48', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '38', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574298378291286018', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-26 15:22:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:22:37', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.48', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '94', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574298629987274754', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-26 15:23:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:23:37', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.48', NULL, '/tfprocessnodel', 'POST', '{}', '102', NULL, NULL, 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574298952596361218', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-26 15:24:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:24:54', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.48', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '47', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574298952596361217', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-26 15:24:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:24:54', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.48', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '53', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574303384298180609', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 15:42:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:42:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '10', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574303410504192001', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 15:42:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:42:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '191', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574303420746682370', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 15:42:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:42:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574293039374479362', 'GET', '{"id":["1574293039374479362"]}', '45', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574303547083313153', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 15:43:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:43:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574303647402676226', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 15:43:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:43:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574303661805916161', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 15:43:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:43:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '165', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574303672648192001', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 15:43:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:43:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574293039374479362', 'GET', '{"id":["1574293039374479362"]}', '36', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574305417533181954', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 15:50:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:50:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '18', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574305417860337666', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 15:50:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:50:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '23', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574305419697442817', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-26 15:50:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:50:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574305420007821313', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-26 15:50:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:50:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574305427524014082', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-26 15:50:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 15:50:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574243764523278338', '0', 'tofly-flow', 'mzscb', TO_DATE('2022-09-26 11:45:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 11:45:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/saveTeamAll', 'POST', '{}', '90', NULL, '### Error updating database.  Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-01400: 无法将 NULL 插入 ("TF_ZMRQ_LC"."TF_BUILD_UNIT_P"."TEAM_TYPE")

### The error may exist in com/tofly/workflow/baseconf/mapper/TfBuildUnitPMapper.java (best guess)
### The error may involve com.tofly.workflow.baseconf.mapper.TfBuildUnitPMapper.insert-Inline
### The error occurred while setting parameters
### SQL: INSERT INTO TF_BUILD_UNIT_P  ( id, tenant_id, order_number, dept_id,   remark, CREATE_USER,  CREATE_TIME, UPDATE_USER,  UPDATE_TIME )  VALUES  ( ?, ?, ?, ?,   ?, ?,  ?, ?,  ? )
### Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-01400: 无法将 NULL 插入 ("TF_ZMRQ_LC"."TF_BUILD_UNIT_P"."TEAM_TYPE")

; ORA-01400: 无法将 NULL 插入 ("TF_ZMRQ_LC"."TF_BUILD_UNIT_P"."TEAM_TYPE")
; nested exception is java.sql.SQLIntegrityConstraintViolationException: ORA-01400: 无法将 NULL 插入 ("TF_ZMRQ_LC"."TF_BUILD_UNIT_P"."TEAM_TYPE")', 'content:新增施工班组相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574244079289016322', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-26 11:46:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 11:46:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '8', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574244104064770049', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-26 11:46:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 11:46:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/removeByNatureAndTenantId', 'POST', '{"tenantId":["1569602913205559298"],"nature":["1"]}', '3', NULL, NULL, 'content:通过tenantId和nature删除工程工序/工程管控', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574244104270290945', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-26 11:46:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 11:46:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '1', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574244106161922049', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-26 11:46:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 11:46:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '141', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574244108280045569', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-26 11:46:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 11:46:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574244128609837057', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-26 11:47:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 11:47:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '147', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574244138634223618', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-26 11:47:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 11:47:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '150', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574244161468014593', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-26 11:47:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 11:47:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '142', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574244172809412609', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-26 11:47:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 11:47:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '151', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574244199967531009', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-26 11:47:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 11:47:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574244200252743681', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-26 11:47:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 11:47:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574244204090531841', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-26 11:47:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 11:47:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574244204304441346', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-26 11:47:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 11:47:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574244219701731330', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-26 11:47:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 11:47:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574244223069757441', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-26 11:47:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 11:47:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574244305064206338', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-26 11:47:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 11:47:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '139', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574244336320159745', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-26 11:47:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 11:47:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '148', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574244565094277121', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-26 11:48:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 11:48:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574244578029510658', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-26 11:48:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 11:48:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574244583926702081', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-26 11:48:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 11:48:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp', 'POST', '{}', '15', NULL, NULL, 'content:新增工程工序/工程管控', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574244584178360322', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-26 11:48:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 11:48:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '14', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574244594634760194', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-26 11:48:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 11:48:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574244602603937794', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-26 11:48:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 11:48:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '145', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574244602985619458', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-26 11:48:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 11:48:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574237792111685633', 'GET', '{"id":["1574237792111685633"]}', '22', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574244882812805121', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-26 11:50:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 11:50:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/094c8ead-ce7d-49e8-8a11-a2d14e32ba60', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574246373640413185', '2', 'tofly-auth', 'fsq', TO_DATE('2022-09-26 11:55:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 11:55:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/59be85c3-0046-4af0-9567-d25d3a6ac714', 'DELETE', '{}', '1', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574247001523527681', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 11:58:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 11:58:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574247020800548866', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 11:58:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 11:58:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '132', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574247374216798209', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-26 11:59:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 11:59:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '35', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574247411005038593', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-26 12:00:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 12:00:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"typeName":[""],"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '32', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574247515535482882', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 12:00:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 12:00:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574247517582303233', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 12:00:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 12:00:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574222158207918081', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 10:19:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:19:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574222180697776130', '1', 'tofly-flow', 'Jtadmin', TO_DATE('2022-09-26 10:19:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:19:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574222269671546881', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-26 10:20:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:20:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574222284351610882', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 10:20:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:20:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl', 'POST', '{}', '238', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574222285102391297', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 10:20:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:20:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574222313917259777', '2', 'tofly-auth', 'llzm', TO_DATE('2022-09-26 10:20:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:20:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/0f4d2b0f-3745-46c5-bdf2-cecaa0d1cdc6', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574222373434433537', '1', 'tofly-flow', 'Jtadmin', TO_DATE('2022-09-26 10:20:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:20:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '17', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574222379532951554', '1', 'tofly-flow', 'Jtadmin', TO_DATE('2022-09-26 10:20:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:20:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"name":[""],"current":["1"],"size":["30"]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574222380296314881', '1', 'tofly-flow', 'Jtadmin', TO_DATE('2022-09-26 10:20:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:20:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"name":[""],"current":["1"],"size":["30"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574222833440530433', '1', 'tofly-flow', 'Jtadmin', TO_DATE('2022-09-26 10:22:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:22:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574222833725743106', '1', 'tofly-flow', 'Jtadmin', TO_DATE('2022-09-26 10:22:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:22:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574222842101768193', '1', 'tofly-flow', 'Jtadmin', TO_DATE('2022-09-26 10:22:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:22:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574222843100012545', '1', 'tofly-flow', 'Jtadmin', TO_DATE('2022-09-26 10:22:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:22:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574222845809532930', '1', 'tofly-flow', 'Jtadmin', TO_DATE('2022-09-26 10:22:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:22:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574222846136688642', '1', 'tofly-flow', 'Jtadmin', TO_DATE('2022-09-26 10:22:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:22:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574222848087040001', '1', 'tofly-flow', 'Jtadmin', TO_DATE('2022-09-26 10:22:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:22:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574222848640688130', '1', 'tofly-flow', 'Jtadmin', TO_DATE('2022-09-26 10:22:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:22:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574222875043831810', '1', 'tofly-flow', 'Jtadmin', TO_DATE('2022-09-26 10:22:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:22:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1570698804578582529', 'GET', '{"id":["1570698804578582529"]}', '106', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574222875555536898', '1', 'tofly-flow', 'Jtadmin', TO_DATE('2022-09-26 10:22:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:22:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574222877908541442', '1', 'tofly-flow', 'Jtadmin', TO_DATE('2022-09-26 10:22:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:22:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574222898330607618', '1', 'tofly-flow', 'Jtadmin', TO_DATE('2022-09-26 10:22:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:22:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":["1"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574222900876550146', '1', 'tofly-flow', 'Jtadmin', TO_DATE('2022-09-26 10:22:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:22:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574223738139320321', '1', 'tofly-flow', 'Jtadmin', TO_DATE('2022-09-26 10:26:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:26:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574224622416044034', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-26 10:29:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:29:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574224807942692866', '1', 'tofly-flow', 'Jtadmin', TO_DATE('2022-09-26 10:30:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:30:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '142', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574224808366317570', '1', 'tofly-flow', 'Jtadmin', TO_DATE('2022-09-26 10:30:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:30:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574224808634753025', '1', 'tofly-flow', 'Jtadmin', TO_DATE('2022-09-26 10:30:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:30:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574224811121975297', '1', 'tofly-flow', 'Jtadmin', TO_DATE('2022-09-26 10:30:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:30:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574224941933928450', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-26 10:30:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:30:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574225383258595329', '2', 'tofly-auth', 'mzscb', TO_DATE('2022-09-26 10:32:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:32:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/bb028d8a-3515-4bb4-bdde-ccc4a9883c56', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574225456965099521', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-26 10:32:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:32:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '57', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574225605737062402', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-26 10:33:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:33:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/6e532dfe-d004-4f6f-aec8-ff6912c51091', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574226772688904193', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-26 10:38:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:38:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568483117915193345"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574227061877776386', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-26 10:39:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:39:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1573919105386835969', 'GET', '{}', '21', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574228445935181825', '2', 'tofly-auth', 'public', TO_DATE('2022-09-26 10:44:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:44:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/a82cb011-382e-4cef-aa33-dd088d7e843f', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574228634334928897', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-26 10:45:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:45:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574228634561421314', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-26 10:45:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:45:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574228641750458370', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-26 10:45:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:45:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574228652504653825', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-26 10:45:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:45:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568483117915193345"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574228664441643009', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-26 10:45:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 10:45:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1573919105386835969', 'GET', '{}', '22', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574234268132958209', '1', 'tofly-flow', 'public', TO_DATE('2022-09-26 11:07:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 11:07:52', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessl', 'POST', '{}', '631', NULL, NULL, 'content:新增流程信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574234621381435393', '1', 'tofly-flow', 'public', TO_DATE('2022-09-26 11:09:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 11:09:16', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessl', 'POST', '{}', '109', NULL, NULL, 'content:新增流程信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574235295011823618', '1', 'tofly-flow', 'public', TO_DATE('2022-09-26 11:11:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 11:11:56', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessl', 'POST', '{}', '84', NULL, NULL, 'content:新增流程信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574237713523007490', '1', 'tofly-flow', 'public', TO_DATE('2022-09-26 11:21:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 11:21:33', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessl', 'POST', '{}', '374121', NULL, NULL, 'content:新增流程信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574237794749898753', '1', 'tofly-flow', 'public', TO_DATE('2022-09-26 11:21:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 11:21:52', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessl', 'POST', '{}', '833', NULL, NULL, 'content:新增流程信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574239002839474177', '1', 'tofly-flow', 'public', TO_DATE('2022-09-26 11:26:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 11:26:40', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessl/page', 'GET', '{"hitCount":[""],"registerStaff":[""],"processState":[""],"records":[""],"processNumber":[""],"searchCount":[""],"edition":[""],"remark":[""],"relationNumber":[""],"current":[""],"total":[""],"configId":["1572140204302041089"],"orders[0].asc":[""],"registerPost":[""],"ywType":[""],"orders[0].column":[""],"id":[""],"processType":[""],"optimizeCountSql":[""],"registerTime":[""],"registerDept":[""],"passingNode":[""],"relationId":[""],"size":[""],"createTime":[""],"name":[""],"tenantId":[""],"createUser":[""],"category":[""],"isDel":[""]}', '169', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574240141332963329', '1', 'tofly-flow', 'public', TO_DATE('2022-09-26 11:31:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 11:31:12', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessl/1574237792111685633', 'GET', '{}', '177', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574240413123862529', '1', 'tofly-flow', 'public', TO_DATE('2022-09-26 11:32:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 11:32:17', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessnodel', 'POST', '{}', '1443', NULL, NULL, 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574240830822014977', '1', 'tofly-flow', 'public', TO_DATE('2022-09-26 11:33:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 11:33:56', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessl/1574237792111685633', 'GET', '{}', '119', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574242006745473026', '1', 'tofly-flow', 'public', TO_DATE('2022-09-26 11:38:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 11:38:37', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessnodel', 'POST', '{}', '520', NULL, NULL, 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574287031365312514', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 14:37:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:37:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574287031541473281', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 14:37:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:37:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574287032485191681', '0', 'tofly-flow', 'lz', TO_DATE('2022-09-26 14:37:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:37:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessnodel', 'POST', '{}', '147', NULL, 'parseShort error, field : isTally', 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574287034129358850', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 14:37:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:37:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574287094414090242', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 14:37:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:37:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574287094548307969', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 14:37:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:37:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574287096884535298', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 14:37:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:37:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '2', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574287241093095426', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 14:38:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:38:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574287241286033410', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 14:38:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:38:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574287262966390786', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 14:38:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:38:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574287263167717377', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 14:38:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:38:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574287265726242817', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-26 14:38:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:38:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574287285821153281', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-26 14:38:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:38:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574237792111685633', 'GET', '{}', '18', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574287286391578625', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-26 14:38:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:38:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '114', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574287287243022337', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-26 14:38:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:38:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574287287293353986', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-26 14:38:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:38:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '20', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574287487823028225', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-26 14:39:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:39:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '2', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574287886579703810', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-26 14:40:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:40:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574237792111685633', 'GET', '{}', '13', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574287887213043714', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-26 14:40:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:40:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '119', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574287888089653249', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-26 14:40:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:40:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574287888139984897', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-26 14:40:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:40:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '23', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574287970717442049', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-26 14:41:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:41:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574288268781461505', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 14:42:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:42:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1574276325647659009', 'GET', '{"id":["1574276325647659009"]}', '16', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574288269251223553', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 14:42:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:42:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":["1569602913205559298"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574288269402218498', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 14:42:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:42:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574288272099155970', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 14:42:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:42:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574288370724020225', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-26 14:42:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:42:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574288485035581441', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-26 14:43:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:43:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574288584667078657', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 14:43:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:43:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1574245421143371777', 'GET', '{"id":["1574245421143371777"]}', '19', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574288585149423617', '1', 'tofly-flow', 'test', TO_DATE('2022-09-26 14:43:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-26 14:43:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":["1569602913205559298"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574666394111832065', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-27 15:44:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 15:44:58', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '538', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574680860610355201', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-27 16:42:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 16:42:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '86', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574681158460465153', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-27 16:43:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 16:43:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/00eab102-740a-47cf-8d67-cd8b330eeb43', 'DELETE', '{}', '12', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574681554759278593', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-27 16:45:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 16:45:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"level":[""],"fullName":[""],"updateUser":[""],"remark":[""],"updateTime":[""],"regionCode":[""],"createTime":[""],"regionId":[""],"name":[""],"tenantId":[""],"createUser":[""],"id":[""],"isDel":[""]}', '3767', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574681625508798465', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-27 16:45:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 16:45:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectdispatchw/page', 'GET', '{"current":["1"],"state":[""],"userType":["{}"],"projectLink":[""],"size":["30"]}', '388', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574681625689153538', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-27 16:45:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 16:45:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"level":[""],"fullName":[""],"updateUser":[""],"remark":[""],"updateTime":[""],"regionCode":[""],"createTime":[""],"regionId":[""],"name":[""],"tenantId":["1569602913205559298"],"createUser":[""],"id":[""],"isDel":[""]}', '307', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574681628113461250', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-09-27 16:45:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 16:45:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '158', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574681628948127746', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-09-27 16:45:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 16:45:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '102', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574681645901504513', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-09-27 16:45:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 16:45:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '298', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574681646828445698', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-09-27 16:45:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 16:45:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '8', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574681647101075458', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-09-27 16:45:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 16:45:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '4', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574681649932230658', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-09-27 16:45:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 16:45:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '21', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574682550516408321', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-09-27 16:49:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 16:49:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '48', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574682730963755010', '2', 'tofly-auth', 'tnadmin', TO_DATE('2022-09-27 16:49:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 16:49:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/695ffa4e-9392-453b-bf6f-ce66164ced51', 'DELETE', '{}', '3', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574682878129299458', '2', 'tofly-auth', 'tnadmin', TO_DATE('2022-09-27 16:50:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 16:50:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/a0fbafd8-bb06-4437-a8f5-95c318f9c946', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574682975617507329', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-27 16:50:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 16:50:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568483117915193345"],"isMould":["0"]}', '22', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574683062011781121', '2', 'tofly-auth', 'tntest3', TO_DATE('2022-09-27 16:51:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 16:51:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/9a7dab21-9f40-4bc5-a135-b6606a4f963d', 'DELETE', '{}', '1', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574683133885374465', '2', 'tofly-auth', 'tnadmin', TO_DATE('2022-09-27 16:51:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 16:51:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/5a1822aa-266a-4658-a8e6-35025b135d22', 'DELETE', '{}', '1', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574683136972382210', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-27 16:51:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 16:51:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '17', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574683243948105730', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-27 16:51:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 16:51:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '574', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574683249304231938', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-27 16:51:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 16:51:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574683265766875137', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-27 16:52:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 16:52:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '10', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574683268732248066', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-27 16:52:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 16:52:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574683324159975425', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-27 16:52:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 16:52:15', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1"]}', '32', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574683471950471170', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-27 16:52:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 16:52:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574683608173076481', '2', 'tofly-auth', 'tntest3', TO_DATE('2022-09-27 16:53:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 16:53:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/3e052dda-1dd7-433f-a8c8-1a00b0f7cb45', 'DELETE', '{}', '1', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574683633234042882', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-27 16:53:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 16:53:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '188', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574683634144206849', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-27 16:53:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 16:53:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574314012068810754', 'GET', '{"id":["1574314012068810754"]}', '105', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574683733440159745', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-27 16:53:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 16:53:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '188', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574683734023168002', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-27 16:53:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 16:53:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574683734283214849', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-27 16:53:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 16:53:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '4', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574683736917237762', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-27 16:53:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 16:53:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574683948297576450', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-27 16:54:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 16:54:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '14', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574683969004855297', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-27 16:54:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 16:54:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '170', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574683969491394561', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-27 16:54:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 16:54:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574314012068810754', 'GET', '{"id":["1574314012068810754"]}', '29', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574684362363461633', '2', 'tofly-auth', 'tntest3', TO_DATE('2022-09-27 16:56:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 16:56:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/af6ebe21-9ffc-472e-8800-b835c5d482f3', 'DELETE', '{}', '1', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574685520960286722', '2', 'tofly-auth', 'mzadmin', TO_DATE('2022-09-27 17:00:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 17:00:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/17711b04-f47f-4d85-895b-c5c915911a0f', 'DELETE', '{}', '7', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574635964037857282', '0', 'tofly-flow', 'test', TO_DATE('2022-09-27 13:44:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 13:44:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/saveTeamAll', 'POST', '{}', '138', NULL, '### Error updating database.  Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-01400: 无法将 NULL 插入 ("TF_ZMRQ_LC"."TF_BUILD_UNIT_P"."TEAM_TYPE")

### The error may exist in com/tofly/workflow/baseconf/mapper/TfBuildUnitPMapper.java (best guess)
### The error may involve com.tofly.workflow.baseconf.mapper.TfBuildUnitPMapper.insert-Inline
### The error occurred while setting parameters
### SQL: INSERT INTO TF_BUILD_UNIT_P  ( id, tenant_id, order_number, dept_id,   remark, CREATE_USER,  CREATE_TIME, UPDATE_USER,  UPDATE_TIME )  VALUES  ( ?, ?, ?, ?,   ?, ?,  ?, ?,  ? )
### Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-01400: 无法将 NULL 插入 ("TF_ZMRQ_LC"."TF_BUILD_UNIT_P"."TEAM_TYPE")

; ORA-01400: 无法将 NULL 插入 ("TF_ZMRQ_LC"."TF_BUILD_UNIT_P"."TEAM_TYPE")
; nested exception is java.sql.SQLIntegrityConstraintViolationException: ORA-01400: 无法将 NULL 插入 ("TF_ZMRQ_LC"."TF_BUILD_UNIT_P"."TEAM_TYPE")', 'content:新增施工班组相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574636028974071809', '0', 'tofly-flow', 'test', TO_DATE('2022-09-27 13:44:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 13:44:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/saveTeamAll', 'POST', '{}', '67', NULL, '### Error updating database.  Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-01400: 无法将 NULL 插入 ("TF_ZMRQ_LC"."TF_BUILD_UNIT_P"."TEAM_TYPE")

### The error may exist in com/tofly/workflow/baseconf/mapper/TfBuildUnitPMapper.java (best guess)
### The error may involve com.tofly.workflow.baseconf.mapper.TfBuildUnitPMapper.insert-Inline
### The error occurred while setting parameters
### SQL: INSERT INTO TF_BUILD_UNIT_P  ( id, tenant_id, order_number, dept_id,   remark, CREATE_USER,  CREATE_TIME, UPDATE_USER,  UPDATE_TIME )  VALUES  ( ?, ?, ?, ?,   ?, ?,  ?, ?,  ? )
### Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-01400: 无法将 NULL 插入 ("TF_ZMRQ_LC"."TF_BUILD_UNIT_P"."TEAM_TYPE")

; ORA-01400: 无法将 NULL 插入 ("TF_ZMRQ_LC"."TF_BUILD_UNIT_P"."TEAM_TYPE")
; nested exception is java.sql.SQLIntegrityConstraintViolationException: ORA-01400: 无法将 NULL 插入 ("TF_ZMRQ_LC"."TF_BUILD_UNIT_P"."TEAM_TYPE")', 'content:新增施工班组相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574636120258904066', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-27 13:44:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 13:44:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574639197296787457', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-27 13:56:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 13:56:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574646344445329410', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-27 14:25:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 14:25:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574647715001274370', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-27 14:30:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 14:30:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '41', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574647727512883202', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-27 14:30:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 14:30:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '31', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574647732848037889', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-27 14:30:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 14:30:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '30', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574648389202210817', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-27 14:33:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 14:33:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/277f4e5d-75bb-4e63-b7ff-2b5a02decf02', 'DELETE', '{}', '6', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574648396428996610', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-27 14:33:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 14:33:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1572832711356719105"],"isMould":["0"]}', '33', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574649312448180225', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-27 14:37:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 14:37:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/58b527a5-d3f2-4b65-9b82-97cd95cd5054', 'DELETE', '{}', '6', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574649326201303041', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-27 14:37:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 14:37:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574651871380467713', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-27 14:47:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 14:47:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '220', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574651872013807617', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-27 14:47:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 14:47:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574314012068810754', 'GET', '{"id":["1574314012068810754"]}', '28', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574652085633904641', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-27 14:48:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 14:48:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '27', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574652091677896705', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-27 14:48:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 14:48:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '13', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574652581761347586', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-27 14:50:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 14:50:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '192', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574652582239498241', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-27 14:50:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 14:50:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574314012068810754', 'GET', '{"id":["1574314012068810754"]}', '27', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574653332508209154', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-27 14:53:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 14:53:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/list', 'GET', '{"level":[""],"fullName":[""],"updateUser":[""],"remark":[""],"updateTime":[""],"regionCode":[""],"createTime":[""],"regionId":[""],"name":[""],"tenantId":[""],"createUser":[""],"id":[""],"isDel":[""]}', '153', NULL, NULL, 'content:列表查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574653368646332418', '0', 'tofly-flow', 'yjf', TO_DATE('2022-09-27 14:53:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 14:53:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"level":[""],"fullName":[""],"updateUser":[""],"remark":[""],"updateTime":[""],"regionCode":[""],"createTime":[""],"regionId":[""],"name":[""],"tenantId":[""],"createUser":[""],"id":[""],"isDel":[""]}', '269', NULL, 'nested exception is org.apache.ibatis.type.TypeException: Could not set parameters for mapping: ParameterMapping{property=''ew.paramNameValuePairs.MPGENVAL1'', mode=IN, javaType=class java.lang.Object, jdbcType=null, numericScale=null, resultMapId=''null'', jdbcTypeName=''null'', expression=''null''}. Cause: org.apache.ibatis.type.TypeException: Error setting null for parameter #1 with JdbcType OTHER . Try setting a different JdbcType for this parameter or a different jdbcTypeForNull configuration property. Cause: java.sql.SQLException: 无效的列类型: 1111', 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574658267505324033', '0', 'tofly-flow', 'yck', TO_DATE('2022-09-27 15:12:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 15:12:41', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1"]}', '68', NULL, 'nested exception is org.apache.ibatis.type.TypeException: Could not set parameters for mapping: ParameterMapping{property=''ew.paramNameValuePairs.MPGENVAL1'', mode=IN, javaType=class java.lang.Object, jdbcType=null, numericScale=null, resultMapId=''null'', jdbcTypeName=''null'', expression=''null''}. Cause: org.apache.ibatis.type.TypeException: Error setting null for parameter #1 with JdbcType OTHER . Try setting a different JdbcType for this parameter or a different jdbcTypeForNull configuration property. Cause: java.sql.SQLException: 无效的列类型: 1111', 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574645192613953537', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-27 14:20:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 14:20:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '139', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574645216768950273', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-09-27 14:20:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 14:20:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574645402329153537', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-27 14:21:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 14:21:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '20', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574645402639532034', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-27 14:21:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 14:21:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '21', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574645458084036609', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-27 14:21:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 14:21:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '155', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574646667977162754', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-27 14:26:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 14:26:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574646673106796546', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-27 14:26:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 14:26:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574646692983603202', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-27 14:26:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 14:26:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574646766472003586', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-27 14:26:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 14:26:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '251', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574646767298281474', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-27 14:26:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 14:26:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574314012068810754', 'GET', '{"id":["1574314012068810754"]}', '24', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574646852216160258', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-27 14:27:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 14:27:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '2', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574646856666316802', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-27 14:27:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 14:27:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574647304060145666', '2', 'tofly-auth', 'hr', TO_DATE('2022-09-27 14:29:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 14:29:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/99825fae-c4d4-4113-a95a-00b6f7373368', 'DELETE', '{}', '8', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574647449938038786', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-27 14:29:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 14:29:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '314', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574648751925587969', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-27 14:34:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 14:34:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '54', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574648758170906626', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-27 14:34:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 14:34:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/page', 'GET', '{"current":["1"],"size":["30"],"yearName":[""]}', '23', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574648758858772481', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-27 14:34:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 14:34:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/page', 'GET', '{"size":["10000"],"current":["1"]}', '165', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574648759185928193', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-27 14:34:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 14:34:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/page', 'GET', '{"current":["1"],"size":["30"],"yearName":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574648759932514306', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-27 14:34:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 14:34:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/page', 'GET', '{"current":["1"],"size":["30"],"yearName":[""]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574648765531910146', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-27 14:34:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 14:34:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '26', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574649347625807873', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-27 14:37:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 14:37:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '34', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574649355674677250', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-27 14:37:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 14:37:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574649451334168578', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-27 14:37:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 14:37:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '202', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574649451770376193', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-27 14:37:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 14:37:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574314012068810754', 'GET', '{"id":["1574314012068810754"]}', '25', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574649718175789058', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-27 14:38:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 14:38:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574649726790889473', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-27 14:38:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 14:38:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '162', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574649727533281281', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-27 14:38:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 14:38:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574314012068810754', 'GET', '{"id":["1574314012068810754"]}', '29', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574649788497489921', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-27 14:38:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 14:38:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574649806528802818', '2', 'tofly-auth', 'mzscb', TO_DATE('2022-09-27 14:39:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 14:39:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/3b7cfdc8-25c8-4da9-87bd-a0eddcc15e40', 'DELETE', '{}', '3', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574649807875174401', '2', 'tofly-auth', 'test', TO_DATE('2022-09-27 14:39:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 14:39:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/e0fd34ea-aff9-4797-825b-afbb0886ef69', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574649837554069505', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-27 14:39:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 14:39:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '11', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574650823379095554', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-27 14:43:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 14:43:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '435', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574650825174257665', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-27 14:43:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 14:43:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '32', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574650868165873665', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-27 14:43:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 14:43:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '67', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574651584641069057', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-27 14:46:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 14:46:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '545', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574651586624974849', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-27 14:46:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 14:46:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574314012068810754', 'GET', '{"id":["1574314012068810754"]}', '232', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574653024688238594', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-27 14:51:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 14:51:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '183', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574653168842272770', '1', 'tofly-flow', 'hq', TO_DATE('2022-09-27 14:52:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 14:52:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '31', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574601918822031361', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 11:28:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:28:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/1574243157838213121', 'GET', '{"0":["1574243157838213121"]}', '17', NULL, NULL, 'content:通过id查询施工组织单位', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574601931769847809', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 11:28:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:28:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574601932549988353', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 11:28:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:28:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574601933485318146', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 11:28:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:28:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574601952397434881', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 11:28:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:28:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574601953282433025', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 11:28:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:28:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574602105107849218', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-27 11:29:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:29:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574603046838149121', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-27 11:33:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:33:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574603104853762049', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-27 11:33:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:33:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '146', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574603105445158914', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-27 11:33:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:33:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574314012068810754', 'GET', '{"id":["1574314012068810754"]}', '25', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574603399939825665', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-27 11:34:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:34:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574603543171112961', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-27 11:35:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:35:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '143', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574603543733149697', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-27 11:35:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:35:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574314012068810754', 'GET', '{"id":["1574314012068810754"]}', '26', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574603863024541698', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-27 11:36:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:36:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574603870737866753', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-27 11:36:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:36:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574603941919399937', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-27 11:36:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:36:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/page', 'GET', '{"tenantId":["1"],"current":["1"],"size":["10000"]}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574603942246555650', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-27 11:36:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:36:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1572832711356719105"],"isMould":["0"]}', '1', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574604050681896961', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-09-27 11:37:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:37:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574604543697092609', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-27 11:39:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:39:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '490', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574605147605565442', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-27 11:41:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:41:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '40', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574605152466763777', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-27 11:41:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:41:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '15', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574605161887170561', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-27 11:41:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:41:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1572832711356719105"],"isMould":["0"]}', '17', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574605162176577538', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-27 11:41:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:41:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/page', 'GET', '{"size":["10000"],"current":["1"]}', '175', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574605208032903169', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-27 11:41:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:41:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/page', 'GET', '{"size":["10000"],"current":["1"]}', '72', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574605208041291777', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-27 11:41:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:41:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1572832711356719105"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574605242992427009', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-27 11:41:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:41:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/page', 'GET', '{"size":["10000"],"current":["1"]}', '52', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574605243114061826', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-27 11:41:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:41:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1572832711356719105"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574605735512768514', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-27 11:43:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:43:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '18', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574605745079975937', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-27 11:43:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:43:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '241', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574605746149523457', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-27 11:43:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:43:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574314012068810754', 'GET', '{"id":["1574314012068810754"]}', '126', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574605822632656898', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-27 11:44:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:44:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '9', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574605832480882690', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-27 11:44:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:44:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '185', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574605832980004866', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-27 11:44:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:44:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574314012068810754', 'GET', '{"id":["1574314012068810754"]}', '26', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574606147326312450', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-27 11:45:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:45:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574314012068810754', 'GET', '{"id":["1574314012068810754"]}', '27', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574607057171513345', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-27 11:49:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:49:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '148', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574607063983063041', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-27 11:49:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:49:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574314012068810754', 'GET', '{"id":["1574314012068810754"]}', '26', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574607120216096769', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-27 11:49:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:49:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574607129493897217', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-27 11:49:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:49:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '139', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574687021657092097', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-27 17:06:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 17:06:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '66', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574687026136608769', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-27 17:06:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 17:06:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '11', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574687156621406210', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-27 17:07:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 17:07:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '39', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574687156944367618', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-27 17:07:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 17:07:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '20', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574687166972948482', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-27 17:07:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 17:07:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"]}', '7', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574687167262355457', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-27 17:07:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 17:07:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574687169980264450', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-27 17:07:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 17:07:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '11', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574687189500555266', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-27 17:07:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 17:07:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '33', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574687189903208450', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-27 17:07:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 17:07:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '40', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574687196102389762', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-27 17:07:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 17:07:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '19', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574687196387602433', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-27 17:07:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 17:07:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '17', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574687202217684993', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-27 17:07:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 17:07:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"]}', '4', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574687202494509058', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-27 17:07:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 17:07:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '4', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574687205912866818', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-27 17:07:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 17:07:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '10', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574687212485341186', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-27 17:07:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 17:07:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectdispatchw/page', 'GET', '{"current":["1"],"state":[""],"userType":["{}"],"projectLink":[""],"size":["30"]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574687704615612417', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-27 17:09:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 17:09:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '25', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574687718616199170', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-27 17:09:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 17:09:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '51', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574687770147418113', '0', 'tofly-flow', 'admin', TO_DATE('2022-09-27 17:09:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 17:09:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/saveTeamAll', 'POST', '{}', '154', NULL, '### Error updating database.  Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-01400: 无法将 NULL 插入 ("TF_ZMRQ_LC"."TF_BUILD_UNIT_P"."TENANT_ID")

### The error may exist in com/tofly/workflow/baseconf/mapper/TfBuildUnitPMapper.java (best guess)
### The error may involve com.tofly.workflow.baseconf.mapper.TfBuildUnitPMapper.insert-Inline
### The error occurred while setting parameters
### SQL: INSERT INTO TF_BUILD_UNIT_P  ( id,  order_number, dept_id,   remark, CREATE_USER,  CREATE_TIME, UPDATE_USER,  UPDATE_TIME )  VALUES  ( ?,  ?, ?,   ?, ?,  ?, ?,  ? )
### Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-01400: 无法将 NULL 插入 ("TF_ZMRQ_LC"."TF_BUILD_UNIT_P"."TENANT_ID")

; ORA-01400: 无法将 NULL 插入 ("TF_ZMRQ_LC"."TF_BUILD_UNIT_P"."TENANT_ID")
; nested exception is java.sql.SQLIntegrityConstraintViolationException: ORA-01400: 无法将 NULL 插入 ("TF_ZMRQ_LC"."TF_BUILD_UNIT_P"."TENANT_ID")', 'content:新增施工班组相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574688031297368065', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-27 17:10:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 17:10:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '21', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574688071487188994', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-27 17:11:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 17:11:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["10000"],"current":["1"]}', '58', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574688071554297857', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-27 17:11:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 17:11:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '112', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574688078567174146', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-27 17:11:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 17:11:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["30"],"current":["1"]}', '17', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574688089887600642', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-27 17:11:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 17:11:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '37', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574688381983125506', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-27 17:12:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 17:12:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '8', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574688395681722370', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-27 17:12:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 17:12:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '512', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574688395941769218', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-27 17:12:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 17:12:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '22', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574688400790384641', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-27 17:12:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 17:12:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '18', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574688401058820098', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-27 17:12:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 17:12:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '17', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574688403994832898', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-27 17:12:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 17:12:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574688404238102530', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-27 17:12:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 17:12:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '4', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574688407002148866', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-27 17:12:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 17:12:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574688424098131970', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-27 17:12:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 17:12:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/9862352e-c2bb-4aa1-b8d3-656e0210fc55', 'DELETE', '{}', '1', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574688687945019393', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-27 17:13:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 17:13:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574688756228288514', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-27 17:13:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 17:13:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '4', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574688756463169538', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-27 17:13:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 17:13:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574688759269158913', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-27 17:13:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 17:13:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '7', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574658328742162433', '0', 'tofly-flow', 'yck', TO_DATE('2022-09-27 15:12:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 15:12:55', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/tfregionp/tree', 'GET', '{}', '212', NULL, 'nested exception is org.apache.ibatis.type.TypeException: Could not set parameters for mapping: ParameterMapping{property=''ew.paramNameValuePairs.MPGENVAL1'', mode=IN, javaType=class java.lang.Object, jdbcType=null, numericScale=null, resultMapId=''null'', jdbcTypeName=''null'', expression=''null''}. Cause: org.apache.ibatis.type.TypeException: Error setting null for parameter #1 with JdbcType OTHER . Try setting a different JdbcType for this parameter or a different jdbcTypeForNull configuration property. Cause: java.sql.SQLException: 无效的列类型: 1111', 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574658413802647554', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-27 15:13:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 15:13:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '31', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574658438213496834', '2', 'tofly-auth', 'mzadmin', TO_DATE('2022-09-27 15:13:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 15:13:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/cf285d56-8199-4554-8a30-1d0aefd3c46a', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574658441124343810', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-27 15:13:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 15:13:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574658441359224833', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-27 15:13:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 15:13:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '17', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574662309396713473', '0', 'tofly-flow', 'yjf', TO_DATE('2022-09-27 15:28:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 15:28:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"level":[""],"fullName":[""],"updateUser":[""],"remark":[""],"updateTime":[""],"regionCode":[""],"createTime":[""],"regionId":[""],"name":[""],"tenantId":["1569602913205559298"],"createUser":[""],"id":[""],"isDel":[""]}', '132', NULL, 'nested exception is org.apache.ibatis.type.TypeException: Could not set parameters for mapping: ParameterMapping{property=''ew.paramNameValuePairs.MPGENVAL1'', mode=IN, javaType=class java.lang.Object, jdbcType=null, numericScale=null, resultMapId=''null'', jdbcTypeName=''null'', expression=''null''}. Cause: org.apache.ibatis.type.TypeException: Error setting null for parameter #1 with JdbcType OTHER . Try setting a different JdbcType for this parameter or a different jdbcTypeForNull configuration property. Cause: java.sql.SQLException: 无效的列类型: 1111', 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574662356758794242', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-27 15:28:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 15:28:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/list', 'GET', '{"level":[""],"fullName":[""],"updateUser":[""],"remark":[""],"updateTime":[""],"regionCode":[""],"createTime":[""],"regionId":[""],"name":[""],"tenantId":[""],"createUser":[""],"id":[""],"isDel":[""]}', '182', NULL, NULL, 'content:列表查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574662374886576130', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-27 15:29:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 15:29:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/page', 'GET', '{"hitCount":[""],"optimizeCountSql":[""],"level":[""],"records":[""],"searchCount":[""],"fullName":[""],"updateUser":[""],"remark":[""],"updateTime":[""],"current":[""],"regionCode":[""],"total":[""],"size":[""],"createTime":[""],"regionId":[""],"orders[0].asc":[""],"name":[""],"tenantId":[""],"createUser":[""],"orders[0].column":[""],"id":[""],"isDel":[""]}', '131', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574662403701444609', '0', 'tofly-flow', 'yjf', TO_DATE('2022-09-27 15:29:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 15:29:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"level":[""],"fullName":[""],"updateUser":[""],"remark":[""],"updateTime":[""],"regionCode":[""],"createTime":[""],"regionId":[""],"name":[""],"tenantId":["1569602913205559298"],"createUser":[""],"id":[""],"isDel":[""]}', '115', NULL, 'nested exception is org.apache.ibatis.type.TypeException: Could not set parameters for mapping: ParameterMapping{property=''ew.paramNameValuePairs.MPGENVAL1'', mode=IN, javaType=class java.lang.Object, jdbcType=null, numericScale=null, resultMapId=''null'', jdbcTypeName=''null'', expression=''null''}. Cause: org.apache.ibatis.type.TypeException: Error setting null for parameter #1 with JdbcType OTHER . Try setting a different JdbcType for this parameter or a different jdbcTypeForNull configuration property. Cause: java.sql.SQLException: 无效的列类型: 1111', 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574662804060344322', '2', 'tofly-auth', 'mzadmin', TO_DATE('2022-09-27 15:30:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 15:30:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/d420df97-d652-401d-8b5a-6c49e7bd291f', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574664221055619074', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-27 15:36:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 15:36:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '781', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574664222691397634', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-27 15:36:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 15:36:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574314012068810754', 'GET', '{"id":["1574314012068810754"]}', '164', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574664319793729538', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-27 15:36:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 15:36:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '192', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574664780047290369', '0', 'tofly-flow', 'yjf', TO_DATE('2022-09-27 15:38:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 15:38:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"level":[""],"fullName":[""],"updateUser":[""],"remark":[""],"updateTime":[""],"regionCode":[""],"createTime":[""],"regionId":[""],"name":[""],"tenantId":["1569602913205559298"],"createUser":[""],"id":[""],"isDel":[""]}', '492', NULL, 'nested exception is org.apache.ibatis.type.TypeException: Could not set parameters for mapping: ParameterMapping{property=''ew.paramNameValuePairs.MPGENVAL1'', mode=IN, javaType=class java.lang.Object, jdbcType=null, numericScale=null, resultMapId=''null'', jdbcTypeName=''null'', expression=''null''}. Cause: org.apache.ibatis.type.TypeException: Error setting null for parameter #1 with JdbcType OTHER . Try setting a different JdbcType for this parameter or a different jdbcTypeForNull configuration property. Cause: java.sql.SQLException: 无效的列类型: 1111', 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574665896537460737', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-27 15:43:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 15:43:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '10', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574667459553234946', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-27 15:49:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 15:49:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '68', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574667510501445634', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-27 15:49:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 15:49:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '40', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574667532043390978', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-27 15:49:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 15:49:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '89', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574667580395327489', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-27 15:49:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 15:49:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfreportentryp/page', 'GET', '{"name":[""],"current":["1"],"size":["30"]}', '20', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574667593284423681', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-27 15:49:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 15:49:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfreportentryp/1571530310339289089', 'DELETE', '{"0":["1571530310339289089"]}', '10', NULL, NULL, 'content:通过id删除开工报告条目', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574667593519304706', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-27 15:49:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 15:49:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfreportentryp/page', 'GET', '{"name":[""],"current":["1"],"size":["30"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574667600410546178', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-27 15:49:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 15:49:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfreportentryp/1571530583090683905', 'DELETE', '{"0":["1571530583090683905"]}', '5', NULL, NULL, 'content:通过id删除开工报告条目', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574667602453172225', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-27 15:49:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 15:49:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfreportentryp/page', 'GET', '{"name":[""],"current":["1"],"size":["30"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574653405799477249', '0', 'tofly-flow', 'yjf', TO_DATE('2022-09-27 14:53:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 14:53:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"level":[""],"fullName":[""],"updateUser":[""],"remark":[""],"updateTime":[""],"regionCode":[""],"createTime":[""],"regionId":[""],"name":[""],"tenantId":[""],"createUser":[""],"id":[""],"isDel":[""]}', '248', NULL, 'nested exception is org.apache.ibatis.type.TypeException: Could not set parameters for mapping: ParameterMapping{property=''ew.paramNameValuePairs.MPGENVAL1'', mode=IN, javaType=class java.lang.Object, jdbcType=null, numericScale=null, resultMapId=''null'', jdbcTypeName=''null'', expression=''null''}. Cause: org.apache.ibatis.type.TypeException: Error setting null for parameter #1 with JdbcType OTHER . Try setting a different JdbcType for this parameter or a different jdbcTypeForNull configuration property. Cause: java.sql.SQLException: 无效的列类型: 1111', 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574653509923074049', '1', 'tofly-flow', 'hq', TO_DATE('2022-09-27 14:53:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 14:53:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574654447354212353', '0', 'tofly-flow', 'yjf', TO_DATE('2022-09-27 14:57:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 14:57:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"level":[""],"fullName":[""],"updateUser":[""],"remark":[""],"updateTime":[""],"regionCode":[""],"createTime":[""],"regionId":[""],"name":[""],"tenantId":["1569602913205559298"],"createUser":[""],"id":[""],"isDel":[""]}', '111', NULL, 'nested exception is org.apache.ibatis.type.TypeException: Could not set parameters for mapping: ParameterMapping{property=''ew.paramNameValuePairs.MPGENVAL1'', mode=IN, javaType=class java.lang.Object, jdbcType=null, numericScale=null, resultMapId=''null'', jdbcTypeName=''null'', expression=''null''}. Cause: org.apache.ibatis.type.TypeException: Error setting null for parameter #1 with JdbcType OTHER . Try setting a different JdbcType for this parameter or a different jdbcTypeForNull configuration property. Cause: java.sql.SQLException: 无效的列类型: 1111', 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574656380760584193', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-27 15:05:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 15:05:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574656843513950210', '0', 'tofly-flow', 'yjf', TO_DATE('2022-09-27 15:07:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 15:07:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"level":[""],"fullName":[""],"updateUser":[""],"remark":[""],"updateTime":[""],"regionCode":[""],"createTime":[""],"regionId":[""],"name":[""],"tenantId":["1569602913205559298"],"createUser":[""],"id":[""],"isDel":[""]}', '105', NULL, 'nested exception is org.apache.ibatis.type.TypeException: Could not set parameters for mapping: ParameterMapping{property=''ew.paramNameValuePairs.MPGENVAL1'', mode=IN, javaType=class java.lang.Object, jdbcType=null, numericScale=null, resultMapId=''null'', jdbcTypeName=''null'', expression=''null''}. Cause: org.apache.ibatis.type.TypeException: Error setting null for parameter #1 with JdbcType OTHER . Try setting a different JdbcType for this parameter or a different jdbcTypeForNull configuration property. Cause: java.sql.SQLException: 无效的列类型: 1111', 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574657496940376065', '2', 'tofly-auth', 'tnadmin', TO_DATE('2022-09-27 15:09:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 15:09:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/26cdde18-d729-4c05-a680-9e4dec5c73f2', 'DELETE', '{}', '11', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574659037097193473', '2', 'tofly-auth', 'tnadmin', TO_DATE('2022-09-27 15:15:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 15:15:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/0592b60f-909a-4c8c-9f1e-68a4aa8be79f', 'DELETE', '{}', '3', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574659797419651074', '0', 'tofly-flow', 'yjf', TO_DATE('2022-09-27 15:18:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 15:18:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"level":[""],"fullName":[""],"updateUser":[""],"remark":[""],"updateTime":[""],"regionCode":[""],"createTime":[""],"regionId":[""],"name":[""],"tenantId":["1569602913205559298"],"createUser":[""],"id":[""],"isDel":[""]}', '90', NULL, 'nested exception is org.apache.ibatis.type.TypeException: Could not set parameters for mapping: ParameterMapping{property=''ew.paramNameValuePairs.MPGENVAL1'', mode=IN, javaType=class java.lang.Object, jdbcType=null, numericScale=null, resultMapId=''null'', jdbcTypeName=''null'', expression=''null''}. Cause: org.apache.ibatis.type.TypeException: Error setting null for parameter #1 with JdbcType OTHER . Try setting a different JdbcType for this parameter or a different jdbcTypeForNull configuration property. Cause: java.sql.SQLException: 无效的列类型: 1111', 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574678235664277505', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 16:32:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 16:32:02', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{}', '210', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574678315972616193', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 16:32:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 16:32:21', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{}', '1343', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574678749814185986', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-27 16:34:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 16:34:04', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["admin"]}', '397', NULL, NULL, 'content:登录 :admin', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574680580535738369', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-27 16:41:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 16:41:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectdispatchw/page', 'GET', '{"current":["1"],"state":[""],"userType":["{}"],"projectLink":[""],"size":["30"]}', '417', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574683799915683841', '2', 'tofly-auth', 'tnadmin', TO_DATE('2022-09-27 16:54:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 16:54:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/6758ed30-cb8d-4272-8bc6-15ea31482887', 'DELETE', '{}', '1', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574683989099765762', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-27 16:54:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 16:54:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '144', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574683989498224641', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-27 16:54:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 16:54:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574314012068810754', 'GET', '{"id":["1574314012068810754"]}', '28', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574685202197377025', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-27 16:59:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 16:59:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '537', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574685203984150529', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-27 16:59:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 16:59:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574314012068810754', 'GET', '{"id":["1574314012068810754"]}', '234', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574685671187673090', '1', 'tofly-flow', 'mztest1', TO_DATE('2022-09-27 17:01:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 17:01:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '20', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574685708865105921', '1', 'tofly-flow', 'mztest1', TO_DATE('2022-09-27 17:01:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 17:01:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '154', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574685720630128642', '1', 'tofly-flow', 'mztest1', TO_DATE('2022-09-27 17:01:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 17:01:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '114', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574685725701042177', '1', 'tofly-flow', 'mztest1', TO_DATE('2022-09-27 17:01:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 17:01:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"typeName":[""],"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '164', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574685738275565570', '1', 'tofly-flow', 'mztest1', TO_DATE('2022-09-27 17:01:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 17:01:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574688265477943297', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-27 17:11:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 17:11:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574578912850714627', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 09:57:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 09:57:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '492', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574578982446800898', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 09:57:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 09:57:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp', 'POST', '{}', '15', NULL, NULL, 'content:新增合同模板公用字段', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574578983071752193', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 09:57:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 09:57:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["30"],"current":["1"]}', '22', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574579097806938113', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 09:58:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 09:58:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp', 'POST', '{}', '5', NULL, NULL, 'content:新增合同模板公用字段', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574579098306060289', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 09:58:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 09:58:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["30"],"current":["1"]}', '19', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574579245987504129', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 09:58:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 09:58:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp', 'POST', '{}', '11', NULL, NULL, 'content:新增合同模板公用字段', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574579246734090241', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 09:58:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 09:58:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["30"],"current":["1"]}', '18', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574579336999706626', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 09:59:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 09:59:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp', 'POST', '{}', '5', NULL, NULL, 'content:新增合同模板公用字段', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574579337507217410', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 09:59:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 09:59:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["30"],"current":["1"]}', '17', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574579539639115778', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 09:59:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 09:59:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp', 'POST', '{}', '4', NULL, NULL, 'content:新增合同模板公用字段', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574579540155015170', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 09:59:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 09:59:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["30"],"current":["1"]}', '20', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574579607691698178', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:00:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:00:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp', 'PUT', '{}', '15', NULL, NULL, 'content:修改合同模板公用字段', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574579608199208962', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:00:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:00:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["30"],"current":["1"]}', '20', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574579683038175234', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:00:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:00:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp', 'POST', '{}', '27', NULL, NULL, 'content:新增合同模板公用字段', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574579683545686017', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:00:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:00:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["30"],"current":["1"]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574579765485608961', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:00:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:00:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp', 'POST', '{}', '4', NULL, NULL, 'content:新增合同模板公用字段', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574579766018285569', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:00:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:00:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["30"],"current":["1"]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574580048173309954', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:01:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:01:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp', 'POST', '{}', '3', NULL, NULL, 'content:新增合同模板公用字段', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574580048773095426', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:01:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:01:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["30"],"current":["1"]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574580244521263105', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:02:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:02:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '96', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574580439342489602', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:03:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:03:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/updateContractTemplate', 'PUT', '{}', '23', NULL, NULL, 'content:修改合同模板', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574580442043621377', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:03:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:03:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '59', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574580451342393346', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:03:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:03:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["30"],"current":["1"]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574580463195496450', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:03:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:03:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"name":["甲方联系电话"],"current":["1"],"size":["30"]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574580470225149954', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:03:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:03:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"name":[""],"current":["1"],"size":["30"]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574580470917210113', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:03:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:03:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"name":[""],"current":["1"],"size":["30"]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574580484452229122', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:03:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:03:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"name":["aphone"],"current":["1"],"size":["30"]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574580490349420546', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:03:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:03:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"name":[""],"current":["1"],"size":["30"]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574580491267973121', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:03:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:03:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"name":[""],"current":["1"],"size":["30"]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574580593462190082', '0', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:04:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:04:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp', 'PUT', '{}', '60', NULL, '### Error updating database.  Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys001)

### The error may exist in com/tofly/workflow/baseconf/mapper/TfContractFieldPMapper.java (best guess)
### The error may involve com.tofly.workflow.baseconf.mapper.TfContractFieldPMapper.updateById-Inline
### The error occurred while setting parameters
### SQL: UPDATE TF_CONTRACT_FIELD_P  SET name=?, field_name=?, field_type=?,      UPDATE_USER=?, UPDATE_TIME=?  WHERE id=?
### Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys001)

; ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys001)
; nested exception is java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys001)', 'content:修改合同模板公用字段', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574581403134828546', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:07:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:07:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["10000"],"current":["1"]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574581403273240578', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:07:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:07:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '42', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574581408964911106', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:07:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:07:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["30"],"current":["1"]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574581531266621441', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:07:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:07:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"name":[""],"current":["1"],"size":["30"]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574581532168396802', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:07:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:07:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"name":[""],"current":["1"],"size":["30"]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574581554771501058', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:07:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:07:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '36', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574583438525702145', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-27 10:15:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:15:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/saveContractTemplateField', 'POST', '{}', '21', NULL, NULL, 'content:新增合同模板', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574583439049990146', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-27 10:15:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:15:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '32', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574583490434408449', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-27 10:15:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:15:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/updateContractTemplate', 'PUT', '{}', '19', NULL, NULL, 'content:修改合同模板', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574583491017416706', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-27 10:15:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:15:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '32', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574583500047753218', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-27 10:15:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:15:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/f730764f-9e64-416e-887d-7120a55f8e21', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574584045315661826', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-27 10:17:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:17:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '27', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574677991962284033', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-27 16:31:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 16:31:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '14', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574678030239502338', '0', 'tofly-flow', 'yjf', TO_DATE('2022-09-27 16:31:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 16:31:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"level":[""],"fullName":[""],"updateUser":[""],"remark":[""],"updateTime":[""],"regionCode":[""],"createTime":[""],"regionId":[""],"name":[""],"tenantId":["1569602913205559298"],"createUser":[""],"id":[""],"isDel":[""]}', '143', NULL, 'For input string: "510683110000 "', 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574678114909917186', '0', 'tofly-flow', 'yjf', TO_DATE('2022-09-27 16:31:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 16:31:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"level":[""],"fullName":[""],"updateUser":[""],"remark":[""],"updateTime":[""],"regionCode":[""],"createTime":[""],"regionId":[""],"name":[""],"tenantId":["1569602913205559298"],"createUser":[""],"id":[""],"isDel":[""]}', '70', NULL, 'nested exception is org.apache.ibatis.type.TypeException: Could not set parameters for mapping: ParameterMapping{property=''ew.paramNameValuePairs.MPGENVAL1'', mode=IN, javaType=class java.lang.Object, jdbcType=null, numericScale=null, resultMapId=''null'', jdbcTypeName=''null'', expression=''null''}. Cause: org.apache.ibatis.type.TypeException: Error setting null for parameter #1 with JdbcType OTHER . Try setting a different JdbcType for this parameter or a different jdbcTypeForNull configuration property. Cause: java.sql.SQLException: 无效的列类型: 1111', 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574678121725661185', '0', 'tofly-flow', 'yjf', TO_DATE('2022-09-27 16:31:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 16:31:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"level":[""],"fullName":[""],"updateUser":[""],"remark":[""],"updateTime":[""],"regionCode":[""],"createTime":[""],"regionId":[""],"name":[""],"tenantId":["1569602913205559298"],"createUser":[""],"id":[""],"isDel":[""]}', '278', NULL, 'null', 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574678168718643201', '0', 'tofly-flow', 'yjf', TO_DATE('2022-09-27 16:31:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 16:31:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"level":[""],"fullName":[""],"updateUser":[""],"remark":[""],"updateTime":[""],"regionCode":[""],"createTime":[""],"regionId":[""],"name":[""],"tenantId":[""],"createUser":[""],"id":[""],"isDel":[""]}', '150', NULL, 'nested exception is org.apache.ibatis.type.TypeException: Could not set parameters for mapping: ParameterMapping{property=''ew.paramNameValuePairs.MPGENVAL1'', mode=IN, javaType=class java.lang.Object, jdbcType=null, numericScale=null, resultMapId=''null'', jdbcTypeName=''null'', expression=''null''}. Cause: org.apache.ibatis.type.TypeException: Error setting null for parameter #1 with JdbcType OTHER . Try setting a different JdbcType for this parameter or a different jdbcTypeForNull configuration property. Cause: java.sql.SQLException: 无效的列类型: 1111', 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574678175312089089', '0', 'tofly-flow', 'yjf', TO_DATE('2022-09-27 16:31:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 16:31:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"level":[""],"fullName":[""],"updateUser":[""],"remark":[""],"updateTime":[""],"regionCode":[""],"createTime":[""],"regionId":[""],"name":[""],"tenantId":[""],"createUser":[""],"id":[""],"isDel":[""]}', '117', NULL, 'For input string: "510723105000 "', 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574678400156143617', '0', 'tofly-flow', 'yjf', TO_DATE('2022-09-27 16:32:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 16:32:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"level":[""],"fullName":[""],"updateUser":[""],"remark":[""],"updateTime":[""],"regionCode":[""],"createTime":[""],"regionId":[""],"name":[""],"tenantId":[""],"createUser":[""],"id":[""],"isDel":[""]}', '144', NULL, 'nested exception is org.apache.ibatis.type.TypeException: Could not set parameters for mapping: ParameterMapping{property=''ew.paramNameValuePairs.MPGENVAL1'', mode=IN, javaType=class java.lang.Object, jdbcType=null, numericScale=null, resultMapId=''null'', jdbcTypeName=''null'', expression=''null''}. Cause: org.apache.ibatis.type.TypeException: Error setting null for parameter #1 with JdbcType OTHER . Try setting a different JdbcType for this parameter or a different jdbcTypeForNull configuration property. Cause: java.sql.SQLException: 无效的列类型: 1111', 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574678406556651522', '0', 'tofly-flow', 'yjf', TO_DATE('2022-09-27 16:32:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 16:32:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"level":[""],"fullName":[""],"updateUser":[""],"remark":[""],"updateTime":[""],"regionCode":[""],"createTime":[""],"regionId":[""],"name":[""],"tenantId":[""],"createUser":[""],"id":[""],"isDel":[""]}', '905', NULL, 'null', 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574678413208817665', '0', 'tofly-flow', 'yjf', TO_DATE('2022-09-27 16:32:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 16:32:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"level":[""],"fullName":[""],"updateUser":[""],"remark":[""],"updateTime":[""],"regionCode":[""],"createTime":[""],"regionId":[""],"name":[""],"tenantId":[""],"createUser":[""],"id":[""],"isDel":[""]}', '145', NULL, 'nested exception is org.apache.ibatis.type.TypeException: Could not set parameters for mapping: ParameterMapping{property=''ew.paramNameValuePairs.MPGENVAL1'', mode=IN, javaType=class java.lang.Object, jdbcType=null, numericScale=null, resultMapId=''null'', jdbcTypeName=''null'', expression=''null''}. Cause: org.apache.ibatis.type.TypeException: Error setting null for parameter #1 with JdbcType OTHER . Try setting a different JdbcType for this parameter or a different jdbcTypeForNull configuration property. Cause: java.sql.SQLException: 无效的列类型: 1111', 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574678420284608513', '0', 'tofly-flow', 'yjf', TO_DATE('2022-09-27 16:32:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 16:32:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"level":[""],"fullName":[""],"updateUser":[""],"remark":[""],"updateTime":[""],"regionCode":[""],"createTime":[""],"regionId":[""],"name":[""],"tenantId":[""],"createUser":[""],"id":[""],"isDel":[""]}', '992', NULL, 'null', 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574678441541341186', '0', 'tofly-flow', 'yjf', TO_DATE('2022-09-27 16:32:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 16:32:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"level":[""],"fullName":[""],"updateUser":[""],"remark":[""],"updateTime":[""],"regionCode":[""],"createTime":[""],"regionId":[""],"name":[""],"tenantId":[""],"createUser":[""],"id":[""],"isDel":[""]}', '149', NULL, 'nested exception is org.apache.ibatis.type.TypeException: Could not set parameters for mapping: ParameterMapping{property=''ew.paramNameValuePairs.MPGENVAL1'', mode=IN, javaType=class java.lang.Object, jdbcType=null, numericScale=null, resultMapId=''null'', jdbcTypeName=''null'', expression=''null''}. Cause: org.apache.ibatis.type.TypeException: Error setting null for parameter #1 with JdbcType OTHER . Try setting a different JdbcType for this parameter or a different jdbcTypeForNull configuration property. Cause: java.sql.SQLException: 无效的列类型: 1111', 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574678453126008834', '0', 'tofly-flow', 'yjf', TO_DATE('2022-09-27 16:32:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 16:32:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"level":[""],"fullName":[""],"updateUser":[""],"remark":[""],"updateTime":[""],"regionCode":[""],"createTime":[""],"regionId":[""],"name":[""],"tenantId":[""],"createUser":[""],"id":[""],"isDel":[""]}', '1049', NULL, 'null', 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574688789241655297', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-27 17:13:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 17:13:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574688789493313537', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-27 17:13:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 17:13:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574688792198639617', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-27 17:13:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 17:13:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574578912850714626', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 09:57:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 09:57:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["30"],"current":["1"]}', '503', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574581788641697793', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:08:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:08:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574582000282083329', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:09:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:09:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["10000"],"current":["1"]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574582000340803586', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:09:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:09:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '33', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574582114304237570', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-27 10:10:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:10:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessnodel', 'POST', '{}', '55', NULL, NULL, 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574582131026927617', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-27 10:10:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:10:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '180', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574582131869982722', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-27 10:10:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:10:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574314012068810754', 'GET', '{"id":["1574314012068810754"]}', '26', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574582293375852546', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:10:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:10:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["30"],"current":["1"]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574582379568799745', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:11:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:11:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp', 'PUT', '{}', '19', NULL, NULL, 'content:修改合同模板公用字段', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574582380038561793', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:11:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:11:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["30"],"current":["1"]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574582408970870786', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:11:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:11:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["10000"],"current":["1"]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574582409063145473', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:11:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:11:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '37', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574582535198449665', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-27 10:11:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:11:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '16', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574582564529217537', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-27 10:11:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:11:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '187', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574582565363884034', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-27 10:11:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:11:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574314012068810754', 'GET', '{"id":["1574314012068810754"]}', '26', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574582681072148481', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-27 10:12:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:12:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '154', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574582682057809921', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-27 10:12:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:12:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574314012068810754', 'GET', '{"id":["1574314012068810754"]}', '26', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574584516847706113', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:19:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:19:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"name":[""],"tenantId":[""],"current":["1"],"size":["30"],"contractType":[""]}', '26', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574584518001139713', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:19:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:19:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"name":[""],"tenantId":[""],"current":["1"],"size":["30"],"contractType":[""]}', '31', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574584987826102273', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-27 10:21:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:21:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574585363400859650', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-27 10:22:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:22:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574585373999865857', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:23:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:23:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp', 'PUT', '{}', '9', NULL, NULL, 'content:修改合同模板公用字段', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574585377141399554', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:23:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:23:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["30"],"current":["1"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574587064379875330', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:29:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:29:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"name":[""],"tenantId":[""],"current":["1"],"size":["30"],"contractType":[""]}', '26', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574587223629209601', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:30:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:30:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/saveContractTemplateField', 'POST', '{}', '6', NULL, NULL, 'content:新增合同模板', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574587224812003329', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:30:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:30:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '31', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574587750437986306', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-09-27 10:32:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:32:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '24', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574587770457399298', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-09-27 10:32:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:32:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"typeName":[""],"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '23', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574587777407361025', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-09-27 10:32:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:32:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfreportentryp/page', 'GET', '{"name":[""],"current":["1"],"size":["30"]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574587784193744897', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-09-27 10:32:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:32:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '23', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574587787519827970', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-09-27 10:32:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:32:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574587794213937154', '2', 'tofly-auth', 'tnadmin', TO_DATE('2022-09-27 10:32:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:32:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/9f77c477-c411-48e4-a28e-2979031fc51a', 'DELETE', '{}', '1', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574587904461217793', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:33:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:33:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["10000"],"current":["1"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574588389960294402', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:35:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:35:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '24', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574588916831985665', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-09-27 10:37:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:37:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574588937014976513', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-09-27 10:37:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:37:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"typeName":[""],"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574588945252589570', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-27 10:37:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:37:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '2', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574588948662558721', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-09-27 10:37:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:37:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1570225246022770689"],"label":["1568482594885484546"],"isMould":["0"]}', '1', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574588952148025345', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-27 10:37:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:37:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574588986088333314', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-09-27 10:37:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:37:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574588995022200834', '2', 'tofly-auth', 'tnadmin', TO_DATE('2022-09-27 10:37:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:37:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/d819c724-c13a-4407-b509-7acca2479175', 'DELETE', '{}', '1', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574688277544955905', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-27 17:11:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 17:11:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574688284071292929', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-27 17:11:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 17:11:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/1574243157838213121', 'GET', '{"0":["1574243157838213121"]}', '21', NULL, NULL, 'content:通过id查询施工组织单位', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574688381974736898', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-27 17:12:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 17:12:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '8', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574688747114065921', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-27 17:13:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 17:13:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574688747386695682', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-27 17:13:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 17:13:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574688809617584130', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-27 17:14:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 17:14:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1574306015364100097', 'GET', '{"id":["1574306015364100097"]}', '28', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574688810502582274', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-27 17:14:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 17:14:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":["1569602913205559298"]}', '4', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574688810808766465', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-27 17:14:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 17:14:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '4', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574688813484732417', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-27 17:14:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 17:14:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '7', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574688900118081538', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-27 17:14:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 17:14:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1574293601415409665', 'GET', '{"id":["1574293601415409665"]}', '41', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574688900705284097', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-27 17:14:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 17:14:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574688900977913858', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-27 17:14:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 17:14:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574688903540633602', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-27 17:14:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 17:14:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '8', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574689111049629697', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-27 17:15:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 17:15:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1574306015364100097', 'GET', '{"id":["1574306015364100097"]}', '27', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574689111867518978', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-27 17:15:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 17:15:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":["1569602913205559298"]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574689112098205698', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-27 17:15:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 17:15:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574689115390734338', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-27 17:15:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 17:15:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '7', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574689258592661506', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-27 17:15:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 17:15:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl', 'POST', '{}', '206', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574689258974343169', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-27 17:15:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 17:15:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '17', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574689271305596929', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-27 17:15:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 17:15:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1574689258189930498', 'GET', '{"id":["1574689258189930498"]}', '36', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574689272106708994', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-27 17:15:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 17:15:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574689272362561538', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-27 17:15:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 17:15:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574689274799452162', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-27 17:15:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 17:15:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574690407349612545', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-27 17:20:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 17:20:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '18', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574692736199159809', '2', 'tofly-auth', 'mzadmin', TO_DATE('2022-09-27 17:29:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 17:29:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/91a754b8-aa09-426a-9568-1e9c3a656f1e', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574693683872665601', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-27 17:33:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 17:33:25', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/tfregionp/page', 'GET', '{"hitCount":[""],"optimizeCountSql":[""],"level":[""],"records":[""],"searchCount":[""],"fullName":[""],"updateUser":[""],"remark":[""],"updateTime":[""],"current":["1"],"regionCode":[""],"total":[""],"size":["10000"],"createTime":[""],"regionId":[""],"orders[0].asc":[""],"name":[""],"tenantId":["1"],"createUser":[""],"orders[0].column":[""],"id":[""],"isDel":["0"]}', '180', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574693695826432002', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-27 17:33:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 17:33:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectdispatchw/page', 'GET', '{"current":["1"],"state":[""],"userType":["{}"],"projectLink":[""],"size":["30"]}', '18', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574693773890818050', '1', 'tofly-flow', 'll', TO_DATE('2022-09-27 17:33:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 17:33:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574693774150864897', '1', 'tofly-flow', 'll', TO_DATE('2022-09-27 17:33:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 17:33:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '5', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574693778689101825', '1', 'tofly-flow', 'll', TO_DATE('2022-09-27 17:33:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 17:33:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '38', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574696337361432578', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-27 17:43:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 17:43:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '235', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574696361688395777', '2', 'tofly-auth', 'mzscb', TO_DATE('2022-09-27 17:44:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 17:44:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/e9bbdae7-ded2-4999-ab87-469bbece8dc5', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574699307629113345', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-27 17:55:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 17:55:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '21', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574699308451196930', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-27 17:55:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 17:55:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574699318140039170', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-27 17:55:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 17:55:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1574689258189930498', 'GET', '{"id":["1574689258189930498"]}', '26', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574699318588829698', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-27 17:55:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 17:55:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574699318777573378', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-27 17:55:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 17:55:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574699321638088706', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-27 17:55:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 17:55:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574584051120578562', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-27 10:17:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:17:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574584074361217025', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-27 10:17:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:17:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574584074621263874', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-27 10:17:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:17:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574584095462760450', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:17:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:17:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"name":[""],"tenantId":[""],"current":["1"],"size":["30"],"contractType":[""]}', '28', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574584118988611585', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-27 10:18:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:18:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '119', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574584120225931266', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-27 10:18:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:18:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574314012068810754', 'GET', '{"id":["1574314012068810754"]}', '18', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574584381170360321', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-27 10:19:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:19:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574584382135050242', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-27 10:19:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:19:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574587064077885442', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:29:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:29:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"name":[""],"tenantId":[""],"current":["1"],"size":["30"],"contractType":[""]}', '27', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574587136127639554', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:30:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:30:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"name":[""],"tenantId":[""],"current":["1"],"size":["30"],"contractType":[""]}', '26', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574587138258345986', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:30:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:30:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"name":[""],"tenantId":[""],"current":["1"],"size":["30"],"contractType":[""]}', '24', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574587904469606401', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:33:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:33:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '25', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574587992315109378', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-27 10:33:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:33:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '104', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574587997805453313', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-27 10:33:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:33:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574314012068810754', 'GET', '{"id":["1574314012068810754"]}', '21', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574588026846814209', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-27 10:33:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:33:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '107', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574588078512250882', '2', 'tofly-auth', 'test', TO_DATE('2022-09-27 10:33:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:33:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/03e92112-7806-47fb-bba1-d2b960f43c22', 'DELETE', '{}', '1', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574588379659083778', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:34:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:34:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574588440472297474', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:35:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:35:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"name":[""],"tenantId":["1570225246022770689"],"current":["1"],"size":["30"],"contractType":[""]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574588537633349633', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:35:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:35:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/saveContractTemplateField', 'POST', '{}', '6', NULL, NULL, 'content:新增合同模板', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574588538677731329', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:35:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:35:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '27', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574588560630718465', '2', 'tofly-auth', 'test', TO_DATE('2022-09-27 10:35:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:35:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/77abf803-7e2c-4699-86f6-b33a75df907f', 'DELETE', '{}', '1', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574588818425225217', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-09-27 10:36:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:36:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1570225246022770689"],"label":["1568482594885484546"],"isMould":["0"]}', '2', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574588839497408513', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-09-27 10:36:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:36:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1570225246022770689"],"label":["1568483117915193345"],"isMould":["0"]}', '1', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574588854101975041', '2', 'tofly-auth', 'tnadmin', TO_DATE('2022-09-27 10:36:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:36:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/cf856ca1-c423-4ab2-8072-2fbc59bedee0', 'DELETE', '{}', '1', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574607139354705922', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-27 11:49:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:49:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574607144698249217', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-27 11:49:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:49:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '8', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574607146011066370', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-27 11:49:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:49:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574314012068810754', 'GET', '{"id":["1574314012068810754"]}', '21', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574607148733169665', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-27 11:49:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:49:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1572832711356719105"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574609222283821057', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-27 11:57:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:57:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '25', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574609966462402561', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-27 12:00:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 12:00:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574634260886192129', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-27 13:37:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 13:37:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '29', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574634261293039618', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-27 13:37:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 13:37:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '20', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574634280934965250', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-27 13:37:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 13:37:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '18', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574634281186623489', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-27 13:37:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 13:37:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574634289222909953', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-27 13:37:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 13:37:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '127', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574634289801723905', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-27 13:37:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 13:37:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574634290019827714', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-27 13:37:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 13:37:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574634292616101890', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-27 13:37:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 13:37:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574635772471410690', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 13:43:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 13:43:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574689034398724097', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-27 17:14:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 17:14:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574689427061075970', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-27 17:16:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 17:16:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1574293601415409665', 'GET', '{"id":["1574293601415409665"]}', '38', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574689427761524738', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-27 17:16:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 17:16:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574689427971239937', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-27 17:16:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 17:16:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574689430601068545', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-27 17:16:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 17:16:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574689542572208129', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-27 17:16:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 17:16:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl', 'POST', '{}', '52', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574689542966472706', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-27 17:16:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 17:16:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574689550935650305', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-27 17:16:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 17:16:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1574293601415409665', 'GET', '{"id":["1574293601415409665"]}', '40', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574689551568990210', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-27 17:17:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 17:17:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574689551841619969', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-27 17:17:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 17:17:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574689554890878978', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-27 17:17:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 17:17:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574689562604204034', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-27 17:17:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 17:17:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1574689258189930498', 'GET', '{"id":["1574689258189930498"]}', '31', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574689563090743297', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-27 17:17:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 17:17:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574689563304652802', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-27 17:17:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 17:17:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574689565657657346', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-27 17:17:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 17:17:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574689594438971393', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-27 17:17:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 17:17:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl', 'POST', '{}', '21', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574689594757738497', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-27 17:17:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 17:17:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574689616568119297', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-27 17:17:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 17:17:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1574293601415409665', 'GET', '{"id":["1574293601415409665"]}', '30', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574689619101478914', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-27 17:17:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 17:17:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574689619860647937', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-27 17:17:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 17:17:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574689624344358913', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-27 17:17:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 17:17:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574690654855491585', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-27 17:21:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 17:21:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl', 'POST', '{}', '30', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574690655312670722', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-27 17:21:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 17:21:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574690671368466433', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-27 17:21:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 17:21:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1574689258189930498', 'GET', '{"id":["1574689258189930498"]}', '23', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574690671913725954', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-27 17:21:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 17:21:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574690672144412673', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-27 17:21:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 17:21:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574690674669383682', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-27 17:21:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 17:21:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574690696903389186', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-27 17:21:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 17:21:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl', 'POST', '{}', '26', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574690697264099329', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-27 17:21:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 17:21:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574690704784486401', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-27 17:21:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 17:21:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '18', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574690705560432641', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-27 17:21:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 17:21:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574690707917631489', '2', 'tofly-auth', 'mzscb', TO_DATE('2022-09-27 17:21:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 17:21:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/81804ab4-499b-451a-95e4-dfdf259e312a', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574690927086792705', '2', 'tofly-auth', 'mzadmin', TO_DATE('2022-09-27 17:22:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 17:22:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/ed9e0d22-db9d-4e99-a00a-efbfd9ac872b', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574691947460292609', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-27 17:26:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 17:26:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"level":[""],"fullName":[""],"updateUser":[""],"remark":[""],"updateTime":[""],"regionCode":[""],"createTime":[""],"regionId":[""],"name":[""],"tenantId":["1569602913205559298"],"createUser":[""],"id":[""],"isDel":[""]}', '66', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574692014694985729', '1', 'tofly-flow', 'jtrq', TO_DATE('2022-09-27 17:26:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 17:26:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574692054968692738', '1', 'tofly-flow', 'jtrq', TO_DATE('2022-09-27 17:26:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 17:26:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574692062291947521', '1', 'tofly-flow', 'jtrq', TO_DATE('2022-09-27 17:26:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 17:26:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '37', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574692065848717313', '1', 'tofly-flow', 'jtrq', TO_DATE('2022-09-27 17:26:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 17:26:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"typeName":[""],"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '27', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574692082307166210', '1', 'tofly-flow', 'jtrq', TO_DATE('2022-09-27 17:27:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 17:27:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfreportentryp/page', 'GET', '{"name":[""],"current":["1"],"size":["30"]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574692095171096577', '1', 'tofly-flow', 'jtrq', TO_DATE('2022-09-27 17:27:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 17:27:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"typeName":[""],"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574589305685909506', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:38:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:38:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"name":[""],"tenantId":["1569216846182748162"],"current":["1"],"size":["30"],"contractType":["2"]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574589306155671554', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:38:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:38:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"name":[""],"tenantId":["1569216846182748162"],"current":["1"],"size":["30"],"contractType":["2"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574591966468481026', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:49:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:49:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/saveCalendarAll', 'POST', '{}', '14', NULL, NULL, 'content:新增日历年日期相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574591967198289922', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:49:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:49:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574594839734493186', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 11:00:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:00:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/saveCalendarAll', 'POST', '{}', '33', NULL, NULL, 'content:新增日历年日期相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574594839998734337', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 11:00:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:00:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574594881614618625', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 11:00:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:00:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/saveCalendarAll', 'POST', '{}', '9', NULL, NULL, 'content:新增日历年日期相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574594882071797762', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 11:00:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:00:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574594992235192322', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 11:01:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:01:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/saveCalendarAll', 'POST', '{}', '5', NULL, NULL, 'content:新增日历年日期相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574594992621068289', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 11:01:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:01:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574595010971148290', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 11:01:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:01:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/saveCalendarAll', 'POST', '{}', '8', NULL, NULL, 'content:新增日历年日期相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574595011218612226', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 11:01:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:01:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574595028213932033', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 11:01:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:01:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/saveCalendarAll', 'POST', '{}', '9', NULL, NULL, 'content:新增日历年日期相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574595028641751041', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 11:01:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:01:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574595042889801730', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 11:01:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:01:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/saveCalendarAll', 'POST', '{}', '7', NULL, NULL, 'content:新增日历年日期相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574595043166625794', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 11:01:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:01:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574595065887170561', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 11:01:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:01:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/saveCalendarAll', 'POST', '{}', '9', NULL, NULL, 'content:新增日历年日期相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574595066285629441', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 11:01:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:01:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574595114755006465', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 11:01:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:01:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/saveCalendarAll', 'POST', '{}', '10', NULL, NULL, 'content:新增日历年日期相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574595115103133698', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 11:01:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:01:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574595130194239489', '0', 'tofly-flow', 'test', TO_DATE('2022-09-27 11:01:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:01:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/saveCalendarAll', 'POST', '{}', '35', NULL, '### Error updating database.  Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys003)

### The error may exist in com/tofly/workflow/baseconf/mapper/TfCalendarYearPMapper.java (best guess)
### The error may involve com.tofly.workflow.baseconf.mapper.TfCalendarYearPMapper.updateById-Inline
### The error occurred while setting parameters
### SQL: UPDATE TF_CALENDAR_YEAR_P  SET UPDATE_USER=?, UPDATE_TIME=?,  year_name=?, remark=?  WHERE id=?
### Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys003)

; ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys003)
; nested exception is java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys003)', 'content:新增日历年日期相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574595175190732802', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 11:01:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:01:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/saveCalendarAll', 'POST', '{}', '9', NULL, NULL, 'content:新增日历年日期相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574595175639523329', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 11:01:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:01:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574595187610066945', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 11:02:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:02:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/saveCalendarAll', 'POST', '{}', '11', NULL, NULL, 'content:新增日历年日期相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574595187945611265', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 11:02:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:02:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574595202822807553', '0', 'tofly-flow', 'test', TO_DATE('2022-09-27 11:02:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:02:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/saveCalendarAll', 'POST', '{}', '40', NULL, '### Error updating database.  Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys003)

### The error may exist in com/tofly/workflow/baseconf/mapper/TfCalendarYearPMapper.java (best guess)
### The error may involve com.tofly.workflow.baseconf.mapper.TfCalendarYearPMapper.updateById-Inline
### The error occurred while setting parameters
### SQL: UPDATE TF_CALENDAR_YEAR_P  SET UPDATE_USER=?, UPDATE_TIME=?,  year_name=?, remark=?  WHERE id=?
### Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys003)

; ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys003)
; nested exception is java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys003)', 'content:新增日历年日期相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574595223077101570', '0', 'tofly-flow', 'test', TO_DATE('2022-09-27 11:02:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:02:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/saveCalendarAll', 'POST', '{}', '31', NULL, '### Error updating database.  Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys003)

### The error may exist in com/tofly/workflow/baseconf/mapper/TfCalendarYearPMapper.java (best guess)
### The error may involve com.tofly.workflow.baseconf.mapper.TfCalendarYearPMapper.updateById-Inline
### The error occurred while setting parameters
### SQL: UPDATE TF_CALENDAR_YEAR_P  SET UPDATE_USER=?, UPDATE_TIME=?,  year_name=?, remark=?  WHERE id=?
### Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys003)

; ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys003)
; nested exception is java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys003)', 'content:新增日历年日期相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574644386720579585', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-27 14:17:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 14:17:31', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfregionp/tree', 'GET', '{"level":[""],"fullName":[""],"updateUser":[""],"remark":[""],"updateTime":[""],"regionCode":[""],"createTime":[""],"regionId":[""],"name":[""],"tenantId":[""],"createUser":[""],"id":[""],"isDel":[""]}', '268', NULL, NULL, 'content:列表查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574645022060969986', '1', 'tofly-flow', 'mz001', TO_DATE('2022-09-27 14:20:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 14:20:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574645363703808002', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-27 14:21:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 14:21:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574314012068810754', 'GET', '{"id":["1574314012068810754"]}', '28', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574645379474391042', '2', 'tofly-auth', 'tnadmin', TO_DATE('2022-09-27 14:21:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 14:21:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/a3426ef8-142b-4574-ad3a-eaf882c97d9d', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574664826310598657', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-27 15:38:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 15:38:45', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfregionp/tree', 'GET', '{"level":[""],"fullName":[""],"updateUser":[""],"remark":[""],"updateTime":[""],"regionCode":[""],"createTime":[""],"regionId":[""],"name":[""],"tenantId":["1569602913205559298"],"createUser":[""],"id":[""],"isDel":[""]}', '468', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574665731084886017', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-27 15:42:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 15:42:20', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfregionp/tree', 'GET', '{"level":[""],"fullName":[""],"updateUser":[""],"remark":[""],"updateTime":[""],"regionCode":[""],"createTime":[""],"regionId":[""],"name":[""],"tenantId":["1569602913205559298"],"createUser":[""],"id":[""],"isDel":[""]}', '252', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574666615776845826', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-27 15:45:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 15:45:51', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfregionp/tree', 'GET', '{"level":[""],"fullName":[""],"updateUser":[""],"remark":[""],"updateTime":[""],"regionCode":[""],"createTime":[""],"regionId":[""],"name":[""],"tenantId":["1569602913205559298"],"createUser":[""],"id":[""],"isDel":[""]}', '318', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574670183267278850', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-27 16:00:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 16:00:02', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfregionp/tree', 'GET', '{"level":[""],"fullName":[""],"updateUser":[""],"remark":[""],"updateTime":[""],"regionCode":[""],"createTime":[""],"regionId":[""],"name":[""],"tenantId":["1569602913205559298"],"createUser":[""],"id":[""],"isDel":[""]}', '339', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574673704591007745', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-27 16:14:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 16:14:01', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfregionp/tree', 'GET', '{"level":[""],"fullName":[""],"updateUser":[""],"remark":[""],"updateTime":[""],"regionCode":[""],"createTime":[""],"regionId":[""],"name":[""],"tenantId":["1569602913205559298"],"createUser":[""],"id":[""],"isDel":[""]}', '1237', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574674029137862658', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-27 16:15:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 16:15:19', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfregionp/tree', 'GET', '{"level":[""],"fullName":[""],"updateUser":[""],"remark":[""],"updateTime":[""],"regionCode":[""],"createTime":[""],"regionId":[""],"name":[""],"tenantId":["1569602913205559298"],"createUser":[""],"id":[""],"isDel":[""]}', '375', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574678544305983490', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-27 16:33:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 16:33:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574678580033064961', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-27 16:33:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 16:33:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574678584248340482', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-27 16:33:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 16:33:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '102', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574679463106023426', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-27 16:36:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 16:36:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574679468290183169', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-27 16:36:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 16:36:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '18', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574679478008385538', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-27 16:36:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 16:36:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["-1"],"isMould":["0"]}', '2', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574679956909821954', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-27 16:38:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 16:38:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl', 'POST', '{}', '512', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574679957996146689', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-27 16:38:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 16:38:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574679972416163842', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-27 16:38:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 16:38:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '1283', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574679972940451841', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-27 16:38:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 16:38:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574679973250830337', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-27 16:38:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 16:38:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '11', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574679977172504578', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-27 16:38:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 16:38:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '52', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574704671611228161', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-27 18:17:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:17:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl', 'POST', '{}', '295', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574704675520319490', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-27 18:17:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:17:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '658', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574704735050076161', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 18:17:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:17:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl', 'POST', '{}', '393', NULL, NULL, 'content:新增流程信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574705191235162114', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-27 18:19:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:19:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574705191964971010', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 18:19:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:19:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessnodel', 'POST', '{}', '155', NULL, NULL, 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574705270843052034', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-27 18:19:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:19:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '9', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574705298521264129', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 18:19:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:19:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '7', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574706847721041922', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-27 18:25:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:25:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/3057a7a2-a7d6-4f4c-9c04-8aea2471eaca', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574706927890968578', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 18:26:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:26:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '266', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574706938833907713', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 18:26:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:26:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574706951538454530', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-27 18:26:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:26:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574702138742296578', 'GET', '{"id":["1574702138742296578"]}', '165', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574706977270509569', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 18:26:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:26:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["37"],"id":["1572140204302041089"]}', '267', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574706978084204546', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 18:26:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:26:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574704733733068801', 'GET', '{"id":["1574704733733068801"]}', '32', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574635787805786114', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 13:43:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 13:43:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574635860535017473', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-27 13:43:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 13:43:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '142', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574635861218689025', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-27 13:43:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 13:43:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574635861503901698', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-27 13:43:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 13:43:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574635863965958146', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-27 13:43:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 13:43:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574636129494761474', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-27 13:44:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 13:44:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '14', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574636287817154562', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-27 13:45:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 13:45:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574636288085590017', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-27 13:45:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 13:45:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '17', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574636370822430722', '2', 'tofly-auth', 'test', TO_DATE('2022-09-27 13:45:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 13:45:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/bef306eb-7aa7-419f-9000-b9f6970273e5', 'DELETE', '{}', '7', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574636617808216065', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-27 13:46:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 13:46:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574636618055680002', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-27 13:46:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 13:46:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574637202590662657', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-27 13:48:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 13:48:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '9', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574637792133644290', '2', 'tofly-auth', 'hr', TO_DATE('2022-09-27 13:51:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 13:51:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/8a8ef02a-7b65-4d04-8b24-959ba8f063b0', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574638506432004097', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-27 13:54:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 13:54:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '18', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574638506729799681', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-27 13:54:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 13:54:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574638562425962497', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-27 13:54:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 13:54:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '136', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574638563210297346', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-27 13:54:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 13:54:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574314012068810754', 'GET', '{"id":["1574314012068810754"]}', '34', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574638608030629890', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-27 13:54:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 13:54:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574638641257906177', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-27 13:54:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 13:54:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574638641534730242', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-27 13:54:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 13:54:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574638651064188929', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-27 13:54:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 13:54:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '147', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574638651643002882', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-27 13:54:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 13:54:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574638651848523778', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-27 13:54:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 13:54:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574638654528684033', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-27 13:54:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 13:54:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574639850362503169', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-27 13:59:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 13:59:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574639850597384193', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-27 13:59:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 13:59:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574639857442488322', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-27 13:59:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 13:59:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1574293601415409665', 'GET', '{"id":["1574293601415409665"]}', '33', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574639858084216834', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-27 13:59:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 13:59:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574639858340069378', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-27 13:59:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 13:59:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574639860751794177', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-27 13:59:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 13:59:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574640494016200706', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-27 14:02:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 14:02:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '10', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574640503449190401', '2', 'tofly-auth', 'test', TO_DATE('2022-09-27 14:02:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 14:02:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/82768d37-0f6d-4224-9345-a08a78609e2c', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574640504011227138', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-27 14:02:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 14:02:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '159', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574640906546970625', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-27 14:03:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 14:03:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574640906765074433', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-27 14:03:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 14:03:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574640913924751362', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-27 14:03:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 14:03:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '138', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574640914503565314', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-27 14:03:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 14:03:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574640914709086210', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-27 14:03:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 14:03:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574640917334720513', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-27 14:03:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 14:03:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574641084809084930', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-27 14:04:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 14:04:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl', 'POST', '{}', '96', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574692097977085954', '1', 'tofly-flow', 'jtrq', TO_DATE('2022-09-27 17:27:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 17:27:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '42', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574692103282880514', '1', 'tofly-flow', 'jtrq', TO_DATE('2022-09-27 17:27:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 17:27:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '31', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574692104138518529', '1', 'tofly-flow', 'jtrq', TO_DATE('2022-09-27 17:27:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 17:27:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '35', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574692109133934593', '1', 'tofly-flow', 'jtrq', TO_DATE('2022-09-27 17:27:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 17:27:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"typeName":[""],"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574692109318483969', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-27 17:27:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 17:27:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"level":[""],"fullName":[""],"updateUser":[""],"remark":[""],"updateTime":[""],"regionCode":[""],"createTime":[""],"regionId":[""],"name":[""],"tenantId":["1569602913205559298"],"createUser":[""],"id":[""],"isDel":[""]}', '69', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574692280852934657', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-27 17:27:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 17:27:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"level":[""],"fullName":[""],"updateUser":[""],"remark":[""],"updateTime":[""],"regionCode":[""],"createTime":[""],"regionId":[""],"name":[""],"tenantId":["1569602913205559298"],"createUser":[""],"id":[""],"isDel":[""]}', '52', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574692528543363073', '2', 'tofly-auth', 'mzadmin', TO_DATE('2022-09-27 17:28:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 17:28:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/9267baf1-fd51-4a65-8d14-2147976fe029', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574692611825463298', '2', 'tofly-auth', 'mzscb', TO_DATE('2022-09-27 17:29:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 17:29:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/1511159d-e88e-43bc-bcbe-478d703ee6fa', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574693739338141697', '1', 'tofly-flow', 'll', TO_DATE('2022-09-27 17:33:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 17:33:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '73', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574693740059561986', '1', 'tofly-flow', 'll', TO_DATE('2022-09-27 17:33:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 17:33:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '29', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574693749467385858', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-27 17:33:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 17:33:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/02da23fc-7644-432f-91e9-ae216f9a3b46', 'DELETE', '{}', '6', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574693770367602689', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-27 17:33:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 17:33:45', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/tfregionp/page', 'GET', '{"tenantId":["1"],"current":["1"],"size":["10000"]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574694277937168385', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-27 17:35:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 17:35:46', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/tfprocessl/page', 'GET', '{"tenantId":["1"]}', '519', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574694954105139202', '2', 'tofly-auth', 'mzadmin', TO_DATE('2022-09-27 17:38:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 17:38:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/898df8fe-49cb-45e7-8168-c583bcc12295', 'DELETE', '{}', '7', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574695325695307778', '2', 'tofly-auth', 'mzscb2', TO_DATE('2022-09-27 17:39:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 17:39:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/6de45560-3bc6-4d92-aab4-027d08f408c6', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574696248102449154', '2', 'tofly-auth', 'mzscb', TO_DATE('2022-09-27 17:43:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 17:43:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/d7fa1c68-4261-47d8-9e42-d0f63493795c', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574697251438686210', '0', 'tofly-flow', 'yjf', TO_DATE('2022-09-27 17:47:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 17:47:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"level":[""],"fullName":[""],"updateUser":[""],"remark":[""],"updateTime":[""],"regionCode":[""],"createTime":[""],"regionId":[""],"name":[""],"tenantId":["1569602913205559298"],"createUser":[""],"id":[""],"isDel":[""]}', '194', NULL, '### Error querying database.  Cause: java.sql.SQLSyntaxErrorException: ORA-01788: 此查询块中要求 CONNECT BY 子句

### The error may exist in com/tofly/workflow/baseconf/mapper/TfRegionPMapper.java (best guess)
### The error may involve defaultParameterMap
### The error occurred while setting parameters
### SQL: SELECT  *  FROM TF_REGION_P     WHERE (REGION_ID IS NULL AND LEVEL = ?)
### Cause: java.sql.SQLSyntaxErrorException: ORA-01788: 此查询块中要求 CONNECT BY 子句

; bad SQL grammar []; nested exception is java.sql.SQLSyntaxErrorException: ORA-01788: 此查询块中要求 CONNECT BY 子句', 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574697416065118209', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-27 17:48:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 17:48:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/d93199ab-cba7-4694-a123-8b945ab4055a', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574697697901375490', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-27 17:49:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 17:49:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/98f690db-5919-4758-8952-7adf650d648d', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574698128954191874', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-27 17:51:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 17:51:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/9fc21a04-fb1a-435f-9d19-e2fb5e570b54', 'DELETE', '{}', '1', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574698162399571970', '2', 'tofly-auth', 'test', TO_DATE('2022-09-27 17:51:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 17:51:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/e355a40c-aa17-4d24-9215-a94181774504', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574698563215650817', '0', 'tofly-flow', 'yjf', TO_DATE('2022-09-27 17:52:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 17:52:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"level":[""],"fullName":[""],"updateUser":[""],"remark":[""],"updateTime":[""],"regionCode":[""],"createTime":[""],"regionId":[""],"name":[""],"tenantId":["1569602913205559298"],"createUser":[""],"id":[""],"isDel":[""]}', '1088', NULL, 'null', 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574699071674347521', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-27 17:54:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 17:54:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '175', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574699072005697537', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-27 17:54:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 17:54:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '20', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574699100073979906', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-27 17:54:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 17:54:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1574689258189930498', 'GET', '{"id":["1574689258189930498"]}', '31', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574699100787011586', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-27 17:54:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 17:54:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574699101059641346', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-27 17:54:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 17:54:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574699105937616898', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-27 17:54:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 17:54:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '29', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574699329955393538', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-27 17:55:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 17:55:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574699339073810434', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-27 17:55:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 17:55:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '18', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574700131981799426', '2', 'tofly-auth', 'mzadmin', TO_DATE('2022-09-27 17:59:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 17:59:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/2eb32df6-61d7-4bb5-bdb8-59f391a40181', 'DELETE', '{}', '5', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574702127933632514', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 18:06:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:06:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '121', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574702345269882882', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-27 18:07:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:07:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574702774636589058', '2', 'tofly-auth', 'll', TO_DATE('2022-09-27 18:09:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:09:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/e4406080-e084-4772-9627-d1a1298525cf', 'DELETE', '{}', '1', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574644433415766018', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-27 14:17:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 14:17:43', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfregionp/list', 'GET', '{"level":[""],"fullName":[""],"updateUser":[""],"remark":[""],"updateTime":[""],"regionCode":[""],"createTime":[""],"regionId":[""],"name":[""],"tenantId":[""],"createUser":[""],"id":[""],"isDel":[""]}', '2143', NULL, NULL, 'content:列表查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574644924103196674', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-27 14:19:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 14:19:40', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfregionp/list', 'GET', '{"level":[""],"fullName":[""],"updateUser":[""],"remark":[""],"updateTime":[""],"regionCode":[""],"createTime":[""],"regionId":[""],"name":[""],"tenantId":[""],"createUser":[""],"id":[""],"isDel":[""]}', '2396', NULL, NULL, 'content:区域树查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574645244044705794', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-27 14:20:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 14:20:56', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfregionp/list', 'GET', '{"level":[""],"fullName":[""],"updateUser":[""],"remark":[""],"updateTime":[""],"regionCode":[""],"createTime":[""],"regionId":[""],"name":[""],"tenantId":[""],"createUser":[""],"id":[""],"isDel":[""]}', '1962', NULL, NULL, 'content:区域树查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574645552376381442', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-27 14:22:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 14:22:09', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfregionp/list', 'GET', '{"level":[""],"fullName":[""],"updateUser":[""],"remark":[""],"updateTime":[""],"regionCode":[""],"createTime":[""],"regionId":[""],"name":[""],"tenantId":[""],"createUser":[""],"id":[""],"isDel":[""]}', '1994', NULL, NULL, 'content:区域树查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574646125108592641', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-27 14:24:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 14:24:26', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfregionp/tree', 'GET', '{"level":[""],"fullName":[""],"updateUser":[""],"remark":[""],"updateTime":[""],"regionCode":[""],"createTime":[""],"regionId":[""],"name":[""],"tenantId":[""],"createUser":[""],"id":[""],"isDel":[""]}', '27559', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574647077794414594', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-27 14:28:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 14:28:13', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfregionp/tree', 'GET', '{"level":[""],"fullName":[""],"updateUser":[""],"remark":[""],"updateTime":[""],"regionCode":[""],"createTime":[""],"regionId":[""],"name":[""],"tenantId":[""],"createUser":[""],"id":[""],"isDel":[""]}', '24553', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574647104998670337', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-27 14:28:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 14:28:20', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfregionp/tree', 'GET', '{"level":[""],"fullName":[""],"updateUser":[""],"remark":[""],"updateTime":[""],"regionCode":[""],"createTime":[""],"regionId":[""],"name":[""],"tenantId":[""],"createUser":[""],"id":[""],"isDel":[""]}', '3248', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574647138293055489', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-27 14:28:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 14:28:27', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfregionp/tree', 'GET', '{"level":[""],"fullName":[""],"updateUser":[""],"remark":[""],"updateTime":[""],"regionCode":[""],"createTime":[""],"regionId":[""],"name":[""],"tenantId":[""],"createUser":[""],"id":[""],"isDel":[""]}', '3552', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574647267787997186', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-27 14:28:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 14:28:58', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfregionp/list', 'GET', '{"level":[""],"fullName":[""],"updateUser":[""],"remark":[""],"updateTime":[""],"regionCode":[""],"createTime":[""],"regionId":[""],"name":[""],"tenantId":[""],"createUser":[""],"id":[""],"isDel":[""]}', '2411', NULL, NULL, 'content:列表查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574647384200904705', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-27 14:29:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 14:29:26', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfregionp/tree', 'GET', '{"level":[""],"fullName":[""],"updateUser":[""],"remark":[""],"updateTime":[""],"regionCode":[""],"createTime":[""],"regionId":[""],"name":[""],"tenantId":[""],"createUser":[""],"id":[""],"isDel":[""]}', '3534', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574647417633701889', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-27 14:29:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 14:29:34', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfregionp/tree', 'GET', '{"level":[""],"fullName":[""],"updateUser":[""],"remark":[""],"updateTime":[""],"regionCode":[""],"createTime":[""],"regionId":[""],"name":[""],"tenantId":[""],"createUser":[""],"id":[""],"isDel":[""]}', '3474', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574648060092022786', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-27 14:32:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 14:32:07', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfregionp/tree', 'GET', '{"level":[""],"fullName":[""],"updateUser":[""],"remark":[""],"updateTime":[""],"regionCode":[""],"createTime":[""],"regionId":[""],"name":[""],"tenantId":["1569602913205559298"],"createUser":[""],"id":[""],"isDel":[""]}', '4705', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574649349102305282', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-27 14:37:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 14:37:15', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfregionp/tree', 'GET', '{"level":[""],"fullName":[""],"updateUser":[""],"remark":[""],"updateTime":[""],"regionCode":[""],"createTime":[""],"regionId":[""],"name":[""],"tenantId":["1569602913205559298"],"createUser":[""],"id":[""],"isDel":[""]}', '88', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574649391896788994', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-27 14:37:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 14:37:25', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfregionp/tree', 'GET', '{"level":[""],"fullName":[""],"updateUser":[""],"remark":[""],"updateTime":[""],"regionCode":[""],"createTime":[""],"regionId":[""],"name":[""],"tenantId":["1569602913205559298"],"createUser":[""],"id":[""],"isDel":[""]}', '4', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574649778481594370', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-27 14:38:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 14:38:57', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfregionp/tree', 'GET', '{"level":[""],"fullName":[""],"updateUser":[""],"remark":[""],"updateTime":[""],"regionCode":[""],"createTime":[""],"regionId":[""],"name":[""],"tenantId":["1569602913205559298"],"createUser":[""],"id":[""],"isDel":[""]}', '10', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574649813080408065', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-27 14:39:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 14:39:05', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfregionp/tree', 'GET', '{"level":[""],"fullName":[""],"updateUser":[""],"remark":[""],"updateTime":[""],"regionCode":[""],"createTime":[""],"regionId":[""],"name":[""],"tenantId":["1569602913205559298"],"createUser":[""],"id":[""],"isDel":[""]}', '314', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574649918739120129', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-27 14:39:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 14:39:30', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfregionp/tree', 'GET', '{"level":[""],"fullName":[""],"updateUser":[""],"remark":[""],"updateTime":[""],"regionCode":[""],"createTime":[""],"regionId":[""],"name":[""],"tenantId":["1569602913205559298"],"createUser":[""],"id":[""],"isDel":[""]}', '357', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574649962418601986', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-27 14:39:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 14:39:41', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfregionp/tree', 'GET', '{"level":[""],"fullName":[""],"updateUser":[""],"remark":[""],"updateTime":[""],"regionCode":[""],"createTime":[""],"regionId":[""],"name":[""],"tenantId":[""],"createUser":[""],"id":[""],"isDel":[""]}', '3724', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574653824365953026', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-27 14:55:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 14:55:02', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfregionp/tree', 'GET', '{"level":[""],"fullName":[""],"updateUser":[""],"remark":[""],"updateTime":[""],"regionCode":[""],"createTime":[""],"regionId":[""],"name":[""],"tenantId":[""],"createUser":[""],"id":[""],"isDel":[""]}', '3589', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574653848583864322', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-27 14:55:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 14:55:07', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfregionp/list', 'GET', '{"level":[""],"fullName":[""],"updateUser":[""],"remark":[""],"updateTime":[""],"regionCode":[""],"createTime":[""],"regionId":[""],"name":[""],"tenantId":[""],"createUser":[""],"id":[""],"isDel":[""]}', '2274', NULL, NULL, 'content:列表查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574653954070609921', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-27 14:55:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 14:55:32', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfregionp/tree', 'GET', '{"level":[""],"fullName":[""],"updateUser":[""],"remark":[""],"updateTime":[""],"regionCode":[""],"createTime":[""],"regionId":[""],"name":[""],"tenantId":["1569602913205559298"],"createUser":[""],"id":[""],"isDel":[""]}', '283', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574667607297593346', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-27 15:49:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 15:49:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfreportentryp/1571530628661796865', 'DELETE', '{"0":["1571530628661796865"]}', '4', NULL, NULL, 'content:通过id删除开工报告条目', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574667607540862978', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-27 15:49:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 15:49:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfreportentryp/page', 'GET', '{"name":[""],"current":["1"],"size":["30"]}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574667815221825537', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-27 15:50:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 15:50:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfreportentryp', 'POST', '{}', '19', NULL, NULL, 'content:新增开工报告条目', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574707434709692417', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 18:28:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:28:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessnodel', 'POST', '{}', '1046', NULL, NULL, 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574707450635464705', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 18:28:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:28:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568483117915193345"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574707574648451074', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-27 18:28:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:28:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574707613743558658', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 18:28:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:28:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574707619288428546', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 18:28:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:28:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574707648254291970', '2', 'tofly-auth', 'yj', TO_DATE('2022-09-27 18:28:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:28:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/6628ec06-1290-4082-ab1a-ace02bbba403', 'DELETE', '{}', '1', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574707654323449858', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 18:28:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:28:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["37"],"id":["1572140204302041089"]}', '157', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574707655783067650', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 18:28:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:28:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '153', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574707655883730945', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 18:28:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:28:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '180', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574707738809315329', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 18:29:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:29:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["37"],"id":["1572140204302041089"]}', '144', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574707739350380546', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 18:29:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:29:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574704733733068801', 'GET', '{"id":["1574704733733068801"]}', '45', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574707805821710338', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 18:29:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:29:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568483117915193345"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574709029832863745', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-27 18:34:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:34:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '18', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574709030118076418', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-27 18:34:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:34:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574709061386612737', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-27 18:34:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:34:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '137', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574709062003175426', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-27 18:34:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:34:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '5', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574709062259027969', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-27 18:34:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:34:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574709064788193281', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-27 18:34:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:34:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '10', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574709118592724994', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 18:34:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:34:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574709129787322370', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 18:34:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:34:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574709188016844801', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-27 18:35:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:35:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574709197131067393', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-27 18:35:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:35:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574709197307228162', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-27 18:35:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:35:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574709202059374594', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-27 18:35:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:35:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574709244459593730', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-27 18:35:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:35:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574709281398829057', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-27 18:35:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:35:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl', 'POST', '{}', '166', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574709282233495554', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-27 18:35:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:35:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '19', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574709288998907906', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-27 18:35:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:35:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '135', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574709289581916161', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-27 18:35:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:35:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574709292840890370', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-27 18:35:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:35:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574709951606665218', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 18:38:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:38:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl', 'POST', '{}', '155', NULL, NULL, 'content:新增流程信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574710251629424641', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-27 18:39:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:39:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl', 'POST', '{}', '81', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574710253579776002', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-27 18:39:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:39:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574710395896705026', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 18:39:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:39:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessnodel', 'POST', '{}', '103', NULL, NULL, 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574710521373503490', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 18:40:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:40:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["37"],"id":["1572140204302041089"]}', '130', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574710521742602242', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 18:40:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:40:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574704733733068801', 'GET', '{"id":["1574704733733068801"]}', '23', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574710554244263938', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 18:40:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:40:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574710554470756354', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 18:40:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:40:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574710568723001345', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 18:40:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:40:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1574293601415409665', 'GET', '{"id":["1574293601415409665"]}', '32', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574644839659077633', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-09-27 14:19:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 14:19:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574644872244625409', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-09-27 14:19:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 14:19:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '15', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574647449938038787', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-27 14:29:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 14:29:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '85', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574647451166969857', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-27 14:29:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 14:29:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '331', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574647452353957890', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-27 14:29:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 14:29:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574314012068810754', 'GET', '{"id":["1574314012068810754"]}', '162', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574648389227376642', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-27 14:33:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 14:33:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '282', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574648396575797250', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-27 14:33:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 14:33:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/page', 'GET', '{"size":["10000"],"current":["1"]}', '209', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574654094328033281', '0', 'tofly-flow', 'yjf', TO_DATE('2022-09-27 14:56:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 14:56:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"level":[""],"fullName":[""],"updateUser":[""],"remark":[""],"updateTime":[""],"regionCode":[""],"createTime":[""],"regionId":[""],"name":[""],"tenantId":[""],"createUser":[""],"id":[""],"isDel":[""]}', '221', NULL, 'nested exception is org.apache.ibatis.type.TypeException: Could not set parameters for mapping: ParameterMapping{property=''ew.paramNameValuePairs.MPGENVAL1'', mode=IN, javaType=class java.lang.Object, jdbcType=null, numericScale=null, resultMapId=''null'', jdbcTypeName=''null'', expression=''null''}. Cause: org.apache.ibatis.type.TypeException: Error setting null for parameter #1 with JdbcType OTHER . Try setting a different JdbcType for this parameter or a different jdbcTypeForNull configuration property. Cause: java.sql.SQLException: 无效的列类型: 1111', 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574654389351182338', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-27 14:57:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 14:57:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/list', 'GET', '{"level":[""],"fullName":[""],"updateUser":[""],"remark":[""],"updateTime":[""],"regionCode":[""],"createTime":[""],"regionId":[""],"name":[""],"tenantId":[""],"createUser":[""],"id":[""],"isDel":[""]}', '114', NULL, NULL, 'content:列表查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574654848904294401', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-27 14:59:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 14:59:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574658689926262786', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-27 15:14:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 15:14:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574661475321618434', '0', 'tofly-flow', 'yjf', TO_DATE('2022-09-27 15:25:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 15:25:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"level":[""],"fullName":[""],"updateUser":[""],"remark":[""],"updateTime":[""],"regionCode":[""],"createTime":[""],"regionId":[""],"name":[""],"tenantId":["1569602913205559298"],"createUser":[""],"id":[""],"isDel":[""]}', '618', NULL, 'nested exception is org.apache.ibatis.type.TypeException: Could not set parameters for mapping: ParameterMapping{property=''ew.paramNameValuePairs.MPGENVAL1'', mode=IN, javaType=class java.lang.Object, jdbcType=null, numericScale=null, resultMapId=''null'', jdbcTypeName=''null'', expression=''null''}. Cause: org.apache.ibatis.type.TypeException: Error setting null for parameter #1 with JdbcType OTHER . Try setting a different JdbcType for this parameter or a different jdbcTypeForNull configuration property. Cause: java.sql.SQLException: 无效的列类型: 1111', 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574661943347220482', '0', 'tofly-flow', 'yjf', TO_DATE('2022-09-27 15:27:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 15:27:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"level":[""],"fullName":[""],"updateUser":[""],"remark":[""],"updateTime":[""],"regionCode":[""],"createTime":[""],"regionId":[""],"name":[""],"tenantId":["1569602913205559298"],"createUser":[""],"id":[""],"isDel":[""]}', '580', NULL, 'nested exception is org.apache.ibatis.type.TypeException: Could not set parameters for mapping: ParameterMapping{property=''ew.paramNameValuePairs.MPGENVAL1'', mode=IN, javaType=class java.lang.Object, jdbcType=null, numericScale=null, resultMapId=''null'', jdbcTypeName=''null'', expression=''null''}. Cause: org.apache.ibatis.type.TypeException: Error setting null for parameter #1 with JdbcType OTHER . Try setting a different JdbcType for this parameter or a different jdbcTypeForNull configuration property. Cause: java.sql.SQLException: 无效的列类型: 1111', 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574661987190280193', '0', 'tofly-flow', 'yjf', TO_DATE('2022-09-27 15:27:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 15:27:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"level":[""],"fullName":[""],"updateUser":[""],"remark":[""],"updateTime":[""],"regionCode":[""],"createTime":[""],"regionId":[""],"name":[""],"tenantId":["1569602913205559298"],"createUser":[""],"id":[""],"isDel":[""]}', '147', NULL, 'nested exception is org.apache.ibatis.type.TypeException: Could not set parameters for mapping: ParameterMapping{property=''ew.paramNameValuePairs.MPGENVAL1'', mode=IN, javaType=class java.lang.Object, jdbcType=null, numericScale=null, resultMapId=''null'', jdbcTypeName=''null'', expression=''null''}. Cause: org.apache.ibatis.type.TypeException: Error setting null for parameter #1 with JdbcType OTHER . Try setting a different JdbcType for this parameter or a different jdbcTypeForNull configuration property. Cause: java.sql.SQLException: 无效的列类型: 1111', 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574662199136849921', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-27 15:28:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 15:28:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/ebe41bd7-4304-4ad7-863c-54adcef5d611', 'DELETE', '{}', '19', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574663012253011970', '2', 'tofly-auth', 'tnadmin', TO_DATE('2022-09-27 15:31:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 15:31:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/41a4e455-6643-4828-8882-762f3f9efbbe', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574663459386789889', '2', 'tofly-auth', 'mzadmin', TO_DATE('2022-09-27 15:33:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 15:33:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/be8226e1-bc8d-4ff7-8756-05bd23bf7370', 'DELETE', '{}', '1', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574664196296642562', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-27 15:36:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 15:36:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '32', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574665909699186690', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-27 15:43:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 15:43:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectdispatchw/page', 'GET', '{"current":["1"],"state":[""],"userType":["{}"],"projectLink":[""],"size":["30"]}', '124', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574668312821469186', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-27 15:52:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 15:52:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfreportentryp/page', 'GET', '{"name":[""],"current":["1"],"size":["30"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574668317032550402', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-27 15:52:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 15:52:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfreportentryp/page', 'GET', '{"name":[""],"current":["1"],"size":["30"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574668347818741762', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-27 15:52:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 15:52:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfreportentryp/page', 'GET', '{"name":[""],"current":["1"],"size":["30"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574668364814061570', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-27 15:52:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 15:52:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '20', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574668561594028033', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-27 15:53:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 15:53:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574698046678859778', '0', 'tofly-flow', 'yjf', TO_DATE('2022-09-27 17:50:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 17:50:45', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfregionp/tree', 'GET', '{"level":[""],"fullName":[""],"updateUser":[""],"remark":[""],"updateTime":[""],"regionCode":[""],"createTime":[""],"regionId":[""],"name":[""],"tenantId":["1569602913205559298"],"createUser":[""],"id":[""],"isDel":[""]}', '199', NULL, '### Error querying database.  Cause: java.sql.SQLSyntaxErrorException: ORA-01788: 此查询块中要求 CONNECT BY 子句

### The error may exist in com/tofly/workflow/baseconf/mapper/TfRegionPMapper.java (best guess)
### The error may involve defaultParameterMap
### The error occurred while setting parameters
### SQL: SELECT  *  FROM TF_REGION_P     WHERE (LEVEL = ? AND REGION_ID IS NULL)
### Cause: java.sql.SQLSyntaxErrorException: ORA-01788: 此查询块中要求 CONNECT BY 子句

; bad SQL grammar []; nested exception is java.sql.SQLSyntaxErrorException: ORA-01788: 此查询块中要求 CONNECT BY 子句', 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574698709739601922', '0', 'tofly-flow', 'yjf', TO_DATE('2022-09-27 17:53:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 17:53:23', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfregionp/tree', 'GET', '{"level":[""],"fullName":[""],"updateUser":[""],"remark":[""],"updateTime":[""],"regionCode":[""],"createTime":[""],"regionId":[""],"name":[""],"tenantId":["1569602913205559298"],"createUser":[""],"id":[""],"isDel":[""]}', '5577', NULL, 'null', 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574699176574025730', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-27 17:55:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 17:55:14', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfregionp/tree', 'GET', '{"level":[""],"fullName":[""],"updateUser":[""],"remark":[""],"updateTime":[""],"regionCode":[""],"createTime":[""],"regionId":[""],"name":[""],"tenantId":["1569602913205559298"],"createUser":[""],"id":[""],"isDel":[""]}', '28829', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574700073995546625', '0', 'tofly-flow', 'yjf', TO_DATE('2022-09-27 17:58:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 17:58:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"level":[""],"fullName":[""],"updateUser":[""],"remark":[""],"updateTime":[""],"regionCode":[""],"createTime":[""],"regionId":[""],"name":[""],"tenantId":["1569602913205559298"],"createUser":[""],"id":[""],"isDel":[""]}', '2698', NULL, 'null', 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574700093142544386', '0', 'tofly-flow', 'yjf', TO_DATE('2022-09-27 17:58:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 17:58:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"level":[""],"fullName":[""],"updateUser":[""],"remark":[""],"updateTime":[""],"regionCode":[""],"createTime":[""],"regionId":[""],"name":[""],"tenantId":["1569602913205559298"],"createUser":[""],"id":[""],"isDel":[""]}', '819', NULL, 'null', 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574702848334704642', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-27 18:09:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:09:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574702878923763713', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-27 18:09:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:09:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '118', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574704534260355074', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-27 18:16:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:16:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574702138742296578', 'GET', '{"id":["1574702138742296578"]}', '480', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574704566036402178', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-27 18:16:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:16:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '41', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574704584285818882', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-27 18:16:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:16:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl', 'POST', '{}', '79', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574704586441691137', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-27 18:16:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:16:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["35"],"id":["1572140204302041089"]}', '243', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574704587205054465', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-27 18:16:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:16:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574702138742296578', 'GET', '{"id":["1574702138742296578"]}', '29', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574704768663228418', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 18:17:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:17:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '13', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574704821385629697', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 18:17:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:17:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["37"],"id":["1572140204302041089"]}', '177', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574704822354513921', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 18:17:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:17:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574704733733068801', 'GET', '{"id":["1574704733733068801"]}', '35', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574704917540048898', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-27 18:18:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:18:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574702138742296578', 'GET', '{"id":["1574702138742296578"]}', '29', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574704922803900417', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 18:18:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:18:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["37"],"id":["1572140204302041089"]}', '148', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574704923617595393', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 18:18:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:18:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574704733733068801', 'GET', '{"id":["1574704733733068801"]}', '25', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574704948510789633', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-27 18:18:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:18:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574702138742296578', 'GET', '{"id":["1574702138742296578"]}', '36', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574704968727334914', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-27 18:18:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:18:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '148', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574704969545224194', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-27 18:18:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:18:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574704969759133698', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-27 18:18:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:18:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '5', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574704972934221826', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-27 18:18:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:18:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '17', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574704990558687233', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-27 18:18:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:18:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574705010976559106', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-27 18:18:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:18:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '152', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574705076491587585', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-27 18:18:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:18:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["35"],"id":["1572140204302041089"]}', '135', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574705076999098369', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-27 18:18:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:18:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574702138742296578', 'GET', '{"id":["1574702138742296578"]}', '24', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574705181160443905', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-27 18:19:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:19:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574705227587194881', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 18:19:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:19:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574705252543303681', '2', 'tofly-auth', 'public', TO_DATE('2022-09-27 18:19:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:19:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/fc065aa4-301b-4109-ac92-c4dfce375065', 'DELETE', '{}', '6', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574705259304521730', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-27 18:19:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:19:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574667815498649601', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-27 15:50:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 15:50:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfreportentryp/page', 'GET', '{"name":[""],"current":["1"],"size":["30"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574667841931153409', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-27 15:50:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 15:50:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfreportentryp', 'POST', '{}', '6', NULL, NULL, 'content:新增开工报告条目', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574667842237337602', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-27 15:50:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 15:50:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfreportentryp/page', 'GET', '{"name":[""],"current":["1"],"size":["30"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574667891201642497', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-27 15:50:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 15:50:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfreportentryp', 'POST', '{}', '3', NULL, NULL, 'content:新增开工报告条目', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574667891558158337', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-27 15:50:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 15:50:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfreportentryp/page', 'GET', '{"name":[""],"current":["1"],"size":["30"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574667968079040514', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-27 15:51:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 15:51:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '25', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574667968376836097', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-27 15:51:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 15:51:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '22', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574667970222329858', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-27 15:51:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 15:51:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfreportentryp', 'PUT', '{}', '10', NULL, NULL, 'content:修改开工报告条目', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574667970473988097', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-27 15:51:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 15:51:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfreportentryp/page', 'GET', '{"name":[""],"current":["1"],"size":["30"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574667986609475586', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-27 15:51:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 15:51:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfreportentryp/1574667891113562113', 'DELETE', '{"0":["1574667891113562113"]}', '16', NULL, NULL, 'content:通过id删除开工报告条目', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574667986894688257', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-27 15:51:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 15:51:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfreportentryp/page', 'GET', '{"name":[""],"current":["1"],"size":["30"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574667989415464962', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-27 15:51:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 15:51:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1574293601415409665', 'GET', '{"id":["1574293601415409665"]}', '43', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574667989969113089', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-27 15:51:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 15:51:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '4', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574667990187216898', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-27 15:51:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 15:51:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '4', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574667992632496130', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-27 15:51:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 15:51:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '12', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574668013801148417', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-27 15:51:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 15:51:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfreportentryp', 'POST', '{}', '6', NULL, NULL, 'content:新增开工报告条目', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574668014145081346', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-27 15:51:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 15:51:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfreportentryp/page', 'GET', '{"name":[""],"current":["1"],"size":["30"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574668043127721985', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-27 15:51:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 15:51:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1574293601415409665', 'GET', '{"id":["1574293601415409665"]}', '45', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574668043752673282', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-27 15:51:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 15:51:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574668043962388481', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-27 15:51:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 15:51:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '4', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574668046608994306', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-27 15:51:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 15:51:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '8', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574669129595064321', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-27 15:55:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 15:55:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574314012068810754', 'GET', '{"id":["1574314012068810754"]}', '74', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574671566976421890', '2', 'tofly-auth', 'mzadmin', TO_DATE('2022-09-27 16:05:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 16:05:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/955a9fef-4cb1-4c25-a84a-4218f7e8f616', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574671814176116737', '0', 'tofly-flow', 'yck', TO_DATE('2022-09-27 16:06:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 16:06:31', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1"]}', '74', NULL, 'nested exception is org.apache.ibatis.type.TypeException: Could not set parameters for mapping: ParameterMapping{property=''ew.paramNameValuePairs.MPGENVAL1'', mode=IN, javaType=class java.lang.Object, jdbcType=null, numericScale=null, resultMapId=''null'', jdbcTypeName=''null'', expression=''null''}. Cause: org.apache.ibatis.type.TypeException: Error setting null for parameter #1 with JdbcType OTHER . Try setting a different JdbcType for this parameter or a different jdbcTypeForNull configuration property. Cause: java.sql.SQLException: 无效的列类型: 1111', 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574672623320272897', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-27 16:09:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 16:09:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574672627309056001', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-27 16:09:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 16:09:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '7', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574672726932164610', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-27 16:10:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 16:10:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574672734167339009', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-27 16:10:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 16:10:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '7', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574672797912371201', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-27 16:10:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 16:10:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574672826555273217', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-27 16:10:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 16:10:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574672835036155905', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-27 16:10:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 16:10:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574672958248030209', '0', 'tofly-flow', 'yjf', TO_DATE('2022-09-27 16:11:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 16:11:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"level":[""],"fullName":[""],"updateUser":[""],"remark":[""],"updateTime":[""],"regionCode":[""],"createTime":[""],"regionId":[""],"name":[""],"tenantId":["1569602913205559298"],"createUser":[""],"id":[""],"isDel":[""]}', '103', NULL, 'nested exception is org.apache.ibatis.type.TypeException: Could not set parameters for mapping: ParameterMapping{property=''ew.paramNameValuePairs.MPGENVAL1'', mode=IN, javaType=class java.lang.Object, jdbcType=null, numericScale=null, resultMapId=''null'', jdbcTypeName=''null'', expression=''null''}. Cause: org.apache.ibatis.type.TypeException: Error setting null for parameter #1 with JdbcType OTHER . Try setting a different JdbcType for this parameter or a different jdbcTypeForNull configuration property. Cause: java.sql.SQLException: 无效的列类型: 1111', 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574672964665315330', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-27 16:11:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 16:11:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574673687222259714', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-27 16:13:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 16:13:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574673694650372098', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-27 16:13:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 16:13:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '125', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574603875389349890', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-27 11:36:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:36:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/page', 'GET', '{"tenantId":["1"],"current":["1"],"size":["10000"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574699922421788673', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-27 17:58:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 17:58:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '391', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574699931691200514', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-27 17:58:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 17:58:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '206', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574699965488902146', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-27 17:58:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 17:58:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/1574243157838213121', 'GET', '{"0":["1574243157838213121"]}', '24', NULL, NULL, 'content:通过id查询施工组织单位', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574700053900636162', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-27 17:58:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 17:58:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '7', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574701707026927617', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-27 18:05:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:05:18', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfregionp/tree', 'GET', '{"level":[""],"fullName":[""],"updateUser":[""],"remark":[""],"updateTime":[""],"regionCode":[""],"createTime":[""],"regionId":[""],"name":[""],"tenantId":["1569602913205559298"],"createUser":[""],"id":[""],"isDel":[""]}', '29624', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574702583212838913', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-27 18:08:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:08:47', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfregionp/tree', 'GET', '{"level":[""],"fullName":[""],"updateUser":[""],"remark":[""],"updateTime":[""],"regionCode":[""],"createTime":[""],"regionId":[""],"name":[""],"tenantId":["1569602913205559298"],"createUser":[""],"id":[""],"isDel":[""]}', '158762', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574702999094857729', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-27 18:10:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:10:26', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfregionp/tree', 'GET', '{"level":[""],"fullName":[""],"updateUser":[""],"remark":[""],"updateTime":[""],"regionCode":[""],"createTime":[""],"regionId":[""],"name":[""],"tenantId":["1569602913205559298"],"createUser":[""],"id":[""],"isDel":[""]}', '321', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574703702374780930', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-27 18:13:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:13:13', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfregionp/tree', 'GET', '{"level":[""],"fullName":[""],"updateUser":[""],"remark":[""],"updateTime":[""],"regionCode":[""],"createTime":[""],"regionId":[""],"name":[""],"tenantId":["1569602913205559298"],"createUser":[""],"id":[""],"isDel":[""]}', '24', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574704984971972610', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-27 18:18:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:18:19', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfregionp/tree', 'GET', '{"level":[""],"fullName":[""],"updateUser":[""],"remark":[""],"updateTime":[""],"regionCode":[""],"createTime":[""],"regionId":[""],"name":[""],"tenantId":["1569602913205559298"],"createUser":[""],"id":[""],"isDel":[""]}', '254', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574705199267352577', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-27 18:19:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:19:10', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfregionp/tree', 'GET', '{"level":[""],"fullName":[""],"updateUser":[""],"remark":[""],"updateTime":[""],"regionCode":[""],"createTime":[""],"regionId":[""],"name":[""],"tenantId":[""],"createUser":[""],"id":[""],"isDel":[""]}', '3140', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574707030022270977', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 18:26:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:26:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["37"],"id":["1572140204302041089"]}', '215', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574707030622056449', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 18:26:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:26:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574704733733068801', 'GET', '{"id":["1574704733733068801"]}', '29', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574707498396004354', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-27 18:28:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:28:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574707511146688514', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-27 18:28:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:28:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574707521842163714', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-27 18:28:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:28:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568483117915193345"],"isMould":["0"]}', '7', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574707533892399105', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-27 18:28:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:28:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574707540871720962', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-27 18:28:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:28:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574707591983509505', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-27 18:28:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:28:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '8', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574707608542621697', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 18:28:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:28:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574707830828150785', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 18:29:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:29:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '8', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574707836842782721', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 18:29:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:29:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["37"],"id":["1572140204302041089"]}', '135', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574707837283184642', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 18:29:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:29:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574704733733068801', 'GET', '{"id":["1574704733733068801"]}', '30', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574708277274062849', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 18:31:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:31:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574708282676326402', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 18:31:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:31:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568483117915193345"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574708295716417537', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 18:31:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:31:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574708311189204994', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 18:31:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:31:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["37"],"id":["1572140204302041089"]}', '135', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574708311956762626', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 18:31:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:31:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574708312061620225', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 18:31:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:31:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '23', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574708335654580226', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 18:31:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:31:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["37"],"id":["1572140204302041089"]}', '141', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574708336304697346', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 18:31:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:31:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574668578144751618', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-27 15:53:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 15:53:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574668583085641729', '2', 'tofly-auth', 'yj', TO_DATE('2022-09-27 15:53:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 15:53:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/a2153fdc-e0d5-451e-a5f4-2b19f4987ecf', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574668615612469249', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-27 15:53:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 15:53:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '22', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574668640853790721', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-27 15:53:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 15:53:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '36', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574668778464710658', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-27 15:54:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 15:54:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '26', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574668786186424321', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-27 15:54:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 15:54:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574668797028700161', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-27 15:54:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 15:54:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/5aac9b6b-13e3-44ef-9135-e7aa95dbe0c6', 'DELETE', '{}', '3', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574670442953281538', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-27 16:01:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 16:01:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574670517540589569', '0', 'tofly-flow', 'yck', TO_DATE('2022-09-27 16:01:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 16:01:22', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1"]}', '71', NULL, 'nested exception is org.apache.ibatis.type.TypeException: Could not set parameters for mapping: ParameterMapping{property=''ew.paramNameValuePairs.MPGENVAL1'', mode=IN, javaType=class java.lang.Object, jdbcType=null, numericScale=null, resultMapId=''null'', jdbcTypeName=''null'', expression=''null''}. Cause: org.apache.ibatis.type.TypeException: Error setting null for parameter #1 with JdbcType OTHER . Try setting a different JdbcType for this parameter or a different jdbcTypeForNull configuration property. Cause: java.sql.SQLException: 无效的列类型: 1111', 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574671849072726018', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-27 16:06:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 16:06:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '11', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574672340674514945', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-27 16:08:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 16:08:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '10', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574672449751584770', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-27 16:09:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 16:09:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '127', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574672450456227841', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-27 16:09:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 16:09:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574314012068810754', 'GET', '{"id":["1574314012068810754"]}', '29', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574673365112295426', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-27 16:12:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 16:12:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574673376474664962', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-27 16:12:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 16:12:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectdispatchw/page', 'GET', '{"current":["1"],"state":[""],"userType":["{}"],"projectLink":[""],"size":["30"]}', '2', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574673388986273793', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-27 16:12:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 16:12:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '132', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574673390101958657', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-27 16:12:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 16:12:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574314012068810754', 'GET', '{"id":["1574314012068810754"]}', '27', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574673992563396609', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-27 16:15:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 16:15:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectdispatchw/page', 'GET', '{"current":["1"],"state":[""],"userType":["{}"],"projectLink":[""],"size":["30"]}', '2', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574674171152666625', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-27 16:15:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 16:15:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectdispatchw/page', 'GET', '{"current":["1"],"state":[""],"userType":["{}"],"projectLink":[""],"size":["30"]}', '2', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574674303663312897', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-27 16:16:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 16:16:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574674355077091329', '0', 'tofly-flow', 'yck', TO_DATE('2022-09-27 16:16:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 16:16:36', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1"]}', '67', NULL, 'nested exception is org.apache.ibatis.type.TypeException: Could not set parameters for mapping: ParameterMapping{property=''ew.paramNameValuePairs.MPGENVAL1'', mode=IN, javaType=class java.lang.Object, jdbcType=null, numericScale=null, resultMapId=''null'', jdbcTypeName=''null'', expression=''null''}. Cause: org.apache.ibatis.type.TypeException: Error setting null for parameter #1 with JdbcType OTHER . Try setting a different JdbcType for this parameter or a different jdbcTypeForNull configuration property. Cause: java.sql.SQLException: 无效的列类型: 1111', 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574674391609479169', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-27 16:16:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 16:16:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '115', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574674392544808961', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-27 16:16:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 16:16:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574314012068810754', 'GET', '{"id":["1574314012068810754"]}', '24', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574674409238138882', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-27 16:16:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 16:16:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574674433112117249', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-27 16:16:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 16:16:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '111', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574674961007218690', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-09-27 16:19:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 16:19:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574675662575865857', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-27 16:21:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 16:21:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574675801327636482', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-27 16:22:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 16:22:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '130', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574675801927421954', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-27 16:22:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 16:22:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574314012068810754', 'GET', '{"id":["1574314012068810754"]}', '23', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574676147911364609', '0', 'tofly-flow', 'yjf', TO_DATE('2022-09-27 16:23:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 16:23:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"level":[""],"fullName":[""],"updateUser":[""],"remark":[""],"updateTime":[""],"regionCode":[""],"createTime":[""],"regionId":[""],"name":[""],"tenantId":["1569602913205559298"],"createUser":[""],"id":[""],"isDel":[""]}', '103', NULL, 'nested exception is org.apache.ibatis.type.TypeException: Could not set parameters for mapping: ParameterMapping{property=''ew.paramNameValuePairs.MPGENVAL1'', mode=IN, javaType=class java.lang.Object, jdbcType=null, numericScale=null, resultMapId=''null'', jdbcTypeName=''null'', expression=''null''}. Cause: org.apache.ibatis.type.TypeException: Error setting null for parameter #1 with JdbcType OTHER . Try setting a different JdbcType for this parameter or a different jdbcTypeForNull configuration property. Cause: java.sql.SQLException: 无效的列类型: 1111', 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574705291898458114', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 18:19:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:19:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574705317831839745', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 18:19:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:19:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574705369958649858', '2', 'tofly-auth', 'public', TO_DATE('2022-09-27 18:19:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:19:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/7581e1b9-5703-493b-8fce-e043fd540779', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574705377575505922', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-27 18:19:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:19:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574705451038740482', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-27 18:20:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:20:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["35"],"id":["1572140204302041089"]}', '142', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574705451604971522', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-27 18:20:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:20:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574702138742296578', 'GET', '{"id":["1574702138742296578"]}', '22', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574706676249505793', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-27 18:25:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:25:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/8c03da5b-d0f0-4cfc-a2d6-d17a425c5c2f', 'DELETE', '{}', '7', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574706927882579970', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 18:26:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:26:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568483117915193345"],"isMould":["0"]}', '269', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574707263699529729', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-27 18:27:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:27:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574702138742296578', 'GET', '{"id":["1574702138742296578"]}', '30', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574707889095421953', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 18:29:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:29:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '7', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574707963590455297', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-27 18:30:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:30:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574707978270519297', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-27 18:30:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:30:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568483117915193345"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574708016073781249', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-27 18:30:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:30:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568483117915193345"],"isMould":["0"]}', '8', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574710791906111489', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-27 18:41:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:41:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574710809627045890', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-27 18:41:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:41:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574710818237952001', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-27 18:41:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:41:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568483117915193345"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574710849955278850', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-27 18:41:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:41:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568483117915193345"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574710857752489986', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-27 18:41:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:41:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574710901943676930', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-27 18:41:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:41:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574710937188413442', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-27 18:41:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:41:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574710947774836737', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-27 18:42:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:42:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568483117915193345"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574710955823706114', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-27 18:42:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:42:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574710963415396354', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-27 18:42:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:42:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574711387971235841', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-27 18:43:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:43:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"isMould":["0"],"label":["1568482594885484546"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574713679554392065', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 18:52:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:52:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574747968450965505', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 21:09:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 21:09:07', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '131', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574748182733762561', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 21:09:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 21:09:58', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '121', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574748250207531010', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 21:10:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 21:10:14', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1572832711356719105"],"isMould":["0"]}', '2', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574748250534686722', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 21:10:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 21:10:14', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '147', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574748279546687489', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 21:10:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 21:10:21', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '133', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574748316540448770', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 21:10:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 21:10:30', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1572832711356719105"],"isMould":["0"]}', '1', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574748384886632449', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 21:10:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 21:10:47', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '127', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574748448837185537', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 21:11:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 21:11:02', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1572832711356719105"],"isMould":["0"]}', '1', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574673695363403778', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-27 16:13:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 16:13:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574314012068810754', 'GET', '{"id":["1574314012068810754"]}', '23', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574673815899312129', '0', 'tofly-flow', 'yjf', TO_DATE('2022-09-27 16:14:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 16:14:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"level":[""],"fullName":[""],"updateUser":[""],"remark":[""],"updateTime":[""],"regionCode":[""],"createTime":[""],"regionId":[""],"name":[""],"tenantId":["1569602913205559298"],"createUser":[""],"id":[""],"isDel":[""]}', '108', NULL, 'nested exception is org.apache.ibatis.type.TypeException: Could not set parameters for mapping: ParameterMapping{property=''ew.paramNameValuePairs.MPGENVAL1'', mode=IN, javaType=class java.lang.Object, jdbcType=null, numericScale=null, resultMapId=''null'', jdbcTypeName=''null'', expression=''null''}. Cause: org.apache.ibatis.type.TypeException: Error setting null for parameter #1 with JdbcType OTHER . Try setting a different JdbcType for this parameter or a different jdbcTypeForNull configuration property. Cause: java.sql.SQLException: 无效的列类型: 1111', 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574673949781495810', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-27 16:15:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 16:15:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '117', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574673950230286338', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-27 16:15:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 16:15:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574314012068810754', 'GET', '{"id":["1574314012068810754"]}', '24', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574674038113538049', '0', 'tofly-flow', 'yjf', TO_DATE('2022-09-27 16:15:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 16:15:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"level":[""],"fullName":[""],"updateUser":[""],"remark":[""],"updateTime":[""],"regionCode":[""],"createTime":[""],"regionId":[""],"name":[""],"tenantId":["1569602913205559298"],"createUser":[""],"id":[""],"isDel":[""]}', '111', NULL, 'nested exception is org.apache.ibatis.type.TypeException: Could not set parameters for mapping: ParameterMapping{property=''ew.paramNameValuePairs.MPGENVAL1'', mode=IN, javaType=class java.lang.Object, jdbcType=null, numericScale=null, resultMapId=''null'', jdbcTypeName=''null'', expression=''null''}. Cause: org.apache.ibatis.type.TypeException: Error setting null for parameter #1 with JdbcType OTHER . Try setting a different JdbcType for this parameter or a different jdbcTypeForNull configuration property. Cause: java.sql.SQLException: 无效的列类型: 1111', 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574674726470127618', '0', 'tofly-flow', 'yjf', TO_DATE('2022-09-27 16:18:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 16:18:05', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.125', NULL, '/tfregionp/tree', 'GET', '{"level":[""],"fullName":[""],"updateUser":[""],"remark":[""],"updateTime":[""],"regionCode":[""],"createTime":[""],"regionId":[""],"name":[""],"tenantId":[""],"createUser":[""],"id":[""],"isDel":[""]}', '197', NULL, 'nested exception is org.apache.ibatis.type.TypeException: Could not set parameters for mapping: ParameterMapping{property=''ew.paramNameValuePairs.MPGENVAL1'', mode=IN, javaType=class java.lang.Object, jdbcType=null, numericScale=null, resultMapId=''null'', jdbcTypeName=''null'', expression=''null''}. Cause: org.apache.ibatis.type.TypeException: Error setting null for parameter #1 with JdbcType OTHER . Try setting a different JdbcType for this parameter or a different jdbcTypeForNull configuration property. Cause: java.sql.SQLException: 无效的列类型: 1111', 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574675080922370049', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-27 16:19:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 16:19:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectdispatchw/page', 'GET', '{"current":["1"],"state":[""],"userType":["{}"],"projectLink":[""],"size":["30"]}', '2', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574675827286335489', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-27 16:22:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 16:22:27', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfregionp/tree', 'GET', '{"level":[""],"fullName":[""],"updateUser":[""],"remark":[""],"updateTime":[""],"regionCode":[""],"createTime":[""],"regionId":[""],"name":[""],"tenantId":["1569602913205559298"],"createUser":[""],"id":[""],"isDel":[""]}', '453', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574675923994402818', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-27 16:22:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 16:22:51', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfregionp/tree', 'GET', '{"level":[""],"fullName":[""],"updateUser":[""],"remark":[""],"updateTime":[""],"regionCode":[""],"createTime":[""],"regionId":[""],"name":[""],"tenantId":["1569602913205559298"],"createUser":[""],"id":[""],"isDel":[""]}', '256', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574686577346080769', '2', 'tofly-auth', 'mztest1', TO_DATE('2022-09-27 17:05:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 17:05:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/f93c3771-880e-448d-9f5c-48105a5432c1', 'DELETE', '{}', '45', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574686852978962434', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-27 17:06:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 17:06:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectdispatchw/page', 'GET', '{"current":["1"],"state":[""],"userType":["{}"],"projectLink":[""],"size":["30"]}', '378', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574689034625216513', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-27 17:14:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 17:14:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '4', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574689037645115393', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-27 17:14:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 17:14:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '8', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574689044976758786', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-27 17:14:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 17:14:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574689285658505218', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-27 17:15:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 17:15:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1574689258189930498', 'GET', '{"id":["1574689258189930498"]}', '31', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574689286212153346', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-27 17:15:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 17:15:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574689286476394497', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-27 17:15:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 17:15:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574689289555013633', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-27 17:15:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 17:15:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574689497781235714', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-27 17:16:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 17:16:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1574293601415409665', 'GET', '{"id":["1574293601415409665"]}', '33', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574689498322300929', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-27 17:16:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 17:16:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574689498536210433', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-27 17:16:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 17:16:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574689501090541570', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-27 17:16:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 17:16:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '7', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574690425229930497', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-27 17:20:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 17:20:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574690450626441217', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-27 17:20:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 17:20:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '20', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574690450852933633', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-27 17:20:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 17:20:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574690463754612737', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-27 17:20:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 17:20:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1574293601415409665', 'GET', '{"id":["1574293601415409665"]}', '29', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574701588667772929', '0', 'tofly-flow', 'public', TO_DATE('2022-09-27 18:04:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:04:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl', 'POST', '{}', '616', NULL, 'parseLong error, field : region', 'content:新增流程信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574701752312737794', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 18:05:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:05:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '118', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574701760831369218', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-27 18:05:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:05:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '7', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574701769165451265', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-27 18:05:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:05:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '118', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574703087904960513', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-27 18:10:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:10:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '7', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574708543868219394', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 18:32:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:32:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574708629176168449', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 18:32:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:32:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574708655591895041', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 18:32:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:32:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568483117915193345"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574708689557368834', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-27 18:33:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:33:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["37"],"id":["1572140204302041089"]}', '133', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574708689930661890', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-27 18:33:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:33:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574704733733068801', 'GET', '{"id":["1574704733733068801"]}', '24', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574708698264743938', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-27 18:33:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:33:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574704733733068801', 'GET', '{"id":["1574704733733068801"]}', '26', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574709222217199618', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-27 18:35:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:35:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574709289414144002', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-27 18:35:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:35:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574709420846854146', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 18:35:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:35:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574709424084856834', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-27 18:35:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:35:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574709516825112577', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 18:36:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:36:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574704733733068801', 'GET', '{}', '32', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574709517647196161', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 18:36:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:36:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["37"],"id":["1572140204302041089"]}', '140', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574709518620274689', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 18:36:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:36:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574709518670606337', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 18:36:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:36:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '23', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574709538765516802', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 18:36:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:36:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574704733733068801', 'GET', '{}', '22', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574709539256250370', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 18:36:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:36:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["37"],"id":["1572140204302041089"]}', '136', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574709539935727617', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 18:36:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:36:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574709539994447874', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 18:36:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:36:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '24', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574709614267183105', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-27 18:36:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:36:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"isMould":["0"],"label":["1568482594885484546"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574709995403587585', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 18:38:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:38:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["39"],"id":["1572140204302041089"]}', '138', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574709995781074946', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 18:38:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:38:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574709951149391874', 'GET', '{"id":["1574709951149391874"]}', '18', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574710259590213634', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-27 18:39:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:39:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '119', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574710260009644034', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-27 18:39:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:39:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574710260169027586', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-27 18:39:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:39:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574710263465750530', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-27 18:39:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:39:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574710715548807170', '1', 'tofly-flow', 'lzzm', TO_DATE('2022-09-27 18:41:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:41:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574736437097115650', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 20:23:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 20:23:18', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574736441060732930', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 20:23:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 20:23:19', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574736565778362369', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 20:23:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 20:23:49', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574737003835666433', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 20:25:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 20:25:33', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '2', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574737037411069954', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 20:25:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 20:25:41', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574737169653280770', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 20:26:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 20:26:13', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574739297708912641', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 20:34:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 20:34:40', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574676317046673409', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-27 16:24:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 16:24:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectdispatchw/page', 'GET', '{"current":["1"],"state":[""],"userType":["{}"],"projectLink":[""],"size":["30"]}', '2', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574676341977616386', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-27 16:24:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 16:24:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectdispatchw/page', 'GET', '{"current":["1"],"state":[""],"userType":["{}"],"projectLink":[""],"size":["30"]}', '2', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574676434524934145', '0', 'tofly-flow', 'yjf', TO_DATE('2022-09-27 16:24:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 16:24:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"level":[""],"fullName":[""],"updateUser":[""],"remark":[""],"updateTime":[""],"regionCode":[""],"createTime":[""],"regionId":[""],"name":[""],"tenantId":["1569602913205559298"],"createUser":[""],"id":[""],"isDel":[""]}', '432', NULL, 'nested exception is org.apache.ibatis.type.TypeException: Could not set parameters for mapping: ParameterMapping{property=''ew.paramNameValuePairs.MPGENVAL1'', mode=IN, javaType=class java.lang.Object, jdbcType=null, numericScale=null, resultMapId=''null'', jdbcTypeName=''null'', expression=''null''}. Cause: org.apache.ibatis.type.TypeException: Error setting null for parameter #1 with JdbcType OTHER . Try setting a different JdbcType for this parameter or a different jdbcTypeForNull configuration property. Cause: java.sql.SQLException: 无效的列类型: 1111', 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574676479198466050', '0', 'tofly-flow', 'yjf', TO_DATE('2022-09-27 16:25:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 16:25:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"level":[""],"fullName":[""],"updateUser":[""],"remark":[""],"updateTime":[""],"regionCode":[""],"createTime":[""],"regionId":[""],"name":[""],"tenantId":["1569602913205559298"],"createUser":[""],"id":[""],"isDel":[""]}', '105', NULL, 'nested exception is org.apache.ibatis.type.TypeException: Could not set parameters for mapping: ParameterMapping{property=''ew.paramNameValuePairs.MPGENVAL1'', mode=IN, javaType=class java.lang.Object, jdbcType=null, numericScale=null, resultMapId=''null'', jdbcTypeName=''null'', expression=''null''}. Cause: org.apache.ibatis.type.TypeException: Error setting null for parameter #1 with JdbcType OTHER . Try setting a different JdbcType for this parameter or a different jdbcTypeForNull configuration property. Cause: java.sql.SQLException: 无效的列类型: 1111', 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574676509489729537', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-27 16:25:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 16:25:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '1220', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574676510131458050', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-27 16:25:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 16:25:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574314012068810754', 'GET', '{"id":["1574314012068810754"]}', '23', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574676598723547138', '0', 'tofly-flow', 'yjf', TO_DATE('2022-09-27 16:25:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 16:25:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"level":[""],"fullName":[""],"updateUser":[""],"remark":[""],"updateTime":[""],"regionCode":[""],"createTime":[""],"regionId":[""],"name":[""],"tenantId":["1569602913205559298"],"createUser":[""],"id":[""],"isDel":[""]}', '262', NULL, 'nested exception is org.apache.ibatis.type.TypeException: Could not set parameters for mapping: ParameterMapping{property=''ew.paramNameValuePairs.MPGENVAL1'', mode=IN, javaType=class java.lang.Object, jdbcType=null, numericScale=null, resultMapId=''null'', jdbcTypeName=''null'', expression=''null''}. Cause: org.apache.ibatis.type.TypeException: Error setting null for parameter #1 with JdbcType OTHER . Try setting a different JdbcType for this parameter or a different jdbcTypeForNull configuration property. Cause: java.sql.SQLException: 无效的列类型: 1111', 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574676988089176065', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-27 16:27:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 16:27:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '15', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574677024319574017', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-27 16:27:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 16:27:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectdispatchw/page', 'GET', '{"current":["1"],"state":[""],"userType":["{}"],"projectLink":[""],"size":["30"]}', '2', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574677046914289666', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-27 16:27:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 16:27:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectdispatchw/page', 'GET', '{"current":["1"],"state":[""],"userType":["{}"],"projectLink":[""],"size":["30"]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574677099426975745', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-27 16:27:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 16:27:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectdispatchw/page', 'GET', '{"current":["1"],"state":[""],"userType":["{}"],"projectLink":[""],"size":["30"]}', '2', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574677132608114690', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-27 16:27:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 16:27:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectdispatchw/page', 'GET', '{"current":["1"],"state":[""],"userType":["{}"],"projectLink":[""],"size":["30"]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574677193790427137', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-27 16:27:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 16:27:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectdispatchw/page', 'GET', '{"current":["1"],"state":[""],"userType":["{}"],"projectLink":[""],"size":["30"]}', '2', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574677228565401601', '2', 'tofly-auth', 'tnadmin', TO_DATE('2022-09-27 16:28:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 16:28:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/5f7d96db-ffd6-4b74-8786-ebab7e8b466f', 'DELETE', '{}', '1', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574677434501533698', '0', 'tofly-flow', 'yjf', TO_DATE('2022-09-27 16:28:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 16:28:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"level":[""],"fullName":[""],"updateUser":[""],"remark":[""],"updateTime":[""],"regionCode":[""],"createTime":[""],"regionId":[""],"name":[""],"tenantId":["1569602913205559298"],"createUser":[""],"id":[""],"isDel":[""]}', '102', NULL, 'nested exception is org.apache.ibatis.type.TypeException: Could not set parameters for mapping: ParameterMapping{property=''ew.paramNameValuePairs.MPGENVAL1'', mode=IN, javaType=class java.lang.Object, jdbcType=null, numericScale=null, resultMapId=''null'', jdbcTypeName=''null'', expression=''null''}. Cause: org.apache.ibatis.type.TypeException: Error setting null for parameter #1 with JdbcType OTHER . Try setting a different JdbcType for this parameter or a different jdbcTypeForNull configuration property. Cause: java.sql.SQLException: 无效的列类型: 1111', 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574677449164820481', '0', 'tofly-flow', 'yjf', TO_DATE('2022-09-27 16:28:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 16:28:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"level":[""],"fullName":[""],"updateUser":[""],"remark":[""],"updateTime":[""],"regionCode":[""],"createTime":[""],"regionId":[""],"name":[""],"tenantId":["1569602913205559298"],"createUser":[""],"id":[""],"isDel":[""]}', '31', NULL, 'For input string: "510600000000 "', 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574677760940019714', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-27 16:30:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 16:30:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectdispatchw/page', 'GET', '{"current":["1"],"state":[""],"userType":["{}"],"projectLink":[""],"size":["30"]}', '2', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574677767957090305', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-27 16:30:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 16:30:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectdispatchw/page', 'GET', '{"current":["1"],"state":[""],"userType":["{}"],"projectLink":[""],"size":["30"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574677768816922626', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-27 16:30:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 16:30:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectdispatchw/page', 'GET', '{"current":["1"],"state":[""],"userType":["{}"],"projectLink":[""],"size":["30"]}', '2', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574677769823555586', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-27 16:30:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 16:30:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectdispatchw/page', 'GET', '{"current":["1"],"state":[""],"userType":["{}"],"projectLink":[""],"size":["30"]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574585385710362626', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:23:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:23:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '31', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574700737454747650', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-27 18:01:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:01:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"level":[""],"fullName":[""],"updateUser":[""],"remark":[""],"updateTime":[""],"regionCode":[""],"createTime":[""],"regionId":[""],"name":[""],"tenantId":["1569602913205559298"],"createUser":[""],"id":[""],"isDel":[""]}', '4159', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574700763534929921', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-27 18:01:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:01:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '151', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574700763824336898', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-27 18:01:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:01:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574700768236744705', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-27 18:01:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:01:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"level":[""],"fullName":[""],"updateUser":[""],"remark":[""],"updateTime":[""],"regionCode":[""],"createTime":[""],"regionId":[""],"name":[""],"tenantId":["1569602913205559298"],"createUser":[""],"id":[""],"isDel":[""]}', '3428', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574700782312828930', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-27 18:01:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:01:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '123', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574700782992306178', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-27 18:01:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:01:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '4', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574700783243964418', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-27 18:01:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:01:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574700786557464578', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-27 18:01:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:01:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '22', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574700861069275137', '2', 'tofly-auth', 'mzadmin', TO_DATE('2022-09-27 18:01:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:01:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/08e8a66d-5efc-4b2a-af31-68986e7e6996', 'DELETE', '{}', '10', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574700991579238402', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 18:02:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:02:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574700998948630529', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 18:02:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:02:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '124', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574702139958702082', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-27 18:07:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:07:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl', 'POST', '{}', '355', NULL, NULL, 'content:新增流程信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574702242320691201', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-27 18:07:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:07:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '137', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574702263774556162', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-27 18:07:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:07:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '124', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574702653052104705', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-27 18:09:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:09:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl', 'POST', '{}', '204', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574702654159400962', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-27 18:09:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:09:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '17', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574702662489288705', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-27 18:09:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:09:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '129', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574702663818883073', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-27 18:09:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:09:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574702664020209665', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-27 18:09:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:09:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574702666725535746', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-27 18:09:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:09:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574708336359223298', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 18:31:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:31:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '34', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574708368856690689', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 18:31:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:31:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["37"],"id":["1572140204302041089"]}', '134', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574708370236616706', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 18:31:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:31:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '21', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574708370236616707', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 18:31:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:31:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574708384614690817', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 18:31:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:31:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574708419616157698', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-27 18:31:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:31:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["37"],"id":["1572140204302041089"]}', '139', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574708420106891266', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-27 18:31:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:31:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574704733733068801', 'GET', '{"id":["1574704733733068801"]}', '31', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574708492374749185', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 18:32:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:32:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '21', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574708492638990337', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 18:32:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:32:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '18', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574708502986338306', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 18:32:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:32:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1574689258189930498', 'GET', '{"id":["1574689258189930498"]}', '18', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574708503426740226', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 18:32:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:32:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574708503619678210', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 18:32:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:32:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574708506387918850', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 18:32:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:32:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '11', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574709186972463106', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-27 18:35:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:35:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl', 'POST', '{}', '225', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574709196522893313', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-27 18:35:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:35:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '125', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574709433014530049', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-27 18:36:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:36:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574709594444902402', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-27 18:36:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:36:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"isMould":["0"],"label":["1568482594885484546"]}', '9', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574583304479940609', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-27 10:14:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:14:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574583311077580801', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-27 10:14:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:14:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["10000"],"current":["1"]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574583311102746626', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-27 10:14:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:14:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '30', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574585273068134401', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:22:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:22:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["30"],"current":["1"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574585545072943105', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:23:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:23:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574690464174043137', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-27 17:20:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 17:20:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574690464366981121', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-27 17:20:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 17:20:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574690467017781250', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-27 17:20:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 17:20:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574690545103138818', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-27 17:20:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 17:20:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl', 'POST', '{}', '35', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574690545484820481', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-27 17:20:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 17:20:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574690558407471106', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-27 17:21:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 17:21:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1574293601415409665', 'GET', '{"id":["1574293601415409665"]}', '40', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574690558856261634', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-27 17:21:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 17:21:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574690559065976834', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-27 17:21:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 17:21:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574690561511256066', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-27 17:21:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 17:21:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574690792764207106', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-27 17:21:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 17:21:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574690793577902081', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-27 17:21:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 17:21:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574690833683836930', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-27 17:22:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 17:22:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/3130d1df-d8f2-42ca-9994-aa44a3881ff1', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574690838444371969', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-27 17:22:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 17:22:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574690845230755842', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-27 17:22:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 17:22:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '38', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574691903415906306', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-27 17:26:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 17:26:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/c133693c-ce19-43a6-bb20-97f6242f3974', 'DELETE', '{}', '1', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574691917072560129', '2', 'tofly-auth', 'mzadmin', TO_DATE('2022-09-27 17:26:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 17:26:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/dc0f648f-cfbb-4a43-9658-a420ad835bc6', 'DELETE', '{}', '1', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574692046492004353', '1', 'tofly-flow', 'jtrq', TO_DATE('2022-09-27 17:26:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 17:26:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574692849210486785', '1', 'tofly-flow', 'mzscb2', TO_DATE('2022-09-27 17:30:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 17:30:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '15', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574692906991218690', '2', 'tofly-auth', 'mzscb2', TO_DATE('2022-09-27 17:30:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 17:30:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/7eb976d0-bd0d-4a2b-a5fb-d5bfce5afc30', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574693162025873409', '2', 'tofly-auth', 'jtrq', TO_DATE('2022-09-27 17:31:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 17:31:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/5131c486-7e1c-4a46-9e40-d8eac2cf544c', 'DELETE', '{}', '4', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574696644392873985', '2', 'tofly-auth', 'hq', TO_DATE('2022-09-27 17:45:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 17:45:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/71d374eb-1b66-4dd7-8877-c9f0da8ade17', 'DELETE', '{}', '1', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574699210304483330', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-27 17:55:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 17:55:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1574689258189930498', 'GET', '{"id":["1574689258189930498"]}', '29', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574699210858131458', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-27 17:55:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 17:55:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '5', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574699211202064385', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-27 17:55:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 17:55:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574699213710258177', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-27 17:55:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 17:55:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '7', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574699412423798786', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-27 17:56:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 17:56:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '182', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574699451716038657', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-27 17:56:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 17:56:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574699481982136322', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-27 17:56:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 17:56:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '151', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574700617636065281', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-27 18:00:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:00:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"level":[""],"fullName":[""],"updateUser":[""],"remark":[""],"updateTime":[""],"regionCode":[""],"createTime":[""],"regionId":[""],"name":[""],"tenantId":["1569602913205559298"],"createUser":[""],"id":[""],"isDel":[""]}', '5306', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574702402928979969', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-27 18:08:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:08:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574702418397573121', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-27 18:08:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:08:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574702426043789314', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-27 18:08:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:08:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["35"],"id":["1572140204302041089"]}', '118', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574702426635186178', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-27 18:08:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:08:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574702138742296578', 'GET', '{"id":["1574702138742296578"]}', '45', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574702476564180994', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-27 18:08:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:08:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '18', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574593578935099394', '0', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:55:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:55:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/saveCalendarAll', 'POST', '{}', '54', NULL, '### Error updating database.  Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys003)

### The error may exist in com/tofly/workflow/baseconf/mapper/TfCalendarYearPMapper.java (best guess)
### The error may involve com.tofly.workflow.baseconf.mapper.TfCalendarYearPMapper.updateById-Inline
### The error occurred while setting parameters
### SQL: UPDATE TF_CALENDAR_YEAR_P  SET UPDATE_USER=?, UPDATE_TIME=?,  year_name=?, remark=?  WHERE id=?
### Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys003)

; ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys003)
; nested exception is java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys003)', 'content:新增日历年日期相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574593591840972802', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-27 10:55:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:55:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '138', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574593601928273921', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-27 10:55:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:55:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574314012068810754', 'GET', '{"id":["1574314012068810754"]}', '26', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574593627324784641', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:55:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:55:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/deleteByIds', 'DELETE', '{"ids":["1570585526334488577"]}', '9', NULL, NULL, 'content:通过id批量删除日历年', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574593627781963778', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:55:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:55:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574593720656437250', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:56:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:56:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/saveCalendarAll', 'POST', '{}', '10', NULL, NULL, 'content:新增日历年日期相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574593721054896129', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:56:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:56:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574593744660439041', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-27 10:56:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:56:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '119', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574593755213307905', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-27 10:56:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:56:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574314012068810754', 'GET', '{"id":["1574314012068810754"]}', '26', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574593811739942913', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-27 10:56:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:56:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '128', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574593821768523778', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-27 10:56:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:56:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1573918359266291713', 'GET', '{"id":["1573918359266291713"]}', '27', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574594534796009474', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:59:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:59:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/saveCalendarAll', 'POST', '{}', '5', NULL, NULL, 'content:新增日历年日期相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574594576822935553', '0', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:59:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:59:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/saveCalendarAll', 'POST', '{}', '22', NULL, '工作日应用日历列表为空，请重新输入', 'content:新增日历年日期相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574700528272224257', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-27 18:00:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:00:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '255', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574700571549052929', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-27 18:00:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:00:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574700602352021506', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-27 18:00:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:00:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '204', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574701833631903746', '2', 'tofly-auth', 'mzscb', TO_DATE('2022-09-27 18:05:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:05:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/74c10fb8-ff25-4b38-bf20-bd21f41a3252', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574702749428822018', '1', 'tofly-flow', 'll', TO_DATE('2022-09-27 18:09:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:09:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '13', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574702798904832001', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 18:09:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:09:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574702806270029826', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 18:09:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:09:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '120', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574703033689387009', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-27 18:10:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:10:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574703108771622914', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-27 18:10:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:10:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574703619570741250', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-27 18:12:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:12:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["35"],"id":["1572140204302041089"]}', '126', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574703620380241921', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-27 18:12:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:12:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574702138742296578', 'GET', '{"id":["1574702138742296578"]}', '22', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574755605922033666', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-27 21:39:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 21:39:28', 'SYYYY-MM-DD HH24:MI:SS'), '125.70.197.81', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574759020517502978', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-27 21:53:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 21:53:02', 'SYYYY-MM-DD HH24:MI:SS'), '125.70.197.81', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '112', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574759417055391745', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-27 21:54:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 21:54:37', 'SYYYY-MM-DD HH24:MI:SS'), '125.70.197.81', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574772028014702594', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 22:44:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 22:44:43', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574772034398433282', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 22:44:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 22:44:45', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574772037611270146', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 22:44:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 22:44:46', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1572832711356719105"],"isMould":["0"]}', '1', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574772037888094210', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 22:44:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 22:44:46', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '123', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574772861745868801', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 22:48:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 22:48:02', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '141', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574772861754257409', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 22:48:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 22:48:02', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1572832711356719105"],"isMould":["0"]}', '2', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574773097721606145', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 22:48:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 22:48:59', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574575417804304385', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 09:43:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 09:43:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["30"],"current":["1"]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574575608414449666', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 09:44:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 09:44:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"name":["乙方住所"],"current":["1"],"size":["30"]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574575663712153602', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 09:44:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 09:44:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"name":["工程性质"],"current":["1"],"size":["30"]}', '2', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574575720154902529', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 09:44:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 09:44:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"name":[""],"current":["1"],"size":["30"]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574575722549850113', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 09:44:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 09:44:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"name":[""],"current":["1"],"size":["30"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574575743064190978', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 09:44:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 09:44:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"name":["工程性质"],"current":["1"],"size":["30"]}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574575749733134338', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 09:44:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 09:44:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"name":[""],"current":["1"],"size":["30"]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574575759803658242', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 09:44:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 09:44:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"name":["工程内容"],"current":["1"],"size":["30"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574575767357599745', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 09:44:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 09:44:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"name":[""],"current":["1"],"size":["30"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574575768104185857', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 09:44:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 09:44:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"name":[""],"current":["1"],"size":["30"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574575852841709569', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 09:45:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 09:45:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp', 'PUT', '{}', '4', NULL, NULL, 'content:修改合同模板公用字段', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574575853231779842', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 09:45:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 09:45:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["30"],"current":["1"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574575948236959745', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 09:45:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 09:45:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"name":["合同类型"],"current":["1"],"size":["30"]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574575982705750018', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 09:45:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 09:45:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"name":["合同模板"],"current":["1"],"size":["30"]}', '2', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574575989722820610', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 09:45:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 09:45:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"name":[""],"current":["1"],"size":["30"]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574576061512527874', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 09:46:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 09:46:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"name":[""],"current":["1"],"size":["30"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574576062334611457', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 09:46:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 09:46:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"name":[""],"current":["1"],"size":["30"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574576681384521729', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 09:48:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 09:48:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["30"],"current":["1"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574577207643844610', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 09:50:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 09:50:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp', 'POST', '{}', '3', NULL, NULL, 'content:新增合同模板公用字段', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574577208059080706', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 09:50:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 09:50:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["30"],"current":["1"]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574577319950528514', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 09:51:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 09:51:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp', 'POST', '{}', '4', NULL, NULL, 'content:新增合同模板公用字段', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574577320420290562', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 09:51:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 09:51:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["30"],"current":["1"]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574577405560467457', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 09:51:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 09:51:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp', 'POST', '{}', '4', NULL, NULL, 'content:新增合同模板公用字段', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574577406193807361', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 09:51:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 09:51:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["30"],"current":["1"]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574581906774269954', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-27 10:09:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:09:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '186', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574581908225499138', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-27 10:09:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:09:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574314012068810754', 'GET', '{"id":["1574314012068810754"]}', '116', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574581975032373249', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:09:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:09:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574582747866439681', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:12:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:12:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["30"],"current":["1"]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574582767994904578', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:12:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:12:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"name":["合同总价"],"current":["1"],"size":["30"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574582810969743362', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:12:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:12:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp', 'PUT', '{}', '10', NULL, NULL, 'content:修改合同模板公用字段', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574582811586306050', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:12:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:12:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["30"],"current":["1"]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574582840552169474', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:12:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:12:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["30"],"current":["2"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574582851973259265', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:13:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:13:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["10000"],"current":["1"]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574582852061339650', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:13:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:13:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '32', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574582919849680898', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:13:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:13:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/updateContractTemplate', 'PUT', '{}', '18', NULL, NULL, 'content:修改合同模板', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574582920516575233', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:13:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:13:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '27', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574582993887535105', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:13:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:13:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/updateContractTemplate', 'PUT', '{}', '19', NULL, NULL, 'content:修改合同模板', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574582994344714242', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:13:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:13:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '28', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574583006982152194', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:13:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:13:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"name":[""],"tenantId":[""],"current":["1"],"size":["30"],"contractType":["1"]}', '22', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574583015257513985', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:13:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:13:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"name":[""],"tenantId":[""],"current":["1"],"size":["30"],"contractType":[""]}', '24', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574583029270683649', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:13:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:13:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"name":[""],"tenantId":[""],"current":["1"],"size":["30"],"contractType":["2"]}', '22', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574583196703105026', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:14:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:14:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"name":[""],"tenantId":["1569602913205559298"],"current":["1"],"size":["30"],"contractType":["2"]}', '18', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574583197248364545', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:14:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:14:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"name":[""],"tenantId":["1569602913205559298"],"current":["1"],"size":["30"],"contractType":["2"]}', '17', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574583212461105154', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:14:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:14:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"name":[""],"tenantId":[""],"current":["1"],"size":["30"],"contractType":["2"]}', '17', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574710727305441282', '1', 'tofly-flow', 'lzzm', TO_DATE('2022-09-27 18:41:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:41:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574710736499355649', '1', 'tofly-flow', 'lzzm', TO_DATE('2022-09-27 18:41:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:41:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568483117915193345"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574710971594289153', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-27 18:42:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:42:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574711005551374338', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-27 18:42:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:42:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568483117915193345"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574711013902233601', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-27 18:42:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:42:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574711198753599490', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-27 18:43:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:43:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574711312872222721', '2', 'tofly-auth', 'lzzm', TO_DATE('2022-09-27 18:43:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:43:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/34bd0585-305e-40b5-87d1-c71a9d05f5b7', 'DELETE', '{}', '1', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574711398213726209', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-27 18:43:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:43:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"isMould":["0"],"label":["1568482739010158593"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574711448511819778', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-27 18:44:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:44:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574711448792838146', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-27 18:44:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:44:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574711456535523329', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-27 18:44:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:44:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '123', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574711457072394241', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-27 18:44:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:44:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574711457273720834', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-27 18:44:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:44:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574711459840634881', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-27 18:44:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:44:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574711800032243713', '2', 'tofly-auth', 'public', TO_DATE('2022-09-27 18:45:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:45:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/2a6f86b2-15ab-4407-8810-eb21a0bfc26f', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574712105654398978', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-27 18:46:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:46:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574712105918640130', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-27 18:46:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:46:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574712146716635137', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-27 18:46:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:46:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1574293601415409665', 'GET', '{"id":["1574293601415409665"]}', '29', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574712147240923137', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-27 18:46:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:46:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574712147454832641', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-27 18:46:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:46:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574712150579589122', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-27 18:46:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:46:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574712352275279873', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-27 18:47:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:47:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '20', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574712352531132417', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-27 18:47:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:47:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574712380251287554', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-27 18:47:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:47:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572111539262464001', 'GET', '{"id":["1572111539262464001"]}', '100', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574712380804935681', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-27 18:47:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:47:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574712380989485057', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-27 18:47:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:47:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574712383430569986', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-27 18:47:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:47:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574712471968133121', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-27 18:48:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:48:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1574293601415409665', 'GET', '{"id":["1574293601415409665"]}', '33', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574712472450478082', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-27 18:48:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:48:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574712472676970498', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-27 18:48:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:48:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574712475709452289', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-27 18:48:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:48:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574712553895473154', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-27 18:48:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:48:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl', 'POST', '{}', '21', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574712554247794689', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-27 18:48:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:48:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574712565538861058', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-27 18:48:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:48:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1574293601415409665', 'GET', '{"id":["1574293601415409665"]}', '25', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574712565941514242', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-27 18:48:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:48:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574712566100897793', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-27 18:48:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:48:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574712568567148546', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-27 18:48:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:48:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574715259506765826', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-27 18:59:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:59:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '2', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574633549259603969', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-27 13:34:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 13:34:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574633646957527042', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-27 13:34:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 13:34:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '2', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574633690079166466', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-27 13:35:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 13:35:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '148', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574633690653786114', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-27 13:35:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 13:35:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574314012068810754', 'GET', '{"id":["1574314012068810754"]}', '31', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574633698073509890', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-27 13:35:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 13:35:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574314012068810754', 'GET', '{"id":["1574314012068810754"]}', '25', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574633724304687105', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-27 13:35:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 13:35:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574633741681688578', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-27 13:35:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 13:35:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574633805196034049', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-27 13:35:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 13:35:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574633834270949377', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-27 13:35:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 13:35:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574633838033240066', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-27 13:35:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 13:35:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574633838322647041', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-27 13:35:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 13:35:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '17', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574633892601135106', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-27 13:35:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 13:35:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '133', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574633893221892097', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-27 13:35:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 13:35:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '6', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574633893486133249', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-27 13:35:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 13:35:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574633895964966913', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-27 13:35:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 13:35:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574639766191210497', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-27 13:59:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 13:59:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1574293601415409665', 'GET', '{"id":["1574293601415409665"]}', '24', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574639766774218754', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-27 13:59:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 13:59:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574639767369809922', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-27 13:59:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 13:59:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574639769760563202', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-27 13:59:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 13:59:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574656016762105858', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-27 15:03:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 15:03:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574656122500509698', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-27 15:04:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 15:04:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '144', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574656123045769217', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-27 15:04:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 15:04:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574314012068810754', 'GET', '{"id":["1574314012068810754"]}', '29', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574656327119630337', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-27 15:04:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 15:04:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '7', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574656641889562625', '0', 'tofly-flow', 'yjf', TO_DATE('2022-09-27 15:06:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 15:06:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"level":[""],"fullName":[""],"updateUser":[""],"remark":[""],"updateTime":[""],"regionCode":[""],"createTime":[""],"regionId":[""],"name":[""],"tenantId":["1569602913205559298"],"createUser":[""],"id":[""],"isDel":[""]}', '95', NULL, 'nested exception is org.apache.ibatis.type.TypeException: Could not set parameters for mapping: ParameterMapping{property=''ew.paramNameValuePairs.MPGENVAL1'', mode=IN, javaType=class java.lang.Object, jdbcType=null, numericScale=null, resultMapId=''null'', jdbcTypeName=''null'', expression=''null''}. Cause: org.apache.ibatis.type.TypeException: Error setting null for parameter #1 with JdbcType OTHER . Try setting a different JdbcType for this parameter or a different jdbcTypeForNull configuration property. Cause: java.sql.SQLException: 无效的列类型: 1111', 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574660634145550337', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-27 15:22:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 15:22:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '151', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574660634984411137', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-27 15:22:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 15:22:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574314012068810754', 'GET', '{"id":["1574314012068810754"]}', '25', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574665349281452033', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-27 15:40:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 15:40:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '44', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574665723274956802', '0', 'tofly-flow', 'yjf', TO_DATE('2022-09-27 15:42:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 15:42:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"level":[""],"fullName":[""],"updateUser":[""],"remark":[""],"updateTime":[""],"regionCode":[""],"createTime":[""],"regionId":[""],"name":[""],"tenantId":["1569602913205559298"],"createUser":[""],"id":[""],"isDel":[""]}', '133', NULL, 'nested exception is org.apache.ibatis.type.TypeException: Could not set parameters for mapping: ParameterMapping{property=''ew.paramNameValuePairs.MPGENVAL1'', mode=IN, javaType=class java.lang.Object, jdbcType=null, numericScale=null, resultMapId=''null'', jdbcTypeName=''null'', expression=''null''}. Cause: org.apache.ibatis.type.TypeException: Error setting null for parameter #1 with JdbcType OTHER . Try setting a different JdbcType for this parameter or a different jdbcTypeForNull configuration property. Cause: java.sql.SQLException: 无效的列类型: 1111', 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574665782192345090', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-27 15:42:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 15:42:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574665853378072577', '2', 'tofly-auth', 'lr', TO_DATE('2022-09-27 15:42:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 15:42:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/11d7820f-99bf-4639-875b-f194f7b53964', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574667520362254338', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-27 15:49:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 15:49:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '52', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574592178943533057', '0', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:50:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:50:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/saveCalendarAll', 'POST', '{}', '84', NULL, '### Error updating database.  Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys004)

### The error may exist in com/tofly/workflow/baseconf/mapper/TfCalendarPMapper.java (best guess)
### The error may involve com.tofly.workflow.baseconf.mapper.TfCalendarPMapper.insert-Inline
### The error occurred while setting parameters
### SQL: INSERT INTO TF_CALENDAR_P  ( id, year_id, data_time, type,   CREATE_USER, CREATE_TIME, UPDATE_USER, UPDATE_TIME )  VALUES  ( ?, ?, ?, ?,   ?, ?, ?, ? )
### Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys004)

; ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys004)
; nested exception is java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys004)', 'content:新增日历年日期相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574592279611023361', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:50:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:50:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/saveCalendarAll', 'POST', '{}', '25', NULL, NULL, 'content:新增日历年日期相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574592280345026562', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:50:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:50:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '18', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574592399912050690', '0', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:50:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:50:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/saveCalendarAll', 'POST', '{}', '106', NULL, '### Error updating database.  Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys004)

### The error may exist in com/tofly/workflow/baseconf/mapper/TfCalendarPMapper.java (best guess)
### The error may involve com.tofly.workflow.baseconf.mapper.TfCalendarPMapper.insert-Inline
### The error occurred while setting parameters
### SQL: INSERT INTO TF_CALENDAR_P  ( id, year_id, data_time, type,   CREATE_USER, CREATE_TIME, UPDATE_USER, UPDATE_TIME )  VALUES  ( ?, ?, ?, ?,   ?, ?, ?, ? )
### Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys004)

; ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys004)
; nested exception is java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys004)', 'content:新增日历年日期相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574592616254251010', '0', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:51:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:51:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/saveCalendarAll', 'POST', '{}', '83', NULL, '### Error updating database.  Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys004)

### The error may exist in com/tofly/workflow/baseconf/mapper/TfCalendarPMapper.java (best guess)
### The error may involve com.tofly.workflow.baseconf.mapper.TfCalendarPMapper.insert-Inline
### The error occurred while setting parameters
### SQL: INSERT INTO TF_CALENDAR_P  ( id, year_id, data_time, type,   CREATE_USER, CREATE_TIME, UPDATE_USER, UPDATE_TIME )  VALUES  ( ?, ?, ?, ?,   ?, ?, ?, ? )
### Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys004)

; ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys004)
; nested exception is java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys004)', 'content:新增日历年日期相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574592658499280897', '0', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:51:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:51:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/saveCalendarAll', 'POST', '{}', '91', NULL, '### Error updating database.  Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys004)

### The error may exist in com/tofly/workflow/baseconf/mapper/TfCalendarPMapper.java (best guess)
### The error may involve com.tofly.workflow.baseconf.mapper.TfCalendarPMapper.insert-Inline
### The error occurred while setting parameters
### SQL: INSERT INTO TF_CALENDAR_P  ( id, year_id, data_time, type,   CREATE_USER, CREATE_TIME, UPDATE_USER, UPDATE_TIME )  VALUES  ( ?, ?, ?, ?,   ?, ?, ?, ? )
### Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys004)

; ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys004)
; nested exception is java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys004)', 'content:新增日历年日期相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574592665772204033', '2', 'tofly-auth', 'lz', TO_DATE('2022-09-27 10:52:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:52:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/d3682425-7eb3-4b26-a3c9-42ca13a1793c', 'DELETE', '{}', '1', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574594312913133569', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:58:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:58:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574594556769968130', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:59:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:59:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/saveCalendarAll', 'POST', '{}', '7', NULL, NULL, 'content:新增日历年日期相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574594557239730177', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:59:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:59:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574603973099855874', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-27 11:36:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:36:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574709705736564738', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 18:37:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:37:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574709711738613761', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 18:37:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:37:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '145', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574710125913550849', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-27 18:38:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:38:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '19', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574710126249095169', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-27 18:38:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:38:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '18', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574710133140336641', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-27 18:38:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:38:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '124', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574710133681401857', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-27 18:38:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:38:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574710133924671490', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-27 18:38:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:38:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574710136395116546', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-27 18:38:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:38:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574710569247289346', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 18:40:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:40:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574710569440227330', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 18:40:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:40:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574710571885506561', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 18:40:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:40:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574576895138836482', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 09:49:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 09:49:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp', 'PUT', '{}', '2', NULL, NULL, 'content:修改合同模板公用字段', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574576895415660545', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 09:49:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 09:49:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["30"],"current":["1"]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574576993541402626', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 09:49:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 09:49:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp', 'POST', '{}', '10', NULL, NULL, 'content:新增合同模板公用字段', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574576994015358977', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 09:49:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 09:49:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["30"],"current":["1"]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574583213127999489', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:14:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:14:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"name":[""],"tenantId":[""],"current":["1"],"size":["30"],"contractType":["2"]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574583221852151810', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:14:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:14:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"name":[""],"tenantId":[""],"current":["1"],"size":["30"],"contractType":["2"]}', '18', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574583222816841729', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:14:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:14:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"name":[""],"tenantId":[""],"current":["1"],"size":["30"],"contractType":["2"]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574583223722811394', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:14:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:14:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"name":[""],"tenantId":[""],"current":["1"],"size":["30"],"contractType":["2"]}', '18', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574583224557477890', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:14:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:14:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"name":[""],"tenantId":[""],"current":["1"],"size":["30"],"contractType":["2"]}', '17', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574583245386391554', '2', 'tofly-auth', 'test', TO_DATE('2022-09-27 10:14:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:14:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/eed9e7ae-8395-44a0-a698-bb4541747c26', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574583545518202881', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:15:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:15:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574583553533517826', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:15:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:15:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["10000"],"current":["1"]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574584767641919489', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:20:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:20:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"name":[""],"tenantId":[""],"current":["1"],"size":["30"],"contractType":[""]}', '23', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574584768799547394', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:20:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:20:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"name":[""],"tenantId":[""],"current":["1"],"size":["30"],"contractType":[""]}', '30', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574584787594223617', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:20:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:20:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"name":[""],"tenantId":[""],"current":["1"],"size":["30"],"contractType":["2"]}', '22', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574584789632655362', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:20:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:20:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"name":[""],"tenantId":[""],"current":["1"],"size":["30"],"contractType":["2"]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574584790865780737', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:20:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:20:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"name":[""],"tenantId":[""],"current":["1"],"size":["30"],"contractType":["2"]}', '22', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574584822490832897', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-27 10:20:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:20:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '124', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574584824889974785', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-27 10:20:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:20:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574314012068810754', 'GET', '{"id":["1574314012068810754"]}', '17', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574589045152522242', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:37:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:37:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["10000"],"current":["1"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574589171493347330', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:38:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:38:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '27', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574589174404194305', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:38:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:38:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"name":[""],"tenantId":["1569216846182748162"],"current":["1"],"size":["30"],"contractType":[""]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574589188274757633', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:38:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:38:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"name":[""],"tenantId":["1569216846182748162"],"current":["1"],"size":["30"],"contractType":["2"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574589283401572353', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:38:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:38:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"name":["1112222"],"tenantId":["1569216846182748162"],"current":["1"],"size":["30"],"contractType":["2"]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574589285649719298', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:38:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:38:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"name":["1112222"],"tenantId":["1569216846182748162"],"current":["1"],"size":["30"],"contractType":["2"]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574589299075686401', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:38:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:38:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"name":["312"],"tenantId":["1569216846182748162"],"current":["1"],"size":["30"],"contractType":["2"]}', '2', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574589316163280897', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:38:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:38:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"name":["22"],"tenantId":["1569216846182748162"],"current":["1"],"size":["30"],"contractType":["2"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574589319506141185', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:38:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:38:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"name":["22"],"tenantId":["1569216846182748162"],"current":["1"],"size":["30"],"contractType":["2"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574589324015017985', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:38:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:38:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"name":["22"],"tenantId":["1569216846182748162"],"current":["1"],"size":["30"],"contractType":["2"]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574589332856610817', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:38:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:38:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"name":["22"],"tenantId":["1569216846182748162"],"current":["1"],"size":["30"],"contractType":["1"]}', '2', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574589333313789954', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:38:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:38:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"name":["22"],"tenantId":["1569216846182748162"],"current":["1"],"size":["30"],"contractType":["1"]}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574589335876509697', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:38:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:38:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"name":["22"],"tenantId":["1569216846182748162"],"current":["1"],"size":["30"],"contractType":["1"]}', '2', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574589342998437889', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:38:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:38:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"name":[""],"tenantId":["1569216846182748162"],"current":["1"],"size":["30"],"contractType":["1"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574589343208153090', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:38:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:38:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"name":[""],"tenantId":["1569216846182748162"],"current":["1"],"size":["30"],"contractType":["1"]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574589344260923394', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:38:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:38:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"name":[""],"tenantId":["1569216846182748162"],"current":["1"],"size":["30"],"contractType":["1"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574589346420989953', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:38:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:38:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"name":[""],"tenantId":["1569216846182748162"],"current":["1"],"size":["30"],"contractType":["1"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574773100963803137', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 22:48:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 22:48:59', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574773106504478721', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 22:49:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 22:49:01', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1572832711356719105"],"isMould":["0"]}', '2', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574773106655473665', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 22:49:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 22:49:01', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '158', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574773973232234498', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 22:52:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 22:52:27', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574773976147275778', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 22:52:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 22:52:28', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574773983210483714', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 22:52:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 22:52:30', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1572832711356719105"],"isMould":["0"]}', '2', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574773983399227393', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 22:52:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 22:52:30', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '137', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574774259615117314', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 22:53:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 22:53:36', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574774264564396034', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 22:53:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 22:53:37', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574774274710417410', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 22:53:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 22:53:39', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1572832711356719105"],"isMould":["0"]}', '2', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574774988639678465', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 22:56:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 22:56:29', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1572832711356719105"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574774988916502529', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 22:56:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 22:56:29', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '132', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574775100577263618', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 22:56:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 22:56:56', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '9', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574775105245523970', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 22:56:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 22:56:57', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574775111063023618', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 22:56:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 22:56:59', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1572832711356719105"],"isMould":["0"]}', '2', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574775111314681857', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 22:56:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 22:56:59', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '142', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574775297525002242', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 22:57:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 22:57:43', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574775301270515714', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 22:57:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 22:57:44', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574775428571836417', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 22:58:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 22:58:14', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '9', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574775431423963138', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 22:58:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 22:58:15', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574775436377436161', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 22:58:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 22:58:16', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1572832711356719105"],"isMould":["0"]}', '2', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574775437044330497', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 22:58:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 22:58:16', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '159', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574775790175367169', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 22:59:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 22:59:40', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574775794965262338', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 22:59:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 22:59:42', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574775800153616385', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 22:59:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 22:59:43', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1572832711356719105"],"isMould":["0"]}', '2', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574776739157618689', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 23:03:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 23:03:27', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1572832711356719105"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574777282491953154', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 23:05:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 23:05:36', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1572832711356719105"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574777286925332482', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 23:05:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 23:05:37', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '139', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574777378969333762', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 23:05:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 23:05:59', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574777382651932674', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 23:06:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 23:06:00', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '2', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574777389329264641', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 23:06:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 23:06:02', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1572832711356719105"],"isMould":["0"]}', '2', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574777510561427457', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 23:06:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 23:06:31', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1572832711356719105"],"isMould":["0"]}', '2', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574777510813085697', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 23:06:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 23:06:31', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '149', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574783473204965377', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 23:30:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 23:30:12', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '2', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574784242389987330', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 23:33:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 23:33:16', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574784246550736897', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 23:33:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 23:33:17', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1572832711356719105"],"isMould":["0"]}', '22', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574784246643011585', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 23:33:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 23:33:17', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '127', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574601489547599873', '0', 'tofly-flow', 'test', TO_DATE('2022-09-27 11:27:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:27:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/saveCalendarAll', 'POST', '{}', '67', NULL, '### Error updating database.  Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys003)

### The error may exist in com/tofly/workflow/baseconf/mapper/TfCalendarYearPMapper.java (best guess)
### The error may involve com.tofly.workflow.baseconf.mapper.TfCalendarYearPMapper.updateById-Inline
### The error occurred while setting parameters
### SQL: UPDATE TF_CALENDAR_YEAR_P  SET UPDATE_USER=?, UPDATE_TIME=?,  year_name=?  WHERE id=?
### Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys003)

; ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys003)
; nested exception is java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys003)', 'content:新增日历年日期相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574601493884510210', '0', 'tofly-flow', 'test', TO_DATE('2022-09-27 11:27:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:27:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/saveCalendarAll', 'POST', '{}', '60', NULL, '### Error updating database.  Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys003)

### The error may exist in com/tofly/workflow/baseconf/mapper/TfCalendarYearPMapper.java (best guess)
### The error may involve com.tofly.workflow.baseconf.mapper.TfCalendarYearPMapper.updateById-Inline
### The error occurred while setting parameters
### SQL: UPDATE TF_CALENDAR_YEAR_P  SET UPDATE_USER=?, UPDATE_TIME=?,  year_name=?  WHERE id=?
### Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys003)

; ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys003)
; nested exception is java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys003)', 'content:新增日历年日期相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574601494677233666', '0', 'tofly-flow', 'test', TO_DATE('2022-09-27 11:27:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:27:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/saveCalendarAll', 'POST', '{}', '60', NULL, '### Error updating database.  Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys003)

### The error may exist in com/tofly/workflow/baseconf/mapper/TfCalendarYearPMapper.java (best guess)
### The error may involve com.tofly.workflow.baseconf.mapper.TfCalendarYearPMapper.updateById-Inline
### The error occurred while setting parameters
### SQL: UPDATE TF_CALENDAR_YEAR_P  SET UPDATE_USER=?, UPDATE_TIME=?,  year_name=?  WHERE id=?
### Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys003)

; ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys003)
; nested exception is java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys003)', 'content:新增日历年日期相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574601495339933697', '0', 'tofly-flow', 'test', TO_DATE('2022-09-27 11:27:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:27:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/saveCalendarAll', 'POST', '{}', '56', NULL, '### Error updating database.  Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys003)

### The error may exist in com/tofly/workflow/baseconf/mapper/TfCalendarYearPMapper.java (best guess)
### The error may involve com.tofly.workflow.baseconf.mapper.TfCalendarYearPMapper.updateById-Inline
### The error occurred while setting parameters
### SQL: UPDATE TF_CALENDAR_YEAR_P  SET UPDATE_USER=?, UPDATE_TIME=?,  year_name=?  WHERE id=?
### Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys003)

; ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys003)
; nested exception is java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys003)', 'content:新增日历年日期相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574601496073936898', '0', 'tofly-flow', 'test', TO_DATE('2022-09-27 11:27:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:27:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/saveCalendarAll', 'POST', '{}', '60', NULL, '### Error updating database.  Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys003)

### The error may exist in com/tofly/workflow/baseconf/mapper/TfCalendarYearPMapper.java (best guess)
### The error may involve com.tofly.workflow.baseconf.mapper.TfCalendarYearPMapper.updateById-Inline
### The error occurred while setting parameters
### SQL: UPDATE TF_CALENDAR_YEAR_P  SET UPDATE_USER=?, UPDATE_TIME=?,  year_name=?  WHERE id=?
### Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys003)

; ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys003)
; nested exception is java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys003)', 'content:新增日历年日期相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574601496782774274', '0', 'tofly-flow', 'test', TO_DATE('2022-09-27 11:27:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:27:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/saveCalendarAll', 'POST', '{}', '57', NULL, '### Error updating database.  Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys003)

### The error may exist in com/tofly/workflow/baseconf/mapper/TfCalendarYearPMapper.java (best guess)
### The error may involve com.tofly.workflow.baseconf.mapper.TfCalendarYearPMapper.updateById-Inline
### The error occurred while setting parameters
### SQL: UPDATE TF_CALENDAR_YEAR_P  SET UPDATE_USER=?, UPDATE_TIME=?,  year_name=?  WHERE id=?
### Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys003)

; ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys003)
; nested exception is java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys003)', 'content:新增日历年日期相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574601513199280129', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 11:27:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:27:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574601579020492802', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-27 11:27:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:27:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574314012068810754', 'GET', '{"id":["1574314012068810754"]}', '31', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574601602059804673', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-27 11:27:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:27:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1572832711356719105"],"isMould":["0"]}', '2', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574601616580485121', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-27 11:27:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:27:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/page', 'GET', '{"tenantId":["1"],"current":["1"],"size":["10000"],"isDel":["0"]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574601616790200322', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-27 11:27:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:27:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1572832711356719105"],"isMould":["0"]}', '2', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574601754933796866', '0', 'tofly-flow', 'test', TO_DATE('2022-09-27 11:28:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:28:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/saveCalendarAll', 'POST', '{}', '44', NULL, '工作日应用日历列表为空，请重新输入', 'content:新增日历年日期相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574739302263926785', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 20:34:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 20:34:41', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '7', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574739737808842754', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 20:36:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 20:36:25', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{}', '116', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574739973365149697', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 20:37:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 20:37:21', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574740037563166721', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 20:37:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 20:37:36', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574740639957495809', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 20:40:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 20:40:00', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '11', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574740645015826433', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 20:40:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 20:40:01', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574741734830223362', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 20:44:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 20:44:21', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '2', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574741739867582465', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 20:44:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 20:44:22', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574742649314324482', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 20:47:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 20:47:59', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574742654972440578', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 20:48:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 20:48:00', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574743586854514689', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 20:51:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 20:51:43', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '7', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574743737492942849', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 20:52:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 20:52:19', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574743745751527426', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 20:52:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 20:52:20', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '7', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574743759324295169', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 20:52:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 20:52:24', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1572832711356719105"],"isMould":["0"]}', '1', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574743759588536321', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 20:52:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 20:52:24', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '151', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574744291854102529', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 20:54:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 20:54:31', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574744942998827010', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 20:57:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 20:57:06', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574744959671185410', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 20:57:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 20:57:10', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1572832711356719105"],"isMould":["0"]}', '2', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574744959973175298', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 20:57:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 20:57:10', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '139', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574745231399170049', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 20:58:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 20:58:15', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1572832711356719105"],"isMould":["0"]}', '2', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574745231600496642', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 20:58:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 20:58:15', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '152', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574745364320858113', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 20:58:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 20:58:46', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '165', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574746425655930881', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 21:02:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 21:02:59', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1572832711356719105"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574746519201492994', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 21:03:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 21:03:22', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1572832711356719105"],"isMould":["1"]}', '1', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574746536205201410', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 21:03:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 21:03:26', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1572832711356719105"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574747934204473345', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 21:08:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 21:08:59', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1572832711356719105"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574747958812454914', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 21:09:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 21:09:05', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574747964348936194', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 21:09:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 21:09:06', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574747968207695873', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 21:09:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 21:09:07', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1572832711356719105"],"isMould":["0"]}', '21', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574748126920159233', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 21:09:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 21:09:45', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1572832711356719105"],"isMould":["0"]}', '1', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574748127138263041', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 21:09:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 21:09:45', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '130', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574748182591156226', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 21:09:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 21:09:58', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1572832711356719105"],"isMould":["0"]}', '2', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574748279261474818', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 21:10:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 21:10:21', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1572832711356719105"],"isMould":["0"]}', '2', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574748316867604481', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 21:10:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 21:10:30', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '135', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574748460828700673', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 21:11:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 21:11:05', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1572832711356719105"],"isMould":["0"]}', '2', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574748461181022210', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 21:11:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 21:11:05', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '123', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574748495842750466', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 21:11:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 21:11:13', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1572832711356719105"],"isMould":["0"]}', '1', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574589346743951362', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:38:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:38:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"name":[""],"tenantId":["1569216846182748162"],"current":["1"],"size":["30"],"contractType":["1"]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574589347704446977', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:38:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:38:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"name":[""],"tenantId":["1569216846182748162"],"current":["1"],"size":["30"],"contractType":["1"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574589356516679682', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:38:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:38:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"name":["sssss"],"tenantId":["1569216846182748162"],"current":["1"],"size":["30"],"contractType":["1"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574589357833691138', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:38:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:38:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"name":["sssss"],"tenantId":["1569216846182748162"],"current":["1"],"size":["30"],"contractType":["1"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574589363311452161', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:38:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:38:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"name":[""],"tenantId":["1569216846182748162"],"current":["1"],"size":["30"],"contractType":["1"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574589363659579393', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:38:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:38:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"name":[""],"tenantId":["1569216846182748162"],"current":["1"],"size":["30"],"contractType":["1"]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574589364632657921', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-27 10:38:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:38:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574314012068810754', 'GET', '{"id":["1574314012068810754"]}', '15', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574589373587496961', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:38:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:38:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"name":[""],"tenantId":["1569216846182748162"],"current":["1"],"size":["30"],"contractType":["1"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574589374778679298', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:38:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:38:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"name":[""],"tenantId":["1569216846182748162"],"current":["1"],"size":["30"],"contractType":["1"]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574589465295953922', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:39:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:39:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"name":[""],"tenantId":["1569216846182748162"],"current":["1"],"size":["30"],"contractType":[""]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574589466130620417', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:39:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:39:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"name":[""],"tenantId":["1569216846182748162"],"current":["1"],"size":["30"],"contractType":[""]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574589475177734145', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:39:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:39:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"name":[""],"tenantId":[""],"current":["1"],"size":["30"],"contractType":[""]}', '23', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574589475517472769', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:39:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:39:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"name":[""],"tenantId":[""],"current":["1"],"size":["30"],"contractType":[""]}', '28', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574589480194121729', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:39:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:39:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["30"],"current":["1"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574589485776740354', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:39:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:39:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '23', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574589564193447937', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-27 10:39:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:39:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '120', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574590512152289281', '0', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:43:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:43:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/saveCalendarAll', 'POST', '{}', '59', NULL, '### Error updating database.  Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys003)

### The error may exist in com/tofly/workflow/baseconf/mapper/TfCalendarYearPMapper.java (best guess)
### The error may involve com.tofly.workflow.baseconf.mapper.TfCalendarYearPMapper.updateById-Inline
### The error occurred while setting parameters
### SQL: UPDATE TF_CALENDAR_YEAR_P  SET UPDATE_USER=?, UPDATE_TIME=?,  year_name=?, remark=?  WHERE id=?
### Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys003)

; ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys003)
; nested exception is java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys003)', 'content:新增日历年日期相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574590663243702274', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-27 10:44:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:44:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '11', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574592981150310401', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:53:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:53:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/saveCalendarAll', 'POST', '{}', '30', NULL, NULL, 'content:新增日历年日期相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574592981716541441', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:53:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:53:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574593001819840513', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:53:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:53:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/saveCalendarAll', 'POST', '{}', '20', NULL, NULL, 'content:新增日历年日期相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574593002126024705', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:53:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:53:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574593024456499201', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:53:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:53:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/saveCalendarAll', 'POST', '{}', '20', NULL, NULL, 'content:新增日历年日期相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574593024913678338', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:53:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:53:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574593076692361218', '0', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:53:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:53:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/saveCalendarAll', 'POST', '{}', '47', NULL, '### Error updating database.  Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys003)

### The error may exist in com/tofly/workflow/baseconf/mapper/TfCalendarYearPMapper.java (best guess)
### The error may involve com.tofly.workflow.baseconf.mapper.TfCalendarYearPMapper.updateById-Inline
### The error occurred while setting parameters
### SQL: UPDATE TF_CALENDAR_YEAR_P  SET UPDATE_USER=?, UPDATE_TIME=?,  year_name=?, remark=?  WHERE id=?
### Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys003)

; ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys003)
; nested exception is java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys003)', 'content:新增日历年日期相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574594055458365441', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-27 10:57:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:57:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574594058801225729', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:57:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:57:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/saveCalendarAll', 'POST', '{}', '11', NULL, NULL, 'content:新增日历年日期相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574594059497480194', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:57:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:57:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574594091344830465', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-27 10:57:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:57:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/cdbe0677-79ae-4ebc-abb0-165e4d8bd358', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574594104108097537', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-27 10:57:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:57:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '170', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574711521564012545', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-27 18:44:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:44:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl', 'POST', '{}', '70', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574711523472420866', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-27 18:44:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:44:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574711845334921218', '2', 'tofly-auth', 'mzscb', TO_DATE('2022-09-27 18:45:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:45:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/ec300e17-9b59-4aac-befe-3329c502a12c', 'DELETE', '{}', '1', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574712185178402818', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-27 18:46:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:46:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl', 'POST', '{}', '21', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574712186084372481', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-27 18:46:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:46:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574712194699472898', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-27 18:46:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:46:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574712195303452673', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-27 18:46:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:46:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574712197702594562', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-27 18:46:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:46:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574712695440650242', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-27 18:48:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:48:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574712795969728513', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-27 18:49:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:49:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '104', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574713104368513025', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-27 18:50:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:50:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574714800758960129', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-27 18:57:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:57:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574717017628979201', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 19:06:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 19:06:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574717022439845890', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 19:06:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 19:06:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574717146893234178', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 19:06:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 19:06:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574717157081198594', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 19:06:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 19:06:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574717526725210113', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 19:08:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 19:08:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574717532697899010', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 19:08:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 19:08:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574717746443825154', '2', 'tofly-auth', 'yck', TO_DATE('2022-09-27 19:09:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 19:09:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/oauth/token', 'POST', '{"password":["b6589fc6ab0dc82cf12099d1c2d40ab994e8410c"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["yck"]}', '426', NULL, NULL, 'content:登录 :yck', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574717747249131521', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-27 19:09:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 19:09:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574717750621351938', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-27 19:09:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 19:09:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574717843445493761', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-27 19:09:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 19:09:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574717848206028801', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-27 19:09:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 19:09:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574718088002777090', '2', 'tofly-auth', 'public', TO_DATE('2022-09-27 19:10:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 19:10:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/oauth/token', 'POST', '{"password":["075dbe98305bf48b779f054517a03d34c1ae98bf"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["public"]}', '324', NULL, NULL, 'content:登录 :public', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574718089227513857', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 19:10:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 19:10:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574718095317643266', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 19:10:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 19:10:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574718193892175874', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 19:10:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 19:10:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574718200095551489', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 19:10:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 19:10:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574718203228696577', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 19:10:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 19:10:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1572832711356719105"],"isMould":["0"]}', '1', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574718203744595969', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 19:10:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 19:10:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '177', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574718383969644546', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 19:11:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 19:11:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1572832711356719105"],"isMould":["0"]}', '2', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574718384523292674', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 19:11:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 19:11:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '175', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574733627571941377', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 20:12:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 20:12:08', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574734296441794562', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 20:14:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 20:14:48', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574734300518658049', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 20:14:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 20:14:49', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574735860829106177', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 20:21:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 20:21:01', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574735933998739457', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-27 20:21:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 20:21:18', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574736016873992194', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-27 20:21:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 20:21:38', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574736052580102145', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-27 20:21:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 20:21:46', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574736435901739010', '2', 'tofly-auth', 'public', TO_DATE('2022-09-27 20:23:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 20:23:18', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/oauth/token', 'POST', '{"password":["075dbe98305bf48b779f054517a03d34c1ae98bf"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["public"]}', '426', NULL, NULL, 'content:登录 :public', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574601850429710338', '0', 'tofly-flow', 'test', TO_DATE('2022-09-27 11:28:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:28:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/saveCalendarAll', 'POST', '{}', '66', NULL, '### Error updating database.  Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys003)

### The error may exist in com/tofly/workflow/baseconf/mapper/TfCalendarYearPMapper.java (best guess)
### The error may involve com.tofly.workflow.baseconf.mapper.TfCalendarYearPMapper.updateById-Inline
### The error occurred while setting parameters
### SQL: UPDATE TF_CALENDAR_YEAR_P  SET UPDATE_USER=?, UPDATE_TIME=?,  year_name=?  WHERE id=?
### Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys003)

; ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys003)
; nested exception is java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys003)', 'content:新增日历年日期相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574668865672679425', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-27 15:54:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 15:54:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectdispatchw/page', 'GET', '{"current":["1"],"state":[""],"userType":["{}"],"projectLink":[""],"size":["30"]}', '2', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574669006035062785', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-27 15:55:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 15:55:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574669017355489282', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-27 15:55:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 15:55:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["10000"],"current":["1"]}', '26', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574669017737170945', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-27 15:55:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 15:55:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '123', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574669112541024258', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-27 15:55:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 15:55:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectdispatchw/page', 'GET', '{"current":["1"],"state":[""],"userType":["{}"],"projectLink":[""],"size":["30"]}', '2', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574669143637594114', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-27 15:55:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 15:55:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574669153469042690', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-27 15:55:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 15:55:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '125', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574669154001719297', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-27 15:55:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 15:55:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574314012068810754', 'GET', '{"id":["1574314012068810754"]}', '26', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574669237313179649', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-27 15:56:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 15:56:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectdispatchw/page', 'GET', '{"current":["1"],"state":[""],"userType":["{}"],"projectLink":[""],"size":["30"]}', '2', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574669600158224386', '2', 'tofly-auth', 'mzadmin', TO_DATE('2022-09-27 15:57:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 15:57:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/0946df2e-c85b-4063-8831-95de045e6564', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574671006625796098', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-27 16:03:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 16:03:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectdispatchw/page', 'GET', '{"current":["1"],"state":[""],"userType":["{}"],"projectLink":[""],"size":["30"]}', '2', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574671186909564929', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-27 16:04:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 16:04:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectdispatchw/page', 'GET', '{"current":["1"],"state":[""],"userType":["{}"],"projectLink":[""],"size":["30"]}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574671263484973058', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-27 16:04:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 16:04:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectdispatchw/page', 'GET', '{"current":["1"],"state":[""],"userType":["{}"],"projectLink":[""],"size":["30"]}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574671283936399362', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-27 16:04:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 16:04:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectdispatchw/page', 'GET', '{"current":["1"],"state":[""],"userType":["{}"],"projectLink":[""],"size":["30"]}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574677299327504386', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-27 16:28:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 16:28:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectdispatchw/page', 'GET', '{"current":["1"],"state":[""],"userType":["{}"],"projectLink":[""],"size":["30"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574679493242097666', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-27 16:37:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 16:37:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["-1"],"isMould":["0"]}', '2', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574702476824227842', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-27 18:08:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:08:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574702490598322177', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-27 18:08:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:08:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '127', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574702491193913345', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-27 18:08:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:08:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574702491407822850', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-27 18:08:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:08:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574702493890850818', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-27 18:08:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:08:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574702511041359874', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-27 18:08:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:08:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessnodel', 'POST', '{}', '190', NULL, NULL, 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574702525826281473', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-27 18:08:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:08:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574702549620568065', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-27 18:08:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:08:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["35"],"id":["1572140204302041089"]}', '124', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574702550476206082', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-27 18:08:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:08:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574702138742296578', 'GET', '{"id":["1574702138742296578"]}', '40', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574702835835678722', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-27 18:09:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:09:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574702867758526466', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-27 18:09:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:09:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '120', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574702893670936578', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-27 18:10:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:10:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574702909143724033', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-27 18:10:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:10:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '29', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574702922527748098', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-27 18:10:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:10:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["35"],"id":["1572140204302041089"]}', '130', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574702923106562050', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-27 18:10:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:10:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574702138742296578', 'GET', '{"id":["1574702138742296578"]}', '17', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574703406621732865', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 18:12:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:12:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl', 'POST', '{}', '6', NULL, NULL, 'content:新增流程信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574703428578914306', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 18:12:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:12:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '133', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574704616590348289', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-27 18:16:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 18:16:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl', 'POST', '{}', '4', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574774274890772482', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 22:53:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 22:53:39', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '131', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574774414993108993', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 22:54:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 22:54:13', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574774419283881985', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 22:54:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 22:54:14', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574774424308658177', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 22:54:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 22:54:15', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1572832711356719105"],"isMould":["0"]}', '2', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574774424476430338', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 22:54:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 22:54:15', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '133', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574774670354919426', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 22:55:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 22:55:13', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '2', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574774675463581698', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 22:55:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 22:55:15', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574774678978408449', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 22:55:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 22:55:16', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1572832711356719105"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574774679179735041', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 22:55:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 22:55:16', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '138', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574774977294086146', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 22:56:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 22:56:27', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '11', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574774984030138369', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 22:56:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 22:56:28', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574775310053388290', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 22:57:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 22:57:46', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1572832711356719105"],"isMould":["0"]}', '2', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574775310204383233', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 22:57:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 22:57:46', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '133', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574775800375914497', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 22:59:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 22:59:43', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '120', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574776515966119938', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 23:02:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 23:02:33', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574776526728704001', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 23:02:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 23:02:36', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574776533724803074', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 23:02:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 23:02:38', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1572832711356719105"],"isMould":["0"]}', '2', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574776533800300546', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 23:02:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 23:02:38', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '139', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574776729833680897', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 23:03:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 23:03:24', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574776734661324802', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 23:03:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 23:03:26', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574776739581243393', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 23:03:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 23:03:27', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '137', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574776878685335554', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 23:04:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 23:04:00', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574776915154808834', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 23:04:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 23:04:09', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574776933580386305', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 23:04:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 23:04:13', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1572832711356719105"],"isMould":["0"]}', '2', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574776933827850242', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 23:04:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 23:04:13', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '135', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574777032431742978', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 23:04:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 23:04:37', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574777036269531137', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 23:04:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 23:04:38', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574777040870682626', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 23:04:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 23:04:39', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1572832711356719105"],"isMould":["0"]}', '2', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574777041415942146', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 23:04:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 23:04:39', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '228', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574777111087525889', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 23:04:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 23:04:55', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574777127659220994', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 23:04:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 23:04:59', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574777132885323778', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 23:05:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 23:05:01', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1572832711356719105"],"isMould":["0"]}', '2', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574777133011152897', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 23:05:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 23:05:01', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '134', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574777257225465858', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 23:05:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 23:05:30', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574777277672697857', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 23:05:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 23:05:35', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574777389518008322', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 23:06:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 23:06:02', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '131', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574777497038991361', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 23:06:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 23:06:27', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574777503036846081', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 23:06:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 23:06:29', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574784319938473986', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 23:33:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 23:33:34', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '8', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574784326049574914', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 23:33:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 23:33:36', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574593091154321410', '0', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:53:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:53:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/saveCalendarAll', 'POST', '{}', '52', NULL, '### Error updating database.  Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys003)

### The error may exist in com/tofly/workflow/baseconf/mapper/TfCalendarYearPMapper.java (best guess)
### The error may involve com.tofly.workflow.baseconf.mapper.TfCalendarYearPMapper.updateById-Inline
### The error occurred while setting parameters
### SQL: UPDATE TF_CALENDAR_YEAR_P  SET UPDATE_USER=?, UPDATE_TIME=?,  year_name=?, remark=?  WHERE id=?
### Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys003)

; ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys003)
; nested exception is java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys003)', 'content:新增日历年日期相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574594115147505665', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-27 10:57:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:57:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574314012068810754', 'GET', '{"id":["1574314012068810754"]}', '34', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574594138396532738', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:57:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:57:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/saveCalendarAll', 'POST', '{}', '10', NULL, NULL, 'content:新增日历年日期相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574594138782408706', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:57:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:57:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574594166414483457', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:57:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:57:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/saveCalendarAll', 'POST', '{}', '12', NULL, NULL, 'content:新增日历年日期相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574594167001686017', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:57:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:57:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574594200354791425', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:58:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:58:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/saveCalendarAll', 'POST', '{}', '20', NULL, NULL, 'content:新增日历年日期相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574594200925216769', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:58:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:58:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574594248597676034', '0', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:58:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:58:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/saveCalendarAll', 'POST', '{}', '28', NULL, '工作日应用日历列表为空，请重新输入', 'content:新增日历年日期相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574594271867674625', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-27 10:58:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:58:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574594312615337985', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:58:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:58:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/saveCalendarAll', 'POST', '{}', '27', NULL, NULL, 'content:新增日历年日期相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574594535215439873', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:59:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:59:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574594625334255618', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:59:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:59:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/deleteByIds', 'DELETE', '{"ids":["1574593720547405825"]}', '5', NULL, NULL, 'content:通过id批量删除日历年', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574594625829183490', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:59:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:59:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574594632582012930', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:59:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:59:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/deleteByIds', 'DELETE', '{"ids":["1574590308783091714"]}', '4', NULL, NULL, 'content:通过id批量删除日历年', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574594632904974338', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:59:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:59:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574594713943121921', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 11:00:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:00:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/saveCalendarAll', 'POST', '{}', '9', NULL, NULL, 'content:新增日历年日期相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574594714421272577', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 11:00:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:00:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574594736114212865', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 11:00:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:00:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/saveCalendarAll', 'POST', '{}', '8', NULL, NULL, 'content:新增日历年日期相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574594736529448962', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 11:00:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:00:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574594751079489538', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 11:00:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:00:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/saveCalendarAll', 'POST', '{}', '8', NULL, NULL, 'content:新增日历年日期相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574594751444393986', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 11:00:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:00:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574594770197127169', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 11:00:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:00:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/saveCalendarAll', 'POST', '{}', '8', NULL, NULL, 'content:新增日历年日期相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574594770788524033', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 11:00:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:00:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574594785497948161', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-27 11:00:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:00:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574594785745412097', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-27 11:00:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:00:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574594788723367938', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 11:00:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:00:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/saveCalendarAll', 'POST', '{}', '5', NULL, NULL, 'content:新增日历年日期相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574594788949860354', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 11:00:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:00:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574594795463614465', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-27 11:00:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:00:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '127', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574594796315058177', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-27 11:00:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:00:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574594796671574017', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-27 11:00:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:00:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574594799653724162', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-27 11:00:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:00:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574633037193805826', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-27 13:32:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 13:32:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574635029228158978', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-27 13:40:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 13:40:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl', 'POST', '{}', '122', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574635030276734977', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-27 13:40:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 13:40:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574635039797805058', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-27 13:40:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 13:40:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '152', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574635040364036098', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-27 13:40:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 13:40:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574635040590528513', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-27 13:40:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 13:40:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574635043572678658', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-27 13:40:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 13:40:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574576499045543937', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 09:47:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 09:47:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp', 'POST', '{}', '4', NULL, NULL, 'content:新增合同模板公用字段', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574576499536277505', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 09:47:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 09:47:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["30"],"current":["1"]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574576564237611009', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 09:48:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 09:48:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp', 'POST', '{}', '2', NULL, NULL, 'content:新增合同模板公用字段', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574576564564766722', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 09:48:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 09:48:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["30"],"current":["1"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574576681065754626', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 09:48:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 09:48:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp', 'PUT', '{}', '2', NULL, NULL, 'content:修改合同模板公用字段', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574576731871358977', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 09:48:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 09:48:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp', 'PUT', '{}', '3', NULL, NULL, 'content:修改合同模板公用字段', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574576732269817857', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 09:48:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 09:48:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["30"],"current":["1"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574576768688959489', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 09:48:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 09:48:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp', 'PUT', '{}', '2', NULL, NULL, 'content:修改合同模板公用字段', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574576769192275970', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 09:48:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 09:48:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["30"],"current":["1"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574576796165844993', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 09:48:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 09:48:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp', 'PUT', '{}', '3', NULL, NULL, 'content:修改合同模板公用字段', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574576796534943745', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 09:48:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 09:48:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["30"],"current":["1"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574576827023339522', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 09:49:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 09:49:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp', 'PUT', '{}', '7', NULL, NULL, 'content:修改合同模板公用字段', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574576827564404737', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 09:49:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 09:49:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["30"],"current":["1"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574594819480199170', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 11:00:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:00:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/saveCalendarAll', 'POST', '{}', '7', NULL, NULL, 'content:新增日历年日期相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574604793857966082', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-27 11:40:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:40:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '52', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574604805820121089', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-27 11:40:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:40:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '33', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574604830583291905', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-27 11:40:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:40:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '32', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574609965854228482', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-27 12:00:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 12:00:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574610112491290625', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-27 12:01:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 12:01:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574748496148934657', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 21:11:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 21:11:13', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '132', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574748547399135234', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 21:11:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 21:11:25', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1572832711356719105"],"isMould":["0"]}', '1', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574748547659182081', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 21:11:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 21:11:25', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '127', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574748600389971970', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 21:11:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 21:11:38', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1572832711356719105"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574748600670990337', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 21:11:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 21:11:38', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '134', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574748691804827650', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 21:12:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 21:12:00', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1572832711356719105"],"isMould":["0"]}', '2', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574748692098428929', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 21:12:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 21:12:00', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '134', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574748783748165633', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 21:12:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 21:12:22', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1572832711356719105"],"isMould":["0"]}', '2', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574748783991435266', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 21:12:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 21:12:22', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '136', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574753305295958018', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 21:30:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 21:30:20', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["-1"],"isMould":["0"]}', '2', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574753407972519937', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 21:30:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 21:30:44', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574753410703011841', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 21:30:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 21:30:45', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574753420417019906', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 21:30:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 21:30:47', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1572832711356719105"],"isMould":["0"]}', '2', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574753420727398402', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 21:30:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 21:30:47', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '120', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574755684191940609', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-27 21:39:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 21:39:47', 'SYYYY-MM-DD HH24:MI:SS'), '125.70.197.81', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '128', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574772695076810754', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 22:47:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 22:47:23', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574772699363389442', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 22:47:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 22:47:24', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574772704002289665', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 22:47:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 22:47:25', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1572832711356719105"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574772704220393474', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 22:47:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 22:47:25', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '126', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574772852572925953', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 22:48:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 22:48:00', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574772856498794498', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 22:48:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 22:48:01', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574583553634181121', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:15:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:15:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '28', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574583560508645377', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:15:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:15:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"name":[""],"tenantId":[""],"current":["1"],"size":["30"],"contractType":[""]}', '32', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574583561162956801', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:15:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:15:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"name":[""],"tenantId":[""],"current":["1"],"size":["30"],"contractType":[""]}', '32', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574584451982794754', '2', 'tofly-auth', 'yj', TO_DATE('2022-09-27 10:19:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:19:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/95b7c8b9-6927-4881-9ed9-5257939f57c2', 'DELETE', '{}', '3', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574585331461234690', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:22:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:22:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp', 'POST', '{}', '3', NULL, NULL, 'content:新增合同模板公用字段', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574585331872276481', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:22:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:22:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["30"],"current":["1"]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574585385701974018', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:23:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:23:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["10000"],"current":["1"]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574596314686660610', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-27 11:06:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:06:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '13', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574596327714168833', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-27 11:06:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:06:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '182', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574596328804687874', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-27 11:06:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:06:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574314012068810754', 'GET', '{"id":["1574314012068810754"]}', '119', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574596335326830593', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-27 11:06:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:06:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '167', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574596338095071233', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-27 11:06:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:06:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574314012068810754', 'GET', '{"id":["1574314012068810754"]}', '28', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574596344432664577', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-27 11:06:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:06:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '140', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574596345040838657', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-27 11:06:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:06:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574293039374479362', 'GET', '{"id":["1574293039374479362"]}', '39', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574596369141309441', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-27 11:06:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:06:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '161', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574596369275527170', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-27 11:06:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:06:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '156', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574596369741094914', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-27 11:06:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:06:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574314012068810754', 'GET', '{"id":["1574314012068810754"]}', '25', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574596474179264513', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 11:07:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:07:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/deleteByIds', 'DELETE', '{"ids":["1574594992155521025"]}', '6', NULL, NULL, 'content:通过id批量删除日历年', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574596474485448705', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 11:07:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:07:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574596482098110466', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 11:07:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:07:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/deleteByIds', 'DELETE', '{"ids":["1574594713834090497"]}', '6', NULL, NULL, 'content:通过id批量删除日历年', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574596482345574401', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 11:07:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:07:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '2', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574596512708141058', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 11:07:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:07:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/saveCalendarAll', 'POST', '{}', '35', NULL, NULL, 'content:新增日历年日期相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574596512972382209', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 11:07:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:07:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574596523118403586', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 11:07:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:07:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/saveCalendarAll', 'POST', '{}', '6', NULL, NULL, 'content:新增日历年日期相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574596523374256130', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 11:07:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:07:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574596616856903681', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 11:07:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:07:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/saveCalendarAll', 'POST', '{}', '21', NULL, NULL, 'content:新增日历年日期相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574596617557352450', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 11:07:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:07:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574596629397872641', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 11:07:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:07:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/saveCalendarAll', 'POST', '{}', '17', NULL, NULL, 'content:新增日历年日期相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574596629796331522', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 11:07:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:07:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574596636947619841', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 11:07:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:07:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/saveCalendarAll', 'POST', '{}', '29', NULL, NULL, 'content:新增日历年日期相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574596637182500865', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 11:07:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:07:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574596716731670529', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 11:08:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:08:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/saveCalendarAll', 'POST', '{}', '16', NULL, NULL, 'content:新增日历年日期相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574596717100769281', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 11:08:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:08:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574596726630227969', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 11:08:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:08:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/saveCalendarAll', 'POST', '{}', '11', NULL, NULL, 'content:新增日历年日期相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574596726940606466', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 11:08:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:08:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574596735337603074', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-27 11:08:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:08:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '139', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574596736029663234', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-27 11:08:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:08:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574314012068810754', 'GET', '{"id":["1574314012068810754"]}', '25', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574596756682416130', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-27 11:08:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:08:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '138', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574596757726797826', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-27 11:08:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:08:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574314012068810754', 'GET', '{"id":["1574314012068810754"]}', '25', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574596774902472705', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 11:08:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:08:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/saveCalendarAll', 'POST', '{}', '117', NULL, NULL, 'content:新增日历年日期相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574596775749722113', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 11:08:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:08:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574596784436125697', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 11:08:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:08:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/saveCalendarAll', 'POST', '{}', '49', NULL, NULL, 'content:新增日历年日期相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574596785186906114', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 11:08:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:08:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574596814580588546', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 11:08:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:08:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/saveCalendarAll', 'POST', '{}', '8', NULL, NULL, 'content:新增日历年日期相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574586758522839042', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:28:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:28:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/saveContractTemplateField', 'POST', '{}', '18', NULL, NULL, 'content:新增合同模板', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574586759667884034', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:28:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:28:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '32', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574586961040613378', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:29:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:29:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/updateContractTemplate', 'PUT', '{}', '8', NULL, NULL, 'content:修改合同模板', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574586963318120450', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:29:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:29:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '25', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574588391239557122', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-27 10:35:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:35:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574588396717318146', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-27 10:35:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:35:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574588403361095681', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:35:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:35:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"name":[""],"tenantId":["1"],"current":["1"],"size":["30"],"contractType":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574588416736731138', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:35:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:35:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"name":[""],"tenantId":["1569216846182748162"],"current":["1"],"size":["30"],"contractType":[""]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574588417923719170', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:35:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:35:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"name":[""],"tenantId":["1569216846182748162"],"current":["1"],"size":["30"],"contractType":[""]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574588420155088898', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:35:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:35:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"name":[""],"tenantId":["1569216846182748162"],"current":["1"],"size":["30"],"contractType":[""]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574588430347247618', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:35:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:35:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"name":[""],"tenantId":["1569602913205559298"],"current":["1"],"size":["30"],"contractType":[""]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574588430556962818', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:35:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:35:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"name":[""],"tenantId":["1569602913205559298"],"current":["1"],"size":["30"],"contractType":[""]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574589045186076673', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:37:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:37:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '30', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574589051817271297', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:37:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:37:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"name":[""],"tenantId":[""],"current":["1"],"size":["30"],"contractType":[""]}', '29', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574589052203147265', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:37:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:37:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"name":[""],"tenantId":[""],"current":["1"],"size":["30"],"contractType":[""]}', '35', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574589123011387393', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:37:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:37:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"name":[""],"tenantId":["1569216846182748162"],"current":["1"],"size":["30"],"contractType":[""]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574589131026702337', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:37:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:37:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"name":[""],"tenantId":["1569216846182748162"],"current":["1"],"size":["30"],"contractType":["2"]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574589140484857857', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:38:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:38:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"name":[""],"tenantId":["1569216846182748162"],"current":["1"],"size":["30"],"contractType":[""]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574589140736516098', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:38:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:38:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"name":[""],"tenantId":["1569216846182748162"],"current":["1"],"size":["30"],"contractType":[""]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574589170398633985', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:38:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:38:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/updateContractTemplate', 'PUT', '{}', '8', NULL, NULL, 'content:修改合同模板', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574589549702127618', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-27 10:39:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:39:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574589936140132353', '0', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:41:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:41:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/saveCalendarAll', 'POST', '{}', '121', NULL, '工作日应用日历列表为空，请重新输入', 'content:新增日历年日期相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574590503897899009', '0', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:43:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:43:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/saveCalendarAll', 'POST', '{}', '197', NULL, '### Error updating database.  Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys003)

### The error may exist in com/tofly/workflow/baseconf/mapper/TfCalendarYearPMapper.java (best guess)
### The error may involve com.tofly.workflow.baseconf.mapper.TfCalendarYearPMapper.updateById-Inline
### The error occurred while setting parameters
### SQL: UPDATE TF_CALENDAR_YEAR_P  SET UPDATE_USER=?, UPDATE_TIME=?,  year_name=?, remark=?  WHERE id=?
### Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys003)

; ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys003)
; nested exception is java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys003)', 'content:新增日历年日期相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574590511103713282', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-27 10:43:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:43:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574590989317283841', '0', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:45:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:45:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/saveCalendarAll', 'POST', '{}', '248', NULL, '### Error updating database.  Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys003)

### The error may exist in com/tofly/workflow/baseconf/mapper/TfCalendarYearPMapper.java (best guess)
### The error may involve com.tofly.workflow.baseconf.mapper.TfCalendarYearPMapper.updateById-Inline
### The error occurred while setting parameters
### SQL: UPDATE TF_CALENDAR_YEAR_P  SET UPDATE_USER=?, UPDATE_TIME=?,  year_name=?, remark=?  WHERE id=?
### Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys003)

; ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys003)
; nested exception is java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys003)', 'content:新增日历年日期相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574591584111534081', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-27 10:47:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:47:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574591641653190658', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-27 10:47:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:47:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574591642064232449', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-27 10:47:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:47:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574591662628904961', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-27 10:48:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:48:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1574293601415409665', 'GET', '{"id":["1574293601415409665"]}', '29', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574639524104372226', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-27 13:58:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 13:58:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '7', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574640289585823746', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-27 14:01:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 14:01:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1574293601415409665', 'GET', '{"id":["1574293601415409665"]}', '29', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574640290185609218', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-27 14:01:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 14:01:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574640290567290881', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-27 14:01:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 14:01:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574640293016764418', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-27 14:01:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 14:01:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574640649092202497', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-27 14:02:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 14:02:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '168', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574640649553575937', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-27 14:02:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 14:02:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574314012068810754', 'GET', '{"id":["1574314012068810754"]}', '29', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574640654595129346', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-27 14:02:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 14:02:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574314012068810754', 'GET', '{"id":["1574314012068810754"]}', '33', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574641096578301954', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-27 14:04:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 14:04:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '146', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574641097098395649', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-27 14:04:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 14:04:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574641097299722242', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-27 14:04:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 14:04:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574641099908579330', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-27 14:04:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 14:04:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574641287817592834', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-09-27 14:05:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 14:05:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574646072100782082', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-27 14:24:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 14:24:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574646076165062658', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-27 14:24:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 14:24:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574646100819181570', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-27 14:24:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 14:24:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574647066222133249', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-27 14:28:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 14:28:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574649840703991810', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-09-27 14:39:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 14:39:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1570225246022770689"],"label":["1568482594885484546"],"isMould":["0"]}', '1', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574649844214624258', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-27 14:39:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 14:39:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '140', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574649844734717954', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-27 14:39:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 14:39:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574314012068810754', 'GET', '{"id":["1574314012068810754"]}', '29', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574650004890021889', '2', 'tofly-auth', 'yj', TO_DATE('2022-09-27 14:39:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 14:39:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/de792df7-2f31-447c-a73b-939e96e800aa', 'DELETE', '{}', '1', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574657918530842625', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-27 15:11:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 15:11:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '7', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574658559126892546', '1', 'tofly-flow', 'hq', TO_DATE('2022-09-27 15:13:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 15:13:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574660666013872130', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-27 15:22:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 15:22:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '126', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574660666492022785', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-27 15:22:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 15:22:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574293039374479362', 'GET', '{"id":["1574293039374479362"]}', '36', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574677925985882114', '0', 'tofly-flow', 'yjf', TO_DATE('2022-09-27 16:30:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 16:30:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"level":[""],"fullName":[""],"updateUser":[""],"remark":[""],"updateTime":[""],"regionCode":[""],"createTime":[""],"regionId":[""],"name":[""],"tenantId":["1569602913205559298"],"createUser":[""],"id":[""],"isDel":[""]}', '94', NULL, 'nested exception is org.apache.ibatis.type.TypeException: Could not set parameters for mapping: ParameterMapping{property=''ew.paramNameValuePairs.MPGENVAL1'', mode=IN, javaType=class java.lang.Object, jdbcType=null, numericScale=null, resultMapId=''null'', jdbcTypeName=''null'', expression=''null''}. Cause: org.apache.ibatis.type.TypeException: Error setting null for parameter #1 with JdbcType OTHER . Try setting a different JdbcType for this parameter or a different jdbcTypeForNull configuration property. Cause: java.sql.SQLException: 无效的列类型: 1111', 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574677929009975298', '0', 'tofly-flow', 'yjf', TO_DATE('2022-09-27 16:30:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 16:30:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"level":[""],"fullName":[""],"updateUser":[""],"remark":[""],"updateTime":[""],"regionCode":[""],"createTime":[""],"regionId":[""],"name":[""],"tenantId":["1569602913205559298"],"createUser":[""],"id":[""],"isDel":[""]}', '31', NULL, 'For input string: "510683000000 "', 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574677962031730689', '0', 'tofly-flow', 'yjf', TO_DATE('2022-09-27 16:30:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 16:30:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"level":[""],"fullName":[""],"updateUser":[""],"remark":[""],"updateTime":[""],"regionCode":[""],"createTime":[""],"regionId":[""],"name":[""],"tenantId":["1569602913205559298"],"createUser":[""],"id":[""],"isDel":[""]}', '66', NULL, 'nested exception is org.apache.ibatis.type.TypeException: Could not set parameters for mapping: ParameterMapping{property=''ew.paramNameValuePairs.MPGENVAL1'', mode=IN, javaType=class java.lang.Object, jdbcType=null, numericScale=null, resultMapId=''null'', jdbcTypeName=''null'', expression=''null''}. Cause: org.apache.ibatis.type.TypeException: Error setting null for parameter #1 with JdbcType OTHER . Try setting a different JdbcType for this parameter or a different jdbcTypeForNull configuration property. Cause: java.sql.SQLException: 无效的列类型: 1111', 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574677968834891777', '0', 'tofly-flow', 'yjf', TO_DATE('2022-09-27 16:30:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 16:30:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"level":[""],"fullName":[""],"updateUser":[""],"remark":[""],"updateTime":[""],"regionCode":[""],"createTime":[""],"regionId":[""],"name":[""],"tenantId":["1569602913205559298"],"createUser":[""],"id":[""],"isDel":[""]}', '149', NULL, 'For input string: "510683110000 "', 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574586540855238658', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:27:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:27:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574586547293495297', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:27:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:27:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["10000"],"current":["1"]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574586547385769985', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:27:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:27:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '38', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574586588456394753', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:27:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:27:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"name":["集团公司的合同"],"tenantId":[""],"current":["1"],"size":["30"],"contractType":[""]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574586597872607234', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:27:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:27:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"name":[""],"tenantId":[""],"current":["1"],"size":["30"],"contractType":[""]}', '22', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574586598132654082', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:27:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:27:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"name":[""],"tenantId":[""],"current":["1"],"size":["30"],"contractType":[""]}', '22', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574586608786186242', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:27:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:27:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"name":[""],"tenantId":[""],"current":["1"],"size":["30"],"contractType":[""]}', '31', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574586609809596417', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:27:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:27:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"name":[""],"tenantId":[""],"current":["1"],"size":["30"],"contractType":[""]}', '23', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574587027218341890', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:29:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:29:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/updateContractTemplate', 'PUT', '{}', '8', NULL, NULL, 'content:修改合同模板', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574587028384358402', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:29:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:29:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '30', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574587048869339138', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:29:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:29:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"name":[""],"tenantId":["1569602913205559298"],"current":["1"],"size":["30"],"contractType":[""]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574587053902503938', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:29:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:29:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"name":[""],"tenantId":["1569602913205559298"],"current":["1"],"size":["30"],"contractType":[""]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574587071690547202', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:29:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:29:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"name":[""],"tenantId":[""],"current":["1"],"size":["30"],"contractType":["2"]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574587073687035905', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:29:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:29:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"name":[""],"tenantId":[""],"current":["1"],"size":["30"],"contractType":["2"]}', '17', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574587083086471169', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:29:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:29:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"name":[""],"tenantId":["1569602913205559298"],"current":["1"],"size":["30"],"contractType":["2"]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574587095673577473', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:29:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:29:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"name":[""],"tenantId":["1569602913205559298"],"current":["1"],"size":["30"],"contractType":[""]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574587095983955969', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:29:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:29:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"name":[""],"tenantId":["1569602913205559298"],"current":["1"],"size":["30"],"contractType":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574587109418311682', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:29:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:29:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"name":[""],"tenantId":[""],"current":["1"],"size":["30"],"contractType":[""]}', '37', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574587111427383297', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:29:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:29:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"name":[""],"tenantId":[""],"current":["1"],"size":["30"],"contractType":[""]}', '23', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574587130855399425', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:30:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:30:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"name":["居民模板"],"tenantId":[""],"current":["1"],"size":["30"],"contractType":[""]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574587224828780546', '0', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:30:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:30:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/saveContractTemplateField', 'POST', '{}', '65', NULL, '### Error updating database.  Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys002)

### The error may exist in com/tofly/workflow/baseconf/mapper/TfContractTemplatePMapper.java (best guess)
### The error may involve com.tofly.workflow.baseconf.mapper.TfContractTemplatePMapper.insert-Inline
### The error occurred while setting parameters
### SQL: INSERT INTO TF_CONTRACT_TEMPLATE_P  ( id, contract_type, name, tenant_id,    remark, CREATE_USER, CREATE_TIME, UPDATE_USER, UPDATE_TIME )  VALUES  ( ?, ?, ?, ?,    ?, ?, ?, ?, ? )
### Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys002)

; ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys002)
; nested exception is java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys002)', 'content:新增合同模板', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574587274644529154', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:30:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:30:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/saveContractTemplateField', 'POST', '{}', '6', NULL, NULL, 'content:新增合同模板', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574587275772796929', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:30:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:30:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '42', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574587379640541185', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:31:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:31:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/saveContractTemplateField', 'POST', '{}', '21', NULL, NULL, 'content:新增合同模板', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574587380299046913', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:31:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:31:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '45', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574587459634307073', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:31:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:31:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/updateContractTemplate', 'PUT', '{}', '18', NULL, NULL, 'content:修改合同模板', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574587460259258370', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:31:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:31:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '45', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574587478848413698', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:31:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:31:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/updateContractTemplate', 'PUT', '{}', '8', NULL, NULL, 'content:修改合同模板', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574587479527890946', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:31:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:31:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '43', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574587505092173826', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:31:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:31:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/updateContractTemplate', 'PUT', '{}', '16', NULL, NULL, 'content:修改合同模板', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574587505591296001', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:31:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:31:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '37', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574587529909870593', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:31:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:31:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/updateContractTemplate', 'PUT', '{}', '6', NULL, NULL, 'content:修改合同模板', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574587530392215554', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:31:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:31:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '29', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574587572746297346', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:31:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:31:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/deleteByIds', 'DELETE', '{"ids":["1574587379489566721,1574587274321588225,1574587221645324290"]}', '13', NULL, NULL, 'content:通过id批量删除合同模板', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574587573178310657', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:31:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:31:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '25', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574580582850600961', '0', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:03:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:03:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp', 'PUT', '{}', '141', NULL, '### Error updating database.  Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys001)

### The error may exist in com/tofly/workflow/baseconf/mapper/TfContractFieldPMapper.java (best guess)
### The error may involve com.tofly.workflow.baseconf.mapper.TfContractFieldPMapper.updateById-Inline
### The error occurred while setting parameters
### SQL: UPDATE TF_CONTRACT_FIELD_P  SET name=?, field_name=?, field_type=?,      UPDATE_USER=?, UPDATE_TIME=?  WHERE id=?
### Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys001)

; ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys001)
; nested exception is java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys001)', 'content:修改合同模板公用字段', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574580626769158146', '0', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:04:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:04:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp', 'PUT', '{}', '64', NULL, '### Error updating database.  Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys001)

### The error may exist in com/tofly/workflow/baseconf/mapper/TfContractFieldPMapper.java (best guess)
### The error may involve com.tofly.workflow.baseconf.mapper.TfContractFieldPMapper.updateById-Inline
### The error occurred while setting parameters
### SQL: UPDATE TF_CONTRACT_FIELD_P  SET name=?, field_name=?, field_type=?,      UPDATE_USER=?, UPDATE_TIME=?  WHERE id=?
### Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys001)

; ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys001)
; nested exception is java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys001)', 'content:修改合同模板公用字段', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574580696541405186', '0', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:04:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:04:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp', 'PUT', '{}', '70', NULL, '### Error updating database.  Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys001)

### The error may exist in com/tofly/workflow/baseconf/mapper/TfContractFieldPMapper.java (best guess)
### The error may involve com.tofly.workflow.baseconf.mapper.TfContractFieldPMapper.updateById-Inline
### The error occurred while setting parameters
### SQL: UPDATE TF_CONTRACT_FIELD_P  SET name=?, field_name=?, field_type=?,      UPDATE_USER=?, UPDATE_TIME=?  WHERE id=?
### Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys001)

; ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys001)
; nested exception is java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys001)', 'content:修改合同模板公用字段', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574580708285456385', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:04:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:04:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"name":[""],"current":["1"],"size":["30"]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574580759116226561', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:04:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:04:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"name":["甲方代表电话"],"current":["1"],"size":["30"]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574580767228010498', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:04:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:04:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"name":[""],"current":["1"],"size":["30"]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574580768230449153', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:04:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:04:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"name":[""],"current":["1"],"size":["30"]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574580782956650497', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:04:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:04:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/deleteByIds', 'DELETE', '{"ids":["1572064240318668802"]}', '6', NULL, NULL, 'content:通过id批量删除合同模板公用字段', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574580783350915073', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:04:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:04:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["30"],"current":["1"]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574580787109011457', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:04:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:04:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"name":[""],"current":["1"],"size":["30"]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574580788040146946', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:04:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:04:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"name":[""],"current":["1"],"size":["30"]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574580846219337729', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:05:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:05:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"name":["甲方"],"current":["1"],"size":["30"]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574580864351313922', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:05:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:05:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"name":[""],"current":["1"],"size":["30"]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574580865097900034', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:05:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:05:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"name":[""],"current":["1"],"size":["30"]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574580905270943745', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:05:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:05:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"name":["aNumber"],"current":["1"],"size":["30"]}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574580912967491586', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:05:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:05:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"name":[""],"current":["1"],"size":["30"]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574580913802158082', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:05:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:05:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"name":[""],"current":["1"],"size":["30"]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574580994865471489', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:05:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:05:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp', 'PUT', '{}', '5', NULL, NULL, 'content:修改合同模板公用字段', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574580995339427841', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:05:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:05:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["30"],"current":["1"]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574581012347330561', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:05:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:05:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp', 'PUT', '{}', '6', NULL, NULL, 'content:修改合同模板公用字段', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574581012632543233', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:05:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:05:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["30"],"current":["1"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574581055364112385', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:05:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:05:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp', 'POST', '{}', '4', NULL, NULL, 'content:新增合同模板公用字段', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574581055657713665', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:05:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:05:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["30"],"current":["1"]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574581071847727106', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:05:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:05:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["1000"],"current":["1"]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574581116298960898', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:06:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:06:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp', 'POST', '{}', '4', NULL, NULL, 'content:新增合同模板公用字段', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574581116848414722', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:06:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:06:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["1000"],"current":["1"]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574581136154796033', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:06:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:06:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/deleteByIds', 'DELETE', '{"ids":["1574581055271858178,1574581116189929473"]}', '5', NULL, NULL, 'content:通过id批量删除合同模板公用字段', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574581136582615042', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:06:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:06:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["1000"],"current":["1"]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574581143146700801', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:06:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:06:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"name":[""],"current":["1"],"size":["1000"]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574581143482245121', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:06:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:06:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"name":[""],"current":["1"],"size":["1000"]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574591663430017025', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-27 10:48:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:48:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574591663811698689', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-27 10:48:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:48:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574591666743517186', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-27 10:48:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:48:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574591700784488449', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-27 10:48:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:48:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574591701141004290', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-27 10:48:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:48:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '4', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574591704148320258', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-27 10:48:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:48:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574592172022931458', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-27 10:50:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:50:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574593167784255490', '0', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:54:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:54:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/saveCalendarAll', 'POST', '{}', '44', NULL, '### Error updating database.  Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys003)

### The error may exist in com/tofly/workflow/baseconf/mapper/TfCalendarYearPMapper.java (best guess)
### The error may involve com.tofly.workflow.baseconf.mapper.TfCalendarYearPMapper.updateById-Inline
### The error occurred while setting parameters
### SQL: UPDATE TF_CALENDAR_YEAR_P  SET UPDATE_USER=?, UPDATE_TIME=?,  year_name=?, remark=?  WHERE id=?
### Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys003)

; ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys003)
; nested exception is java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys003)', 'content:新增日历年日期相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574593178995630082', '0', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:54:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:54:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/saveCalendarAll', 'POST', '{}', '45', NULL, '### Error updating database.  Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys003)

### The error may exist in com/tofly/workflow/baseconf/mapper/TfCalendarYearPMapper.java (best guess)
### The error may involve com.tofly.workflow.baseconf.mapper.TfCalendarYearPMapper.updateById-Inline
### The error occurred while setting parameters
### SQL: UPDATE TF_CALENDAR_YEAR_P  SET UPDATE_USER=?, UPDATE_TIME=?,  year_name=?, remark=?  WHERE id=?
### Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys003)

; ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys003)
; nested exception is java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys003)', 'content:新增日历年日期相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574593187862388737', '0', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:54:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:54:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/saveCalendarAll', 'POST', '{}', '53', NULL, '### Error updating database.  Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys003)

### The error may exist in com/tofly/workflow/baseconf/mapper/TfCalendarYearPMapper.java (best guess)
### The error may involve com.tofly.workflow.baseconf.mapper.TfCalendarYearPMapper.updateById-Inline
### The error occurred while setting parameters
### SQL: UPDATE TF_CALENDAR_YEAR_P  SET UPDATE_USER=?, UPDATE_TIME=?,  year_name=?, remark=?  WHERE id=?
### Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys003)

; ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys003)
; nested exception is java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys003)', 'content:新增日历年日期相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574593203960127489', '0', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:54:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:54:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/saveCalendarAll', 'POST', '{}', '35', NULL, '### Error updating database.  Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys003)

### The error may exist in com/tofly/workflow/baseconf/mapper/TfCalendarYearPMapper.java (best guess)
### The error may involve com.tofly.workflow.baseconf.mapper.TfCalendarYearPMapper.updateById-Inline
### The error occurred while setting parameters
### SQL: UPDATE TF_CALENDAR_YEAR_P  SET UPDATE_USER=?, UPDATE_TIME=?,  year_name=?, remark=?  WHERE id=?
### Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys003)

; ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys003)
; nested exception is java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys003)', 'content:新增日历年日期相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574593239729152002', '0', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:54:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:54:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/saveCalendarAll', 'POST', '{}', '45', NULL, '### Error updating database.  Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys003)

### The error may exist in com/tofly/workflow/baseconf/mapper/TfCalendarYearPMapper.java (best guess)
### The error may involve com.tofly.workflow.baseconf.mapper.TfCalendarYearPMapper.updateById-Inline
### The error occurred while setting parameters
### SQL: UPDATE TF_CALENDAR_YEAR_P  SET UPDATE_USER=?, UPDATE_TIME=?,  year_name=?, remark=?  WHERE id=?
### Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys003)

; ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys003)
; nested exception is java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys003)', 'content:新增日历年日期相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574593286847963138', '0', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:54:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:54:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/saveCalendarAll', 'POST', '{}', '67', NULL, '### Error updating database.  Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys003)

### The error may exist in com/tofly/workflow/baseconf/mapper/TfCalendarYearPMapper.java (best guess)
### The error may involve com.tofly.workflow.baseconf.mapper.TfCalendarYearPMapper.updateById-Inline
### The error occurred while setting parameters
### SQL: UPDATE TF_CALENDAR_YEAR_P  SET UPDATE_USER=?, UPDATE_TIME=?,  year_name=?, remark=?  WHERE id=?
### Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys003)

; ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys003)
; nested exception is java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys003)', 'content:新增日历年日期相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574641697605287937', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-09-27 14:06:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 14:06:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574643087463415809', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-27 14:12:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 14:12:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574643125065351170', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-27 14:12:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 14:12:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '161', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574643125673525249', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-27 14:12:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 14:12:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574314012068810754', 'GET', '{"id":["1574314012068810754"]}', '23', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574643281756160001', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-27 14:13:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 14:13:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574643286332145665', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-27 14:13:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 14:13:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574643344880435201', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-27 14:13:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 14:13:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568483117915193345"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574644171477090305', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-27 14:16:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 14:16:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574644200963047425', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-27 14:16:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 14:16:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '159', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574644244336345089', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-27 14:16:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 14:16:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574314012068810754', 'GET', '{"id":["1574314012068810754"]}', '26', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574645468968255489', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-27 14:21:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 14:21:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '2', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574645513100722178', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-27 14:22:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 14:22:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574314012068810754', 'GET', '{"id":["1574314012068810754"]}', '47', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574646472522596353', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-27 14:25:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 14:25:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574646477387988994', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-27 14:25:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 14:25:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574647070336745474', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-27 14:28:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 14:28:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574647077634834433', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-27 14:28:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 14:28:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/page', 'GET', '{"size":["10000"],"current":["1"]}', '36', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574647077781635074', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-27 14:28:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 14:28:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1572832711356719105"],"isMould":["0"]}', '1', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574648389202210818', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-27 14:33:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 14:33:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '281', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574648736796733441', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-27 14:34:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 14:34:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '462', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574648758435147778', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-27 14:34:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 14:34:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1572832711356719105"],"isMould":["0"]}', '18', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574649373018124290', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-27 14:37:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 14:37:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '261', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574649376423899138', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-27 14:37:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 14:37:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574314012068810754', 'GET', '{"id":["1574314012068810754"]}', '669', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574649512151576578', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-27 14:37:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 14:37:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574649517348319233', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-27 14:37:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 14:37:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '8', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574649563489857537', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-27 14:38:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 14:38:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574649570838278145', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-27 14:38:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 14:38:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '158', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574649571534532610', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-27 14:38:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 14:38:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574314012068810754', 'GET', '{"id":["1574314012068810754"]}', '23', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574649617118228481', '2', 'tofly-auth', 'tnadmin', TO_DATE('2022-09-27 14:38:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 14:38:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/5470a4c1-3c70-41e1-8b2f-5f0f8ff9de0b', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574650895709868033', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-27 14:43:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 14:43:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '19', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574653200375050242', '1', 'tofly-flow', 'hq', TO_DATE('2022-09-27 14:52:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 14:52:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '15', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574653233090621442', '1', 'tofly-flow', 'mz001', TO_DATE('2022-09-27 14:52:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 14:52:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574660041490395138', '0', 'tofly-flow', 'yjf', TO_DATE('2022-09-27 15:19:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 15:19:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"level":[""],"fullName":[""],"updateUser":[""],"remark":[""],"updateTime":[""],"regionCode":[""],"createTime":[""],"regionId":[""],"name":[""],"tenantId":["1569602913205559298"],"createUser":[""],"id":[""],"isDel":[""]}', '108', NULL, 'nested exception is org.apache.ibatis.type.TypeException: Could not set parameters for mapping: ParameterMapping{property=''ew.paramNameValuePairs.MPGENVAL1'', mode=IN, javaType=class java.lang.Object, jdbcType=null, numericScale=null, resultMapId=''null'', jdbcTypeName=''null'', expression=''null''}. Cause: org.apache.ibatis.type.TypeException: Error setting null for parameter #1 with JdbcType OTHER . Try setting a different JdbcType for this parameter or a different jdbcTypeForNull configuration property. Cause: java.sql.SQLException: 无效的列类型: 1111', 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574587596364423170', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:31:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:31:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/deleteByIds', 'DELETE', '{"ids":["1574586757402980354"]}', '6', NULL, NULL, 'content:通过id批量删除合同模板', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574587597786292225', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:31:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:31:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '28', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574587615431729153', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:31:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:31:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"name":[""],"tenantId":[""],"current":["1"],"size":["30"],"contractType":[""]}', '22', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574587616526442498', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:31:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:31:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"name":[""],"tenantId":[""],"current":["1"],"size":["30"],"contractType":[""]}', '24', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574587702241239042', '2', 'tofly-auth', 'test', TO_DATE('2022-09-27 10:32:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:32:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/e5e620c0-3c2d-461b-9a73-720159a4630f', 'DELETE', '{}', '1', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574587893870600193', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:33:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:33:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574587908219314177', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:33:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:33:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"name":[""],"tenantId":[""],"current":["1"],"size":["30"],"contractType":[""]}', '25', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574587917056712705', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-27 10:33:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:33:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '122', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574587919875284994', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-27 10:33:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:33:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574314012068810754', 'GET', '{"id":["1574314012068810754"]}', '20', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574587934404354050', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-27 10:33:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:33:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '103', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574587935738142722', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-27 10:33:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:33:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574314012068810754', 'GET', '{"id":["1574314012068810754"]}', '17', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574588255818063874', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-27 10:34:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:34:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/676cc1b4-9894-446f-9dce-f1f48ecda9c8', 'DELETE', '{}', '1', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574588389968683010', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:35:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:35:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["10000"],"current":["1"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574588440770093058', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:35:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:35:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"name":[""],"tenantId":["1570225246022770689"],"current":["1"],"size":["30"],"contractType":[""]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574588701756465153', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-09-27 10:36:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:36:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574588731963842562', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-09-27 10:36:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:36:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '19', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574588735482863617', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-09-27 10:36:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:36:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574588740977401857', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-09-27 10:36:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:36:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574588742160195585', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-09-27 10:36:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:36:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574588743875665922', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-09-27 10:36:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:36:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574588754722136066', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-09-27 10:36:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:36:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/1574243157838213121', 'GET', '{"0":["1574243157838213121"]}', '13', NULL, NULL, 'content:通过id查询施工组织单位', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574588785885814786', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-09-27 10:36:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:36:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '11', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574588795109089282', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-09-27 10:36:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:36:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"typeName":[""],"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574589032179539970', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:37:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:37:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574590309265416194', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:42:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:42:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/saveCalendarAll', 'POST', '{}', '13', NULL, NULL, 'content:新增日历年日期相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574590309621932033', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:42:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:42:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574590392060977153', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:42:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:42:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/saveCalendarAll', 'POST', '{}', '31', NULL, NULL, 'content:新增日历年日期相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574590393310879746', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:42:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:42:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574590428022939649', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:43:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:43:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/saveCalendarAll', 'POST', '{}', '5', NULL, NULL, 'content:新增日历年日期相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574590430141063169', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:43:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:43:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574590658034376706', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-27 10:44:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:44:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '2', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574591220662509570', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-27 10:46:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:46:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574314012068810754', 'GET', '{"id":["1574314012068810754"]}', '23', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574591358067908609', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-27 10:46:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:46:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '134', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574591407149654018', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-27 10:47:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:47:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574314012068810754', 'GET', '{"id":["1574314012068810754"]}', '18', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574591556945027074', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-27 10:47:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:47:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574591699782049794', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-27 10:48:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:48:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '145', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574591914140344321', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:49:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:49:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/saveCalendarAll', 'POST', '{}', '63', NULL, NULL, 'content:新增日历年日期相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574591915226669057', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:49:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:49:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574591944368693249', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:49:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:49:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/saveCalendarAll', 'POST', '{}', '22', NULL, NULL, 'content:新增日历年日期相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574591944741986306', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:49:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:49:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574581208544288770', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:06:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:06:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp', 'PUT', '{}', '4', NULL, NULL, 'content:修改合同模板公用字段', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574581209035022338', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:06:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:06:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["1000"],"current":["1"]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574581316157546498', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:06:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:06:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp', 'POST', '{}', '4', NULL, NULL, 'content:新增合同模板公用字段', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574581317008990209', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:06:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:06:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["1000"],"current":["1"]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574581370465394689', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:07:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:07:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp', 'PUT', '{}', '6', NULL, NULL, 'content:修改合同模板公用字段', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574581371115511810', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:07:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:07:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["1000"],"current":["1"]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574581384407261185', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:07:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:07:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/deleteByIds', 'DELETE', '{"ids":["1574581316040126466"]}', '3', NULL, NULL, 'content:通过id批量删除合同模板公用字段', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574581384877023234', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:07:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:07:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["1000"],"current":["1"]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574581391881510913', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:07:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:07:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"name":[""],"current":["1"],"size":["1000"]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574581392313524226', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:07:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:07:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"name":[""],"current":["1"],"size":["1000"]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574581554909913090', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:07:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:07:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["10000"],"current":["1"]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574581587273162753', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:07:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:07:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"name":[""],"tenantId":[""],"current":["1"],"size":["30"],"contractType":[""]}', '34', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574581588019748865', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:07:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:07:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"name":[""],"tenantId":[""],"current":["1"],"size":["30"],"contractType":[""]}', '39', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574581611298136065', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:08:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:08:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"name":[""],"tenantId":[""],"current":["1"],"size":["30"],"contractType":[""]}', '29', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574581612074082306', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:08:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:08:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"name":[""],"tenantId":[""],"current":["1"],"size":["30"],"contractType":[""]}', '30', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574581612891971585', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:08:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:08:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"name":[""],"tenantId":[""],"current":["1"],"size":["30"],"contractType":[""]}', '30', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574581613722443777', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:08:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:08:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"name":[""],"tenantId":[""],"current":["1"],"size":["30"],"contractType":[""]}', '34', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574581623096713217', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:08:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:08:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"name":[""],"tenantId":["1569602913205559298"],"current":["1"],"size":["30"],"contractType":[""]}', '17', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574581623763607553', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:08:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:08:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"name":[""],"tenantId":["1569602913205559298"],"current":["1"],"size":["30"],"contractType":[""]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574581624677965825', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:08:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:08:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"name":[""],"tenantId":["1569602913205559298"],"current":["1"],"size":["30"],"contractType":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574581625390997506', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:08:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:08:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"name":[""],"tenantId":["1569602913205559298"],"current":["1"],"size":["30"],"contractType":[""]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574581626225664001', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:08:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:08:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"name":[""],"tenantId":["1569602913205559298"],"current":["1"],"size":["30"],"contractType":[""]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574581627001610242', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:08:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:08:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"name":[""],"tenantId":["1569602913205559298"],"current":["1"],"size":["30"],"contractType":[""]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574581634454888450', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:08:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:08:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"name":[""],"tenantId":[""],"current":["1"],"size":["30"],"contractType":[""]}', '30', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574581636501708802', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:08:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:08:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"name":[""],"tenantId":[""],"current":["1"],"size":["30"],"contractType":[""]}', '26', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574581636858224641', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:08:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:08:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"name":[""],"tenantId":[""],"current":["1"],"size":["30"],"contractType":[""]}', '32', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574581646920359937', '2', 'tofly-auth', 'test', TO_DATE('2022-09-27 10:08:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:08:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/8e9ccfe6-67d8-4324-ac85-41b54e386b2f', 'DELETE', '{}', '25', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574595992484421634', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 11:05:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:05:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/page', 'GET', '{"current":["1"],"size":["30"],"yearName":[""]}', '19', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574596126374993921', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-27 11:05:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:05:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '9', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574596133614362625', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-27 11:05:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:05:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '190', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574596176874414081', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-27 11:05:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:05:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '200', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574596369770455042', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-27 11:06:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:06:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574314012068810754', 'GET', '{"id":["1574314012068810754"]}', '30', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574596405434621954', '0', 'tofly-flow', 'test', TO_DATE('2022-09-27 11:06:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:06:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/saveCalendarAll', 'POST', '{}', '172', NULL, '### Error updating database.  Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys003)

### The error may exist in com/tofly/workflow/baseconf/mapper/TfCalendarYearPMapper.java (best guess)
### The error may involve com.tofly.workflow.baseconf.mapper.TfCalendarYearPMapper.updateById-Inline
### The error occurred while setting parameters
### SQL: UPDATE TF_CALENDAR_YEAR_P  SET UPDATE_USER=?, UPDATE_TIME=?,  year_name=?  WHERE id=?
### Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys003)

; ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys003)
; nested exception is java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys003)', 'content:新增日历年日期相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574596423428186114', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 11:06:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:06:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574596427421163521', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-27 11:06:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:06:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '136', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574593298495545346', '0', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:54:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:54:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/saveCalendarAll', 'POST', '{}', '38', NULL, '### Error updating database.  Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys003)

### The error may exist in com/tofly/workflow/baseconf/mapper/TfCalendarYearPMapper.java (best guess)
### The error may involve com.tofly.workflow.baseconf.mapper.TfCalendarYearPMapper.updateById-Inline
### The error occurred while setting parameters
### SQL: UPDATE TF_CALENDAR_YEAR_P  SET UPDATE_USER=?, UPDATE_TIME=?,  year_name=?, remark=?  WHERE id=?
### Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys003)

; ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys003)
; nested exception is java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys003)', 'content:新增日历年日期相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574593309807583233', '0', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:54:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:54:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/saveCalendarAll', 'POST', '{}', '39', NULL, '### Error updating database.  Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys003)

### The error may exist in com/tofly/workflow/baseconf/mapper/TfCalendarYearPMapper.java (best guess)
### The error may involve com.tofly.workflow.baseconf.mapper.TfCalendarYearPMapper.updateById-Inline
### The error occurred while setting parameters
### SQL: UPDATE TF_CALENDAR_YEAR_P  SET UPDATE_USER=?, UPDATE_TIME=?,  year_name=?, remark=?  WHERE id=?
### Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys003)

; ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys003)
; nested exception is java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys003)', 'content:新增日历年日期相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574593411062276098', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-27 10:54:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:54:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl', 'POST', '{}', '295', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574593412094074881', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-27 10:54:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:54:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574593429072617473', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-27 10:55:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:55:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '178', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574593430213468162', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-27 10:55:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:55:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574593430586761218', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-27 10:55:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:55:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574593433510191106', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-27 10:55:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:55:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574593950797897729', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-27 10:57:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:57:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574593990975135745', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-27 10:57:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:57:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '197', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574594015545368577', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-27 10:57:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:57:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574594022830874625', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:57:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:57:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/saveCalendarAll', 'POST', '{}', '9', NULL, NULL, 'content:新增日历年日期相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574594023216750594', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:57:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:57:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '17', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574594364503072770', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:58:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:58:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/saveCalendarAll', 'POST', '{}', '9', NULL, NULL, 'content:新增日历年日期相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574594364876365825', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:58:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:58:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574594374804283394', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:58:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:58:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/deleteByIds', 'DELETE', '{"ids":["1574594022721843201"]}', '5', NULL, NULL, 'content:通过id批量删除日历年', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574594375055941633', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:58:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:58:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574594475832483841', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:59:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:59:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/saveCalendarAll', 'POST', '{}', '8', NULL, NULL, 'content:新增日历年日期相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574594476390326273', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:59:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:59:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574594489057124354', '0', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:59:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:59:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/saveCalendarAll', 'POST', '{}', '27', NULL, '工作日应用日历列表为空，请重新输入', 'content:新增日历年日期相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574594499110871042', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-27 10:59:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:59:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '20', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574594499333169154', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-27 10:59:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:59:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574594507939880962', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-27 10:59:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:59:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '127', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574594508556443649', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-27 10:59:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:59:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574594508740993026', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-27 10:59:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:59:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574594511358238721', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-27 10:59:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:59:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574594512016744449', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:59:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:59:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/deleteByIds', 'DELETE', '{"ids":["1570588492802129922"]}', '4', NULL, NULL, 'content:通过id批量删除日历年', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574594512469729282', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:59:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:59:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574595990529875971', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 11:05:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:05:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["10000"],"current":["1"]}', '665', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574595990529875972', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 11:05:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:05:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '55', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574595993956622338', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 11:05:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:05:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/page', 'GET', '{"current":["1"],"size":["30"],"yearName":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574595996078940162', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-27 11:05:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:05:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '58', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574647744004886530', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-27 14:30:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 14:30:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1572832711356719105"],"isMould":["0"]}', '13', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574647744189435905', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-27 14:30:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 14:30:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/page', 'GET', '{"size":["10000"],"current":["1"]}', '135', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574648942170828801', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-27 14:35:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 14:35:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '23', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574648947229159425', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-27 14:35:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 14:35:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '10', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574649059737169922', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-27 14:36:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 14:36:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574649063335882754', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-27 14:36:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 14:36:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '9', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574649069312765954', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-27 14:36:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 14:36:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/page', 'GET', '{"size":["10000"],"current":["1"]}', '48', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574649069501509633', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-27 14:36:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 14:36:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1572832711356719105"],"isMould":["0"]}', '2', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574649167488839681', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-27 14:36:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 14:36:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574649172421341186', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-27 14:36:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 14:36:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '9', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574649176330432514', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-27 14:36:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 14:36:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/page', 'GET', '{"size":["10000"],"current":["1"]}', '51', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574649176464650242', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-27 14:36:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 14:36:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1572832711356719105"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574649302197301250', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-27 14:37:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 14:37:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '9', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574649307079471105', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-27 14:37:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 14:37:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574649403657515010', '2', 'tofly-auth', 'mzadmin', TO_DATE('2022-09-27 14:37:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 14:37:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/cf76bd19-1c65-48fe-be21-0ebe9357c37b', 'DELETE', '{}', '1', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574649942071930881', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-27 14:39:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 14:39:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574649947818127362', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-27 14:39:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 14:39:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '151', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574649948560519169', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-27 14:39:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 14:39:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574314012068810754', 'GET', '{"id":["1574314012068810754"]}', '28', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574660078379298817', '0', 'tofly-flow', 'yjf', TO_DATE('2022-09-27 15:19:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 15:19:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"level":[""],"fullName":[""],"updateUser":[""],"remark":[""],"updateTime":[""],"regionCode":[""],"createTime":[""],"regionId":[""],"name":[""],"tenantId":["1569602913205559298"],"createUser":[""],"id":[""],"isDel":[""]}', '109', NULL, 'nested exception is org.apache.ibatis.type.TypeException: Could not set parameters for mapping: ParameterMapping{property=''ew.paramNameValuePairs.MPGENVAL1'', mode=IN, javaType=class java.lang.Object, jdbcType=null, numericScale=null, resultMapId=''null'', jdbcTypeName=''null'', expression=''null''}. Cause: org.apache.ibatis.type.TypeException: Error setting null for parameter #1 with JdbcType OTHER . Try setting a different JdbcType for this parameter or a different jdbcTypeForNull configuration property. Cause: java.sql.SQLException: 无效的列类型: 1111', 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574660103251521537', '0', 'tofly-flow', 'yjf', TO_DATE('2022-09-27 15:19:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 15:19:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"level":[""],"fullName":[""],"updateUser":[""],"remark":[""],"updateTime":[""],"regionCode":[""],"createTime":[""],"regionId":[""],"name":[""],"tenantId":["1569602913205559298"],"createUser":[""],"id":[""],"isDel":[""]}', '91', NULL, 'nested exception is org.apache.ibatis.type.TypeException: Could not set parameters for mapping: ParameterMapping{property=''ew.paramNameValuePairs.MPGENVAL1'', mode=IN, javaType=class java.lang.Object, jdbcType=null, numericScale=null, resultMapId=''null'', jdbcTypeName=''null'', expression=''null''}. Cause: org.apache.ibatis.type.TypeException: Error setting null for parameter #1 with JdbcType OTHER . Try setting a different JdbcType for this parameter or a different jdbcTypeForNull configuration property. Cause: java.sql.SQLException: 无效的列类型: 1111', 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574662491047825409', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-27 15:29:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 15:29:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '36', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574665770674786305', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-27 15:42:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 15:42:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574666627050999809', '0', 'tofly-flow', 'yjf', TO_DATE('2022-09-27 15:45:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 15:45:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"level":[""],"fullName":[""],"updateUser":[""],"remark":[""],"updateTime":[""],"regionCode":[""],"createTime":[""],"regionId":[""],"name":[""],"tenantId":["1569602913205559298"],"createUser":[""],"id":[""],"isDel":[""]}', '126', NULL, 'nested exception is org.apache.ibatis.type.TypeException: Could not set parameters for mapping: ParameterMapping{property=''ew.paramNameValuePairs.MPGENVAL1'', mode=IN, javaType=class java.lang.Object, jdbcType=null, numericScale=null, resultMapId=''null'', jdbcTypeName=''null'', expression=''null''}. Cause: org.apache.ibatis.type.TypeException: Error setting null for parameter #1 with JdbcType OTHER . Try setting a different JdbcType for this parameter or a different jdbcTypeForNull configuration property. Cause: java.sql.SQLException: 无效的列类型: 1111', 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574666731380117505', '2', 'tofly-auth', 'yj', TO_DATE('2022-09-27 15:46:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 15:46:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/9d2bb580-5fb4-476b-af57-33de9b4d5b78', 'DELETE', '{}', '3', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574668057686151169', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-27 15:51:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 15:51:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfreportentryp', 'POST', '{}', '5', NULL, NULL, 'content:新增开工报告条目', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574668058055249922', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-27 15:51:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 15:51:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfreportentryp/page', 'GET', '{"name":[""],"current":["1"],"size":["30"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574668087721562113', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-27 15:51:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 15:51:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfreportentryp', 'POST', '{}', '8', NULL, NULL, 'content:新增开工报告条目', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574668088023552002', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-27 15:51:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 15:51:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfreportentryp/page', 'GET', '{"name":[""],"current":["1"],"size":["30"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574668112728002562', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-27 15:51:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 15:51:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfreportentryp', 'POST', '{}', '4', NULL, NULL, 'content:新增开工报告条目', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574592129660461058', '0', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:49:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:49:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/saveCalendarAll', 'POST', '{}', '78', NULL, '### Error updating database.  Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys004)

### The error may exist in com/tofly/workflow/baseconf/mapper/TfCalendarPMapper.java (best guess)
### The error may involve com.tofly.workflow.baseconf.mapper.TfCalendarPMapper.insert-Inline
### The error occurred while setting parameters
### SQL: INSERT INTO TF_CALENDAR_P  ( id, year_id, data_time, type,   CREATE_USER, CREATE_TIME, UPDATE_USER, UPDATE_TIME )  VALUES  ( ?, ?, ?, ?,   ?, ?, ?, ? )
### Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys004)

; ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys004)
; nested exception is java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys004)', 'content:新增日历年日期相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574594279279009793', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-27 10:58:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:58:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574594328234926081', '0', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:58:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:58:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/saveCalendarAll', 'POST', '{}', '30', NULL, '工作日应用日历列表为空，请重新输入', 'content:新增日历年日期相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574594821711568898', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 11:00:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:00:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574595990529875970', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 11:05:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:05:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '766', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574596097740480514', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 11:05:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:05:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/saveCalendarAll', 'POST', '{}', '15', NULL, NULL, 'content:新增日历年日期相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574596098080219138', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 11:05:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:05:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574597471605727233', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 11:11:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:11:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/saveCalendarAll', 'POST', '{}', '13', NULL, NULL, 'content:新增日历年日期相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574597471857385474', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 11:11:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:11:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574597491126018050', '0', 'tofly-flow', 'test', TO_DATE('2022-09-27 11:11:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:11:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/saveCalendarAll', 'POST', '{}', '69', NULL, '### Error updating database.  Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys003)

### The error may exist in com/tofly/workflow/baseconf/mapper/TfCalendarYearPMapper.java (best guess)
### The error may involve com.tofly.workflow.baseconf.mapper.TfCalendarYearPMapper.updateById-Inline
### The error occurred while setting parameters
### SQL: UPDATE TF_CALENDAR_YEAR_P  SET UPDATE_USER=?, UPDATE_TIME=?,  year_name=?  WHERE id=?
### Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys003)

; ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys003)
; nested exception is java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys003)', 'content:新增日历年日期相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574597530586030082', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-27 11:11:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:11:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574597537452105730', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 11:11:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:11:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/saveCalendarAll', 'POST', '{}', '7', NULL, NULL, 'content:新增日历年日期相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574597537695375361', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 11:11:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:11:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574597555739271169', '0', 'tofly-flow', 'test', TO_DATE('2022-09-27 11:11:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:11:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/saveCalendarAll', 'POST', '{}', '65', NULL, '### Error updating database.  Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys003)

### The error may exist in com/tofly/workflow/baseconf/mapper/TfCalendarYearPMapper.java (best guess)
### The error may involve com.tofly.workflow.baseconf.mapper.TfCalendarYearPMapper.updateById-Inline
### The error occurred while setting parameters
### SQL: UPDATE TF_CALENDAR_YEAR_P  SET UPDATE_USER=?, UPDATE_TIME=?,  year_name=?  WHERE id=?
### Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys003)

; ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys003)
; nested exception is java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys003)', 'content:新增日历年日期相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574597572671676417', '0', 'tofly-flow', 'test', TO_DATE('2022-09-27 11:11:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:11:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/saveCalendarAll', 'POST', '{}', '62', NULL, '### Error updating database.  Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys003)

### The error may exist in com/tofly/workflow/baseconf/mapper/TfCalendarYearPMapper.java (best guess)
### The error may involve com.tofly.workflow.baseconf.mapper.TfCalendarYearPMapper.updateById-Inline
### The error occurred while setting parameters
### SQL: UPDATE TF_CALENDAR_YEAR_P  SET UPDATE_USER=?, UPDATE_TIME=?,  year_name=?  WHERE id=?
### Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys003)

; ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys003)
; nested exception is java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys003)', 'content:新增日历年日期相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574597797465399297', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 11:12:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:12:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/saveCalendarAll', 'POST', '{}', '9', NULL, NULL, 'content:新增日历年日期相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574597797742223362', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 11:12:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:12:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574597928247992322', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-27 11:12:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:12:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '97', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574597934979850242', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-27 11:12:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:12:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574601476335542274', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-27 11:27:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:27:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1572832711356719105"],"isMould":["0"]}', '2', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574601994701185025', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-27 11:29:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:29:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '154', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574601995254833154', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-27 11:29:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:29:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574314012068810754', 'GET', '{"id":["1574314012068810754"]}', '29', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574602115413254145', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-27 11:29:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:29:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '2', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574596427861565441', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-27 11:06:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:06:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574314012068810754', 'GET', '{"id":["1574314012068810754"]}', '24', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574596445221789698', '0', 'tofly-flow', 'test', TO_DATE('2022-09-27 11:07:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:07:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/saveCalendarAll', 'POST', '{}', '47', NULL, '工作日应用日历列表为空，请重新输入', 'content:新增日历年日期相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574596459520172034', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-27 11:07:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:07:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '152', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574596460002516993', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-27 11:07:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:07:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574314012068810754', 'GET', '{"id":["1574314012068810754"]}', '19', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574596814890967042', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 11:08:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:08:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574596824768552962', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 11:08:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:08:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/saveCalendarAll', 'POST', '{}', '10', NULL, NULL, 'content:新增日历年日期相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574596825003433985', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 11:08:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:08:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574596834994266114', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 11:08:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:08:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/saveCalendarAll', 'POST', '{}', '8', NULL, NULL, 'content:新增日历年日期相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574596835250118658', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 11:08:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:08:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574596851121364993', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 11:08:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:08:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/saveCalendarAll', 'POST', '{}', '6', NULL, NULL, 'content:新增日历年日期相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574596851419160577', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 11:08:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:08:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574596860579520513', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 11:08:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:08:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/saveCalendarAll', 'POST', '{}', '12', NULL, NULL, 'content:新增日历年日期相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574596860860538882', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 11:08:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:08:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574596875544797186', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 11:08:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:08:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/saveCalendarAll', 'POST', '{}', '7', NULL, NULL, 'content:新增日历年日期相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574596875796455426', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 11:08:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:08:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574596892909215745', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 11:08:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:08:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/saveCalendarAll', 'POST', '{}', '68', NULL, NULL, 'content:新增日历年日期相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574596893177651202', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 11:08:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:08:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574596903944429570', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 11:08:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:08:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/saveCalendarAll', 'POST', '{}', '8', NULL, NULL, 'content:新增日历年日期相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574596904275779585', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 11:08:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:08:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574596941093380098', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 11:09:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:09:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/saveCalendarAll', 'POST', '{}', '8', NULL, NULL, 'content:新增日历年日期相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574596941399564290', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 11:09:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:09:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574596950413123585', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 11:09:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:09:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/saveCalendarAll', 'POST', '{}', '6', NULL, NULL, 'content:新增日历年日期相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574596950639616001', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 11:09:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:09:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574596967647518721', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 11:09:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:09:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/saveCalendarAll', 'POST', '{}', '8', NULL, NULL, 'content:新增日历年日期相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574596967878205441', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 11:09:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:09:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574596982755401730', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-27 11:09:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:09:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '125', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574596983191609345', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-27 11:09:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:09:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574293039374479362', 'GET', '{"id":["1574293039374479362"]}', '18', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574596984907079681', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 11:09:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:09:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/saveCalendarAll', 'POST', '{}', '8', NULL, NULL, 'content:新增日历年日期相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574596985154543618', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 11:09:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:09:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574596991378890754', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 11:09:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:09:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/page', 'GET', '{"current":["1"],"size":["30"],"yearName":[""]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574596992016424962', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 11:09:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:09:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/page', 'GET', '{"current":["1"],"size":["30"],"yearName":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574596992825925633', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 11:09:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:09:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/page', 'GET', '{"current":["1"],"size":["30"],"yearName":[""]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574597010513305601', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 11:09:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:09:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/page', 'GET', '{"current":["1"],"size":["30"],"yearName":["2023"]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574597016859287554', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 11:09:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:09:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/page', 'GET', '{"current":["1"],"size":["30"],"yearName":["2023"]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574597017740091393', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 11:09:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:09:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/page', 'GET', '{"current":["1"],"size":["30"],"yearName":["2023"]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574597035079344130', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-27 11:09:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:09:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '151', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574597036463464450', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-27 11:09:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:09:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '47', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574597036492824577', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-27 11:09:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:09:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '54', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574597037444931585', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 11:09:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:09:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/saveCalendarAll', 'POST', '{}', '7', NULL, NULL, 'content:新增日历年日期相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574597037721755650', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 11:09:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:09:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574597061281161217', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-27 11:09:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:09:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '134', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574597062082273282', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-27 11:09:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:09:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '19', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574597062082273283', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-27 11:09:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:09:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574597085159333889', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 11:09:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:09:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/saveCalendarAll', 'POST', '{}', '8', NULL, NULL, 'content:新增日历年日期相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574597085478100993', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 11:09:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:09:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574596004366884866', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 11:05:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:05:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/saveCalendarAll', 'POST', '{}', '26', NULL, NULL, 'content:新增日历年日期相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574596004735983617', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 11:05:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:05:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574596024486961153', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 11:05:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:05:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/saveCalendarAll', 'POST', '{}', '14', NULL, NULL, 'content:新增日历年日期相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574596024843476993', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 11:05:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:05:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574596026194042882', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-27 11:05:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:05:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '259', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574596303064244225', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-27 11:06:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:06:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574597293326835713', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 11:10:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:10:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/saveCalendarAll', 'POST', '{}', '9', NULL, NULL, 'content:新增日历年日期相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574597293599465474', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 11:10:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:10:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574597436591677442', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 11:10:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:10:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/saveCalendarAll', 'POST', '{}', '6', NULL, NULL, 'content:新增日历年日期相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574597436813975553', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 11:10:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:10:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574597446641229826', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 11:11:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:11:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/saveCalendarAll', 'POST', '{}', '38', NULL, NULL, 'content:新增日历年日期相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574597447278764033', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 11:11:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:11:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574597458532081665', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-27 11:11:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:11:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '135', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574597459136061442', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-27 11:11:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:11:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574314012068810754', 'GET', '{"id":["1574314012068810754"]}', '20', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574597516350562305', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 11:11:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:11:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/saveCalendarAll', 'POST', '{}', '9', NULL, NULL, 'content:新增日历年日期相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574597516593831937', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 11:11:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:11:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574597520591003649', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-27 11:11:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:11:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '18', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574599149729947650', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-27 11:17:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:17:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '22', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574599536105037825', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 11:19:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:19:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/saveCalendarAll', 'POST', '{"calendarPList":[{"updateUserName":"总公司的权限","typeName":"上班","updateUser":"1571688988283506690","createUserName":"总公司的权限","updateTime":"2022-09-27 11:11:22","type":1,"yearId":"1574596616575877121","dataTime":"2023-01-02 00:00:00","createTime":"2022-09-27 11:11:22","createUser":"1571688988283506690","id":"1574596616626208770"},{"updateUserName":"总公司的权限","typeName":"休假","updateUser":"1571688988283506690","createUserName":"总公司的权限","updateTime":"2022-09-27 11:11:22","type":0,"yearId":"1574596616575877121","dataTime":"2023-07-01 00:00:00","createTime":"2022-09-27 11:11:22","createUser":"1571688988283506690","id":"1574596616655568898"},{"updateUserName":"总公司的权限","typeName":"上班","updateUser":"1571688988283506690","createUserName":"总公司的权限","updateTime":"2022-09-27 11:11:22","type":1,"yearId":"1574596616575877121","dataTime":"2023-11-30 00:00:00","createTime":"2022-09-27 11:11:22","createUser":"1571688988283506690","id":"1574597293251330050"}],"calendarYearP":{"id":"1574596616575877121","yearName":"2023"}}', '16', NULL, NULL, 'content:新增日历年日期相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574599750723379201', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 11:20:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:20:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/saveCalendarAll', 'POST', '{}', '15', NULL, NULL, 'content:新增日历年日期相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574599751717429250', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 11:20:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:20:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '160', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574599794365112322', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 11:20:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:20:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/saveCalendarAll', 'POST', '{}', '12', NULL, NULL, 'content:新增日历年日期相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574599794746793985', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 11:20:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:20:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '20', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574600026213654530', '0', 'tofly-flow', 'test', TO_DATE('2022-09-27 11:21:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:21:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/saveCalendarAll', 'POST', '{}', '62', NULL, '### Error updating database.  Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys003)

### The error may exist in com/tofly/workflow/baseconf/mapper/TfCalendarYearPMapper.java (best guess)
### The error may involve com.tofly.workflow.baseconf.mapper.TfCalendarYearPMapper.updateById-Inline
### The error occurred while setting parameters
### SQL: UPDATE TF_CALENDAR_YEAR_P  SET UPDATE_USER=?, UPDATE_TIME=?,  year_name=?  WHERE id=?
### Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys003)

; ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys003)
; nested exception is java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys003)', 'content:新增日历年日期相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574600148796383234', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 11:21:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:21:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/saveCalendarAll', 'POST', '{}', '29', NULL, NULL, 'content:新增日历年日期相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574600149203230722', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 11:21:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:21:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '18', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574600170891976706', '0', 'tofly-flow', 'test', TO_DATE('2022-09-27 11:21:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:21:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/saveCalendarAll', 'POST', '{}', '83', NULL, '### Error updating database.  Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys003)

### The error may exist in com/tofly/workflow/baseconf/mapper/TfCalendarYearPMapper.java (best guess)
### The error may involve com.tofly.workflow.baseconf.mapper.TfCalendarYearPMapper.updateById-Inline
### The error occurred while setting parameters
### SQL: UPDATE TF_CALENDAR_YEAR_P  SET UPDATE_USER=?, UPDATE_TIME=?,  year_name=?  WHERE id=?
### Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys003)

; ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys003)
; nested exception is java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys003)', 'content:新增日历年日期相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574601124253081602', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-27 11:25:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:25:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '287', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574668112971272194', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-27 15:51:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 15:51:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfreportentryp/page', 'GET', '{"name":[""],"current":["1"],"size":["30"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574668136992051202', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-27 15:51:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 15:51:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfreportentryp', 'POST', '{}', '4', NULL, NULL, 'content:新增开工报告条目', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574668137264680962', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-27 15:51:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 15:51:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfreportentryp/page', 'GET', '{"name":[""],"current":["1"],"size":["30"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574668158093594626', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-27 15:51:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 15:51:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfreportentryp', 'POST', '{}', '16', NULL, NULL, 'content:新增开工报告条目', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574668158357835777', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-27 15:51:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 15:51:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfreportentryp/page', 'GET', '{"name":[""],"current":["1"],"size":["30"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574668178792484866', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-27 15:52:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 15:52:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574668188519075842', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-27 15:52:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 15:52:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '27', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574668212686655490', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-27 15:52:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 15:52:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{}', '18', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574668245540638722', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-27 15:52:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 15:52:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp', 'POST', '{}', '15', NULL, NULL, 'content:新增工程工序/工程管控', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574668245859405826', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-27 15:52:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 15:52:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '24', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574668262812782593', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-27 15:52:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 15:52:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '205', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574668263685197825', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-27 15:52:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 15:52:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574668263920078850', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-27 15:52:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 15:52:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574668266344386562', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-27 15:52:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 15:52:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574668295373164545', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-27 15:52:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 15:52:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl', 'POST', '{}', '341', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574670194335911937', '0', 'tofly-flow', 'yjf', TO_DATE('2022-09-27 16:00:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 16:00:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"level":[""],"fullName":[""],"updateUser":[""],"remark":[""],"updateTime":[""],"regionCode":[""],"createTime":[""],"regionId":[""],"name":[""],"tenantId":["1569602913205559298"],"createUser":[""],"id":[""],"isDel":[""]}', '105', NULL, 'nested exception is org.apache.ibatis.type.TypeException: Could not set parameters for mapping: ParameterMapping{property=''ew.paramNameValuePairs.MPGENVAL1'', mode=IN, javaType=class java.lang.Object, jdbcType=null, numericScale=null, resultMapId=''null'', jdbcTypeName=''null'', expression=''null''}. Cause: org.apache.ibatis.type.TypeException: Error setting null for parameter #1 with JdbcType OTHER . Try setting a different JdbcType for this parameter or a different jdbcTypeForNull configuration property. Cause: java.sql.SQLException: 无效的列类型: 1111', 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574670257778954241', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-27 16:00:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 16:00:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectdispatchw/page', 'GET', '{"current":["1"],"state":[""],"userType":["{}"],"projectLink":[""],"size":["30"]}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574676524568252417', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-27 16:25:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 16:25:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectdispatchw/page', 'GET', '{"current":["1"],"state":[""],"userType":["{}"],"projectLink":[""],"size":["30"]}', '40', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574676537021140993', '0', 'tofly-flow', 'yjf', TO_DATE('2022-09-27 16:25:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 16:25:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"level":[""],"fullName":[""],"updateUser":[""],"remark":[""],"updateTime":[""],"regionCode":[""],"createTime":[""],"regionId":[""],"name":[""],"tenantId":["1569602913205559298"],"createUser":[""],"id":[""],"isDel":[""]}', '103', NULL, 'nested exception is org.apache.ibatis.type.TypeException: Could not set parameters for mapping: ParameterMapping{property=''ew.paramNameValuePairs.MPGENVAL1'', mode=IN, javaType=class java.lang.Object, jdbcType=null, numericScale=null, resultMapId=''null'', jdbcTypeName=''null'', expression=''null''}. Cause: org.apache.ibatis.type.TypeException: Error setting null for parameter #1 with JdbcType OTHER . Try setting a different JdbcType for this parameter or a different jdbcTypeForNull configuration property. Cause: java.sql.SQLException: 无效的列类型: 1111', 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574676580109225986', '0', 'tofly-flow', 'yjf', TO_DATE('2022-09-27 16:25:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 16:25:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"level":[""],"fullName":[""],"updateUser":[""],"remark":[""],"updateTime":[""],"regionCode":[""],"createTime":[""],"regionId":[""],"name":[""],"tenantId":["1569602913205559298"],"createUser":[""],"id":[""],"isDel":[""]}', '94', NULL, 'nested exception is org.apache.ibatis.type.TypeException: Could not set parameters for mapping: ParameterMapping{property=''ew.paramNameValuePairs.MPGENVAL1'', mode=IN, javaType=class java.lang.Object, jdbcType=null, numericScale=null, resultMapId=''null'', jdbcTypeName=''null'', expression=''null''}. Cause: org.apache.ibatis.type.TypeException: Error setting null for parameter #1 with JdbcType OTHER . Try setting a different JdbcType for this parameter or a different jdbcTypeForNull configuration property. Cause: java.sql.SQLException: 无效的列类型: 1111', 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574676820941967361', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-27 16:26:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 16:26:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectdispatchw/page', 'GET', '{"current":["1"],"state":[""],"userType":["{}"],"projectLink":[""],"size":["30"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574676957319761922', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-27 16:26:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 16:26:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectdispatchw/page', 'GET', '{"current":["1"],"state":[""],"userType":["{}"],"projectLink":[""],"size":["30"]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574677970449698817', '0', 'tofly-flow', 'yjf', TO_DATE('2022-09-27 16:30:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 16:30:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"level":[""],"fullName":[""],"updateUser":[""],"remark":[""],"updateTime":[""],"regionCode":[""],"createTime":[""],"regionId":[""],"name":[""],"tenantId":["1569602913205559298"],"createUser":[""],"id":[""],"isDel":[""]}', '71', NULL, 'nested exception is org.apache.ibatis.type.TypeException: Could not set parameters for mapping: ParameterMapping{property=''ew.paramNameValuePairs.MPGENVAL1'', mode=IN, javaType=class java.lang.Object, jdbcType=null, numericScale=null, resultMapId=''null'', jdbcTypeName=''null'', expression=''null''}. Cause: org.apache.ibatis.type.TypeException: Error setting null for parameter #1 with JdbcType OTHER . Try setting a different JdbcType for this parameter or a different jdbcTypeForNull configuration property. Cause: java.sql.SQLException: 无效的列类型: 1111', 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574678516950732801', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-27 16:33:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 16:33:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574678518980775938', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-27 16:33:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 16:33:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '350', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574602128952467457', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-27 11:29:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:29:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '156', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574602129594195970', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-27 11:29:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:29:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574314012068810754', 'GET', '{"id":["1574314012068810754"]}', '25', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574602193490223105', '2', 'tofly-auth', 'test', TO_DATE('2022-09-27 11:29:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:29:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/10442743-45e5-475b-ad55-fb30da0e444b', 'DELETE', '{}', '9', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574602251656830978', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-27 11:30:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:30:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/page', 'GET', '{"hitCount":[""],"optimizeCountSql":[""],"level":[""],"records":[""],"searchCount":[""],"fullName":[""],"updateUser":[""],"remark":[""],"updateTime":[""],"current":[""],"regionCode":[""],"total":[""],"size":[""],"createTime":[""],"regionId":[""],"orders[0].asc":[""],"name":[""],"tenantId":[""],"createUser":[""],"orders[0].column":[""],"id":[""],"isDel":[""]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574602279838359553', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-09-27 11:30:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:30:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574602315758379009', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-09-27 11:30:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:30:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574602324868407298', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-09-27 11:30:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:30:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '30', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574602328047689729', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-09-27 11:30:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:30:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{}', '17', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574602348121628674', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-09-27 11:30:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:30:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574602352043302914', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-09-27 11:30:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:30:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574602386927329282', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-27 11:30:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:30:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/page', 'GET', '{"hitCount":[""],"optimizeCountSql":[""],"level":[""],"records":[""],"searchCount":[""],"fullName":[""],"updateUser":[""],"remark":[""],"updateTime":[""],"current":[""],"regionCode":[""],"total":[""],"size":[""],"createTime":[""],"regionId":[""],"orders[0].asc":[""],"name":[""],"tenantId":[""],"createUser":[""],"orders[0].column":[""],"id":[""],"isDel":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574602502635593730', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-27 11:31:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:31:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574602509140959233', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-27 11:31:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:31:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574602739928342530', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-27 11:32:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:32:02', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/tfregionp/page', 'GET', '{"tenantId":["1"],"size":["10000"],"isDel":["0"]}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574602793103728641', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-27 11:32:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:32:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/page', 'GET', '{"tenantId":["1"],"current":["1"],"size":["10000"],"isDel":["0"]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574602793594462210', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-27 11:32:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:32:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1572832711356719105"],"isMould":["0"]}', '2', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574602824380653570', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-27 11:32:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:32:22', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/tfregionp/page', 'GET', '{"tenantId":["1"],"current":["1"],"size":["10000"],"isDel":["0"]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574602965418319874', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-27 11:32:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:32:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '11', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574602980425539585', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-27 11:32:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:32:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/page', 'GET', '{"hitCount":[""],"optimizeCountSql":[""],"level":[""],"records":[""],"searchCount":[""],"fullName":[""],"updateUser":[""],"remark":[""],"updateTime":[""],"current":[""],"regionCode":[""],"total":[""],"size":[""],"createTime":[""],"regionId":[""],"orders[0].asc":[""],"name":[""],"tenantId":[""],"createUser":[""],"orders[0].column":[""],"id":[""],"isDel":[""]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574603206594994178', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-27 11:33:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:33:53', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/tfregionp/page', 'GET', '{"current":["1"],"size":["10000"],"isDel":["0"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574603217433075713', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-27 11:33:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:33:56', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/tfregionp/page', 'GET', '{"current":["1"],"size":["10000"],"isDel":["0"]}', '2', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574603245971120129', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-27 11:34:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:34:03', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/tfregionp/page', 'GET', '{}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574603292464979970', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-27 11:34:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:34:14', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/tfregionp/page', 'GET', '{"size":["10000"],"current":["1"]}', '49', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574603346437283842', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-27 11:34:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:34:27', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/tfregionp/page', 'GET', '{"current":["1"],"size":["10000"],"isDel":["0"]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574603876635058177', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-27 11:36:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:36:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1572832711356719105"],"isMould":["0"]}', '2', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574606126707113986', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-27 11:45:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:45:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '9', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574606135062167553', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-27 11:45:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:45:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '167', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574607494729695234', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-27 11:50:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:50:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '138', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574607501335724033', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-27 11:50:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:50:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574314012068810754', 'GET', '{"id":["1574314012068810754"]}', '32', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574633730717777922', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-27 13:35:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 13:35:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '140', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574633731254648834', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-27 13:35:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 13:35:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574314012068810754', 'GET', '{"id":["1574314012068810754"]}', '22', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574633805196034050', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-27 13:35:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 13:35:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574633827996270594', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-27 13:35:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 13:35:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '24', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574633828256317442', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-27 13:35:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 13:35:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574633834262560769', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-27 13:35:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 13:35:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574579884251521025', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:01:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:01:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp', 'POST', '{}', '3', NULL, NULL, 'content:新增合同模板公用字段', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574579884679340033', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:01:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:01:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["30"],"current":["1"]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574579984059179009', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:01:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:01:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp', 'POST', '{}', '4', NULL, NULL, 'content:新增合同模板公用字段', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574579984675741697', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:01:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:01:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["30"],"current":["1"]}', '19', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574580244437377026', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 10:02:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 10:02:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["10000"],"current":["1"]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574597105556234242', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 11:09:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:09:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/saveCalendarAll', 'POST', '{}', '7', NULL, NULL, 'content:新增日历年日期相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574597105757560833', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 11:09:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:09:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574597135281266689', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 11:09:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:09:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/saveCalendarAll', 'POST', '{}', '8', NULL, NULL, 'content:新增日历年日期相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574597135553896449', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 11:09:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:09:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574597143707623426', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 11:09:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:09:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/saveCalendarAll', 'POST', '{}', '20', NULL, NULL, 'content:新增日历年日期相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574597143934115841', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 11:09:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:09:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574597158895198209', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 11:09:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:09:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/saveCalendarAll', 'POST', '{}', '9', NULL, NULL, 'content:新增日历年日期相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574597159209771010', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 11:09:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:09:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574597177538879489', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 11:09:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:09:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/saveCalendarAll', 'POST', '{}', '8', NULL, NULL, 'content:新增日历年日期相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574597177807314946', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 11:09:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:09:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574597192348966913', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-27 11:09:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:09:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '131', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574597409290952706', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-27 11:10:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:10:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574597435912200193', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-27 11:10:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:10:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574597441801003009', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-27 11:10:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:10:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574598865502937090', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-27 11:16:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:16:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '246', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574604543697092610', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-27 11:39:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:39:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '59', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574607148275990530', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-27 11:49:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:49:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/page', 'GET', '{"size":["10000"],"current":["1"]}', '33', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574609295877079041', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-27 11:58:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:58:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574634583751131138', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-27 13:38:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 13:38:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl', 'POST', '{}', '322', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574634585055559682', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-27 13:38:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 13:38:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574634593746157570', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-27 13:38:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 13:38:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '142', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574634594253668354', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-27 13:38:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 13:38:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574634594463383554', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-27 13:38:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 13:38:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574634596875108353', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-27 13:38:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 13:38:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574639197305176066', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-27 13:56:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 13:56:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574639206750748674', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-27 13:56:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 13:56:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574639206947880961', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-27 13:56:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 13:56:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574639244872777729', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-27 13:57:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 13:57:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1574293601415409665', 'GET', '{"id":["1574293601415409665"]}', '31', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574639245581615106', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-27 13:57:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 13:57:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574639245992656897', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-27 13:57:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 13:57:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574639248664428545', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-27 13:57:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 13:57:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574641085866049537', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-27 14:04:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 14:04:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574642954336206849', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-27 14:11:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 14:11:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574644252628484097', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-09-27 14:16:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 14:16:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574645040406855681', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-27 14:20:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 14:20:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574601125234548738', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-27 11:25:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:25:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574314012068810754', 'GET', '{"id":["1574314012068810754"]}', '123', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574601178355408897', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-27 11:25:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:25:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574601188665008130', '0', 'tofly-flow', 'test', TO_DATE('2022-09-27 11:25:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:25:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/saveCalendarAll', 'POST', '{}', '65', NULL, '### Error updating database.  Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys003)

### The error may exist in com/tofly/workflow/baseconf/mapper/TfCalendarYearPMapper.java (best guess)
### The error may involve com.tofly.workflow.baseconf.mapper.TfCalendarYearPMapper.updateById-Inline
### The error occurred while setting parameters
### SQL: UPDATE TF_CALENDAR_YEAR_P  SET UPDATE_USER=?, UPDATE_TIME=?,  year_name=?  WHERE id=?
### Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys003)

; ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys003)
; nested exception is java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys003)', 'content:新增日历年日期相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574601213721780225', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 11:25:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:25:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/page', 'GET', '{"current":["1"],"size":["30"],"yearName":["2023"]}', '19', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574601214036353025', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 11:25:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:25:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/page', 'GET', '{"current":["1"],"size":["30"],"yearName":["2023"]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574601221011480578', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 11:26:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:26:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/page', 'GET', '{"current":["1"],"size":["30"],"yearName":["2023"]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574601221737095170', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 11:26:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:26:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/page', 'GET', '{"current":["1"],"size":["30"],"yearName":["2023"]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574601254045818881', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 11:26:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:26:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/page', 'GET', '{"current":["1"],"size":["30"],"yearName":[""]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574601254922428417', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 11:26:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:26:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/page', 'GET', '{"current":["1"],"size":["30"],"yearName":[""]}', '17', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574601269342445569', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 11:26:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:26:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/page', 'GET', '{"current":["1"],"size":["30"],"yearName":["2025"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574601284542603265', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 11:26:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:26:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/page', 'GET', '{"current":["1"],"size":["30"],"yearName":["2028"]}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574601292578889730', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 11:26:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:26:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/page', 'GET', '{"current":["1"],"size":["30"],"yearName":["问的"]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574601295099666433', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 11:26:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:26:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/page', 'GET', '{"current":["1"],"size":["30"],"yearName":["问的"]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574601298996174850', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 11:26:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:26:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/page', 'GET', '{"current":["1"],"size":["30"],"yearName":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574601299872784386', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 11:26:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:26:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/page', 'GET', '{"current":["1"],"size":["30"],"yearName":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574601300871028737', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 11:26:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:26:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/page', 'GET', '{"current":["1"],"size":["30"],"yearName":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574601333938921473', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 11:26:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:26:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/deleteByIds', 'DELETE', '{"ids":["1574600148607688705"]}', '14', NULL, NULL, 'content:通过id批量删除日历年', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574601335700529153', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 11:26:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:26:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574601395003793410', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 11:26:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:26:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/deleteByIds', 'DELETE', '{"ids":["1574596512481640450"]}', '8', NULL, NULL, 'content:通过id批量删除日历年', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574601395343532034', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 11:26:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:26:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574601455313690626', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-27 11:26:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:26:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '30', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574601459445080065', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-27 11:26:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:26:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '7', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574601467527503873', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 11:26:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:26:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/saveCalendarAll', 'POST', '{}', '12', NULL, NULL, 'content:新增日历年日期相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574601467816910850', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 11:26:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:26:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574601476054523906', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-27 11:27:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:27:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/page', 'GET', '{"tenantId":["1"],"current":["1"],"size":["10000"],"isDel":["0"]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574601558342574081', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-27 11:27:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:27:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '205', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574601601795563521', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-27 11:27:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:27:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/page', 'GET', '{"tenantId":["1"],"current":["1"],"size":["10000"],"isDel":["0"]}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574601681063714818', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-27 11:27:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:27:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574601768917606402', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-27 11:28:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:28:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/page', 'GET', '{"tenantId":["1"],"current":["1"],"size":["10000"],"isDel":["0"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574601769227984897', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-27 11:28:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:28:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1572832711356719105"],"isMould":["0"]}', '2', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574601786101669889', '0', 'tofly-flow', 'test', TO_DATE('2022-09-27 11:28:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:28:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/saveCalendarAll', 'POST', '{}', '48', NULL, '工作日应用日历列表为空，请重新输入', 'content:新增日历年日期相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574601815147225089', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-27 11:28:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:28:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '193', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574601815688290306', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-27 11:28:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:28:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574314012068810754', 'GET', '{"id":["1574314012068810754"]}', '29', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574601889784864770', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 11:28:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:28:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '27', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574601912916451330', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 11:28:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:28:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574601913801449474', '1', 'tofly-flow', 'test', TO_DATE('2022-09-27 11:28:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 11:28:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574660028085563394', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-27 15:19:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 15:19:41', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfregionp/tree', 'GET', '{"level":[""],"fullName":[""],"updateUser":[""],"remark":[""],"updateTime":[""],"regionCode":[""],"createTime":[""],"regionId":[""],"name":[""],"tenantId":["1569602913205559298"],"createUser":[""],"id":[""],"isDel":[""]}', '449', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574660068325715970', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-27 15:19:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 15:19:50', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfregionp/tree', 'GET', '{"level":[""],"fullName":[""],"updateUser":[""],"remark":[""],"updateTime":[""],"regionCode":[""],"createTime":[""],"regionId":[""],"name":[""],"tenantId":["1569602913205559298"],"createUser":[""],"id":[""],"isDel":[""]}', '313', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574660493410037761', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-27 15:21:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 15:21:32', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfregionp/tree', 'GET', '{"level":[""],"fullName":[""],"updateUser":[""],"remark":[""],"updateTime":[""],"regionCode":[""],"createTime":[""],"regionId":[""],"name":[""],"tenantId":["1569602913205559298"],"createUser":[""],"id":[""],"isDel":[""]}', '316', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574662328904577025', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-27 15:28:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 15:28:49', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfregionp/tree', 'GET', '{"level":[""],"fullName":[""],"updateUser":[""],"remark":[""],"updateTime":[""],"regionCode":[""],"createTime":[""],"regionId":[""],"name":[""],"tenantId":["1569602913205559298"],"createUser":[""],"id":[""],"isDel":[""]}', '331', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574674989281021954', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-09-27 16:19:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 16:19:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574678524244627457', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-27 16:33:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 16:33:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '120', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574678525150597122', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-27 16:33:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 16:33:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '10', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574678525540667394', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-27 16:33:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 16:33:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574678528640258050', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-27 16:33:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 16:33:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '86', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574678577596174337', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-27 16:33:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 16:33:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '128', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574678579479416834', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-27 16:33:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 16:33:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '24', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574678629525852162', '0', 'tofly-flow', 'yjf', TO_DATE('2022-09-27 16:33:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 16:33:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"level":[""],"fullName":[""],"updateUser":[""],"remark":[""],"updateTime":[""],"regionCode":[""],"createTime":[""],"regionId":[""],"name":[""],"tenantId":[""],"createUser":[""],"id":[""],"isDel":[""]}', '399', NULL, 'nested exception is org.apache.ibatis.type.TypeException: Could not set parameters for mapping: ParameterMapping{property=''ew.paramNameValuePairs.MPGENVAL1'', mode=IN, javaType=class java.lang.Object, jdbcType=null, numericScale=null, resultMapId=''null'', jdbcTypeName=''null'', expression=''null''}. Cause: org.apache.ibatis.type.TypeException: Error setting null for parameter #1 with JdbcType OTHER . Try setting a different JdbcType for this parameter or a different jdbcTypeForNull configuration property. Cause: java.sql.SQLException: 无效的列类型: 1111', 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574678650413486082', '0', 'tofly-flow', 'yjf', TO_DATE('2022-09-27 16:33:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 16:33:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"level":[""],"fullName":[""],"updateUser":[""],"remark":[""],"updateTime":[""],"regionCode":[""],"createTime":[""],"regionId":[""],"name":[""],"tenantId":[""],"createUser":[""],"id":[""],"isDel":[""]}', '2999', NULL, 'null', 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574679248332492802', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-27 16:36:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 16:36:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '131', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574679249678864386', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-27 16:36:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 16:36:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574314012068810754', 'GET', '{"id":["1574314012068810754"]}', '194', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574679402871623681', '0', 'tofly-flow', 'yjf', TO_DATE('2022-09-27 16:36:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 16:36:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"level":[""],"fullName":[""],"updateUser":[""],"remark":[""],"updateTime":[""],"regionCode":[""],"createTime":[""],"regionId":[""],"name":[""],"tenantId":[""],"createUser":[""],"id":[""],"isDel":[""]}', '428', NULL, 'nested exception is org.apache.ibatis.type.TypeException: Could not set parameters for mapping: ParameterMapping{property=''ew.paramNameValuePairs.MPGENVAL1'', mode=IN, javaType=class java.lang.Object, jdbcType=null, numericScale=null, resultMapId=''null'', jdbcTypeName=''null'', expression=''null''}. Cause: org.apache.ibatis.type.TypeException: Error setting null for parameter #1 with JdbcType OTHER . Try setting a different JdbcType for this parameter or a different jdbcTypeForNull configuration property. Cause: java.sql.SQLException: 无效的列类型: 1111', 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574679413529350145', '0', 'tofly-flow', 'yjf', TO_DATE('2022-09-27 16:36:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 16:36:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"level":[""],"fullName":[""],"updateUser":[""],"remark":[""],"updateTime":[""],"regionCode":[""],"createTime":[""],"regionId":[""],"name":[""],"tenantId":[""],"createUser":[""],"id":[""],"isDel":[""]}', '435', NULL, 'nested exception is org.apache.ibatis.type.TypeException: Could not set parameters for mapping: ParameterMapping{property=''ew.paramNameValuePairs.MPGENVAL1'', mode=IN, javaType=class java.lang.Object, jdbcType=null, numericScale=null, resultMapId=''null'', jdbcTypeName=''null'', expression=''null''}. Cause: org.apache.ibatis.type.TypeException: Error setting null for parameter #1 with JdbcType OTHER . Try setting a different JdbcType for this parameter or a different jdbcTypeForNull configuration property. Cause: java.sql.SQLException: 无效的列类型: 1111', 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574679433573928962', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-27 16:36:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 16:36:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"level":[""],"fullName":[""],"updateUser":[""],"remark":[""],"updateTime":[""],"regionCode":[""],"createTime":[""],"regionId":[""],"name":[""],"tenantId":[""],"createUser":[""],"id":[""],"isDel":[""]}', '3538', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574679538699964417', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-27 16:37:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 16:37:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["-1"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574679545947721729', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-27 16:37:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 16:37:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectmaterialw/getDispatchRecord', 'GET', '{"relationId":["1570739116476383234"],"materialType":["3"]}', '25', NULL, NULL, 'content:领料记录', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574679546048385026', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-27 16:37:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 16:37:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["-1"],"isMould":["0"]}', '1', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574679555447820289', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-27 16:37:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 16:37:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["-1"],"isMould":["0"]}', '2', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574680858915856386', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-27 16:42:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 16:42:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl', 'POST', '{}', '300', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575015095674200065', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 14:50:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:50:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575017557172805633', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-09-28 15:00:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:00:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575017569470504961', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-09-28 15:00:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:00:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"nature":[""]}', '13', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575017576944754689', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-09-28 15:00:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:00:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"typeName":[""],"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575017787003887617', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-09-28 15:01:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:01:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575017787259740161', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-09-28 15:01:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:01:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575017793479892994', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-09-28 15:01:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:01:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575017794536857601', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-09-28 15:01:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:01:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575017795405078529', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-09-28 15:01:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:01:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575017801960775682', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-09-28 15:01:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:01:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '109', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575017802766082049', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-09-28 15:01:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:01:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575017802988380161', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-09-28 15:01:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:01:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575017805374939138', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-09-28 15:01:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:01:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575018552489533442', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-28 15:04:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:04:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575018609167163393', '2', 'tofly-auth', 'mzadmin', TO_DATE('2022-09-28 15:04:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:04:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/bf356b61-5e89-4eb3-89b6-4da2582ca0bd', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575018633271828482', '1', 'tofly-flow', 'public', TO_DATE('2022-09-28 15:04:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:04:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575018700649127938', '1', 'tofly-flow', 'public', TO_DATE('2022-09-28 15:04:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:04:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '134', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575019204393426946', '1', 'tofly-flow', 'public', TO_DATE('2022-09-28 15:06:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:06:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["46"],"id":["1572140204302041089"]}', '110', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575019204791885826', '1', 'tofly-flow', 'public', TO_DATE('2022-09-28 15:06:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:06:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575019157928886274', 'GET', '{"id":["1575019157928886274"]}', '22', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575019257682059265', '1', 'tofly-flow', 'public', TO_DATE('2022-09-28 15:07:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:07:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575019157928886274', 'GET', '{"id":["1575019157928886274"]}', '16', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575019415366918146', '1', 'tofly-flow', 'public', TO_DATE('2022-09-28 15:07:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:07:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessnodel', 'POST', '{}', '85', NULL, NULL, 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575019447587561473', '1', 'tofly-flow', 'public', TO_DATE('2022-09-28 15:07:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:07:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["46"],"id":["1572140204302041089"]}', '113', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575019447935688706', '1', 'tofly-flow', 'public', TO_DATE('2022-09-28 15:07:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:07:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575019157928886274', 'GET', '{"id":["1575019157928886274"]}', '19', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575019731818766338', '1', 'tofly-flow', 'public', TO_DATE('2022-09-28 15:09:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:09:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["46"],"id":["1572140204302041089"]}', '102', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575019732527603714', '1', 'tofly-flow', 'public', TO_DATE('2022-09-28 15:09:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:09:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575019732561158145', '1', 'tofly-flow', 'public', TO_DATE('2022-09-28 15:09:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:09:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575020050648784897', '2', 'tofly-auth', 'public', TO_DATE('2022-09-28 15:10:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:10:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/0e8c84b1-a61f-4ff5-b17e-72f1cde6f25b', 'DELETE', '{}', '1', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575021153645879297', '2', 'tofly-auth', 'ys', TO_DATE('2022-09-28 15:14:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:14:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/63d66d8f-9f99-465a-9d4d-3faa558ca345', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575021157139734529', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 15:14:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:14:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575021157450113026', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 15:14:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:14:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575021642684948482', '1', 'tofly-flow', 'jtzh', TO_DATE('2022-09-28 15:16:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:16:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575021642865303554', '1', 'tofly-flow', 'jtzh', TO_DATE('2022-09-28 15:16:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:16:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575021662830190593', '1', 'tofly-flow', 'jtzh', TO_DATE('2022-09-28 15:16:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:16:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572111539262464001', 'GET', '{"id":["1572111539262464001"]}', '99', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575021663312535553', '1', 'tofly-flow', 'jtzh', TO_DATE('2022-09-28 15:16:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:16:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575021665636179969', '1', 'tofly-flow', 'jtzh', TO_DATE('2022-09-28 15:16:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:16:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575022987584331778', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-28 15:21:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:21:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575022987789852674', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-28 15:21:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:21:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575022994240692225', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-28 15:21:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:21:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1574293601415409665', 'GET', '{"id":["1574293601415409665"]}', '30', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575022994676899841', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-28 15:21:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:21:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575022994844672002', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-28 15:21:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:21:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575001034685276161', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 13:54:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 13:54:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575001122958598146', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 13:55:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 13:55:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575001282656722946', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 13:55:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 13:55:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["41"],"id":["1572140204302041089"]}', '130', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575001283902431234', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 13:55:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 13:55:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574938027984769025', 'GET', '{"id":["1574938027984769025"]}', '28', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575002079041806337', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 13:58:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 13:58:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575002090165100546', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 13:58:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 13:58:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575002711324745730', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 14:01:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:01:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575003717190148097', '1', 'tofly-flow', 'public', TO_DATE('2022-09-28 14:05:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:05:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575005364763090945', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 14:11:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:11:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["46"],"id":["1572140204302041089"]}', '125', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575005365211881474', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 14:11:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:11:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575004329017425921', 'GET', '{"id":["1575004329017425921"]}', '23', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575024837268201474', '1', 'tofly-flow', 'tnadmins', TO_DATE('2022-09-28 15:29:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:29:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575024837683437569', '1', 'tofly-flow', 'tnadmins', TO_DATE('2022-09-28 15:29:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:29:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575024845916856321', '1', 'tofly-flow', 'tnadmins', TO_DATE('2022-09-28 15:29:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:29:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1574644518840958977"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575024846122377217', '1', 'tofly-flow', 'tnadmins', TO_DATE('2022-09-28 15:29:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:29:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575024848567656449', '1', 'tofly-flow', 'tnadmins', TO_DATE('2022-09-28 15:29:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:29:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575025173747851266', '1', 'tofly-flow', 'jtzh', TO_DATE('2022-09-28 15:30:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:30:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfreportentryp/page', 'GET', '{"name":[""],"current":["1"],"size":["30"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575025340563709954', '2', 'tofly-auth', 'jtzh', TO_DATE('2022-09-28 15:31:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:31:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/40a24564-d425-4cc7-accf-35d35faa2819', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575027744378052610', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-28 15:40:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:40:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575028319446491137', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 15:43:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:43:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575028336395673602', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 15:43:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:43:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575028347934203905', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 15:43:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:43:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575028426543849474', '2', 'tofly-auth', 'jtadmin', TO_DATE('2022-09-28 15:43:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:43:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/bf28a492-82dc-4a5f-9579-e1631f164ec6', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575028569741582337', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 15:44:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:44:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575028582425157633', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 15:44:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:44:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["46"],"id":["1572140204302041089"]}', '125', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575028582882336769', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 15:44:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:44:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575028582915891202', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 15:44:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:44:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575029031022747650', '1', 'tofly-flow', 'tnadmins', TO_DATE('2022-09-28 15:45:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:45:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575029031270211585', '1', 'tofly-flow', 'tnadmins', TO_DATE('2022-09-28 15:45:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:45:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575029040732561409', '1', 'tofly-flow', 'tnadmins', TO_DATE('2022-09-28 15:46:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:46:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '187', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575029041374289922', '1', 'tofly-flow', 'tnadmins', TO_DATE('2022-09-28 15:46:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:46:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575029041646919681', '1', 'tofly-flow', 'tnadmins', TO_DATE('2022-09-28 15:46:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:46:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575029044058644482', '1', 'tofly-flow', 'tnadmins', TO_DATE('2022-09-28 15:46:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:46:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575029315413336065', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 15:47:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:47:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575029315715325953', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 15:47:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:47:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575029395583262721', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 15:47:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:47:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1574293601415409665', 'GET', '{"id":["1574293601415409665"]}', '28', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575029396162076674', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 15:47:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:47:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575029396426317826', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 15:47:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:47:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575029398821265409', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 15:47:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:47:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575029572247347202', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 15:48:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:48:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575030170208296961', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 15:50:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:50:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1574293601415409665', 'GET', '{"id":["1574293601415409665"]}', '32', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574934221666267138', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-28 09:29:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:29:13', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.124', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"isMould":["0"],"label":["1568482594885484546"]}', '1684', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574934556552081410', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-28 09:30:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:30:33', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.124', NULL, '/token/b8bb4eb2-d80c-435a-b41b-c1429b7b65c9', 'DELETE', '{}', '9', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575002071584333825', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 13:58:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 13:58:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"nature":[""]}', '12', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575002331782176769', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 13:59:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 13:59:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["45"],"id":["1572140204302041089"]}', '167', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575002332348407809', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 13:59:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 13:59:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574954775253434369', 'GET', '{"id":["1574954775253434369"]}', '28', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575002393778184194', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 14:00:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:00:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["45"],"id":["1572140204302041089"]}', '127', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575002559864233986', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 14:00:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:00:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575002989625204737', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 14:02:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:02:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '17', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575002993790148609', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 14:02:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:02:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/1574959605363589121', 'GET', '{"0":["1574959605363589121"]}', '4', NULL, NULL, 'content:通过id查询施工组织单位', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575003011406225409', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 14:02:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:02:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["46"],"id":["1572140204302041089"]}', '124', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575003012106674178', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 14:02:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:02:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575003012198948866', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 14:02:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:02:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '21', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575003020205875202', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 14:02:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:02:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"nature":[""]}', '17', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575003058059468801', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 14:02:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:02:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '131', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575005082142498818', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 14:10:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:10:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575005088442343426', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 14:10:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:10:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '18', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575005385948520450', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 14:12:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:12:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfreportentryp/page', 'GET', '{"name":[""],"current":["1"],"size":["30"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575005651900948482', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 14:13:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:13:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"nature":[""]}', '16', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575005953500766210', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 14:14:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:14:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575006112221618177', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 14:14:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:14:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '7', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575006189229039617', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 14:15:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:15:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '7', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575006463876259841', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 14:16:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:16:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"nature":[""]}', '14', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575007593029033985', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 14:20:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:20:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575007772528467970', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 14:21:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:21:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"nature":[""]}', '15', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575007800680636418', '2', 'tofly-auth', 'jtadmin', TO_DATE('2022-09-28 14:21:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:21:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/d4e400ad-92bb-405f-a0a7-70dad79e53f7', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575010033166049281', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 14:30:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:30:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessnodel', 'POST', '{}', '19', NULL, NULL, 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575010173721370626', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 14:31:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:31:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessnodel', 'POST', '{}', '8', NULL, NULL, 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575010189529702402', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 14:31:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:31:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '17', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575010211310723074', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 14:31:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:31:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessnodel', 'POST', '{}', '18', NULL, NULL, 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575010213319794690', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 14:31:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:31:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"nature":[""]}', '14', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575010220139732994', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 14:31:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:31:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575010339853557762', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 14:31:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:31:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575010607500484610', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 14:32:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:32:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575010643546333186', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 14:32:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:32:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575010643797991425', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 14:32:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:32:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575012023635927042', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 14:38:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:38:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575012023887585282', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 14:38:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:38:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575012034503368706', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 14:38:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:38:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575012034704695298', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 14:38:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:38:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575012037158363138', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 14:38:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:38:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574968892127305730', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-28 11:47:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:47:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574968895340142594', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 11:47:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:47:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"nature":[""]}', '18', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574968904219484162', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 11:47:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:47:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"nature":[""]}', '19', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574969185200103426', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 11:48:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:48:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/removeByNatureAndTenantId', 'POST', '{"tenantId":["1569602913205559298"],"nature":["1"]}', '4', NULL, NULL, 'content:通过tenantId和nature删除工程工序/工程管控', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574969185565007873', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 11:48:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:48:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"nature":[""]}', '18', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574969195207712769', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 11:48:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:48:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/removeByNatureAndTenantId', 'POST', '{"tenantId":["1570225246022770689"],"nature":["2"]}', '7', NULL, NULL, 'content:通过tenantId和nature删除工程工序/工程管控', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574969195450982402', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 11:48:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:48:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"nature":[""]}', '9', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574969218888753153', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 11:48:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:48:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574969238807502849', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 11:48:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:48:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574969347028934657', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 11:48:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:48:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574969365706170369', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 11:48:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:48:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574969410987876354', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 11:49:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:49:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"nature":[""]}', '10', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574969416075567105', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 11:49:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:49:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574969481435406338', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 11:49:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:49:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"nature":[""]}', '8', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574969901956325378', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 11:51:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:51:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574969980901515265', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 11:51:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:51:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '40', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574970025541492738', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 11:51:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:51:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574970049084121089', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 11:51:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:51:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574970118906699777', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-28 11:51:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:51:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574970119829446657', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 11:51:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:51:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["10000"],"current":["1"]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574970119938498562', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 11:51:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:51:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '34', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574970120240488449', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 11:51:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:51:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["30"],"current":["1"]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574970132471078914', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 11:51:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:51:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '11', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574997844430544897', '1', 'tofly-flow', 'public', TO_DATE('2022-09-28 13:42:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 13:42:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["-1"],"isMould":["0"]}', '2', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574997848847147010', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 13:42:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 13:42:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '18', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574997854056472577', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 13:42:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 13:42:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"typeName":[""],"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574997855952297985', '1', 'tofly-flow', 'public', TO_DATE('2022-09-28 13:42:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 13:42:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1572832711356719105"],"isMould":["0"]}', '2', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574997855977463809', '1', 'tofly-flow', 'public', TO_DATE('2022-09-28 13:42:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 13:42:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '40', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574997883349491714', '1', 'tofly-flow', 'public', TO_DATE('2022-09-28 13:42:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 13:42:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{}', '117', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574997909932990466', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 13:42:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 13:42:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfreportentryp/page', 'GET', '{"name":[""],"current":["1"],"size":["30"]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574997915150704642', '1', 'tofly-flow', 'public', TO_DATE('2022-09-28 13:42:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 13:42:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{}', '135', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574997926559211522', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 13:42:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 13:42:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"nature":[""]}', '11', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574997933945380865', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 13:42:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 13:42:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '17', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574998019538542594', '1', 'tofly-flow', 'public', TO_DATE('2022-09-28 13:42:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 13:42:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["-1"],"isMould":["0"]}', '2', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574998037309808642', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 13:42:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 13:42:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"nature":[""]}', '12', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574998070360924162', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 13:42:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 13:42:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"nature":["1574963975367024642"]}', '10', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574998079672279042', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 13:42:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 13:42:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"nature":[""]}', '9', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574998111607709698', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 13:43:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 13:43:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"nature":[""]}', '9', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574998112853417986', '1', 'tofly-flow', 'public', TO_DATE('2022-09-28 13:43:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 13:43:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '35', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574998193425997826', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 13:43:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 13:43:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574998294626164738', '1', 'tofly-flow', 'public', TO_DATE('2022-09-28 13:43:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 13:43:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '33', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574998453225381890', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 13:44:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 13:44:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575023064327512066', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 15:22:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:22:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575023064541421569', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 15:22:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:22:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575023100180422657', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 15:22:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:22:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '108', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575023100805373954', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 15:22:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:22:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575023101006700546', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 15:22:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:22:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575023103510700034', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 15:22:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:22:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575023134007484417', '1', 'tofly-flow', 'public', TO_DATE('2022-09-28 15:22:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:22:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575026398174240769', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 15:35:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:35:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '18', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575026520144601090', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-28 15:35:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:35:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575026574204985346', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 15:36:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:36:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575026574490198018', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 15:36:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:36:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575026582979469313', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 15:36:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:36:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1574293601415409665', 'GET', '{"id":["1574293601415409665"]}', '27', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575026583486980097', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 15:36:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:36:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575026583734444033', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 15:36:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:36:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575026587219910658', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 15:36:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:36:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575027175626235905', '1', 'tofly-flow', 'public', TO_DATE('2022-09-28 15:38:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:38:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '29', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575027364361527297', '1', 'tofly-flow', 'public', TO_DATE('2022-09-28 15:39:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:39:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectmaterialw/getDispatchRecord', 'GET', '{"relationId":["1575019158180544513"],"materialType":["3"]}', '10', NULL, NULL, 'content:领料记录', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575027364474773505', '1', 'tofly-flow', 'public', TO_DATE('2022-09-28 15:39:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:39:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["-1"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575027453733756930', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 15:39:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:39:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575027453742145537', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 15:39:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:39:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575027464248877057', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 15:39:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:39:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575027464492146689', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 15:39:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:39:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575027505785069569', '2', 'tofly-auth', 'tnadmins', TO_DATE('2022-09-28 15:39:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:39:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/c36baef0-80de-49af-b370-b52e8d96a9d0', 'DELETE', '{}', '3', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575027767467696130', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-28 15:40:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:40:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575027958006538241', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 15:41:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:41:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575028010976403457', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 15:41:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:41:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575029568657022978', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 15:48:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:48:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1574293601415409665', 'GET', '{"id":["1574293601415409665"]}', '25', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575029569311334401', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 15:48:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:48:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575029569554604034', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 15:48:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:48:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575030170812276737', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 15:50:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:50:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575030171042963458', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 15:50:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:50:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '0', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575030173676986370', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 15:50:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:50:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575032173781180418', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-28 15:58:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:58:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectdispatchw/page', 'GET', '{"current":["1"],"state":[""],"userType":["{}"],"projectLink":[""],"size":["30"]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575032516552286210', '2', 'tofly-auth', 'tnadmin', TO_DATE('2022-09-28 15:59:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:59:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/29672edf-e539-45f2-b0e0-0e680cb9d82d', 'DELETE', '{}', '1', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575032553051119618', '2', 'tofly-auth', 'yj', TO_DATE('2022-09-28 15:59:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:59:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/01a7e48f-fefa-4fe7-bb29-3c427b4cde3d', 'DELETE', '{}', '3', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575033850005413889', '2', 'tofly-auth', 'jtadmin', TO_DATE('2022-09-28 16:05:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:05:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/358320d3-c6ea-42e7-9a6d-74c32e87cb9b', 'DELETE', '{}', '1', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575034052871315457', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 16:05:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:05:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575034073456959490', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 16:06:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:06:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575034753752096770', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 16:08:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:08:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectdispatchw/page', 'GET', '{"current":["1"],"state":[""],"userType":["{}"],"projectLink":[""],"size":["30"]}', '2', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575034778947641345', '0', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 16:08:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:08:48', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessnodel', 'POST', '{}', '888', NULL, 'For input string: "|"', 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574937471765458946', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-28 09:42:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:42:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"isMould":["0"],"label":["1568482594885484546"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574937553868959746', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-28 09:42:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:42:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"isMould":["0"],"label":["1568482739010158593"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574937562953822210', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-28 09:42:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:42:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"isMould":["0"],"label":["1568482594885484546"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574938022968307713', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-28 09:44:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:44:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574938165553672194', '1', 'tofly-flow', 'hq', TO_DATE('2022-09-28 09:44:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:44:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574938175636779009', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 09:44:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:44:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["41"],"id":["1572140204302041089"]}', '140', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574938175993294849', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 09:44:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:44:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574938027984769025', 'GET', '{"id":["1574938027984769025"]}', '21', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574938422127636481', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-28 09:45:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:45:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574938427064332289', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-28 09:45:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:45:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574938431204110337', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-28 09:45:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:45:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1"]}', '7', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574938431795507201', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-28 09:45:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:45:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1572832711356719105"],"isMould":["0"]}', '2', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574939671455608834', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-28 09:50:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:50:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574939671749210113', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-28 09:50:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:50:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574939821028683777', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-28 09:51:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:51:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/d7f48ac0-acd8-4197-a131-b1141768cd08', 'DELETE', '{}', '1', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574939838380519425', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 09:51:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:51:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessnodel', 'POST', '{}', '8', NULL, NULL, 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574940104500719617', '1', 'tofly-flow', 'll', TO_DATE('2022-09-28 09:52:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:52:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '17', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574940117503062018', '1', 'tofly-flow', 'll', TO_DATE('2022-09-28 09:52:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:52:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1574293601415409665', 'GET', '{"id":["1574293601415409665"]}', '37', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574940131881136129', '1', 'tofly-flow', 'll', TO_DATE('2022-09-28 09:52:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:52:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '8', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574940324508741633', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 09:53:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:53:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574940324802342913', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 09:53:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:53:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574940329487380481', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 09:53:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:53:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '19', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574940330640814081', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 09:53:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:53:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '19', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574940359216607234', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 09:53:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:53:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574940363465437186', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 09:53:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:53:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574940392682958849', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-28 09:53:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:53:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574704733733068801', 'GET', '{}', '53', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574940393349853185', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-28 09:53:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:53:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["37"],"id":["1572140204302041089"]}', '121', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574940394171936770', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-28 09:53:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:53:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '34', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574940394230657025', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-28 09:53:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:53:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '43', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574940400111071234', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 09:53:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:53:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574940401717489665', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 09:53:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:53:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574940416062009346', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 09:53:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:53:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574940429785772034', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 09:53:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:53:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574940437809475585', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 09:53:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:53:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '25', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574940438337957890', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 09:53:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:53:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574940449759047682', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-28 09:53:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:53:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574940454678966273', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-28 09:54:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:54:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574940458269290497', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-28 09:54:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:54:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1"]}', '5', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574940458730663938', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-28 09:54:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:54:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1572832711356719105"],"isMould":["0"]}', '2', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574940459435307009', '2', 'tofly-auth', 'llzm', TO_DATE('2022-09-28 09:54:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:54:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/d839e9b1-99c5-4aff-935d-d9cf76e0a207', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574940461452767234', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 09:54:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:54:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessnodel', 'POST', '{}', '10', NULL, NULL, 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574938158037479426', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 09:44:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:44:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["41"],"id":["1572140204302041089"]}', '123', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574938158603710465', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 09:44:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:44:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574938027984769025', 'GET', '{"id":["1574938027984769025"]}', '43', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574938191990370305', '1', 'tofly-flow', 'hq', TO_DATE('2022-09-28 09:45:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:45:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574938200047628290', '1', 'tofly-flow', 'hq', TO_DATE('2022-09-28 09:45:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:45:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574938277302513666', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 09:45:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:45:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["41"],"id":["1572140204302041089"]}', '151', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574938277755498497', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 09:45:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:45:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574938027984769025', 'GET', '{"id":["1574938027984769025"]}', '25', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574938337788571650', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 09:45:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:45:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl', 'POST', '{}', '8', NULL, NULL, 'content:新增流程信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574938364246241281', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 09:45:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:45:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["41"],"id":["1572140204302041089"]}', '149', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574938364820860929', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 09:45:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:45:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574938027984769025', 'GET', '{"id":["1574938027984769025"]}', '20', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574938452028829697', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-28 09:46:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:46:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574938452288876546', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-28 09:46:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:46:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574938464603353090', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-28 09:46:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:46:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1574293601415409665', 'GET', '{"id":["1574293601415409665"]}', '25', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574938465060532226', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-28 09:46:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:46:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574938465274441730', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-28 09:46:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:46:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574938468051070977', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-28 09:46:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:46:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574939358208208897', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 09:49:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:49:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessnodel', 'POST', '{}', '35', NULL, NULL, 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574939394203725825', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 09:49:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:49:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["41"],"id":["1572140204302041089"]}', '131', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574939394648322050', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 09:49:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:49:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574938027984769025', 'GET', '{"id":["1574938027984769025"]}', '21', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574939987215396865', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 09:52:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:52:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["41"],"id":["1572140204302041089"]}', '121', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574939987605467138', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 09:52:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:52:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574938027984769025', 'GET', '{"id":["1574938027984769025"]}', '15', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574940008585375745', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 09:52:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:52:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["41"],"id":["1572140204302041089"]}', '134', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574940009134829569', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 09:52:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:52:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574938027984769025', 'GET', '{"id":["1574938027984769025"]}', '24', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574940815171006465', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-28 09:55:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:55:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574940815305224194', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 09:55:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:55:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl', 'POST', '{}', '2', NULL, NULL, 'content:新增流程信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574940825828732929', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-28 09:55:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:55:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574704733733068801', 'GET', '{}', '26', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574940826466267138', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-28 09:55:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:55:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["37"],"id":["1572140204302041089"]}', '127', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574940827422568450', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-28 09:55:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:55:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574941092179619841', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 09:56:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:56:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1574941004359356417', 'DELETE', '{"id":["1574941004359356417"]}', '3', NULL, NULL, 'content:通过id删除审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574941096118071298', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 09:56:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:56:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessnodel', 'POST', '{}', '8', NULL, NULL, 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574941096168402946', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-28 09:56:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:56:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '2', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574941099414794241', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-28 09:56:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:56:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574941102929620994', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-28 09:56:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:56:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1"]}', '5', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574941134164602882', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 09:56:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:56:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["41"],"id":["1572140204302041089"]}', '113', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574941134865051650', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 09:56:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:56:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574938027984769025', 'GET', '{"id":["1574938027984769025"]}', '16', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574941613934260226', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-28 09:58:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:58:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1572832711356719105"],"isMould":["0"]}', '2', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574949819813310465', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-28 10:31:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:31:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574704733733068801', 'GET', '{}', '1036', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574949821809799170', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-28 10:31:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:31:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["37"],"id":["1572140204302041089"]}', '1399', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574949889266790402', '2', 'tofly-auth', 'jtadmin', TO_DATE('2022-09-28 10:31:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:31:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/f56f56bd-9c83-4f0d-8176-9692048d350a', 'DELETE', '{}', '1', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574950112286322690', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-28 10:32:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:32:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '10', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575012049003077634', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 14:38:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:38:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1574277765191512066', 'GET', '{"id":["1574277765191512066"]}', '22', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575012049510588417', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 14:38:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:38:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":["1569602913205559298"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574936846151462913', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 09:39:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:39:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '356', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574937849370259457', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-28 09:43:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:43:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574937854281789442', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-28 09:43:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:43:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574937858790666241', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-28 09:43:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:43:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1"]}', '6', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574937959336521729', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-28 09:44:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:44:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574938029750497281', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 09:44:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:44:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl', 'POST', '{}', '495', NULL, NULL, 'content:新增流程信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574939568678383617', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-28 09:50:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:50:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574939575129223169', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-28 09:50:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:50:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1"]}', '6', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574940563479212034', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 09:54:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:54:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574940570613723137', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 09:54:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:54:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574940571364503554', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 09:54:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:54:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574940579010719746', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 09:54:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:54:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574940580004769794', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 09:54:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:54:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574940589915910145', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 09:54:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:54:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574940597302079490', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 09:54:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:54:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574940597578903554', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 09:54:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:54:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574940610593828865', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 09:54:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:54:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '121', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574940611285889025', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 09:54:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:54:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574940611550130177', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 09:54:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:54:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574940614213513217', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 09:54:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:54:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574941179597303810', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 09:56:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:56:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["41"],"id":["1572140204302041089"]}', '122', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574941180054482945', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 09:56:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:56:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574938027984769025', 'GET', '{"id":["1574938027984769025"]}', '21', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574941202355597314', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 09:56:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:56:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1574941004359356417', 'DELETE', '{"id":["1574941004359356417"]}', '2', NULL, NULL, 'content:通过id删除审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574941261038104577', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-28 09:57:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:57:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574941265173688321', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-28 09:57:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:57:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574941270047469570', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-28 09:57:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:57:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1"]}', '5', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574941270445928450', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-28 09:57:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:57:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1572832711356719105"],"isMould":["0"]}', '2', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574941298111557634', '2', 'tofly-auth', 'mzadmin', TO_DATE('2022-09-28 09:57:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:57:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/a851837f-5492-4047-bfff-f1f1540f6059', 'DELETE', '{}', '1', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574941378239541249', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-28 09:57:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:57:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"fullName":[""],"updateUser":[""],"remark":[""],"updateTime":[""],"regionLevel":[""],"regionCode":[""],"createTime":[""],"regionId":[""],"name":[""],"tenantId":["1569602913205559298"],"createUser":[""],"id":[""],"isDel":[""]}', '37', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574941386267439105', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 09:57:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:57:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '20', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574941421625421826', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 09:57:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:57:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574941589435330561', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-28 09:58:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:58:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '2', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574941594070036482', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-28 09:58:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:58:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574941613581938690', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-28 09:58:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:58:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1"]}', '5', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574941958039154690', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 09:59:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:59:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574941958286618626', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 09:59:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:59:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574941969871286273', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 10:00:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:00:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '138', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574941970546569217', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 10:00:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:00:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574941970756284417', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 10:00:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:00:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574941973230923777', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 10:00:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:00:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574936735568637954', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-28 09:39:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:39:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"isMould":["0"],"label":["1568482594885484546"]}', '240', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574936749829271553', '0', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 09:39:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:39:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl', 'POST', '{}', '756', NULL, 'parseLong error, field : region', 'content:新增流程信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574936753792888834', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-28 09:39:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:39:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '39', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574936771983585281', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-28 09:39:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:39:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1"]}', '41', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574938773857775618', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 09:47:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:47:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["41"],"id":["1572140204302041089"]}', '159', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574938774273011714', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 09:47:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:47:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574938027984769025', 'GET', '{"id":["1574938027984769025"]}', '15', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574938809308033025', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 09:47:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:47:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["41"],"id":["1572140204302041089"]}', '132', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574938809773600770', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 09:47:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:47:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574938027984769025', 'GET', '{"id":["1574938027984769025"]}', '18', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574938836906553346', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-28 09:47:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:47:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574938842078130177', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-28 09:47:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:47:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574938845190303745', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-28 09:47:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:47:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1"]}', '9', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574938845483905025', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-28 09:47:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:47:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1572832711356719105"],"isMould":["0"]}', '2', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574939063877120002', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 09:48:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:48:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["41"],"id":["1572140204302041089"]}', '126', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574939064367853570', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 09:48:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:48:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574938027984769025', 'GET', '{"id":["1574938027984769025"]}', '25', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574939564614103041', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-28 09:50:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:50:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574939614023004162', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-28 09:50:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:50:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/df2a4698-8efb-44af-a9b3-e01b9dcc80af', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574940106077777921', '1', 'tofly-flow', 'll', TO_DATE('2022-09-28 09:52:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:52:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '21', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574940123131817985', '1', 'tofly-flow', 'll', TO_DATE('2022-09-28 09:52:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:52:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574940124650156033', '1', 'tofly-flow', 'll', TO_DATE('2022-09-28 09:52:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:52:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574940184356073473', '1', 'tofly-flow', 'll', TO_DATE('2022-09-28 09:52:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:52:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574940190127435777', '1', 'tofly-flow', 'll', TO_DATE('2022-09-28 09:52:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:52:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574940203108806658', '1', 'tofly-flow', 'll', TO_DATE('2022-09-28 09:53:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:53:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574940209840664577', '2', 'tofly-auth', 'll', TO_DATE('2022-09-28 09:53:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:53:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/0175e86f-cbf8-4d02-a593-98db5f533e5b', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574940222507462658', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-28 09:53:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:53:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/68fffdf1-3f4a-48d7-b597-ab24bee79467', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574940833516892162', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-28 09:55:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:55:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessnodel', 'POST', '{}', '9', NULL, NULL, 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574940858607218689', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 09:55:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:55:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["41"],"id":["1572140204302041089"]}', '127', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574940858988900353', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 09:55:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:55:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574938027984769025', 'GET', '{"id":["1574938027984769025"]}', '23', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574940869977976833', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-28 09:55:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:55:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574940874860146690', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-28 09:55:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:55:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574940879285137409', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-28 09:55:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:55:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1"]}', '8', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574940879662624769', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-28 09:55:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:55:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1572832711356719105"],"isMould":["0"]}', '2', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574940981336748034', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-28 09:56:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:56:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574940993852551169', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-28 09:56:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:56:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574941004485111810', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 09:56:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:56:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl', 'POST', '{}', '36', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574941008813633537', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 09:56:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:56:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574942176860188674', '2', 'tofly-auth', 'llzm', TO_DATE('2022-09-28 10:00:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:00:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/fddf65e5-eb5a-4aba-9da4-ee68d92ac2e2', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574943652055625730', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-28 10:06:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:06:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574704733733068801', 'GET', '{}', '27', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574943652512804865', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-28 10:06:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:06:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["37"],"id":["1572140204302041089"]}', '125', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574943773321342977', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-28 10:07:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:07:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574943773371674626', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-28 10:07:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:07:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '25', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574943933749276674', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-28 10:07:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:07:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574704733733068801', 'GET', '{}', '29', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574943934235815938', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-28 10:07:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:07:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["37"],"id":["1572140204302041089"]}', '122', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574936772277186562', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-28 09:39:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:39:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1572832711356719105"],"isMould":["0"]}', '18', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574936956906254338', '1', 'tofly-flow', 'hq', TO_DATE('2022-09-28 09:40:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:40:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574936965915619330', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-28 09:40:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:40:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"isMould":["0"],"label":["1568482594885484546"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574936993874849793', '1', 'tofly-flow', 'hq', TO_DATE('2022-09-28 09:40:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:40:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '28', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574937065144463361', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-28 09:40:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:40:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"fullName":[""],"updateUser":[""],"remark":[""],"updateTime":[""],"regionLevel":[""],"regionCode":[""],"createTime":[""],"regionId":[""],"name":[""],"tenantId":[""],"createUser":[""],"id":[""],"isDel":[""]}', '595', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574937859101044738', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-28 09:43:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:43:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1572832711356719105"],"isMould":["0"]}', '2', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574937881809006593', '2', 'tofly-auth', 'mzscb', TO_DATE('2022-09-28 09:43:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:43:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/2f0b8e00-ba14-455d-ab79-3a94d938e55a', 'DELETE', '{}', '7', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574939575452184578', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-28 09:50:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:50:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1572832711356719105"],"isMould":["0"]}', '2', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574939856889982978', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 09:51:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:51:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["41"],"id":["1572140204302041089"]}', '139', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574939857271664642', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 09:51:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:51:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574938027984769025', 'GET', '{"id":["1574938027984769025"]}', '22', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574940266295996418', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-28 09:53:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:53:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574940284885151746', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-28 09:53:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:53:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574940462983688194', '2', 'tofly-auth', 'llzm', TO_DATE('2022-09-28 09:54:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:54:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/d839e9b1-99c5-4aff-935d-d9cf76e0a207', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574940505056751617', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 09:54:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:54:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574940523746570241', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 09:54:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:54:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574940556021739521', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 09:54:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:54:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574940556659273730', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 09:54:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:54:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574940563470823426', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 09:54:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:54:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574940827464511490', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-28 09:55:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:55:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '20', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574941103231610882', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-28 09:56:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:56:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1572832711356719105"],"isMould":["0"]}', '2', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574941148265852930', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 09:56:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:56:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574941154674749441', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 09:56:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:56:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["41"],"id":["1572140204302041089"]}', '116', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574941155106762753', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 09:56:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:56:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574938027984769025', 'GET', '{"id":["1574938027984769025"]}', '25', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574941314163159041', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 09:57:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:57:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574942230178181121', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 10:01:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:01:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl', 'POST', '{}', '90', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574942231579078658', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 10:01:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:01:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574942245940375553', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 10:01:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:01:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '140', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574942247144140801', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 10:01:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:01:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574942247316107266', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 10:01:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:01:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574942250025627650', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 10:01:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:01:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574942374210580481', '2', 'tofly-auth', 'hq', TO_DATE('2022-09-28 10:01:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:01:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/a41a30e2-660c-48ca-84da-941335e37e48', 'DELETE', '{}', '1', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574949393005129730', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-28 10:29:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:29:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/page', 'GET', '{"hitCount":[""],"optimizeCountSql":[""],"records":[""],"searchCount":[""],"fullName":[""],"updateUser":[""],"remark":[""],"updateTime":[""],"regionLevel":[""],"current":[""],"regionCode":[""],"total":[""],"size":[""],"createTime":[""],"regionId":[""],"orders[0].asc":[""],"name":[""],"tenantId":[""],"createUser":[""],"orders[0].column":[""],"id":[""],"isDel":[""]}', '196', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574949789006147585', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-28 10:31:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:31:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574949789282971649', '2', 'tofly-auth', 'hr', TO_DATE('2022-09-28 10:31:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:31:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/a9db99f1-c010-45f8-b635-b16161fd929d', 'DELETE', '{}', '1', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575036083212247042', '0', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 16:13:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:13:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessnodel', 'POST', '{}', '62', NULL, 'For input string: "|"', 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575037432431644674', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 16:19:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:19:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '530', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575037604758818818', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-09-28 16:20:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:20:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574936857945845762', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-28 09:39:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:39:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"isMould":["0"],"label":["1568482594885484546"]}', '12', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574936922378743809', '1', 'tofly-flow', 'hq', TO_DATE('2022-09-28 09:39:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:39:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '30', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574936949859823618', '1', 'tofly-flow', 'hq', TO_DATE('2022-09-28 09:40:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:40:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574937006143188994', '1', 'tofly-flow', 'hq', TO_DATE('2022-09-28 09:40:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:40:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["10000"],"current":["1"]}', '29', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574937007174987778', '1', 'tofly-flow', 'hq', TO_DATE('2022-09-28 09:40:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:40:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["30"],"current":["1"]}', '29', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574937007439228930', '1', 'tofly-flow', 'hq', TO_DATE('2022-09-28 09:40:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:40:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '82', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574937032739270657', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-28 09:40:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:40:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"fullName":[""],"updateUser":[""],"remark":[""],"updateTime":[""],"regionLevel":[""],"regionCode":[""],"createTime":[""],"regionId":[""],"name":[""],"tenantId":["1569602913205559298"],"createUser":[""],"id":[""],"isDel":[""]}', '79', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574937093091110913', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-28 09:40:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:40:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"fullName":[""],"updateUser":[""],"remark":[""],"updateTime":[""],"regionLevel":[""],"regionCode":[""],"createTime":[""],"regionId":[""],"name":[""],"tenantId":["1569602913205559298"],"createUser":[""],"id":[""],"isDel":[""]}', '51', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574937093871251457', '1', 'tofly-flow', 'hq', TO_DATE('2022-09-28 09:40:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:40:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574937103329406978', '1', 'tofly-flow', 'hq', TO_DATE('2022-09-28 09:40:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:40:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574937321697456130', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-28 09:41:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:41:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"isMould":["0"],"label":["1568482594885484546"]}', '10', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574937342450872322', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-28 09:41:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:41:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"isMould":["0"],"label":["1568482739010158593"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574937704574496770', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 09:43:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:43:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '142', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574937994686115841', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-28 09:44:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:44:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574938000839159809', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-28 09:44:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:44:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '7', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574938003485765633', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-28 09:44:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:44:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574938006576967681', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-28 09:44:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:44:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1"]}', '7', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574938007088672770', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-28 09:44:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:44:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1572832711356719105"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574939484611948546', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 09:50:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:50:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["41"],"id":["1572140204302041089"]}', '126', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574939485073321985', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 09:50:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:50:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574938027984769025', 'GET', '{"id":["1574938027984769025"]}', '18', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574940734770393089', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 09:55:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:55:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl', 'POST', '{}', '309', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574940736443920386', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 09:55:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:55:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574942636052590593', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-28 10:02:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:02:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1572832711356719105"],"isMould":["0"]}', '2', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574942640959926273', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 10:02:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:02:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl', 'POST', '{}', '91', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574942642562150401', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 10:02:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:02:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574942660257918978', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 10:02:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:02:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '127', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574942664871653377', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 10:02:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:02:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574942665496604673', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 10:02:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:02:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574942669514747906', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 10:02:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:02:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574944549670236162', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-28 10:10:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:10:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574944560978079746', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-28 10:10:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:10:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1"]}', '5', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574944561162629122', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-28 10:10:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:10:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1572832711356719105"],"isMould":["0"]}', '1', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574944850385055745', '2', 'tofly-auth', 'yj', TO_DATE('2022-09-28 10:11:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:11:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/9010f3d2-a7cb-4ce8-9a1f-0d943a454a26', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574948984941293569', '2', 'tofly-auth', 'llzm', TO_DATE('2022-09-28 10:27:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:27:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/2920e07e-b778-4c12-8202-757b1fc3b42d', 'DELETE', '{}', '1', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574949019263283202', '2', 'tofly-auth', 'llzm', TO_DATE('2022-09-28 10:28:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:28:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/d4e906ef-c407-4986-86b8-9f5b091df773', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574949459883307009', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 10:29:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:29:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '23', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575012049690943490', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 14:38:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:38:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575012052379492353', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 14:38:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:38:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575012206000070658', '2', 'tofly-auth', 'fsq1', TO_DATE('2022-09-28 14:39:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:39:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/4c866a35-1ca7-419c-a439-0b1882e0f7bc', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574942365608062978', '1', 'tofly-flow', 'hq', TO_DATE('2022-09-28 10:01:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:01:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574942881448734721', '2', 'tofly-auth', 'hq', TO_DATE('2022-09-28 10:03:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:03:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/896be507-e32b-49f8-b1f6-a98399e56238', 'DELETE', '{}', '1', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574945282612277250', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 10:13:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:13:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["10000"],"current":["1"]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574945423310204929', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-28 10:13:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:13:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574946372040798209', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 10:17:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:17:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["41"],"id":["1572140204302041089"]}', '122', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574946372586057730', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 10:17:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:17:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574938027984769025', 'GET', '{"id":["1574938027984769025"]}', '19', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574946507672006657', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 10:18:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:18:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '1', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574946934475993089', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-28 10:19:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:19:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '2', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574946952868016130', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-28 10:19:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:19:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["37"],"id":["1572140204302041089"]}', '124', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574946953396498434', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-28 10:19:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:19:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574946953463607298', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-28 10:19:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:19:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574946977207562241', '2', 'tofly-auth', 'jtadmin', TO_DATE('2022-09-28 10:19:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:19:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/5b4195cc-ae7f-40cd-9a42-fb96816e9127', 'DELETE', '{}', '1', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574946981431226369', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 10:19:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:19:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574946988406353921', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-28 10:19:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:19:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":["1574930021670731778"],"matterName":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574946995368898561', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 10:19:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:19:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574947011173036033', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-28 10:20:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:20:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":["1574930021670731778"],"matterName":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574947018877972481', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-28 10:20:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:20:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574947021285502977', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-28 10:20:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:20:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574947022241804290', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-28 10:20:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:20:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574947023000973313', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-28 10:20:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:20:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574998664328896513', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-28 13:45:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 13:45:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574998692330070017', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-28 13:45:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 13:45:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574998724722679809', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-28 13:45:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 13:45:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"nature":[""]}', '17', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574998733019013122', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 13:45:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 13:45:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"nature":[""]}', '15', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574998771279454209', '2', 'tofly-auth', 'llzm', TO_DATE('2022-09-28 13:45:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 13:45:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/b9b0fcd5-588c-4d04-b400-72ad13c818b5', 'DELETE', '{}', '1', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574998776350367745', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-28 13:45:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 13:45:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '18', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574998801436499969', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 13:45:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 13:45:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"nature":[""]}', '15', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574998803378462721', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-28 13:45:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 13:45:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfreportentryp/page', 'GET', '{"name":[""],"current":["1"],"size":["30"]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574998827965472770', '2', 'tofly-auth', 'mzadmin', TO_DATE('2022-09-28 13:45:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 13:45:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/093122aa-9f44-4e93-8df7-9acd1904bb1a', 'DELETE', '{}', '1', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574998866074918914', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-28 13:46:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 13:46:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574998872722890753', '2', 'tofly-auth', 'llzm', TO_DATE('2022-09-28 13:46:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 13:46:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/d797fbd8-4e7b-48be-8627-2091f2573d4b', 'DELETE', '{}', '1', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575004329487228930', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 14:07:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:07:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl', 'POST', '{}', '112', NULL, NULL, 'content:新增流程信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575004410877698050', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 14:08:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:08:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["46"],"id":["1572140204302041089"]}', '118', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575004411410374657', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 14:08:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:08:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575004329017425921', 'GET', '{"id":["1575004329017425921"]}', '23', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575004433682128897', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 14:08:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:08:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"nature":[""]}', '14', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575005022444969986', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 14:10:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:10:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575005054002913281', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 14:10:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:10:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575005075356114946', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 14:10:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:10:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '21', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575005093743943681', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 14:10:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:10:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574943935871594498', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-28 10:07:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:07:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574943935905148929', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-28 10:07:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:07:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '24', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574943979869843457', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 10:08:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:08:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574944008785375233', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 10:08:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:08:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["41"],"id":["1572140204302041089"]}', '129', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574944009208999937', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 10:08:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:08:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574938027984769025', 'GET', '{"id":["1574938027984769025"]}', '21', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574944187966042114', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-28 10:08:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:08:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '19', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574944237785985026', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 10:09:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:09:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessnodel', 'POST', '{}', '58', NULL, NULL, 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574944257616654338', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-28 10:09:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:09:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574944257641820162', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-28 10:09:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:09:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574944257713123329', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-28 10:09:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:09:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574944265216733185', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-28 10:09:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:09:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574944268890943490', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-28 10:09:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:09:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1"]}', '6', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574944269117435906', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-28 10:09:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:09:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1572832711356719105"],"isMould":["0"]}', '2', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574944556792164353', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-28 10:10:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:10:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574945524736864258', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 10:14:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:14:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574946557043159042', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 10:18:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:18:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574946557059936257', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 10:18:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:18:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574946577989513217', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 10:18:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:18:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '17', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574946578165673986', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 10:18:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:18:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574946582905237505', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 10:18:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:18:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":["1"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574946585962885122', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 10:18:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:18:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '2', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574946591860076546', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 10:18:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:18:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574946592036237314', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 10:18:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:18:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574946596347981825', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 10:18:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:18:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574946596532531202', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 10:18:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:18:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574946600076718081', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 10:18:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:18:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '2', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574946774509432833', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 10:19:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:19:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessnodel', 'POST', '{}', '6', NULL, NULL, 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574948568002310145', '2', 'tofly-auth', 'jtadmin', TO_DATE('2022-09-28 10:26:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:26:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/be4b1e7a-3bd5-42ed-9e52-c372e1186e8b', 'DELETE', '{}', '6', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574949188608307202', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 10:28:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:28:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '63', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574949213711216641', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 10:28:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:28:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '10', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575034791999954945', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 16:08:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:08:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectdispatchw/page', 'GET', '{"current":["1"],"state":[""],"userType":["{}"],"projectLink":[""],"size":["30"]}', '1', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575035074616713217', '0', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 16:09:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:09:59', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessnodel', 'POST', '{}', '41410', NULL, 'For input string: "|"', 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575035184163184641', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 16:10:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:10:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575035203599589378', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 16:10:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:10:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["46"],"id":["1572140204302041089"]}', '100', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575035204186791938', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 16:10:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:10:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575035204220346369', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 16:10:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:10:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '17', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575035226387243009', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 16:10:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:10:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["35"],"id":["1572140204302041089"]}', '124', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575035226903142402', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 16:10:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:10:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574702138742296578', 'GET', '{"id":["1574702138742296578"]}', '20', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575035821790027777', '0', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 16:12:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:12:57', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessnodel', 'POST', '{}', '85469', NULL, 'For input string: "|"', 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575036002551586818', '2', 'tofly-auth', 'hq', TO_DATE('2022-09-28 16:13:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:13:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/a6e8a123-5ddd-48d9-a60a-dbd51e08fb17', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575038232264445954', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-09-28 16:22:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:22:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '43', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575038232843259906', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-09-28 16:22:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:22:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '26', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575038245866573825', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-09-28 16:22:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:22:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '17', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575038246789320706', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-09-28 16:22:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:22:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '23', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575038250216067074', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-09-28 16:22:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:22:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1570225246022770689"]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575038250492891138', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-09-28 16:22:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:22:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575038253865111554', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-09-28 16:22:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:22:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '13', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575042768744054786', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 16:40:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:40:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '24', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575042776595791874', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 16:40:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:40:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"typeName":[""],"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575042804676657153', '1', 'tofly-flow', 'lz1', TO_DATE('2022-09-28 16:40:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:40:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575043015008419842', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 16:41:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:41:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["46"],"id":["1572140204302041089"]}', '151', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575043047237451777', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 16:41:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:41:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575043090174541825', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 16:41:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:41:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1574293601415409665', 'GET', '{"id":["1574293601415409665"]}', '34', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575043814585368577', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-28 16:44:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:44:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["46"],"id":["1572140204302041089"]}', '112', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575044105829449730', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 16:45:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:45:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["46"],"id":["1572140204302041089"]}', '110', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575044108752879617', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 16:45:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:45:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575044117690941441', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 16:45:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:45:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp', 'PUT', '{}', '13', NULL, NULL, 'content:修改物资信息表', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575044117967765506', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 16:45:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:45:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '20', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575044124829646849', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 16:45:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:45:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575044133914509313', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 16:45:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:45:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["46"],"id":["1572140204302041089"]}', '120', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575044136951185409', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 16:45:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:45:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575044149894807554', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 16:46:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:46:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["46"],"id":["1572140204302041089"]}', '108', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575044153845841921', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 16:46:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:46:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575044186427195394', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 16:46:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:46:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp', 'PUT', '{}', '13', NULL, NULL, 'content:修改物资信息表', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575044186775322625', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 16:46:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:46:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '28', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575044196510302210', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 16:46:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:46:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["46"],"id":["1572140204302041089"]}', '106', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575044196577411073', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 16:46:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:46:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575044278215344130', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 16:46:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:46:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp', 'PUT', '{}', '146', NULL, NULL, 'content:修改物资信息表', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575044280295718913', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 16:46:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:46:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '25', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575044286499094529', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 16:46:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:46:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575044305880973313', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 16:46:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:46:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp', 'PUT', '{}', '8', NULL, NULL, 'content:修改物资信息表', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575044307197984769', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 16:46:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:46:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '37', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575044340291043330', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 16:46:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:46:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":["法兰球阀的材料全程"]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575044343327719425', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 16:46:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:46:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":["法兰球阀的材料全程"]}', '18', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575044343558406146', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 16:46:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:46:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":["法兰球阀的材料全程"]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575044344539873282', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 16:46:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:46:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":["法兰球阀的材料全程"]}', '17', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575044352584548353', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 16:46:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:46:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":["法兰球阀的材料全程"]}', '17', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575044504443518978', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-28 16:47:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:47:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessnodel', 'POST', '{}', '18', NULL, NULL, 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575044623075213313', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 16:47:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:47:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575044750930182146', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 16:48:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:48:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["46"],"id":["1572140204302041089"]}', '102', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575044921655132161', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 16:49:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:49:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["46"],"id":["1572140204302041089"]}', '119', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575045019722153985', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 16:49:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:49:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575012311998521346', '1', 'tofly-flow', 'test', TO_DATE('2022-09-28 14:39:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:39:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '17', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575012312216625153', '1', 'tofly-flow', 'test', TO_DATE('2022-09-28 14:39:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:39:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575012335230771202', '1', 'tofly-flow', 'test', TO_DATE('2022-09-28 14:39:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:39:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575012335465652226', '1', 'tofly-flow', 'test', TO_DATE('2022-09-28 14:39:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:39:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575012339295051777', '1', 'tofly-flow', 'test', TO_DATE('2022-09-28 14:39:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:39:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575012339500572673', '1', 'tofly-flow', 'test', TO_DATE('2022-09-28 14:39:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:39:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575012341950046210', '1', 'tofly-flow', 'test', TO_DATE('2022-09-28 14:39:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:39:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575012403656646658', '1', 'tofly-flow', 'test', TO_DATE('2022-09-28 14:39:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:39:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1574245421143371777', 'GET', '{"id":["1574245421143371777"]}', '19', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575012404440981506', '1', 'tofly-flow', 'test', TO_DATE('2022-09-28 14:39:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:39:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":["1"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575012404642308097', '1', 'tofly-flow', 'test', TO_DATE('2022-09-28 14:39:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:39:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575012407175667714', '1', 'tofly-flow', 'test', TO_DATE('2022-09-28 14:39:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:39:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575012431284527106', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 14:40:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:40:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '115', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575012431850758146', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 14:40:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:40:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575012432085639170', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 14:40:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:40:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575012434631581698', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 14:40:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:40:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575012529351548930', '1', 'tofly-flow', 'test', TO_DATE('2022-09-28 14:40:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:40:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575012570514448386', '1', 'tofly-flow', 'test', TO_DATE('2022-09-28 14:40:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:40:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575012570682220546', '1', 'tofly-flow', 'test', TO_DATE('2022-09-28 14:40:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:40:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575012768422682626', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-28 14:41:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:41:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575012768590454786', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-28 14:41:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:41:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575012771882983426', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-28 14:41:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:41:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575012784713359362', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 14:41:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:41:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575012784910491649', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 14:41:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:41:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575013030575071234', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-28 14:42:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:42:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575013030784786434', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-28 14:42:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:42:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575013034685489154', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-28 14:42:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:42:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575013036270936066', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-28 14:42:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:42:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572111539262464001', 'GET', '{"id":["1572111539262464001"]}', '92', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575013039148228609', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 14:42:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:42:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575013039366332417', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 14:42:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:42:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575013041765474306', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 14:42:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:42:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575013049206169601', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-28 14:42:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:42:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/10557acc-fc06-4d87-844e-06505298137f', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575013067946319873', '2', 'tofly-auth', 'llzm', TO_DATE('2022-09-28 14:42:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:42:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/e5f44f48-98f4-40fc-a085-f1879d1b7fe6', 'DELETE', '{}', '1', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575013502446854145', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 14:44:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:44:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["46"],"id":["1572140204302041089"]}', '162', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575013505655496706', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-09-28 14:44:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:44:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575013505907154945', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-09-28 14:44:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:44:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575013509514256385', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-09-28 14:44:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:44:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1570225246022770689"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575013509816246274', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-09-28 14:44:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:44:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575013512450269185', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-09-28 14:44:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:44:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575013518385209345', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-09-28 14:44:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:44:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1574275849078255617', 'GET', '{"id":["1574275849078255617"]}', '24', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575013518833999873', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-09-28 14:44:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:44:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":["1570225246022770689"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575005168842956801', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 14:11:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:11:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["46"],"id":["1572140204302041089"]}', '140', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575005169363050497', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 14:11:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:11:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575004329017425921', 'GET', '{"id":["1575004329017425921"]}', '30', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575009197513891841', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 14:27:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:27:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575009228086173698', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 14:27:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:27:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"nature":[""]}', '14', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575009271560134658', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 14:27:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:27:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575009271824375810', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 14:27:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:27:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '19', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575009291906703361', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 14:27:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:27:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575004329017425921', 'GET', '{}', '124', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575009292359688193', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 14:27:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:27:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["46"],"id":["1572140204302041089"]}', '110', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575009293299212290', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 14:27:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:27:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575009293332766721', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 14:27:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:27:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '20', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575009439802056705', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 14:28:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:28:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"nature":[""]}', '12', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575009444017332226', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 14:28:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:28:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessnodel', 'POST', '{}', '104', NULL, NULL, 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575009622854066177', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 14:28:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:28:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessnodel', 'POST', '{}', '63', NULL, NULL, 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575009893768355841', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 14:29:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:29:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575009975171407874', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 14:30:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:30:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessnodel', 'POST', '{}', '60', NULL, NULL, 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575010003868835841', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 14:30:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:30:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessnodel', 'POST', '{}', '71', NULL, NULL, 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575010930348646401', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 14:34:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:34:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["9999"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575010999634354177', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 14:34:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:34:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575010999881818114', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 14:34:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:34:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575011002431954946', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 14:34:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:34:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575011012166934529', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 14:34:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:34:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575011027593584641', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 14:34:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:34:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572057231389220865', 'GET', '{"id":["1572057231389220865"]}', '28', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575011028134649858', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 14:34:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:34:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575011028327587842', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 14:34:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:34:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575011030881918977', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 14:34:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:34:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575011031066468353', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 14:34:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:34:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575011076587249666', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 14:34:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:34:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575011090222931970', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 14:34:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:34:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '17', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575011090503950337', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 14:34:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:34:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '18', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575011103787311106', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 14:34:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:34:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":["1569602913205559298"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575011106429722625', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 14:34:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:34:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575011118668701698', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 14:34:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:34:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["46"],"id":["1572140204302041089"]}', '111', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575011168954212354', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 14:34:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:34:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575011169214259201', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 14:34:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:34:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575011180647931905', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 14:35:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:35:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '114', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575011181214162945', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 14:35:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:35:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575011181407100929', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 14:35:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:35:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575011188755521537', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 14:35:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:35:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575011188998791170', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 14:35:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:35:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575011213367697410', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 14:35:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:35:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575011225220800514', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 14:35:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:35:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575036153693691906', '0', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 16:14:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:14:16', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessnodel', 'POST', '{}', '9055', NULL, 'For input string: "|"', 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575036218818289666', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 16:14:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:14:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575036292663205889', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-28 16:14:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:14:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectdispatchw/page', 'GET', '{"current":["1"],"state":[""],"userType":["{}"],"projectLink":[""],"size":["30"]}', '2', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575036296056397825', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 16:14:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:14:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/1574968107003887617', 'DELETE', '{}', '5', NULL, NULL, 'content:通过id删除工序管理（工序名称）/工程管控管理', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575036296312250369', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 16:14:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:14:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575036492757032961', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 16:15:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:15:37', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessnodel', 'POST', '{}', '3662', NULL, NULL, 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575036760210661378', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 16:16:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:16:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575036787637215233', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-09-28 16:16:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:16:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575036788044062722', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-09-28 16:16:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:16:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575036830024851458', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-09-28 16:16:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:16:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575036830423310337', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-09-28 16:16:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:16:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575036853999493122', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-09-28 16:17:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:17:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575036858751639553', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-09-28 16:17:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:17:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"nature":[""]}', '10', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575036868910243842', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-09-28 16:17:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:17:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"nature":[""]}', '8', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575036872018223105', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-09-28 16:17:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:17:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"nature":[""]}', '9', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575036881254080513', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-09-28 16:17:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:17:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575036931380207617', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-09-28 16:17:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:17:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp', 'POST', '{}', '29', NULL, NULL, 'content:新增工程工序/工程管控', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575036931774472193', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-09-28 16:17:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:17:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"nature":[""]}', '20', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575036961449172994', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 16:17:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:17:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575036987600658434', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 16:17:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:17:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575036993703370753', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 16:17:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:17:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575037008257605633', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 16:17:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:17:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"typeName":[""],"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575037022291746817', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 16:17:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:17:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '24', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575037059516194817', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 16:17:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:17:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575037432431644675', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 16:19:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:19:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"typeName":[""],"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '493', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575037433887068161', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 16:19:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:19:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"typeName":[""],"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '19', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575037561964335105', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-09-28 16:19:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:19:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '39', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575037569245646850', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-09-28 16:19:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:19:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"nature":[""]}', '47', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575037578796077057', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 16:19:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:19:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfreportentryp/page', 'GET', '{"name":[""],"current":["1"],"size":["30"]}', '19', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575037581656592386', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-09-28 16:19:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:19:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{}', '19', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575037599608213505', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-09-28 16:20:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:20:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp', 'POST', '{}', '28', NULL, NULL, 'content:新增工程工序/工程管控', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575037600015060994', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-09-28 16:20:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:20:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"nature":[""]}', '29', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575039816314707970', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-09-28 16:28:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:28:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '632', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575042210163425282', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-28 16:38:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:38:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"isMould":["0"],"label":["1568482594885484546"]}', '1020', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575042292426309634', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-09-28 16:38:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:38:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '37', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575042294678650882', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-09-28 16:38:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:38:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"typeName":[""],"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '78', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575042296951963649', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-09-28 16:38:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:38:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"typeName":[""],"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '17', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575042300508733441', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-09-28 16:38:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:38:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"typeName":[""],"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575042301557309441', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-09-28 16:38:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:38:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"typeName":[""],"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575042303738347521', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-09-28 16:38:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:38:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"typeName":[""],"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575037625784864770', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-09-28 16:20:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:20:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '41', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575038750051274753', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-09-28 16:24:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:24:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '54', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575039816314707971', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-09-28 16:28:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:28:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '859', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575040618311770113', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-09-28 16:32:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:32:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '80', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575040623844057090', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-09-28 16:32:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:32:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '80', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575045330763350017', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-28 16:50:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:50:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '2', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575045599639207937', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-28 16:51:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:51:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '2', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575045611764940802', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 16:51:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:51:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572111539262464001', 'GET', '{"id":["1572111539262464001"]}', '102', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575045613987921921', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 16:51:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:51:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575045618089951233', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 16:51:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:51:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575045680966762498', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-28 16:52:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:52:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessnodel', 'POST', '{}', '7', NULL, NULL, 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575045855009406978', '1', 'tofly-flow', 'public', TO_DATE('2022-09-28 16:52:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:52:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["46"],"id":["1572140204302041089"]}', '107', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575045856963952642', '1', 'tofly-flow', 'public', TO_DATE('2022-09-28 16:52:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:52:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '18', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575045857005895682', '1', 'tofly-flow', 'public', TO_DATE('2022-09-28 16:52:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:52:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '24', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575046791731707906', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 16:56:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:56:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp', 'PUT', '{}', '28', NULL, NULL, 'content:修改物资信息表', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575046792042086401', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 16:56:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:56:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '26', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575046797968637953', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 16:56:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:56:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575046810144702466', '0', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 16:56:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:56:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp', 'PUT', '{}', '405', NULL, '### Error updating database.  Cause: java.sql.SQLDataException: ORA-01438: 值大于为此列指定的允许精度

### The error may exist in com/tofly/workflow/baseconf/mapper/TfMatterPricePMapper.java (best guess)
### The error may involve com.tofly.workflow.baseconf.mapper.TfMatterPricePMapper.insert-Inline
### The error occurred while setting parameters
### SQL: INSERT INTO TF_MATTER_PRICE_P  ( id, matter_id, price, install_price,    CREATE_USER, CREATE_TIME )  VALUES  ( ?, ?, ?, ?,    ?, ? )
### Cause: java.sql.SQLDataException: ORA-01438: 值大于为此列指定的允许精度

; ORA-01438: 值大于为此列指定的允许精度
; nested exception is java.sql.SQLDataException: ORA-01438: 值大于为此列指定的允许精度', 'content:修改物资信息表', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575046814909431810', '0', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 16:56:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:56:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp', 'PUT', '{}', '229', NULL, '### Error updating database.  Cause: java.sql.SQLDataException: ORA-01438: 值大于为此列指定的允许精度

### The error may exist in com/tofly/workflow/baseconf/mapper/TfMatterPricePMapper.java (best guess)
### The error may involve com.tofly.workflow.baseconf.mapper.TfMatterPricePMapper.insert-Inline
### The error occurred while setting parameters
### SQL: INSERT INTO TF_MATTER_PRICE_P  ( id, matter_id, price, install_price,    CREATE_USER, CREATE_TIME )  VALUES  ( ?, ?, ?, ?,    ?, ? )
### Cause: java.sql.SQLDataException: ORA-01438: 值大于为此列指定的允许精度

; ORA-01438: 值大于为此列指定的允许精度
; nested exception is java.sql.SQLDataException: ORA-01438: 值大于为此列指定的允许精度', 'content:修改物资信息表', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575046848728104961', '0', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 16:56:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:56:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp', 'PUT', '{}', '85', NULL, '### Error updating database.  Cause: java.sql.SQLDataException: ORA-01438: 值大于为此列指定的允许精度

### The error may exist in com/tofly/workflow/baseconf/mapper/TfMatterPricePMapper.java (best guess)
### The error may involve com.tofly.workflow.baseconf.mapper.TfMatterPricePMapper.insert-Inline
### The error occurred while setting parameters
### SQL: INSERT INTO TF_MATTER_PRICE_P  ( id, matter_id, price, install_price,    CREATE_USER, CREATE_TIME )  VALUES  ( ?, ?, ?, ?,    ?, ? )
### Cause: java.sql.SQLDataException: ORA-01438: 值大于为此列指定的允许精度

; ORA-01438: 值大于为此列指定的允许精度
; nested exception is java.sql.SQLDataException: ORA-01438: 值大于为此列指定的允许精度', 'content:修改物资信息表', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575047001950224386', '1', 'tofly-flow', 'public', TO_DATE('2022-09-28 16:57:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:57:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessnodel', 'POST', '{}', '536', NULL, NULL, 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575053764443357185', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 17:24:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:24:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '17', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575053764766318594', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 17:24:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:24:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '23', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575053812417806337', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 17:24:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:24:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1575053258153025538', 'GET', '{"id":["1575053258153025538"]}', '24', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575053813030174721', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 17:24:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:24:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575053813323776002', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 17:24:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:24:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575053816050073602', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 17:24:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:24:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575054102911107074', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 17:25:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:25:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '7', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575054341785108481', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 17:26:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:26:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["46"],"id":["1572140204302041089"]}', '128', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575013519010160641', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-09-28 14:44:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:44:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575013521614823426', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-09-28 14:44:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:44:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575013595237441537', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 14:44:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:44:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575013595543625729', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 14:44:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:44:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575013623981006850', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 14:44:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:44:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575013624232665090', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 14:44:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:44:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575013631744663554', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 14:44:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:44:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '113', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575013632419946497', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 14:44:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:44:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575013632914874370', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 14:44:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:44:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575013636412923905', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 14:44:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:44:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575013700166344706', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-09-28 14:45:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:45:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1574245421143371777', 'GET', '{"id":["1574245421143371777"]}', '16', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575014363210309634', '2', 'tofly-auth', 'll', TO_DATE('2022-09-28 14:47:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:47:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/bdcadaec-9609-48d0-ab9f-b7b2c7f46d71', 'DELETE', '{}', '1', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575014407095312385', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 14:47:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:47:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575014577623130114', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 14:48:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:48:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575014577895759873', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 14:48:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:48:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575014586800267265', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 14:48:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:48:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '114', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575014587337138178', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 14:48:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:48:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575014587651710978', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 14:48:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:48:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575014590247985154', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 14:48:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:48:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575014685865533441', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-09-28 14:48:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:48:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575014773337743362', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 14:49:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:49:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575014870138085377', '2', 'tofly-auth', 'mzadmin', TO_DATE('2022-09-28 14:49:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:49:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/adcbaaae-5aca-4c8e-82b2-9a1bd770d455', 'DELETE', '{}', '1', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575014889087950849', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 14:49:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:49:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575014889301860353', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 14:49:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:49:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575014900550983682', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 14:49:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:49:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '113', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575014901104631810', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 14:49:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:49:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575014901318541314', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 14:49:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:49:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575014904455880705', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 14:49:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:49:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575014933618876418', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-09-28 14:49:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:49:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575014933836980225', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-09-28 14:49:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:49:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575015291623694337', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 14:51:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:51:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575015360443834370', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 14:51:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:51:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575015360691298306', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 14:51:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:51:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575015375941787650', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 14:51:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:51:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '110', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575015376499630082', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 14:51:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:51:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575015376738705410', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 14:51:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:51:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575015379389505538', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 14:51:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:51:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575017435626070018', '1', 'tofly-flow', 'txh', TO_DATE('2022-09-28 14:59:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:59:53', 'SYYYY-MM-DD HH24:MI:SS'), '42.225.115.58', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569152821327564802"],"label":["1568482594885484546"],"isMould":["0"]}', '2', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575017825922834434', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-09-28 15:01:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:01:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575011230958608385', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 14:35:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:35:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575011319781384193', '1', 'tofly-flow', 'txh', TO_DATE('2022-09-28 14:35:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:35:35', 'SYYYY-MM-DD HH24:MI:SS'), '42.225.115.58', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575011333131853825', '1', 'tofly-flow', 'txh', TO_DATE('2022-09-28 14:35:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:35:38', 'SYYYY-MM-DD HH24:MI:SS'), '42.225.115.58', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"nature":[""]}', '11', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575012528667877378', '1', 'tofly-flow', 'test', TO_DATE('2022-09-28 14:40:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:40:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1574689258189930498', 'GET', '{"id":["1574689258189930498"]}', '17', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575012529108279298', '1', 'tofly-flow', 'test', TO_DATE('2022-09-28 14:40:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:40:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575012535005470722', '1', 'tofly-flow', 'test', TO_DATE('2022-09-28 14:40:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:40:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575012583382573058', '1', 'tofly-flow', 'test', TO_DATE('2022-09-28 14:40:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:40:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575012817055637506', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 14:41:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:41:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":["1569602913205559298"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575012817269547009', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 14:41:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:41:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575016224126885890', '1', 'tofly-flow', 'public', TO_DATE('2022-09-28 14:55:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:55:04', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessl/1575004329017425921', 'GET', '{}', '566', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575016702638252034', '1', 'tofly-flow', 'public', TO_DATE('2022-09-28 14:56:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:56:58', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["46"],"id":["1572140204302041089"]}', '1509', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575019621173026818', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 15:08:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:08:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575019621651177474', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 15:08:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:08:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575019629578412033', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 15:08:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:08:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '120', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575019630199169025', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 15:08:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:08:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575019630429855746', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 15:08:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:08:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575019633009352705', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 15:08:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:08:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575019692409085954', '1', 'tofly-flow', 'public', TO_DATE('2022-09-28 15:08:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:08:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessnodel', 'POST', '{}', '106', NULL, NULL, 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575019731151872001', '1', 'tofly-flow', 'public', TO_DATE('2022-09-28 15:09:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:09:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575019157928886274', 'GET', '{}', '21', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575020517206745090', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 15:12:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:12:08', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessnodel', 'POST', '{}', '199', NULL, NULL, 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575021027917422594', '1', 'tofly-flow', 'ys', TO_DATE('2022-09-28 15:14:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:14:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575021107282403330', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 15:14:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:14:29', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessnodel', 'POST', '{}', '88060', NULL, NULL, 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575026169437872129', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 15:34:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:34:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575026181798486018', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 15:34:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:34:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["46"],"id":["1572140204302041089"]}', '116', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575026182561849345', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 15:34:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:34:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575026182607986689', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 15:34:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:34:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '22', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575026221539516417', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 15:34:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:34:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575026227461873665', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 15:34:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:34:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["46"],"id":["1572140204302041089"]}', '113', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575026228053270530', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 15:34:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:34:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575004329017425921', 'GET', '{"id":["1575004329017425921"]}', '26', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575026255697928194', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 15:34:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:34:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["46"],"id":["1572140204302041089"]}', '133', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575026256218021890', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 15:34:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:34:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575026256259964930', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 15:34:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:34:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575026336031432705', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 15:35:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:35:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575004329017425921', 'GET', '{}', '26', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575026336517971969', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 15:35:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:35:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["46"],"id":["1572140204302041089"]}', '103', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575026337289723905', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 15:35:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:35:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575026337340055553', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 15:35:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:35:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '24', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575026370546360321', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 15:35:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:35:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575019157928886274', 'GET', '{}', '22', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575026370919653378', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 15:35:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:35:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["46"],"id":["1572140204302041089"]}', '107', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575026371808845825', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 15:35:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:35:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575026371850788865', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 15:35:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:35:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575026391559823362', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-28 15:35:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:35:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/926e9efe-c7ee-48db-9ac4-ee9055821bdb', 'DELETE', '{}', '1', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575042220368166913', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-28 16:38:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:38:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/645ca614-fe20-4d06-8d92-171ddbba4750', 'DELETE', '{}', '16', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575042580293976066', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 16:39:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:39:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '7', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575042591329189889', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 16:39:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:39:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["46"],"id":["1572140204302041089"]}', '268', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575042597704531969', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 16:39:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:39:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575042651571978241', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-09-28 16:40:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:40:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '30', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575042653232922625', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-09-28 16:40:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:40:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '24', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575042708476100609', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 16:40:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:40:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '22', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575042717149921282', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-28 16:40:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:40:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575019157928886274', 'GET', '{}', '58', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575042717271556097', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-28 16:40:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:40:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["46"],"id":["1572140204302041089"]}', '156', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575042720257900546', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-28 16:40:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:40:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575042720266289154', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-28 16:40:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:40:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '40', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575042737093836801', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-09-28 16:40:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:40:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575042737387438082', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-09-28 16:40:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:40:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575042741787262977', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 16:40:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:40:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '43', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575042757880807425', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 16:40:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:40:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"nature":[""]}', '45', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575042757901778945', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-09-28 16:40:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:40:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575042763874467841', '2', 'tofly-auth', 'tnadmin', TO_DATE('2022-09-28 16:40:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:40:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/4a600ee8-44f5-4080-ac79-d4e6c7e46229', 'DELETE', '{}', '1', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575042846149935106', '2', 'tofly-auth', 'lz1', TO_DATE('2022-09-28 16:40:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:40:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/37be5e92-d19d-4cd2-b437-9b0a64238230', 'DELETE', '{}', '4', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575042902970171393', '2', 'tofly-auth', 'tnadmin', TO_DATE('2022-09-28 16:41:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:41:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/b116b522-abea-4330-b3d7-62fd2e551ced', 'DELETE', '{}', '1', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575042960616685569', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 16:41:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:41:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575043036642639874', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 16:41:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:41:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1574293601415409665', 'GET', '{"id":["1574293601415409665"]}', '24', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575043037783490561', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 16:41:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:41:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575043040081969153', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 16:41:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:41:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575043043517104129', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 16:41:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:41:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575043046964822018', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 16:41:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:41:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575043079034470402', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-28 16:41:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:41:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["46"],"id":["1572140204302041089"]}', '148', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575043079034470403', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-28 16:41:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:41:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575019157928886274', 'GET', '{}', '44', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575043082465411073', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-28 16:41:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:41:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575043082465411074', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-28 16:41:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:41:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '25', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575043092410105858', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 16:41:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:41:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575043092624015361', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 16:41:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:41:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575043106284863490', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 16:41:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:41:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575043316977336321', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-28 16:42:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:42:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575043340301860866', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-28 16:42:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:42:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '23', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575043353446809601', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 16:42:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:42:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575043366428180481', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 16:42:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:42:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '20', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575043456962232321', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 16:43:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:43:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '125', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575043459185213441', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 16:43:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:43:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575043460003102721', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 16:43:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:43:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575043465107570690', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 16:43:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:43:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575044944467951618', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 16:49:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:49:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '2', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575044968153186305', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 16:49:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:49:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575044968413233154', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 16:49:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:49:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575045007776776193', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 16:49:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:49:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575045007978102785', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 16:49:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:49:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575045014798041090', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 16:49:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:49:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575045016672894977', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 16:49:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:49:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575045193940959234', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-28 16:50:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:50:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575045299746471938', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 16:50:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:50:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575045300732133377', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 16:50:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:50:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575045317479989249', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 16:50:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:50:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575045317786173441', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 16:50:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:50:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '17', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575045326606794753', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 16:50:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:50:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1571763657271414785', 'GET', '{"id":["1571763657271414785"]}', '48', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575045327684730882', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 16:50:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:50:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575045335863623681', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 16:50:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:50:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575045665909211137', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-28 16:52:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:52:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575045680975151105', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-28 16:52:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:52:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '2', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575045719902486529', '2', 'tofly-auth', 'yj', TO_DATE('2022-09-28 16:52:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:52:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/69fc9754-7084-48e5-85d3-bcf90054c247', 'DELETE', '{}', '1', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575046263853383682', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 16:54:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:54:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575046271738675201', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 16:54:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:54:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '17', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575046302692638721', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 16:54:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:54:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575046319549546498', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 16:54:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:54:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575046367091982337', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 16:54:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:54:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["46"],"id":["1572140204302041089"]}', '98', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575046511623503874', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 16:55:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:55:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["46"],"id":["1572140204302041089"]}', '95', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575046736790519810', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 16:56:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:56:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["46"],"id":["1572140204302041089"]}', '93', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575046770147819521', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 16:56:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:56:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp', 'PUT', '{}', '8', NULL, NULL, 'content:修改物资信息表', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575046772467269634', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 16:56:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:56:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575046775730438146', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 16:56:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:56:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575047244716539905', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 16:58:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:58:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["46"],"id":["1572140204302041089"]}', '100', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575047382071607297', '2', 'tofly-auth', 'lz1', TO_DATE('2022-09-28 16:58:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:58:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/504db977-178c-44bc-a8bb-e3db114198da', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575047506386583554', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 16:59:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:59:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["46"],"id":["1572140204302041089"]}', '94', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575048581072125954', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 17:03:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:03:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"typeName":[""],"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575048588370214913', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 17:03:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:03:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"typeName":[""],"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575048588563152897', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 17:03:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:03:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"typeName":[""],"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575048613204688897', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 17:03:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:03:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"typeName":[""],"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575048671048335362', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 17:04:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:04:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575048689515855873', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 17:04:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:04:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575048713704407042', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 17:04:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:04:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575048741764300801', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 17:04:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:04:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/1575042629535019010', 'DELETE', '{"0":["1575042629535019010"]}', '4', NULL, NULL, 'content:通过id删除物资信息表', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575048742389252097', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 17:04:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:04:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '17', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575017537077895169', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-09-28 15:00:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:00:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1570225246022770689"],"label":["1568482594885484546"],"isMould":["0"]}', '2', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575017834827341825', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-09-28 15:01:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:01:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1574275849078255617', 'GET', '{"id":["1574275849078255617"]}', '20', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575017835213217794', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-09-28 15:01:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:01:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":["1570225246022770689"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575017838803542018', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-09-28 15:01:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:01:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575017908605149185', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-09-28 15:01:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:01:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":["1570225246022770689"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575017908789698562', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-09-28 15:01:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:01:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575019510103662594', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 15:08:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:08:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575020303695339521', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 15:11:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:11:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575020303951192065', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 15:11:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:11:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575020335693684737', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 15:11:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:11:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575020336146669569', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 15:11:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:11:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '18', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575020339850240002', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 15:11:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:11:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575020339875405825', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 15:11:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:11:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575020342035472385', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 15:11:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:11:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575020342266159106', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 15:11:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:11:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575020363069906945', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 15:11:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:11:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575020363283816450', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 15:11:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:11:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575020368958709762', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 15:11:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:11:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575020369151647745', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 15:11:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:11:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575020371609509890', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 15:11:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:11:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575020405218467842', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 15:11:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:11:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575020405444960258', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 15:11:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:11:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575020407932182530', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 15:11:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:11:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575020420104052738', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 15:11:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:11:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1574277765191512066', 'GET', '{"id":["1574277765191512066"]}', '22', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575020420770947073', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 15:11:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:11:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":["1"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575020421081325570', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 15:11:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:11:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575020423698571265', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 15:11:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:11:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '2', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575021245723435009', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 15:15:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:15:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575021260344778753', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 15:15:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:15:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575022164431200258', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-28 15:18:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:18:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575022164670275586', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-28 15:18:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:18:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575022202570006529', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-28 15:18:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:18:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1574293601415409665', 'GET', '{"id":["1574293601415409665"]}', '26', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575022203031379969', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-28 15:18:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:18:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575022203186569217', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-28 15:18:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:18:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575022206093221889', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-28 15:18:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:18:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575022588123013121', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 15:20:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:20:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575022592984211458', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 15:20:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:20:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["46"],"id":["1572140204302041089"]}', '116', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575022593680465922', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 15:20:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:20:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575012600499527681', '1', 'tofly-flow', 'test', TO_DATE('2022-09-28 14:40:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:40:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575012602433101825', '2', 'tofly-auth', 'test', TO_DATE('2022-09-28 14:40:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:40:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/0305d51c-7379-4c08-b54b-c13aee615467', 'DELETE', '{}', '1', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575012650650820609', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 14:40:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:40:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '107', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575012816292274177', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 14:41:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:41:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572057231389220865', 'GET', '{"id":["1572057231389220865"]}', '19', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575012837234434049', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-28 14:41:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:41:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1574279430669938690', 'GET', '{"id":["1574279430669938690"]}', '20', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575012856842805250', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-28 14:41:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:41:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1571763657271414785', 'GET', '{"id":["1571763657271414785"]}', '52', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575012891580030977', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 14:41:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:41:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575012896999071745', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-28 14:41:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:41:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1574277765191512066', 'GET', '{"id":["1574277765191512066"]}', '17', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575013087818932226', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-28 14:42:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:42:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575013100427010050', '2', 'tofly-auth', 'mzadmin', TO_DATE('2022-09-28 14:42:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:42:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/8b8fea1b-c7e1-4fdd-a0ee-dc165c67c441', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575013443533660162', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 14:44:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:44:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575013695418392578', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-09-28 14:45:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:45:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575013706478772226', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-09-28 14:45:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:45:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575017966679482370', '1', 'tofly-flow', 'txh', TO_DATE('2022-09-28 15:02:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:02:00', 'SYYYY-MM-DD HH24:MI:SS'), '42.225.115.58', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575017969481277441', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 15:02:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:02:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessnodel', 'POST', '{}', '19', NULL, NULL, 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575020703685140481', '2', 'tofly-auth', 'jtzh', TO_DATE('2022-09-28 15:12:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:12:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/b9b772ce-923f-44c6-b029-2e09f706cc7d', 'DELETE', '{}', '3', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575020882375073793', '2', 'tofly-auth', 'mzadmin', TO_DATE('2022-09-28 15:13:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:13:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/04790e89-8819-4feb-9b7e-2d65c1fbeeef', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575020910606934018', '2', 'tofly-auth', 'jtadmin', TO_DATE('2022-09-28 15:13:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:13:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/224c67e0-6cbf-4d10-9f1f-8eb723adfff5', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575021268989239298', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 15:15:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:15:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["46"],"id":["1572140204302041089"]}', '111', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575022024437915650', '1', 'tofly-flow', 'txh', TO_DATE('2022-09-28 15:18:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:18:07', 'SYYYY-MM-DD HH24:MI:SS'), '42.225.115.58', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575022024798625793', '1', 'tofly-flow', 'txh', TO_DATE('2022-09-28 15:18:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:18:07', 'SYYYY-MM-DD HH24:MI:SS'), '42.225.115.58', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575022035917725698', '2', 'tofly-auth', 'jtzh', TO_DATE('2022-09-28 15:18:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:18:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/d1e9a1a0-1745-40f3-a3e9-d2b25ab3412d', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575023986403303426', '1', 'tofly-flow', 'jtzh', TO_DATE('2022-09-28 15:25:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:25:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '31', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575024029499777025', '1', 'tofly-flow', 'jtzh', TO_DATE('2022-09-28 15:26:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:26:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["30"],"current":["1"]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575024074815037442', '1', 'tofly-flow', 'jtzh', TO_DATE('2022-09-28 15:26:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:26:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '32', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575024132486717441', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 15:26:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:26:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessnodel', 'POST', '{}', '99', NULL, NULL, 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575024140967600129', '1', 'tofly-flow', 'jtzh', TO_DATE('2022-09-28 15:26:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:26:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575024182830948354', '1', 'tofly-flow', 'jtzh', TO_DATE('2022-09-28 15:26:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:26:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '2', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575024246538231810', '1', 'tofly-flow', 'jtzh', TO_DATE('2022-09-28 15:26:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:26:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575026397465403394', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 15:35:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:35:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["46"],"id":["1572140204302041089"]}', '112', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575026398165852161', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 15:35:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:35:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575028479618572290', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 15:43:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:43:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575028505866526721', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 15:43:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:43:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575029151516712961', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 15:46:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:46:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575031066803691522', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-28 15:54:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:54:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575031075750141954', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 15:54:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:54:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"tenantId":["1569602913205559298"],"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575031082591051777', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-28 15:54:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:54:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574237792111685633', 'GET', '{}', '16', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575031082960150529', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-28 15:54:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:54:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '109', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575031083643822081', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-28 15:54:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:54:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575031083685765121', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-28 15:54:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:54:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '22', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575031090233073666', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-28 15:54:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:54:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574293039374479362', 'GET', '{}', '26', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575024413794492417', '0', 'tofly-flow', 'jtzh', TO_DATE('2022-09-28 15:27:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:27:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/saveTeamAll', 'POST', '{}', '40', NULL, '### Error updating database.  Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-01400: 无法将 NULL 插入 ("TF_ZMRQ_LC"."TF_BUILD_UNIT_P"."TEAM_TYPE")

### The error may exist in com/tofly/workflow/baseconf/mapper/TfBuildUnitPMapper.java (best guess)
### The error may involve com.tofly.workflow.baseconf.mapper.TfBuildUnitPMapper.insert-Inline
### The error occurred while setting parameters
### SQL: INSERT INTO TF_BUILD_UNIT_P  ( id, tenant_id, order_number, dept_id,   remark, CREATE_USER,  CREATE_TIME, UPDATE_USER,  UPDATE_TIME )  VALUES  ( ?, ?, ?, ?,   ?, ?,  ?, ?,  ? )
### Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-01400: 无法将 NULL 插入 ("TF_ZMRQ_LC"."TF_BUILD_UNIT_P"."TEAM_TYPE")

; ORA-01400: 无法将 NULL 插入 ("TF_ZMRQ_LC"."TF_BUILD_UNIT_P"."TEAM_TYPE")
; nested exception is java.sql.SQLIntegrityConstraintViolationException: ORA-01400: 无法将 NULL 插入 ("TF_ZMRQ_LC"."TF_BUILD_UNIT_P"."TEAM_TYPE")', 'content:新增施工班组相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575024457037766657', '1', 'tofly-flow', 'txh', TO_DATE('2022-09-28 15:27:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:27:47', 'SYYYY-MM-DD HH24:MI:SS'), '42.225.115.58', NULL, '/tfbuildunitp/1574959023458435074', 'GET', '{"0":["1574959023458435074"]}', '14', NULL, NULL, 'content:通过id查询施工组织单位', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575024457436225538', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-28 15:27:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:27:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/87f140a4-4db1-4e6b-9422-aa62624cf1c3', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575024457998262273', '1', 'tofly-flow', 'jtzh', TO_DATE('2022-09-28 15:27:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:27:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"nature":[""]}', '16', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575024484917305345', '1', 'tofly-flow', 'txh', TO_DATE('2022-09-28 15:27:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:27:54', 'SYYYY-MM-DD HH24:MI:SS'), '42.225.115.58', NULL, '/tfbuildunitp/saveTeamAll', 'POST', '{}', '23', NULL, NULL, 'content:新增施工班组相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575024485475147777', '0', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 15:27:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:27:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessnodel', 'POST', '{}', '70', NULL, 'For input string: "|"', 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575024485525479425', '1', 'tofly-flow', 'txh', TO_DATE('2022-09-28 15:27:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:27:54', 'SYYYY-MM-DD HH24:MI:SS'), '42.225.115.58', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575024607390982145', '1', 'tofly-flow', 'public', TO_DATE('2022-09-28 15:28:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:28:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575024618925318145', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 15:28:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:28:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575024891043373058', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 15:29:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:29:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575024891219533825', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 15:29:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:29:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575024900509917186', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 15:29:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:29:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '117', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575024901340389378', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 15:29:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:29:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575024901529133057', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 15:29:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:29:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575024904171544578', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 15:29:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:29:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575025011487006722', '0', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 15:29:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:29:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessnodel', 'POST', '{}', '59', NULL, 'For input string: "|"', 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575026655297658882', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 15:36:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:36:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1574689258189930498', 'GET', '{"id":["1574689258189930498"]}', '21', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575026655847112706', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 15:36:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:36:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575026656073605121', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 15:36:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:36:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575026659403882497', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 15:36:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:36:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575026705193099266', '1', 'tofly-flow', 'public', TO_DATE('2022-09-28 15:36:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:36:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575026804950425601', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-28 15:37:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:37:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575026805172723714', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-28 15:37:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:37:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575026811329961985', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-28 15:37:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:37:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1574293601415409665', 'GET', '{"id":["1574293601415409665"]}', '30', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575026811728420865', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-28 15:37:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:37:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575026811900387330', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-28 15:37:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:37:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575026814521827330', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-28 15:37:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:37:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575043814593757185', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 16:44:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:44:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575043817802399747', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-28 16:44:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:44:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '32', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575043835917598722', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 16:44:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:44:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["46"],"id":["1572140204302041089"]}', '112', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575044030520721409', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 16:45:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:45:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["46"],"id":["1572140204302041089"]}', '116', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575044072186937346', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 16:45:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:45:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575044078360952833', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 16:45:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:45:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '19', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575044087672307713', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 16:45:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:45:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '34', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575044087882022914', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 16:45:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:45:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '17', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575048841710370818', '0', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 17:04:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:04:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp', 'PUT', '{}', '73', NULL, '### Error updating database.  Cause: java.sql.SQLDataException: ORA-01438: 值大于为此列指定的允许精度

### The error may exist in com/tofly/workflow/baseconf/mapper/TfMatterPricePMapper.java (best guess)
### The error may involve com.tofly.workflow.baseconf.mapper.TfMatterPricePMapper.insert-Inline
### The error occurred while setting parameters
### SQL: INSERT INTO TF_MATTER_PRICE_P  ( id, matter_id, price, install_price,    CREATE_USER, CREATE_TIME )  VALUES  ( ?, ?, ?, ?,    ?, ? )
### Cause: java.sql.SQLDataException: ORA-01438: 值大于为此列指定的允许精度

; ORA-01438: 值大于为此列指定的允许精度
; nested exception is java.sql.SQLDataException: ORA-01438: 值大于为此列指定的允许精度', 'content:修改物资信息表', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575048856604344322', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 17:04:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:04:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575048910547288065', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 17:04:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:04:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575049001282666497', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 17:05:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:05:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575049001483993089', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 17:05:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:05:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575049010338168833', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 17:05:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:05:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575049010573049857', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 17:05:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:05:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575049019750187009', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 17:05:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:05:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '96', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575049022610702337', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 17:05:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:05:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575049022988189698', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 17:05:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:05:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575049158350962690', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-28 17:05:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:05:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575049866781392897', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 17:08:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:08:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '102', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575049867280515074', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 17:08:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:08:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '44', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575049890697314306', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 17:08:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:08:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["46"],"id":["1572140204302041089"]}', '298', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575049932367724545', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 17:09:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:09:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["46"],"id":["1572140204302041089"]}', '195', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575050647412752386', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-28 17:11:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:11:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '342', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575051503310848001', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-28 17:15:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:15:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '281', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575051516573237250', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-28 17:15:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:15:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '14', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575051548399616002', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 17:15:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:15:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '47', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575051548730966017', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 17:15:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:15:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '25', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575051657095004161', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-28 17:15:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:15:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/d11621cd-e47a-4f58-964c-e0fab42936d6', 'DELETE', '{}', '3', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575051662186889217', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-28 17:15:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:15:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '8', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575051921298407425', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-28 17:16:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:16:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575052205345062914', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-28 17:18:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:18:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '10', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575052219073019905', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 17:18:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:18:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '21', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575052219366621185', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 17:18:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:18:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '24', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575052226958311426', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 17:18:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:18:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '5', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575052227256107009', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 17:18:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:18:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '4', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575052230087262209', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 17:18:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:18:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '7', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575052279705878530', '2', 'tofly-auth', 'tnadmin', TO_DATE('2022-09-28 17:18:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:18:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/9094e2c9-9d59-438a-9de3-7737fde85582', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575052350128242690', '2', 'tofly-auth', 'jtadmin', TO_DATE('2022-09-28 17:18:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:18:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/beae1c93-5032-40ed-9b64-3b6571465177', 'DELETE', '{}', '1', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575052365462618113', '1', 'tofly-flow', 'public', TO_DATE('2022-09-28 17:18:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:18:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '18', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575052549462540290', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-28 17:19:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:19:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575053094097108993', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-28 17:21:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:21:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575053153756889089', '1', 'tofly-flow', 'public', TO_DATE('2022-09-28 17:21:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:21:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575019157928886274', 'GET', '{}', '677', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575053154188902402', '1', 'tofly-flow', 'public', TO_DATE('2022-09-28 17:21:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:21:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["46"],"id":["1572140204302041089"]}', '701', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575053155543662593', '1', 'tofly-flow', 'public', TO_DATE('2022-09-28 17:21:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:21:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '43', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575022670255874050', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 15:20:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:20:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '17', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575022811490672641', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 15:21:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:21:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["46"],"id":["1572140204302041089"]}', '104', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575022812237258754', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 15:21:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:21:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575022812287590401', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 15:21:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:21:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '17', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575030986319192066', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-28 15:53:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:53:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1573919105386835969', 'GET', '{}', '25', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575030987044806658', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-28 15:53:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:53:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '108', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575030987988525057', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-28 15:53:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:53:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575030988089188354', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-28 15:53:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:53:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '18', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575031002450485249', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 15:53:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:53:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575031028132208642', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 15:53:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:53:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575031052660498433', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 15:54:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:54:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"tenantId":["1569602913205559298"],"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575031065960636418', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-28 15:54:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:54:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '112', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575031066786914306', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-28 15:54:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:54:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '19', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575031682099699713', '2', 'tofly-auth', 'tnadmins', TO_DATE('2022-09-28 15:56:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:56:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/73972a8f-f96d-428f-a835-aa1e9ac31621', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575032701755973633', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-28 16:00:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:00:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/6f6b05ee-77f5-42fd-b526-90af151aaa64', 'DELETE', '{}', '1', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575032721670529025', '2', 'tofly-auth', 'tnadmin', TO_DATE('2022-09-28 16:00:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:00:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/03b98e04-5082-4e26-8a84-9c71f75892ce', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575032749709451265', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 16:00:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:00:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575032764037193730', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 16:00:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:00:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '1', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575033381988196353', '2', 'tofly-auth', 'tntest1', TO_DATE('2022-09-28 16:03:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:03:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/741ca25e-963d-4ee5-a555-fe1a1d541636', 'DELETE', '{}', '1', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575042290329157634', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-09-28 16:38:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:38:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '339', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575042311539752962', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-28 16:38:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:38:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575042316551946242', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-09-28 16:38:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:38:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '37', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575042325280292866', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-09-28 16:38:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:38:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575042597717114882', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 16:39:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:39:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '34', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575042629707071489', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-09-28 16:40:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:40:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/saveMatterAndPrice', 'POST', '{}', '857', NULL, NULL, 'content:新增物资信息及价格', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575042630894059521', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-09-28 16:40:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:40:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '28', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575042653232922626', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 16:40:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:40:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["41"],"id":["1572140204302041089"]}', '256', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575042655929860097', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 16:40:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:40:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574938027984769025', 'GET', '{"id":["1574938027984769025"]}', '70', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575042667946541057', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 16:40:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:40:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["39"],"id":["1572140204302041089"]}', '147', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575042677329199105', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-09-28 16:40:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:40:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '127', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575042680017747970', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-09-28 16:40:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:40:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575042680319737857', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-09-28 16:40:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:40:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575042695423426562', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-09-28 16:40:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:40:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '11', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575042729443426305', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-09-28 16:40:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:40:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1574293601415409665', 'GET', '{"id":["1574293601415409665"]}', '26', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575042729615392770', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 16:40:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:40:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["10000"],"current":["1"]}', '28', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575042731016290305', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 16:40:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:40:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '85', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575043057303781377', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 16:41:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:41:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '119', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575043058553683969', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 16:41:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:41:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575043060776665090', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 16:41:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:41:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575043068309635074', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 16:41:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:41:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575043786542252034', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 16:44:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:44:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessnodel', 'POST', '{}', '733', NULL, NULL, 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575043813159305217', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-28 16:44:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:44:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575019157928886274', 'GET', '{}', '58', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574969229995270146', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 11:48:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:48:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"nature":[""]}', '6', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574970597044772865', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 11:53:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:53:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"nature":[""]}', '18', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574971252325081089', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 11:56:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:56:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574971272340299778', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 11:56:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:56:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"nature":[""]}', '8', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574971297971691522', '1', 'tofly-flow', 'public', TO_DATE('2022-09-28 11:56:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:56:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessnodel', 'POST', '{}', '93', NULL, NULL, 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574971309069819906', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 11:56:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:56:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574971353328115714', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 11:56:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:56:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp', 'POST', '{}', '7', NULL, NULL, 'content:新增工程工序/工程管控', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574971353634299906', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 11:56:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:56:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"nature":[""]}', '11', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574971393777983490', '1', 'tofly-flow', 'public', TO_DATE('2022-09-28 11:56:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:56:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574971019650220034', 'GET', '{}', '34', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574971394675564546', '1', 'tofly-flow', 'public', TO_DATE('2022-09-28 11:56:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:56:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["46"],"id":["1572140204302041089"]}', '145', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574971395245989889', '1', 'tofly-flow', 'public', TO_DATE('2022-09-28 11:56:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:56:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574971440787742722', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-28 11:57:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:57:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574971440854851586', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-28 11:57:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:57:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '21', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574971459242680321', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 11:57:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:57:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"nature":[""]}', '8', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574971506848030721', '1', 'tofly-flow', 'public', TO_DATE('2022-09-28 11:57:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:57:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '17', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575031090593783809', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-28 15:54:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:54:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '111', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575031091264872450', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-28 15:54:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:54:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575031091306815490', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-28 15:54:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:54:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '19', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575031277273866242', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 15:54:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:54:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1574293601415409665', 'GET', '{"id":["1574293601415409665"]}', '28', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575031277882040321', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 15:54:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:54:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575031278104338433', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 15:54:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:54:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575031280633503746', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 15:54:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:54:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575032160099360769', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 15:58:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:58:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1574293601415409665', 'GET', '{"id":["1574293601415409665"]}', '28', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575032160648814594', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 15:58:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:58:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575032160963387394', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 15:58:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:58:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575032163509329922', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 15:58:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:58:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575032224822026242', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 15:58:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:58:39', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["46"],"id":["1572140204302041089"]}', '4849', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575032238134386689', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-28 15:58:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:58:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectdispatchw/page', 'GET', '{"current":["1"],"state":[""],"userType":["{}"],"projectLink":[""],"size":["30"]}', '2', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575032453625143297', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 15:59:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:59:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575032616594825217', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 16:00:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:00:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1574293601415409665', 'GET', '{"id":["1574293601415409665"]}', '22', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575032617190416386', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 16:00:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:00:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575032617400131585', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 16:00:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:00:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575032620105457666', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 16:00:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:00:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575033084515573761', '2', 'tofly-auth', 'tntest1', TO_DATE('2022-09-28 16:02:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:02:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/19ca5a6b-8024-4f19-a443-80b0dd0941d1', 'DELETE', '{}', '1', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575033379207733249', '0', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 16:03:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:03:14', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessnodel', 'POST', '{}', '11581', NULL, 'For input string: "|"', 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575034223990530049', '2', 'tofly-auth', 'tnadmin', TO_DATE('2022-09-28 16:06:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:06:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/6286874d-7f52-4a04-aab2-962735e58e14', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575034440668635137', '0', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 16:07:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:07:28', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessnodel', 'POST', '{}', '189587', NULL, 'For input string: "|"', 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575034514307670018', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 16:07:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:07:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575034664467947521', '2', 'tofly-auth', 'jtadmin', TO_DATE('2022-09-28 16:08:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:08:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/ed085984-71ed-4282-8a8b-e471ae592fc2', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575034712350121985', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 16:08:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:08:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574970616040775682', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 11:53:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:53:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp', 'POST', '{}', '8', NULL, NULL, 'content:新增工程工序/工程管控', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574970616351154178', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 11:53:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:53:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '23', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574970629911339009', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 11:53:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:53:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574970654116667394', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 11:54:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:54:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/removeByNatureAndTenantId', 'POST', '{"tenantId":["1569602913205559298"],"nature":["1574963902897840129"]}', '3', NULL, NULL, 'content:通过tenantId和nature删除工程工序/工程管控', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574970654561263617', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 11:54:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:54:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574970660399734785', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 11:54:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:54:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/removeByNatureAndTenantId', 'POST', '{"tenantId":["1"],"nature":["3"]}', '4', NULL, NULL, 'content:通过tenantId和nature删除工程工序/工程管控', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574970660726890497', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 11:54:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:54:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '13', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574970668813508610', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 11:54:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:54:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/removeByNatureAndTenantId', 'POST', '{"tenantId":["1"],"nature":["1574963902897840129"]}', '4', NULL, NULL, 'content:通过tenantId和nature删除工程工序/工程管控', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574970669019029505', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 11:54:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:54:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '9', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574970676157734914', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 11:54:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:54:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/removeByNatureAndTenantId', 'POST', '{"tenantId":["1569602913205559298"],"nature":["1574964044849864706"]}', '9', NULL, NULL, 'content:通过tenantId和nature删除工程工序/工程管控', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574970676535222274', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 11:54:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:54:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '1', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574970829115613186', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-28 11:54:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:54:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574972110039277569', '2', 'tofly-auth', 'llzm', TO_DATE('2022-09-28 11:59:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:59:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/80cd38be-806c-4841-8d37-a3da205f9355', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574996770944573442', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 13:37:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 13:37:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574996878679465986', '2', 'tofly-auth', 'lz', TO_DATE('2022-09-28 13:38:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 13:38:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/52ddcebe-cdb0-43da-83ef-cb4c540a0914', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574996919460683778', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 13:38:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 13:38:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574997804173615106', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 13:41:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 13:41:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '35', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574997818279059457', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 13:41:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 13:41:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574997824272719873', '1', 'tofly-flow', 'public', TO_DATE('2022-09-28 13:41:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 13:41:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574997830102802434', '1', 'tofly-flow', 'public', TO_DATE('2022-09-28 13:41:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 13:41:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '8', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574997833298862082', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 13:42:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 13:42:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '18', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574997840613728257', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 13:42:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 13:42:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"nature":[""]}', '8', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574997938580086785', '1', 'tofly-flow', 'public', TO_DATE('2022-09-28 13:42:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 13:42:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1572832711356719105"],"isMould":["0"]}', '2', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574998112861806593', '1', 'tofly-flow', 'public', TO_DATE('2022-09-28 13:43:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 13:43:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1572832711356719105"],"isMould":["0"]}', '2', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574998244378402818', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 13:43:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 13:43:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp', 'POST', '{}', '12', NULL, NULL, 'content:新增工程工序/工程管控', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574998244726530050', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 13:43:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 13:43:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"nature":[""]}', '14', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574998255170347009', '1', 'tofly-flow', 'public', TO_DATE('2022-09-28 13:43:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 13:43:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{}', '110', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574998294617776130', '1', 'tofly-flow', 'public', TO_DATE('2022-09-28 13:43:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 13:43:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1572832711356719105"],"isMould":["0"]}', '2', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574998744255553538', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-28 13:45:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 13:45:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574998770725806081', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 13:45:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 13:45:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574998784176939010', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-28 13:45:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 13:45:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"typeName":[""],"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574998809837690882', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 13:45:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 13:45:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574998896743669761', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-28 13:46:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 13:46:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["10000"],"current":["1"]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574998896819167234', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-28 13:46:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 13:46:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '34', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574999141846212609', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 13:47:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 13:47:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574999160166932481', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 13:47:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 13:47:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfreportentryp/page', 'GET', '{"name":[""],"current":["1"],"size":["30"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574999671578419202', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 13:49:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 13:49:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575000744405884929', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 13:53:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 13:53:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["10000"],"current":["1"]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575000744523325441', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 13:53:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 13:53:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '37', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575000764446269442', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 13:53:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 13:53:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"nature":[""]}', '12', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575012640240558082', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 14:40:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:40:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575012640429301762', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 14:40:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:40:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575012657193934849', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 14:40:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:40:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575012668396920834', '2', 'tofly-auth', 'tntest3', TO_DATE('2022-09-28 14:40:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:40:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/b00abc3c-3f12-4780-a3b8-13de9a2bbef8', 'DELETE', '{}', '1', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575023871265464322', '1', 'tofly-flow', 'jtzh', TO_DATE('2022-09-28 15:25:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:25:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575023967793176578', '0', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 15:25:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:25:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessnodel', 'POST', '{}', '63', NULL, 'For input string: "|"', 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575024536314306562', '1', 'tofly-flow', 'jtzh', TO_DATE('2022-09-28 15:28:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:28:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575024685837049858', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 15:28:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:28:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["46"],"id":["1572140204302041089"]}', '107', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575024686407475201', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 15:28:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:28:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575024686474584066', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 15:28:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:28:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '17', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575024902128918529', '1', 'tofly-flow', 'jtzh', TO_DATE('2022-09-28 15:29:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:29:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575026910353285122', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 15:37:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:37:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575026965076369410', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 15:37:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:37:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575026966796034050', '1', 'tofly-flow', 'public', TO_DATE('2022-09-28 15:37:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:37:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575027081774489601', '1', 'tofly-flow', 'public', TO_DATE('2022-09-28 15:38:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:38:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{}', '117', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575027120160759809', '1', 'tofly-flow', 'public', TO_DATE('2022-09-28 15:38:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:38:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575027124950654977', '1', 'tofly-flow', 'public', TO_DATE('2022-09-28 15:38:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:38:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575027175718510594', '1', 'tofly-flow', 'public', TO_DATE('2022-09-28 15:38:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:38:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1572832711356719105"],"isMould":["0"]}', '2', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575045833555542018', '1', 'tofly-flow', 'public', TO_DATE('2022-09-28 16:52:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:52:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575045846448832514', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-28 16:52:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:52:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '2', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575045853998579713', '1', 'tofly-flow', 'public', TO_DATE('2022-09-28 16:52:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:52:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575019157928886274', 'GET', '{}', '23', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575045855001018369', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-28 16:52:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:52:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575047916186861570', '2', 'tofly-auth', 'public', TO_DATE('2022-09-28 17:01:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:01:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/abe1cdd1-dc96-4b91-b595-eaa240b03d43', 'DELETE', '{}', '1', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575048013444382721', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 17:01:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:01:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575048163503996930', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 17:01:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:01:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["46"],"id":["1572140204302041089"]}', '110', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575048414419845121', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 17:02:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:02:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["46"],"id":["1572140204302041089"]}', '95', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575049024967901185', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 17:05:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:05:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":["金卡燃气表"]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575049028981850113', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 17:05:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:05:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '2', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575054416322084865', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 17:26:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:26:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["46"],"id":["1572140204302041089"]}', '135', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575054542574829569', '2', 'tofly-auth', 'hq', TO_DATE('2022-09-28 17:27:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:27:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/04ec763a-44d3-4073-835b-cc64fab398eb', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575054880358703106', '2', 'tofly-auth', 'yck', TO_DATE('2022-09-28 17:28:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:28:41', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["b6589fc6ab0dc82cf12099d1c2d40ab994e8410c"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["yck"]}', '5989', NULL, NULL, 'content:登录 :yck', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575055526231392258', '1', 'tofly-flow', 'public', TO_DATE('2022-09-28 17:31:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:31:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575019157928886274', 'GET', '{}', '53', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575055526562742274', '1', 'tofly-flow', 'public', TO_DATE('2022-09-28 17:31:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:31:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["46"],"id":["1572140204302041089"]}', '131', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575056134116065281', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 17:33:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:33:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '133', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575056134917177345', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 17:33:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:33:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574314012068810754', 'GET', '{"id":["1574314012068810754"]}', '22', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575056404090830850', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-28 17:34:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:34:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575056404099219457', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-28 17:34:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:34:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575056551096991746', '2', 'tofly-auth', 'tnadmin', TO_DATE('2022-09-28 17:35:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:35:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/b02e9db2-822e-4ed3-91bc-60dbb712e351', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575056568339775490', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-28 17:35:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:35:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575056568348164097', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-28 17:35:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:35:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575056593623040002', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-28 17:35:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:35:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575056654868267009', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-28 17:35:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:35:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1574278189109817345', 'GET', '{"id":["1574278189109817345"]}', '21', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575006996204740609', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 14:18:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:18:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575007402808958978', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 14:20:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:20:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575008782982438914', '1', 'tofly-flow', 'public', TO_DATE('2022-09-28 14:25:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:25:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575008916780736513', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 14:26:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:26:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"nature":[""]}', '16', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575008943993380866', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 14:26:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:26:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"nature":[""]}', '11', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575009153322704897', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 14:26:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:26:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575010643881877506', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 14:32:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:32:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["10000"],"current":["1"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575010643957374977', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 14:32:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:32:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '31', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575010657391730689', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 14:32:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:32:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575010672231178242', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 14:33:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:33:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"nature":[""]}', '19', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575010727612768257', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 14:33:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:33:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575010727877009410', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 14:33:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:33:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575010736219480065', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 14:33:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:33:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '112', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575010736789905409', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 14:33:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:33:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575010737008009218', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 14:33:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:33:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575010739507814402', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 14:33:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:33:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575011354610884610', '1', 'tofly-flow', 'txh', TO_DATE('2022-09-28 14:35:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:35:43', 'SYYYY-MM-DD HH24:MI:SS'), '42.225.115.58', NULL, '/tfworkprocessp/page', 'GET', '{}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575012506446454786', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 14:40:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:40:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessnodel', 'POST', '{}', '19', NULL, NULL, 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575012507008491521', '1', 'tofly-flow', 'test', TO_DATE('2022-09-28 14:40:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:40:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '111', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575012508040290305', '1', 'tofly-flow', 'test', TO_DATE('2022-09-28 14:40:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:40:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575012511068577794', '1', 'tofly-flow', 'test', TO_DATE('2022-09-28 14:40:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:40:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575012763855085570', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-28 14:41:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:41:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575012764035440641', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-28 14:41:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:41:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575013119657893890', '1', 'tofly-flow', 'll', TO_DATE('2022-09-28 14:42:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:42:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575013119834054658', '1', 'tofly-flow', 'll', TO_DATE('2022-09-28 14:42:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:42:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575013122321276929', '1', 'tofly-flow', 'll', TO_DATE('2022-09-28 14:42:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:42:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575013131548745730', '1', 'tofly-flow', 'll', TO_DATE('2022-09-28 14:42:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:42:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1574245421143371777', 'GET', '{"id":["1574245421143371777"]}', '19', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575013132018507777', '1', 'tofly-flow', 'll', TO_DATE('2022-09-28 14:42:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:42:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575013132211445762', '1', 'tofly-flow', 'll', TO_DATE('2022-09-28 14:42:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:42:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575013135067766786', '1', 'tofly-flow', 'll', TO_DATE('2022-09-28 14:42:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:42:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575013147159945217', '1', 'tofly-flow', 'll', TO_DATE('2022-09-28 14:42:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:42:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1574277765191512066', 'GET', '{"id":["1574277765191512066"]}', '19', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575013147747147777', '1', 'tofly-flow', 'll', TO_DATE('2022-09-28 14:42:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:42:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575013147977834498', '1', 'tofly-flow', 'll', TO_DATE('2022-09-28 14:42:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:42:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575013150666383362', '1', 'tofly-flow', 'll', TO_DATE('2022-09-28 14:42:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:42:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575013164495003650', '1', 'tofly-flow', 'll', TO_DATE('2022-09-28 14:42:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:42:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '2', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575013164662775809', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-28 14:42:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:42:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575016267533377537', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-28 14:55:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:55:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575016267743092738', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-28 14:55:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:55:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575016282473488386', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-28 14:55:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:55:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575016282649649154', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-28 14:55:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:55:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575016285069762562', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-28 14:55:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:55:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574927659455590402', '1', 'tofly-flow', 'll', TO_DATE('2022-09-28 09:03:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:03:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '2', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574928083789131778', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-28 09:04:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:04:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574928709877084161', '2', 'tofly-auth', 'fsq1', TO_DATE('2022-09-28 09:07:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:07:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/6a1997b3-c2de-4350-bdc5-7fb9ae3f0aa8', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574928890261516289', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-28 09:08:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:08:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '17', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574928910675193857', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-28 09:08:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:08:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"typeName":[""],"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574928930220650498', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-28 09:08:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:08:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574928942988111874', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-28 09:08:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:08:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"typeName":[""],"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574928950122622977', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-28 09:08:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:08:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/1572063631729352706', 'DELETE', '{"0":["1572063631729352706"]}', '25', NULL, NULL, 'content:通过id删除基础类型表,有关联数据验证', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574928950533664769', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-28 09:08:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:08:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"typeName":[""],"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574928958016303105', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-28 09:08:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:08:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/1572057611951005698', 'DELETE', '{"0":["1572057611951005698"]}', '16', NULL, NULL, 'content:通过id删除基础类型表,有关联数据验证', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574928958360236033', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-28 09:08:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:08:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"typeName":[""],"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574928965599604737', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-28 09:08:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:08:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep', 'PUT', '{}', '31', NULL, NULL, 'content:修改基础类型表', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574928965834485762', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-28 09:08:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:08:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"typeName":[""],"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574928975795957762', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-28 09:08:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:08:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/1570692534146068482', 'DELETE', '{"0":["1570692534146068482"]}', '10', NULL, NULL, 'content:通过id删除基础类型表,有关联数据验证', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574928976005672961', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-28 09:08:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:08:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"typeName":[""],"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574928983135989762', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-28 09:08:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:08:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/1570692499828273153', 'DELETE', '{"0":["1570692499828273153"]}', '9', NULL, NULL, 'content:通过id删除基础类型表,有关联数据验证', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574928983467339777', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-28 09:08:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:08:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"typeName":[""],"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574928989754601474', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-28 09:08:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:08:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '20', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574929000009674754', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-28 09:08:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:08:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/1572128776308506626', 'DELETE', '{"0":["1572128776308506626"]}', '3', NULL, NULL, 'content:通过id删除物资信息表', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574929000278110210', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-28 09:08:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:08:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '21', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574931526473854977', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-28 09:18:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:18:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574931526826176513', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-28 09:18:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:18:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574931547642507265', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-28 09:18:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:18:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574931547915137026', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-28 09:18:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:18:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574931550981173249', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-28 09:18:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:18:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574932268181991426', '1', 'tofly-flow', 'test', TO_DATE('2022-09-28 09:21:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:21:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574932347534028802', '1', 'tofly-flow', 'test', TO_DATE('2022-09-28 09:21:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:21:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectdispatchw/page', 'GET', '{"current":["1"],"state":[""],"userType":["{}"],"projectLink":[""],"size":["30"]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574932394975801345', '1', 'tofly-flow', 'test', TO_DATE('2022-09-28 09:21:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:21:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectdispatchw/page', 'GET', '{"current":["1"],"state":[""],"userType":["{}"],"projectLink":[""],"size":["30"]}', '2', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574932408846364673', '2', 'tofly-auth', 'test', TO_DATE('2022-09-28 09:22:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:22:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/529a93aa-16c9-4c90-aa4d-55cadea5c21d', 'DELETE', '{}', '1', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574932480006926337', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-28 09:22:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:22:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1574689258189930498', 'GET', '{"id":["1574689258189930498"]}', '14', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574932480682209281', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-28 09:22:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:22:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574932481017753602', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-28 09:22:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:22:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574932484821987330', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-28 09:22:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:22:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '2', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574932500441575425', '1', 'tofly-flow', 'tntest4', TO_DATE('2022-09-28 09:22:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:22:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574932505155973121', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-28 09:22:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:22:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '147', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574932506443624449', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-28 09:22:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:22:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574932506833694722', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-28 09:22:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:22:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574932511560675330', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-28 09:22:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:22:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574932521945772033', '1', 'tofly-flow', 'tntest4', TO_DATE('2022-09-28 09:22:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:22:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"typeName":[""],"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574928200109764609', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-28 09:05:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:05:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574928718999695362', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-28 09:07:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:07:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '31', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574928726134206465', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-28 09:07:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:07:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/1574243157838213121', 'GET', '{"0":["1574243157838213121"]}', '17', NULL, NULL, 'content:通过id查询施工组织单位', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574928740642304002', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-28 09:07:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:07:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/1574243157838213121', 'GET', '{"0":["1574243157838213121"]}', '6', NULL, NULL, 'content:通过id查询施工组织单位', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574929304675528706', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-28 09:09:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:09:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '2', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574929775347740674', '1', 'tofly-flow', 'public', TO_DATE('2022-09-28 09:11:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:11:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '2', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574929786596864001', '1', 'tofly-flow', 'public', TO_DATE('2022-09-28 09:11:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:11:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574929790388514817', '1', 'tofly-flow', 'public', TO_DATE('2022-09-28 09:11:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:11:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1572832711356719105"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574929790879248386', '1', 'tofly-flow', 'public', TO_DATE('2022-09-28 09:11:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:11:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '132', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574929853596676097', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 09:11:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:11:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574929873410568193', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 09:11:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:11:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["39"],"id":["1572140204302041089"]}', '160', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574929873888718850', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 09:11:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:11:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574709951149391874', 'GET', '{"id":["1574709951149391874"]}', '25', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574930454795628546', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-28 09:14:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:14:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574930535649226753', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-28 09:14:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:14:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/saveMatterAndPrice', 'POST', '{}', '22', NULL, NULL, 'content:新增物资信息及价格', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574930535951216641', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-28 09:14:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:14:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574930548668346370', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-28 09:14:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:14:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574930634584469505', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-28 09:14:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:14:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/saveMatterAndPrice', 'POST', '{}', '8', NULL, NULL, 'content:新增物资信息及价格', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574930634869682177', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-28 09:14:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:14:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574930652485758978', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-28 09:15:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:15:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574930702561554433', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 09:15:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:15:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '127', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574930702997762049', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 09:15:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:15:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1573919105386835969', 'GET', '{"id":["1573919105386835969"]}', '31', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574930721507225601', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-28 09:15:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:15:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/saveMatterAndPrice', 'POST', '{}', '7', NULL, NULL, 'content:新增物资信息及价格', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574930721763078145', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-28 09:15:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:15:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574930937333526529', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-28 09:16:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:16:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574930946418388993', '2', 'tofly-auth', 'yj', TO_DATE('2022-09-28 09:16:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:16:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/9a697c81-3641-4f2d-a311-0a3e0834438d', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574931006224969729', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-28 09:16:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:16:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/saveMatterAndPrice', 'POST', '{}', '13', NULL, NULL, 'content:新增物资信息及价格', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574931006535348226', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-28 09:16:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:16:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '17', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574931016983359489', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-28 09:16:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:16:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574932589159493633', '1', 'tofly-flow', 'tntest4', TO_DATE('2022-09-28 09:22:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:22:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"typeName":[""],"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574932594633060353', '1', 'tofly-flow', 'tntest4', TO_DATE('2022-09-28 09:22:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:22:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574932644369117185', '1', 'tofly-flow', 'tntest4', TO_DATE('2022-09-28 09:22:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:22:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575000795572199425', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 13:53:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 13:53:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575000847627706370', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 13:53:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 13:53:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575001660332826625', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 13:57:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 13:57:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575001716402282498', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 13:57:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 13:57:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"nature":[""]}', '17', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575001856533979137', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-28 13:57:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 13:57:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/12bea53b-5f27-40be-a6a8-6642b7dfa05e', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575003431235084289', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 14:04:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:04:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"nature":[""]}', '15', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575003440693239809', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 14:04:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:04:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575003482053271553', '2', 'tofly-auth', 'jtzh', TO_DATE('2022-09-28 14:04:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:04:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/a754ea70-cbe3-45ee-8060-568af3dca74c', 'DELETE', '{}', '1', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575003511950270465', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 14:04:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:04:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575004413192953858', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 14:08:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:08:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575004444000116738', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 14:08:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:08:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575004557380542466', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 14:08:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:08:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessnodel', 'POST', '{}', '93', NULL, NULL, 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574940777669734402', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 09:55:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:55:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574940796246306818', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 09:55:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:55:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["41"],"id":["1572140204302041089"]}', '146', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574940796695097346', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 09:55:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:55:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574938027984769025', 'GET', '{"id":["1574938027984769025"]}', '22', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574942625818488834', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-28 10:02:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:02:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574942626367942657', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-28 10:02:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:02:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574942626648961026', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-28 10:02:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:02:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574942632101556225', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-28 10:02:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:02:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574942635742212097', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-28 10:02:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:02:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1"]}', '5', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574943208260513794', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 10:04:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:04:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574943397918552066', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-28 10:05:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:05:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574704733733068801', 'GET', '{}', '29', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574943398807744513', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-28 10:05:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:05:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["37"],"id":["1572140204302041089"]}', '126', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574943400078618626', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-28 10:05:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:05:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574943400137338881', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-28 10:05:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:05:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '23', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574946058365579266', '2', 'tofly-auth', 'yj', TO_DATE('2022-09-28 10:16:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:16:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/59a5c8ea-e5cb-4553-81bb-0bcccc5318eb', 'DELETE', '{}', '1', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574949744911429633', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-28 10:30:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:30:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '15', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574949755002925057', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-28 10:30:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:30:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '7', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574949934653353985', '2', 'tofly-auth', 'mzadmin', TO_DATE('2022-09-28 10:31:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:31:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/716a7762-c893-41ca-8d55-0ab79e20e793', 'DELETE', '{}', '1', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574949972246900737', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-28 10:31:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:31:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575033608191205377', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 16:04:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:04:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575033679536316417', '2', 'tofly-auth', 'tnadmin', TO_DATE('2022-09-28 16:04:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:04:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/0f6f0a3c-e563-4d73-b315-2ba24633eeae', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575043337114189826', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-28 16:42:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:42:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575019157928886274', 'GET', '{}', '19', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575043338292789250', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-28 16:42:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:42:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["46"],"id":["1572140204302041089"]}', '120', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575043340301860865', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-28 16:42:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:42:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575043365685788674', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 16:42:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:42:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575048746680025090', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 17:04:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:04:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575048751134375937', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 17:04:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:04:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575048751193096193', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 17:04:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:04:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575048751193096194', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 17:04:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:04:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["46"],"id":["1572140204302041089"]}', '99', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575048788786642945', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 17:04:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:04:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/saveMatterAndPrice', 'POST', '{}', '7', NULL, NULL, 'content:新增物资信息及价格', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575048789164130306', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 17:04:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:04:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575048800362921985', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 17:04:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:04:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '25', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575048804171350017', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 17:04:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:04:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp', 'PUT', '{}', '20', NULL, NULL, 'content:修改物资信息表', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575048804565614593', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 17:04:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:04:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '21', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575048815856680962', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 17:04:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:04:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '23', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575048817039474690', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 17:04:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:04:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '18', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575048819539279873', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 17:04:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:04:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575048819547668481', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 17:04:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:04:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '17', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575048827575566338', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-28 17:04:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:04:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575048837469929473', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-28 17:04:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:04:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575048853534113794', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 17:04:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:04:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575048853806743553', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 17:04:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:04:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575048854691741698', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 17:04:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:04:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '18', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574943566080782338', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-28 10:06:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:06:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/c10a0855-df43-485f-964d-b74c231fedff', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574945282717134849', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 10:13:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:13:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '37', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574945345346482177', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-28 10:13:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:13:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/7827714e-2051-4cf5-abd2-98ac9d3c9cf7', 'DELETE', '{}', '1', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574945455656677377', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-28 10:13:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:13:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574704733733068801', 'GET', '{}', '21', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574945456113856513', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-28 10:13:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:13:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["37"],"id":["1572140204302041089"]}', '132', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574945456965300226', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-28 10:13:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:13:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574945457015631873', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-28 10:13:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:13:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '17', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574945515752665090', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 10:14:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:14:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '1', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575016310034259969', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-28 14:55:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:55:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1574245421143371777', 'GET', '{"id":["1574245421143371777"]}', '19', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575016967445274626', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-28 14:58:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:58:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575016967722098690', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-28 14:58:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:58:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575017044654022657', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-28 14:58:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:58:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1574293601415409665', 'GET', '{"id":["1574293601415409665"]}', '26', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575017045241225218', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-28 14:58:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:58:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575017045471911938', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-28 14:58:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:58:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575017047984300034', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-28 14:58:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:58:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575017822164738049', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-09-28 15:01:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:01:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1570225246022770689"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575017822332510209', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-09-28 15:01:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:01:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575017835380989954', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-09-28 15:01:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:01:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575017907866951682', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-09-28 15:01:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:01:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1574245421143371777', 'GET', '{"id":["1574245421143371777"]}', '18', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575017911964786690', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-09-28 15:01:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:01:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575043817802399746', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-28 16:44:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:44:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575049771302256642', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 17:08:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:08:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":["金卡燃气表"]}', '518', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575049772485050369', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 17:08:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:08:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":["金卡燃气表"]}', '64', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575049773231636481', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 17:08:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:08:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":["金卡燃气表"]}', '74', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575050068992983042', '2', 'tofly-auth', 'yck', TO_DATE('2022-09-28 17:09:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:09:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/ff9005f2-64a3-435b-b52a-f13009966d28', 'DELETE', '{}', '20', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575050647412752387', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-28 17:11:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:11:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '342', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575050672930897921', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 17:11:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:11:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '150', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575050673442603010', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 17:11:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:11:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '43', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575050674084331521', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 17:11:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:11:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '69', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575050694078578690', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 17:12:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:12:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '61', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575051482020560897', '2', 'tofly-auth', 'jtadmin', TO_DATE('2022-09-28 17:15:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:15:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/3aeefe51-0156-459f-9c64-11ee682eb4c2', 'DELETE', '{}', '8', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575051767342284801', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 17:16:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:16:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '22', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575051767623303169', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 17:16:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:16:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '21', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575051772513861633', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 17:16:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:16:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '4', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575051772740354050', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 17:16:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:16:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575051775835750402', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 17:16:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:16:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '10', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575052103830323202', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-28 17:17:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:17:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '8', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575052123233173506', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-28 17:17:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:17:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '10', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575052734859165697', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-28 17:20:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:20:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575052952736481281', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-09-28 17:21:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:21:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1570225246022770689"],"label":["1568482594885484546"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575052995405135873', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-28 17:21:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:21:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574926865201213442', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-28 09:00:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:00:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '44', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574928131985879042', '2', 'tofly-auth', 'll', TO_DATE('2022-09-28 09:05:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:05:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/548df9e4-46c8-4a4d-adad-da534172ccf7', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574928709885472769', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-28 09:07:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:07:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574928774284816386', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-28 09:07:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:07:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '26', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574930004574842881', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-28 09:12:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:12:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"typeName":[""],"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574930007640879106', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-28 09:12:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:12:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"typeName":[""],"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574930021742129153', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-28 09:12:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:12:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep', 'POST', '{}', '24', NULL, NULL, 'content:新增基础类型表', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574930021964427266', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-28 09:12:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:12:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"typeName":[""],"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574930050351476737', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-28 09:12:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:12:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep', 'POST', '{}', '7', NULL, NULL, 'content:新增基础类型表', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574930050569580546', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-28 09:12:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:12:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"typeName":[""],"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574930073080410113', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-28 09:12:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:12:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep', 'POST', '{}', '9', NULL, NULL, 'content:新增基础类型表', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574930073332068353', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-28 09:12:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:12:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"typeName":[""],"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574930092822999042', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-28 09:12:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:12:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep', 'POST', '{}', '8', NULL, NULL, 'content:新增基础类型表', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574930093045297154', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-28 09:12:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:12:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"typeName":[""],"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574930128738824194', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-28 09:12:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:12:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep', 'POST', '{}', '11', NULL, NULL, 'content:新增基础类型表', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574930128977899521', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-28 09:12:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:12:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"typeName":[""],"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574930151161573377', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-28 09:13:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:13:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep', 'POST', '{}', '9', NULL, NULL, 'content:新增基础类型表', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574930151430008833', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-28 09:13:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:13:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"typeName":[""],"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574930185613586433', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-28 09:13:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:13:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep', 'POST', '{}', '12', NULL, NULL, 'content:新增基础类型表', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574930185898799106', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-28 09:13:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:13:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"typeName":[""],"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574930205272289281', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-28 09:13:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:13:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep', 'POST', '{}', '7', NULL, NULL, 'content:新增基础类型表', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574930205490393090', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-28 09:13:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:13:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"typeName":[""],"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574930226331889665', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-28 09:13:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:13:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep', 'POST', '{}', '8', NULL, NULL, 'content:新增基础类型表', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574930226524827650', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-28 09:13:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:13:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"typeName":[""],"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574930246804287490', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-28 09:13:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:13:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep', 'POST', '{}', '7', NULL, NULL, 'content:新增基础类型表', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574930247030779905', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-28 09:13:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:13:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"typeName":[""],"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574930269256396802', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-28 09:13:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:13:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep', 'POST', '{}', '8', NULL, NULL, 'content:新增基础类型表', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574930269524832258', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-28 09:13:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:13:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"typeName":[""],"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574930300617207809', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-28 09:13:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:13:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep', 'POST', '{}', '13', NULL, NULL, 'content:新增基础类型表', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574930301003083777', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-28 09:13:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:13:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"typeName":[""],"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574930321798443010', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-28 09:13:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:13:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep', 'POST', '{}', '12', NULL, NULL, 'content:新增基础类型表', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574930322045906945', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-28 09:13:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:13:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"typeName":[""],"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574930331273375745', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-28 09:13:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:13:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '2', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574930339695538177', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-28 09:13:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:13:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574931565984198658', '1', 'tofly-flow', 'tntest4', TO_DATE('2022-09-28 09:18:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:18:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574931683407933441', '2', 'tofly-auth', 'tntest4', TO_DATE('2022-09-28 09:19:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:19:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/7ebc380a-5e3d-4b19-8a89-803edc4258ac', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574932534520295426', '1', 'tofly-flow', 'tntest4', TO_DATE('2022-09-28 09:22:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:22:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '18', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574932609065660418', '1', 'tofly-flow', 'tntest4', TO_DATE('2022-09-28 09:22:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:22:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574932628355264514', '2', 'tofly-auth', 'tntest4', TO_DATE('2022-09-28 09:22:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:22:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/4b9e1790-eee3-4957-9ac4-89d4479f01ec', 'DELETE', '{}', '1', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574932780428144641', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-28 09:23:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:23:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574932781640298497', '2', 'tofly-auth', 'tntest4', TO_DATE('2022-09-28 09:23:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:23:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/d5855658-8a73-4c48-a3ff-fa9926558c98', 'DELETE', '{}', '1', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574932962595155970', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-28 09:24:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:24:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574784330168381441', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 23:33:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 23:33:37', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1572832711356719105"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574784650692898817', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 23:34:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 23:34:53', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574784655549902850', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 23:34:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 23:34:54', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574784661086384130', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 23:34:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 23:34:55', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1572832711356719105"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574784958223462402', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 23:36:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 23:36:06', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '141', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574785097113645057', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 23:36:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 23:36:39', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574785102335553538', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 23:36:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 23:36:41', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574785262193061889', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 23:37:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 23:37:19', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574785282715791361', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 23:37:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 23:37:24', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574785482977030146', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 23:38:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 23:38:11', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574785488366710785', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 23:38:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 23:38:13', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574785493911580674', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 23:38:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 23:38:14', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1572832711356719105"],"isMould":["0"]}', '2', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574786052378963970', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 23:40:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 23:40:27', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '128', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574786229990961154', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 23:41:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 23:41:10', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1572832711356719105"],"isMould":["0"]}', '2', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574786440591159297', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 23:42:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 23:42:00', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574786442973523970', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 23:42:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 23:42:00', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574786463114571778', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 23:42:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 23:42:05', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1572832711356719105"],"isMould":["0"]}', '2', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574787333860470785', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 23:45:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 23:45:33', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '2', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574787339556335617', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 23:45:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 23:45:34', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575004859215241218', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 14:09:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:09:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '17', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575004880748797953', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 14:10:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:10:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"typeName":[""],"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575004921089613826', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 14:10:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:10:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '30', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575004925682376706', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 14:10:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:10:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575005002308116482', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 14:10:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:10:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfreportentryp/page', 'GET', '{"name":[""],"current":["1"],"size":["30"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575005059015106562', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 14:10:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:10:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"nature":[""]}', '12', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575007657008947201', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 14:21:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:21:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '8', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575007664348979202', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-28 14:21:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:21:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/24898d2b-b54f-41f6-b07d-0ee78f3aed38', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575009908821712897', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 14:29:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:29:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575010656624173057', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 14:32:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:32:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["30"],"current":["1"]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575010681198600194', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 14:33:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:33:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575011195701288962', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 14:35:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:35:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575012507864129537', '1', 'tofly-flow', 'test', TO_DATE('2022-09-28 14:40:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:40:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575012552344723458', '1', 'tofly-flow', 'test', TO_DATE('2022-09-28 14:40:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:40:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575012553238110210', '1', 'tofly-flow', 'test', TO_DATE('2022-09-28 14:40:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:40:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575012554202800129', '1', 'tofly-flow', 'test', TO_DATE('2022-09-28 14:40:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:40:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575012569520398338', '1', 'tofly-flow', 'test', TO_DATE('2022-09-28 14:40:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:40:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '121', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575012787984916482', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 14:41:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:41:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575012827402985473', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 14:41:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:41:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575012881882800130', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-28 14:41:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:41:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1574278189109817345', 'GET', '{"id":["1574278189109817345"]}', '20', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575012888488828930', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 14:41:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:41:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1574277765191512066', 'GET', '{"id":["1574277765191512066"]}', '15', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574784330369708033', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 23:33:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 23:33:37', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '131', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574784661203824642', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 23:34:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 23:34:55', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '131', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574784946974339074', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 23:36:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 23:36:04', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574784953349681153', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 23:36:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 23:36:05', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574784957892112386', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 23:36:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 23:36:06', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1572832711356719105"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574785106877984770', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 23:36:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 23:36:42', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1572832711356719105"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574785107054145538', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 23:36:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 23:36:42', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '141', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574785289850302466', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 23:37:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 23:37:25', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1572832711356719105"],"isMould":["0"]}', '2', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574785290160680961', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 23:37:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 23:37:25', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '149', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574785494171627521', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 23:38:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 23:38:14', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '131', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574786039158517761', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 23:40:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 23:40:24', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574786047178027010', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 23:40:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 23:40:26', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574786052186025985', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 23:40:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 23:40:27', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1572832711356719105"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574786220721549314', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 23:41:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 23:41:07', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574786225259786241', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 23:41:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 23:41:08', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574786230221647873', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 23:41:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 23:41:10', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '143', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574786463341064193', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 23:42:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 23:42:05', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '134', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574787343285071873', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 23:45:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 23:45:35', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1572832711356719105"],"isMould":["0"]}', '1', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574787343645782017', '1', 'tofly-flow', 'public', TO_DATE('2022-09-27 23:45:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-27 23:45:35', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '144', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575052999012237313', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-28 17:21:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:21:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575053155661103105', '1', 'tofly-flow', 'public', TO_DATE('2022-09-28 17:21:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:21:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '74', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575053258530603009', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 17:22:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:22:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl', 'POST', '{}', '188', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575053258996170754', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 17:22:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:22:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '17', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575053283839033346', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 17:22:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:22:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["46"],"id":["1572140204302041089"]}', '184', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575053289048358913', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 17:22:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:22:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1575053258153025538', 'GET', '{"id":["1575053258153025538"]}', '29', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575053289539092482', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 17:22:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:22:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575053289748807681', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 17:22:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:22:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575053292751929346', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 17:22:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:22:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575053339388395521', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 17:22:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:22:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["46"],"id":["1572140204302041089"]}', '149', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575053371269300226', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 17:22:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:22:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575053378009546753', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 17:22:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:22:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '127', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575053395441074177', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 17:22:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:22:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '131', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575053570804924418', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 17:23:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:23:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575053599544295425', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 17:23:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:23:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '155', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575053605542150146', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-28 17:23:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:23:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '7', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575053611040882690', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-28 17:23:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:23:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575053615449096193', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 17:23:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:23:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '22', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575053615725920258', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 17:23:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:23:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '18', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575053680737632258', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 17:23:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:23:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575021269719048194', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 15:15:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:15:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575021269769379841', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 15:15:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:15:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575034942780989441', '2', 'tofly-auth', 'jtadmin', TO_DATE('2022-09-28 16:09:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:09:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/d0875dd1-9e62-4f59-9b73-9e167853de50', 'DELETE', '{}', '1', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575035176307253249', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 16:10:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:10:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575035183416598530', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 16:10:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:10:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["46"],"id":["1572140204302041089"]}', '101', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575035184213516289', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 16:10:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:10:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '20', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575035433296453633', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 16:11:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:11:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["39"],"id":["1572140204302041089"]}', '110', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575035433753632769', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 16:11:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:11:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574709951149391874', 'GET', '{"id":["1574709951149391874"]}', '22', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575036845598302209', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-09-28 16:17:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:17:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575036871028367362', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-09-28 16:17:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:17:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"nature":[""]}', '11', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575036945229799425', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-09-28 16:17:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 16:17:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575055527611318274', '1', 'tofly-flow', 'public', TO_DATE('2022-09-28 17:31:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:31:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575055527678427138', '1', 'tofly-flow', 'public', TO_DATE('2022-09-28 17:31:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:31:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '39', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575055551556599809', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-09-28 17:31:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:31:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575055551858589698', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-09-28 17:31:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:31:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '26', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575055561459351553', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-09-28 17:31:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:31:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '42', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575055574361030657', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-09-28 17:31:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:31:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '33', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575055583370395650', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-09-28 17:31:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:31:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575055603893125122', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-09-28 17:31:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:31:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575055646301732866', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-09-28 17:31:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:31:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/saveMatterAndPrice', 'POST', '{}', '19', NULL, NULL, 'content:新增物资信息及价格', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575055646687608833', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-09-28 17:31:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:31:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '28', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575055652635131906', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 17:31:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:31:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575055652928733185', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 17:31:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:31:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575055674936246273', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-09-28 17:31:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:31:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/1575048788656533505', 'DELETE', '{"0":["1575048788656533505"]}', '3', NULL, NULL, 'content:通过id删除物资信息表', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575055675234041857', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-09-28 17:31:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:31:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '19', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575055695349923842', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-09-28 17:31:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:31:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '26', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575055696121675777', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-09-28 17:31:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:31:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '20', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575055708956246017', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-09-28 17:31:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:31:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":["无缝管抗UV防腐"]}', '21', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575055711275696130', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-09-28 17:31:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:31:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":["无缝管抗UV防腐"]}', '21', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575055712039059458', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-09-28 17:31:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:31:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":["无缝管抗UV防腐"]}', '20', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575055712815005698', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-09-28 17:31:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:31:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":["无缝管抗UV防腐"]}', '23', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575055721644015617', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-09-28 17:32:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:32:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":["无缝管抗UV防腐"]}', '23', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575055823301361665', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-09-28 17:32:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:32:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":["无缝管抗UV防腐"]}', '20', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575055968998899714', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 17:33:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:33:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575056015698280449', '2', 'tofly-auth', 'yck', TO_DATE('2022-09-28 17:33:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:33:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/42f1d344-1a8f-483d-a10b-d62c148cff88', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575056655472246786', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-28 17:35:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:35:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575056658219515905', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-28 17:35:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:35:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575056740314628098', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-28 17:36:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:36:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575056740327211009', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-28 17:36:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:36:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575056745909829634', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-28 17:36:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:36:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '17', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575056745918218242', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-28 17:36:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:36:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '18', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574932986993422337', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-28 09:24:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:24:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["37"],"id":["1572140204302041089"]}', '108', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574932987815505922', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-28 09:24:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:24:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574932987874226177', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-28 09:24:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:24:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '26', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574933155868684290', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-28 09:24:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:24:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574933156711739393', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 09:25:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:25:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574933405119393793', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-28 09:25:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:25:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574934247096463361', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-09-28 09:29:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:29:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1570225246022770689"],"label":["1568482594885484546"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574934256487510017', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-09-28 09:29:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:29:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1570225246022770689"],"label":["1568482739010158593"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574934260484681729', '1', 'tofly-flow', 'public', TO_DATE('2022-09-28 09:29:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:29:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '38', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574934347650707457', '1', 'tofly-flow', 'public', TO_DATE('2022-09-28 09:29:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:29:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '16', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574934353333989378', '1', 'tofly-flow', 'public', TO_DATE('2022-09-28 09:29:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:29:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '152', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574934899847606274', '1', 'tofly-flow', 'public', TO_DATE('2022-09-28 09:31:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:31:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '12', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574934903412764674', '1', 'tofly-flow', 'public', TO_DATE('2022-09-28 09:31:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:31:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574934910119456769', '1', 'tofly-flow', 'public', TO_DATE('2022-09-28 09:31:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:31:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '53', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574935005095276546', '1', 'tofly-flow', 'public', TO_DATE('2022-09-28 09:32:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:32:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574935022816210946', '1', 'tofly-flow', 'public', TO_DATE('2022-09-28 09:32:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:32:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574935027287339009', '1', 'tofly-flow', 'public', TO_DATE('2022-09-28 09:32:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:32:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '45', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574935027757101057', '1', 'tofly-flow', 'public', TO_DATE('2022-09-28 09:32:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:32:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1572832711356719105"],"isMould":["0"]}', '2', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574955643113693185', '1', 'tofly-flow', 'public', TO_DATE('2022-09-28 10:54:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:54:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574955727607947265', '0', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 10:54:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:54:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/saveTeamAll', 'POST', '{}', '72', NULL, '### Error updating database.  Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.buildUnitNotNull)

### The error may exist in com/tofly/workflow/baseconf/mapper/TfBuildUnitPMapper.java (best guess)
### The error may involve com.tofly.workflow.baseconf.mapper.TfBuildUnitPMapper.insert-Inline
### The error occurred while setting parameters
### SQL: INSERT INTO TF_BUILD_UNIT_P  ( id, tenant_id, order_number, dept_id, team_type,  remark, CREATE_USER,  CREATE_TIME, UPDATE_USER,  UPDATE_TIME )  VALUES  ( ?, ?, ?, ?, ?,  ?, ?,  ?, ?,  ? )
### Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.buildUnitNotNull)

; ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.buildUnitNotNull)
; nested exception is java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.buildUnitNotNull)', 'content:新增施工班组相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574957125523333121', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-28 11:00:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:00:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"isMould":["0"],"label":["1568482594885484546"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574957197057187841', '1', 'tofly-flow', 'lz1', TO_DATE('2022-09-28 11:00:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:00:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482739010158593"],"isMould":["0"]}', '2', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574957289306710017', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 11:00:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:00:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574957724235063298', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 11:02:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:02:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/1574956197940379650', 'GET', '{"0":["1574956197940379650"]}', '7', NULL, NULL, 'content:通过id查询施工组织单位', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574957733500280833', '1', 'tofly-flow', 'mz001', TO_DATE('2022-09-28 11:02:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:02:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574957743109431297', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 11:02:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:02:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/deleteByIds', 'DELETE', '{"ids":["1574956197940379650"]}', '13', NULL, NULL, 'content:通过id批量删除施工组织单位', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574957743478530050', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 11:02:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:02:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574957746976579585', '1', 'tofly-flow', 'mz001', TO_DATE('2022-09-28 11:02:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:02:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574957816434253826', '1', 'tofly-flow', 'mz001', TO_DATE('2022-09-28 11:02:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:02:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["45"],"id":["1572140204302041089"]}', '131', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574957817138896898', '1', 'tofly-flow', 'mz001', TO_DATE('2022-09-28 11:02:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:02:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574957817172451329', '1', 'tofly-flow', 'mz001', TO_DATE('2022-09-28 11:02:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:02:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '20', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574957833387630593', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 11:03:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:03:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/saveTeamAll', 'POST', '{}', '79', NULL, NULL, 'content:新增施工班组相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575012889516433409', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 14:41:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:41:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":["1569602913205559298"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575012889726148609', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 14:41:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:41:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575012892884459522', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 14:41:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:41:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575012963227131906', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 14:42:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:42:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575013007154077698', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-28 14:42:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:42:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575013020508741634', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 14:42:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:42:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1574275849078255617', 'GET', '{"id":["1574275849078255617"]}', '19', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575013021142081538', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 14:42:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:42:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575013021351796738', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 14:42:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:42:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575013024103260161', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 14:42:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:42:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575013164495003649', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-28 14:42:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:42:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575013302609240066', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-28 14:43:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:43:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575013302831538177', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-28 14:43:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:43:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575013308384796673', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-28 14:43:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:43:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575013308619677698', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-28 14:43:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:43:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575013311115288578', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-28 14:43:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:43:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575013321089343490', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-28 14:43:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:43:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1574275849078255617', 'GET', '{"id":["1574275849078255617"]}', '25', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575013690838212609', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-09-28 14:45:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:45:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572057231389220865', 'GET', '{"id":["1572057231389220865"]}', '25', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575013691622547457', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-09-28 14:45:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:45:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":["1570225246022770689"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575013691815485441', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-09-28 14:45:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:45:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575013700690632706', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-09-28 14:45:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:45:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":["1570225246022770689"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575013700858404866', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-09-28 14:45:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:45:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575013843200499714', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-09-28 14:45:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:45:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575013844114857986', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-09-28 14:45:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:45:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575013863773560834', '2', 'tofly-auth', 'tnadmin', TO_DATE('2022-09-28 14:45:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:45:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/c467e5cd-6352-429b-b9e9-8b5b7877b142', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575014039703642114', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 14:46:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:46:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["46"],"id":["1572140204302041089"]}', '109', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575014040399896578', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 14:46:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:46:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575014040425062401', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 14:46:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:46:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575014044627755010', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-09-28 14:46:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:46:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575014044908773378', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-09-28 14:46:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:46:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575014052882145281', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 14:46:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:46:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575004329017425921', 'GET', '{}', '24', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575014053209300993', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 14:46:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:46:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["46"],"id":["1572140204302041089"]}', '103', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575014053855223810', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 14:46:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:46:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575014053888778241', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 14:46:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:46:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '18', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575014268129632258', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-28 14:47:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:47:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575014268385484802', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-28 14:47:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:47:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575014317161046018', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-28 14:47:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:47:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575014317454647298', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-28 14:47:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:47:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575014326103302146', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-28 14:47:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:47:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/9beee749-8de9-42e0-8857-c89148ef7cd8', 'DELETE', '{}', '1', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575018023143202818', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 15:02:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:02:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessnodel', 'POST', '{}', '6', NULL, NULL, 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575018052704657410', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 15:02:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:02:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessnodel', 'POST', '{}', '6', NULL, NULL, 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575056593631428609', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-28 17:35:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:35:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575056980807630849', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 17:37:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:37:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1575053258153025538', 'GET', '{"id":["1575053258153025538"]}', '18', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575057038756134913', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-28 17:37:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:37:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575057038756134914', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-28 17:37:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:37:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '20', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575057085312909314', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-28 17:37:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:37:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '117', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575057085879140354', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-28 17:37:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:37:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575057086126604289', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-28 17:37:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:37:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575057088584466434', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-28 17:37:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:37:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575057092439031809', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 17:37:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:37:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575057143353688066', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-28 17:37:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:37:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575057169412898817', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-28 17:37:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:37:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575057270852141058', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 17:38:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:38:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1575053258153025538', 'GET', '{"id":["1575053258153025538"]}', '28', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575057358123024386', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 17:38:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:38:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575057362539626497', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-28 17:38:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:38:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '19', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575057362539626498', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-28 17:38:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:38:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '17', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575057368688476162', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 17:38:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:38:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '126', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575057516336365569', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 17:39:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:39:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '133', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575057524448149505', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-28 17:39:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:39:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572057231389220865', 'GET', '{"id":["1572057231389220865"]}', '24', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575057525094072322', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-28 17:39:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:39:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575057527539351554', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-28 17:39:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:39:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575057568115048449', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-28 17:39:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:39:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572111539262464001', 'GET', '{"id":["1572111539262464001"]}', '108', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575057568731611137', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-28 17:39:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:39:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575057571193667585', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-28 17:39:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:39:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575057752236605441', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 17:40:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:40:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '112', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575057767688421378', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 17:40:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:40:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574314012068810754', 'GET', '{"id":["1574314012068810754"]}', '26', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575057784125898754', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 17:40:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:40:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1575053258153025538', 'GET', '{"id":["1575053258153025538"]}', '18', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575057848533630977', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 17:40:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:40:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1575053258153025538', 'GET', '{"id":["1575053258153025538"]}', '21', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575057927411712001', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-28 17:40:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:40:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575057927420100609', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-28 17:40:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:40:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575057950916591618', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-28 17:40:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:40:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '122', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575057951495405569', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-28 17:40:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:40:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575057951751258114', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-28 17:40:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:40:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575057954293006338', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-28 17:40:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:40:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575057984500383745', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 17:41:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:41:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575057991546814465', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 17:41:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:41:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '25', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575058046576082946', '2', 'tofly-auth', 'tnadmin', TO_DATE('2022-09-28 17:41:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:41:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/bb57e5d0-21f3-48d6-817e-a291372b3285', 'DELETE', '{}', '1', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575058165094531073', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 17:41:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:41:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575058179032203265', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 17:41:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:41:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":["金卡燃气表"]}', '31', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575058292702035970', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-28 17:42:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:42:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575058292710424577', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-28 17:42:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:42:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575058321097474049', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-28 17:42:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:42:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574928681485840386', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-28 09:07:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:07:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574928696111378434', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-28 09:07:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:07:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574929018779185153', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-28 09:08:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:08:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/1572109216188473345', 'DELETE', '{"0":["1572109216188473345"]}', '4', NULL, NULL, 'content:通过id删除物资信息表', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574929019081175042', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-28 09:08:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:08:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '21', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574929034579128322', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-28 09:08:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:08:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/1572109744075186177', 'DELETE', '{"0":["1572109744075186177"]}', '2', NULL, NULL, 'content:通过id删除物资信息表', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574929034814009346', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-28 09:08:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:08:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574929043542355970', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-28 09:08:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:08:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/1572120968414375937', 'DELETE', '{"0":["1572120968414375937"]}', '2', NULL, NULL, 'content:通过id删除物资信息表', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574929043768848385', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-28 09:08:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:08:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574929050404237314', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-28 09:08:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:08:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/1572111884873113601', 'DELETE', '{"0":["1572111884873113601"]}', '3', NULL, NULL, 'content:通过id删除物资信息表', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574929050563620866', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-28 09:08:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:08:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574929056284651522', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-28 09:08:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:08:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/1572110962902179841', 'DELETE', '{"0":["1572110962902179841"]}', '2', NULL, NULL, 'content:通过id删除物资信息表', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574929056477589506', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-28 09:08:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:08:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '2', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574929146923560961', '2', 'tofly-auth', 'tnadmin', TO_DATE('2022-09-28 09:09:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:09:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/5e635af9-87cd-4376-8cb8-e688f92ca7fd', 'DELETE', '{}', '1', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574929150396444674', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-28 09:09:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:09:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '19', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574931869668585474', '2', 'tofly-auth', 'yj', TO_DATE('2022-09-28 09:19:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:19:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/78e0225e-9725-4399-94c2-2dff69e90ad9', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574933331928788993', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-28 09:25:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:25:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '7', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574934910299811842', '1', 'tofly-flow', 'public', TO_DATE('2022-09-28 09:31:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:31:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1572832711356719105"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574935086729015297', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-28 09:32:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:32:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574935246561357825', '1', 'tofly-flow', 'public', TO_DATE('2022-09-28 09:33:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:33:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574935247819649025', '2', 'tofly-auth', 'test', TO_DATE('2022-09-28 09:33:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:33:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/2701e57d-3dc5-469d-83ad-d2fd758af05f', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574935252169142274', '1', 'tofly-flow', 'public', TO_DATE('2022-09-28 09:33:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:33:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574935256707379201', '1', 'tofly-flow', 'public', TO_DATE('2022-09-28 09:33:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:33:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '40', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574935257328136194', '1', 'tofly-flow', 'public', TO_DATE('2022-09-28 09:33:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:33:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1572832711356719105"],"isMould":["0"]}', '2', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574935454523338753', '1', 'tofly-flow', 'public', TO_DATE('2022-09-28 09:34:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:34:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574935457576792065', '1', 'tofly-flow', 'public', TO_DATE('2022-09-28 09:34:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:34:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574935473129271297', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-28 09:34:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:34:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/26d9dd87-a376-4c48-b375-bac7fe14e69c', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574935488304263169', '1', 'tofly-flow', 'public', TO_DATE('2022-09-28 09:34:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:34:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574935492762808322', '1', 'tofly-flow', 'public', TO_DATE('2022-09-28 09:34:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:34:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574935495799484418', '1', 'tofly-flow', 'public', TO_DATE('2022-09-28 09:34:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:34:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '43', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574935495929507842', '1', 'tofly-flow', 'public', TO_DATE('2022-09-28 09:34:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:34:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1572832711356719105"],"isMould":["0"]}', '2', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574935656286138369', '1', 'tofly-flow', 'public', TO_DATE('2022-09-28 09:34:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:34:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574935660400750593', '1', 'tofly-flow', 'public', TO_DATE('2022-09-28 09:34:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:34:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574935664242733057', '1', 'tofly-flow', 'public', TO_DATE('2022-09-28 09:34:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:34:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '42', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574935664381145089', '1', 'tofly-flow', 'public', TO_DATE('2022-09-28 09:34:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:34:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1572832711356719105"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574935840286060545', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-28 09:35:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:35:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1"]}', '10', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574935840311226369', '1', 'tofly-flow', 'tntest5', TO_DATE('2022-09-28 09:35:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:35:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '25', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574955783304110082', '2', 'tofly-auth', 'yj', TO_DATE('2022-09-28 10:54:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:54:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/80bfd55b-999f-4835-8946-b5ddefcca583', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574955824743833601', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 10:55:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:55:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/1574951908786388994', 'GET', '{"0":["1574951908786388994"]}', '7', NULL, NULL, 'content:通过id查询施工组织单位', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574955835338645505', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 10:55:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:55:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/1574952470374334465', 'GET', '{"0":["1574952470374334465"]}', '17', NULL, NULL, 'content:通过id查询施工组织单位', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574955850698186753', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 10:55:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:55:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/1574955805064118273', 'GET', '{"0":["1574955805064118273"]}', '14', NULL, NULL, 'content:通过id查询施工组织单位', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574928418062577665', '2', 'tofly-auth', 'public', TO_DATE('2022-09-28 09:06:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:06:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/d180f6aa-f50d-42e5-95d7-85d09098d0d3', 'DELETE', '{}', '4', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574928456977330177', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 09:06:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:06:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574932737965010946', '2', 'tofly-auth', 'tntest4', TO_DATE('2022-09-28 09:23:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:23:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/fc09158a-6953-4a4c-afa3-42a6d06ce0f2', 'DELETE', '{}', '1', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574932769015443457', '1', 'tofly-flow', 'tntest4', TO_DATE('2022-09-28 09:23:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:23:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '17', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574932788871278593', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-28 09:23:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:23:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574934416097554433', '1', 'tofly-flow', 'test', TO_DATE('2022-09-28 09:30:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:30:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574934546477494273', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-28 09:30:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:30:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["39"],"id":["1572140204302041089"]}', '237', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574934547547041794', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-28 09:30:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:30:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574709951149391874', 'GET', '{"id":["1574709951149391874"]}', '116', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574935353453195266', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-28 09:33:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:33:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"isMould":["0"],"label":["1568482594885484546"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574935829221486593', '1', 'tofly-flow', 'tntest5', TO_DATE('2022-09-28 09:35:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:35:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '54', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574935831784206338', '2', 'tofly-auth', 'yck', TO_DATE('2022-09-28 09:35:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:35:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/oauth/token', 'POST', '{"password":["b6589fc6ab0dc82cf12099d1c2d40ab994e8410c"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["yck"]}', '293', NULL, NULL, 'content:登录 :yck', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574935832736313346', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-28 09:35:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:35:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574935837459099650', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-28 09:35:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:35:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574936335876632577', '1', 'tofly-flow', 'tntest5', TO_DATE('2022-09-28 09:37:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:37:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '26', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574943052303708162', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 10:04:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:04:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl', 'POST', '{}', '87', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574943053826240513', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 10:04:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:04:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574944117459791874', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-28 10:08:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:08:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574944121935114242', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-28 10:08:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:08:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574944127291240450', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-28 10:08:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:08:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1"]}', '5', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574944127521927169', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-28 10:08:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:08:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1572832711356719105"],"isMould":["0"]}', '2', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574944154151563265', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-28 10:08:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:08:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574704733733068801', 'GET', '{}', '22', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574944154793291778', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-28 10:08:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:08:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["37"],"id":["1572140204302041089"]}', '171', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574944187949264898', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-28 10:08:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:08:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574945035051872258', '2', 'tofly-auth', 'jttest1', TO_DATE('2022-09-28 10:12:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:12:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/9b75dd75-e7ec-4a23-9a3b-7eb0114aa729', 'DELETE', '{}', '1', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574945065078894594', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-28 10:12:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:12:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/fd6fe6e0-1d05-4b35-b2c1-57895510493c', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574945537722429441', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 10:14:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:14:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["30"],"current":["1"]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574947040973565954', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-28 10:20:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:20:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["37"],"id":["1572140204302041089"]}', '112', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574947041476882434', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-28 10:20:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:20:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574947041535602689', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-28 10:20:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:20:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574951913932840962', '0', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 10:39:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:39:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/saveTeamAll', 'POST', '{}', '594', NULL, '### Error updating database.  Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.buildUnitNotNull)

### The error may exist in com/tofly/workflow/baseconf/mapper/TfBuildUnitPMapper.java (best guess)
### The error may involve com.tofly.workflow.baseconf.mapper.TfBuildUnitPMapper.insert-Inline
### The error occurred while setting parameters
### SQL: INSERT INTO TF_BUILD_UNIT_P  ( id, tenant_id, order_number, dept_id, team_type,  remark, CREATE_USER,  CREATE_TIME, UPDATE_USER,  UPDATE_TIME )  VALUES  ( ?, ?, ?, ?, ?,  ?, ?,  ?, ?,  ? )
### Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.buildUnitNotNull)

; ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.buildUnitNotNull)
; nested exception is java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.buildUnitNotNull)', 'content:新增施工班组相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574952120330346497', '2', 'tofly-auth', 'mzadmin', TO_DATE('2022-09-28 10:40:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:40:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/1540d9db-9639-4f47-afff-2304693c0969', 'DELETE', '{}', '1', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574953574159998978', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-28 10:46:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:46:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574953601066459138', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-28 10:46:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:46:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1573919105386835969', 'GET', '{}', '130', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574953601422974978', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-28 10:46:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:46:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '228', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574953602815483905', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-28 10:46:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:46:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '34', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574953602895175682', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-28 10:46:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:46:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '54', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574951383412019202', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-28 10:37:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:37:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '463', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574951420607107073', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 10:37:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:37:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '38', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574951451661733889', '2', 'tofly-auth', 'mzadmin', TO_DATE('2022-09-28 10:37:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:37:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/7a0687a2-4585-4635-9189-13765589ca0d', 'DELETE', '{}', '3', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574951482540199938', '2', 'tofly-auth', 'mzscb', TO_DATE('2022-09-28 10:37:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:37:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/d48a422a-85c3-46f9-87fa-bdd8d79c8620', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574951489276252161', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 10:37:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:37:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '41', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574951512835657730', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 10:37:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:37:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574951566803767298', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 10:38:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:38:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '145', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574951577939644418', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-28 10:38:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:38:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"isMould":["0"],"label":["1568482594885484546"]}', '10', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574951592980418562', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 10:38:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:38:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574951913932840961', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 10:39:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:39:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/saveTeamAll', 'POST', '{}', '370', NULL, NULL, 'content:新增施工班组相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574952470575702018', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 10:41:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:41:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/saveTeamAll', 'POST', '{}', '31', NULL, NULL, 'content:新增施工班组相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574952470995132417', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 10:41:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:41:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '30', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574952494583898113', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 10:41:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:41:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/1574951908786388994', 'GET', '{"0":["1574951908786388994"]}', '22', NULL, NULL, 'content:通过id查询施工组织单位', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574952506067902466', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 10:41:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:41:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/1574952470374334465', 'GET', '{"0":["1574952470374334465"]}', '29', NULL, NULL, 'content:通过id查询施工组织单位', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574952520013963265', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 10:41:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:41:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/1574952470374334465', 'GET', '{"0":["1574952470374334465"]}', '28', NULL, NULL, 'content:通过id查询施工组织单位', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574952539064492033', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 10:42:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:42:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/1574952470374334465', 'GET', '{"0":["1574952470374334465"]}', '27', NULL, NULL, 'content:通过id查询施工组织单位', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574952557003530241', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 10:42:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:42:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/1574952470374334465', 'GET', '{"0":["1574952470374334465"]}', '28', NULL, NULL, 'content:通过id查询施工组织单位', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574952894137491458', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 10:43:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:43:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["10000"],"current":["1"]}', '74', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574953754049503233', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-28 10:46:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:46:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["-1"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574953766867296257', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-28 10:46:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:46:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["-1"],"isMould":["0"]}', '2', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574953863579557890', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-28 10:47:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:47:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '183', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574953864330338305', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-28 10:47:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:47:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574953864389058561', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-28 10:47:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:47:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '26', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574953882600726530', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-28 10:47:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:47:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '146', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574953883309563905', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-28 10:47:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:47:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574953883372478466', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-28 10:47:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:47:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '32', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574953895401742337', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-28 10:47:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:47:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '141', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574953896118968322', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-28 10:47:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:47:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574953896165105665', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-28 10:47:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:47:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '21', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574953908718657538', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-28 10:47:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:47:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["37"],"id":["1572140204302041089"]}', '144', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574953909486215170', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-28 10:47:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:47:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574954186306084865', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-28 10:48:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:48:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574954186557743105', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-28 10:48:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:48:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574954204215762946', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-28 10:48:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:48:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '25', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574954204484198401', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-28 10:48:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:48:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574954410365804546', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-28 10:49:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:49:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574954776411103233', '1', 'tofly-flow', 'public', TO_DATE('2022-09-28 10:50:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:50:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl', 'POST', '{}', '354', NULL, NULL, 'content:新增流程信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574954879783919618', '1', 'tofly-flow', 'public', TO_DATE('2022-09-28 10:51:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:51:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["45"],"id":["1572140204302041089"]}', '140', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574954880207544322', '1', 'tofly-flow', 'public', TO_DATE('2022-09-28 10:51:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:51:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574954775253434369', 'GET', '{"id":["1574954775253434369"]}', '24', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574954961367326721', '1', 'tofly-flow', 'public', TO_DATE('2022-09-28 10:51:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:51:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessnodel', 'POST', '{}', '142', NULL, NULL, 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574955805290651649', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 10:54:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:54:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/saveTeamAll', 'POST', '{}', '37', NULL, NULL, 'content:新增施工班组相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574928488392667138', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 09:06:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:06:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574928503894814722', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 09:06:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:06:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574931196747034625', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-28 09:17:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:17:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/saveMatterAndPrice', 'POST', '{}', '4', NULL, NULL, 'content:新增物资信息及价格', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574931197023858689', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-28 09:17:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:17:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574931219157200897', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-28 09:17:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:17:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574931277147648002', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-28 09:17:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:17:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/saveMatterAndPrice', 'POST', '{}', '10', NULL, NULL, 'content:新增物资信息及价格', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574931277504163842', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-28 09:17:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:17:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '20', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574931546925281281', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-28 09:18:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:18:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1574293601415409665', 'GET', '{"id":["1574293601415409665"]}', '24', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574933136834932737', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-09-28 09:24:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:24:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574933434555019265', '2', 'tofly-auth', 'mzadmin', TO_DATE('2022-09-28 09:26:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:26:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/2b723764-b1d4-4835-b78f-883c7bec74d4', 'DELETE', '{}', '0', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574933528754892802', '2', 'tofly-auth', 'tnadmin', TO_DATE('2022-09-28 09:26:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:26:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/c295fc1c-1d36-4acb-92dd-c1d5b3fb1ae2', 'DELETE', '{}', '1', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574934353124274178', '1', 'tofly-flow', 'public', TO_DATE('2022-09-28 09:29:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:29:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1572832711356719105"],"isMould":["0"]}', '7', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574934476403257346', '1', 'tofly-flow', 'test', TO_DATE('2022-09-28 09:30:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:30:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574934644506767362', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-28 09:30:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:30:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["39"],"id":["1572140204302041089"]}', '625', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574934645106552833', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-28 09:30:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:30:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574709951149391874', 'GET', '{"id":["1574709951149391874"]}', '28', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574935840596439042', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-28 09:35:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:35:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1572832711356719105"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574935844237094913', '1', 'tofly-flow', 'tntest5', TO_DATE('2022-09-28 09:35:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:35:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"typeName":[""],"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '35', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574935852717977601', '2', 'tofly-auth', 'tntest5', TO_DATE('2022-09-28 09:35:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:35:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/05acf0fa-16ce-49fe-bd7b-9b69b0c218ac', 'DELETE', '{}', '1', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574935919784898562', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-28 09:35:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:35:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"isMould":["0"],"label":["1568482594885484546"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574936151482445826', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-28 09:36:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:36:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574936157350277122', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-28 09:36:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:36:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574936164262490113', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-28 09:36:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:36:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1"]}', '6', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574951566606635010', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 10:38:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:38:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["10000"],"current":["1"]}', '62', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574951874082758657', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-28 10:39:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:39:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/aa2248e1-0ff8-43a2-8bc3-13486c7d2abb', 'DELETE', '{}', '19', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574951915409235969', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 10:39:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:39:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '175', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574952334386651137', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 10:41:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:41:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '58', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574957150630436866', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-28 11:00:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:00:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1569613105131102209', 'GET', '{"edition":["1"],"id":["1569613105131102209"]}', '2', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574957185275387906', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 11:00:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:00:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '8', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574957188534362114', '1', 'tofly-flow', 'lz1', TO_DATE('2022-09-28 11:00:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:00:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '1', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574957206322405378', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-28 11:00:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:00:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/3ff246a9-eea2-416e-9543-5d244df9f166', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574957225511346178', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 11:00:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:00:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574957239751008257', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 11:00:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:00:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574957254527541249', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 11:00:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:00:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574957255307681794', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 11:00:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:00:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574958430371307522', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 11:05:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:05:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/1574957832997519362', 'GET', '{"0":["1574957832997519362"]}', '14', NULL, NULL, 'content:通过id查询施工组织单位', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574958452064247809', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 11:05:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:05:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/1574957832997519362', 'GET', '{"0":["1574957832997519362"]}', '19', NULL, NULL, 'content:通过id查询施工组织单位', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574958467146964993', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 11:05:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:05:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/1574958405624872962', 'GET', '{"0":["1574958405624872962"]}', '12', NULL, NULL, 'content:通过id查询施工组织单位', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574958511312986114', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 11:05:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:05:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/1574958405624872962', 'GET', '{"0":["1574958405624872962"]}', '13', NULL, NULL, 'content:通过id查询施工组织单位', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574958675838754818', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 11:06:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:06:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574951131137216514', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-28 10:36:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:36:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/44624e55-474b-4068-9b06-25d1f2913737', 'DELETE', '{}', '6', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574951872644112386', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-28 10:39:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:39:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/aa2248e1-0ff8-43a2-8bc3-13486c7d2abb', 'DELETE', '{}', '95', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574951913924452353', '0', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 10:39:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:39:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/saveTeamAll', 'POST', '{}', '463', NULL, '### Error updating database.  Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.buildUnitNotNull)

### The error may exist in com/tofly/workflow/baseconf/mapper/TfBuildUnitPMapper.java (best guess)
### The error may involve com.tofly.workflow.baseconf.mapper.TfBuildUnitPMapper.insert-Inline
### The error occurred while setting parameters
### SQL: INSERT INTO TF_BUILD_UNIT_P  ( id, tenant_id, order_number, dept_id, team_type,  remark, CREATE_USER,  CREATE_TIME, UPDATE_USER,  UPDATE_TIME )  VALUES  ( ?, ?, ?, ?, ?,  ?, ?,  ?, ?,  ? )
### Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.buildUnitNotNull)

; ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.buildUnitNotNull)
; nested exception is java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.buildUnitNotNull)', 'content:新增施工班组相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574952774553690114', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-28 10:42:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:42:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["-1"],"isMould":["0"]}', '2', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574952792547254273', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-28 10:43:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:43:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectmaterialw/getDispatchRecord', 'GET', '{"relationId":["1574709951531073538"],"materialType":["3"]}', '17', NULL, NULL, 'content:领料记录', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574952792715026434', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-28 10:43:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:43:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["-1"],"isMould":["0"]}', '2', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574952807055351809', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-28 10:43:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:43:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '27', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574952813275504641', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-28 10:43:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:43:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '13', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574952894330429442', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 10:43:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:43:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '134', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574953731270238209', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-28 10:46:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:46:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '9', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574954643250339842', '1', 'tofly-flow', 'public', TO_DATE('2022-09-28 10:50:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:50:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl', 'POST', '{}', '54', NULL, NULL, 'content:新增流程信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574954683746344961', '1', 'tofly-flow', 'public', TO_DATE('2022-09-28 10:50:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:50:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '128', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574954955306557441', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 10:51:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:51:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["41"],"id":["1572140204302041089"]}', '132', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574954955809873921', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 10:51:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:51:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574938027984769025', 'GET', '{"id":["1574938027984769025"]}', '22', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574955040023109633', '1', 'tofly-flow', 'public', TO_DATE('2022-09-28 10:51:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:51:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574955219761618945', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 10:52:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:52:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574955229781811202', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 10:52:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:52:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574955236236845058', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 10:52:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:52:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '23', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574955237000208386', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 10:52:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:52:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '22', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574955237771960322', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 10:52:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:52:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574955241337118721', '1', 'tofly-flow', 'public', TO_DATE('2022-09-28 10:52:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:52:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["45"],"id":["1572140204302041089"]}', '140', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574955241722994690', '1', 'tofly-flow', 'public', TO_DATE('2022-09-28 10:52:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:52:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574954775253434369', 'GET', '{"id":["1574954775253434369"]}', '22', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574955346534457345', '0', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 10:53:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:53:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/saveTeamAll', 'POST', '{}', '78', NULL, 'nested exception is org.apache.ibatis.type.TypeException: Could not set parameters for mapping: ParameterMapping{property=''userId'', mode=IN, javaType=class java.lang.Long, jdbcType=null, numericScale=null, resultMapId=''null'', jdbcTypeName=''null'', expression=''null''}. Cause: org.apache.ibatis.type.TypeException: Error setting null for parameter #3 with JdbcType OTHER . Try setting a different JdbcType for this parameter or a different jdbcTypeForNull configuration property. Cause: java.sql.SQLException: 无效的列类型: 1111', 'content:新增施工班组相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574955361818501122', '0', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 10:53:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:53:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/saveTeamAll', 'POST', '{}', '64', NULL, '### Error updating database.  Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.buildUnitNotNull)

### The error may exist in com/tofly/workflow/baseconf/mapper/TfBuildUnitPMapper.java (best guess)
### The error may involve com.tofly.workflow.baseconf.mapper.TfBuildUnitPMapper.insert-Inline
### The error occurred while setting parameters
### SQL: INSERT INTO TF_BUILD_UNIT_P  ( id, tenant_id, order_number, dept_id, team_type,  remark, CREATE_USER,  CREATE_TIME, UPDATE_USER,  UPDATE_TIME )  VALUES  ( ?, ?, ?, ?, ?,  ?, ?,  ?, ?,  ? )
### Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.buildUnitNotNull)

; ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.buildUnitNotNull)
; nested exception is java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.buildUnitNotNull)', 'content:新增施工班组相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574953725872168962', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-28 10:46:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:46:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '7', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574953909502992385', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-28 10:47:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:47:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '20', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574953920022306817', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-28 10:47:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:47:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '135', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574953920676618242', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-28 10:47:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:47:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574953920726949890', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-28 10:47:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:47:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '20', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574954410374193154', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-28 10:49:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:49:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574954429449887746', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-28 10:49:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:49:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '2', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574954437280653314', '2', 'tofly-auth', 'hr', TO_DATE('2022-09-28 10:49:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:49:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/07d0255b-fadd-443e-be5d-1411b5e36f63', 'DELETE', '{}', '1', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574954491840159745', '1', 'tofly-flow', 'public', TO_DATE('2022-09-28 10:49:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:49:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574954500656586753', '1', 'tofly-flow', 'public', TO_DATE('2022-09-28 10:49:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:49:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '135', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574956357189754882', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-28 10:57:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:57:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["-1"],"isMould":["0"]}', '1', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574956376600993794', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-28 10:57:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:57:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectmaterialw/getDispatchRecord', 'GET', '{"relationId":["1574709951531073538"],"materialType":["3"]}', '2', NULL, NULL, 'content:领料记录', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574956376743600129', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-28 10:57:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:57:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["-1"],"isMould":["0"]}', '2', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574956391520133122', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-28 10:57:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:57:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["-1"],"isMould":["0"]}', '2', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574956400592412673', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-28 10:57:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:57:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectmaterialw/getDispatchRecord', 'GET', '{"relationId":["1574709951531073538"],"materialType":["3"]}', '2', NULL, NULL, 'content:领料记录', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574956400789544961', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-28 10:57:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:57:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1572837468880248833"],"isMould":["0"]}', '2', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574956406892257282', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-28 10:57:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:57:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["-1"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574956413301153793', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-28 10:57:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:57:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["-1"],"isMould":["0"]}', '2', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574956542129201153', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-28 10:57:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:57:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{}', '131', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574956600975286273', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-28 10:58:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:58:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1"]}', '6', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574956601155641346', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-28 10:58:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:58:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1572832711356719105"],"isMould":["0"]}', '1', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574956635624431618', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-28 10:58:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:58:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574956650514210818', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-28 10:58:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:58:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1572832711356719105"],"isMould":["0"]}', '1', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574956814297587714', '0', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 10:59:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:59:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/saveTeamAll', 'POST', '{}', '215', NULL, '### Error updating database.  Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.buildUnitNotNull)

### The error may exist in com/tofly/workflow/baseconf/mapper/TfBuildUnitPMapper.java (best guess)
### The error may involve com.tofly.workflow.baseconf.mapper.TfBuildUnitPMapper.insert-Inline
### The error occurred while setting parameters
### SQL: INSERT INTO TF_BUILD_UNIT_P  ( id, tenant_id, order_number, dept_id, team_type,  remark, CREATE_USER,  CREATE_TIME, UPDATE_USER,  UPDATE_TIME )  VALUES  ( ?, ?, ?, ?, ?,  ?, ?,  ?, ?,  ? )
### Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.buildUnitNotNull)

; ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.buildUnitNotNull)
; nested exception is java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.buildUnitNotNull)', 'content:新增施工班组相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574957302766231553', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 11:00:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:00:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574957327625871362', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 11:01:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:01:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["39"],"id":["1572140204302041089"]}', '142', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574957328196296706', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 11:01:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:01:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574709951149391874', 'GET', '{"id":["1574709951149391874"]}', '26', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574957833706397697', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 11:03:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:03:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '21', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574957843386851329', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 11:03:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:03:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/1574957832997519362', 'GET', '{"0":["1574957832997519362"]}', '23', NULL, NULL, 'content:通过id查询施工组织单位', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574957866476494850', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 11:03:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:03:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/1574957832997519362', 'GET', '{"0":["1574957832997519362"]}', '22', NULL, NULL, 'content:通过id查询施工组织单位', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574957907765223426', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 11:03:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:03:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/1574957832997519362', 'GET', '{"0":["1574957832997519362"]}', '27', NULL, NULL, 'content:通过id查询施工组织单位', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574957969337606146', '1', 'tofly-flow', 'mz001', TO_DATE('2022-09-28 11:03:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:03:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574958002225143810', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 11:03:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:03:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/saveTeamAll', 'POST', '{}', '24', NULL, NULL, 'content:新增施工班组相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574934053994901506', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 09:28:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:28:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '311', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574934227102216194', '2', 'tofly-auth', 'll', TO_DATE('2022-09-28 09:29:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:29:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/3a84926d-a3f4-40f6-9f44-d5d2c9de114a', 'DELETE', '{}', '6', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574934373416316930', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-28 09:29:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:29:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '10', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574934380060094465', '2', 'tofly-auth', 'tnadmin', TO_DATE('2022-09-28 09:29:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:29:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/435b8d3a-f7aa-440a-9d8a-035320dab336', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574936130812915714', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 09:36:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:36:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574936145010634753', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 09:36:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:36:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '132', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574936164686114818', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-28 09:36:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:36:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1572832711356719105"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574936193412902914', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-28 09:37:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:37:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/515d4d2b-bc74-4eaa-b1ed-b6990e8d07ec', 'DELETE', '{}', '1', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574936313764261890', '1', 'tofly-flow', 'tntest5', TO_DATE('2022-09-28 09:37:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:37:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '29', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574936343766118401', '1', 'tofly-flow', 'tntest5', TO_DATE('2022-09-28 09:37:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:37:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '20', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574936345968128002', '1', 'tofly-flow', 'tntest5', TO_DATE('2022-09-28 09:37:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:37:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"typeName":[""],"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574936350326009858', '1', 'tofly-flow', 'tntest5', TO_DATE('2022-09-28 09:37:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:37:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"typeName":[""],"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574936351202619394', '1', 'tofly-flow', 'tntest5', TO_DATE('2022-09-28 09:37:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:37:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"typeName":[""],"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574955805684916226', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 10:54:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:54:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '27', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574956236876144642', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-28 10:56:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:56:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1572832711356719105"],"isMould":["0"]}', '2', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574956635632820226', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-28 10:58:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:58:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574956635725094913', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-28 10:58:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:58:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574956645460074497', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-28 10:58:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:58:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574956650245775362', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-28 10:58:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:58:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1"]}', '5', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574957595746754561', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-28 11:02:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:02:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574957604689010690', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-28 11:02:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:02:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574957608547770370', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-28 11:02:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:02:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1"]}', '7', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574957608778457089', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-28 11:02:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:02:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1572832711356719105"],"isMould":["0"]}', '2', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574957651312893954', '1', 'tofly-flow', 'mz001', TO_DATE('2022-09-28 11:02:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:02:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574957670908682241', '1', 'tofly-flow', 'mz001', TO_DATE('2022-09-28 11:02:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:02:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '2', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574957675841183745', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 11:02:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:02:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessnodel', 'POST', '{}', '8', NULL, NULL, 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574959096900739073', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-28 11:08:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:08:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1572832711356719105"],"isMould":["0"]}', '2', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574960648419926017', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 11:14:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:14:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["39"],"id":["1572140204302041089"]}', '132', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574960649267175426', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 11:14:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:14:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574709951149391874', 'GET', '{"id":["1574709951149391874"]}', '29', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574965248594141186', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 11:32:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:32:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574970162988834818', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 11:52:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:52:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574970180042874881', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 11:52:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:52:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp', 'POST', '{}', '7', NULL, NULL, 'content:新增工程工序/工程管控', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574970180323893249', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 11:52:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:52:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '18', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574970231678951425', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 11:52:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:52:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574970243511083009', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 11:52:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:52:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp', 'POST', '{}', '8', NULL, NULL, 'content:新增工程工序/工程管控', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574970243783712770', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 11:52:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:52:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '18', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574970339111854082', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 11:52:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:52:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574970450747449345', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 11:53:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:53:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574970456468480002', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-28 11:53:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:53:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '114', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574970456992768002', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-28 11:53:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:53:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574958543240028161', '0', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 11:05:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:05:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/saveTeamAll', 'POST', '{}', '76', NULL, '### Error updating database.  Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.buildUnitNotNull)

### The error may exist in com/tofly/workflow/baseconf/mapper/TfBuildUnitPMapper.java (best guess)
### The error may involve com.tofly.workflow.baseconf.mapper.TfBuildUnitPMapper.insert-Inline
### The error occurred while setting parameters
### SQL: INSERT INTO TF_BUILD_UNIT_P  ( id, tenant_id, order_number, dept_id, team_type,  remark, CREATE_USER,  CREATE_TIME, UPDATE_USER,  UPDATE_TIME )  VALUES  ( ?, ?, ?, ?, ?,  ?, ?,  ?, ?,  ? )
### Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.buildUnitNotNull)

; ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.buildUnitNotNull)
; nested exception is java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.buildUnitNotNull)', 'content:新增施工班组相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574958690372018178', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 11:06:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:06:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574958692611776513', '2', 'tofly-auth', 'test', TO_DATE('2022-09-28 11:06:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:06:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/8196c372-7eff-4596-9957-34b8af839b44', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574958700874555394', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 11:06:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:06:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["39"],"id":["1572140204302041089"]}', '124', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574958701474340866', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 11:06:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:06:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574709951149391874', 'GET', '{"id":["1574709951149391874"]}', '37', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574963289422159873', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 11:24:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:24:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574963441989967874', '1', 'tofly-flow', 'lz1', TO_DATE('2022-09-28 11:25:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:25:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574963454665154561', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-28 11:25:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:25:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574954775253434369', 'GET', '{}', '29', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574963455323660289', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-28 11:25:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:25:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["45"],"id":["1572140204302041089"]}', '132', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574963486114045953', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-28 11:25:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:25:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '18', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574963486172766209', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-28 11:25:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:25:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '31', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574963575507247106', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-28 11:25:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:25:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574963645099139073', '2', 'tofly-auth', 'mzadmin', TO_DATE('2022-09-28 11:26:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:26:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/8b4f1e42-d061-4d28-9483-dcfe45422215', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574964147450929154', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-28 11:28:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:28:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574964425331957762', '2', 'tofly-auth', 'llzm', TO_DATE('2022-09-28 11:29:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:29:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/cba903a1-c74e-49b0-93d4-c8957fd6e394', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574964461218422785', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 11:29:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:29:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp', 'POST', '{}', '11', NULL, NULL, 'content:新增工程工序/工程管控', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574964461520412673', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 11:29:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:29:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '21', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574964502511345665', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 11:29:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:29:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574964508874104833', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 11:29:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:29:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/1574959023458435074', 'GET', '{"0":["1574959023458435074"]}', '19', NULL, NULL, 'content:通过id查询施工组织单位', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574964920175943681', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 11:31:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:31:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '19', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574964923845959682', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 11:31:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:31:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '20', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574964924772900866', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 11:31:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:31:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '28', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574964927172042753', '1', 'tofly-flow', 'lz1', TO_DATE('2022-09-28 11:31:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:31:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '2', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574964963251445762', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 11:31:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:31:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574964989440679938', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 11:31:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:31:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '26', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574964990648639490', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 11:31:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:31:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '30', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574964998982721538', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 11:31:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:31:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '18', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574965004850552833', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 11:31:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:31:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '19', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574965009405566978', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 11:31:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:31:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574965057174495233', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 11:31:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:31:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '28', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574965058101436417', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 11:31:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:31:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '17', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574965058768330753', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 11:31:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:31:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '21', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574965063029743618', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 11:31:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:31:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574965194324041729', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 11:32:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:32:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574965204998545410', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 11:32:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:32:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '24', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574955467074560001', '0', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 10:53:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:53:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/saveTeamAll', 'POST', '{}', '71', NULL, '### Error updating database.  Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.buildUnitNotNull)

### The error may exist in com/tofly/workflow/baseconf/mapper/TfBuildUnitPMapper.java (best guess)
### The error may involve com.tofly.workflow.baseconf.mapper.TfBuildUnitPMapper.insert-Inline
### The error occurred while setting parameters
### SQL: INSERT INTO TF_BUILD_UNIT_P  ( id, tenant_id, order_number, dept_id, team_type,  remark, CREATE_USER,  CREATE_TIME, UPDATE_USER,  UPDATE_TIME )  VALUES  ( ?, ?, ?, ?, ?,  ?, ?,  ?, ?,  ? )
### Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.buildUnitNotNull)

; ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.buildUnitNotNull)
; nested exception is java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.buildUnitNotNull)', 'content:新增施工班组相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574955507063054337', '1', 'tofly-flow', 'public', TO_DATE('2022-09-28 10:53:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:53:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessnodel', 'POST', '{}', '118', NULL, NULL, 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574955576373927938', '1', 'tofly-flow', 'public', TO_DATE('2022-09-28 10:54:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:54:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["45"],"id":["1572140204302041089"]}', '146', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574955577057599489', '1', 'tofly-flow', 'public', TO_DATE('2022-09-28 10:54:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:54:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574955577107931137', '1', 'tofly-flow', 'public', TO_DATE('2022-09-28 10:54:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:54:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '21', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574955908189511681', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 10:55:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:55:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '30', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574955909120647169', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 10:55:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:55:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '29', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574955909879816194', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 10:55:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:55:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '31', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574955977609437186', '0', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 10:55:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:55:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/saveTeamAll', 'POST', '{}', '81', NULL, 'nested exception is org.apache.ibatis.type.TypeException: Could not set parameters for mapping: ParameterMapping{property=''userId'', mode=IN, javaType=class java.lang.Long, jdbcType=null, numericScale=null, resultMapId=''null'', jdbcTypeName=''null'', expression=''null''}. Cause: org.apache.ibatis.type.TypeException: Error setting null for parameter #3 with JdbcType OTHER . Try setting a different JdbcType for this parameter or a different jdbcTypeForNull configuration property. Cause: java.sql.SQLException: 无效的列类型: 1111', 'content:新增施工班组相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574955995695276033', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 10:55:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:55:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/1574955805064118273', 'GET', '{"0":["1574955805064118273"]}', '14', NULL, NULL, 'content:通过id查询施工组织单位', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574956010371145729', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 10:55:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:55:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/1574955805064118273', 'GET', '{"0":["1574955805064118273"]}', '13', NULL, NULL, 'content:通过id查询施工组织单位', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574956019044966401', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 10:55:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:55:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/1574955805064118273', 'GET', '{"0":["1574955805064118273"]}', '14', NULL, NULL, 'content:通过id查询施工组织单位', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574956034689720322', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 10:55:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:55:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/deleteByIds', 'DELETE', '{"ids":["1574955805064118273"]}', '15', NULL, NULL, 'content:通过id批量删除施工组织单位', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574956035021070338', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 10:55:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:55:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '23', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574956065631100929', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 10:56:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:56:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/saveTeamAll', 'POST', '{}', '34', NULL, NULL, 'content:新增施工班组相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574956066063114242', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 10:56:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:56:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '44', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574956084832624641', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 10:56:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:56:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/1574243157838213121', 'GET', '{"0":["1574243157838213121"]}', '6', NULL, NULL, 'content:通过id查询施工组织单位', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574956101945384961', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 10:56:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:56:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/deleteByIds', 'DELETE', '{"ids":["1574243157838213121"]}', '7', NULL, NULL, 'content:通过id批量删除施工组织单位', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574956102289317890', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 10:56:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:56:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '30', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574956110283661314', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 10:56:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:56:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/deleteByIds', 'DELETE', '{"ids":["1574951908786388994"]}', '14', NULL, NULL, 'content:通过id批量删除施工组织单位', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574956110644371458', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 10:56:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:56:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '27', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574956118517080066', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 10:56:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:56:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/deleteByIds', 'DELETE', '{"ids":["1574952470374334465"]}', '12', NULL, NULL, 'content:通过id批量删除施工组织单位', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574956118814875650', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 10:56:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:56:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '21', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574956132228259842', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 10:56:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:56:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/deleteByIds', 'DELETE', '{"ids":["1574956065417150465"]}', '10', NULL, NULL, 'content:通过id批量删除施工组织单位', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574956132526055426', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 10:56:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:56:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574956152855846914', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 10:56:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:56:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/deleteByIds', 'DELETE', '{"ids":["1574955977206743042"]}', '9', NULL, NULL, 'content:通过id批量删除施工组织单位', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574956153065562114', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 10:56:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:56:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574956166495723522', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 10:56:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:56:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/deleteByIds', 'DELETE', '{"ids":["1574955346156929026"]}', '8', NULL, NULL, 'content:通过id批量删除施工组织单位', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574956166705438722', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 10:56:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:56:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574956224616194049', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-28 10:56:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:56:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574956231792648194', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-28 10:56:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:56:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574956236641263617', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-28 10:56:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:56:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1"]}', '18', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574926902417272834', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-28 09:00:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:00:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574926950806958081', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-28 09:00:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:00:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '7', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574927636437250050', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-28 09:03:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 09:03:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574958002560688130', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 11:03:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:03:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '28', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574958010152378370', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 11:03:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:03:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/1574957832997519362', 'GET', '{"0":["1574957832997519362"]}', '20', NULL, NULL, 'content:通过id查询施工组织单位', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574958023267966978', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 11:03:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:03:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/1574958002069913602', 'GET', '{"0":["1574958002069913602"]}', '20', NULL, NULL, 'content:通过id查询施工组织单位', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574958061067034626', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 11:03:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:03:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/1574958002069913602', 'GET', '{"0":["1574958002069913602"]}', '17', NULL, NULL, 'content:通过id查询施工组织单位', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574958157464723458', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 11:04:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:04:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/saveTeamAll', 'POST', '{}', '13', NULL, NULL, 'content:新增施工班组相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574958157900931074', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 11:04:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:04:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '39', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574958169460432897', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 11:04:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:04:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/1574957832997519362', 'GET', '{"0":["1574957832997519362"]}', '16', NULL, NULL, 'content:通过id查询施工组织单位', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574958188154445825', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 11:04:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:04:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/1574958002069913602', 'GET', '{"0":["1574958002069913602"]}', '14', NULL, NULL, 'content:通过id查询施工组织单位', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574958197872648193', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 11:04:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:04:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/1574958157351436289', 'GET', '{"0":["1574958157351436289"]}', '9', NULL, NULL, 'content:通过id查询施工组织单位', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574958234887380993', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 11:04:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:04:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/1574958157351436289', 'GET', '{"0":["1574958157351436289"]}', '10', NULL, NULL, 'content:通过id查询施工组织单位', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574958284950593538', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-28 11:04:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:04:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574958290684207106', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-28 11:04:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:04:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574958295738343426', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-28 11:04:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:04:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1"]}', '5', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574958295948058626', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-28 11:04:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:04:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1572832711356719105"],"isMould":["0"]}', '2', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574958296426209282', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 11:04:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:04:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/saveTeamAll', 'POST', '{}', '12', NULL, NULL, 'content:新增施工班组相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574958296812085250', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 11:04:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:04:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '40', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574958313350225921', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 11:04:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:04:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/1574958296329699329', 'GET', '{"0":["1574958296329699329"]}', '12', NULL, NULL, 'content:通过id查询施工组织单位', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574958328378417154', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 11:05:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:05:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/1574958157351436289', 'GET', '{"0":["1574958157351436289"]}', '14', NULL, NULL, 'content:通过id查询施工组织单位', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574958343213670401', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 11:05:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:05:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/1574958296329699329', 'GET', '{"0":["1574958296329699329"]}', '14', NULL, NULL, 'content:通过id查询施工组织单位', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574958358501908481', '0', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 11:05:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:05:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/saveTeamAll', 'POST', '{}', '79', NULL, '### Error updating database.  Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.buildUnitNotNull)

### The error may exist in com/tofly/workflow/baseconf/mapper/TfBuildUnitPMapper.java (best guess)
### The error may involve com.tofly.workflow.baseconf.mapper.TfBuildUnitPMapper.updateById-Inline
### The error occurred while setting parameters
### SQL: UPDATE TF_BUILD_UNIT_P  SET tenant_id=?, order_number=?,  team_type=?,  remark=?,    UPDATE_USER=?,  UPDATE_TIME=?  WHERE id=?
### Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.buildUnitNotNull)

; ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.buildUnitNotNull)
; nested exception is java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.buildUnitNotNull)', 'content:新增施工班组相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574958405817851906', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 11:05:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:05:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/saveTeamAll', 'POST', '{}', '28', NULL, NULL, 'content:新增施工班组相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574958406245670914', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 11:05:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:05:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '46', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574958511673696258', '1', 'tofly-flow', 'test', TO_DATE('2022-09-28 11:05:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:05:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '1', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574959197794721794', '1', 'tofly-flow', 'lz1', TO_DATE('2022-09-28 11:08:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:08:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '2', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574959278803509250', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-28 11:08:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:08:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1"]}', '8', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574959279067750402', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-28 11:08:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:08:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1572832711356719105"],"isMould":["0"]}', '2', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574959304468455425', '2', 'tofly-auth', 'lz1', TO_DATE('2022-09-28 11:08:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:08:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/fb7bc26a-ffae-45a2-92af-660f6dafe42a', 'DELETE', '{}', '1', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574959605468487681', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 11:10:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:10:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/saveTeamAll', 'POST', '{}', '8', NULL, NULL, 'content:新增施工班组相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574959605762088961', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 11:10:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:10:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574959621692055553', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-28 11:10:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:10:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574959634690203650', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-28 11:10:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:10:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574959637840125954', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-28 11:10:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:10:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1"]}', '8', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574970457236037634', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-28 11:53:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:53:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574970459714871298', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-28 11:53:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:53:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574970536449662977', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 11:53:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:53:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574970579390947330', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 11:53:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:53:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"nature":[""]}', '18', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574970602140852226', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 11:53:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:53:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574970679416709122', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 11:54:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:54:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574970780365217794', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-28 11:54:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:54:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl', 'POST', '{}', '13', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574970821670723586', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-28 11:54:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:54:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl', 'POST', '{}', '228', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574970822656385025', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-28 11:54:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:54:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574970833431552001', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-28 11:54:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:54:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574970853039923201', '2', 'tofly-auth', 'mzadmin', TO_DATE('2022-09-28 11:54:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:54:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/691a20dc-8e08-4d37-9b7e-de60dfc4f134', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574970887777148930', '1', 'tofly-flow', 'public', TO_DATE('2022-09-28 11:54:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:54:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574970901756764162', '1', 'tofly-flow', 'public', TO_DATE('2022-09-28 11:54:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:54:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '111', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574970926108893185', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-28 11:55:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:55:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574970931578265601', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 11:55:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:55:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574971020082274306', '1', 'tofly-flow', 'public', TO_DATE('2022-09-28 11:55:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:55:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl', 'POST', '{}', '104', NULL, NULL, 'content:新增流程信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574971029020336129', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-28 11:55:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:55:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574971048007950337', '1', 'tofly-flow', 'public', TO_DATE('2022-09-28 11:55:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:55:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["46"],"id":["1572140204302041089"]}', '121', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574971048389632002', '1', 'tofly-flow', 'public', TO_DATE('2022-09-28 11:55:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:55:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574971019650220034', 'GET', '{"id":["1574971019650220034"]}', '23', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574971055285067779', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-28 11:55:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:55:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '21', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574971114462502913', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 11:55:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:55:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574971587538051073', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 11:57:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:57:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '20', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574971640763768834', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 11:57:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:57:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574971645767573505', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 11:57:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:57:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574971664843268097', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 11:58:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:58:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574971700964614145', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 11:58:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:58:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574971709818789889', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 11:58:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:58:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"nature":[""]}', '13', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574971721395068929', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 11:58:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:58:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574971726969298946', '2', 'tofly-auth', 'llzm', TO_DATE('2022-09-28 11:58:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:58:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/9d0dbb98-7835-46ab-a58e-0d0feb5cba8d', 'DELETE', '{}', '1', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574971834976821250', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 11:58:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:58:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574971980380758017', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-28 11:59:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:59:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574971980489809921', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-28 11:59:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:59:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '22', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574972076895887362', '1', 'tofly-flow', 'public', TO_DATE('2022-09-28 11:59:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:59:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574972095417933826', '1', 'tofly-flow', 'public', TO_DATE('2022-09-28 11:59:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:59:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["46"],"id":["1572140204302041089"]}', '133', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574972095787032577', '1', 'tofly-flow', 'public', TO_DATE('2022-09-28 11:59:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:59:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574971019650220034', 'GET', '{"id":["1574971019650220034"]}', '26', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575000539879038977', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 13:52:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 13:52:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '20', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575000539962925058', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 13:52:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 13:52:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575000540071976961', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 13:52:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 13:52:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575000548636745730', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 13:52:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 13:52:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '126', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575000550087974914', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 13:52:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 13:52:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575000550515793922', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 13:52:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 13:52:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574965220408418305', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 11:32:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:32:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/removeByNatureAndTenantId', 'POST', '{"tenantId":["1569602913205559298"],"nature":["2"]}', '5', NULL, NULL, 'content:通过tenantId和nature删除工程工序/工程管控', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574965220664270850', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 11:32:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:32:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '13', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574965234882961409', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 11:32:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:32:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/removeByNatureAndTenantId', 'POST', '{"tenantId":["1"],"nature":["1"]}', '4', NULL, NULL, 'content:通过tenantId和nature删除工程工序/工程管控', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574965235105259521', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 11:32:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:32:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '10', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574965251228164097', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 11:32:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:32:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574965270006063105', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 11:32:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:32:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/removeByNatureAndTenantId', 'POST', '{"tenantId":["1569602913205559298"],"nature":["1"]}', '3', NULL, NULL, 'content:通过tenantId和nature删除工程工序/工程管控', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574965270224166913', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 11:32:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:32:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '1', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574965299395551233', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 11:32:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:32:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp', 'POST', '{}', '12', NULL, NULL, 'content:新增工程工序/工程管控', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574965299663986689', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 11:32:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:32:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '10', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574965305544400898', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-28 11:32:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:32:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/46977177-a72c-4309-85e4-048405dca222', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574965324875948034', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 11:32:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:32:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp', 'POST', '{}', '8', NULL, NULL, 'content:新增工程工序/工程管控', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574965325140189186', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 11:32:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:32:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '12', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574965341250510850', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 11:32:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:32:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/removeByNatureAndTenantId', 'POST', '{"tenantId":["1"],"nature":["1"]}', '3', NULL, NULL, 'content:通过tenantId和nature删除工程工序/工程管控', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574965341489586178', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 11:32:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:32:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '10', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574965347239976962', '2', 'tofly-auth', 'jtadmin', TO_DATE('2022-09-28 11:32:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:32:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/701fced2-015b-470c-a24b-3d0c79d22a2b', 'DELETE', '{}', '1', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574965378080694273', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 11:33:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:33:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '6', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574965386276364289', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-28 11:33:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:33:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574704733733068801', 'GET', '{}', '20', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574965386930675714', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-28 11:33:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:33:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["37"],"id":["1572140204302041089"]}', '111', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574965387987640322', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-28 11:33:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:33:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574965388037971969', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-28 11:33:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:33:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '24', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574965416999641090', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-28 11:33:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:33:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574965426982084609', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-28 11:33:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:33:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '6', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574965456941998082', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-28 11:33:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:33:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/removeByNatureAndTenantId', 'POST', '{"tenantId":["1569602913205559298"],"nature":["1574963902897840129"]}', '4', NULL, NULL, 'content:通过tenantId和nature删除工程工序/工程管控', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574965457172684802', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-28 11:33:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:33:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '2', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574965779463004162', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-28 11:34:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:34:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574966088151195649', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 11:35:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:35:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '34', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574966392255012865', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-28 11:37:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:37:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574966414686150657', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 11:37:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:37:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":["集团公"]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574966419010478082', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-28 11:37:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:37:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["10"],"matterType":[""],"matterName":[""]}', '18', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574966428959367169', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 11:37:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:37:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574966432079929346', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-28 11:37:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:37:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '20', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574966438694346753', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 11:37:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:37:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":["姐姐"]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574966441470976001', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-28 11:37:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:37:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["50"],"matterType":[""],"matterName":[""]}', '18', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574966448718733313', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-28 11:37:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:37:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["100"],"matterType":[""],"matterName":[""]}', '19', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574966463553986562', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 11:37:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:37:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '17', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574966501021704193', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 11:37:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:37:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574966521389244417', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 11:37:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:37:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '17', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574966552154464258', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 11:37:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:37:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":["嘻嘻"]}', '17', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574966965582815233', '2', 'tofly-auth', 'fsq1', TO_DATE('2022-09-28 11:39:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:39:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/e87eba4c-cc2e-42b6-8a95-4df7b845d018', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574967015608279042', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-09-28 11:39:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:39:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574956198301130754', '0', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 10:56:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:56:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/saveTeamAll', 'POST', '{}', '68', NULL, '### Error updating database.  Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-01400: 无法将 NULL 插入 ("TF_ZMRQ_LC"."TF_CONSTRUCTION_TEAM_P"."NAME")

### The error may exist in com/tofly/workflow/baseconf/mapper/TfConstructionTeamPMapper.java (best guess)
### The error may involve com.tofly.workflow.baseconf.mapper.TfConstructionTeamPMapper.insert-Inline
### The error occurred while setting parameters
### SQL: INSERT INTO TF_CONSTRUCTION_TEAM_P  ( id,  build_unit_id, name,   CREATE_USER, CREATE_TIME, UPDATE_USER, UPDATE_TIME )  VALUES  ( ?,  ?, ?,   ?, ?, ?, ? )
### Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-01400: 无法将 NULL 插入 ("TF_ZMRQ_LC"."TF_CONSTRUCTION_TEAM_P"."NAME")

; ORA-01400: 无法将 NULL 插入 ("TF_ZMRQ_LC"."TF_CONSTRUCTION_TEAM_P"."NAME")
; nested exception is java.sql.SQLIntegrityConstraintViolationException: ORA-01400: 无法将 NULL 插入 ("TF_ZMRQ_LC"."TF_CONSTRUCTION_TEAM_P"."NAME")', 'content:新增施工班组相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574956222560985090', '0', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 10:56:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:56:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/saveTeamAll', 'POST', '{}', '63', NULL, '### Error updating database.  Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.buildUnitNotNull)

### The error may exist in com/tofly/workflow/baseconf/mapper/TfBuildUnitPMapper.java (best guess)
### The error may involve com.tofly.workflow.baseconf.mapper.TfBuildUnitPMapper.insert-Inline
### The error occurred while setting parameters
### SQL: INSERT INTO TF_BUILD_UNIT_P  ( id, tenant_id, order_number, dept_id, team_type,  remark, CREATE_USER,  CREATE_TIME, UPDATE_USER,  UPDATE_TIME )  VALUES  ( ?, ?, ?, ?, ?,  ?, ?,  ?, ?,  ? )
### Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.buildUnitNotNull)

; ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.buildUnitNotNull)
; nested exception is java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.buildUnitNotNull)', 'content:新增施工班组相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574956426521600001', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-28 10:57:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:57:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["-1"],"isMould":["0"]}', '2', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574956434671132674', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-28 10:57:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:57:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["-1"],"isMould":["0"]}', '1', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574956453100904450', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-28 10:57:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:57:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{}', '124', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574956470972833794', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-28 10:57:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:57:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{}', '129', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574956484474298369', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-28 10:57:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:57:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{}', '116', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574956518297165826', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-28 10:57:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 10:57:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{}', '137', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574958716942934017', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-28 11:06:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:06:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1"]}', '7', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574958717135872002', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-28 11:06:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:06:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1572832711356719105"],"isMould":["0"]}', '2', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574958954227294210', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 11:07:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:07:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/deleteByIds', 'DELETE', '{"ids":["1574957832997519362"]}', '12', NULL, NULL, 'content:通过id批量删除施工组织单位', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574958954613170177', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 11:07:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:07:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '32', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574958960925597698', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 11:07:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:07:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/deleteByIds', 'DELETE', '{"ids":["1574958002069913602"]}', '32', NULL, NULL, 'content:通过id批量删除施工组织单位', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574958961206616065', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 11:07:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:07:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '21', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574958968349515777', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 11:07:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:07:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/deleteByIds', 'DELETE', '{"ids":["1574958157351436289"]}', '11', NULL, NULL, 'content:通过id批量删除施工组织单位', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574958968588591106', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 11:07:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:07:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574958975374974978', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 11:07:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:07:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/deleteByIds', 'DELETE', '{"ids":["1574958296329699329"]}', '6', NULL, NULL, 'content:通过id批量删除施工组织单位', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574958975605661698', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 11:07:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:07:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574958979070156801', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 11:07:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:07:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/1574958405624872962', 'GET', '{"0":["1574958405624872962"]}', '13', NULL, NULL, 'content:通过id查询施工组织单位', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574958993171406850', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 11:07:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:07:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/deleteByIds', 'DELETE', '{"ids":["1574958405624872962"]}', '58', NULL, NULL, 'content:通过id批量删除施工组织单位', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574958993397899266', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 11:07:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:07:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574959023672385537', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 11:07:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:07:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/saveTeamAll', 'POST', '{}', '34', NULL, NULL, 'content:新增施工班组相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574959023949209601', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 11:07:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:07:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574959047860936706', '0', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 11:07:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:07:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/saveTeamAll', 'POST', '{}', '34', NULL, '### Error updating database.  Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.buildUnitNotNull)

### The error may exist in com/tofly/workflow/baseconf/mapper/TfBuildUnitPMapper.java (best guess)
### The error may involve com.tofly.workflow.baseconf.mapper.TfBuildUnitPMapper.insert-Inline
### The error occurred while setting parameters
### SQL: INSERT INTO TF_BUILD_UNIT_P  ( id, tenant_id, order_number, dept_id, team_type,  remark, CREATE_USER,  CREATE_TIME, UPDATE_USER,  UPDATE_TIME )  VALUES  ( ?, ?, ?, ?, ?,  ?, ?,  ?, ?,  ? )
### Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.buildUnitNotNull)

; ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.buildUnitNotNull)
; nested exception is java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.buildUnitNotNull)', 'content:新增施工班组相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574959069436436482', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-28 11:07:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:07:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574959307383496706', '0', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 11:08:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:08:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/saveTeamAll', 'POST', '{}', '35', NULL, '### Error updating database.  Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.buildUnitNotNull)

### The error may exist in com/tofly/workflow/baseconf/mapper/TfBuildUnitPMapper.java (best guess)
### The error may involve com.tofly.workflow.baseconf.mapper.TfBuildUnitPMapper.insert-Inline
### The error occurred while setting parameters
### SQL: INSERT INTO TF_BUILD_UNIT_P  ( id, tenant_id, order_number, dept_id, team_type,  remark, CREATE_USER,  CREATE_TIME, UPDATE_USER,  UPDATE_TIME )  VALUES  ( ?, ?, ?, ?, ?,  ?, ?,  ?, ?,  ? )
### Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.buildUnitNotNull)

; ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.buildUnitNotNull)
; nested exception is java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.buildUnitNotNull)', 'content:新增施工班组相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574959711513075713', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 11:10:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:10:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574959712234496002', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 11:10:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:10:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574959798356140034', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-28 11:10:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:10:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574959798389694465', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-28 11:10:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:10:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574959950324162561', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-28 11:11:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:11:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '2', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574959954526855169', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-28 11:11:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:11:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574959958654050306', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-28 11:11:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:11:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1"]}', '4', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574960536230682626', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 11:13:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:13:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574960558145921026', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 11:13:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:13:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["39"],"id":["1572140204302041089"]}', '124', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574960558829592578', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 11:13:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:13:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574709951149391874', 'GET', '{"id":["1574709951149391874"]}', '18', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574960857006858241', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-28 11:15:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:15:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574960857199796226', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-28 11:15:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:15:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574960868851572737', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-28 11:15:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:15:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '126', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574960869325529089', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-28 11:15:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:15:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '4', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574960869501689857', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-28 11:15:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:15:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574960872005689346', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-28 11:15:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:15:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574962388322082817', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 11:21:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:21:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '21', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574962389190303746', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 11:21:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:21:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '19', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574962401320230914', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 11:21:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:21:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":["1"],"size":["30"],"companyName":[""]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574962402184257538', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 11:21:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:21:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":["1"],"size":["30"],"companyName":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574962403027312641', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 11:21:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:21:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":["1"],"size":["30"],"companyName":[""]}', '19', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574962408224055297', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 11:21:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:21:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":["1"],"size":["30"],"companyName":[""]}', '17', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574962409117442049', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 11:21:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:21:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":["1"],"size":["30"],"companyName":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574962421503221761', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 11:21:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:21:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '21', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574962425668165634', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 11:21:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:21:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '25', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574962426402168833', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 11:21:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:21:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '17', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574962431791849473', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 11:21:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:21:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574962461441384450', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 11:21:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:21:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574962667880833025', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 11:22:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:22:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '24', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574962674063237122', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 11:22:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:22:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574962725548318722', '2', 'tofly-auth', 'yj', TO_DATE('2022-09-28 11:22:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:22:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/371e7cde-697b-4bf5-9d8d-a1d11c565ea1', 'DELETE', '{}', '1', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574962741977407490', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 11:22:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:22:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574962753071341570', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-28 11:22:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:22:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '134', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574962753805344770', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-28 11:22:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:22:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574962753947951105', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-28 11:22:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:22:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575000555813199873', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 13:52:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 13:52:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575000565300715521', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 13:52:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 13:52:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575000652005367809', '2', 'tofly-auth', 'hr', TO_DATE('2022-09-28 13:53:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 13:53:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/1fc9faab-b3c1-4218-b73b-ec47ce2ab18b', 'DELETE', '{}', '1', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575001734429401090', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 13:57:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 13:57:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575001765316255746', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 13:57:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 13:57:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575003399354179585', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 14:04:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:04:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575003452605063170', '1', 'tofly-flow', 'jtzh', TO_DATE('2022-09-28 14:04:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:04:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '1', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575006974746681346', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 14:18:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:18:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"nature":[""]}', '17', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575007390439956481', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 14:19:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:19:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"nature":[""]}', '16', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575007870050230273', '2', 'tofly-auth', 'jtadmin', TO_DATE('2022-09-28 14:21:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:21:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/cfded215-fc46-4af4-912b-112b380a617e', 'DELETE', '{}', '1', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575008912649347074', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 14:26:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:26:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575011204530298882', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 14:35:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:35:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575011204760985601', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 14:35:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:35:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575011210112917505', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 14:35:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:35:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575011210289078274', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 14:35:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:35:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575011225581510657', '1', 'tofly-flow', 'txh', TO_DATE('2022-09-28 14:35:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:35:13', 'SYYYY-MM-DD HH24:MI:SS'), '42.225.115.58', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569152821327564802"],"label":["1568482594885484546"],"isMould":["0"]}', '1', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575011230371405825', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 14:35:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:35:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572057231389220865', 'GET', '{"id":["1572057231389220865"]}', '20', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575011230807613441', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 14:35:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:35:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":["1569602913205559298"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575011234297274369', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 14:35:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:35:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575011377503395842', '1', 'tofly-flow', 'txh', TO_DATE('2022-09-28 14:35:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:35:49', 'SYYYY-MM-DD HH24:MI:SS'), '42.225.115.58', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '18', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575011386483400705', '1', 'tofly-flow', 'txh', TO_DATE('2022-09-28 14:35:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:35:51', 'SYYYY-MM-DD HH24:MI:SS'), '42.225.115.58', NULL, '/tfbuildunitp/1574959023458435074', 'GET', '{"0":["1574959023458435074"]}', '13', NULL, NULL, 'content:通过id查询施工组织单位', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575011398097428482', '1', 'tofly-flow', 'txh', TO_DATE('2022-09-28 14:35:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:35:54', 'SYYYY-MM-DD HH24:MI:SS'), '42.225.115.58', NULL, '/tfbuildunitp/1574959023458435074', 'GET', '{"0":["1574959023458435074"]}', '12', NULL, NULL, 'content:通过id查询施工组织单位', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575011482436493314', '1', 'tofly-flow', 'txh', TO_DATE('2022-09-28 14:36:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:36:14', 'SYYYY-MM-DD HH24:MI:SS'), '42.225.115.58', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"nature":[""]}', '15', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575011482985947138', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 14:36:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:36:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575011490195955714', '1', 'tofly-flow', 'txh', TO_DATE('2022-09-28 14:36:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:36:16', 'SYYYY-MM-DD HH24:MI:SS'), '42.225.115.58', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '20', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575011496873287682', '1', 'tofly-flow', 'txh', TO_DATE('2022-09-28 14:36:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:36:17', 'SYYYY-MM-DD HH24:MI:SS'), '42.225.115.58', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575011511461076993', '1', 'tofly-flow', 'txh', TO_DATE('2022-09-28 14:36:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:36:21', 'SYYYY-MM-DD HH24:MI:SS'), '42.225.115.58', NULL, '/tfbasetypep/page', 'GET', '{"typeName":[""],"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575011512161525762', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 14:36:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:36:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575011512350269441', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 14:36:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:36:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575011515005263874', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 14:36:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:36:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575011531082031106', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 14:36:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:36:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1574275849078255617', 'GET', '{"id":["1574275849078255617"]}', '22', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575011531593736194', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 14:36:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:36:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575011531782479873', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 14:36:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:36:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575011534995316737', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 14:36:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:36:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575011548605833217', '1', 'tofly-flow', 'txh', TO_DATE('2022-09-28 14:36:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:36:30', 'SYYYY-MM-DD HH24:MI:SS'), '42.225.115.58', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '20', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575011571024388097', '1', 'tofly-flow', 'txh', TO_DATE('2022-09-28 14:36:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:36:35', 'SYYYY-MM-DD HH24:MI:SS'), '42.225.115.58', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575011574375636993', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 14:36:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:36:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1574277765191512066', 'GET', '{"id":["1574277765191512066"]}', '23', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575011575222886402', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 14:36:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:36:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":["1569602913205559298"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575011575428407298', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 14:36:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:36:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575011578213425153', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 14:36:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:36:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574967025527808002', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-09-28 11:39:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:39:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '9', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574968124649365506', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 11:43:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:43:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574968536999780353', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-28 11:45:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:45:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574968926491238402', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 11:47:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:47:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574968969659015170', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 11:47:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:47:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp', 'POST', '{}', '14', NULL, NULL, 'content:新增工程工序/工程管控', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574968972574056450', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 11:47:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:47:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"nature":[""]}', '20', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574969009630732290', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 11:47:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:47:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"nature":["1574963902897840129"]}', '19', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574969126463070210', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 11:47:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:47:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"nature":[""]}', '23', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574969163175813122', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 11:48:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:48:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574969260588523522', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-28 11:48:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:48:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574969264237568002', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-28 11:48:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:48:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '17', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574969265198063617', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-28 11:48:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:48:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '20', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574969266032730113', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-28 11:48:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:48:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574969286064726017', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-28 11:48:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:48:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":["1574930021670731778"],"matterName":[""]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574969287994105858', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-28 11:48:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:48:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574969288027660290', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-28 11:48:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:48:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '18', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574969288501616642', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 11:48:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:48:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp', 'POST', '{}', '7', NULL, NULL, 'content:新增工程工序/工程管控', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574969291727036417', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 11:48:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:48:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"nature":[""]}', '8', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574969324648128514', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-28 11:48:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:48:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574954775253434369', 'GET', '{}', '20', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574969325050781698', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-28 11:48:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:48:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["45"],"id":["1572140204302041089"]}', '108', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574969326074191874', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-28 11:48:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:48:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574969326124523522', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-28 11:48:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:48:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '20', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574969336727724033', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 11:48:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:48:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"nature":[""]}', '8', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574969493716328450', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 11:49:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:49:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574969544970723329', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 11:49:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:49:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp', 'POST', '{}', '6', NULL, NULL, 'content:新增工程工序/工程管控', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574969545314656258', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 11:49:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:49:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"nature":[""]}', '14', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574969547210481665', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-28 11:49:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:49:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574969566516862978', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 11:49:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:49:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"nature":["1574963975367024642"]}', '15', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574969750776832002', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-28 11:50:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:50:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574969831890477057', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 11:50:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:50:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"nature":["1574963975367024642"]}', '14', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574969923036897281', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 11:51:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:51:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574969935183601666', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-28 11:51:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:51:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574969935217156098', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-28 11:51:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:51:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '22', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574969941378588673', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 11:51:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:51:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '17', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574969942188089345', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 11:51:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:51:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '14', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574969950543142914', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 11:51:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:51:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '20', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574969954750029825', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 11:51:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:51:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"typeName":[""],"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574969960517197826', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 11:51:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:51:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"typeName":[""],"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574969961339281409', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 11:51:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:51:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"typeName":[""],"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574969980834406402', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 11:51:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:51:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["10000"],"current":["1"]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574970138456350722', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-28 11:51:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:51:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574959073156784130', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-28 11:07:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:07:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574959096460337154', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-28 11:08:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:08:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1"]}', '5', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574959342665981954', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 11:09:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:09:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '7', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574959388107071489', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 11:09:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:09:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["39"],"id":["1572140204302041089"]}', '114', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574959388656525314', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 11:09:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:09:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574709951149391874', 'GET', '{"id":["1574709951149391874"]}', '18', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574959638150504450', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-28 11:10:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:10:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1572832711356719105"],"isMould":["0"]}', '2', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574959798301614081', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-28 11:10:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:10:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '7', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574959959161561089', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-28 11:11:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:11:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1572832711356719105"],"isMould":["0"]}', '1', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574960337508753409', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-28 11:13:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:13:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574960343942815745', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-28 11:13:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:13:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574960349114392578', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-28 11:13:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:13:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1"]}', '6', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574960349407993857', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-28 11:13:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:13:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1572832711356719105"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574960892176097281', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 11:15:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:15:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574960939311685633', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 11:15:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:15:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '31', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574961238206177281', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 11:16:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:16:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '29', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574961261891411970', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 11:16:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:16:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '21', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574961283152338946', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 11:16:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:16:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574961356124839938', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 11:17:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:17:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574961385560465409', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 11:17:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:17:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '19', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574961399456194562', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 11:17:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:17:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574961423070126082', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 11:17:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:17:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574961440166109185', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 11:17:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:17:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574961520960987137', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 11:17:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:17:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp', 'POST', '{}', '14', NULL, NULL, 'content:新增工程工序/工程管控', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574961521363640321', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 11:17:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:17:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '18', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574961549431922690', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 11:17:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:17:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574961573662416898', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 11:17:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:17:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574961675097464834', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 11:18:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:18:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574961725911457793', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 11:18:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:18:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574961741073866754', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 11:18:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:18:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574962110025818114', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-28 11:20:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:20:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574962110319419394', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-28 11:20:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:20:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '17', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574962119723048961', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-28 11:20:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:20:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '129', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574962120301862914', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-28 11:20:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:20:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '4', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574962120545132546', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-28 11:20:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:20:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574962123086880770', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-28 11:20:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:20:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574964147442540546', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-28 11:28:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:28:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574965095825006593', '2', 'tofly-auth', 'jtadmin', TO_DATE('2022-09-28 11:31:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:31:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/06c7b0a5-86fc-44d1-a707-c3e47d9d4a56', 'DELETE', '{}', '1', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574965147310088194', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 11:32:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:32:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574965155887439874', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 11:32:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:32:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '17', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574965273713827841', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 11:32:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:32:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574965355813134337', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-28 11:32:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:32:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574965439040708610', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-28 11:33:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:33:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574965461245353986', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-28 11:33:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:33:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574965669542879234', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-28 11:34:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:34:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp', 'POST', '{}', '8', NULL, NULL, 'content:新增工程工序/工程管控', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574962824491950081', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-28 11:22:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:22:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '19', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574962837519458306', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-28 11:22:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:22:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":["1574930021670731778"],"matterName":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574962855513022466', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-28 11:23:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:23:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":["1574930021670731778"],"matterName":["2222"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574962875503075330', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-28 11:23:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:23:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '18', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574963062988464130', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 11:23:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:23:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '16', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574963333076475905', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-28 11:24:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:24:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"isMould":["0"],"label":["1568482594885484546"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574970491516084225', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 11:53:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:53:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp', 'POST', '{}', '6', NULL, NULL, 'content:新增工程工序/工程管控', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574970491755159554', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 11:53:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:53:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '17', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574970530342756354', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 11:53:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:53:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/removeByNatureAndTenantId', 'POST', '{"tenantId":["1"],"nature":["2"]}', '4', NULL, NULL, 'content:通过tenantId和nature删除工程工序/工程管控', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574970530573443074', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 11:53:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:53:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '15', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574970654410268673', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 11:54:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:54:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '19', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574971054123245569', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-28 11:55:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:55:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574954775253434369', 'GET', '{}', '19', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574971054500732930', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-28 11:55:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:55:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["45"],"id":["1572140204302041089"]}', '105', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574971055285067778', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-28 11:55:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:55:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574971149145202689', '1', 'tofly-flow', 'public', TO_DATE('2022-09-28 11:55:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:55:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessnodel', 'POST', '{}', '101', NULL, NULL, 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574971151686950914', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 11:55:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:55:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574999123722625025', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 13:47:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 13:47:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574999210167230465', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 13:47:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 13:47:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"nature":[""]}', '15', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574999341222453249', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-28 13:47:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 13:47:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["30"],"current":["1"]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574999375980650498', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-28 13:48:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 13:48:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574999433195151361', '1', 'tofly-flow', 'hr', TO_DATE('2022-09-28 13:48:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 13:48:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574999574383812609', '2', 'tofly-auth', 'hr', TO_DATE('2022-09-28 13:48:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 13:48:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/d8460242-bdc5-4d6d-acd4-5ee4f349f5e5', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575004155977261057', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 14:07:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:07:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575005660935479298', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 14:13:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:13:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575005744641204226', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 14:13:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:13:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '18', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575005759237382146', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 14:13:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:13:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/1574959605363589121', 'GET', '{"0":["1574959605363589121"]}', '6', NULL, NULL, 'content:通过id查询施工组织单位', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575005774974410753', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 14:13:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:13:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/1574959023458435074', 'GET', '{"0":["1574959023458435074"]}', '15', NULL, NULL, 'content:通过id查询施工组织单位', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575005804611362817', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 14:13:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:13:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessnodel', 'POST', '{}', '88', NULL, NULL, 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575005842926329858', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 14:13:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:13:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '8', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575005942180339714', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 14:14:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:14:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"nature":[""]}', '16', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575005963340603394', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 14:14:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:14:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575006472571052034', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 14:16:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:16:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575008243355869185', '2', 'tofly-auth', 'tnadmin', TO_DATE('2022-09-28 14:23:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:23:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/bb2395dd-9b55-498d-825e-d7e0d52b7061', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575009437117702145', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 14:28:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:28:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575009576796413954', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 14:28:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:28:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575009701593735169', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 14:29:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:29:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575009869143597057', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 14:29:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:29:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575009869361700865', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 14:29:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:29:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575009871836340226', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 14:29:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:29:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"nature":[""]}', '14', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575009878215876610', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 14:29:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:29:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '109', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575009878958268417', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 14:29:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:29:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575009879180566529', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 14:29:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:29:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575011639483817985', '1', 'tofly-flow', 'txh', TO_DATE('2022-09-28 14:36:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:36:51', 'SYYYY-MM-DD HH24:MI:SS'), '42.225.115.58', NULL, '/tfbasetypep/page', 'GET', '{"typeName":[""],"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575011704256454657', '1', 'tofly-flow', 'txh', TO_DATE('2022-09-28 14:37:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:37:07', 'SYYYY-MM-DD HH24:MI:SS'), '42.225.115.58', NULL, '/tfreportentryp/page', 'GET', '{"name":[""],"current":["1"],"size":["30"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575011800213741570', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 14:37:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:37:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '106', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575011800788361218', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 14:37:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:37:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575011801023242241', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 14:37:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:37:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575011803636293634', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 14:37:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:37:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575015026241691649', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 14:50:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:50:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575018077820149762', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 15:02:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:02:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessnodel', 'POST', '{}', '6', NULL, NULL, 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575018106437885954', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 15:02:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:02:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessnodel', 'POST', '{}', '15', NULL, NULL, 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575018129196179458', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 15:02:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:02:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessnodel', 'POST', '{}', '6', NULL, NULL, 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575018159965593601', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 15:02:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:02:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessnodel', 'POST', '{}', '14', NULL, NULL, 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575018185194332162', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-28 15:02:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:02:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575018190143610881', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-28 15:02:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:02:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575018191313821698', '2', 'tofly-auth', 'tnadmin', TO_DATE('2022-09-28 15:02:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:02:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/f79837e3-4cfb-4faa-9442-be09aa61225c', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575018245856550913', '2', 'tofly-auth', 'jtadmin', TO_DATE('2022-09-28 15:03:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:03:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/f5a406ae-cf64-45f8-b0f8-045a359ed2dd', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575018248184389634', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-28 15:03:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:03:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/page', 'GET', '{"current":["1"],"size":["10"],"registerTime":["2022-07-28"],"configId":[""],"ywType":["-1"],"tenantId":["1"],"relationId":["1570739116476383234"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575018782958149633', '2', 'tofly-auth', 'jtadmin', TO_DATE('2022-09-28 15:05:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:05:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/3d6a306a-cc7c-43c2-aae1-0f59eeb1f5ca', 'DELETE', '{}', '1', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575019026416525314', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-28 15:06:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:06:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575019026609463298', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-28 15:06:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:06:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575019158566461442', '1', 'tofly-flow', 'public', TO_DATE('2022-09-28 15:06:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:06:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl', 'POST', '{}', '148', NULL, NULL, 'content:新增流程信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575021551282675714', '2', 'tofly-auth', 'mzadmin', TO_DATE('2022-09-28 15:16:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:16:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/781eee9a-0992-428f-9381-e30a0d11a1da', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575022593705631746', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 15:20:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:20:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '17', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575022669467344898', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 15:20:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:20:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["46"],"id":["1572140204302041089"]}', '110', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575022670239096834', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 15:20:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:20:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575022997134761986', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-28 15:21:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:21:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575023496516984834', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-28 15:23:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:23:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575023496726700033', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-28 15:23:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:23:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575023498987429890', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-28 15:23:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:23:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575023512639889410', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-28 15:24:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:24:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1574245421143371777', 'GET', '{"id":["1574245421143371777"]}', '22', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575023513046736897', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-28 15:24:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:24:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":["1569602913205559298"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575023513214509058', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-28 15:24:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:24:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575023515517181954', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-28 15:24:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:24:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575023633385512962', '2', 'tofly-auth', 'mzadmin', TO_DATE('2022-09-28 15:24:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:24:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/9a6438b8-c475-4282-9a9e-00aa129d8ac2', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575023986306834433', '1', 'tofly-flow', 'jtzh', TO_DATE('2022-09-28 15:25:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:25:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["10000"],"current":["1"]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575024074731151361', '1', 'tofly-flow', 'jtzh', TO_DATE('2022-09-28 15:26:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:26:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["10000"],"current":["1"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575024252070518785', '1', 'tofly-flow', 'jtzh', TO_DATE('2022-09-28 15:26:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:26:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575024297842958338', '1', 'tofly-flow', 'jtzh', TO_DATE('2022-09-28 15:27:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:27:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575024306915237890', '1', 'tofly-flow', 'txh', TO_DATE('2022-09-28 15:27:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:27:11', 'SYYYY-MM-DD HH24:MI:SS'), '42.225.115.58', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575024312191672321', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 15:27:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:27:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessnodel', 'POST', '{}', '8', NULL, NULL, 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575024362275856385', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 15:27:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:27:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessnodel', 'POST', '{}', '73', NULL, NULL, 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575024812853157889', '1', 'tofly-flow', 'jtzh', TO_DATE('2022-09-28 15:29:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 15:29:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"typeName":[""],"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574970145288871938', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 11:51:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:51:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574970202088136706', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 11:52:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:52:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574970216638177282', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 11:52:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:52:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp', 'POST', '{}', '10', NULL, NULL, 'content:新增工程工序/工程管控', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574970216935972865', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 11:52:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:52:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '17', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574970260535762946', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 11:52:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:52:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574970277438808066', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 11:52:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:52:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574970290466316289', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 11:52:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:52:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574970305263820801', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 11:52:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:52:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp', 'POST', '{}', '8', NULL, NULL, 'content:新增工程工序/工程管控', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574970305561616386', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 11:52:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:52:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '19', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574970329729196033', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 11:52:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:52:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574970348037332994', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 11:52:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:52:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574970411857862658', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 11:53:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:53:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp', 'POST', '{}', '4', NULL, NULL, 'content:新增工程工序/工程管控', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574970412143075329', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 11:53:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:53:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '20', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574970446347624449', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 11:53:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:53:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/removeByNatureAndTenantId', 'POST', '{"tenantId":["1"],"nature":["3"]}', '4', NULL, NULL, 'content:通过tenantId和nature删除工程工序/工程管控', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574970446637031426', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 11:53:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:53:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '19', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574970450302853121', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-28 11:53:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:53:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574970450558705665', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-28 11:53:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:53:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '17', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574971194481434626', '1', 'tofly-flow', 'public', TO_DATE('2022-09-28 11:56:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:56:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["46"],"id":["1572140204302041089"]}', '115', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574971194816978945', '1', 'tofly-flow', 'public', TO_DATE('2022-09-28 11:56:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:56:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574971019650220034', 'GET', '{"id":["1574971019650220034"]}', '18', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574971203994116098', '2', 'tofly-auth', 'llzm', TO_DATE('2022-09-28 11:56:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:56:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/5f646cf8-ad79-4dfd-9802-9f6423aa15db', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574971246113316865', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 11:56:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:56:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp', 'POST', '{}', '7', NULL, NULL, 'content:新增工程工序/工程管控', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574971246465638401', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 11:56:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:56:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"nature":[""]}', '11', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574971395292127234', '1', 'tofly-flow', 'public', TO_DATE('2022-09-28 11:56:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:56:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '19', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574997336491941890', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 13:40:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 13:40:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574997395044425730', '2', 'tofly-auth', 'llzm', TO_DATE('2022-09-28 13:40:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 13:40:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/dde5bddb-d9f3-402d-86a9-581ec0bb64a8', 'DELETE', '{}', '3', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574997491937042433', '1', 'tofly-flow', 'public', TO_DATE('2022-09-28 13:40:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 13:40:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574997530633691138', '1', 'tofly-flow', 'public', TO_DATE('2022-09-28 13:40:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 13:40:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574997691183259650', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 13:41:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 13:41:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574997737316409345', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 13:41:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 13:41:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"nature":[""]}', '7', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574997779905372161', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 13:41:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 13:41:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '21', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574997787023106050', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 13:41:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 13:41:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574997794702876673', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 13:41:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 13:41:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["30"],"current":["1"]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574997804064563201', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 13:41:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 13:41:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["10000"],"current":["1"]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574997938571698178', '1', 'tofly-flow', 'public', TO_DATE('2022-09-28 13:42:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 13:42:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '34', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574998757496971265', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-28 13:45:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 13:45:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574998758121922562', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 13:45:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 13:45:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575000249264103425', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 13:51:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 13:51:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessnodel', 'POST', '{}', '8', NULL, NULL, 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575000729180561409', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 13:53:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 13:53:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575001120945332225', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 13:55:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 13:55:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["46"],"id":["1572140204302041089"]}', '126', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575001122958598145', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 13:55:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 13:55:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '18', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575001399023493122', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 13:56:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 13:56:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessnodel', 'POST', '{}', '11', NULL, NULL, 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575001432091385858', '2', 'tofly-auth', 'public', TO_DATE('2022-09-28 13:56:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 13:56:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/f75c52c3-b2d6-4561-aff4-5367d8082022', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575001557593350146', '1', 'tofly-flow', 'ys1', TO_DATE('2022-09-28 13:56:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 13:56:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '7', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575001579844132866', '2', 'tofly-auth', 'ys1', TO_DATE('2022-09-28 13:56:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 13:56:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/ae49e2b9-33d0-42c1-95fb-8b8c7debbd11', 'DELETE', '{}', '0', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575002049392271361', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 13:58:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 13:58:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574965669878423553', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-28 11:34:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:34:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '9', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574965713172029441', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-28 11:34:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:34:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574966056719081473', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 11:35:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:35:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '21', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574966088201527298', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 11:35:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:35:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["10000"],"current":["1"]}', '56', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574966108451627009', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 11:35:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:35:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["30"],"current":["1"]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574966120908709889', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 11:35:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:35:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574966137891446785', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 11:36:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:36:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '8', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574966289641365506', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 11:36:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:36:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574966364157370369', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 11:36:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:36:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":["集团公司"]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574966383488917505', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 11:37:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:37:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":["集团公司"]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574966391915274241', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 11:37:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:37:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":["集团公司"]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574966392204681217', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-28 11:37:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:37:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574967034562338818', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-09-28 11:39:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:39:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574967667977740289', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-09-28 11:42:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:42:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp', 'POST', '{}', '10', NULL, NULL, 'content:新增工程工序/工程管控', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574967668342644738', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-09-28 11:42:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:42:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '24', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574967687913267202', '2', 'tofly-auth', 'tnadmin', TO_DATE('2022-09-28 11:42:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:42:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/ba7590a2-a692-46f9-9772-b5ed0d32e703', 'DELETE', '{}', '1', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574967939722502145', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 11:43:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:43:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574968015098339329', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 11:43:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:43:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '18', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574968044840148994', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 11:43:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:43:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574968093519241218', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 11:43:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:43:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574968107096203266', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 11:43:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:43:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp', 'POST', '{}', '3', NULL, NULL, 'content:新增工序管理（工序名称）/工程管控管理', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574968107314307074', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 11:43:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:43:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574968118857031681', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 11:43:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:43:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '18', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574968159940239361', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 11:44:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:44:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '21', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574968168458870785', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 11:44:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:44:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574968183621279746', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 11:44:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:44:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["10"],"current":["1"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574968200813731842', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 11:44:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:44:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["10"],"current":["2"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574968213413421058', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 11:44:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:44:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["10"],"current":["1"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574968240223412226', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 11:44:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:44:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '26', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574968244006674434', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 11:44:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:44:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574968293952446465', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-28 11:44:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:44:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '117', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574968294736781314', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-28 11:44:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:44:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574968294787112962', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-28 11:44:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:44:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574968323409043458', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-28 11:44:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:44:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574968324013023234', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-28 11:44:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:44:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '25', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574968436013522945', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 11:45:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:45:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"nature":[""]}', '25', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574968638237696001', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-28 11:45:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:45:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574968638262861826', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-28 11:45:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:45:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574968657913176065', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 11:46:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:46:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"nature":[""]}', '17', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574968676938539010', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 11:46:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:46:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"nature":["1574963902897840129"]}', '20', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574968724686495746', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 11:46:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:46:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"nature":[""]}', '20', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574968747880996865', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-28 11:46:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:46:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '22', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1574968887777812481', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-28 11:46:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 11:46:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575009882376626178', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 14:29:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:29:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575009888567418881', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 14:29:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:29:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"nature":[""]}', '15', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575011032509308930', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 14:34:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:34:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575011182183047169', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 14:35:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:35:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575011184263421954', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 14:35:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:35:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575011195701288963', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 14:35:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:35:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '2', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575012586012401665', '1', 'tofly-flow', 'test', TO_DATE('2022-09-28 14:40:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:40:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575012586201145345', '1', 'tofly-flow', 'test', TO_DATE('2022-09-28 14:40:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:40:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575012651300937730', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 14:40:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:40:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575012651485487105', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 14:40:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:40:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575013113714565121', '1', 'tofly-flow', 'll', TO_DATE('2022-09-28 14:42:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:42:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575013113932668929', '1', 'tofly-flow', 'll', TO_DATE('2022-09-28 14:42:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:42:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575013123160137729', '1', 'tofly-flow', 'public', TO_DATE('2022-09-28 14:42:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:42:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575013128159748098', '1', 'tofly-flow', 'public', TO_DATE('2022-09-28 14:42:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:42:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '98', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575013160678187009', '1', 'tofly-flow', 'll', TO_DATE('2022-09-28 14:42:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:42:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1574278189109817345', 'GET', '{"id":["1574278189109817345"]}', '17', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575013161139560449', '1', 'tofly-flow', 'll', TO_DATE('2022-09-28 14:42:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:42:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":["1"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575013161307332609', '1', 'tofly-flow', 'll', TO_DATE('2022-09-28 14:42:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:42:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575013169452670978', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-28 14:42:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:42:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575013169641414658', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-28 14:42:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:42:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575013171977641985', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-28 14:42:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:42:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575013174980763650', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-28 14:42:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:42:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1574275849078255617', 'GET', '{"id":["1574275849078255617"]}', '23', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575013176318746625', '1', 'tofly-flow', 'll', TO_DATE('2022-09-28 14:42:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:42:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572111539262464001', 'GET', '{"id":["1572111539262464001"]}', '103', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575013176847228929', '1', 'tofly-flow', 'll', TO_DATE('2022-09-28 14:42:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:42:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575013177073721345', '1', 'tofly-flow', 'll', TO_DATE('2022-09-28 14:42:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:42:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575013179657412609', '1', 'tofly-flow', 'll', TO_DATE('2022-09-28 14:42:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:42:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575013185386831874', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-28 14:43:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:43:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/f9b67e58-c089-4a25-bec4-5839a9e03e82', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575013234682486786', '2', 'tofly-auth', 'll', TO_DATE('2022-09-28 14:43:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:43:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/6382f38a-932a-402e-b00b-4b512f3145af', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575013901035757570', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-09-28 14:45:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:45:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575013901258055681', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-09-28 14:45:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:45:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575014438795862017', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-09-28 14:47:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:47:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575014439051714562', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-09-28 14:47:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:47:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575014459683495938', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-28 14:48:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:48:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/80fd596e-3b67-4843-98c5-140851887bc8', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575014548967645186', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 14:48:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:48:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482739010158593"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575014686050082818', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-09-28 14:48:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:48:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575014705058668545', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-09-28 14:49:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:49:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575015082265010178', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 14:50:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:50:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575015082520862721', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 14:50:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:50:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575015092230676482', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 14:50:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:50:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '111', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575015092981456897', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 14:50:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:50:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575015093195366401', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 14:50:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 14:50:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575333205874597889', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 11:54:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 11:54:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '2', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575333212199608321', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 11:54:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 11:54:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '31', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575333526025822209', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 11:55:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 11:55:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1575053258153025538', 'GET', '{"id":["1575053258153025538"]}', '21', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575334335140618242', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 11:59:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 11:59:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '30', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575384607883907073', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 15:18:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:18:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574314012068810754', 'GET', '{"id":["1574314012068810754"]}', '149', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575385969833136130', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 15:24:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:24:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '149', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575386761327661058', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-29 15:27:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:27:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575386799181254657', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-29 15:27:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:27:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '131', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575386815794892801', '0', 'tofly-flow', 'public', TO_DATE('2022-09-29 15:27:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:27:40', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.91', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"id":["1575053258153025538"]}', '68', NULL, 'nested exception is org.apache.ibatis.type.TypeException: Could not set parameters for mapping: ParameterMapping{property=''edition'', mode=IN, javaType=class java.lang.Object, jdbcType=null, numericScale=null, resultMapId=''null'', jdbcTypeName=''null'', expression=''null''}. Cause: org.apache.ibatis.type.TypeException: Error setting null for parameter #1 with JdbcType OTHER . Try setting a different JdbcType for this parameter or a different jdbcTypeForNull configuration property. Cause: java.sql.SQLException: 无效的列类型: 1111', 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575386817258704897', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-29 15:27:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:27:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["1000"],"dataType":["1570692286170427394"]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575386817367756802', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-29 15:27:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:27:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '32', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575386835399069697', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-29 15:27:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:27:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '141', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575386847990370305', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-29 15:27:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:27:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["1000"],"dataType":["1570692286170427394"]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575386848057479170', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-29 15:27:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:27:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '30', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575386867019927554', '0', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-29 15:27:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:27:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl', 'POST', '{}', '105', NULL, 'nested exception is org.apache.ibatis.type.TypeException: Could not set parameters for mapping: ParameterMapping{property=''userId'', mode=IN, javaType=class java.lang.Long, jdbcType=null, numericScale=null, resultMapId=''null'', jdbcTypeName=''null'', expression=''null''}. Cause: org.apache.ibatis.type.TypeException: Error setting null for parameter #6 with JdbcType OTHER . Try setting a different JdbcType for this parameter or a different jdbcTypeForNull configuration property. Cause: java.sql.SQLException: 无效的列类型: 1111', 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575386999291498498', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-29 15:28:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:28:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '134', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575386999761260546', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-29 15:28:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:28:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575387110985814017', '1', 'tofly-flow', 'public', TO_DATE('2022-09-29 15:28:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:28:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '125', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575387247434911746', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-29 15:29:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:29:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["1000"],"dataType":["1570692286170427394"]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575387247506214913', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-29 15:29:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:29:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '31', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575387350568652802', '1', 'tofly-flow', 'public', TO_DATE('2022-09-29 15:29:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:29:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl', 'POST', '{}', '265', NULL, NULL, 'content:新增流程信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575387366402150401', '2', 'tofly-auth', 'public', TO_DATE('2022-09-29 15:29:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:29:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/78fca08e-2407-4c5c-9845-4273157bbe49', 'DELETE', '{}', '1', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575387498854076418', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-29 15:30:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:30:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '119', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575387504382169089', '1', 'tofly-flow', 'test7', TO_DATE('2022-09-29 15:30:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:30:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575387528616857602', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-29 15:30:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:30:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["1000"],"dataType":["1570692286170427394"]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575387528692355073', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-29 15:30:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:30:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '27', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575387556534145025', '1', 'tofly-flow', 'test7', TO_DATE('2022-09-29 15:30:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:30:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["48"],"id":["1572140204302041089"]}', '123', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575387556907438082', '1', 'tofly-flow', 'test7', TO_DATE('2022-09-29 15:30:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:30:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575387349670957057', 'GET', '{"id":["1575387349670957057"]}', '21', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575387567007322114', '1', 'tofly-flow', 'test7', TO_DATE('2022-09-29 15:30:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:30:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["48"],"id":["1572140204302041089"]}', '135', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575387567649050625', '1', 'tofly-flow', 'test7', TO_DATE('2022-09-29 15:30:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:30:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575387349670957057', 'GET', '{"id":["1575387349670957057"]}', '21', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575387686620483585', '1', 'tofly-flow', 'test7', TO_DATE('2022-09-29 15:31:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:31:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575309464218214402', 'GET', '{"id":["1575309464218214402"]}', '29', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575387715062059009', '1', 'tofly-flow', 'test7', TO_DATE('2022-09-29 15:31:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:31:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["48"],"id":["1572140204302041089"]}', '142', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575387715787673602', '1', 'tofly-flow', 'test7', TO_DATE('2022-09-29 15:31:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:31:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575387349670957057', 'GET', '{"id":["1575387349670957057"]}', '20', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575387867361431553', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 15:31:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:31:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '143', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575387873908740097', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 15:31:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:31:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574314012068810754', 'GET', '{"id":["1574314012068810754"]}', '27', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575318816685674498', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-29 10:57:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:57:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '394', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575321437320273921', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 11:07:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 11:07:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '9', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575321449001410561', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 11:07:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 11:07:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '194', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575321450595246081', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 11:07:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 11:07:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574314012068810754', 'GET', '{"id":["1574314012068810754"]}', '158', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575326461106610178', '1', 'tofly-flow', 'll2', TO_DATE('2022-09-29 11:27:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 11:27:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '18', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575326461383434241', '1', 'tofly-flow', 'll2', TO_DATE('2022-09-29 11:27:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 11:27:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '21', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575326470287941634', '1', 'tofly-flow', 'll2', TO_DATE('2022-09-29 11:27:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 11:27:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '149', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575326471122608129', '1', 'tofly-flow', 'll2', TO_DATE('2022-09-29 11:27:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 11:27:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '7', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575326471445569537', '1', 'tofly-flow', 'll2', TO_DATE('2022-09-29 11:27:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 11:27:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575326474167672834', '1', 'tofly-flow', 'll2', TO_DATE('2022-09-29 11:27:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 11:27:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575327162251632641', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 11:30:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 11:30:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl', 'POST', '{}', '73', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575327219155755009', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 11:30:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 11:30:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl', 'POST', '{}', '4', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575327244048949250', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 11:30:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 11:30:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl', 'POST', '{}', '178', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575327245298851841', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 11:30:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 11:30:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575327342808031233', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-29 11:31:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 11:31:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1573919105386835969', 'GET', '{}', '25', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575327346398355457', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-29 11:31:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 11:31:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '108', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575327347757309953', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-29 11:31:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 11:31:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["1000"],"dataType":["1570692286170427394"]}', '31', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575328431167004674', '1', 'tofly-flow', 'public', TO_DATE('2022-09-29 11:35:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 11:35:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575328743776870402', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 11:36:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 11:36:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575328842842136577', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 11:37:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 11:37:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575328847556534273', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 11:37:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 11:37:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '35', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575328923607654402', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-29 11:37:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 11:37:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["46"],"id":["1572140204302041089"]}', '112', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575329356715679746', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-29 11:39:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 11:39:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1573919105386835969', 'GET', '{}', '21', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575329359311953922', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-29 11:39:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 11:39:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '121', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575329360431833089', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-29 11:39:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 11:39:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["1000"],"dataType":["1570692286170427394"]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575329360582828033', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-29 11:39:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 11:39:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '18', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575329622890405889', '2', 'tofly-auth', 'jtadmin', TO_DATE('2022-09-29 11:40:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 11:40:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/77dcc150-4bd6-45be-9155-fe0d29e2cd93', 'DELETE', '{}', '1', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575329917263437826', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 11:41:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 11:41:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '29', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575330322147991553', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-29 11:43:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 11:43:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '107', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575330325436325891', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-29 11:43:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 11:43:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '27', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575331357503545346', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 11:47:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 11:47:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1572832711356719105"],"isMould":["0"]}', '2', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575331385634742273', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-29 11:47:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 11:47:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["46"],"id":["1572140204302041089"]}', '106', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575331435039449089', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-29 11:47:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 11:47:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["46"],"id":["1572140204302041089"]}', '109', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575331449191030786', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-29 11:47:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 11:47:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1573919105386835969', 'GET', '{}', '23', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575331450415767553', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-29 11:47:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 11:47:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '106', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575331451485315073', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-29 11:47:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 11:47:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["1000"],"dataType":["1570692286170427394"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575331451518869506', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-29 11:47:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 11:47:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '19', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575331510796967937', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-29 11:47:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 11:47:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '112', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575331519978299394', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-29 11:47:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 11:47:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '19', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575331552341549057', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-29 11:48:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 11:48:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '19', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575332739031785473', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-29 11:52:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 11:52:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1573919105386835969', 'GET', '{}', '20', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575061925023825921', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 17:56:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:56:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfreportentryp/page', 'GET', '{"name":[""],"current":["2"],"size":["10"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575061931923456001', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 17:56:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:56:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfreportentryp/page', 'GET', '{"name":[""],"current":["1"],"size":["10"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575061939867467778', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 17:56:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:56:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfreportentryp/page', 'GET', '{"name":[""],"current":["1"],"size":["100"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575061985342111745', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 17:56:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:56:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfreportentryp/1575061853754122241', 'DELETE', '{"0":["1575061853754122241"]}', '3', NULL, NULL, 'content:通过id删除开工报告条目', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575061985602158593', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 17:56:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:56:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfreportentryp/page', 'GET', '{"name":[""],"current":["1"],"size":["100"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575062003788660737', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 17:56:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:56:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfreportentryp/page', 'GET', '{"name":[""],"current":["1"],"size":["100"]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575062004686241794', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 17:56:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:56:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfreportentryp/page', 'GET', '{"name":[""],"current":["1"],"size":["100"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575062005483159553', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 17:57:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:57:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfreportentryp/page', 'GET', '{"name":[""],"current":["1"],"size":["100"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575062006351380482', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 17:57:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:57:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfreportentryp/page', 'GET', '{"name":[""],"current":["1"],"size":["100"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575062034205753345', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 17:57:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:57:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfreportentryp/page', 'GET', '{"name":[""],"current":["1"],"size":["30"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575062048806125569', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 17:57:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:57:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfreportentryp/page', 'GET', '{"name":[""],"current":["1"],"size":["10"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575063420830040066', '1', 'tofly-flow', 'public', TO_DATE('2022-09-28 18:02:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 18:02:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1573919105386835969', 'GET', '{}', '506', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575064523428675585', '1', 'tofly-flow', 'public', TO_DATE('2022-09-28 18:07:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 18:07:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '21', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575064583986036737', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 18:07:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 18:07:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["46"],"id":["1572140204302041089"]}', '147', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575064606081630209', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 18:07:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 18:07:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '169', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575064606618501121', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 18:07:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 18:07:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574314012068810754', 'GET', '{"id":["1574314012068810754"]}', '26', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575064668182495233', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-28 18:07:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 18:07:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575064818955141122', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-28 18:08:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 18:08:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '152', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575067313307729922', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 18:18:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 18:18:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["46"],"id":["1572140204302041089"]}', '123', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575068406376906753', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 18:22:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 18:22:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '116', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575068407031218178', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 18:22:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 18:22:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574314012068810754', 'GET', '{"id":["1574314012068810754"]}', '23', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575320721356775425', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 11:05:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 11:05:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '51', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575320797554696194', '2', 'tofly-auth', 'tnadmin', TO_DATE('2022-09-29 11:05:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 11:05:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/65945f73-fa0e-4462-9601-0d479bbcf450', 'DELETE', '{}', '10', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575321554785951745', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 11:08:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 11:08:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574314012068810754', 'GET', '{"id":["1574314012068810754"]}', '31', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575322932740644865', '2', 'tofly-auth', 'public', TO_DATE('2022-09-29 11:13:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 11:13:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/oauth/token', 'POST', '{"password":["075dbe98305bf48b779f054517a03d34c1ae98bf"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["public"]}', '329', NULL, NULL, 'content:登录 :public', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575322934812631041', '1', 'tofly-flow', 'public', TO_DATE('2022-09-29 11:13:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 11:13:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575322942685339649', '1', 'tofly-flow', 'public', TO_DATE('2022-09-29 11:13:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 11:13:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '7', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575322947320045569', '1', 'tofly-flow', 'public', TO_DATE('2022-09-29 11:13:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 11:13:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '49', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575322948586725377', '1', 'tofly-flow', 'public', TO_DATE('2022-09-29 11:13:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 11:13:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1572832711356719105"],"isMould":["0"]}', '2', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575323125590548481', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-29 11:14:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 11:14:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["46"],"id":["1572140204302041089"]}', '161', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575323182930878465', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 11:14:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 11:14:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectdispatchw/page', 'GET', '{"current":["1"],"state":[""],"userType":["{}"],"projectLink":[""],"size":["30"]}', '24', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575323204422492162', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 11:14:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 11:14:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectdispatchw/page', 'GET', '{"current":["1"],"state":[""],"userType":["{}"],"projectLink":[""],"size":["30"]}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575323300941815810', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-29 11:15:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 11:15:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"fullName":[""],"updateUser":[""],"remark":[""],"updateTime":[""],"regionLevel":[""],"regionCode":[""],"createTime":[""],"regionId":[""],"name":[""],"tenantId":["1569602913205559298"],"createUser":[""],"id":[""],"isDel":[""]}', '47', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575323360513515521', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-29 11:15:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 11:15:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"fullName":[""],"updateUser":[""],"remark":[""],"updateTime":[""],"regionLevel":[""],"regionCode":[""],"createTime":[""],"regionId":[""],"name":[""],"tenantId":["1569602913205559298"],"createUser":[""],"id":[""],"isDel":[""]}', '46', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575323395334627329', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-29 11:15:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 11:15:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["46"],"id":["1572140204302041089"]}', '134', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575323646946729985', '1', 'tofly-flow', 'public', TO_DATE('2022-09-29 11:16:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 11:16:40', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '41', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575323689921568770', '1', 'tofly-flow', 'public', TO_DATE('2022-09-29 11:16:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 11:16:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '42', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575323690382942209', '1', 'tofly-flow', 'public', TO_DATE('2022-09-29 11:16:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 11:16:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1572832711356719105"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575111717481431042', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-28 21:14:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 21:14:32', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '12', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575111722632036353', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-28 21:14:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 21:14:33', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '10', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575118264311824385', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-28 21:40:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 21:40:33', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575118276043292673', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-28 21:40:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 21:40:35', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575119914954997761', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-28 21:47:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 21:47:06', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575119918935392258', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-28 21:47:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 21:47:07', 'SYYYY-MM-DD HH24:MI:SS'), '171.223.89.32', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575130401486749698', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 22:28:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 22:28:46', 'SYYYY-MM-DD HH24:MI:SS'), '125.70.197.81', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575384557615173633', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 15:18:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:18:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '224', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575384599629516801', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 15:18:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:18:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '215', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575385977013784578', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 15:24:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:24:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574314012068810754', 'GET', '{"id":["1574314012068810754"]}', '23', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575387602356916226', '1', 'tofly-flow', 'test7', TO_DATE('2022-09-29 15:30:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:30:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["48"],"id":["1572140204302041089"]}', '116', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575387602751180802', '1', 'tofly-flow', 'test7', TO_DATE('2022-09-29 15:30:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:30:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575387349670957057', 'GET', '{"id":["1575387349670957057"]}', '27', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575387632291663873', '1', 'tofly-flow', 'test7', TO_DATE('2022-09-29 15:30:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:30:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["48"],"id":["1572140204302041089"]}', '152', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575387632983724034', '1', 'tofly-flow', 'test7', TO_DATE('2022-09-29 15:30:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:30:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575387349670957057', 'GET', '{"id":["1575387349670957057"]}', '24', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575387641347166210', '1', 'tofly-flow', 'test7', TO_DATE('2022-09-29 15:30:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:30:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575387349670957057', 'GET', '{"id":["1575387349670957057"]}', '22', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575387666043228161', '1', 'tofly-flow', 'test7', TO_DATE('2022-09-29 15:31:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:31:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["47"],"id":["1572140204302041089"]}', '134', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575387666928226306', '1', 'tofly-flow', 'test7', TO_DATE('2022-09-29 15:31:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:31:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575309464218214402', 'GET', '{"id":["1575309464218214402"]}', '18', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575387679179788290', '1', 'tofly-flow', 'test7', TO_DATE('2022-09-29 15:31:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:31:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["47"],"id":["1572140204302041089"]}', '118', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575387679876042754', '1', 'tofly-flow', 'test7', TO_DATE('2022-09-29 15:31:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:31:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575309464218214402', 'GET', '{"id":["1575309464218214402"]}', '23', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575403738695852033', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-29 16:34:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 16:34:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '213', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575405039022317569', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 16:40:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 16:40:05', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1572832711356719105"],"isMould":["0"]}', '295', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575405072761298945', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 16:40:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 16:40:13', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1572832711356719105"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575405830793666561', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 16:43:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 16:43:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"appLabe":["1572832711356719105"],"tenantId":["1569602913205559298"],"isMould":["0"]}', '18', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575408386685083649', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 16:53:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 16:53:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"id":["1575053258153025538"]}', '32', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575408406331203586', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 16:53:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 16:53:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '54', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575408418305941505', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-29 16:53:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 16:53:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl', 'POST', '{}', '93', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575408420033994753', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-29 16:53:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 16:53:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575412785704599553', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-29 17:10:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:10:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '161', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575412786136612866', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-29 17:10:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:10:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '26', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575412796299411457', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-29 17:10:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:10:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '185', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575412797645783042', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-29 17:10:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:10:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '4', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575412798153293826', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-29 17:10:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:10:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575412802938994690', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-29 17:10:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:10:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '23', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575413636288479234', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 17:14:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:14:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessnodel', 'POST', '{}', '244', NULL, NULL, 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575413943529635841', '1', 'tofly-flow', 'public', TO_DATE('2022-09-29 17:15:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:15:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '152', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575413944632737794', '1', 'tofly-flow', 'public', TO_DATE('2022-09-29 17:15:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:15:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"size":["1000"],"current":["1"]}', '51', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575413996868599810', '1', 'tofly-flow', 'public', TO_DATE('2022-09-29 17:15:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:15:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"size":["1000"],"current":["1"]}', '25', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575414202091700225', '1', 'tofly-flow', 'jttest1', TO_DATE('2022-09-29 17:16:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:16:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575414218806001665', '1', 'tofly-flow', 'jttest1', TO_DATE('2022-09-29 17:16:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:16:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep', 'PUT', '{}', '44', NULL, NULL, 'content:修改基础类型表', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575414219233820673', '1', 'tofly-flow', 'jttest1', TO_DATE('2022-09-29 17:16:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:16:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575385794750304257', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-29 15:23:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:23:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575385795018739714', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-29 15:23:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:23:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575385802220359682', '0', 'tofly-flow', 'public', TO_DATE('2022-09-29 15:23:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:23:39', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.91', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"id":["1575053258153025538"]}', '58', NULL, 'nested exception is org.apache.ibatis.type.TypeException: Could not set parameters for mapping: ParameterMapping{property=''edition'', mode=IN, javaType=class java.lang.Object, jdbcType=null, numericScale=null, resultMapId=''null'', jdbcTypeName=''null'', expression=''null''}. Cause: org.apache.ibatis.type.TypeException: Error setting null for parameter #1 with JdbcType OTHER . Try setting a different JdbcType for this parameter or a different jdbcTypeForNull configuration property. Cause: java.sql.SQLException: 无效的列类型: 1111', 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575385823841996801', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-29 15:23:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:23:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '130', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575385824831852546', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-29 15:23:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:23:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575385825058344961', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-29 15:23:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:23:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575385827558150146', '1', 'tofly-flow', 'public', TO_DATE('2022-09-29 15:23:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:23:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '8', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575385827751088130', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-29 15:23:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:23:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575385908000706561', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-29 15:24:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:24:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575385927483248641', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-29 15:24:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:24:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1574279430669938690', 'GET', '{"id":["1574279430669938690"]}', '26', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575385927961399297', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-29 15:24:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:24:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":["1569602913205559298"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575385928196280321', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-29 15:24:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:24:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575385931614638082', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-29 15:24:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:24:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575386040104505346', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 15:24:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:24:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575386169591058433', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 15:25:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:25:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectdispatchw/page', 'GET', '{"current":["1"],"state":[""],"userType":["{}"],"projectLink":[""],"size":["30"]}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575386172233469954', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 15:25:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:25:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectdispatchw/page', 'GET', '{"current":["1"],"state":[""],"userType":["{}"],"projectLink":[""],"size":["30"]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575386172996833282', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 15:25:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:25:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectdispatchw/page', 'GET', '{"current":["1"],"state":[""],"userType":["{}"],"projectLink":[""],"size":["30"]}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575386173772779521', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 15:25:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:25:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectdispatchw/page', 'GET', '{"current":["1"],"state":[""],"userType":["{}"],"projectLink":[""],"size":["30"]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575386386780508161', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 15:25:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:25:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575386408867713025', '1', 'tofly-flow', 'public', TO_DATE('2022-09-29 15:26:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:26:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessnodel', 'POST', '{}', '287', NULL, NULL, 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575386419265392642', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 15:26:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:26:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectdispatchw/page', 'GET', '{"current":["1"],"state":[""],"userType":["{}"],"projectLink":[""],"size":["30"]}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575386421937164290', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 15:26:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:26:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectdispatchw/page', 'GET', '{"current":["1"],"state":[""],"userType":["{}"],"projectLink":[""],"size":["30"]}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575386422725693442', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 15:26:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:26:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectdispatchw/page', 'GET', '{"current":["1"],"state":[""],"userType":["{}"],"projectLink":[""],"size":["30"]}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575386423505833986', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 15:26:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:26:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectdispatchw/page', 'GET', '{"current":["1"],"state":[""],"userType":["{}"],"projectLink":[""],"size":["30"]}', '2', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575386424311140354', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 15:26:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:26:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectdispatchw/page', 'GET', '{"current":["1"],"state":[""],"userType":["{}"],"projectLink":[""],"size":["30"]}', '2', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575386425112252418', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 15:26:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:26:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectdispatchw/page', 'GET', '{"current":["1"],"state":[""],"userType":["{}"],"projectLink":[""],"size":["30"]}', '2', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575386425791729665', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 15:26:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:26:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectdispatchw/page', 'GET', '{"current":["1"],"state":[""],"userType":["{}"],"projectLink":[""],"size":["30"]}', '2', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575386426618007554', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 15:26:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:26:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectdispatchw/page', 'GET', '{"current":["1"],"state":[""],"userType":["{}"],"projectLink":[""],"size":["30"]}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575386427410731010', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 15:26:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:26:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectdispatchw/page', 'GET', '{"current":["1"],"state":[""],"userType":["{}"],"projectLink":[""],"size":["30"]}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575386428266369026', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 15:26:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:26:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectdispatchw/page', 'GET', '{"current":["1"],"state":[""],"userType":["{}"],"projectLink":[""],"size":["30"]}', '2', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575386429000372225', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 15:26:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:26:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectdispatchw/page', 'GET', '{"current":["1"],"state":[""],"userType":["{}"],"projectLink":[""],"size":["30"]}', '2', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575386430002810881', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 15:26:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:26:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectdispatchw/page', 'GET', '{"current":["1"],"state":[""],"userType":["{}"],"projectLink":[""],"size":["30"]}', '0', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575386448168341506', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 15:26:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:26:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectdispatchw/page', 'GET', '{"current":["1"],"state":[""],"userType":["{}"],"projectLink":[""],"size":["30"]}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575332740403322881', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-29 11:52:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 11:52:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '99', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575332896284631041', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 11:53:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 11:53:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '2', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575332902500589570', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 11:53:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 11:53:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575332908301312002', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 11:53:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 11:53:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '27', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575332908716548098', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 11:53:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 11:53:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1572832711356719105"],"isMould":["0"]}', '2', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575332989695975426', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 11:53:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 11:53:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '2', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575332989989576705', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 11:53:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 11:53:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575332990127988737', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 11:53:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 11:53:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575333038765137921', '2', 'tofly-auth', 'jtadmin', TO_DATE('2022-09-29 11:53:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 11:53:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/a374b876-6a4a-4822-ab21-b8db38a2b731', 'DELETE', '{}', '0', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575333212207996929', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 11:54:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 11:54:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1572832711356719105"],"isMould":["0"]}', '2', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575333502353170434', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 11:55:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 11:55:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '8', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575333779592470529', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 11:56:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 11:56:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl', 'POST', '{}', '566', NULL, NULL, 'content:新增流程信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575334335140618243', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 11:59:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 11:59:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1572832711356719105"],"isMould":["0"]}', '2', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575385504919703554', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 15:22:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:22:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1572837052390055938"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575385649665134594', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 15:23:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:23:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectdispatchw/page', 'GET', '{"current":["1"],"state":[""],"userType":["{}"],"projectLink":[""],"size":["30"]}', '28', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575385665586712578', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 15:23:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:23:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectdispatchw/page', 'GET', '{"current":["1"],"state":[""],"userType":["{}"],"projectLink":[""],"size":["30"]}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575385672587005954', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-29 15:23:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:23:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl', 'POST', '{}', '340', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575385673568473090', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-29 15:23:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:23:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '24', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575385675489464322', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 15:23:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:23:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectdispatchw/page', 'GET', '{"current":["1"],"state":[""],"userType":["{}"],"projectLink":[""],"size":["30"]}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575385677515313154', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-29 15:23:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:23:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '149', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575385677926354946', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 15:23:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:23:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectdispatchw/page', 'GET', '{"current":["1"],"state":[""],"userType":["{}"],"projectLink":[""],"size":["30"]}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575385678777798658', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 15:23:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:23:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectdispatchw/page', 'GET', '{"current":["1"],"state":[""],"userType":["{}"],"projectLink":[""],"size":["30"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575385679562133506', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 15:23:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:23:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectdispatchw/page', 'GET', '{"current":["1"],"state":[""],"userType":["{}"],"projectLink":[""],"size":["30"]}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575385680354856962', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 15:23:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:23:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectdispatchw/page', 'GET', '{"current":["1"],"state":[""],"userType":["{}"],"projectLink":[""],"size":["30"]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575385681067888641', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 15:23:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:23:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectdispatchw/page', 'GET', '{"current":["1"],"state":[""],"userType":["{}"],"projectLink":[""],"size":["30"]}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575385681785114626', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 15:23:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:23:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectdispatchw/page', 'GET', '{"current":["1"],"state":[""],"userType":["{}"],"projectLink":[""],"size":["30"]}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575385682544283650', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 15:23:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:23:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectdispatchw/page', 'GET', '{"current":["1"],"state":[""],"userType":["{}"],"projectLink":[""],"size":["30"]}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575385683307646977', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 15:23:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:23:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectdispatchw/page', 'GET', '{"current":["1"],"state":[""],"userType":["{}"],"projectLink":[""],"size":["30"]}', '2', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575385684247171074', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 15:23:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:23:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectdispatchw/page', 'GET', '{"current":["1"],"state":[""],"userType":["{}"],"projectLink":[""],"size":["30"]}', '2', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575385684670795777', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-29 15:23:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:23:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '29', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575385684914065410', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-29 15:23:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:23:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '18', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575385703859736577', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-29 15:23:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:23:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '20', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575385704086228993', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-29 15:23:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:23:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575385709635293186', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-29 15:23:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:23:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575385709886951425', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-29 15:23:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:23:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '5', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575385713229811713', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-29 15:23:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:23:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '10', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575385724386660354', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-29 15:23:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:23:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["1000"],"dataType":["1570692286170427394"]}', '44', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575385724470546433', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-29 15:23:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:23:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '58', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575324020155899906', '1', 'tofly-flow', 'public', TO_DATE('2022-09-29 11:18:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 11:18:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575324027487543298', '1', 'tofly-flow', 'public', TO_DATE('2022-09-29 11:18:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 11:18:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575324034257149954', '1', 'tofly-flow', 'public', TO_DATE('2022-09-29 11:18:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 11:18:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '41', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575324036098449409', '1', 'tofly-flow', 'public', TO_DATE('2022-09-29 11:18:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 11:18:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1572832711356719105"],"isMould":["0"]}', '2', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575324060698042369', '1', 'tofly-flow', 'public', TO_DATE('2022-09-29 11:18:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 11:18:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '41', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575324061411074049', '1', 'tofly-flow', 'public', TO_DATE('2022-09-29 11:18:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 11:18:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1572832711356719105"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575324697523412994', '1', 'tofly-flow', 'public', TO_DATE('2022-09-29 11:20:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 11:20:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575324704888610817', '1', 'tofly-flow', 'public', TO_DATE('2022-09-29 11:20:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 11:20:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575324712996200450', '1', 'tofly-flow', 'public', TO_DATE('2022-09-29 11:20:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 11:20:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '39', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575324714896220161', '1', 'tofly-flow', 'public', TO_DATE('2022-09-29 11:20:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 11:20:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1572832711356719105"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575325071063932930', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 11:22:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 11:22:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575325702478651393', '1', 'tofly-flow', 'public', TO_DATE('2022-09-29 11:24:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 11:24:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575325709147594753', '1', 'tofly-flow', 'public', TO_DATE('2022-09-29 11:24:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 11:24:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '38', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575334530272223233', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 11:59:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 11:59:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessnodel', 'POST', '{}', '128', NULL, NULL, 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575334784702898178', '2', 'tofly-auth', 'tnadmin', TO_DATE('2022-09-29 12:00:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 12:00:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/9011eab3-fa14-49af-9b22-0d6465cd74e1', 'DELETE', '{}', '108', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575366434740527106', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 14:06:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 14:06:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575366440524472321', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 14:06:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 14:06:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '29', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575366442239942658', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 14:06:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 14:06:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1572832711356719105"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575366500637237250', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 14:06:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 14:06:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '118', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575366697555615745', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 14:07:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 14:07:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '2', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575366706460123138', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 14:07:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 14:07:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '112', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575366715985387521', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 14:07:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 14:07:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574314012068810754', 'GET', '{"id":["1574314012068810754"]}', '21', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575369176485748737', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 14:17:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 14:17:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575369184941465602', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 14:17:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 14:17:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575369196127674370', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 14:17:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 14:17:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '26', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575369197868310529', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 14:17:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 14:17:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1572832711356719105"],"isMould":["0"]}', '2', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575369325660364801', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-29 14:18:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 14:18:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl', 'POST', '{}', '138', NULL, NULL, 'content:新增流程信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575369583278710786', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-29 14:19:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 14:19:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["45"],"id":["1572140204302041089"]}', '113', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575369583660392450', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-29 14:19:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 14:19:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574954775253434369', 'GET', '{"id":["1574954775253434369"]}', '16', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575372236146630657', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-29 14:29:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 14:29:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["47"],"id":["1572140204302041089"]}', '124', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575372606218461186', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-29 14:31:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 14:31:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1573919105386835969', 'GET', '{}', '32', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575372607346728961', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-29 14:31:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 14:31:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '110', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575372701244612609', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-29 14:31:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 14:31:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1573919105386835969', 'GET', '{}', '22', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575372703316598785', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-29 14:31:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 14:31:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '113', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575373116715589634', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 14:33:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 14:33:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574314012068810754', 'GET', '{"id":["1574314012068810754"]}', '21', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575373384874221569', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-29 14:34:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 14:34:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1573919105386835969', 'GET', '{}', '27', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575373387415969794', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-29 14:34:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 14:34:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '112', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575373653263540226', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 14:35:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 14:35:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575373660549046274', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 14:35:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 14:35:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575373666790170626', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 14:35:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 14:35:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '28', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575373668979597314', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 14:35:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 14:35:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1572832711356719105"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575417570314944513', '1', 'tofly-flow', 'public', TO_DATE('2022-09-29 17:29:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:29:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '125', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575417595740815362', '1', 'tofly-flow', 'public', TO_DATE('2022-09-29 17:29:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:29:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574219785834180609', 'GET', '{}', '26', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575417596936192001', '1', 'tofly-flow', 'public', TO_DATE('2022-09-29 17:29:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:29:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '116', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575417614837481473', '1', 'tofly-flow', 'test', TO_DATE('2022-09-29 17:30:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:30:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575417669459902466', '1', 'tofly-flow', 'public', TO_DATE('2022-09-29 17:30:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:30:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574219785834180609', 'GET', '{}', '30', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575417671259258881', '1', 'tofly-flow', 'public', TO_DATE('2022-09-29 17:30:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:30:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '137', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575417708269797378', '1', 'tofly-flow', 'test', TO_DATE('2022-09-29 17:30:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:30:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '17', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575417708827639809', '1', 'tofly-flow', 'test', TO_DATE('2022-09-29 17:30:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:30:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '19', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575417732898750465', '1', 'tofly-flow', 'test', TO_DATE('2022-09-29 17:30:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:30:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"id":["1572140204302041089"]}', '139', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575417733389484034', '1', 'tofly-flow', 'test', TO_DATE('2022-09-29 17:30:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:30:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575417736954642433', '1', 'tofly-flow', 'test', TO_DATE('2022-09-29 17:30:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:30:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575417888767475713', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 17:31:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:31:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '133', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575418044602646529', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 17:31:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:31:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '134', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575418078664589313', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 17:31:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:31:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '136', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575418278359597057', '2', 'tofly-auth', 'test', TO_DATE('2022-09-29 17:32:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:32:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/a3de6d75-7efa-4bd3-a825-a01cc222d37b', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575418647479320577', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 17:34:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:34:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["46"],"id":["1572140204302041089"]}', '137', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575418727317897218', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 17:34:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:34:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '104', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575418742098624514', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 17:34:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:34:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '115', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575418849451835393', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 17:34:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:34:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '119', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575418874810597377', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 17:35:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:35:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '117', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575418875490074625', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 17:35:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:35:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575418875750121474', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 17:35:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:35:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575418878321229826', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 17:35:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:35:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575419152108617730', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 17:36:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:36:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '118', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575419466207461378', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 17:37:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:37:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575419469613236225', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-29 17:37:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:37:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575419658612768769', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 17:38:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:38:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"id":["1575053258153025538"]}', '27', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575419659111890946', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 17:38:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:38:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575419659304828930', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 17:38:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:38:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575419662282784769', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 17:38:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:38:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575420497641340930', '1', 'tofly-flow', 'public', TO_DATE('2022-09-29 17:41:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:41:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575420497884610562', '1', 'tofly-flow', 'public', TO_DATE('2022-09-29 17:41:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:41:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575420524191285250', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 17:41:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:41:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '122', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575420525927727105', '1', 'tofly-flow', 'public', TO_DATE('2022-09-29 17:41:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:41:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"id":["1572140204302041089"]}', '111', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575420526489763842', '1', 'tofly-flow', 'public', TO_DATE('2022-09-29 17:41:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:41:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575420526691090433', '1', 'tofly-flow', 'public', TO_DATE('2022-09-29 17:41:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:41:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575420529287364609', '1', 'tofly-flow', 'public', TO_DATE('2022-09-29 17:41:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:41:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575420704407945218', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 17:42:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:42:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575420734204280833', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 17:42:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:42:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '152', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575384088683577346', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-29 15:16:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:16:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '25', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575384110728839170', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-29 15:16:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:16:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '346', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575384111265710082', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-29 15:16:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:16:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575384111571894273', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-29 15:16:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:16:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '4', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575384114667290626', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-29 15:16:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:16:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575386696924123137', '0', 'tofly-flow', 'public', TO_DATE('2022-09-29 15:27:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:27:12', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.91', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"id":["1575053258153025538"]}', '59', NULL, 'nested exception is org.apache.ibatis.type.TypeException: Could not set parameters for mapping: ParameterMapping{property=''edition'', mode=IN, javaType=class java.lang.Object, jdbcType=null, numericScale=null, resultMapId=''null'', jdbcTypeName=''null'', expression=''null''}. Cause: org.apache.ibatis.type.TypeException: Error setting null for parameter #1 with JdbcType OTHER . Try setting a different JdbcType for this parameter or a different jdbcTypeForNull configuration property. Cause: java.sql.SQLException: 无效的列类型: 1111', 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575387101364080642', '1', 'tofly-flow', 'public', TO_DATE('2022-09-29 15:28:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:28:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575403213187186689', '1', 'tofly-flow', 'public', TO_DATE('2022-09-29 16:32:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 16:32:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574219785834180609', 'GET', '{}', '474', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575403217616371714', '1', 'tofly-flow', 'public', TO_DATE('2022-09-29 16:32:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 16:32:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '366', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575403283475333121', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 16:33:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 16:33:07', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1572832711356719105"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575403286046441474', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 16:33:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 16:33:07', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1572832711356719105"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575403288282005506', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 16:33:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 16:33:08', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1572832711356719105"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575403291276738562', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 16:33:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 16:33:08', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1572832711356719105"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575403294791565314', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 16:33:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 16:33:09', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1572832711356719105"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575403297220067330', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 16:33:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 16:33:10', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1572832711356719105"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575403515843969026', '0', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 16:34:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 16:34:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"id":["1575053258153025538"]}', '57', NULL, 'org/apache/ibatis/reflection/ExceptionUtil', 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575405333701533698', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 16:41:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 16:41:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["46"],"id":["1572140204302041089"]}', '256', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575405530028515330', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 16:42:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 16:42:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["46"],"id":["1572140204302041089"]}', '194', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575405602359287809', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 16:42:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 16:42:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["46"],"id":["1572140204302041089"]}', '177', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575405637000044545', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-29 16:42:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 16:42:28', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.91', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"id":["1575053258153025538"]}', '36', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575405650262433794', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-29 16:42:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 16:42:31', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.91', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["2"],"id":["1575053258153025538"]}', '39', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575405771066777601', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 16:43:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 16:43:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '28', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575405818328195073', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 16:43:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 16:43:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '9', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575405829707341825', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 16:43:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 16:43:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '117', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575405832135843841', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 16:43:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 16:43:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{}', '163', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575405951786754049', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 16:43:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 16:43:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '167', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575405956580843521', '2', 'tofly-auth', 'jtadmin', TO_DATE('2022-09-29 16:43:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 16:43:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/d4df44e1-86bd-4a73-b734-7f0bae4f77b5', 'DELETE', '{}', '9', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575405959034511362', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 16:43:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 16:43:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574314012068810754', 'GET', '{"id":["1574314012068810754"]}', '143', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575407674144137218', '2', 'tofly-auth', 'tnadmin', TO_DATE('2022-09-29 16:50:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 16:50:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/f41374c8-84eb-4eec-80ae-34107fab1d63', 'DELETE', '{}', '3', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575407904910548993', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 16:51:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 16:51:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["46"],"id":["1572140204302041089"]}', '136', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575414236623405058', '1', 'tofly-flow', 'jttest1', TO_DATE('2022-09-29 17:16:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:16:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575414259943735299', '1', 'tofly-flow', 'jttest1', TO_DATE('2022-09-29 17:16:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:16:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575414261529182209', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 17:16:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:16:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574314012068810754', 'GET', '{"id":["1574314012068810754"]}', '20', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575414379942772738', '1', 'tofly-flow', 'jttest1', TO_DATE('2022-09-29 17:17:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:17:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep', 'PUT', '{}', '16', NULL, NULL, 'content:修改基础类型表', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575414388713062402', '1', 'tofly-flow', 'jttest1', TO_DATE('2022-09-29 17:17:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:17:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575384061152165890', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-29 15:16:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:16:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '532', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575384062150410241', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-29 15:16:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:16:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '64', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575384073101737986', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-29 15:16:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:16:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572111539262464001', 'GET', '{"id":["1572111539262464001"]}', '214', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575384073860907010', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-29 15:16:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:16:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '5', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575384077262487553', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-29 15:16:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:16:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '34', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575384088998150146', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-29 15:16:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:16:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '21', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575385750378762241', '2', 'tofly-auth', 'jtadmin', TO_DATE('2022-09-29 15:23:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:23:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/859fbca7-3eb6-42e8-9f46-47092944a2ea', 'DELETE', '{}', '9', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575385761158123522', '2', 'tofly-auth', 'mzadmin', TO_DATE('2022-09-29 15:23:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:23:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/eff3fbe1-64ca-40c8-908b-0c4a9b6fd39e', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575386956903862273', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-29 15:28:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:28:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575386957130354690', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-29 15:28:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:28:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575386971109969921', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-29 15:28:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:28:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '132', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575386971521011713', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-29 15:28:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:28:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575386971709755393', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-29 15:28:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:28:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575386974368944129', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-29 15:28:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:28:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575386999970975745', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-29 15:28:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:28:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575387002986680322', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-29 15:28:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:28:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575387895920447489', '1', 'tofly-flow', 'test7', TO_DATE('2022-09-29 15:31:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:31:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessnodel', 'POST', '{}', '115', NULL, NULL, 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575388685074550785', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 15:35:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:35:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575388691340840962', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 15:35:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:35:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575388698450186241', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 15:35:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:35:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '49', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575388700241154050', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 15:35:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:35:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1572832711356719105"],"isMould":["0"]}', '2', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575388795334414337', '0', 'tofly-flow', 'admin', TO_DATE('2022-09-29 15:35:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:35:32', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.91', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"id":["1575053258153025538"]}', '67', NULL, 'nested exception is org.apache.ibatis.type.TypeException: Could not set parameters for mapping: ParameterMapping{property=''edition'', mode=IN, javaType=class java.lang.Object, jdbcType=null, numericScale=null, resultMapId=''null'', jdbcTypeName=''null'', expression=''null''}. Cause: org.apache.ibatis.type.TypeException: Error setting null for parameter #1 with JdbcType OTHER . Try setting a different JdbcType for this parameter or a different jdbcTypeForNull configuration property. Cause: java.sql.SQLException: 无效的列类型: 1111', 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575388846022578178', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 15:35:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:35:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '32', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575388889559453698', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 15:35:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:35:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1572832711356719105"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575388947197579266', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 15:36:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:36:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '37', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575389214165028865', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 15:37:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:37:12', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1572832711356719105"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575389319236538370', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 15:37:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:37:37', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1572832711356719105"],"isMould":["1"]}', '2', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575389333472006146', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 15:37:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:37:41', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1572832711356719105"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575389556885803010', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-29 15:38:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:38:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessnodel', 'POST', '{}', '6', NULL, NULL, 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575389706584707074', '0', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 15:39:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:39:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"id":["1575053258153025538"]}', '75', NULL, 'nested exception is org.apache.ibatis.type.TypeException: Could not set parameters for mapping: ParameterMapping{property=''edition'', mode=IN, javaType=class java.lang.Object, jdbcType=null, numericScale=null, resultMapId=''null'', jdbcTypeName=''null'', expression=''null''}. Cause: org.apache.ibatis.type.TypeException: Error setting null for parameter #1 with JdbcType OTHER . Try setting a different JdbcType for this parameter or a different jdbcTypeForNull configuration property. Cause: java.sql.SQLException: 无效的列类型: 1111', 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575389759336468482', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 15:39:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:39:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '118', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575389768266141698', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 15:39:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:39:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574314012068810754', 'GET', '{"id":["1574314012068810754"]}', '21', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575390426855755778', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-29 15:42:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:42:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '25', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575373685823922177', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 14:35:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 14:35:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575373686146883585', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 14:35:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 14:35:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575373686272712706', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 14:35:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 14:35:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575373995170619393', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 14:36:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 14:36:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575374003999629313', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 14:36:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 14:36:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575374013654917121', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 14:36:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 14:36:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '37', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575374015466856449', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 14:36:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 14:36:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1572832711356719105"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575374365800292353', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 14:38:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 14:38:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575374372435681281', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 14:38:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 14:38:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575374379230453762', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 14:38:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 14:38:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '30', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575374381184999425', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 14:38:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 14:38:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1572832711356719105"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575374456690860033', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-29 14:38:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 14:38:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1573919105386835969', 'GET', '{}', '26', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575374457944956929', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-29 14:38:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 14:38:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '114', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575374616334458882', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 14:39:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 14:39:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575374626249793537', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 14:39:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 14:39:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575374633031983105', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 14:39:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 14:39:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '38', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575377175208026113', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 14:49:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 14:49:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectdispatchw/page', 'GET', '{"current":["1"],"state":[""],"userType":["{}"],"projectLink":[""],"size":["30"]}', '2', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575377282838061057', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 14:49:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 14:49:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575333777340104706', 'GET', '{"id":["1575333777340104706"]}', '25', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575377283207159810', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 14:49:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 14:49:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575333777340104706', 'GET', '{"id":["1575333777340104706"]}', '20', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575377308301680641', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 14:49:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 14:49:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575377324852404226', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 14:49:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 14:49:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1575053258153025538', 'GET', '{"edition":["2"],"id":["1575053258153025538"]}', '35', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575377332599283714', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 14:49:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 14:49:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575333777340104706', 'GET', '{"id":["1575333777340104706"]}', '19', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575377346406932482', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 14:50:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 14:50:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575333777340104706', 'GET', '{"id":["1575333777340104706"]}', '16', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575377607959535617', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 14:51:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 14:51:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1575053258153025538', 'GET', '{"edition":["2"],"id":["1575053258153025538"]}', '30', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575377615647694850', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 14:51:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 14:51:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575333777340104706', 'GET', '{"id":["1575333777340104706"]}', '21', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575379029425938434', '2', 'tofly-auth', 'jtadmin', TO_DATE('2022-09-29 14:56:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 14:56:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/ec1b890a-2a05-4c55-8d43-6eec08f41d93', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575379833666953217', '2', 'tofly-auth', 'tntest1', TO_DATE('2022-09-29 14:59:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 14:59:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/cf4386fa-cfdd-4c14-bacb-d6e9d69ef185', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575380432517095426', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 15:02:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:02:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectdispatchw/page', 'GET', '{"current":["1"],"state":[""],"userType":["{}"],"projectLink":[""],"size":["30"]}', '2', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575380722985230337', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 15:03:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:03:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575380931702185985', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 15:04:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:04:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575380939486814209', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 15:04:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:04:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575380947720232961', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 15:04:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:04:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '31', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575380949360205825', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 15:04:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:04:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1572832711356719105"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575382152768937986', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-29 15:09:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:09:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '19', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575382193051033602', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 15:09:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:09:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575382193357217794', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 15:09:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:09:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575382193491435522', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 15:09:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:09:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '2', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575382944825499649', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 15:12:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:12:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '31', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575382946478055426', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 15:12:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:12:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1572832711356719105"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575383027616866306', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-29 15:12:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:12:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1573919105386835969', 'GET', '{}', '25', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575414236631793665', '1', 'tofly-flow', 'jttest1', TO_DATE('2022-09-29 17:16:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:16:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '7', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575414259943735298', '1', 'tofly-flow', 'jttest1', TO_DATE('2022-09-29 17:16:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:16:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575414269901012993', '0', 'tofly-flow', 'jttest1', TO_DATE('2022-09-29 17:16:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:16:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep', 'PUT', '{}', '71', NULL, 'nested exception is org.apache.ibatis.type.TypeException: Could not set parameters for mapping: ParameterMapping{property=''ew.paramNameValuePairs.MPGENVAL1'', mode=IN, javaType=class java.lang.Object, jdbcType=null, numericScale=null, resultMapId=''null'', jdbcTypeName=''null'', expression=''null''}. Cause: org.apache.ibatis.type.TypeException: Error setting null for parameter #1 with JdbcType OTHER . Try setting a different JdbcType for this parameter or a different jdbcTypeForNull configuration property. Cause: java.sql.SQLException: 无效的列类型: 1111', 'content:修改基础类型表', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575414270454661122', '1', 'tofly-flow', 'jttest1', TO_DATE('2022-09-29 17:16:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:16:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575414276804837377', '1', 'tofly-flow', 'jttest1', TO_DATE('2022-09-29 17:16:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:16:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575414287898771457', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 17:16:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:16:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575414295817617409', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 17:16:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:16:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"id":["1575053258153025538"]}', '28', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575414304713736194', '1', 'tofly-flow', 'jttest1', TO_DATE('2022-09-29 17:16:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:16:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep', 'PUT', '{}', '46', NULL, NULL, 'content:修改基础类型表', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575414305040891906', '1', 'tofly-flow', 'jttest1', TO_DATE('2022-09-29 17:16:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:16:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575414358866395137', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 17:17:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:17:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '165', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575414364973301762', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 17:17:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:17:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574314012068810754', 'GET', '{"id":["1574314012068810754"]}', '28', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575420740411850753', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 17:42:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:42:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '134', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575420750138441730', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 17:42:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:42:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '148', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575420760083136514', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 17:42:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:42:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '137', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575420797961895937', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 17:42:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:42:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575420861547544577', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 17:42:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:42:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1573919105386835969', 'GET', '{}', '27', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575420862122164226', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 17:42:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:42:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '130', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575420870527549442', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 17:43:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:43:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '136', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575420876718342145', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 17:43:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:43:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574237792111685633', 'GET', '{}', '16', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575420877167132674', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 17:43:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:43:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '131', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575420883190153218', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 17:43:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:43:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574293039374479362', 'GET', '{}', '19', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575420883630555138', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 17:43:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:43:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '130', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575420890140114945', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 17:43:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:43:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574314012068810754', 'GET', '{}', '17', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575420890588905473', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 17:43:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:43:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '125', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575420895584321537', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 17:43:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:43:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574704733733068801', 'GET', '{}', '14', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575420895991169025', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 17:43:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:43:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["37"],"id":["1572140204302041089"]}', '116', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575420917650554882', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 17:43:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:43:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575421346119680001', '1', 'tofly-flow', 'public', TO_DATE('2022-09-29 17:44:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:44:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '38', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575421523463241729', '1', 'tofly-flow', 'public', TO_DATE('2022-09-29 17:45:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:45:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"id":["1572140204302041089"]}', '122', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575421924086382594', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 17:47:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:47:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575423828979875842', '2', 'tofly-auth', 'jtadmin', TO_DATE('2022-09-29 17:54:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:54:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/66af6b1c-9d46-493e-8ee6-ee3747d5aa26', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575423873615659009', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-29 17:54:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:54:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575423948530122753', '2', 'tofly-auth', 'cwjl', TO_DATE('2022-09-29 17:55:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:55:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/cf87de81-bda9-4365-b756-a77cc13488d2', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575423957585625090', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-29 17:55:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:55:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '2', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575423996689121282', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-29 17:55:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:55:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575424050250383361', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-29 17:55:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:55:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575387920452931586', '1', 'tofly-flow', 'test7', TO_DATE('2022-09-29 15:32:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:32:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["48"],"id":["1572140204302041089"]}', '117', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575387920859779073', '1', 'tofly-flow', 'test7', TO_DATE('2022-09-29 15:32:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:32:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575387349670957057', 'GET', '{"id":["1575387349670957057"]}', '22', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575388034663829505', '0', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 15:32:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:32:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"id":["1575053258153025538"]}', '5892', NULL, 'nested exception is org.apache.ibatis.type.TypeException: Could not set parameters for mapping: ParameterMapping{property=''edition'', mode=IN, javaType=class java.lang.Object, jdbcType=null, numericScale=null, resultMapId=''null'', jdbcTypeName=''null'', expression=''null''}. Cause: org.apache.ibatis.type.TypeException: Error setting null for parameter #1 with JdbcType OTHER . Try setting a different JdbcType for this parameter or a different jdbcTypeForNull configuration property. Cause: java.sql.SQLException: 无效的列类型: 1111', 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575388183079276546', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 15:33:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:33:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575388189018411010', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 15:33:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:33:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575388286921854978', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 15:33:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:33:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574314012068810754', 'GET', '{"id":["1574314012068810754"]}', '16', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575414512998678530', '1', 'tofly-flow', 'jttest1', TO_DATE('2022-09-29 17:17:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:17:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575414536222539777', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 17:17:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:17:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '137', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575414542136508418', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 17:17:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:17:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574314012068810754', 'GET', '{"id":["1574314012068810754"]}', '24', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575423546993995778', '2', 'tofly-auth', 'copy', TO_DATE('2022-09-29 17:53:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:53:38', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["copy"]}', '773', NULL, NULL, 'content:登录 :copy', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575423694204305410', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 17:54:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:54:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '36', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575423713657487362', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 17:54:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:54:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575423873615659010', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-29 17:54:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:54:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575423876341956609', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-29 17:54:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:54:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575424035259940866', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-29 17:55:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:55:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '18', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575424035528376322', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-29 17:55:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:55:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575424045988970497', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-29 17:55:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:55:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '124', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575424046630699009', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-29 17:55:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:55:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575424046899134465', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-29 17:55:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:55:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575424134153240578', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-29 17:55:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:55:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '2', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575424231066828802', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-29 17:56:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:56:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575424231284932609', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-29 17:56:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:56:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575424242735382529', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-29 17:56:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:56:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '120', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575424243368722433', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-29 17:56:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:56:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575424243591020546', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-29 17:56:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:56:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575424246870966273', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-29 17:56:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:56:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575424434876448770', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 17:57:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:57:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl', 'POST', '{}', '491', NULL, NULL, 'content:新增流程信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575424470515449857', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 17:57:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:57:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["53"],"id":["1572140204302041089"]}', '117', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575424471039737857', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 17:57:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:57:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575424433622429698', 'GET', '{"id":["1575424433622429698"]}', '30', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575424675478503425', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 17:58:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:58:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '2', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575424790469541889', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-29 17:58:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:58:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575424804918919170', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-29 17:58:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:58:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '138', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575424805569036290', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-29 17:58:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:58:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575424805879414786', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-29 17:58:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:58:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575424809050308610', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-29 17:58:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:58:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575424900104454145', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-29 17:59:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:59:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575301151799660545', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 09:47:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 09:47:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '66', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575301231298498561', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 09:47:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 09:47:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1572832711356719105"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575301323099230209', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 09:47:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 09:47:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1572832711356719105"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575301598912466945', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 09:49:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 09:49:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1572832711356719105"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575301911027404802', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-29 09:50:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 09:50:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/a9a2486c-633d-4aa4-8891-28bb14381ed8', 'DELETE', '{}', '7', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575303491617312770', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 09:56:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 09:56:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575303547212812289', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 09:56:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 09:56:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575303620395028481', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 09:57:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 09:57:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '159', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575303636266274818', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 09:57:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 09:57:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575303645200142337', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 09:57:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 09:57:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575303652917661698', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 09:57:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 09:57:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '38', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575303705073831938', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 09:57:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 09:57:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '46', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575304183765553153', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 09:59:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 09:59:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '146', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575304184600219649', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 09:59:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 09:59:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574314012068810754', 'GET', '{"id":["1574314012068810754"]}', '93', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575304418021625858', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 10:00:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:00:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '143', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575304418877263873', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 10:00:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:00:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575304418940178434', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 10:00:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:00:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '25', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575304436317179905', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 10:00:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:00:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '121', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575304437449641985', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 10:00:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:00:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["39"],"id":["1572140204302041089"]}', '130', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575304437902626817', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 10:00:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:00:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574709951149391874', 'GET', '{"id":["1574709951149391874"]}', '25', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575390498196672513', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 15:42:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:42:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1572832711356719105"],"isMould":["0"]}', '2', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575390727469912066', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 15:43:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:43:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574314012068810754', 'GET', '{"id":["1574314012068810754"]}', '18', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575390729982300162', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-29 15:43:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:43:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '141', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575390737188114433', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-29 15:43:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:43:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["1000"],"dataType":["1570692286170427394"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575390737246834689', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-29 15:43:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:43:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '23', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575390780628520962', '1', 'tofly-flow', 'test7', TO_DATE('2022-09-29 15:43:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:43:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '7', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575390783598088193', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-29 15:43:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:43:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '125', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575390794075459586', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-29 15:43:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:43:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["1000"],"dataType":["1570692286170427394"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575390794125791233', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-29 15:43:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:43:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '21', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575390833992650753', '2', 'tofly-auth', 'test7', TO_DATE('2022-09-29 15:43:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:43:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/4eea6dfe-690f-4d32-9dfa-78dc70e22581', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575390882134872065', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-29 15:43:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:43:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575391122451714050', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 15:44:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:44:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1572837052390055938"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575391180228251650', '0', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 15:45:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:45:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"id":["1575053258153025538"]}', '74', NULL, 'nested exception is org.apache.ibatis.type.TypeException: Could not set parameters for mapping: ParameterMapping{property=''edition'', mode=IN, javaType=class java.lang.Object, jdbcType=null, numericScale=null, resultMapId=''null'', jdbcTypeName=''null'', expression=''null''}. Cause: org.apache.ibatis.type.TypeException: Error setting null for parameter #1 with JdbcType OTHER . Try setting a different JdbcType for this parameter or a different jdbcTypeForNull configuration property. Cause: java.sql.SQLException: 无效的列类型: 1111', 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575391220690702338', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 15:45:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:45:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '177', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575391408935260162', '1', 'tofly-flow', 'public', TO_DATE('2022-09-29 15:45:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:45:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575301144484794371', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 09:47:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 09:47:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '180', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575301904404598785', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-29 09:50:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 09:50:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"isMould":["0"],"label":["1568482594885484546"]}', '31', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575301938613342209', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-29 09:50:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 09:50:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '8', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575383028761911297', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-29 15:12:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:12:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '115', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575383029139398658', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 15:12:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:12:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '32', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575383210043924481', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 15:13:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:13:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1572832711356719105"],"isMould":["0"]}', '2', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575383287084900354', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-29 15:13:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:13:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1573919105386835969', 'GET', '{}', '24', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575383288196390914', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-29 15:13:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:13:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '111', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575383472586383361', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-29 15:14:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:14:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575383472909344770', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-29 15:14:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:14:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575383477875400705', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-29 15:14:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:14:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575383478068338690', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-29 15:14:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:14:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575383514512646146', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-29 15:14:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:14:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575383514835607554', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-29 15:14:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:14:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575383516718850050', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-29 15:14:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:14:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575383516920176642', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-29 15:14:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:14:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575383535911985153', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-29 15:14:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:14:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575383536205586433', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-29 15:14:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:14:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575383578693885953', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-29 15:14:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:14:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575383578899406850', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-29 15:14:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:14:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575383614500659202', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-29 15:14:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:14:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572111539262464001', 'GET', '{"id":["1572111539262464001"]}', '94', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575384557615173634', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-29 15:18:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:18:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '184', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575384558147850242', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-29 15:18:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:18:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '25', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575384570063867905', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-29 15:18:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:18:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '242', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575384571095666690', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-29 15:18:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:18:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '4', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575384571351519234', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-29 15:18:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:18:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575384574623076354', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-29 15:18:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:18:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '29', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575384770627096577', '0', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 15:19:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:19:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"id":["1575053258153025538"]}', '61', NULL, 'nested exception is org.apache.ibatis.type.TypeException: Could not set parameters for mapping: ParameterMapping{property=''edition'', mode=IN, javaType=class java.lang.Object, jdbcType=null, numericScale=null, resultMapId=''null'', jdbcTypeName=''null'', expression=''null''}. Cause: org.apache.ibatis.type.TypeException: Error setting null for parameter #1 with JdbcType OTHER . Try setting a different JdbcType for this parameter or a different jdbcTypeForNull configuration property. Cause: java.sql.SQLException: 无效的列类型: 1111', 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575384959010066433', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 15:20:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:20:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["2"],"id":["1575053258153025538"]}', '42', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575384959509188609', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 15:20:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:20:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575333777340104706', 'GET', '{"id":["1575333777340104706"]}', '34', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575384965989388290', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 15:20:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:20:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575333777340104706', 'GET', '{"id":["1575333777340104706"]}', '24', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575385443070496770', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 15:22:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:22:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1572836695614169089"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575385860005285889', '1', 'tofly-flow', 'public', TO_DATE('2022-09-29 15:23:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:23:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '140', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575385872386871297', '1', 'tofly-flow', 'public', TO_DATE('2022-09-29 15:23:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:23:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["1000"],"dataType":["1570692286170427394"]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575385872441397249', '1', 'tofly-flow', 'public', TO_DATE('2022-09-29 15:23:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:23:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '28', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575385904834007042', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-29 15:24:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:24:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575301144484794370', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 09:47:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 09:47:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1572832711356719105"],"isMould":["0"]}', '20', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575301151833214978', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 09:47:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 09:47:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '13', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575301154249134082', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 09:47:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 09:47:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '22', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575301211392331777', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 09:47:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 09:47:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575301231130726401', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 09:47:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 09:47:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '105', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575301295211302913', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 09:47:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 09:47:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575301305231495170', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 09:47:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 09:47:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '7', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575301321668972546', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 09:47:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 09:47:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '66', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575301574564532225', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 09:48:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 09:48:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575301584328871938', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 09:49:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 09:49:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575301597268299778', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 09:49:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 09:49:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '67', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575301865049444353', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-29 09:50:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 09:50:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/saveMatterAndPrice', 'POST', '{}', '51', NULL, NULL, 'content:新增物资信息及价格', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575301975594520577', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-29 09:50:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 09:50:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '13', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575302030716063745', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-29 09:50:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 09:50:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["46"],"id":["1572140204302041089"]}', '728', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575302174094151682', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 09:51:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 09:51:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575302179672576001', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 09:51:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 09:51:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575302186316353537', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 09:51:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 09:51:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '48', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575302186731589633', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 09:51:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 09:51:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1572832711356719105"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575302303471652865', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-29 09:51:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 09:51:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575303255503163393', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 09:55:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 09:55:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '29', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575303316756779010', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 09:55:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 09:55:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '37', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575303330329546754', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 09:55:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 09:55:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '56', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575303342480445441', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 09:55:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 09:55:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp', 'PUT', '{}', '25', NULL, NULL, 'content:修改物资信息表', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575303342912458753', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 09:55:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 09:55:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '33', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575303359198941186', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 09:56:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 09:56:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575303406779125761', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 09:56:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 09:56:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/saveMatterAndPrice', 'POST', '{}', '11', NULL, NULL, 'content:新增物资信息及价格', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575303407227916290', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 09:56:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 09:56:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '33', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575303436768399361', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 09:56:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 09:56:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/1575063177409355777', 'DELETE', '{"0":["1575063177409355777"]}', '3', NULL, NULL, 'content:通过id删除物资信息表', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575303437095555073', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 09:56:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 09:56:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '26', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575303457941245953', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 09:56:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 09:56:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/1575303406636605442', 'DELETE', '{"0":["1575303406636605442"]}', '4', NULL, NULL, 'content:通过id删除物资信息表', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575303458423590914', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 09:56:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 09:56:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '24', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575303654435999746', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 09:57:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 09:57:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1572832711356719105"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575303705782669313', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 09:57:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 09:57:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1572832711356719105"],"isMould":["0"]}', '2', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575303751152455682', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 09:57:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 09:57:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '40', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575303751630606337', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 09:57:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 09:57:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1572832711356719105"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575304399348584449', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 10:00:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:00:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '131', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575304399768014849', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 10:00:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:00:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574314012068810754', 'GET', '{"id":["1574314012068810754"]}', '22', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575305558851342338', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 10:04:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:04:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '34', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575305559123972098', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 10:04:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:04:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1572832711356719105"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575305672697335809', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-29 10:05:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:05:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1573919105386835969', 'GET', '{}', '39', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575305673506836481', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-29 10:05:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:05:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '123', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575394397825654786', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 15:57:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:57:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"fullName":[""],"updateUser":[""],"remark":[""],"updateTime":[""],"regionLevel":[""],"regionCode":[""],"createTime":[""],"regionId":[""],"name":[""],"tenantId":["1569602913205559298"],"createUser":[""],"id":[""],"isDel":[""]}', '427', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575395122089680897', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 16:00:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 16:00:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["47"],"id":["1572140204302041089"]}', '248', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575395370623164417', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 16:01:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 16:01:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1569613105131102209', 'GET', '{"edition":["1"],"id":["1569613105131102209"]}', '1', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575395385441640449', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 16:01:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 16:01:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1569613105131102209', 'GET', '{"edition":["1"],"id":["1569613105131102209"]}', '1', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575395403133214722', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 16:01:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 16:01:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '235', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575395815349411842', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 16:03:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 16:03:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '162', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575395865290989569', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 16:03:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 16:03:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1569613105131102209', 'GET', '{"edition":["1"],"id":["1569613105131102209"]}', '3', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575395872568107009', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 16:03:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 16:03:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1569613105131102209', 'GET', '{"edition":["1"],"id":["1569613105131102209"]}', '2', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575395913789726722', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 16:03:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 16:03:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1569613105131102209', 'GET', '{"edition":["1"],"id":["1569613105131102209"]}', '3', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575395985705263106', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 16:04:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 16:04:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '170', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575396001643618306', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 16:04:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 16:04:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '185', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575412438881796098', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 17:09:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:09:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '234', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575412461786890242', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 17:09:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:09:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '261', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575412471681253377', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 17:09:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:09:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574314012068810754', 'GET', '{"id":["1574314012068810754"]}', '164', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575413564461023234', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-29 17:13:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:13:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '145', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575413565085974529', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-29 17:13:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:13:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575413565392158722', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-29 17:13:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:13:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575413568126844929', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-29 17:13:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:13:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575413919156535298', '1', 'tofly-flow', 'jttest1', TO_DATE('2022-09-29 17:15:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:15:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '22', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575413919856984065', '1', 'tofly-flow', 'jttest1', TO_DATE('2022-09-29 17:15:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:15:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '17', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575413924126785537', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 17:15:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:15:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575413925754175489', '1', 'tofly-flow', 'jttest1', TO_DATE('2022-09-29 17:15:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:15:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '137', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575413926387515393', '1', 'tofly-flow', 'jttest1', TO_DATE('2022-09-29 17:15:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:15:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575413926827917313', '1', 'tofly-flow', 'jttest1', TO_DATE('2022-09-29 17:15:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:15:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575413930019782658', '1', 'tofly-flow', 'jttest1', TO_DATE('2022-09-29 17:15:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:15:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575413935111667714', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 17:15:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:15:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"id":["1575053258153025538"]}', '32', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575413994884694017', '1', 'tofly-flow', 'public', TO_DATE('2022-09-29 17:15:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:15:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574219785834180609', 'GET', '{}', '32', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575414033258381314', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 17:15:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:15:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575414046776623106', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 17:15:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:15:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '40', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575414048173326338', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 17:15:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:15:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"appLabe":["1572832711356719105"],"tenantId":["1569602913205559298"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575414049276428290', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 17:15:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:15:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{}', '137', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575414579067355138', '1', 'tofly-flow', 'jttest1', TO_DATE('2022-09-29 17:18:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:18:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep', 'PUT', '{}', '31', NULL, NULL, 'content:修改基础类型表', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575414585715326977', '1', 'tofly-flow', 'jttest1', TO_DATE('2022-09-29 17:18:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:18:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep', 'PUT', '{}', '21', NULL, NULL, 'content:修改基础类型表', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575414587665678337', '1', 'tofly-flow', 'jttest1', TO_DATE('2022-09-29 17:18:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:18:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575414709048836098', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 17:18:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:18:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575414717814931458', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 17:18:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:18:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"id":["1575053258153025538"]}', '40', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575414741860876290', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 17:18:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:18:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '54', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575415254069280770', '1', 'tofly-flow', 'public', TO_DATE('2022-09-29 17:20:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:20:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"size":["1000"],"current":["1"]}', '22', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575415277234421762', '1', 'tofly-flow', 'public', TO_DATE('2022-09-29 17:20:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:20:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574219785834180609', 'GET', '{}', '29', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575391423250419713', '1', 'tofly-flow', 'public', TO_DATE('2022-09-29 15:45:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:45:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '140', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575391431567724546', '1', 'tofly-flow', 'public', TO_DATE('2022-09-29 15:46:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:46:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["1000"],"dataType":["1570692286170427394"]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575391611021021185', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 15:46:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:46:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575391683985133570', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 15:47:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:47:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575392027465076738', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 15:48:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:48:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '137', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575392038831640577', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 15:48:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:48:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574314012068810754', 'GET', '{"id":["1574314012068810754"]}', '27', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575392595214454785', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 15:50:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:50:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575392644115845121', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 15:50:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:50:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["2"],"id":["1575053258153025538"]}', '29', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575392727532163074', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 15:51:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:51:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575333777340104706', 'GET', '{"id":["1575333777340104706"]}', '19', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575392788676726786', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 15:51:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:51:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1572837052390055938"],"isMould":["0"]}', '2', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575392834960871425', '2', 'tofly-auth', 'lr', TO_DATE('2022-09-29 15:51:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:51:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/41d6a4b4-01c6-4416-9f5f-cd7bf393ae95', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575394021428715522', '1', 'tofly-flow', 'public', TO_DATE('2022-09-29 15:56:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:56:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["47"],"id":["1572140204302041089"]}', '488', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575406367471640578', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-29 16:45:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 16:45:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575406370210521089', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-29 16:45:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 16:45:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575416724747452417', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 17:26:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:26:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["46"],"id":["1572140204302041089"]}', '116', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575416969703194626', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 17:27:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:27:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574314012068810754', 'GET', '{"id":["1574314012068810754"]}', '26', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575417281625194497', '2', 'tofly-auth', 'jttest1', TO_DATE('2022-09-29 17:28:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:28:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/69917e6b-7e30-4cdf-97e1-b7bfe36aff7f', 'DELETE', '{}', '7', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575417298918309889', '1', 'tofly-flow', 'public', TO_DATE('2022-09-29 17:28:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:28:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574219785834180609', 'GET', '{}', '37', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575417300277264386', '1', 'tofly-flow', 'public', TO_DATE('2022-09-29 17:28:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:28:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '115', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575417301111930882', '1', 'tofly-flow', 'public', TO_DATE('2022-09-29 17:28:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:28:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"size":["1000"],"current":["1"]}', '18', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575417392203825153', '1', 'tofly-flow', 'test', TO_DATE('2022-09-29 17:29:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:29:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '33', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575417398361063426', '1', 'tofly-flow', 'test', TO_DATE('2022-09-29 17:29:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:29:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"name":[""],"current":["1"],"size":["30"]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575417399124426754', '1', 'tofly-flow', 'test', TO_DATE('2022-09-29 17:29:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:29:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"name":[""],"current":["1"],"size":["30"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575417498210664449', '2', 'tofly-auth', 'test', TO_DATE('2022-09-29 17:29:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:29:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/b5c70e4e-80c4-47c4-9e49-726b556fcd8f', 'DELETE', '{}', '1', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575417499770945538', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 17:29:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:29:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["46"],"id":["1572140204302041089"]}', '112', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575417518175551490', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 17:29:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:29:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl', 'POST', '{}', '84', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575417519580643329', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 17:29:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:29:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575417802079600641', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 17:30:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:30:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574314012068810754', 'GET', '{"id":["1574314012068810754"]}', '26', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575417959290503170', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 17:31:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:31:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '133', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575418025531146242', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 17:31:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:31:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '141', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575418558438440962', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-29 17:33:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:33:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["47"],"id":["1572140204302041089"]}', '141', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575418864651993090', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 17:35:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:35:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575419361228226562', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 17:37:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:37:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575419361521827842', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 17:37:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:37:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575419368123662337', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 17:37:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:37:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1575053258153025538', 'GET', '{"id":["1575053258153025538"]}', '19', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575419368601812994', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 17:37:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:37:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575419368807333889', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 17:37:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:37:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575419371839815681', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 17:37:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:37:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575419480849776642', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-29 17:37:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:37:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575419481055297538', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-29 17:37:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:37:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575419490316320770', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-29 17:37:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:37:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '119', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575385905043722241', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-29 15:24:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:24:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575386201794924545', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 15:25:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:25:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575386468187754498', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 15:26:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:26:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectdispatchw/page', 'GET', '{"current":["1"],"state":[""],"userType":["{}"],"projectLink":[""],"size":["30"]}', '2', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575386496105041921', '1', 'tofly-flow', 'public', TO_DATE('2022-09-29 15:26:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:26:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574219785834180609', 'GET', '{}', '41', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575386497396887554', '1', 'tofly-flow', 'public', TO_DATE('2022-09-29 15:26:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:26:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '130', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575386515201708033', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 15:26:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:26:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectdispatchw/page', 'GET', '{"current":["1"],"state":[""],"userType":["{}"],"projectLink":[""],"size":["30"]}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575386598123098113', '1', 'tofly-flow', 'public', TO_DATE('2022-09-29 15:26:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:26:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574219785834180609', 'GET', '{}', '30', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575386599482052609', '1', 'tofly-flow', 'public', TO_DATE('2022-09-29 15:26:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:26:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '135', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575386690540392450', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-29 15:27:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:27:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '24', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575386690808827906', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-29 15:27:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:27:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575386694453678081', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-29 15:27:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:27:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575386694709530625', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-29 15:27:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:27:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575386697209335810', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-29 15:27:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:27:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575386697481965570', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 15:27:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:27:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575386706730405889', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-29 15:27:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:27:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1574279430669938690', 'GET', '{"id":["1574279430669938690"]}', '24', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575386707242110977', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-29 15:27:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:27:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575386707439243265', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-29 15:27:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:27:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575386709918076930', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-29 15:27:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:27:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575386752523816962', '1', 'tofly-flow', 'public', TO_DATE('2022-09-29 15:27:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:27:25', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.91', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["2"],"id":["1575053258153025538"]}', '34', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575386902294024193', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 15:28:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:28:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575386915459944450', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-29 15:28:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:28:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575387056245952514', '2', 'tofly-auth', 'mzadmin', TO_DATE('2022-09-29 15:28:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:28:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/be2a0f0f-c9bc-4abe-a480-5ee79f1775e1', 'DELETE', '{}', '1', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575391258896617473', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-29 15:45:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:45:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575391259945193474', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 15:45:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:45:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '141', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575391291859652609', '2', 'tofly-auth', 'yj', TO_DATE('2022-09-29 15:45:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:45:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/c9bb1bf5-a8f3-4784-b2a0-71fc0f50b0c2', 'DELETE', '{}', '1', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575391431618056193', '1', 'tofly-flow', 'public', TO_DATE('2022-09-29 15:46:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:46:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '22', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575392758507098114', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 15:51:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:51:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '2', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575392765968764930', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 15:51:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:51:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575392773984079874', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 15:51:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:51:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '31', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575392774453841922', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 15:51:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:51:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1572832711356719105"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575399277344710657', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 16:17:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 16:17:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1572837052390055938"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575399604341039106', '1', 'tofly-flow', 'public', TO_DATE('2022-09-29 16:18:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 16:18:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessnodel', 'POST', '{}', '389', NULL, NULL, 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575399648733552642', '1', 'tofly-flow', 'public', TO_DATE('2022-09-29 16:18:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 16:18:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574219785834180609', 'GET', '{}', '112', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575399652231602178', '1', 'tofly-flow', 'public', TO_DATE('2022-09-29 16:18:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 16:18:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '626', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575399719860559874', '1', 'tofly-flow', 'public', TO_DATE('2022-09-29 16:18:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 16:18:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574219785834180609', 'GET', '{}', '44', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575399721253068802', '1', 'tofly-flow', 'public', TO_DATE('2022-09-29 16:18:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 16:18:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '181', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575399849481330689', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 16:19:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 16:19:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '9', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575399857081409538', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 16:19:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 16:19:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '7', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575305674714796034', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-29 10:05:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:05:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["1000"],"dataType":["1570692286170427394"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575305674773516290', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-29 10:05:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:05:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '24', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575305877337427969', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 10:06:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:06:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575306015694934018', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-29 10:06:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:06:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1573919105386835969', 'GET', '{}', '30', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575306016122753026', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-29 10:06:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:06:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '129', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575306019188789250', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-29 10:06:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:06:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["1000"],"dataType":["1570692286170427394"]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575306019272675329', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-29 10:06:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:06:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '27', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575306191000064001', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-29 10:07:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:07:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1573919105386835969', 'GET', '{}', '39', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575306191515963394', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-29 10:07:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:07:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '118', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575306196037423106', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-29 10:07:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:07:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["1000"],"dataType":["1570692286170427394"]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575306196167446529', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-29 10:07:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:07:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '20', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575306791976718338', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 10:09:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:09:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575306902710538241', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 10:10:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:10:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575306911711514626', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 10:10:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:10:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575306920901234689', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 10:10:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:10:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '33', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575306922591539202', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 10:10:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:10:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1572832711356719105"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575307168415502337', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-29 10:11:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:11:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessnodel', 'POST', '{}', '396', NULL, NULL, 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575307423269801985', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 10:12:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:12:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["46"],"id":["1572140204302041089"]}', '128', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575307460968206338', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 10:12:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:12:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["46"],"id":["1572140204302041089"]}', '153', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575307473647587330', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 10:12:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:12:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectdispatchw/page', 'GET', '{"current":["1"],"state":[""],"userType":["{}"],"projectLink":[""],"size":["30"]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575309137267937281', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-29 10:19:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:19:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["46"],"id":["1572140204302041089"]}', '147', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575309464666918914', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 10:20:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:20:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl', 'POST', '{}', '167', NULL, NULL, 'content:新增流程信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575309492403851265', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 10:20:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:20:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575309558522859522', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 10:20:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:20:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '114', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575309572359868417', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 10:20:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:20:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '118', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575311632513912834', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-29 10:28:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:28:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '125', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575311633663152129', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-29 10:28:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:28:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["1000"],"dataType":["1570692286170427394"]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575311633713483777', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-29 10:28:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:28:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '34', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575311935703371778', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-29 10:30:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:30:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575311970457374722', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-29 10:30:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:30:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["46"],"id":["1572140204302041089"]}', '146', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575311971581448193', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-29 10:30:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:30:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["1000"],"dataType":["1570692286170427394"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575311971631779842', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-29 10:30:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:30:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '25', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575312021179092994', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-29 10:30:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:30:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["46"],"id":["1572140204302041089"]}', '124', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575312326390206466', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 10:31:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:31:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["47"],"id":["1572140204302041089"]}', '139', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575312347323977729', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 10:31:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:31:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["45"],"id":["1572140204302041089"]}', '124', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575312348452245506', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 10:31:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:31:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575312348519354369', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 10:31:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:31:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '29', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575312425585496066', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 10:32:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:32:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '125', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575312426130755585', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 10:32:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:32:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574314012068810754', 'GET', '{"id":["1574314012068810754"]}', '28', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575360513616404481', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-29 13:43:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 13:43:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '23', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575360514111332354', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-29 13:43:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 13:43:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '18', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575360525683417090', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-29 13:43:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 13:43:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '20', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575360525926686721', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-29 13:43:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 13:43:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575360532264280065', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-29 13:43:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 13:43:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575362475980251138', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-29 13:50:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 13:50:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575362489985032193', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-29 13:51:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 13:51:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '19', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575362490253467649', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-29 13:51:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 13:51:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '18', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575425362891497473', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 18:00:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:00:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '8', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575426100522770433', '1', 'tofly-flow', 'public', TO_DATE('2022-09-29 18:03:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:03:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"id":["1572140204302041089"]}', '148', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575426101239996418', '1', 'tofly-flow', 'public', TO_DATE('2022-09-29 18:03:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:03:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '71', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575426495479406594', '1', 'tofly-flow', 'public', TO_DATE('2022-09-29 18:05:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:05:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessnodel', 'POST', '{}', '202', NULL, NULL, 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575427232515088385', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 18:08:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:08:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '123', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575427258310057986', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 18:08:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:08:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575426595366707202', 'GET', '{"id":["1575426595366707202"]}', '23', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575428822961610754', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 18:14:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:14:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '124', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575428823376846850', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 18:14:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:14:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575426595366707202', 'GET', '{"id":["1575426595366707202"]}', '24', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575428835355779073', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 18:14:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:14:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["53"],"id":["1572140204302041089"]}', '139', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575428868671135745', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 18:14:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:14:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '129', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575428869140897794', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 18:14:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:14:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575426230143492098', 'GET', '{"id":["1575426230143492098"]}', '23', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575428883841933314', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 18:14:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:14:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '124', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575428884194254850', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 18:14:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:14:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575426595366707202', 'GET', '{"id":["1575426595366707202"]}', '18', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575428894872952833', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 18:14:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:14:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["53"],"id":["1572140204302041089"]}', '119', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575428910966497282', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 18:14:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:14:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '129', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575428911436259330', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 18:14:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:14:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575426230143492098', 'GET', '{"id":["1575426230143492098"]}', '19', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575428928586768385', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 18:15:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:15:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '137', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575428928905535490', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 18:15:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:15:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575426595366707202', 'GET', '{"id":["1575426595366707202"]}', '23', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575428947607937025', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 18:15:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:15:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '129', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575428955036049410', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 18:15:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:15:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["1000"],"dataType":["1570692286170427394"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575428955103158273', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 18:15:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:15:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '20', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575428975743328258', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 18:15:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:15:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '133', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575428982416465922', '1', 'tofly-flow', 'public', TO_DATE('2022-09-29 18:15:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:15:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '131', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575428987508350978', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 18:15:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:15:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["1000"],"dataType":["1570692286170427394"]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575428987550294017', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 18:15:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:15:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '21', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575429008626671618', '1', 'tofly-flow', 'public', TO_DATE('2022-09-29 18:15:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:15:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["1000"],"dataType":["1570692286170427394"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575429008685391873', '1', 'tofly-flow', 'public', TO_DATE('2022-09-29 18:15:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:15:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '22', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575429188516175874', '1', 'tofly-flow', 'public', TO_DATE('2022-09-29 18:16:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:16:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '25', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575429223412785153', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 18:16:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:16:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '34', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575429236637425665', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 18:16:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:16:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575429248918347778', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 18:16:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:16:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '35', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575419490790277122', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-29 17:37:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:37:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575419491033546753', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-29 17:37:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:37:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575419493680152577', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-29 17:37:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:37:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575419501498335234', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 17:37:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:37:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["46"],"id":["1572140204302041089"]}', '121', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575420073374908418', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 17:39:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:39:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["46"],"id":["1572140204302041089"]}', '113', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575420326140444673', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 17:40:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:40:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["46"],"id":["1572140204302041089"]}', '113', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575420355882254337', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 17:40:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:40:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["46"],"id":["1572140204302041089"]}', '114', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575420366548369409', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 17:40:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:40:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["46"],"id":["1572140204302041089"]}', '112', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575420377038323713', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 17:41:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:41:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["46"],"id":["1572140204302041089"]}', '113', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575420431090319361', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 17:41:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:41:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["46"],"id":["1572140204302041089"]}', '114', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575420594601066497', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 17:41:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:41:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '127', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575420655871459329', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 17:42:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:42:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["39"],"id":["1572140204302041089"]}', '117', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575420669075128321', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 17:42:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:42:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '128', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575421360552280066', '1', 'tofly-flow', 'public', TO_DATE('2022-09-29 17:44:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:44:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575421360745218050', '1', 'tofly-flow', 'public', TO_DATE('2022-09-29 17:44:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:44:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575421373659480065', '1', 'tofly-flow', 'public', TO_DATE('2022-09-29 17:45:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:45:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"id":["1572140204302041089"]}', '110', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575421374200545282', '1', 'tofly-flow', 'public', TO_DATE('2022-09-29 17:45:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:45:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575421374376706050', '1', 'tofly-flow', 'public', TO_DATE('2022-09-29 17:45:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:45:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575421377186889730', '1', 'tofly-flow', 'public', TO_DATE('2022-09-29 17:45:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:45:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '10', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575421496594530305', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-29 17:45:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:45:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/21010fce-11f0-496b-b436-3292d6e6b69b', 'DELETE', '{}', '1', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575421501799661570', '1', 'tofly-flow', 'public', TO_DATE('2022-09-29 17:45:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:45:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl', 'POST', '{}', '67', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575421505301905410', '1', 'tofly-flow', 'public', TO_DATE('2022-09-29 17:45:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:45:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575421524054638593', '1', 'tofly-flow', 'public', TO_DATE('2022-09-29 17:45:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:45:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575421524264353793', '1', 'tofly-flow', 'public', TO_DATE('2022-09-29 17:45:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:45:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575421528139890690', '1', 'tofly-flow', 'public', TO_DATE('2022-09-29 17:45:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:45:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575421685275295746', '1', 'tofly-flow', 'public', TO_DATE('2022-09-29 17:46:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:46:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575421992357068802', '2', 'tofly-auth', 'jtadmin', TO_DATE('2022-09-29 17:47:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:47:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/2e2ab2f6-b63e-46a7-a657-e1759b680635', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575422059063279617', '1', 'tofly-flow', 'public', TO_DATE('2022-09-29 17:47:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:47:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575422533334204417', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 17:49:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:49:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575422713345343490', '1', 'tofly-flow', 'public', TO_DATE('2022-09-29 17:50:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:50:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575422713659916289', '1', 'tofly-flow', 'public', TO_DATE('2022-09-29 17:50:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:50:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575422730286137346', '1', 'tofly-flow', 'public', TO_DATE('2022-09-29 17:50:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:50:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"id":["1572140204302041089"]}', '116', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575422730856562690', '1', 'tofly-flow', 'public', TO_DATE('2022-09-29 17:50:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:50:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575422731087249410', '1', 'tofly-flow', 'public', TO_DATE('2022-09-29 17:50:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:50:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575422733666746370', '1', 'tofly-flow', 'public', TO_DATE('2022-09-29 17:50:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:50:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575422780739420162', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 17:50:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:50:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575422984645509121', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 17:51:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:51:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575326504765120513', '2', 'tofly-auth', 'jtadmin', TO_DATE('2022-09-29 11:28:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 11:28:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/3020bad0-a707-48fd-9f70-c3e8aad43305', 'DELETE', '{}', '1', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575326929136410626', '2', 'tofly-auth', 'tnadmin', TO_DATE('2022-09-29 11:29:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 11:29:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/3ae02e93-5277-4034-86a6-b7631d6b639a', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575327257797877762', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 11:31:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 11:31:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575327347765698562', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-29 11:31:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 11:31:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '42', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575329773432365057', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-29 11:41:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 11:41:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1573919105386835969', 'GET', '{}', '22', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575329776842334210', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-29 11:41:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 11:41:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '106', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575329778113208322', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-29 11:41:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 11:41:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["1000"],"dataType":["1570692286170427394"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575329780113891330', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-29 11:41:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 11:41:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '25', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575329904089128962', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 11:41:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 11:41:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575329910951010306', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 11:41:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 11:41:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575329918416871426', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 11:41:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 11:41:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1572832711356719105"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575400859180687361', '0', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-29 16:23:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 16:23:29', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"id":["1575053258153025538"]}', '310', NULL, '### Error querying database.  Cause: java.sql.SQLSyntaxErrorException: ORA-00936: 缺失表达式

### The error may exist in file [E:\java\work\zmrq\tofly-zmrq\workflow\target\classes\mapper\processconfig\TfProcessConfigLMapper.xml]
### The error may involve defaultParameterMap
### The error occurred while setting parameters
### SQL: SELECT           ID,PROCESS_NAME,PROCESS_NUMBER,PROCESS_TYPE,BUSINESS_TYPE,IS_VALID,IS_MOULD,TENANT_ID,CREATE_USER,CREATE_TIME,UPDATE_USER,UPDATE_TIME       ,decode(,null,EDITION,) EDITION FROM TF_PROCESS_CONFIG_L WHERE ID =? AND IS_DEL = 0
### Cause: java.sql.SQLSyntaxErrorException: ORA-00936: 缺失表达式

; bad SQL grammar []; nested exception is java.sql.SQLSyntaxErrorException: ORA-00936: 缺失表达式', 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575400917976080385', '0', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 16:23:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 16:23:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"id":["1575053258153025538"]}', '275', NULL, 'nested exception is org.apache.ibatis.type.TypeException: Could not set parameters for mapping: ParameterMapping{property=''edition'', mode=IN, javaType=class java.lang.Object, jdbcType=null, numericScale=null, resultMapId=''null'', jdbcTypeName=''null'', expression=''null''}. Cause: org.apache.ibatis.type.TypeException: Error setting null for parameter #1 with JdbcType OTHER . Try setting a different JdbcType for this parameter or a different jdbcTypeForNull configuration property. Cause: java.sql.SQLException: 无效的列类型: 1111', 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575400948074766338', '0', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-29 16:23:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 16:23:50', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"id":["1575053258153025538"]}', '40', NULL, '### Error querying database.  Cause: java.sql.SQLSyntaxErrorException: ORA-00936: 缺失表达式

### The error may exist in file [E:\java\work\zmrq\tofly-zmrq\workflow\target\classes\mapper\processconfig\TfProcessConfigLMapper.xml]
### The error may involve defaultParameterMap
### The error occurred while setting parameters
### SQL: SELECT           ID,PROCESS_NAME,PROCESS_NUMBER,PROCESS_TYPE,BUSINESS_TYPE,IS_VALID,IS_MOULD,TENANT_ID,CREATE_USER,CREATE_TIME,UPDATE_USER,UPDATE_TIME       ,decode(,null,EDITION,) EDITION FROM TF_PROCESS_CONFIG_L WHERE ID =? AND IS_DEL = 0
### Cause: java.sql.SQLSyntaxErrorException: ORA-00936: 缺失表达式

; bad SQL grammar []; nested exception is java.sql.SQLSyntaxErrorException: ORA-00936: 缺失表达式', 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575401587684794370', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 16:26:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 16:26:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575401599407874050', '1', 'tofly-flow', 'public', TO_DATE('2022-09-29 16:26:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 16:26:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '14', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575401607372857346', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 16:26:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 16:26:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1572837052390055938"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575401782417940482', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 16:27:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 16:27:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1572832711356719105"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575401822192525314', '2', 'tofly-auth', 'jtadmin', TO_DATE('2022-09-29 16:27:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 16:27:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/9bac0045-f509-4598-b8bf-45cb08b9fc19', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575402029126901762', '1', 'tofly-flow', 'public', TO_DATE('2022-09-29 16:28:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 16:28:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1573919105386835969', 'GET', '{}', '37', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575402030569742337', '1', 'tofly-flow', 'public', TO_DATE('2022-09-29 16:28:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 16:28:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '141', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575402051797114882', '1', 'tofly-flow', 'public', TO_DATE('2022-09-29 16:28:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 16:28:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '123', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575402066212937729', '1', 'tofly-flow', 'public', TO_DATE('2022-09-29 16:28:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 16:28:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["1000"],"dataType":["1570692286170427394"]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575402066338766850', '1', 'tofly-flow', 'public', TO_DATE('2022-09-29 16:28:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 16:28:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '40', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575402891270283265', '1', 'tofly-flow', 'public', TO_DATE('2022-09-29 16:31:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 16:31:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574219785834180609', 'GET', '{}', '25', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575402892868313090', '1', 'tofly-flow', 'public', TO_DATE('2022-09-29 16:31:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 16:31:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '170', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575402957305405442', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 16:31:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 16:31:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1572836841324290050"],"isMould":["0"]}', '2', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575313864051412993', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 10:37:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:37:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575313872364523522', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 10:37:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:37:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575313880220454913', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 10:37:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:37:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '35', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575313881776541698', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 10:37:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:37:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1572832711356719105"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575314231287894017', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-29 10:39:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:39:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["1000"],"dataType":["1570692286170427394"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575314231422111745', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-29 10:39:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:39:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '17', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575314677834469378', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-29 10:41:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:41:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575314744091889666', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-29 10:41:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:41:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["45"],"id":["1572140204302041089"]}', '101', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575314779143688194', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 10:41:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:41:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575314783010836482', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-29 10:41:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:41:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["45"],"id":["1572140204302041089"]}', '121', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575314910781919233', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 10:41:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:41:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575314953568014338', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 10:42:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:42:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '29', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575314955040215041', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 10:42:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:42:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1572832711356719105"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575315309064638465', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 10:43:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:43:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1572832711356719105"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575315824477491202', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 10:45:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:45:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575315831486173185', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 10:45:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:45:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575315838662627329', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 10:45:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:45:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '27', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575315840306794498', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 10:45:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:45:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1572832711356719105"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575316313420091393', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-29 10:47:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:47:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575316329060651010', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-29 10:47:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:47:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["45"],"id":["1572140204302041089"]}', '106', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575316357951016962', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-29 10:47:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:47:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '101', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575316455468584961', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 10:48:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:48:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '107', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575316603657539586', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-29 10:48:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:48:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574954775253434369', 'GET', '{"id":["1574954775253434369"]}', '22', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575316616643104770', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-29 10:48:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:48:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574954775253434369', 'GET', '{"id":["1574954775253434369"]}', '22', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575332726994132994', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 11:52:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 11:52:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575358161966620673', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 13:33:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 13:33:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575358170917265409', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 13:33:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 13:33:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575358181050703874', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 13:33:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 13:33:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '32', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575358201451798529', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 13:33:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 13:33:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '7', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575358343869390850', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 13:34:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 13:34:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '26', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575394423800979457', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 15:57:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:57:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '41', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575396937627721729', '0', 'tofly-flow', 'admin', TO_DATE('2022-09-29 16:07:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 16:07:54', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.91', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"id":["1575053258153025538"]}', '67', NULL, 'nested exception is org.apache.ibatis.type.TypeException: Could not set parameters for mapping: ParameterMapping{property=''edition'', mode=IN, javaType=class java.lang.Object, jdbcType=null, numericScale=null, resultMapId=''null'', jdbcTypeName=''null'', expression=''null''}. Cause: org.apache.ibatis.type.TypeException: Error setting null for parameter #1 with JdbcType OTHER . Try setting a different JdbcType for this parameter or a different jdbcTypeForNull configuration property. Cause: java.sql.SQLException: 无效的列类型: 1111', 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575397194126188545', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 16:08:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 16:08:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["48"],"id":["1572140204302041089"]}', '147', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575397503011512321', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 16:10:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 16:10:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["47"],"id":["1572140204302041089"]}', '160', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575397548410658818', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-29 16:10:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 16:10:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '27', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575415278505295873', '1', 'tofly-flow', 'public', TO_DATE('2022-09-29 17:20:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:20:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '136', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575415279436431362', '1', 'tofly-flow', 'public', TO_DATE('2022-09-29 17:20:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:20:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"size":["1000"],"current":["1"]}', '19', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575415306703601666', '1', 'tofly-flow', 'public', TO_DATE('2022-09-29 17:20:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:20:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574219785834180609', 'GET', '{}', '34', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575415307978670082', '1', 'tofly-flow', 'public', TO_DATE('2022-09-29 17:20:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:20:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '129', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575415308616204289', '1', 'tofly-flow', 'public', TO_DATE('2022-09-29 17:20:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:20:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"size":["1000"],"current":["1"]}', '25', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575415518591451137', '1', 'tofly-flow', 'public', TO_DATE('2022-09-29 17:21:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:21:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574219785834180609', 'GET', '{}', '30', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575415519988154370', '1', 'tofly-flow', 'public', TO_DATE('2022-09-29 17:21:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:21:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '140', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575415520562774018', '1', 'tofly-flow', 'public', TO_DATE('2022-09-29 17:21:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:21:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"size":["1000"],"current":["1"]}', '21', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575415571536150530', '1', 'tofly-flow', 'public', TO_DATE('2022-09-29 17:21:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:21:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574219785834180609', 'GET', '{}', '39', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575415572886716418', '1', 'tofly-flow', 'public', TO_DATE('2022-09-29 17:21:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:21:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '166', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575415573520056322', '1', 'tofly-flow', 'public', TO_DATE('2022-09-29 17:21:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:21:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"size":["1000"],"current":["1"]}', '22', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575416345427181569', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 17:25:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:25:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["47"],"id":["1572140204302041089"]}', '124', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575416911792439298', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 17:27:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:27:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574314012068810754', 'GET', '{"id":["1574314012068810754"]}', '24', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575417725923622913', '1', 'tofly-flow', 'test', TO_DATE('2022-09-29 17:30:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:30:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575417726108172290', '1', 'tofly-flow', 'test', TO_DATE('2022-09-29 17:30:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:30:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575417733590810626', '1', 'tofly-flow', 'test', TO_DATE('2022-09-29 17:30:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:30:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575417758840520705', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 17:30:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:30:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574314012068810754', 'GET', '{"id":["1574314012068810754"]}', '25', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575418375864582145', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 17:33:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:33:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '147', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575418458693697538', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 17:33:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:33:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '118', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575418573126893569', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-29 17:33:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:33:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["47"],"id":["1572140204302041089"]}', '116', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575418586334756866', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 17:33:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:33:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["46"],"id":["1572140204302041089"]}', '124', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575418759253327874', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 17:34:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:34:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575418825087123458', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 17:34:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:34:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '75', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575418864643604481', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 17:35:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:35:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575419393771831297', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 17:37:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:37:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '116', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575419423261982721', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 17:37:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:37:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '107', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575419469604847618', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-29 17:37:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:37:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575419619534438402', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 17:38:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:38:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["46"],"id":["1572140204302041089"]}', '118', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575419650794586114', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 17:38:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:38:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575419650995912705', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 17:38:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:38:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575419718637453314', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 17:38:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:38:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575419951480045570', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 17:39:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:39:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '107', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575419977228877825', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 17:39:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:39:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '143', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575419986728976385', '1', 'tofly-flow', 'public', TO_DATE('2022-09-29 17:39:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:39:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575420002122072066', '1', 'tofly-flow', 'public', TO_DATE('2022-09-29 17:39:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:39:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["2"],"id":["1575053258153025538"]}', '26', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575420002587639810', '1', 'tofly-flow', 'public', TO_DATE('2022-09-29 17:39:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:39:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575333777340104706', 'GET', '{"id":["1575333777340104706"]}', '20', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575420008350613506', '1', 'tofly-flow', 'public', TO_DATE('2022-09-29 17:39:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:39:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575333777340104706', 'GET', '{"id":["1575333777340104706"]}', '20', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575420448253411330', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 17:41:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:41:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575425289424068609', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 18:00:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:00:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl', 'POST', '{}', '717', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575425292888563713', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 18:00:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:00:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '167', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575422991079571458', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 17:51:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:51:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"id":["1575053258153025538"]}', '32', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575422991771631618', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 17:51:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:51:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '40', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575423023388295170', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 17:51:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:51:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '20', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575423023572844546', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 17:51:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:51:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575423036684238849', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 17:51:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:51:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575423036923314178', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 17:51:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:51:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575423039486033921', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 17:51:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:51:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575423057244717058', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 17:51:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:51:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1575053258153025538', 'DELETE', '{"id":["1575053258153025538"]}', '4', NULL, NULL, 'content:通过id删除审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575423057542512642', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 17:51:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:51:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575423064681218049', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 17:51:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:51:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"id":["1572140204302041089"]}', '118', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575423065234866178', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 17:51:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:51:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575423065436192769', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 17:51:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:51:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575423067910832130', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 17:51:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:51:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575423097824608257', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-29 17:51:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:51:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/c926e67f-edd3-4091-8e21-7553744f79e8', 'DELETE', '{}', '1', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575423171216539649', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 17:52:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:52:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575423171472392194', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 17:52:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:52:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575423184030138370', '2', 'tofly-auth', 'llzm', TO_DATE('2022-09-29 17:52:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:52:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/ee2fdc14-3ba4-4735-9242-b2d811c8cf99', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575423206259949569', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 17:52:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:52:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575423212463325186', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 17:52:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:52:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"id":["1572140204302041089"]}', '121', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575423213184745474', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 17:52:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:52:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '56', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575423278091599874', '1', 'tofly-flow', 'public', TO_DATE('2022-09-29 17:52:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:52:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575424100665917442', '2', 'tofly-auth', 'cwjl1', TO_DATE('2022-09-29 17:55:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:55:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/3c530f07-216f-4371-a1e2-217bc036e214', 'DELETE', '{}', '1', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575424185055313922', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 17:56:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:56:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575424204470747138', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 17:56:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:56:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575424214608379906', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 17:56:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:56:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '30', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575424572894216194', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 17:57:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:57:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessnodel', 'POST', '{}', '17', NULL, NULL, 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575424587209375745', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 17:57:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:57:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"id":["1572140204302041089"]}', '116', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575424587691720706', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 17:57:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:57:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '34', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575424621220986882', '2', 'tofly-auth', 'copy', TO_DATE('2022-09-29 17:57:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:57:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/949892fb-c34d-488c-9176-4f861ecb3d8c', 'DELETE', '{}', '1', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575424675478503426', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 17:58:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:58:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575424683925831681', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 17:58:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:58:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575424684122963970', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 17:58:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:58:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575424695787323394', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 17:58:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:58:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"id":["1572140204302041089"]}', '134', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575424696257085442', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 17:58:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:58:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575424696420663297', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 17:58:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:58:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575424698966605825', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 17:58:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:58:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '2', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575424790687645698', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-29 17:58:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:58:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575424796094103554', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-29 17:58:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:58:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575424796303818753', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-29 17:58:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:58:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575402967220740098', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 16:31:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 16:31:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1572836939831713793"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575406020774666242', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-29 16:43:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 16:43:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectdispatchw/page', 'GET', '{"current":["1"],"state":[""],"userType":["{}"],"projectLink":[""],"size":["30"]}', '26', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575406204644564993', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 16:44:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 16:44:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessnodel', 'POST', '{}', '428', NULL, NULL, 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575406209044389890', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 16:44:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 16:44:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["46"],"id":["1572140204302041089"]}', '154', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575406243659980802', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 16:44:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 16:44:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '141', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575406250366672898', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 16:44:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 16:44:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574314012068810754', 'GET', '{"id":["1574314012068810754"]}', '26', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575406863628443649', '1', 'tofly-flow', 'public', TO_DATE('2022-09-29 16:47:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 16:47:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574219785834180609', 'GET', '{}', '53', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575406864953843714', '1', 'tofly-flow', 'public', TO_DATE('2022-09-29 16:47:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 16:47:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '134', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575406953042616322', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 16:47:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 16:47:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["47"],"id":["1572140204302041089"]}', '125', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575407287941013506', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-29 16:49:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 16:49:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl', 'POST', '{}', '385', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575407288964423681', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-29 16:49:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 16:49:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575407302696574977', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-29 16:49:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 16:49:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '135', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575407303195697154', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-29 16:49:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 16:49:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575407303438966785', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-29 16:49:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 16:49:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575407306286899202', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-29 16:49:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 16:49:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575408037937094657', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-29 16:52:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 16:52:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '22', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575408038264250369', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-29 16:52:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 16:52:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '20', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575408060431147010', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-29 16:52:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 16:52:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '128', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575408061307756545', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-29 16:52:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 16:52:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575408061546831873', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-29 16:52:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 16:52:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575408064600285186', '1', 'tofly-flow', 'admin', TO_DATE('2022-09-29 16:52:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 16:52:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575408111756845057', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 16:52:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 16:52:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["47"],"id":["1572140204302041089"]}', '142', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575409940179787777', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 16:59:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 16:59:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["47"],"id":["1572140204302041089"]}', '124', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575410089878691842', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 17:00:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:00:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '131', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575410115975651329', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 17:00:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:00:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574314012068810754', 'GET', '{"id":["1574314012068810754"]}', '25', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575410413347610626', '1', 'tofly-flow', 'public', TO_DATE('2022-09-29 17:01:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:01:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '19', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575410452312694786', '1', 'tofly-flow', 'public', TO_DATE('2022-09-29 17:01:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:01:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '38', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575410498462621698', '0', 'tofly-flow', 'lz', TO_DATE('2022-09-29 17:01:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:01:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessnodel', 'POST', '{}', '161', NULL, '### Error updating database.  Cause: java.sql.SQLDataException: ORA-01438: 值大于为此列指定的允许精度

### The error may exist in com/tofly/workflow/process/mapper/TfProcessNodeLMapper.java (best guess)
### The error may involve com.tofly.workflow.process.mapper.TfProcessNodeLMapper.updateById-Inline
### The error occurred while setting parameters
### SQL: UPDATE TF_PROCESS_NODE_L  SET process_id=?, process_step=?,     step_node=?, step_name=?,     handle_results=?,       user_id=?,    duty_post=?,   handle_time=?,     node_state=?, handle_state=?  WHERE ID=?  AND is_del=0
### Cause: java.sql.SQLDataException: ORA-01438: 值大于为此列指定的允许精度

; ORA-01438: 值大于为此列指定的允许精度
; nested exception is java.sql.SQLDataException: ORA-01438: 值大于为此列指定的允许精度', 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575410555446435841', '1', 'tofly-flow', 'public', TO_DATE('2022-09-29 17:02:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:02:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '29', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575410633896697857', '1', 'tofly-flow', 'jttest1', TO_DATE('2022-09-29 17:02:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:02:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575410645695275010', '1', 'tofly-flow', 'jttest1', TO_DATE('2022-09-29 17:02:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:02:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575410653152747521', '1', 'tofly-flow', 'jttest1', TO_DATE('2022-09-29 17:02:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:02:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '17', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575410653496680450', '1', 'tofly-flow', 'jttest1', TO_DATE('2022-09-29 17:02:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:02:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575410658424987649', '1', 'tofly-flow', 'jttest1', TO_DATE('2022-09-29 17:02:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:02:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575410658735366146', '1', 'tofly-flow', 'jttest1', TO_DATE('2022-09-29 17:02:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:02:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575410663785308161', '1', 'tofly-flow', 'jttest1', TO_DATE('2022-09-29 17:02:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:02:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575060523681693698', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-28 17:51:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:51:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '117', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575060886455435266', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 17:52:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:52:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575060977689935874', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 17:52:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:52:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfreportentryp/page', 'GET', '{"name":[""],"current":["1"],"size":["30"]}', '17', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575060990927159298', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 17:52:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:52:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfreportentryp/page', 'GET', '{"name":[""],"current":["1"],"size":["30"]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575060991745048578', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 17:52:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:52:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfreportentryp/page', 'GET', '{"name":[""],"current":["1"],"size":["30"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575060996128096258', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 17:52:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:52:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1575053258153025538', 'GET', '{"id":["1575053258153025538"]}', '19', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575060996656578562', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 17:52:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:52:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfreportentryp/page', 'GET', '{"name":[""],"current":["1"],"size":["30"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575060997566742530', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 17:52:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:52:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfreportentryp/page', 'GET', '{"name":[""],"current":["1"],"size":["30"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575061835458658305', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 17:56:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:56:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfreportentryp/page', 'GET', '{"name":[""],"current":["1"],"size":["10"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575061836242993153', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 17:56:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:56:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfreportentryp/page', 'GET', '{"name":[""],"current":["1"],"size":["10"]}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575061837027328001', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 17:56:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:56:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfreportentryp/page', 'GET', '{"name":[""],"current":["1"],"size":["10"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575358522408329218', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 13:35:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 13:35:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '2', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575361126152560641', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-29 13:45:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 13:45:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1573919105386835969', 'GET', '{}', '26', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575361304142045185', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-29 13:46:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 13:46:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1573919105386835969', 'GET', '{}', '23', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575361306394386433', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-29 13:46:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 13:46:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '113', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575361420248768514', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-29 13:46:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 13:46:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '2', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575363249380548610', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 13:54:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 13:54:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '107', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575363249917419521', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 13:54:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 13:54:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1573919105386835969', 'GET', '{"id":["1573919105386835969"]}', '27', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575363262403862529', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 13:54:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 13:54:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '105', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575363530042400770', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-29 13:55:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 13:55:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1573919105386835969', 'GET', '{}', '21', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575363531200028674', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-29 13:55:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 13:55:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '107', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575363567828885506', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 13:55:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 13:55:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575363572958519297', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 13:55:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 13:55:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575363580566986753', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 13:55:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 13:55:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '30', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575363582538309633', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 13:55:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 13:55:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1572832711356719105"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575363889783660545', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-29 13:56:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 13:56:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1573919105386835969', 'GET', '{}', '20', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575363890895151106', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-29 13:56:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 13:56:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '110', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575364004221050881', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-29 13:57:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 13:57:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1573919105386835969', 'GET', '{}', '30', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575364005525479426', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-29 13:57:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 13:57:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '107', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575364665914449921', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-29 13:59:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 13:59:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1573919105386835969', 'GET', '{}', '45', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575364671031500802', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-29 13:59:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 13:59:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '312', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575365764847263745', '1', 'tofly-flow', 'll2', TO_DATE('2022-09-29 14:04:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 14:04:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1575053258153025538', 'GET', '{"id":["1575053258153025538"]}', '27', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575365765346385921', '1', 'tofly-flow', 'll2', TO_DATE('2022-09-29 14:04:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 14:04:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575365765547712514', '1', 'tofly-flow', 'll2', TO_DATE('2022-09-29 14:04:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 14:04:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575365768294981633', '1', 'tofly-flow', 'll2', TO_DATE('2022-09-29 14:04:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 14:04:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575365814302302210', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 14:04:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 14:04:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574314012068810754', 'GET', '{"id":["1574314012068810754"]}', '23', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575365940911562754', '1', 'tofly-flow', 'll2', TO_DATE('2022-09-29 14:04:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 14:04:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl', 'POST', '{}', '35', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575365941301633025', '1', 'tofly-flow', 'll2', TO_DATE('2022-09-29 14:04:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 14:04:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575365975741063170', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 14:04:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 14:04:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '7', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575365981520814082', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 14:04:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 14:04:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1575053258153025538', 'GET', '{"id":["1575053258153025538"]}', '25', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575366726383067137', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 14:07:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 14:07:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '34', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575366728056594434', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 14:07:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 14:07:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1572832711356719105"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575424968626798593', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 17:59:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:59:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["53"],"id":["1572140204302041089"]}', '137', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575424997848514562', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 17:59:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:59:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '2', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575426595744243713', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 18:05:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:05:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl', 'POST', '{}', '87', NULL, NULL, 'content:新增流程信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575426653441089538', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 18:05:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:05:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575426669907927041', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 18:06:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:06:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '134', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575426670813896706', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 18:06:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:06:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575426595366707202', 'GET', '{"id":["1575426595366707202"]}', '23', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575426791182032898', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 18:06:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:06:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '29', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575426801579712514', '1', 'tofly-flow', 'public', TO_DATE('2022-09-29 18:06:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:06:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["1000"],"dataType":["1570692286170427394"]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575426801671987202', '1', 'tofly-flow', 'public', TO_DATE('2022-09-29 18:06:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:06:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '32', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575429118538407937', '1', 'tofly-flow', 'public', TO_DATE('2022-09-29 18:15:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:15:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '125', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575429118924283905', '1', 'tofly-flow', 'public', TO_DATE('2022-09-29 18:15:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:15:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575426230143492098', 'GET', '{"id":["1575426230143492098"]}', '24', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575429126205595650', '1', 'tofly-flow', 'public', TO_DATE('2022-09-29 18:15:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:15:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575426230143492098', 'GET', '{"id":["1575426230143492098"]}', '23', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575429178101719042', '1', 'tofly-flow', 'public', TO_DATE('2022-09-29 18:16:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:16:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '144', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575429188482621441', '1', 'tofly-flow', 'public', TO_DATE('2022-09-29 18:16:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:16:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["1000"],"dataType":["1570692286170427394"]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575429345630609410', '1', 'tofly-flow', 'public', TO_DATE('2022-09-29 18:16:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:16:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessnodel', 'POST', '{}', '179', NULL, NULL, 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575429355873099777', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 18:16:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:16:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575429363175383042', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 18:16:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:16:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575429364840521729', '1', 'tofly-flow', 'public', TO_DATE('2022-09-29 18:16:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:16:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575426230143492098', 'GET', '{}', '39', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575429366044286977', '1', 'tofly-flow', 'public', TO_DATE('2022-09-29 18:16:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:16:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '163', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575429372780339201', '1', 'tofly-flow', 'public', TO_DATE('2022-09-29 18:16:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:16:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"size":["1000"],"current":["1"]}', '23', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575429415906172930', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 18:16:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:16:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '37', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575429417860718594', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 18:16:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:16:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"appLabe":["1572832711356719105"],"tenantId":["1569602913205559298"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575429420163391489', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 18:16:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:16:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{}', '142', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575429428015128578', '1', 'tofly-flow', 'public', TO_DATE('2022-09-29 18:17:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:17:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '131', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575429440849698817', '1', 'tofly-flow', 'public', TO_DATE('2022-09-29 18:17:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:17:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["1000"],"dataType":["1570692286170427394"]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575429440908419073', '1', 'tofly-flow', 'public', TO_DATE('2022-09-29 18:17:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:17:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '24', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575429459426271233', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 18:17:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:17:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '37', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575429460109942786', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 18:17:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:17:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"appLabe":["1572832711356719105"],"tenantId":["1569602913205559298"],"isMould":["0"]}', '7', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575429460982358017', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 18:17:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:17:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{}', '131', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575429496231288834', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 18:17:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:17:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '36', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575429496784936961', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 18:17:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:17:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"appLabe":["1572832711356719105"],"tenantId":["1569602913205559298"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575429497619603457', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 18:17:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:17:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{}', '127', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575429524916133889', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 18:17:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:17:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '37', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575429525297815553', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 18:17:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:17:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"appLabe":["1572832711356719105"],"tenantId":["1569602913205559298"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575429526090539009', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 18:17:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:17:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{}', '131', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575429550576885762', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 18:17:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:17:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '30', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575429550912430081', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 18:17:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:17:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"appLabe":["1572832711356719105"],"tenantId":["1569602913205559298"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575429551659016193', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 18:17:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:17:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{}', '114', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575429571753926657', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 18:17:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:17:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '30', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575429682819096577', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 18:18:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:18:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{}', '121', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575072141811466241', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 18:37:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 18:37:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '389', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575072142608384001', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 18:37:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 18:37:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1573918359266291713', 'GET', '{"id":["1573918359266291713"]}', '22', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575072148325220353', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 18:37:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 18:37:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["46"],"id":["1572140204302041089"]}', '324', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575072157800153090', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 18:37:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 18:37:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '339', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575072158748065794', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 18:37:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 18:37:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1573965383747530754', 'GET', '{"id":["1573965383747530754"]}', '86', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575072169992994817', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 18:37:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 18:37:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '312', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575072171054153730', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 18:37:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 18:37:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1573918359266291713', 'GET', '{"id":["1573918359266291713"]}', '72', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575072372946976770', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 18:38:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 18:38:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["46"],"id":["1572140204302041089"]}', '115', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575072417238827010', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 18:38:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 18:38:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["46"],"id":["1572140204302041089"]}', '115', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575072435165282306', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 18:38:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 18:38:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["46"],"id":["1572140204302041089"]}', '117', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575072572444852225', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 18:38:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 18:38:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '118', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575072573237575681', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 18:38:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 18:38:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575072573296295938', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 18:38:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 18:38:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '27', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575072590786543618', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 18:39:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 18:39:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1573919105386835969', 'GET', '{}', '24', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575072591151448066', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 18:39:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 18:39:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '115', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575072591889645570', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 18:39:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 18:39:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575072591956754433', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 18:39:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 18:39:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '25', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575072624009625601', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 18:39:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 18:39:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '105', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575397630472216577', '1', 'tofly-flow', 'public', TO_DATE('2022-09-29 16:10:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 16:10:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575400987400200193', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 16:23:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 16:23:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["2"],"id":["1575053258153025538"]}', '29', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575400987916099585', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 16:23:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 16:23:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575333777340104706', 'GET', '{"id":["1575333777340104706"]}', '30', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575400996514422786', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 16:24:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 16:24:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575333777340104706', 'GET', '{"id":["1575333777340104706"]}', '24', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575429617417314305', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 18:17:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:17:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"appLabe":["1572832711356719105"],"tenantId":["1569602913205559298"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575429618331672577', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 18:17:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:17:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{}', '125', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575429653412831233', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 18:17:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:17:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '31', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575429654817923074', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 18:17:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:17:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"appLabe":["1572832711356719105"],"tenantId":["1569602913205559298"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575429655652589570', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 18:17:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:17:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{}', '114', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575429657607135233', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 18:17:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:17:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575426595366707202', 'GET', '{}', '22', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575429658588602370', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 18:17:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:17:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '132', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575429665010081794', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 18:17:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:17:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["1000"],"dataType":["1570692286170427394"]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575429665060413441', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 18:17:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:17:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '19', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575429680545783810', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 18:18:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:18:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '27', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575429681967652865', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 18:18:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:18:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"appLabe":["1572832711356719105"],"tenantId":["1569602913205559298"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575429686031933442', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 18:18:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:18:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575426595366707202', 'GET', '{"id":["1575426595366707202"]}', '19', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575429706349142018', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 18:18:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:18:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '30', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575429707049590785', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 18:18:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:18:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"appLabe":["1572832711356719105"],"tenantId":["1569602913205559298"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575429708312076289', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 18:18:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:18:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{}', '115', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575429713655619586', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 18:18:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:18:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '127', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575429714226044929', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 18:18:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:18:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["1000"],"dataType":["1570692286170427394"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575429714276376577', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 18:18:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:18:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '18', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575304452683354114', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 10:00:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:00:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1573918359266291713', 'GET', '{"id":["1573918359266291713"]}', '24', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575304788638715906', '1', 'tofly-flow', 'public', TO_DATE('2022-09-29 10:01:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:01:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["1000"],"dataType":["1570692286170427394"]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575304838630625281', '1', 'tofly-flow', 'public', TO_DATE('2022-09-29 10:01:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:01:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["46"],"id":["1572140204302041089"]}', '132', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575304839276548097', '1', 'tofly-flow', 'public', TO_DATE('2022-09-29 10:01:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:01:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["1000"],"dataType":["1570692286170427394"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575304839343656961', '1', 'tofly-flow', 'public', TO_DATE('2022-09-29 10:01:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:01:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '22', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575304944511635458', '1', 'tofly-flow', 'public', TO_DATE('2022-09-29 10:02:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:02:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["46"],"id":["1572140204302041089"]}', '124', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575304945165946882', '1', 'tofly-flow', 'public', TO_DATE('2022-09-29 10:02:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:02:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["1000"],"dataType":["1570692286170427394"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575304945237250049', '1', 'tofly-flow', 'public', TO_DATE('2022-09-29 10:02:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:02:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '25', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575305005450678273', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 10:02:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:02:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '36', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575305005823971330', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 10:02:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:02:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1572832711356719105"],"isMould":["0"]}', '2', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575307333373284353', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 10:11:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:11:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575307405741805569', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 10:12:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:12:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["46"],"id":["1572140204302041089"]}', '117', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575307525338189826', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 10:12:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:12:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["46"],"id":["1572140204302041089"]}', '118', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575307545651204097', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 10:12:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:12:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '117', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575307546288738305', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 10:12:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:12:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574314012068810754', 'GET', '{"id":["1574314012068810754"]}', '24', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575308789090373633', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 10:17:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:17:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575308796145192961', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 10:17:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:17:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '119', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575308833797459969', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 10:17:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:17:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '237', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575308909018107906', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 10:18:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:18:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '124', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575310341830103042', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 10:23:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:23:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '21', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575310350524895234', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 10:23:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:23:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1575053258153025538', 'GET', '{"id":["1575053258153025538"]}', '20', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575310416811675649', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 10:24:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:24:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1575053258153025538', 'GET', '{"id":["1575053258153025538"]}', '22', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575314194738728961', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 10:39:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:39:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574314012068810754', 'GET', '{"id":["1574314012068810754"]}', '20', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575314230063157249', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-29 10:39:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:39:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '105', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575314248488734722', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 10:39:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:39:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '121', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575314276221472770', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 10:39:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:39:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '110', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575314276821258241', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 10:39:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:39:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574314012068810754', 'GET', '{"id":["1574314012068810754"]}', '23', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575314392022011906', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 10:39:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:39:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '116', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575314392990896130', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 10:39:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:39:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575314393058004994', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 10:39:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:39:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '20', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575314411898818562', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 10:39:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:39:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '111', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575314412842536962', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 10:39:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:39:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575314412892868610', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 10:39:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:39:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '22', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575314478600835074', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-29 10:40:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:40:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575314486926528513', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-29 10:40:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:40:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["45"],"id":["1572140204302041089"]}', '110', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575314502000857089', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-29 10:40:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:40:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["45"],"id":["1572140204302041089"]}', '107', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575314559349575682', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-29 10:40:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:40:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["45"],"id":["1572140204302041089"]}', '106', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575314586209898498', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-29 10:40:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:40:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575072630162669569', '1', 'tofly-flow', 'public', TO_DATE('2022-09-28 18:39:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 18:39:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575072644708515841', '1', 'tofly-flow', 'public', TO_DATE('2022-09-28 18:39:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 18:39:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1573919105386835969', 'GET', '{}', '22', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575072645358632962', '1', 'tofly-flow', 'public', TO_DATE('2022-09-28 18:39:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 18:39:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '102', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575072663180230658', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 18:39:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 18:39:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575072663255728129', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 18:39:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 18:39:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '26', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575072738409267201', '1', 'tofly-flow', 'public', TO_DATE('2022-09-28 18:39:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 18:39:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["1000"],"dataType":["1570692286170427394"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575072738493153282', '1', 'tofly-flow', 'public', TO_DATE('2022-09-28 18:39:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 18:39:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '23', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575366760445009922', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 14:07:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 14:07:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectdispatchw/page', 'GET', '{"current":["1"],"state":[""],"userType":["{}"],"projectLink":[""],"size":["30"]}', '1', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575367046341353474', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 14:09:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 14:09:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '130', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575367047045996546', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 14:09:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 14:09:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1573919105386835969', 'GET', '{"id":["1573919105386835969"]}', '37', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575367057179435010', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 14:09:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 14:09:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '123', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575367057619836929', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 14:09:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 14:09:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574293039374479362', 'GET', '{"id":["1574293039374479362"]}', '25', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575367068797657090', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 14:09:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 14:09:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '123', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575367074891980802', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 14:09:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 14:09:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574314012068810754', 'GET', '{"id":["1574314012068810754"]}', '22', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575370934188531713', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-29 14:24:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 14:24:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessnodel', 'POST', '{}', '253', NULL, NULL, 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575370939632738305', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-29 14:24:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 14:24:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1573919105386835969', 'GET', '{}', '31', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575370942413561857', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-29 14:24:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 14:24:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '290', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575370973040369665', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-29 14:24:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 14:24:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessnodel', 'POST', '{}', '559', NULL, NULL, 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575371003117723649', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-29 14:24:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 14:24:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessnodel', 'POST', '{}', '163', NULL, NULL, 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575371025175568385', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-29 14:24:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 14:24:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessnodel', 'POST', '{}', '142', NULL, NULL, 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575371048655282178', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-29 14:25:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 14:25:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessnodel', 'POST', '{}', '96', NULL, NULL, 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575371072462151682', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-29 14:25:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 14:25:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessnodel', 'POST', '{}', '68', NULL, NULL, 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575371094670991362', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-29 14:25:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 14:25:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessnodel', 'POST', '{}', '81', NULL, NULL, 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575371115684454401', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-29 14:25:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 14:25:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessnodel', 'POST', '{}', '4', NULL, NULL, 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575371149515710466', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-29 14:25:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 14:25:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessnodel', 'POST', '{}', '6', NULL, NULL, 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575371178921975809', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-29 14:25:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 14:25:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessnodel', 'POST', '{}', '6', NULL, NULL, 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575371294672183298', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-29 14:26:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 14:26:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessnodel', 'POST', '{}', '75', NULL, NULL, 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575371323663212546', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-29 14:26:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 14:26:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessnodel', 'POST', '{}', '66', NULL, NULL, 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575371352792653825', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-29 14:26:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 14:26:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessnodel', 'POST', '{}', '75', NULL, NULL, 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575371402855866370', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-29 14:26:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 14:26:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["47"],"id":["1572140204302041089"]}', '143', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575371802866638850', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 14:28:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 14:28:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '138', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575371825142587394', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 14:28:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 14:28:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574314012068810754', 'GET', '{"id":["1574314012068810754"]}', '17', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575374634927808514', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 14:39:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 14:39:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1572832711356719105"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575374944593272834', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 14:40:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 14:40:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '120', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575374945084006402', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 14:40:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 14:40:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1573919105386835969', 'GET', '{"id":["1573919105386835969"]}', '30', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575374966638534658', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 14:40:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 14:40:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '129', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575374967016022018', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 14:40:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 14:40:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574314012068810754', 'GET', '{"id":["1574314012068810754"]}', '20', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575375137535451137', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 14:41:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 14:41:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575375144611241986', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 14:41:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 14:41:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '7', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575375151011749890', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 14:41:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 14:41:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '32', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575375152890798082', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 14:41:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 14:41:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1572832711356719105"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575277393596727298', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 08:12:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 08:12:52', 'SYYYY-MM-DD HH24:MI:SS'), '117.136.65.75', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575290302540365826', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-29 09:04:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 09:04:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '13', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575292202950148098', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-29 09:11:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 09:11:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '18', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575292203206000642', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-29 09:11:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 09:11:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '17', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575299275226169345', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 09:39:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 09:39:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575376208215433217', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 14:45:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 14:45:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574314012068810754', 'GET', '{"id":["1574314012068810754"]}', '26', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575376392567676930', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 14:46:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 14:46:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574314012068810754', 'GET', '{"id":["1574314012068810754"]}', '25', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575420903461224450', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 17:43:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:43:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574954775253434369', 'GET', '{}', '16', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575420903901626370', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 17:43:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:43:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["45"],"id":["1572140204302041089"]}', '121', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575420924512436225', '1', 'tofly-flow', 'public', TO_DATE('2022-09-29 17:43:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:43:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575422683322515457', '1', 'tofly-flow', 'public', TO_DATE('2022-09-29 17:50:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:50:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575430211800522753', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 18:20:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:20:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1572837052390055938"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575430218867924994', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 18:20:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:20:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '30', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575430219488681985', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 18:20:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:20:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"appLabe":["1572832711356719105"],"tenantId":["1569602913205559298"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575430220277211137', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 18:20:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:20:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{}', '125', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575430400179298306', '1', 'tofly-flow', 'public', TO_DATE('2022-09-29 18:20:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:20:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575430491283775489', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 18:21:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:21:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575430559613181954', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 18:21:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:21:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575432954820812802', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 18:31:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:31:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575432955080859650', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 18:31:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:31:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575432963167477762', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 18:31:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:31:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"id":["1572140204302041089"]}', '117', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575432963712737282', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 18:31:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:31:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575432963935035394', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 18:31:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:31:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575432966350954497', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 18:31:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:31:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575449442021662722', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 19:36:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 19:36:32', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.113.146', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575449448287952898', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 19:36:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 19:36:33', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.113.146', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575653626763403266', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-30 09:07:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 09:07:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575653682992242690', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-30 09:08:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 09:08:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["53"],"id":["1572140204302041089"]}', '119', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575653683357147137', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-30 09:08:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 09:08:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575424433622429698', 'GET', '{"id":["1575424433622429698"]}', '20', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575653691309547521', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-30 09:08:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 09:08:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575424433622429698', 'GET', '{"id":["1575424433622429698"]}', '21', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575654057078022145', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-30 09:09:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 09:09:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575654067379232770', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-30 09:09:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 09:09:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575654260606623745', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-30 09:10:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 09:10:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575654272866574338', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-30 09:10:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 09:10:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575654278977675265', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-30 09:10:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 09:10:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '31', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575654341116289025', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-30 09:10:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 09:10:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575654347172864001', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-30 09:10:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 09:10:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575654593827299329', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-30 09:11:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 09:11:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["53"],"id":["1572140204302041089"]}', '114', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575058370321825793', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-28 17:42:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:42:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '127', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575058474973904897', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-28 17:42:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:42:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectdispatchw/page', 'GET', '{"current":["1"],"state":[""],"userType":["{}"],"projectLink":[""],"size":["30"]}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575058652707536897', '1', 'tofly-flow', 'public', TO_DATE('2022-09-28 17:43:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:43:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575142461763305473', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 23:16:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 23:16:42', 'SYYYY-MM-DD HH24:MI:SS'), '125.70.197.81', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["46"],"id":["1572140204302041089"]}', '107', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575144938529177601', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 23:26:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 23:26:32', 'SYYYY-MM-DD HH24:MI:SS'), '125.70.197.81', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["46"],"id":["1572140204302041089"]}', '102', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575425319157489666', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 18:00:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:00:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '30', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575425408278061057', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 18:01:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:01:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '26', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575425408609411073', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 18:01:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:01:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '22', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575425414653403137', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 18:01:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:01:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"id":["1572140204302041089"]}', '250', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575425417417449473', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 18:01:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:01:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '4', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575425417690079234', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 18:01:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:01:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575425420932276225', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 18:01:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:01:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '17', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575425613782179841', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 18:01:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:01:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl', 'POST', '{}', '227', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575425615183077378', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 18:01:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:01:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '18', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575425630123188226', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 18:01:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:01:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575425636750188546', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 18:01:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:01:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["53"],"id":["1572140204302041089"]}', '208', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575425637513551874', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 18:01:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:01:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575424433622429698', 'GET', '{"id":["1575424433622429698"]}', '64', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575425638356606977', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 18:01:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:01:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '10', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575425644878749697', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 18:01:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:01:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575424433622429698', 'GET', '{"id":["1575424433622429698"]}', '20', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575425657201614850', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 18:02:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:02:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["53"],"id":["1572140204302041089"]}', '153', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575425686456885249', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 18:02:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:02:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575426014535344130', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 18:03:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:03:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575426029899079682', '1', 'tofly-flow', 'public', TO_DATE('2022-09-29 18:03:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:03:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575426049859772417', '1', 'tofly-flow', 'public', TO_DATE('2022-09-29 18:03:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:03:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["53"],"id":["1572140204302041089"]}', '154', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575426055941513217', '1', 'tofly-flow', 'public', TO_DATE('2022-09-29 18:03:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:03:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575424433622429698', 'GET', '{"id":["1575424433622429698"]}', '24', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575426093367287810', '1', 'tofly-flow', 'public', TO_DATE('2022-09-29 18:03:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:03:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575426155359100930', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 18:04:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:04:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["53"],"id":["1572140204302041089"]}', '150', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575426172882903042', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 18:04:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:04:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["53"],"id":["1572140204302041089"]}', '143', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575426185071550465', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 18:04:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:04:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575426231259226114', '1', 'tofly-flow', 'public', TO_DATE('2022-09-29 18:04:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:04:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl', 'POST', '{}', '344', NULL, NULL, 'content:新增流程信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575426260300587009', '1', 'tofly-flow', 'public', TO_DATE('2022-09-29 18:04:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:04:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575426314415497217', '1', 'tofly-flow', 'public', TO_DATE('2022-09-29 18:04:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:04:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575426328705490945', '1', 'tofly-flow', 'public', TO_DATE('2022-09-29 18:04:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:04:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '141', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575426329355608065', '1', 'tofly-flow', 'public', TO_DATE('2022-09-29 18:04:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:04:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575426230143492098', 'GET', '{"id":["1575426230143492098"]}', '21', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575426355335127042', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 18:04:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:04:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575426384485539842', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 18:04:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:04:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"id":["1572140204302041089"]}', '140', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575145489748803585', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 23:28:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 23:28:44', 'SYYYY-MM-DD HH24:MI:SS'), '125.70.197.81', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["46"],"id":["1572140204302041089"]}', '106', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575145614915223553', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 23:29:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 23:29:14', 'SYYYY-MM-DD HH24:MI:SS'), '125.70.197.81', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["46"],"id":["1572140204302041089"]}', '109', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575314980596109314', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-29 10:42:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:42:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575314986942091265', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-29 10:42:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:42:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["45"],"id":["1572140204302041089"]}', '107', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575314991769735169', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 10:42:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:42:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575314992134639618', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 10:42:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:42:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575314992218525698', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 10:42:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:42:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575314993237741569', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-29 10:42:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:42:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574954775253434369', 'GET', '{"id":["1574954775253434369"]}', '26', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575314998145077249', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-29 10:42:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:42:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574954775253434369', 'GET', '{"id":["1574954775253434369"]}', '19', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575315017145274369', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 10:42:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:42:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575315022149079042', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 10:42:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:42:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '29', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575315022560120833', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 10:42:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:42:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1572832711356719105"],"isMould":["0"]}', '2', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575315026490183681', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-29 10:42:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:42:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["45"],"id":["1572140204302041089"]}', '105', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575315077211901954', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-29 10:42:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:42:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["46"],"id":["1572140204302041089"]}', '107', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575315285484261377', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 10:43:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:43:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575315293562490881', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 10:43:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:43:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575315307579854849', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 10:43:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:43:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '36', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575315902478962690', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 10:45:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:45:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575315902789341186', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 10:45:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:45:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575315903431069697', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 10:45:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:45:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575316027024625665', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-29 10:46:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:46:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575316035811692545', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-29 10:46:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:46:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["45"],"id":["1572140204302041089"]}', '111', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575316057584324609', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-29 10:46:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:46:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575316063821254657', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-29 10:46:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:46:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["45"],"id":["1572140204302041089"]}', '105', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575316218653986817', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-29 10:47:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:47:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '113', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575316219304103937', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 10:47:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:47:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575316219648036865', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-29 10:47:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:47:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["1000"],"dataType":["1570692286170427394"]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575316219773865986', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-29 10:47:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:47:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '17', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575316228892282882', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-29 10:47:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:47:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '104', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575316248999776258', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 10:47:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:47:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575316256281088002', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 10:47:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:47:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '32', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575316257883312129', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 10:47:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:47:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1572832711356719105"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575316774260854786', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 10:49:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:49:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '103', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575316775032606721', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 10:49:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:49:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574314012068810754', 'GET', '{"id":["1574314012068810754"]}', '21', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575317164830248961', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 10:50:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:50:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '115', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575317191787040770', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 10:51:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:51:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '109', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575317192386826241', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 10:51:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:51:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574314012068810754', 'GET', '{"id":["1574314012068810754"]}', '21', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575317218437648385', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 10:51:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:51:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575317218748026881', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 10:51:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:51:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575060849960796162', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 17:52:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:52:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '19', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575060857032392706', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 17:52:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:52:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1575053258153025538', 'GET', '{"id":["1575053258153025538"]}', '19', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575060880088481793', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 17:52:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:52:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"nature":[""]}', '38', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575061168371384321', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 17:53:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:53:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfreportentryp', 'POST', '{}', '4', NULL, NULL, 'content:新增开工报告条目', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575061168677568513', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 17:53:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:53:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfreportentryp/page', 'GET', '{"name":[""],"current":["1"],"size":["30"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575062055131136001', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 17:57:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:57:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfreportentryp/page', 'GET', '{"name":[""],"current":["2"],"size":["10"]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575062057966485506', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 17:57:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:57:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfreportentryp/page', 'GET', '{"name":[""],"current":["1"],"size":["10"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575062078245945345', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 17:57:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:57:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfreportentryp/page', 'GET', '{"name":[""],"current":["1"],"size":["50"]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575062104472928257', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 17:57:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:57:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfreportentryp/1575061773382868993', 'DELETE', '{"0":["1575061773382868993"]}', '20', NULL, NULL, 'content:通过id删除开工报告条目', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575062104934301698', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 17:57:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:57:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfreportentryp/page', 'GET', '{"name":[""],"current":["1"],"size":["50"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575062126358806529', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-28 17:57:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:57:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '120', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575062138744586241', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-28 17:57:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:57:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1573919105386835969', 'GET', '{}', '94', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575062138996244482', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-28 17:57:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:57:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '156', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575062170336083969', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 17:57:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:57:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfreportentryp/1575061761638817793', 'DELETE', '{"0":["1575061761638817793"]}', '2', NULL, NULL, 'content:通过id删除开工报告条目', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575062170822623234', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 17:57:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:57:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfreportentryp/page', 'GET', '{"name":[""],"current":["1"],"size":["50"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575062174102568961', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-28 17:57:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:57:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1573919105386835969', 'GET', '{}', '31', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575062174530387970', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-28 17:57:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:57:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '132', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575062194084233217', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-28 17:57:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:57:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '157', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575062200677679106', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-28 17:57:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:57:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574219785834180609', 'GET', '{}', '28', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575062201080332289', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-28 17:57:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:57:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '120', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575062228209090562', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-28 17:57:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:57:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575062258093506562', '1', 'tofly-flow', 'public', TO_DATE('2022-09-28 17:58:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:58:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1573919105386835969', 'GET', '{}', '31', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575062258772983810', '1', 'tofly-flow', 'public', TO_DATE('2022-09-28 17:58:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:58:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '118', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575062330034208770', '1', 'tofly-flow', 'public', TO_DATE('2022-09-28 17:58:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:58:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1573919105386835969', 'GET', '{}', '27', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575062330508165121', '1', 'tofly-flow', 'public', TO_DATE('2022-09-28 17:58:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:58:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '131', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575062335008653314', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-28 17:58:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:58:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '131', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575304464544845826', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 10:00:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:00:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1575053258153025538', 'GET', '{"id":["1575053258153025538"]}', '21', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575304551551488002', '1', 'tofly-flow', 'public', TO_DATE('2022-09-29 10:00:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:00:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575304585768620034', '1', 'tofly-flow', 'public', TO_DATE('2022-09-29 10:00:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:00:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["41"],"id":["1572140204302041089"]}', '141', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575304586162884610', '1', 'tofly-flow', 'public', TO_DATE('2022-09-29 10:00:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:00:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574938027984769025', 'GET', '{"id":["1574938027984769025"]}', '19', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575304612071100417', '1', 'tofly-flow', 'public', TO_DATE('2022-09-29 10:01:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:01:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574938027984769025', 'GET', '{"id":["1574938027984769025"]}', '20', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575304651556278274', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 10:01:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:01:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1575053258153025538', 'GET', '{"id":["1575053258153025538"]}', '17', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575304787460116481', '1', 'tofly-flow', 'public', TO_DATE('2022-09-29 10:01:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:01:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["46"],"id":["1572140204302041089"]}', '123', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575304788638715905', '1', 'tofly-flow', 'public', TO_DATE('2022-09-29 10:01:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:01:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '27', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575305022563438594', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 10:02:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:02:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1572837052390055938"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575305040053686274', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 10:02:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:02:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectmaterialw/getDispatchRecord', 'GET', '{"relationId":["1574971019977375746"],"materialType":["3"]}', '18', NULL, NULL, 'content:领料记录', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575305040355676161', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 10:02:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:02:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1572837185089445889"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575305083389235202', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-29 10:02:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:02:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '19', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575305083653476354', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-29 10:02:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:02:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '17', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575305108085297153', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-29 10:03:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:03:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '18', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575138035019366402', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 22:59:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 22:59:06', 'SYYYY-MM-DD HH24:MI:SS'), '125.70.197.81', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["46"],"id":["1572140204302041089"]}', '111', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575140216799838209', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 23:07:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 23:07:47', 'SYYYY-MM-DD HH24:MI:SS'), '125.70.197.81', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["46"],"id":["1572140204302041089"]}', '116', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575141948149809154', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 23:14:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 23:14:39', 'SYYYY-MM-DD HH24:MI:SS'), '125.70.197.81', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["46"],"id":["1572140204302041089"]}', '110', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575142395719794689', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 23:16:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 23:16:26', 'SYYYY-MM-DD HH24:MI:SS'), '125.70.197.81', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["46"],"id":["1572140204302041089"]}', '104', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575424213794684929', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 17:56:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:56:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"id":["1572140204302041089"]}', '112', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575426385567670273', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 18:04:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:04:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '55', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575426530401181697', '1', 'tofly-flow', 'public', TO_DATE('2022-09-29 18:05:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:05:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '125', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575426531034521601', '1', 'tofly-flow', 'public', TO_DATE('2022-09-29 18:05:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:05:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575426230143492098', 'GET', '{"id":["1575426230143492098"]}', '37', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575426619244929026', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 18:05:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:05:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575426684181143553', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 18:06:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:06:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '132', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575426696822775809', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-29 18:06:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:06:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575426729483821057', '1', 'tofly-flow', 'public', TO_DATE('2022-09-29 18:06:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:06:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessnodel', 'POST', '{}', '141', NULL, NULL, 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575426744604286977', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 18:06:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:06:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575426230143492098', 'GET', '{}', '39', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575426745032105986', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 18:06:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:06:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '143', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575426757648572417', '1', 'tofly-flow', 'public', TO_DATE('2022-09-29 18:06:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:06:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '129', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575426768314687490', '1', 'tofly-flow', 'public', TO_DATE('2022-09-29 18:06:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:06:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["1000"],"dataType":["1570692286170427394"]}', '41', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575426768385990658', '1', 'tofly-flow', 'public', TO_DATE('2022-09-29 18:06:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:06:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '71', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575426785167400961', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 18:06:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:06:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575426230143492098', 'GET', '{}', '21', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575426785637163009', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 18:06:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:06:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '128', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575426788497678338', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 18:06:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:06:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessnodel', 'POST', '{}', '122', NULL, NULL, 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575426789986656258', '1', 'tofly-flow', 'public', TO_DATE('2022-09-29 18:06:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:06:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '141', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575426791123312642', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 18:06:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:06:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["1000"],"dataType":["1570692286170427394"]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575426824241537025', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 18:06:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:06:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '140', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575426824916819970', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 18:06:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:06:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575426595366707202', 'GET', '{"id":["1575426595366707202"]}', '25', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575426849919066113', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 18:06:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:06:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575426862896242690', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 18:06:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:06:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"id":["1572140204302041089"]}', '132', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575426863395364866', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 18:06:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:06:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '46', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575426893569187841', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 18:06:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:06:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"id":["1572140204302041089"]}', '132', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575426894462574593', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 18:06:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:06:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '37', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575426977149083650', '1', 'tofly-flow', 'public', TO_DATE('2022-09-29 18:07:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:07:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessnodel', 'POST', '{}', '23', NULL, NULL, 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575427014579052546', '1', 'tofly-flow', 'public', TO_DATE('2022-09-29 18:07:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:07:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessnodel', 'POST', '{}', '19', NULL, NULL, 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575427020845342722', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 18:07:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:07:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessnodel', 'POST', '{}', '114', NULL, NULL, 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575427091838132225', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 18:07:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:07:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '140', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575427092354031618', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 18:07:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:07:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575426595366707202', 'GET', '{"id":["1575426595366707202"]}', '24', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575427151623741442', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 18:07:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:07:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '138', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575427152429047809', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 18:07:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:07:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575426595366707202', 'GET', '{"id":["1575426595366707202"]}', '26', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575427259912282113', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 18:08:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:08:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575426595366707202', 'GET', '{}', '25', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575427260403015681', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 18:08:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:08:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '139', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575427267009044481', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 18:08:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:08:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["1000"],"dataType":["1570692286170427394"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575130515102056450', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 22:29:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 22:29:13', 'SYYYY-MM-DD HH24:MI:SS'), '125.70.197.81', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["46"],"id":["1572140204302041089"]}', '115', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575135757608763394', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 22:50:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 22:50:03', 'SYYYY-MM-DD HH24:MI:SS'), '125.70.197.81', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["46"],"id":["1572140204302041089"]}', '124', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575136236812189698', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 22:51:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 22:51:58', 'SYYYY-MM-DD HH24:MI:SS'), '125.70.197.81', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["46"],"id":["1572140204302041089"]}', '149', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575136286044930050', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 22:52:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 22:52:09', 'SYYYY-MM-DD HH24:MI:SS'), '125.70.197.81', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["46"],"id":["1572140204302041089"]}', '126', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575136367691251714', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 22:52:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 22:52:29', 'SYYYY-MM-DD HH24:MI:SS'), '125.70.197.81', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["46"],"id":["1572140204302041089"]}', '130', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575136874178625537', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 22:54:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 22:54:30', 'SYYYY-MM-DD HH24:MI:SS'), '125.70.197.81', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["46"],"id":["1572140204302041089"]}', '233', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575137575365591041', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 22:57:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 22:57:17', 'SYYYY-MM-DD HH24:MI:SS'), '125.70.197.81', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["46"],"id":["1572140204302041089"]}', '150', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575137975506386945', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 22:58:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 22:58:52', 'SYYYY-MM-DD HH24:MI:SS'), '125.70.197.81', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["46"],"id":["1572140204302041089"]}', '108', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575324496431702017', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 11:20:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 11:20:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575324501255151618', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 11:20:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 11:20:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1575053258153025538', 'GET', '{"id":["1575053258153025538"]}', '22', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575324896534749186', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-29 11:21:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 11:21:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1573919105386835969', 'GET', '{}', '55', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575325916732088322', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-29 11:25:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 11:25:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575327789513990146', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-29 11:33:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 11:33:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["46"],"id":["1572140204302041089"]}', '111', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575328422543515649', '1', 'tofly-flow', 'public', TO_DATE('2022-09-29 11:35:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 11:35:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575328724755701762', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-29 11:36:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 11:36:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["46"],"id":["1572140204302041089"]}', '112', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575330325436325890', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-29 11:43:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 11:43:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["1000"],"dataType":["1570692286170427394"]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575331334824943617', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 11:47:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 11:47:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575331351052705793', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 11:47:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 11:47:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575331357486768129', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 11:47:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 11:47:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '31', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575331844315439105', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 11:49:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 11:49:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575332553970704386', '2', 'tofly-auth', 'mzadmin', TO_DATE('2022-09-29 11:52:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 11:52:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/7f762a47-66d3-456f-8f89-0db068d55c27', 'DELETE', '{}', '1', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575333300007362562', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 11:55:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 11:55:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575333320714641410', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 11:55:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 11:55:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575333469432078338', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 11:55:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 11:55:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575333738144358401', '2', 'tofly-auth', 'mzadmin', TO_DATE('2022-09-29 11:56:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 11:56:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/5b882b72-9c04-430f-bc29-e19602906004', 'DELETE', '{}', '1', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575333932193832961', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 11:57:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 11:57:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1572832711356719105"],"isMould":["0"]}', '2', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575334344246452225', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 11:59:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 11:59:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575334349703241730', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 11:59:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 11:59:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575334349761961985', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 11:59:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 11:59:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '2', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575334371727532034', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-29 11:59:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 11:59:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575334387779133441', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 11:59:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 11:59:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1575053258153025538', 'GET', '{"edition":["2"],"id":["1575053258153025538"]}', '23', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575334388961927169', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 11:59:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 11:59:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575333777340104706', 'GET', '{"id":["1575333777340104706"]}', '15', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575334781309706242', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 12:00:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 12:00:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '8', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575424900339335169', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-29 17:59:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:59:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575424974205222914', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-29 17:59:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:59:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575424974784036866', '2', 'tofly-auth', 'jtadmin', TO_DATE('2022-09-29 17:59:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:59:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/b9cdfa75-2db9-4486-ab1c-b074228b171e', 'DELETE', '{}', '1', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575424982300229634', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 17:59:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:59:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["53"],"id":["1572140204302041089"]}', '139', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575058652699148290', '1', 'tofly-flow', 'public', TO_DATE('2022-09-28 17:43:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:43:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '36', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575068510777327617', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 18:22:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 18:22:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574293039374479362', 'GET', '{}', '25', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575068511519719425', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 18:22:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 18:22:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '113', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575068512438272002', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 18:22:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 18:22:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '21', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575068512551518210', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 18:22:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 18:22:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '56', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575068709046272001', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 18:23:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 18:23:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["46"],"id":["1572140204302041089"]}', '117', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575068729355091969', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 18:23:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 18:23:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574293039374479362', 'GET', '{}', '26', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575068730483359746', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 18:23:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 18:23:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '134', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575068731519352834', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 18:23:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 18:23:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575068731620016129', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 18:23:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 18:23:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '32', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575068758702637058', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 18:23:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 18:23:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["46"],"id":["1572140204302041089"]}', '173', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575068798154260482', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 18:23:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 18:23:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575068809692790786', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 18:24:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 18:24:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '28', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575068838646071298', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 18:24:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 18:24:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"typeName":[""],"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575068858711621634', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 18:24:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 18:24:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '33', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575068894837161985', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 18:24:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 18:24:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/1575060125105283074', 'DELETE', '{"0":["1575060125105283074"]}', '6', NULL, NULL, 'content:通过id删除物资信息表', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575068895210455042', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 18:24:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 18:24:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '24', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575068913329848322', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 18:24:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 18:24:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575068928886521857', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 18:24:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 18:24:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574219785834180609', 'GET', '{}', '30', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575068929226260482', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 18:24:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 18:24:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '110', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575068930128035842', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 18:24:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 18:24:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575068930203533314', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 18:24:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 18:24:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '25', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575069009454907393', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 18:24:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 18:24:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575069020095856642', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 18:24:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 18:24:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"typeName":[""],"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575072135415152642', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 18:37:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 18:37:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '72', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575074200757551105', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 18:45:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 18:45:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575074200845631490', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 18:45:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 18:45:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '35', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575074244298620929', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 18:45:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 18:45:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575074244382507009', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 18:45:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 18:45:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '30', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575075495920877569', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 18:50:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 18:50:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575075495987986433', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 18:50:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 18:50:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '32', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575291498109943810', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 09:08:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 09:08:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '118', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575291527176470529', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 09:09:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 09:09:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575291560626044930', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-29 09:09:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 09:09:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '17', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575291560894480386', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-29 09:09:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 09:09:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '21', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575291564090540033', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 09:09:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 09:09:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["10000"],"current":["1"]}', '28', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575291564182814721', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 09:09:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 09:09:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '57', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575291566502264834', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-29 09:09:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 09:09:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575291590103613442', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 09:09:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 09:09:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '36', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575291605333131265', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 09:09:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 09:09:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/1574959605363589121', 'GET', '{"0":["1574959605363589121"]}', '13', NULL, NULL, 'content:通过id查询施工组织单位', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575291643228667906', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 09:09:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 09:09:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"nature":[""]}', '27', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575317218878050306', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 10:51:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:51:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '2', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575305108378898434', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-29 10:03:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:03:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575306049408749570', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 10:06:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:06:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575312227580792834', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 10:31:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:31:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '7', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575333813104959490', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 11:57:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 11:57:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1575053258153025538', 'GET', '{"edition":["2"],"id":["1575053258153025538"]}', '21', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575333831010443265', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 11:57:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 11:57:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1575053258153025538', 'GET', '{"edition":["2"],"id":["1575053258153025538"]}', '22', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575333872521469953', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 11:57:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 11:57:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1575053258153025538', 'GET', '{"edition":["2"],"id":["1575053258153025538"]}', '19', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575333909322293249', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 11:57:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 11:57:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575333911742406657', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 11:57:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 11:57:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1575053258153025538', 'GET', '{"edition":["2"],"id":["1575053258153025538"]}', '18', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575333922345607169', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 11:57:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 11:57:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '2', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575333928758697986', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 11:57:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 11:57:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '27', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575333945754017794', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 11:57:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 11:57:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575333945787572226', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 11:57:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 11:57:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575333945938567170', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 11:57:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 11:57:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575334162704392194', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 11:58:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 11:58:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1575053258153025538', 'GET', '{"edition":["2"],"id":["1575053258153025538"]}', '20', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575334320468942849', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 11:59:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 11:59:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '2', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575334326781370369', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 11:59:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 11:59:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575334349711630337', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 11:59:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 11:59:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575334401842634754', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 11:59:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 11:59:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575333777340104706', 'GET', '{"id":["1575333777340104706"]}', '13', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575334427566301186', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-29 11:59:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 11:59:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '121', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575335176656412673', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 12:02:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 12:02:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '2', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575335188903780353', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 12:02:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 12:02:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575335191856570370', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 12:02:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 12:02:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '32', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575335191890124801', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 12:02:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 12:02:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1572832711356719105"],"isMould":["0"]}', '2', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575375315952754690', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 14:41:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 14:41:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '2', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575375327898132482', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 14:42:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 14:42:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575375336882331650', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 14:42:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 14:42:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '35', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575375338719436802', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 14:42:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 14:42:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1572832711356719105"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575375529786761217', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 14:42:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 14:42:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '125', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575375536858357761', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 14:42:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 14:42:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574314012068810754', 'GET', '{"id":["1574314012068810754"]}', '25', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575375606563495937', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 14:43:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 14:43:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '133', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575375612867534850', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 14:43:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 14:43:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574314012068810754', 'GET', '{"id":["1574314012068810754"]}', '19', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575379129694969857', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 14:57:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 14:57:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575379137026613250', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 14:57:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 14:57:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575379143649419266', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 14:57:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 14:57:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '33', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575380028379127809', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-29 15:00:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:00:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["47"],"id":["1572140204302041089"]}', '147', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575380376846098434', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 15:02:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:02:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574314012068810754', 'GET', '{"id":["1574314012068810754"]}', '23', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575380486564896770', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 15:02:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:02:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["47"],"id":["1572140204302041089"]}', '182', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575390889835614209', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-29 15:43:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:43:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '20', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575393110732165121', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-29 15:52:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:52:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575393127492603905', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-29 15:52:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:52:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '132', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575389860104622081', '1', 'tofly-flow', 'test7', TO_DATE('2022-09-29 15:39:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:39:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575389873836773377', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 15:39:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:39:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575389974047084545', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 15:40:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:40:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["47"],"id":["1572140204302041089"]}', '122', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575390130003890177', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 15:40:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:40:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["47"],"id":["1572140204302041089"]}', '126', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575390151906545666', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 15:40:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:40:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["47"],"id":["1572140204302041089"]}', '141', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575390170206294018', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 15:41:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:41:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["47"],"id":["1572140204302041089"]}', '130', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575390383037861889', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 15:41:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:41:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["2"],"id":["1575053258153025538"]}', '19', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575390383356628993', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 15:41:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:41:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575333777340104706', 'GET', '{"id":["1575333777340104706"]}', '14', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575390394890964993', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 15:41:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:41:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["2"],"id":["1575053258153025538"]}', '28', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575390395281035265', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 15:41:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:41:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575333777340104706', 'GET', '{"id":["1575333777340104706"]}', '25', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575390400037376001', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 15:41:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:41:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575333777340104706', 'GET', '{"id":["1575333777340104706"]}', '16', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575390414616776706', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-29 15:41:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:41:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '122', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575390426750898177', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-29 15:42:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:42:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["1000"],"dataType":["1570692286170427394"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575390508510466049', '1', 'tofly-flow', 'test7', TO_DATE('2022-09-29 15:42:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:42:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectdispatchw/page', 'GET', '{"current":["1"],"state":[""],"userType":["{}"],"projectLink":[""],"size":["30"]}', '2', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575390522578161665', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 15:42:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:42:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575390529947553794', '1', 'tofly-flow', 'test7', TO_DATE('2022-09-29 15:42:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:42:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectdispatchw/page', 'GET', '{"current":["1"],"state":[""],"userType":["{}"],"projectLink":[""],"size":["30"]}', '2', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575390579163516929', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-29 15:42:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:42:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575390579184488450', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-29 15:42:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:42:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '7', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575390587346604034', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-29 15:42:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:42:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '20', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575390587631816705', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-29 15:42:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:42:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575390592279105538', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-29 15:42:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:42:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575390634394112002', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 15:42:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:42:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574314012068810754', 'GET', '{"id":["1574314012068810754"]}', '14', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575390677306036226', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 15:43:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:43:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '123', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575390677918404609', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 15:43:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:43:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1573919105386835969', 'GET', '{"id":["1573919105386835969"]}', '27', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575390693097590785', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 15:43:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:43:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '127', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575390700072718338', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 15:43:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:43:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574314012068810754', 'GET', '{"id":["1574314012068810754"]}', '23', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575392083098324993', '2', 'tofly-auth', 'jtadmin', TO_DATE('2022-09-29 15:48:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:48:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/b40722cc-59f3-4891-942f-c3f9360ab9ad', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575392175498842114', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 15:48:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:48:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575392180154519553', '0', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 15:48:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:48:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"id":["1575053258153025538"]}', '71', NULL, 'nested exception is org.apache.ibatis.type.TypeException: Could not set parameters for mapping: ParameterMapping{property=''edition'', mode=IN, javaType=class java.lang.Object, jdbcType=null, numericScale=null, resultMapId=''null'', jdbcTypeName=''null'', expression=''null''}. Cause: org.apache.ibatis.type.TypeException: Error setting null for parameter #1 with JdbcType OTHER . Try setting a different JdbcType for this parameter or a different jdbcTypeForNull configuration property. Cause: java.sql.SQLException: 无效的列类型: 1111', 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575429572160774146', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 18:17:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:17:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"appLabe":["1572832711356719105"],"tenantId":["1569602913205559298"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575429572869611522', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 18:17:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:17:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{}', '108', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575429589793628162', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 18:17:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:17:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '33', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575429590141755394', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 18:17:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:17:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"appLabe":["1572832711356719105"],"tenantId":["1569602913205559298"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575429590871564290', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 18:17:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:17:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{}', '113', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575429616045776898', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 18:17:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:17:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '31', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575429740696297474', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 18:18:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:18:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '30', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575429777551646721', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 18:18:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:18:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"appLabe":["1572832711356719105"],"tenantId":["1569602913205559298"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575429778369536002', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 18:18:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:18:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{}', '117', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575429787026579458', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 18:18:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:18:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575426595366707202', 'GET', '{}', '21', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575429787420844033', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 18:18:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:18:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '121', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575429788926599169', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 18:18:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:18:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '29', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575429789119537153', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 18:18:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:18:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"appLabe":["1572832711356719105"],"tenantId":["1569602913205559298"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575429789945815042', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 18:18:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:18:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{}', '116', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575429793980735489', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 18:18:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:18:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["1000"],"dataType":["1570692286170427394"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575429794022678529', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 18:18:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:18:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '17', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575429821860274178', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 18:18:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:18:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '30', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575429822111932417', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 18:18:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:18:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"appLabe":["1572832711356719105"],"tenantId":["1569602913205559298"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575429822783021058', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 18:18:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:18:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{}', '113', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575429953209098242', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 18:19:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:19:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575429972943298561', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 18:19:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:19:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '120', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575429973425643522', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 18:19:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:19:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575426595366707202', 'GET', '{"id":["1575426595366707202"]}', '22', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575430170025254914', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 18:19:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:19:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"appLabe":["1572832711356719105"],"tenantId":["1569602913205559298"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575430170851532802', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 18:19:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:19:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{}', '123', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575432573629882370', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 18:29:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:29:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '27', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575432573931872258', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 18:29:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:29:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '17', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575432578667241474', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 18:29:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:29:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '19', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575432578927288321', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 18:29:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:29:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575432586770636801', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 18:29:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:29:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"id":["1572140204302041089"]}', '147', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575432587332673537', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 18:29:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:29:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '4', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575432587529805826', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 18:29:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:29:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575432590239326210', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 18:29:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:29:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575432898726191105', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 18:30:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:30:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575445081226543106', '2', 'tofly-auth', 'copy', TO_DATE('2022-09-29 19:19:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 19:19:12', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/oauth/token', 'POST', '{"password":["c984aed014aec7623a54f0591da07a85fd4b762d"],"client_secret":["tofly"],"grant_type":["password"],"client_id":["tofly"],"username":["copy"]}', '547', NULL, NULL, 'content:登录 :copy', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575651370840219649', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-30 08:58:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 08:58:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575652108211445762', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-30 09:01:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 09:01:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["53"],"id":["1572140204302041089"]}', '149', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575652126569914370', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-30 09:01:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 09:01:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '121', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575652127345860610', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-30 09:01:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 09:01:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575426595366707202', 'GET', '{"id":["1575426595366707202"]}', '33', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575653400170323970', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-30 09:06:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 09:06:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575659356639846401', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-30 09:30:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 09:30:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575426595366707202', 'GET', '{"id":["1575426595366707202"]}', '20', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575659521962532865', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-30 09:31:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 09:31:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '144', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575659545517744129', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-30 09:31:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 09:31:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["1000"],"dataType":["1570692286170427394"]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575659545668739073', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-30 09:31:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 09:31:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '23', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575659562907328513', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-30 09:31:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 09:31:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575426230143492098', 'GET', '{}', '29', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575317254991007745', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-29 10:51:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:51:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["46"],"id":["1572140204302041089"]}', '109', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575317337094508545', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-29 10:51:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:51:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '105', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575317352672153602', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 10:51:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:51:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '2', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575317359076855809', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-29 10:51:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:51:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["1000"],"dataType":["1570692286170427394"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575317359492091906', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 10:51:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:51:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575317378693615618', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-29 10:51:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:51:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["46"],"id":["1572140204302041089"]}', '111', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575317384611778562', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 10:51:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:51:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '2', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575317384922157058', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 10:51:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:51:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575317385068957697', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 10:51:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:51:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '2', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575317465830281217', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-29 10:52:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:52:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1573919105386835969', 'GET', '{}', '25', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575317466249711618', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-29 10:52:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:52:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1573919105386835969', 'GET', '{}', '24', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575317466585255937', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-29 10:52:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:52:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1573919105386835969', 'GET', '{}', '24', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575317474621542402', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-29 10:52:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:52:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '129', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575317475414265857', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-29 10:52:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:52:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["1000"],"dataType":["1570692286170427394"]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575317475472986113', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-29 10:52:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:52:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '20', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575317489507127298', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 10:52:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:52:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574314012068810754', 'GET', '{"id":["1574314012068810754"]}', '16', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575317528895836161', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 10:52:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:52:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '110', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575317529524981762', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 10:52:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:52:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574314012068810754', 'GET', '{"id":["1574314012068810754"]}', '14', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575317537909395457', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 10:52:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:52:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575317560374087682', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-29 10:52:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:52:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1573919105386835969', 'GET', '{}', '28', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575317563188465665', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-29 10:52:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:52:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1573919105386835969', 'GET', '{}', '21', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575317567647010817', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-29 10:52:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:52:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1573919105386835969', 'GET', '{}', '22', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575317576270499842', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-29 10:52:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:52:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1573919105386835969', 'GET', '{}', '23', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575318339881291777', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-29 10:55:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:55:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/94a2a72e-b3c5-45ec-b521-7397b17b6c4e', 'DELETE', '{}', '1', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575318379458744322', '2', 'tofly-auth', 'jtadmin', TO_DATE('2022-09-29 10:55:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:55:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/5382f708-1c2b-4167-af8b-d36a801720bc', 'DELETE', '{}', '1', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575366238258356225', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 14:05:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 14:05:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1575053258153025538', 'GET', '{"id":["1575053258153025538"]}', '22', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575366423969554433', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 14:06:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 14:06:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575366432198778882', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 14:06:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 14:06:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575366456295055362', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 14:06:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 14:06:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectdispatchw/page', 'GET', '{"current":["1"],"state":[""],"userType":["{}"],"projectLink":[""],"size":["30"]}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575367667182231554', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 14:11:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 14:11:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575367674891362305', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 14:11:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 14:11:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '37', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575367676766216194', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 14:11:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 14:11:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1572832711356719105"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575367709934772226', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 14:11:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 14:11:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '103', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575367715659997185', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 14:11:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 14:11:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574314012068810754', 'GET', '{"id":["1574314012068810754"]}', '21', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575368576159211521', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-29 14:15:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 14:15:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1573919105386835969', 'GET', '{}', '32', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575368577417502722', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-29 14:15:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 14:15:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '120', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575368652747202561', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 14:15:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 14:15:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectdispatchw/page', 'GET', '{"current":["1"],"state":[""],"userType":["{}"],"projectLink":[""],"size":["30"]}', '1', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575368687945801729', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 14:15:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 14:15:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectdispatchw/page', 'GET', '{"current":["1"],"state":[""],"userType":["{}"],"projectLink":[""],"size":["30"]}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575368959040446465', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 14:16:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 14:16:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575368968058200066', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 14:16:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 14:16:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575368975133990913', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 14:16:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 14:16:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '33', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575368976824295426', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 14:16:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 14:16:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1572832711356719105"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575291444842283009', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 09:08:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 09:08:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575291566502264835', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-29 09:09:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 09:09:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575291648219889665', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 09:09:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 09:09:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["9999"]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575291667152977922', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 09:09:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 09:09:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '25', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575291687541489666', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 09:09:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 09:09:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"typeName":[""],"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575291731153862657', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 09:09:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 09:09:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfreportentryp/page', 'GET', '{"name":[""],"current":["1"],"size":["30"]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575291756118360065', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-29 09:09:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 09:09:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575291798128508929', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-29 09:10:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 09:10:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '17', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575291798598270977', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-29 09:10:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 09:10:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '21', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575291827278921729', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-29 09:10:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 09:10:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575291827648020482', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-29 09:10:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 09:10:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575291834556039169', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-29 09:10:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 09:10:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '110', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575291836103737346', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-29 09:10:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 09:10:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '4', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575291836930015233', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-29 09:10:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 09:10:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575291839874416642', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-29 09:10:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 09:10:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575292385465286658', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 09:12:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 09:12:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575292392683683841', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 09:12:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 09:12:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575293289346187266', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 09:16:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 09:16:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575293297940316162', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 09:16:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 09:16:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfreportentryp/page', 'GET', '{"name":[""],"current":["1"],"size":["30"]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575293318777618434', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 09:16:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 09:16:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '28', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575293382736560130', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 09:16:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 09:16:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575294671847505921', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 09:21:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 09:21:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575294682899496961', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 09:21:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 09:21:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575294702340096001', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 09:21:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 09:21:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '30', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575294820384587777', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 09:22:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 09:22:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575294895546515458', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 09:22:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 09:22:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '23', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575294907139571713', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 09:22:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 09:22:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"typeName":[""],"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575294935472095233', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 09:22:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 09:22:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep', 'POST', '{}', '21', NULL, NULL, 'content:新增基础类型表', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575294936025743361', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 09:22:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 09:22:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"typeName":[""],"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575294958666596354', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 09:22:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 09:22:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/1575294935417593857', 'DELETE', '{"0":["1575294935417593857"]}', '19', NULL, NULL, 'content:通过id删除基础类型表,有关联数据验证', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575294958897283073', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 09:22:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 09:22:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"typeName":[""],"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575294973954834433', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 09:22:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 09:22:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/1575062883896156161', 'DELETE', '{"0":["1575062883896156161"]}', '16', NULL, NULL, 'content:通过id删除基础类型表,有关联数据验证', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575294974240047105', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 09:22:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 09:22:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"typeName":[""],"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575294984289599489', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 09:22:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 09:22:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '25', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575295008826277890', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 09:22:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 09:22:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575297254649577474', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 09:31:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 09:31:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575297285418991618', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 09:31:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 09:31:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1575053258153025538', 'GET', '{"id":["1575053258153025538"]}', '23', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575297462330540034', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 09:32:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 09:32:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1575053258153025538', 'GET', '{"id":["1575053258153025538"]}', '21', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575297592353964034', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-29 09:33:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 09:33:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["46"],"id":["1572140204302041089"]}', '113', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575393134606143490', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-29 15:52:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:52:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["1000"],"dataType":["1570692286170427394"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575430007290454017', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 18:19:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:19:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575426595366707202', 'GET', '{}', '21', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575430007680524289', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 18:19:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:19:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '111', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575430014122975233', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 18:19:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:19:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["1000"],"dataType":["1570692286170427394"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575430014190084098', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 18:19:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:19:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '22', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575430131269885954', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 18:19:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:19:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '7', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575430137833971713', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 18:19:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:19:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575430144117039106', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 18:19:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:19:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '27', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575430146264522754', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 18:19:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:19:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"appLabe":["1572832711356719105"],"tenantId":["1569602913205559298"],"isMould":["0"]}', '7', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575430148487503873', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 18:19:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:19:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{}', '127', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575430169211559938', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 18:19:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:19:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '33', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575650273400578050', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-30 08:54:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 08:54:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '33', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575654077122600962', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-30 09:09:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 09:09:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '29', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575654698433241090', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-30 09:12:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 09:12:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '142', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575654698848477186', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-30 09:12:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 09:12:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575426230143492098', 'GET', '{"id":["1575426230143492098"]}', '27', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575654788707246082', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-30 09:12:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 09:12:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575654793224511490', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-30 09:12:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 09:12:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575654822995681282', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-30 09:12:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 09:12:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"appLabe":["1572832711356719105"],"tenantId":["1569602913205559298"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575654823071178754', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-30 09:12:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 09:12:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '38', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575654823687741442', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-30 09:12:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 09:12:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{}', '111', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575654952150884354', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-30 09:13:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 09:13:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '31', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575654952327045121', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-30 09:13:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 09:13:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"appLabe":["1572832711356719105"],"tenantId":["1569602913205559298"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575655066563108866', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-30 09:13:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 09:13:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{}', '129', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575655081104760834', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-30 09:13:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 09:13:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '32', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575655410458288130', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-30 09:14:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 09:14:58', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"appLabe":["1572832711356719105"],"tenantId":["1569602913205559298"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575656481515757570', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-30 09:19:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 09:19:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '121', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575656482191040514', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-30 09:19:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 09:19:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575426595366707202', 'GET', '{"id":["1575426595366707202"]}', '23', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575656549991964674', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-30 09:19:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 09:19:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '133', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575656587220606978', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-30 09:19:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 09:19:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575426595366707202', 'GET', '{"id":["1575426595366707202"]}', '25', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575657675864793090', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-30 09:23:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 09:23:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575426595366707202', 'GET', '{}', '25', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575657676879814658', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-30 09:23:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 09:23:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '117', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575657680516276226', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-30 09:23:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 09:23:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575426595366707202', 'GET', '{"id":["1575426595366707202"]}', '25', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575657794387435522', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-30 09:24:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 09:24:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575426595366707202', 'GET', '{}', '30', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575657795549257729', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-30 09:24:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 09:24:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '135', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575658102249349122', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-30 09:25:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 09:25:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575426595366707202', 'GET', '{}', '22', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575658103323090946', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-30 09:25:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 09:25:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '112', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575658592110501890', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-30 09:27:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 09:27:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575426595366707202', 'GET', '{"id":["1575426595366707202"]}', '27', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575658653326368770', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-30 09:27:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 09:27:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '134', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575658666156744706', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-30 09:27:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 09:27:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575426595366707202', 'GET', '{"id":["1575426595366707202"]}', '28', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575659179023654913', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-30 09:29:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 09:29:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575426595366707202', 'GET', '{}', '28', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575659180156116994', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-30 09:29:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 09:29:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '125', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575659236540145666', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-30 09:30:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 09:30:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575426595366707202', 'GET', '{"id":["1575426595366707202"]}', '17', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575358181210087425', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 13:33:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 13:33:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1572832711356719105"],"isMould":["0"]}', '2', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575358201451798530', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 13:33:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 13:33:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '2', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575358201497935873', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 13:33:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 13:33:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575358343861002242', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 13:34:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 13:34:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1572832711356719105"],"isMould":["0"]}', '2', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575358522383163394', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 13:35:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 13:35:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '2', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575358522425106434', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 13:35:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 13:35:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575381232148570114', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 15:05:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:05:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574314012068810754', 'GET', '{"id":["1574314012068810754"]}', '19', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575381571341934594', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 15:06:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:06:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["2"],"id":["1575053258153025538"]}', '39', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575381579659239425', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 15:06:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:06:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575333777340104706', 'GET', '{"id":["1575333777340104706"]}', '21', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575381600219717633', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 15:06:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:06:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575333777340104706', 'GET', '{"id":["1575333777340104706"]}', '24', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575381945473851394', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 15:08:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:08:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575381952776134657', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 15:08:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:08:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575381960644648961', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 15:08:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:08:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '32', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575381962632749058', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 15:08:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:08:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1572832711356719105"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575382398211219458', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 15:10:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:10:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575382469589884930', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 15:10:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:10:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575382593611259905', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 15:10:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:10:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["47"],"id":["1572140204302041089"]}', '110', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575382623537618945', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 15:11:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:11:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectdispatchw/page', 'GET', '{"current":["1"],"state":[""],"userType":["{}"],"projectLink":[""],"size":["30"]}', '2', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575382656433545217', '0', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 15:11:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:11:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"id":["1575053258153025538"]}', '71', NULL, 'nested exception is org.apache.ibatis.type.TypeException: Could not set parameters for mapping: ParameterMapping{property=''edition'', mode=IN, javaType=class java.lang.Object, jdbcType=null, numericScale=null, resultMapId=''null'', jdbcTypeName=''null'', expression=''null''}. Cause: org.apache.ibatis.type.TypeException: Error setting null for parameter #1 with JdbcType OTHER . Try setting a different JdbcType for this parameter or a different jdbcTypeForNull configuration property. Cause: java.sql.SQLException: 无效的列类型: 1111', 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575382969873883137', '2', 'tofly-auth', 'tnadmin', TO_DATE('2022-09-29 15:12:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:12:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/ed22a866-de96-4e9a-b032-fb402704581b', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575427267067764737', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 18:08:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:08:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '19', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575427815510761473', '2', 'tofly-auth', 'llzm', TO_DATE('2022-09-29 18:10:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:10:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/ead2b07e-bf58-4a89-840b-aebf43ee67a6', 'DELETE', '{}', '10', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575427848314413058', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-29 18:10:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:10:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '7', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575428522146127873', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 18:13:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:13:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575428537367257089', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 18:13:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:13:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"id":["1572140204302041089"]}', '118', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575428537883156481', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 18:13:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:13:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '41', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575428714136199169', '0', 'tofly-flow', 'lr', TO_DATE('2022-09-29 18:14:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:14:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl', 'POST', '{}', '81', NULL, 'parseLong error, field : region', 'content:新增流程信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575428718640881666', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 18:14:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:14:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '111', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575428733081870338', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 18:14:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:14:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"id":["1572140204302041089"]}', '129', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575428733526466562', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 18:14:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:14:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '39', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575428740589674497', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 18:14:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:14:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575426595366707202', 'GET', '{"id":["1575426595366707202"]}', '26', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575428844885237762', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 18:14:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:14:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575429070559764482', '1', 'tofly-flow', 'public', TO_DATE('2022-09-29 18:15:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:15:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575429087475392514', '1', 'tofly-flow', 'public', TO_DATE('2022-09-29 18:15:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:15:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '124', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575429087890628610', '1', 'tofly-flow', 'public', TO_DATE('2022-09-29 18:15:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 18:15:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575426230143492098', 'GET', '{"id":["1575426230143492098"]}', '18', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575063807960104962', '1', 'tofly-flow', 'public', TO_DATE('2022-09-28 18:04:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 18:04:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1573919105386835969', 'GET', '{}', '100', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575304385272500225', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 10:00:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:00:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '136', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575304385788399617', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 10:00:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:00:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574314012068810754', 'GET', '{"id":["1574314012068810754"]}', '22', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575369650765062145', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-29 14:19:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 14:19:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575370265599696897', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 14:21:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 14:21:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '110', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575370277020786689', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 14:21:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 14:21:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574314012068810754', 'GET', '{"id":["1574314012068810754"]}', '23', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575372021951913985', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-29 14:28:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 14:28:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectdispatchw/page', 'GET', '{"current":["1"],"state":[""],"userType":["{}"],"projectLink":[""],"size":["30"]}', '2', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575372034618712066', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-29 14:28:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 14:28:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectdispatchw/page', 'GET', '{"current":["1"],"state":[""],"userType":["{}"],"projectLink":[""],"size":["30"]}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575372044546629633', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 14:28:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 14:28:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '106', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575372193175986177', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 14:29:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 14:29:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575372202747387905', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 14:29:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 14:29:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '7', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575372211991633921', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 14:29:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 14:29:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '35', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575372213711298562', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 14:29:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 14:29:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1572832711356719105"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575390882143260674', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-29 15:43:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:43:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575390890087272450', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-29 15:43:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:43:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '17', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575391711365550082', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 15:47:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:47:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1572837052390055938"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575391798506409986', '0', 'tofly-flow', 'public', TO_DATE('2022-09-29 15:47:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:47:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessnodel', 'POST', '{}', '72', NULL, 'parseShort error, field : materialType', 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575391855620247554', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 15:47:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:47:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574314012068810754', 'GET', '{"id":["1574314012068810754"]}', '23', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575391888365178882', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 15:47:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:47:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessnodel', 'POST', '{}', '109', NULL, NULL, 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575410633896697858', '1', 'tofly-flow', 'jttest1', TO_DATE('2022-09-29 17:02:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:02:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575410645229707266', '0', 'tofly-flow', 'jttest1', TO_DATE('2022-09-29 17:02:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:02:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep', 'PUT', '{}', '70', NULL, 'nested exception is org.apache.ibatis.type.TypeException: Could not set parameters for mapping: ParameterMapping{property=''ew.paramNameValuePairs.MPGENVAL1'', mode=IN, javaType=class java.lang.Object, jdbcType=null, numericScale=null, resultMapId=''null'', jdbcTypeName=''null'', expression=''null''}. Cause: org.apache.ibatis.type.TypeException: Error setting null for parameter #1 with JdbcType OTHER . Try setting a different JdbcType for this parameter or a different jdbcTypeForNull configuration property. Cause: java.sql.SQLException: 无效的列类型: 1111', 'content:修改基础类型表', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575410645670109185', '1', 'tofly-flow', 'jttest1', TO_DATE('2022-09-29 17:02:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:02:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575410688871440385', '1', 'tofly-flow', 'jttest1', TO_DATE('2022-09-29 17:02:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:02:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575410688879828994', '1', 'tofly-flow', 'jttest1', TO_DATE('2022-09-29 17:02:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:02:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575410694424698882', '0', 'tofly-flow', 'jttest1', TO_DATE('2022-09-29 17:02:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:02:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep', 'PUT', '{}', '67', NULL, 'nested exception is org.apache.ibatis.type.TypeException: Could not set parameters for mapping: ParameterMapping{property=''ew.paramNameValuePairs.MPGENVAL1'', mode=IN, javaType=class java.lang.Object, jdbcType=null, numericScale=null, resultMapId=''null'', jdbcTypeName=''null'', expression=''null''}. Cause: org.apache.ibatis.type.TypeException: Error setting null for parameter #1 with JdbcType OTHER . Try setting a different JdbcType for this parameter or a different jdbcTypeForNull configuration property. Cause: java.sql.SQLException: 无效的列类型: 1111', 'content:修改基础类型表', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575410694936403970', '1', 'tofly-flow', 'jttest1', TO_DATE('2022-09-29 17:02:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:02:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '7', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575410694936403971', '1', 'tofly-flow', 'jttest1', TO_DATE('2022-09-29 17:02:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:02:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575410722690113537', '0', 'tofly-flow', 'jttest1', TO_DATE('2022-09-29 17:02:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:02:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep', 'PUT', '{}', '71', NULL, 'nested exception is org.apache.ibatis.type.TypeException: Could not set parameters for mapping: ParameterMapping{property=''ew.paramNameValuePairs.MPGENVAL1'', mode=IN, javaType=class java.lang.Object, jdbcType=null, numericScale=null, resultMapId=''null'', jdbcTypeName=''null'', expression=''null''}. Cause: org.apache.ibatis.type.TypeException: Error setting null for parameter #1 with JdbcType OTHER . Try setting a different JdbcType for this parameter or a different jdbcTypeForNull configuration property. Cause: java.sql.SQLException: 无效的列类型: 1111', 'content:修改基础类型表', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575410731040972802', '1', 'tofly-flow', 'jttest1', TO_DATE('2022-09-29 17:02:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:02:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575410731040972803', '1', 'tofly-flow', 'jttest1', TO_DATE('2022-09-29 17:02:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:02:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575410746165633026', '1', 'tofly-flow', 'public', TO_DATE('2022-09-29 17:02:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:02:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575393134664863745', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-29 15:52:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:52:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '20', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575393291443752961', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-29 15:53:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:53:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '18', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575393305901518849', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-29 15:53:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:53:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575393356145086466', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-29 15:53:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:53:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575397558963527681', '2', 'tofly-auth', 'yj', TO_DATE('2022-09-29 16:10:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 16:10:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/71781c01-61e8-434d-a8a5-1f25dd22a993', 'DELETE', '{}', '6', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575399272986828801', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-29 16:17:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 16:17:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575400016842448897', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 16:20:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 16:20:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["47"],"id":["1572140204302041089"]}', '148', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575400105619087362', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 16:20:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 16:20:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575400105988186114', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 16:20:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 16:20:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '8', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575400106067877889', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 16:20:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 16:20:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575400170802765825', '1', 'tofly-flow', 'public', TO_DATE('2022-09-29 16:20:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 16:20:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '138', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575400189475807234', '1', 'tofly-flow', 'public', TO_DATE('2022-09-29 16:20:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 16:20:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["1000"],"dataType":["1570692286170427394"]}', '37', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575400189601636353', '1', 'tofly-flow', 'public', TO_DATE('2022-09-29 16:20:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 16:20:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '57', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575400264654512129', '1', 'tofly-flow', 'public', TO_DATE('2022-09-29 16:21:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 16:21:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574219785834180609', 'GET', '{}', '35', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575400265799557121', '1', 'tofly-flow', 'public', TO_DATE('2022-09-29 16:21:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 16:21:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '125', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575400341825511426', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 16:21:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 16:21:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575400349102628865', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 16:21:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 16:21:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575400356778205185', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 16:21:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 16:21:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '61', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575400358497869826', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 16:21:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 16:21:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1572832711356719105"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575400591499845634', '1', 'tofly-flow', 'txh', TO_DATE('2022-09-29 16:22:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 16:22:25', 'SYYYY-MM-DD HH24:MI:SS'), '42.225.115.58', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569152821327564802"],"label":["1568482594885484546"],"isMould":["0"]}', '2', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575400726220890113', '1', 'tofly-flow', 'txh', TO_DATE('2022-09-29 16:22:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 16:22:57', 'SYYYY-MM-DD HH24:MI:SS'), '42.225.115.58', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569152821327564802"],"label":["1568482594885484546"],"isMould":["0"]}', '2', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575400843866923009', '1', 'tofly-flow', 'll2', TO_DATE('2022-09-29 16:23:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 16:23:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '18', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575400844118581249', '1', 'tofly-flow', 'll2', TO_DATE('2022-09-29 16:23:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 16:23:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575400858492461057', '1', 'tofly-flow', 'txh', TO_DATE('2022-09-29 16:23:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 16:23:28', 'SYYYY-MM-DD HH24:MI:SS'), '42.225.115.58', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569152821327564802"],"label":["1568482594885484546"],"isMould":["0"]}', '2', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575401331299573762', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 16:25:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 16:25:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575401339965005826', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 16:25:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 16:25:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '7', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575401347632193538', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 16:25:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 16:25:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '46', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575401533662158849', '1', 'tofly-flow', 'public', TO_DATE('2022-09-29 16:26:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 16:26:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '51', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575401545871777793', '1', 'tofly-flow', 'public', TO_DATE('2022-09-29 16:26:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 16:26:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '27', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575401597956644866', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 16:26:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 16:26:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575413390942666753', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-29 17:13:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:13:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl', 'POST', '{}', '880', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575413392230318082', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-29 17:13:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:13:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '18', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575413401843662849', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-29 17:13:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:13:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '167', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575413402909016066', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-29 17:13:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:13:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '4', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575413403231977473', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-29 17:13:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:13:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575413407157846018', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-29 17:13:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:13:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '9', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575413956150296578', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 17:15:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:15:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '48', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575413996172345345', '1', 'tofly-flow', 'public', TO_DATE('2022-09-29 17:15:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:15:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '132', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575414040007016450', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 17:15:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:15:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575414076837199873', '1', 'tofly-flow', 'public', TO_DATE('2022-09-29 17:16:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:16:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574219785834180609', 'GET', '{}', '44', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575061194933911553', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 17:53:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:53:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfreportentryp', 'PUT', '{}', '3', NULL, NULL, 'content:修改开工报告条目', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575061197110755329', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 17:53:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:53:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfreportentryp/page', 'GET', '{"name":[""],"current":["1"],"size":["30"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575061209089687553', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 17:53:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:53:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfreportentryp/1575061168295796737', 'DELETE', '{"0":["1575061168295796737"]}', '3', NULL, NULL, 'content:通过id删除开工报告条目', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575061209559449602', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 17:53:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:53:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfreportentryp/page', 'GET', '{"name":[""],"current":["1"],"size":["30"]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575062395138195458', '1', 'tofly-flow', 'public', TO_DATE('2022-09-28 17:58:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:58:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574219785834180609', 'GET', '{}', '26', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575062395633123329', '1', 'tofly-flow', 'public', TO_DATE('2022-09-28 17:58:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:58:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '136', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575062426444480514', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 17:58:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:58:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["46"],"id":["1572140204302041089"]}', '138', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575062477149421570', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 17:58:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:58:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["46"],"id":["1572140204302041089"]}', '107', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575062579071008769', '1', 'tofly-flow', 'public', TO_DATE('2022-09-28 17:59:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:59:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1573919105386835969', 'GET', '{}', '27', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575062579444301826', '1', 'tofly-flow', 'public', TO_DATE('2022-09-28 17:59:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:59:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '110', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575062769668571137', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 18:00:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 18:00:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfreportentryp/page', 'GET', '{"name":[""],"current":["1"],"size":["50"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575062770528403458', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 18:00:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 18:00:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfreportentryp/page', 'GET', '{"name":[""],"current":["1"],"size":["50"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575062789163696130', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 18:00:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 18:00:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfreportentryp/1575061748401594370', 'DELETE', '{"0":["1575061748401594370"]}', '11', NULL, NULL, 'content:通过id删除开工报告条目', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575062789415354370', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 18:00:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 18:00:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfreportentryp/page', 'GET', '{"name":[""],"current":["1"],"size":["50"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575062863465791490', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 18:00:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 18:00:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"typeName":[""],"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575062883959160834', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 18:00:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 18:00:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep', 'POST', '{}', '8', NULL, NULL, 'content:新增基础类型表', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575062884118544386', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 18:00:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 18:00:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"typeName":[""],"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575062901042561026', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 18:00:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 18:00:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep', 'POST', '{}', '5', NULL, NULL, 'content:新增基础类型表', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575062901218721793', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 18:00:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 18:00:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"typeName":[""],"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575062924459360257', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 18:00:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 18:00:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/1575062900983750657', 'DELETE', '{"0":["1575062900983750657"]}', '6', NULL, NULL, 'content:通过id删除基础类型表,有关联数据验证', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575062924664881153', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 18:00:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 18:00:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"typeName":[""],"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575062966008135682', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 18:00:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 18:00:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep', 'POST', '{}', '46', NULL, NULL, 'content:新增基础类型表', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575062966201073666', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 18:00:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 18:00:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"typeName":[""],"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575062987126456321', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 18:00:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 18:00:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/1575062965789941762', 'DELETE', '{"0":["1575062965789941762"]}', '7', NULL, NULL, 'content:通过id删除基础类型表,有关联数据验证', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575062987323588609', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 18:00:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 18:00:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"typeName":[""],"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575063064364564481', '1', 'tofly-flow', 'public', TO_DATE('2022-09-28 18:01:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 18:01:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1573919105386835969', 'GET', '{}', '28', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575063064775606274', '1', 'tofly-flow', 'public', TO_DATE('2022-09-28 18:01:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 18:01:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '124', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575063110162169858', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 18:01:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 18:01:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '21', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575063116759810049', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 18:01:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 18:01:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575063142307315714', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 18:01:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 18:01:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/saveMatterAndPrice', 'POST', '{}', '9', NULL, NULL, 'content:新增物资信息及价格', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575063142592528386', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 18:01:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 18:01:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '21', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575063147659247618', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 18:01:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 18:01:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575063177484943361', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 18:01:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 18:01:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/saveMatterAndPrice', 'POST', '{}', '7', NULL, NULL, 'content:新增物资信息及价格', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575063177786933249', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 18:01:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 18:01:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '24', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575063191636525058', '1', 'tofly-flow', 'public', TO_DATE('2022-09-28 18:01:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 18:01:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1573919105386835969', 'GET', '{}', '21', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575063191997235201', '1', 'tofly-flow', 'public', TO_DATE('2022-09-28 18:01:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 18:01:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '113', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575063204718559234', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 18:01:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 18:01:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/1575063142227533825', 'DELETE', '{"0":["1575063142227533825"]}', '2', NULL, NULL, 'content:通过id删除物资信息表', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575063204978606081', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 18:01:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 18:01:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '18', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575063808274677761', '1', 'tofly-flow', 'public', TO_DATE('2022-09-28 18:04:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 18:04:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '242', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575064743050821633', '1', 'tofly-flow', 'public', TO_DATE('2022-09-28 18:07:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 18:07:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '7', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575065435622686722', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 18:10:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 18:10:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["46"],"id":["1572140204302041089"]}', '126', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575063882115399682', '1', 'tofly-flow', 'public', TO_DATE('2022-09-28 18:04:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 18:04:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1573919105386835969', 'GET', '{}', '41', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575063882614521857', '1', 'tofly-flow', 'public', TO_DATE('2022-09-28 18:04:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 18:04:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '154', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575064011346100225', '1', 'tofly-flow', 'public', TO_DATE('2022-09-28 18:04:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 18:04:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1573919105386835969', 'GET', '{}', '29', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575064011870388226', '1', 'tofly-flow', 'public', TO_DATE('2022-09-28 18:04:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 18:04:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '144', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575064215386406914', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 18:05:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 18:05:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["46"],"id":["1572140204302041089"]}', '143', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575064241990877186', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 18:05:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 18:05:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["46"],"id":["1572140204302041089"]}', '159', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575066724544888834', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 18:15:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 18:15:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575066731352244225', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 18:15:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 18:15:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '136', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575066731822006274', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 18:15:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 18:15:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574314012068810754', 'GET', '{"id":["1574314012068810754"]}', '24', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575066743620583426', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 18:15:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 18:15:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '122', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575066743981293570', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 18:15:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 18:15:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574314012068810754', 'GET', '{"id":["1574314012068810754"]}', '20', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575066753137459201', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 18:15:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 18:15:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574314012068810754', 'GET', '{"id":["1574314012068810754"]}', '25', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575066791649558530', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 18:16:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 18:16:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '17', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575066803699793921', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 18:16:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 18:16:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '37', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575358235698290690', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 13:34:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 13:34:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '2', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575358250684538881', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 13:34:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 13:34:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1575053258153025538', 'GET', '{"edition":["2"],"id":["1575053258153025538"]}', '20', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575358303524380674', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 13:34:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 13:34:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575333777340104706', 'GET', '{"id":["1575333777340104706"]}', '17', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575362754213601282', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 13:52:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 13:52:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574314012068810754', 'GET', '{"id":["1574314012068810754"]}', '16', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575366075645190146', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 14:05:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 14:05:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1575053258153025538', 'GET', '{"id":["1575053258153025538"]}', '32', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575366081471078401', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 14:05:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 14:05:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '108', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575366091017314306', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 14:05:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 14:05:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574314012068810754', 'GET', '{"id":["1574314012068810754"]}', '18', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575376835981107201', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 14:48:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 14:48:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1575053258153025538', 'GET', '{"edition":["2"],"id":["1575053258153025538"]}', '32', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575377097202360321', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 14:49:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 14:49:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574314012068810754', 'GET', '{"id":["1574314012068810754"]}', '25', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575378825758924802', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 14:55:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 14:55:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575378841084911617', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 14:55:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 14:55:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '47', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575378891252981761', '2', 'tofly-auth', 'jtadmin', TO_DATE('2022-09-29 14:56:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 14:56:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/2199ff35-c13d-4aa0-acce-29b7b0df7a80', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575379529516998658', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-29 14:58:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 14:58:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/b2679883-2e71-4013-9529-391e2f1cf055', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575379662971363330', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 14:59:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 14:59:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575379669497700353', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 14:59:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 14:59:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["2"],"id":["1575053258153025538"]}', '30', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575379701152112641', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 14:59:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 14:59:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575333777340104706', 'GET', '{"id":["1575333777340104706"]}', '24', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575379711356854274', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 14:59:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 14:59:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575333777340104706', 'GET', '{"id":["1575333777340104706"]}', '26', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575379712317349890', '2', 'tofly-auth', 'yj', TO_DATE('2022-09-29 14:59:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 14:59:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/461196c6-a9f4-4bbe-9200-a550736e56fe', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575379734970785793', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 14:59:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 14:59:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["2"],"id":["1575053258153025538"]}', '29', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575379741442596865', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 14:59:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 14:59:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575333777340104706', 'GET', '{"id":["1575333777340104706"]}', '21', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575379761201963010', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 14:59:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 14:59:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["2"],"id":["1575053258153025538"]}', '34', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575379767933820929', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 14:59:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 14:59:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575333777340104706', 'GET', '{"id":["1575333777340104706"]}', '24', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575379782999760898', '2', 'tofly-auth', 'mzadmin', TO_DATE('2022-09-29 14:59:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 14:59:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/6d64d479-ffbd-4f2e-808f-61b6a7fdb7b5', 'DELETE', '{}', '1', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575381503809445890', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 15:06:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:06:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575382510186553346', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 15:10:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:10:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1572832711356719105"],"isMould":["0"]}', '2', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575382931135291394', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 15:12:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:12:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575382937741320194', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 15:12:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:12:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575291575381606402', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 09:09:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 09:09:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '26', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575291851056431106', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-29 09:10:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 09:10:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575292231924400129', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-29 09:11:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 09:11:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575293704167047170', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 09:17:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 09:17:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575295157480800257', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 09:23:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 09:23:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575295782952189953', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 09:25:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 09:25:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575296526057029633', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 09:28:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 09:28:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575296892895051777', '2', 'tofly-auth', 'yj', TO_DATE('2022-09-29 09:30:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 09:30:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/ab68fd14-2ba3-48af-9401-290d45e83744', 'DELETE', '{}', '8', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575374813689503745', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-29 14:39:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 14:39:59', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocesssqlp', 'POST', '{"edition":1,"model":"材料计划列表","remark":"材料计划列表","isDel":0,"content":"{\"select\":\"SELECT DISTINCT p.ID,p.ID || '''' PROCESS_ID,p.PROCESS_NUMBER,b.PROJECT_NAME,b.REGION,r.NAME REGION_NAME,b.ADDRE,b.USER_TYPE,s.NAME USER_TYPE_NAME,b.DATA_TIME,b.PROJECT_NATURE,sd.NAME PROJECT_NATURE_NAME,b.BUILD_UNIT,d.NAME BUILD_UNIT_NAME,b.SUPERVISOR,st.NAME SUPERVISOR_NAME,b.TENANT_ID,t.NAME TENANT_ID_NAME FROM TF_PROCESS_L p LEFT JOIN TF_PROJECT_BASE_W b ON ( p.ID = b.PROCESS_ID ) LEFT JOIN SYS_DICT s ON ( b.USER_TYPE = s.ID ) LEFT JOIN SYS_DICT sd ON ( b.PROJECT_NATURE = sd.ID ) LEFT JOIN TF_REGION_P r ON ( b.REGION = r.ID ) LEFT JOIN SYS_DEPT d ON ( b.BUILD_UNIT = d.ID ) LEFT JOIN SYS_DEPT st ON ( b.SUPERVISOR = st.ID ) LEFT JOIN SYS_TENANT t ON ( b.TENANT_ID = t.ID ) WHERE p.IS_DEL = 0 #{1} ORDER BY p.ID DESC\",\"where\":[{\"number\":1,\"condition\":[{\"names\":[\"content\"],\"sql\":\" AND ( p.PROCESS_NUMBER  LIKE concat(concat(''%'', #{content}),''%'') OR b.PROJECT_NAME  LIKE concat(concat(''%'', #{content}),''%'') OR b.ADDRE  LIKE concat(concat(''%'', #{content}),''%'')) \"},{\"names\":[\"configId\"],\"sql\":\" AND p.CONFIG_ID = #{configId} \"},{\"names\":[\"startTime\"],\"sql\":\" AND p.REGISTER_TIME > to_date(#{startTime},''yyyy-MM-dd HH24:mi:ss'') \"},{\"names\":[\"endTime\"],\"sql\":\" AND p.REGISTER_TIME < to_date(#{endTime},''yyyy-MM-dd HH24:mi:ss'') \"},{\"names\":[\"tenantId\"],\"sql\":\" AND p.TENANT_ID = #{tenantId} \"},{\"names\":[\"userType\"],\"sql\":\" AND b.USER_TYPE =  #{userType} \"}]}]}"}', '283', NULL, NULL, 'content:新增流程查询sql', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575380200484462593', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-29 15:01:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:01:23', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"id":["1575053258153025538"]}', '429', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575380251424284673', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-29 15:01:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:01:35', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"id":["1575053258153025538"]}', '604', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575380352637034498', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-29 15:01:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:01:59', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"id":["1575053258153025538"]}', '200', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575380424783257602', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-29 15:02:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:02:17', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["2"],"id":["1575053258153025538"]}', '340', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575385231615025154', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-29 15:21:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:21:23', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["2"],"id":["1575053258153025538"]}', '574', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575385254327181313', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-29 15:21:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:21:28', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"id":["1575053258153025538"]}', '411', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575386912549462018', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-29 15:28:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:28:03', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"id":["1575053258153025538"]}', '358', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575386926281613314', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-29 15:28:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:28:07', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["2"],"id":["1575053258153025538"]}', '331', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575391929402613761', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-29 15:47:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:47:59', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"id":["1575053258153025538"]}', '612', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575400933843492865', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-29 16:23:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 16:23:46', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["2"],"id":["1575053258153025538"]}', '289', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575402091760803841', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-29 16:28:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 16:28:22', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"id":["1575053258153025538"]}', '581', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575402110840692738', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-29 16:28:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 16:28:27', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["2"],"id":["1575053258153025538"]}', '212', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575410750716452866', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 17:02:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:02:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["46"],"id":["1572140204302041089"]}', '132', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575410758127788034', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 17:02:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:02:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["46"],"id":["1572140204302041089"]}', '123', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575410763446165506', '1', 'tofly-flow', 'public', TO_DATE('2022-09-29 17:02:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:02:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574219785834180609', 'GET', '{}', '31', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575410764473769986', '1', 'tofly-flow', 'public', TO_DATE('2022-09-29 17:02:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:02:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '119', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575410917469396993', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 17:03:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:03:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575411059018768386', '0', 'tofly-flow', 'jttest1', TO_DATE('2022-09-29 17:04:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:04:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep', 'PUT', '{}', '61', NULL, 'nested exception is org.apache.ibatis.type.TypeException: Could not set parameters for mapping: ParameterMapping{property=''ew.paramNameValuePairs.MPGENVAL1'', mode=IN, javaType=class java.lang.Object, jdbcType=null, numericScale=null, resultMapId=''null'', jdbcTypeName=''null'', expression=''null''}. Cause: org.apache.ibatis.type.TypeException: Error setting null for parameter #1 with JdbcType OTHER . Try setting a different JdbcType for this parameter or a different jdbcTypeForNull configuration property. Cause: java.sql.SQLException: 无效的列类型: 1111', 'content:修改基础类型表', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575397651565371393', '1', 'tofly-flow', 'public', TO_DATE('2022-09-29 16:10:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 16:10:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '150', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575397662202126337', '1', 'tofly-flow', 'public', TO_DATE('2022-09-29 16:10:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 16:10:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["1000"],"dataType":["1570692286170427394"]}', '662', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575397662319566849', '1', 'tofly-flow', 'public', TO_DATE('2022-09-29 16:10:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 16:10:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '695', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575397845656788994', '0', 'tofly-flow', 'public', TO_DATE('2022-09-29 16:11:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 16:11:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessnodel', 'POST', '{}', '350', NULL, '### Error updating database.  Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.ProjectMaterialNotNull)

### The error may exist in com/tofly/workflow/buss/mapper/TfProjectMaterialWMapper.java (best guess)
### The error may involve com.tofly.workflow.buss.mapper.TfProjectMaterialWMapper.insert-Inline
### The error occurred while setting parameters
### SQL: INSERT INTO TF_PROJECT_MATERIAL_W  ( id, process_id,  node_id, matter_id, material_type, quantity )  VALUES  ( ?, ?,  ?, ?, ?, ? )
### Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.ProjectMaterialNotNull)

; ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.ProjectMaterialNotNull)
; nested exception is java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.ProjectMaterialNotNull)', 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575397943249854466', '0', 'tofly-flow', 'admin', TO_DATE('2022-09-29 16:11:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 16:11:53', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.91', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"id":["1575053258153025538"]}', '69', NULL, 'nested exception is org.apache.ibatis.type.TypeException: Could not set parameters for mapping: ParameterMapping{property=''edition'', mode=IN, javaType=class java.lang.Object, jdbcType=null, numericScale=null, resultMapId=''null'', jdbcTypeName=''null'', expression=''null''}. Cause: org.apache.ibatis.type.TypeException: Error setting null for parameter #1 with JdbcType OTHER . Try setting a different JdbcType for this parameter or a different jdbcTypeForNull configuration property. Cause: java.sql.SQLException: 无效的列类型: 1111', 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575397951235809282', '0', 'tofly-flow', 'admin', TO_DATE('2022-09-29 16:11:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 16:11:55', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.91', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"id":["1575053258153025538"]}', '66', NULL, 'nested exception is org.apache.ibatis.type.TypeException: Could not set parameters for mapping: ParameterMapping{property=''edition'', mode=IN, javaType=class java.lang.Object, jdbcType=null, numericScale=null, resultMapId=''null'', jdbcTypeName=''null'', expression=''null''}. Cause: org.apache.ibatis.type.TypeException: Error setting null for parameter #1 with JdbcType OTHER . Try setting a different JdbcType for this parameter or a different jdbcTypeForNull configuration property. Cause: java.sql.SQLException: 无效的列类型: 1111', 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575398011507957762', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 16:12:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 16:12:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["47"],"id":["1572140204302041089"]}', '135', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575398019246448642', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 16:12:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 16:12:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["46"],"id":["1572140204302041089"]}', '131', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575398026083164161', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 16:12:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 16:12:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["45"],"id":["1572140204302041089"]}', '120', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575398063609602049', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 16:12:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 16:12:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"edition":["11"],"id":["1572063395757809666"]}', '2', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575398072417640449', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 16:12:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 16:12:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"edition":["11"],"id":["1572063395757809666"]}', '1', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575398078990114818', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 16:12:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 16:12:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1569613105131102209', 'GET', '{"edition":["1"],"id":["1569613105131102209"]}', '1', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575398087655546881', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 16:12:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 16:12:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1569613105131102209', 'GET', '{"edition":["1"],"id":["1569613105131102209"]}', '2', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575398098292301826', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 16:12:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 16:12:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572063395757809666', 'GET', '{"edition":["11"],"id":["1572063395757809666"]}', '2', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575398112569712642', '0', 'tofly-flow', 'admin', TO_DATE('2022-09-29 16:12:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 16:12:34', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.91', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"id":["1575053258153025538"]}', '68', NULL, 'nested exception is org.apache.ibatis.type.TypeException: Could not set parameters for mapping: ParameterMapping{property=''edition'', mode=IN, javaType=class java.lang.Object, jdbcType=null, numericScale=null, resultMapId=''null'', jdbcTypeName=''null'', expression=''null''}. Cause: org.apache.ibatis.type.TypeException: Error setting null for parameter #1 with JdbcType OTHER . Try setting a different JdbcType for this parameter or a different jdbcTypeForNull configuration property. Cause: java.sql.SQLException: 无效的列类型: 1111', 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575398113110777857', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 16:12:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 16:12:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1569613105131102209', 'GET', '{"edition":["1"],"id":["1569613105131102209"]}', '2', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575398145234952193', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 16:12:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 16:12:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1569613105131102209', 'GET', '{"edition":["1"],"id":["1569613105131102209"]}', '2', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575398150884679681', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 16:12:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 16:12:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1569613105131102209', 'GET', '{"edition":["1"],"id":["1569613105131102209"]}', '1', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575398159793381377', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 16:12:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 16:12:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1569613105131102209', 'GET', '{"edition":["1"],"id":["1569613105131102209"]}', '2', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575398187622588417', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 16:12:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 16:12:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1569613105131102209', 'GET', '{"edition":["1"],"id":["1569613105131102209"]}', '1', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575398669124493313', '0', 'tofly-flow', 'admin', TO_DATE('2022-09-29 16:14:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 16:14:46', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.91', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"id":["1575053258153025538"]}', '539', NULL, 'nested exception is org.apache.ibatis.type.TypeException: Could not set parameters for mapping: ParameterMapping{property=''edition'', mode=IN, javaType=class java.lang.Object, jdbcType=null, numericScale=null, resultMapId=''null'', jdbcTypeName=''null'', expression=''null''}. Cause: org.apache.ibatis.type.TypeException: Error setting null for parameter #1 with JdbcType OTHER . Try setting a different JdbcType for this parameter or a different jdbcTypeForNull configuration property. Cause: java.sql.SQLException: 无效的列类型: 1111', 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575399216405667842', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 16:16:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 16:16:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '165', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575399223531790338', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 16:16:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 16:16:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '12', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575063420830040065', '1', 'tofly-flow', 'public', TO_DATE('2022-09-28 18:02:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 18:02:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '577', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575063438358036482', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-28 18:02:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 18:02:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574219785834180609', 'GET', '{}', '39', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575063439016542210', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-28 18:02:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 18:02:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '206', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575063454615158785', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-28 18:02:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 18:02:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '181', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575063592989442050', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-28 18:03:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 18:03:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '175', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575063623331037186', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-28 18:03:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 18:03:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1573919105386835969', 'GET', '{}', '32', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575063623935016962', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-28 18:03:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 18:03:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '165', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575063717337972737', '1', 'tofly-flow', 'public', TO_DATE('2022-09-28 18:03:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 18:03:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1573919105386835969', 'GET', '{}', '39', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575063718025838593', '1', 'tofly-flow', 'public', TO_DATE('2022-09-28 18:03:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 18:03:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '130', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575064928862683137', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 18:08:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 18:08:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575065451112251394', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 18:10:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 18:10:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["46"],"id":["1572140204302041089"]}', '130', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575065567634210818', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 18:11:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 18:11:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575065606578323457', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 18:11:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 18:11:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '9', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575065626639679489', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 18:11:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 18:11:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '140', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575065652031995906', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 18:11:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 18:11:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575065659342667778', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 18:11:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 18:11:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["46"],"id":["1572140204302041089"]}', '125', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575065660907143169', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 18:11:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 18:11:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '159', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575065661037166593', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 18:11:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 18:11:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '194', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575065707258396674', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 18:11:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 18:11:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["39"],"id":["1572140204302041089"]}', '148', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575065758340825089', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 18:11:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 18:11:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["41"],"id":["1572140204302041089"]}', '115', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575065758856724482', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 18:11:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 18:11:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574938027984769025', 'GET', '{"id":["1574938027984769025"]}', '30', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575065799860240386', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 18:12:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 18:12:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["46"],"id":["1572140204302041089"]}', '124', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575065850267385858', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 18:12:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 18:12:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '128', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575066125375979522', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-28 18:13:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 18:13:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["46"],"id":["1572140204302041089"]}', '114', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575307568178810881', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 10:12:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:12:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["46"],"id":["1572140204302041089"]}', '124', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575308461867552769', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-29 10:16:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:16:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["46"],"id":["1572140204302041089"]}', '123', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575309626281840642', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 10:20:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:20:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["47"],"id":["1572140204302041089"]}', '113', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575309626655133697', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 10:20:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:20:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575309464218214402', 'GET', '{"id":["1575309464218214402"]}', '22', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575309651091148801', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 10:21:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:21:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["47"],"id":["1572140204302041089"]}', '135', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575309651527356418', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 10:21:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:21:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575309464218214402', 'GET', '{"id":["1575309464218214402"]}', '26', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575310101035110402', '2', 'tofly-auth', 'jtadmin', TO_DATE('2022-09-29 10:22:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:22:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/6b20711b-b7c0-4699-b8e8-5d5924b4f9c2', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575310860254466050', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 10:25:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:25:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '123', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575310887802654721', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 10:25:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:25:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '128', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575310888368885762', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 10:25:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:25:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574314012068810754', 'GET', '{"id":["1574314012068810754"]}', '25', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575312830172254209', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-29 10:33:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:33:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1573919105386835969', 'GET', '{}', '32', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575312940805410818', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-29 10:34:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:34:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["45"],"id":["1572140204302041089"]}', '154', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575312944714502145', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 10:34:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:34:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575312948451627009', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-29 10:34:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:34:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["1000"],"dataType":["1570692286170427394"]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575312948510347266', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-29 10:34:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:34:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '24', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575058416949903361', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-28 17:42:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:42:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectdispatchw/page', 'GET', '{"current":["1"],"state":[""],"userType":["{}"],"projectLink":[""],"size":["30"]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575058559031951361', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 17:43:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:43:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":["PE注塑管件"]}', '23', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575058561313652737', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 17:43:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:43:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":["PE注塑管件"]}', '26', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575058562081210369', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 17:43:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:43:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":["PE注塑管件"]}', '23', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575058579781173249', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 17:43:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:43:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":["额企鹅3"]}', '19', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575058740389462018', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 17:44:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:44:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":["额企鹅3"]}', '66', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575058741249294338', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 17:44:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:44:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":["额企鹅3"]}', '25', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575058746144047105', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 17:44:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:44:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '26', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575058746924187650', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 17:44:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:44:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '23', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575058755165995009', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 17:44:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:44:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575058772496859137', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 17:44:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:44:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575058789198577666', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 17:44:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:44:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575058814314070018', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 17:44:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:44:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575058821092065281', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 17:44:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:44:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp', 'PUT', '{}', '14', NULL, NULL, 'content:修改物资信息表', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575058821515689986', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 17:44:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:44:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '22', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575058824728526850', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 17:44:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:44:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575058832831922177', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-28 17:44:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:44:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575058867464290305', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 17:44:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:44:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/saveMatterAndPrice', 'POST', '{}', '7', NULL, NULL, 'content:新增物资信息及价格', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575058867825000449', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 17:44:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:44:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '22', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575058886917472258', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 17:44:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:44:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575058899450052610', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 17:44:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:44:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp', 'PUT', '{}', '10', NULL, NULL, 'content:修改物资信息表', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575058899726876674', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 17:44:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:44:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '24', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575058914562129921', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 17:44:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:44:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/1575058867363536897', 'DELETE', '{"0":["1575058867363536897"]}', '3', NULL, NULL, 'content:通过id删除物资信息表', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575058914872508417', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 17:44:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:44:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '28', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575058934187278338', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 17:44:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:44:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1575053258153025538', 'GET', '{"id":["1575053258153025538"]}', '21', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575058936397676546', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 17:44:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:44:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575058978185527298', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 17:44:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:44:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp', 'PUT', '{}', '13', NULL, NULL, 'content:修改物资信息表', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575058978462351362', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 17:44:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:44:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '19', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575058990604861441', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 17:45:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:45:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575059025811849218', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 17:45:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:45:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp', 'PUT', '{}', '10', NULL, NULL, 'content:修改物资信息表', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575059026130616321', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 17:45:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:45:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '22', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575059042408710146', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 17:45:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:45:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575059055201337345', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-28 17:45:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:45:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectdispatchw/page', 'GET', '{"current":["1"],"state":[""],"userType":["{}"],"projectLink":[""],"size":["30"]}', '2', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575059094015426562', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 17:45:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:45:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp', 'PUT', '{}', '11', NULL, NULL, 'content:修改物资信息表', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575059094325805058', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 17:45:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:45:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '20', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575059109945393154', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 17:45:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:45:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575059126437396481', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 17:45:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:45:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575059146230317058', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 17:45:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:45:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp', 'PUT', '{}', '9', NULL, NULL, 'content:修改物资信息表', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575059146519724033', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 17:45:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:45:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '23', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575059172218224641', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 17:45:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:45:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575059188248854529', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 17:45:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:45:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp', 'PUT', '{}', '7', NULL, NULL, 'content:修改物资信息表', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575059188500512770', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 17:45:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:45:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '19', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575059200991150081', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 17:45:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:45:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575375625450446849', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 14:43:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 14:43:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575375634040381441', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 14:43:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 14:43:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectdispatchw/page', 'GET', '{"current":["1"],"state":[""],"userType":["{}"],"projectLink":[""],"size":["30"]}', '1', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575375670912507905', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 14:43:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 14:43:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '37', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575375671109640194', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 14:43:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 14:43:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1572832711356719105"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575381272237727745', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 15:05:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:05:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '109', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575381279485485057', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 15:05:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:05:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574314012068810754', 'GET', '{"id":["1574314012068810754"]}', '26', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575411067315101698', '1', 'tofly-flow', 'jttest1', TO_DATE('2022-09-29 17:04:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:04:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575411067327684609', '1', 'tofly-flow', 'jttest1', TO_DATE('2022-09-29 17:04:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:04:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575411073954684930', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 17:04:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:04:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"id":["1575053258153025538"]}', '24', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575411098357145602', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 17:04:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:04:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '39', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575411107534282754', '0', 'tofly-flow', 'jttest1', TO_DATE('2022-09-29 17:04:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:04:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep', 'PUT', '{}', '55', NULL, 'nested exception is org.apache.ibatis.type.TypeException: Could not set parameters for mapping: ParameterMapping{property=''ew.paramNameValuePairs.MPGENVAL1'', mode=IN, javaType=class java.lang.Object, jdbcType=null, numericScale=null, resultMapId=''null'', jdbcTypeName=''null'', expression=''null''}. Cause: org.apache.ibatis.type.TypeException: Error setting null for parameter #1 with JdbcType OTHER . Try setting a different JdbcType for this parameter or a different jdbcTypeForNull configuration property. Cause: java.sql.SQLException: 无效的列类型: 1111', 'content:修改基础类型表', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575411113838321665', '1', 'tofly-flow', 'public', TO_DATE('2022-09-29 17:04:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:04:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575411115948056577', '1', 'tofly-flow', 'jttest1', TO_DATE('2022-09-29 17:04:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:04:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575411115989999618', '1', 'tofly-flow', 'jttest1', TO_DATE('2022-09-29 17:04:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:04:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575411140711227394', '1', 'tofly-flow', 'public', TO_DATE('2022-09-29 17:04:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:04:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '27', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575411212479963137', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-29 17:04:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:04:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575411224630861826', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 17:04:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:04:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574314012068810754', 'GET', '{"id":["1574314012068810754"]}', '31', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575411716404654082', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 17:06:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:06:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '506', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575411728291311618', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 17:06:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:06:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574314012068810754', 'GET', '{"id":["1574314012068810754"]}', '239', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575413686150365186', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 17:14:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:14:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '70', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575413747353649153', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-29 17:14:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:14:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '148', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575413748330921985', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-29 17:14:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:14:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575413748754546689', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-29 17:14:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:14:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575413752042881026', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-29 17:14:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:14:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '7', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575413923459891201', '1', 'tofly-flow', 'public', TO_DATE('2022-09-29 17:15:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:15:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '22', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575413942153904129', '1', 'tofly-flow', 'public', TO_DATE('2022-09-29 17:15:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:15:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574219785834180609', 'GET', '{}', '55', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575414270463049729', '1', 'tofly-flow', 'jttest1', TO_DATE('2022-09-29 17:16:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:16:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575414276305715201', '0', 'tofly-flow', 'jttest1', TO_DATE('2022-09-29 17:16:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:16:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep', 'PUT', '{}', '70', NULL, 'nested exception is org.apache.ibatis.type.TypeException: Could not set parameters for mapping: ParameterMapping{property=''ew.paramNameValuePairs.MPGENVAL1'', mode=IN, javaType=class java.lang.Object, jdbcType=null, numericScale=null, resultMapId=''null'', jdbcTypeName=''null'', expression=''null''}. Cause: org.apache.ibatis.type.TypeException: Error setting null for parameter #1 with JdbcType OTHER . Try setting a different JdbcType for this parameter or a different jdbcTypeForNull configuration property. Cause: java.sql.SQLException: 无效的列类型: 1111', 'content:修改基础类型表', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575414276796448770', '1', 'tofly-flow', 'jttest1', TO_DATE('2022-09-29 17:16:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:16:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575414305049280513', '1', 'tofly-flow', 'jttest1', TO_DATE('2022-09-29 17:16:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:16:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575414315295965185', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 17:16:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:16:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '39', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575414388713062403', '1', 'tofly-flow', 'jttest1', TO_DATE('2022-09-29 17:17:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:17:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575414495554568193', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 17:17:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:17:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessnodel', 'POST', '{}', '132', NULL, NULL, 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575414512990289921', '1', 'tofly-flow', 'jttest1', TO_DATE('2022-09-29 17:17:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:17:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575292279995318274', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-29 09:12:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 09:12:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["46"],"id":["1572140204302041089"]}', '127', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575293285705531393', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-29 09:16:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 09:16:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1568482594885484546"],"isMould":["0"]}', '2', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575294110305697794', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 09:19:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 09:19:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '24', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575294143876907009', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 09:19:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 09:19:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575295435500240898', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 09:24:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 09:24:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/1575059737580953602', 'DELETE', '{"0":["1575059737580953602"]}', '8', NULL, NULL, 'content:通过id删除物资信息表', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575295435839979522', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 09:24:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 09:24:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '22', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575298457693405185', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-29 09:36:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 09:36:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["46"],"id":["1572140204302041089"]}', '131', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575311198822879233', '2', 'tofly-auth', 'llzm', TO_DATE('2022-09-29 10:27:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:27:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/c5a7e4d1-856d-44b6-8a26-245942f70f17', 'DELETE', '{}', '3', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575311347485790209', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-29 10:27:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:27:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1573919105386835969', 'GET', '{}', '26', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575311527538872322', '2', 'tofly-auth', 'jtadmin', TO_DATE('2022-09-29 10:28:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:28:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/d3c7aac0-674c-4c8d-b4c7-4a2ccb75eb63', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575311572669583362', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-29 10:28:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:28:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '117', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575311761300017153', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 10:29:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:29:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["46"],"id":["1572140204302041089"]}', '155', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575399884038201345', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 16:19:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 16:19:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1572837052390055938"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575400366483824642', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 16:21:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 16:21:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1572837052390055938"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575400482963841025', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 16:21:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 16:21:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["46"],"id":["1572140204302041089"]}', '143', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575400493453795330', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 16:22:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 16:22:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["46"],"id":["1572140204302041089"]}', '127', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575400511791292417', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 16:22:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 16:22:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["46"],"id":["1572140204302041089"]}', '127', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575400892575375362', '1', 'tofly-flow', 'txh', TO_DATE('2022-09-29 16:23:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 16:23:36', 'SYYYY-MM-DD HH24:MI:SS'), '42.225.115.58', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569152821327564802"],"label":["1568482594885484546"],"isMould":["0"]}', '1', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575400911755927554', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 16:23:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 16:23:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '18', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575401062180446209', '1', 'tofly-flow', 'txh', TO_DATE('2022-09-29 16:24:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 16:24:17', 'SYYYY-MM-DD HH24:MI:SS'), '42.225.115.58', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569152821327564802"],"label":["1568482594885484546"],"isMould":["0"]}', '1', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575401348873707522', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 16:25:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 16:25:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1572832711356719105"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575401781591662594', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 16:27:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 16:27:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '39', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575402340709163010', '1', 'tofly-flow', 'public', TO_DATE('2022-09-29 16:29:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 16:29:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["1000"],"dataType":["1570692286170427394"]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575402340776271873', '1', 'tofly-flow', 'public', TO_DATE('2022-09-29 16:29:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 16:29:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '30', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575402396375965697', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-29 16:29:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 16:29:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/739b06bd-3f6b-4478-b28e-80d095e09e0b', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575402743660142593', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 16:30:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 16:30:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1572837052390055938"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575402759707549697', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 16:31:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 16:31:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectmaterialw/getDispatchRecord', 'GET', '{"relationId":["1575387350451097602"],"materialType":["3"]}', '17', NULL, NULL, 'content:领料记录', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575402760185700353', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 16:31:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 16:31:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1572837185089445889"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575402794490912770', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 16:31:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 16:31:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1572837334729629698"],"isMould":["0"]}', '2', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575402808424390658', '1', 'tofly-flow', 'public', TO_DATE('2022-09-29 16:31:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 16:31:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574219785834180609', 'GET', '{}', '37', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575402809611378689', '1', 'tofly-flow', 'public', TO_DATE('2022-09-29 16:31:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 16:31:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '137', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575402820797587458', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 16:31:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 16:31:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectmaterialw/getDispatchRecord', 'GET', '{"relationId":["1575387350451097602"],"materialType":["3"]}', '3', NULL, NULL, 'content:领料记录', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575402821292515330', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 16:31:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 16:31:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1572837468880248833"],"isMould":["0"]}', '2', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575402834080948226', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 16:31:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 16:31:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1572836695614169089"],"isMould":["0"]}', '2', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575414078233903106', '1', 'tofly-flow', 'public', TO_DATE('2022-09-29 17:16:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:16:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '140', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575414079026626562', '1', 'tofly-flow', 'public', TO_DATE('2022-09-29 17:16:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:16:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"size":["1000"],"current":["1"]}', '27', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575414093887045633', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 17:16:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:16:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '136', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575292042106978305', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-29 09:11:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 09:11:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl', 'POST', '{}', '309', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575292043159748609', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-29 09:11:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 09:11:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '19', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575292052617904129', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-29 09:11:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 09:11:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '143', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575292053318352898', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-29 09:11:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 09:11:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '4', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575292053578399746', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-29 09:11:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 09:11:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575292056111759362', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-29 09:11:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 09:11:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575312997831168002', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 10:34:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:34:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575313009231286273', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 10:34:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:34:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '106', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575313010212753410', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 10:34:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:34:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1573918359266291713', 'GET', '{"id":["1573918359266291713"]}', '21', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575313349284483074', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-29 10:35:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:35:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["45"],"id":["1572140204302041089"]}', '102', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575313514309373954', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 10:36:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:36:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectdispatchw/page', 'GET', '{"current":["1"],"state":[""],"userType":["{}"],"projectLink":[""],"size":["30"]}', '2', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575313771550232577', '2', 'tofly-auth', 'admin', TO_DATE('2022-09-29 10:37:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:37:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/de1460d4-bceb-4ec4-b1c1-d08f17962c6a', 'DELETE', '{}', '1', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575313778487611394', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-29 10:37:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:37:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["1000"],"dataType":["1570692286170427394"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575313778521165825', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-29 10:37:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:37:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '18', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575313779552964610', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-29 10:37:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:37:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["45"],"id":["1572140204302041089"]}', '110', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575313796841885698', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-29 10:37:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:37:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["1000"],"dataType":["1570692286170427394"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575313796917383170', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-29 10:37:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:37:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '20', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575313817435918338', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-29 10:37:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:37:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["45"],"id":["1572140204302041089"]}', '128', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575314333675048961', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 10:39:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:39:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '144', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575314334966894594', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 10:39:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:39:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575314335034003457', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 10:39:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:39:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '19', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575314359885254657', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 10:39:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:39:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '106', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575314360371793921', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 10:39:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:39:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574314012068810754', 'GET', '{"id":["1574314012068810754"]}', '17', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575316792346693634', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 10:49:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:49:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '101', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575317026040729602', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 10:50:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:50:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574314012068810754', 'GET', '{"id":["1574314012068810754"]}', '20', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575317359492091907', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-29 10:51:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:51:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '22', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575317366546911234', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 10:51:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:51:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '27', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575317368115580930', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 10:51:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:51:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1572832711356719105"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575317574198513665', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-29 10:52:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:52:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1573919105386835969', 'GET', '{}', '22', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575317584726216705', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-29 10:52:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:52:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '113', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575317585590243329', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-29 10:52:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:52:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["1000"],"dataType":["1570692286170427394"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575317585648963586', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-29 10:52:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:52:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '24', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575317612798693377', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 10:52:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:52:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '129', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575317628648968194', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-29 10:52:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:52:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '109', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575317630716760065', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 10:52:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:52:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '106', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575317631144579074', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 10:52:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:52:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574314012068810754', 'GET', '{"id":["1574314012068810754"]}', '21', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575317635863171073', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-29 10:52:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:52:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["1000"],"dataType":["1570692286170427394"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575317635913502721', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-29 10:52:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:52:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '23', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575317655211495426', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-29 10:52:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:52:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '106', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575317655886778369', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-29 10:52:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:52:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["1000"],"dataType":["1570692286170427394"]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575059346122457089', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-28 17:46:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:46:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1575053258153025538', 'GET', '{"id":["1575053258153025538"]}', '21', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575059562041032705', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 17:47:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:47:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp', 'PUT', '{}', '10', NULL, NULL, 'content:修改物资信息表', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575059562561126402', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 17:47:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:47:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '20', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575059610778845186', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 17:47:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:47:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '26', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575059611642871809', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 17:47:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:47:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '26', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575059612355903489', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 17:47:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:47:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '21', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575059636598980610', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 17:47:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:47:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '27', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575059637513338882', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 17:47:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:47:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '22', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575059662565916674', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 17:47:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:47:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575059737656541186', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 17:47:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:47:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/saveMatterAndPrice', 'POST', '{}', '8', NULL, NULL, 'content:新增物资信息及价格', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575059737924976642', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 17:47:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:47:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '18', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575059751929757698', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 17:48:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:48:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575059756845481986', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 17:48:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:48:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp', 'PUT', '{}', '12', NULL, NULL, 'content:修改物资信息表', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575059757076168705', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 17:48:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:48:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '17', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575059771336802306', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 17:48:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:48:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/1575055646171619330', 'DELETE', '{"0":["1575055646171619330"]}', '2', NULL, NULL, 'content:通过id删除物资信息表', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575059771584266241', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 17:48:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:48:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '17', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575059777863139330', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 17:48:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:48:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"typeName":[""],"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575059809072955394', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 17:48:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:48:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"typeName":[""],"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575059809823735810', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 17:48:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:48:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"typeName":[""],"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575059819005067265', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 17:48:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:48:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"typeName":["管材"],"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575059826554814466', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 17:48:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:48:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"typeName":[""],"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575059827393675266', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 17:48:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:48:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"typeName":[""],"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575059872314671105', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 17:48:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:48:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep', 'POST', '{}', '21', NULL, NULL, 'content:新增基础类型表', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575059872654409729', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 17:48:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:48:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"typeName":[""],"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575059952539123714', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 17:48:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:48:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep', 'PUT', '{}', '38', NULL, NULL, 'content:修改基础类型表', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575059952782393346', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 17:48:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:48:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"typeName":[""],"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575059980439633922', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 17:48:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:48:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep', 'PUT', '{}', '11', NULL, NULL, 'content:修改基础类型表', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575059980720652290', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 17:48:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:48:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"typeName":[""],"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575060001813807105', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 17:49:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:49:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '24', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575060005399937025', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 17:49:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:49:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575060042465001474', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 17:49:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:49:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/saveMatterAndPrice', 'POST', '{}', '8', NULL, NULL, 'content:新增物资信息及价格', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575060042766991362', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 17:49:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:49:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '19', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575060054292938753', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 17:49:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:49:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575060061465198593', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 17:49:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:49:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp', 'PUT', '{}', '10', NULL, NULL, 'content:修改物资信息表', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575060061708468226', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 17:49:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:49:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '19', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575060068410966018', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 17:49:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:49:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/1575060042389413889', 'DELETE', '{"0":["1575060042389413889"]}', '3', NULL, NULL, 'content:通过id删除物资信息表', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575060068863950850', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 17:49:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:49:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '19', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575060080679305217', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 17:49:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:49:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"typeName":[""],"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575060092670820354', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 17:49:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:49:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '23', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575060096458276866', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 17:49:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:49:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575060125206036481', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 17:49:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:49:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/saveMatterAndPrice', 'POST', '{}', '10', NULL, NULL, 'content:新增物资信息及价格', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575060125562552321', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 17:49:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:49:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '29', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575060131707207681', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 17:49:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:49:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"typeName":[""],"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575403917796827137', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-29 16:35:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 16:35:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '74', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575403918916706306', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-29 16:35:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 16:35:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '41', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575403957999230977', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-29 16:35:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 16:35:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '7', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575404155433508866', '1', 'tofly-flow', 'public', TO_DATE('2022-09-29 16:36:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 16:36:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574219785834180609', 'GET', '{}', '179', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575404157157367809', '1', 'tofly-flow', 'public', TO_DATE('2022-09-29 16:36:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 16:36:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '223', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575406535298326530', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 16:46:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 16:46:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '124', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575406586389143554', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 16:46:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 16:46:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574314012068810754', 'GET', '{"id":["1574314012068810754"]}', '28', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575408142048108545', '2', 'tofly-auth', 'jtadmin', TO_DATE('2022-09-29 16:52:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 16:52:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/e399db6a-618f-4315-b9a2-29099e4e4d98', 'DELETE', '{}', '1', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575408536576925697', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 16:53:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 16:53:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '120', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575408564313858050', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 16:54:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 16:54:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574314012068810754', 'GET', '{"id":["1574314012068810754"]}', '27', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575408773131476994', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 16:54:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 16:54:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["46"],"id":["1572140204302041089"]}', '123', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575409115625758721', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 16:56:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 16:56:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '42', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575409471680225282', '1', 'tofly-flow', 'public', TO_DATE('2022-09-29 16:57:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 16:57:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574219785834180609', 'GET', '{}', '33', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575409472816881666', '1', 'tofly-flow', 'public', TO_DATE('2022-09-29 16:57:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 16:57:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '120', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575409706481557505', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 16:58:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 16:58:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575409715264430082', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 16:58:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 16:58:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"id":["1575053258153025538"]}', '33', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575409738198884354', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 16:58:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 16:58:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '42', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575409743718588417', '1', 'tofly-flow', 'public', TO_DATE('2022-09-29 16:58:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 16:58:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574219785834180609', 'GET', '{}', '34', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575409745043988482', '1', 'tofly-flow', 'public', TO_DATE('2022-09-29 16:58:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 16:58:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '129', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575410272217669633', '1', 'tofly-flow', 'public', TO_DATE('2022-09-29 17:00:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:00:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '41', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575410324109598721', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 17:01:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:01:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575410333056049154', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 17:01:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:01:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"id":["1575053258153025538"]}', '37', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575410348855992322', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 17:01:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:01:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '52', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575414504765259778', '0', 'tofly-flow', 'jttest1', TO_DATE('2022-09-29 17:17:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:17:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep', 'PUT', '{}', '67', NULL, 'nested exception is org.apache.ibatis.type.TypeException: Could not set parameters for mapping: ParameterMapping{property=''ew.paramNameValuePairs.MPGENVAL1'', mode=IN, javaType=class java.lang.Object, jdbcType=null, numericScale=null, resultMapId=''null'', jdbcTypeName=''null'', expression=''null''}. Cause: org.apache.ibatis.type.TypeException: Error setting null for parameter #1 with JdbcType OTHER . Try setting a different JdbcType for this parameter or a different jdbcTypeForNull configuration property. Cause: java.sql.SQLException: 无效的列类型: 1111', 'content:修改基础类型表', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575414587665678338', '1', 'tofly-flow', 'jttest1', TO_DATE('2022-09-29 17:18:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:18:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575415852617433090', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-29 17:23:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:23:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575415929473859586', '1', 'tofly-flow', 'public', TO_DATE('2022-09-29 17:23:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:23:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574219785834180609', 'GET', '{}', '36', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575415930761510914', '1', 'tofly-flow', 'public', TO_DATE('2022-09-29 17:23:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:23:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '123', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575415931407433729', '1', 'tofly-flow', 'public', TO_DATE('2022-09-29 17:23:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:23:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"size":["1000"],"current":["1"]}', '18', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575416207061286913', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-29 17:24:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:24:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575416207061286914', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-29 17:24:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:24:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575416216783683585', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-29 17:24:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:24:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '18', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575416217043730434', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-29 17:24:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:24:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '17', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575416228854890498', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-29 17:24:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:24:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '132', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575416229395955714', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-29 17:24:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:24:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575416229639225346', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-29 17:24:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:24:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575416232210333697', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-29 17:24:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:24:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575416441602572290', '1', 'tofly-flow', 'public', TO_DATE('2022-09-29 17:25:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:25:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '149', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575376270840586241', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 14:45:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 14:45:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '112', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575376275005530114', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 14:45:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 14:45:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectdispatchw/page', 'GET', '{"current":["1"],"state":[""],"userType":["{}"],"projectLink":[""],"size":["30"]}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575376276733583362', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 14:45:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 14:45:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574314012068810754', 'GET', '{"id":["1574314012068810754"]}', '23', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575376456711168001', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 14:46:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 14:46:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575376469772230657', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 14:46:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 14:46:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '123', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575376488524963842', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 14:46:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 14:46:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectdispatchw/page', 'GET', '{"current":["1"],"state":[""],"userType":["{}"],"projectLink":[""],"size":["30"]}', '2', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575376499438542849', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 14:46:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 14:46:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '133', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575376706800738305', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-29 14:47:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 14:47:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1573919105386835969', 'GET', '{}', '29', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575376708151304193', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-29 14:47:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 14:47:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '128', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575376829496713218', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 14:47:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 14:47:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574314012068810754', 'GET', '{"id":["1574314012068810754"]}', '20', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575378284899229697', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 14:53:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 14:53:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectdispatchw/page', 'GET', '{"current":["1"],"state":[""],"userType":["{}"],"projectLink":[""],"size":["30"]}', '2', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575378310044082177', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 14:53:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 14:53:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574314012068810754', 'GET', '{"id":["1574314012068810754"]}', '23', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575378834856370178', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 14:55:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 14:55:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575378842632609793', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 14:55:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 14:55:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1572832711356719105"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575379145356500993', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 14:57:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 14:57:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1572832711356719105"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575379341129834498', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-29 14:57:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 14:57:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["47"],"id":["1572140204302041089"]}', '131', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575379925497044994', '0', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 15:00:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:00:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"id":["1575053258153025538"]}', '75', NULL, 'nested exception is org.apache.ibatis.type.TypeException: Could not set parameters for mapping: ParameterMapping{property=''edition'', mode=IN, javaType=class java.lang.Object, jdbcType=null, numericScale=null, resultMapId=''null'', jdbcTypeName=''null'', expression=''null''}. Cause: org.apache.ibatis.type.TypeException: Error setting null for parameter #1 with JdbcType OTHER . Try setting a different JdbcType for this parameter or a different jdbcTypeForNull configuration property. Cause: java.sql.SQLException: 无效的列类型: 1111', 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575381488231800834', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 15:06:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:06:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575381488521207809', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 15:06:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:06:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575381488647036930', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 15:06:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:06:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575382509972643842', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 15:10:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:10:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '31', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575382763392491522', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-09-29 15:11:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:11:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '17', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575382763677704193', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-09-29 15:11:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:11:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575382806723846146', '2', 'tofly-auth', 'tnadmin', TO_DATE('2022-09-29 15:11:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 15:11:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/d449fd27-f784-4c73-8431-5096172643c8', 'DELETE', '{}', '1', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575414106335739905', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 17:16:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:16:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574314012068810754', 'GET', '{"id":["1574314012068810754"]}', '34', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575414194252546050', '1', 'tofly-flow', 'jttest1', TO_DATE('2022-09-29 17:16:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:16:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575414194286100482', '1', 'tofly-flow', 'jttest1', TO_DATE('2022-09-29 17:16:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:16:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '9', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575414201508691969', '0', 'tofly-flow', 'jttest1', TO_DATE('2022-09-29 17:16:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:16:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep', 'PUT', '{}', '74', NULL, 'nested exception is org.apache.ibatis.type.TypeException: Could not set parameters for mapping: ParameterMapping{property=''ew.paramNameValuePairs.MPGENVAL1'', mode=IN, javaType=class java.lang.Object, jdbcType=null, numericScale=null, resultMapId=''null'', jdbcTypeName=''null'', expression=''null''}. Cause: org.apache.ibatis.type.TypeException: Error setting null for parameter #1 with JdbcType OTHER . Try setting a different JdbcType for this parameter or a different jdbcTypeForNull configuration property. Cause: java.sql.SQLException: 无效的列类型: 1111', 'content:修改基础类型表', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575414202083311618', '1', 'tofly-flow', 'jttest1', TO_DATE('2022-09-29 17:16:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:16:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575414219233820674', '1', 'tofly-flow', 'jttest1', TO_DATE('2022-09-29 17:16:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:16:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575414236082339841', '0', 'tofly-flow', 'jttest1', TO_DATE('2022-09-29 17:16:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:16:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep', 'PUT', '{}', '60', NULL, 'nested exception is org.apache.ibatis.type.TypeException: Could not set parameters for mapping: ParameterMapping{property=''ew.paramNameValuePairs.MPGENVAL1'', mode=IN, javaType=class java.lang.Object, jdbcType=null, numericScale=null, resultMapId=''null'', jdbcTypeName=''null'', expression=''null''}. Cause: org.apache.ibatis.type.TypeException: Error setting null for parameter #1 with JdbcType OTHER . Try setting a different JdbcType for this parameter or a different jdbcTypeForNull configuration property. Cause: java.sql.SQLException: 无效的列类型: 1111', 'content:修改基础类型表', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575317655928721410', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-29 10:52:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:52:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '20', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575317720382590977', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 10:53:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:53:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574314012068810754', 'GET', '{"id":["1574314012068810754"]}', '18', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575317758315876354', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 10:53:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:53:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '114', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575317759154737154', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 10:53:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:53:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574314012068810754', 'GET', '{"id":["1574314012068810754"]}', '21', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575317772643618818', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 10:53:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:53:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575317823239507969', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 10:53:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:53:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '27', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575317824669765634', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 10:53:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:53:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1572832711356719105"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575317877807403010', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 10:53:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:53:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '104', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575317910611054593', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 10:53:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:53:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '97', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575317911076622337', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 10:53:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:53:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574314012068810754', 'GET', '{"id":["1574314012068810754"]}', '20', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575317920547360770', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 10:53:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:53:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '106', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575317921386221569', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 10:53:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:53:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"dataType":["1570692286170427394"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575317921436553217', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 10:53:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:53:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '21', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575317926423580674', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 10:53:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:53:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575317926729764866', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 10:53:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:53:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575317926822039553', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 10:53:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:53:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575358522399940609', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 13:35:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 13:35:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575358522433495041', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 13:35:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 13:35:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575360532264280066', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-29 13:43:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 13:43:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '7', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575361568475471873', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 13:47:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 13:47:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575361614403100673', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 13:47:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 13:47:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '120', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575361622732988418', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 13:47:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 13:47:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574314012068810754', 'GET', '{"id":["1574314012068810754"]}', '31', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575362475980251137', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-29 13:50:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 13:50:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575365908405706754', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 14:04:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 14:04:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '138', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575365915775098882', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 14:04:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 14:04:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574314012068810754', 'GET', '{"id":["1574314012068810754"]}', '21', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575366717868630018', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 14:07:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 14:07:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575367561452216321', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 14:11:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 14:11:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '112', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575367611242799106', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 14:11:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 14:11:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575367663830982657', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 14:11:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 14:11:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574314012068810754', 'GET', '{"id":["1574314012068810754"]}', '21', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575368475105845250', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 14:14:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 14:14:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575368480747184130', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 14:14:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 14:14:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575368487810392065', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 14:14:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 14:14:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '29', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575368489525862401', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 14:14:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 14:14:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1572832711356719105"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575368499382476802', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 14:14:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 14:14:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '107', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575368506957389825', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 14:14:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 14:14:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574314012068810754', 'GET', '{"id":["1574314012068810754"]}', '19', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575369605500133377', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-29 14:19:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 14:19:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["46"],"id":["1572140204302041089"]}', '107', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575369605953118210', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-29 14:19:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 14:19:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574971019650220034', 'GET', '{"id":["1574971019650220034"]}', '23', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575406353798209537', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-29 16:45:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 16:45:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '20', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575406354133753858', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-29 16:45:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 16:45:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575406366590836737', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-29 16:45:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 16:45:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"id":["1572140204302041089"]}', '134', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575406367253536769', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-29 16:45:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 16:45:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575060142662729730', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 17:49:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:49:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/1575059872243277826', 'DELETE', '{"0":["1575059872243277826"]}', '36', NULL, NULL, 'content:通过id删除基础类型表,有关联数据验证', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575060142964719617', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 17:49:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:49:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"typeName":[""],"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575060152909414402', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 17:49:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:49:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '23', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575060158605279234', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 17:49:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:49:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '28', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575060159444140034', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 17:49:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:49:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '25', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575060160215891969', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 17:49:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:49:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '22', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575060172052217857', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 17:49:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:49:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '24', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575060186128302081', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 17:49:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:49:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575060193929707521', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 17:49:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:49:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp', 'PUT', '{}', '9', NULL, NULL, 'content:修改物资信息表', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575060194240086017', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 17:49:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:49:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '25', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575060211835191298', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 17:49:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:49:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"typeName":[""],"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575060500365557761', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 17:51:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:51:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep', 'POST', '{}', '7', NULL, NULL, 'content:新增基础类型表', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575060514789769218', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-28 17:51:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:51:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575061572920393729', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 17:55:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:55:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfreportentryp/1574668157925822465', 'DELETE', '{"0":["1574668157925822465"]}', '4', NULL, NULL, 'content:通过id删除开工报告条目', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575061573650202625', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 17:55:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:55:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfreportentryp/page', 'GET', '{"name":[""],"current":["1"],"size":["30"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575061632181714945', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 17:55:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:55:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfreportentryp', 'POST', '{}', '12', NULL, NULL, 'content:新增开工报告条目', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575061636048863233', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 17:55:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:55:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfreportentryp/page', 'GET', '{"name":[""],"current":["1"],"size":["30"]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575061652758970370', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 17:55:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:55:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfreportentryp/page', 'GET', '{"name":["开工前的手续是否办妥?"],"current":["1"],"size":["30"]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575061653807546369', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 17:55:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:55:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfreportentryp/page', 'GET', '{"name":["开工前的手续是否办妥?"],"current":["1"],"size":["30"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575061660338077698', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 17:55:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:55:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfreportentryp/page', 'GET', '{"name":[""],"current":["1"],"size":["30"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575061677111099394', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 17:55:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:55:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfreportentryp/page', 'GET', '{"name":["设计交底"],"current":["1"],"size":["30"]}', '2', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575061683444498434', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 17:55:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:55:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfreportentryp/page', 'GET', '{"name":[""],"current":["1"],"size":["30"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575061684367245314', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 17:55:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:55:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfreportentryp/page', 'GET', '{"name":[""],"current":["1"],"size":["30"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575061693657628673', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 17:55:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:55:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfreportentryp/page', 'GET', '{"name":[""],"current":["1"],"size":["30"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575061694525849602', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 17:55:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:55:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfreportentryp/page', 'GET', '{"name":[""],"current":["1"],"size":["30"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575061748510736386', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 17:55:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:55:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfreportentryp', 'POST', '{}', '9', NULL, NULL, 'content:新增开工报告条目', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575061748946944002', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 17:55:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:55:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfreportentryp/page', 'GET', '{"name":[""],"current":["1"],"size":["30"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575061751966842882', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 17:55:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:55:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfreportentryp/page', 'GET', '{"name":[""],"current":["1"],"size":["30"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575061758048583681', '1', 'tofly-flow', 'public', TO_DATE('2022-09-28 17:56:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:56:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1573919105386835969', 'GET', '{}', '32', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575061759113936898', '1', 'tofly-flow', 'public', TO_DATE('2022-09-28 17:56:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:56:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '147', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575061761714405377', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 17:56:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:56:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfreportentryp', 'POST', '{}', '3', NULL, NULL, 'content:新增开工报告条目', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575061761936703489', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 17:56:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:56:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfreportentryp/page', 'GET', '{"name":[""],"current":["1"],"size":["30"]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575061773441679361', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 17:56:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:56:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfreportentryp', 'POST', '{}', '3', NULL, NULL, 'content:新增开工报告条目', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575061773760446466', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 17:56:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:56:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfreportentryp/page', 'GET', '{"name":[""],"current":["1"],"size":["30"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575061785835847681', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 17:56:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:56:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfreportentryp/page', 'GET', '{"name":[""],"current":["1"],"size":["10"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575061789497475074', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 17:56:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:56:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfreportentryp/page', 'GET', '{"name":[""],"current":["2"],"size":["10"]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575061798980796417', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 17:56:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:56:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfreportentryp/page', 'GET', '{"name":[""],"current":["1"],"size":["10"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575061813610528770', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 17:56:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:56:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfreportentryp/page', 'GET', '{"name":[""],"current":["2"],"size":["10"]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575061824855457794', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 17:56:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:56:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfreportentryp/page', 'GET', '{"name":[""],"current":["1"],"size":["10"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575061853829709826', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 17:56:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:56:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfreportentryp', 'POST', '{}', '2', NULL, NULL, 'content:新增开工报告条目', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575061854056202242', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 17:56:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:56:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfreportentryp/page', 'GET', '{"name":[""],"current":["1"],"size":["10"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575061863426277378', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 17:56:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:56:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfreportentryp/page', 'GET', '{"name":[""],"current":["2"],"size":["10"]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575061896410284033', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 17:56:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:56:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfreportentryp/page', 'GET', '{"name":[""],"current":["1"],"size":["30"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575061917004316674', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-28 17:56:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-28 17:56:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfreportentryp/page', 'GET', '{"name":[""],"current":["1"],"size":["10"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575320922708533249', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-29 11:05:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 11:05:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '7', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575320956397182978', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-29 11:05:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 11:05:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["46"],"id":["1572140204302041089"]}', '246', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575403870594129922', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-29 16:35:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 16:35:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '265', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575403871445573634', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-29 16:35:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 16:35:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '33', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575403874670993409', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-29 16:35:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 16:35:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '41', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575403875052675074', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-29 16:35:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 16:35:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '28', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575403902504394753', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-29 16:35:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 16:35:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1571763657271414785', 'GET', '{"id":["1571763657271414785"]}', '108', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575403903930458113', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-29 16:35:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 16:35:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575403910821699585', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-29 16:35:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 16:35:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '24', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575403957978259458', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-29 16:35:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 16:35:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '7', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575411240632131586', '1', 'tofly-flow', 'public', TO_DATE('2022-09-29 17:04:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:04:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575411269627355137', '1', 'tofly-flow', 'public', TO_DATE('2022-09-29 17:04:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:04:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574219785834180609', 'GET', '{}', '29', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575411270877257730', '1', 'tofly-flow', 'public', TO_DATE('2022-09-29 17:04:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:04:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '122', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575411374946328578', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 17:05:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:05:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessnodel', 'POST', '{}', '60', NULL, NULL, 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575416440138760193', '1', 'tofly-flow', 'public', TO_DATE('2022-09-29 17:25:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:25:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574219785834180609', 'GET', '{}', '33', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575416442294632449', '1', 'tofly-flow', 'public', TO_DATE('2022-09-29 17:25:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:25:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"size":["1000"],"current":["1"]}', '27', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575416517611749378', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 17:25:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:25:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["46"],"id":["1572140204302041089"]}', '139', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575416812915916801', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 17:26:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:26:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575416813154992130', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 17:26:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:26:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575416822869000193', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 17:26:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:26:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575416823091298305', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 17:26:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:26:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575416829718298626', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 17:26:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:26:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"id":["1572140204302041089"]}', '105', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575416830309695489', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 17:26:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:26:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575416830569742338', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 17:26:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:26:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575416833283457026', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 17:26:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:26:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575416837540675586', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-29 17:26:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:26:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575416837549064194', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-29 17:26:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:26:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575416851285409793', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-29 17:27:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:27:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1568482594885484546"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575416925809803265', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-29 17:27:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:27:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["47"],"id":["1572140204302041089"]}', '110', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575416951667687425', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-29 17:27:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:27:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["28"],"id":["1572140204302041089"]}', '126', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575417555173507073', '1', 'tofly-flow', 'test', TO_DATE('2022-09-29 17:29:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:29:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '22', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575417555496468482', '1', 'tofly-flow', 'test', TO_DATE('2022-09-29 17:29:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:29:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '19', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575417561158778881', '1', 'tofly-flow', 'test', TO_DATE('2022-09-29 17:29:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:29:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '19', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575417562001833986', '1', 'tofly-flow', 'test', TO_DATE('2022-09-29 17:29:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:29:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575417565776707586', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 17:29:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:29:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"id":["1572140204302041089"]}', '131', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575417566347132929', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 17:29:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:29:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575417566573625345', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 17:29:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:29:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575417569086013442', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 17:29:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:29:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575417569161510914', '1', 'tofly-flow', 'public', TO_DATE('2022-09-29 17:29:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 17:29:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1574219785834180609', 'GET', '{}', '42', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575300366617772033', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-29 09:44:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 09:44:09', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfregionp/tree', 'GET', '{"fullName":[""],"updateUser":[""],"remark":[""],"updateTime":[""],"regionLevel":[""],"regionCode":[""],"createTime":[""],"regionId":[""],"name":[""],"tenantId":[""],"createUser":[""],"id":[""],"isDel":[""]}', '3801', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575301293684785154', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-29 09:47:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 09:47:50', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfmatterp/saveMatterAndPrice', 'POST', '{}', '64', NULL, NULL, 'content:新增物资信息及价格', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575301461956067330', '0', 'tofly-flow', 'yjf', TO_DATE('2022-09-29 09:48:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 09:48:30', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfmatterp/saveMatterAndPrice', 'POST', '{}', '48', NULL, '### Error updating database.  Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys006)

### The error may exist in com/tofly/workflow/baseconf/mapper/TfMatterPMapper.java (best guess)
### The error may involve com.tofly.workflow.baseconf.mapper.TfMatterPMapper.insert-Inline
### The error occurred while setting parameters
### SQL: INSERT INTO TF_MATTER_P  ( id,  category, matter_type, matter_name,   standards, unit,     remark, CREATE_USER, CREATE_TIME, UPDATE_USER, UPDATE_TIME )  VALUES  ( ?,  ?, ?, ?,   ?, ?,     ?, ?, ?, ?, ? )
### Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys006)

; ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys006)
; nested exception is java.sql.SQLIntegrityConstraintViolationException: ORA-00001: 违反唯一约束条件 (TF_ZMRQ_LC.sys006)', 'content:新增物资信息及价格', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575301566612340738', '1', 'tofly-flow', 'yjf', TO_DATE('2022-09-29 09:48:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 09:48:55', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfmatterp/saveMatterAndPrice', 'POST', '{}', '67', NULL, NULL, 'content:新增物资信息及价格', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575318879893835778', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-29 10:57:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 10:57:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["46"],"id":["1572140204302041089"]}', '283', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575321732901265409', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-29 11:09:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 11:09:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["46"],"id":["1572140204302041089"]}', '205', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575321753260417025', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-29 11:09:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 11:09:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["46"],"id":["1572140204302041089"]}', '187', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575322434159534082', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-29 11:11:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 11:11:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["46"],"id":["1572140204302041089"]}', '173', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575322540099264513', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 11:12:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 11:12:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '21', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575322547162472449', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 11:12:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 11:12:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '8', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575322556180226049', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 11:12:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 11:12:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1572832711356719105"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575322556289277954', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 11:12:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 11:12:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '585', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575325001891471362', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-29 11:22:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 11:22:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1573919105386835969', 'GET', '{}', '35', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575325071072321538', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 11:22:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 11:22:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575325076826906625', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 11:22:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 11:22:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '18', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575325077061787649', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 11:22:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 11:22:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575325093486682113', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 11:22:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 11:22:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1575053258153025538', 'GET', '{"id":["1575053258153025538"]}', '19', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575325094212296705', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 11:22:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 11:22:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575325094581395458', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 11:22:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 11:22:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '5', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575325097592905729', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-29 11:22:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 11:22:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575325695373500418', '1', 'tofly-flow', 'public', TO_DATE('2022-09-29 11:24:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 11:24:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575325710779179010', '1', 'tofly-flow', 'public', TO_DATE('2022-09-29 11:24:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 11:24:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1572832711356719105"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575325935367380993', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-29 11:25:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 11:25:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["46"],"id":["1572140204302041089"]}', '140', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575326252611952642', '2', 'tofly-auth', 'jtadmin', TO_DATE('2022-09-29 11:27:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 11:27:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/d3630e16-1757-48da-8c4b-e2ca3daea043', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575326315794948097', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-29 11:27:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 11:27:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["46"],"id":["1572140204302041089"]}', '133', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575328438666420225', '1', 'tofly-flow', 'public', TO_DATE('2022-09-29 11:35:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 11:35:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '35', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575328439584972801', '1', 'tofly-flow', 'public', TO_DATE('2022-09-29 11:35:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 11:35:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1572832711356719105"],"isMould":["0"]}', '2', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575328835703431169', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 11:37:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 11:37:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575328848378617858', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 11:37:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 11:37:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1572832711356719105"],"isMould":["0"]}', '2', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575331519986688002', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-29 11:47:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 11:47:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["1000"],"dataType":["1570692286170427394"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575331536449331201', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-29 11:48:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 11:48:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessnodel', 'POST', '{}', '668', NULL, NULL, 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575331545664217090', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-29 11:48:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 11:48:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1573919105386835969', 'GET', '{}', '21', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575331548138856449', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-29 11:48:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 11:48:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{"edition":["23"],"id":["1572140204302041089"]}', '106', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575331550294728705', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-29 11:48:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 11:48:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["1000"],"dataType":["1570692286170427394"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575333198589091841', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-29 11:54:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-29 11:54:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '2', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575773944588853250', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-30 17:05:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 17:05:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '216', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578589064847261698', '1', 'tofly-flow', 'llzm', TO_DATE('2022-10-08 11:32:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 11:32:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl', 'POST', '{}', '97', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578589066302685185', '1', 'tofly-flow', 'llzm', TO_DATE('2022-10-08 11:32:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 11:32:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578589133793230849', '1', 'tofly-flow', 'lr', TO_DATE('2022-10-08 11:32:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 11:32:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575424433622429698', 'GET', '{}', '21', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578589134774697986', '1', 'tofly-flow', 'lr', TO_DATE('2022-10-08 11:32:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 11:32:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["53"],"id":["1572140204302041089"]}', '125', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578589188470177793', '1', 'tofly-flow', 'lr', TO_DATE('2022-10-08 11:32:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 11:32:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '128', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578589780580073473', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-10-08 11:35:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 11:35:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578589809600462849', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-10-08 11:35:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 11:35:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '29', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578591186716295169', '2', 'tofly-auth', 'mzadmin', TO_DATE('2022-10-08 11:40:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 11:40:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/3fb787a7-731e-4bb9-855b-eb88fa0c5bad', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578591200872071170', '2', 'tofly-auth', 'public', TO_DATE('2022-10-08 11:40:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 11:40:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/1e4337ff-7b49-4ae8-808d-9fca34c65263', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578591265867005953', '1', 'tofly-flow', 'copy', TO_DATE('2022-10-08 11:41:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 11:41:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["1000"],"dataType":["1570692286170427394"]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578591265934114817', '1', 'tofly-flow', 'copy', TO_DATE('2022-10-08 11:41:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 11:41:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '28', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578591283470499842', '2', 'tofly-auth', 'copy', TO_DATE('2022-10-08 11:41:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 11:41:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/29c2e491-1800-4e26-9b44-e2ec374cdb0e', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578591341628719105', '1', 'tofly-flow', 'lr', TO_DATE('2022-10-08 11:41:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 11:41:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578591341762936834', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-10-08 11:41:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 11:41:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578591346812878849', '1', 'tofly-flow', 'lr', TO_DATE('2022-10-08 11:41:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 11:41:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["53"],"id":["1572140204302041089"]}', '131', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578591347823706113', '1', 'tofly-flow', 'lr', TO_DATE('2022-10-08 11:41:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 11:41:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575424433622429698', 'GET', '{"id":["1575424433622429698"]}', '23', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578591430078201857', '1', 'tofly-flow', 'lr', TO_DATE('2022-10-08 11:41:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 11:41:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575424433622429698', 'GET', '{"id":["1575424433622429698"]}', '24', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578591648588857346', '1', 'tofly-flow', 'yj', TO_DATE('2022-10-08 11:42:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 11:42:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578594111953928193', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 11:52:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 11:52:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '39', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578594176848199681', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 11:52:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 11:52:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"name":[""],"tenantId":[""],"current":["1"],"size":["30"],"contractType":[""]}', '38', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578594186528653313', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 11:52:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 11:52:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"name":[""],"tenantId":[""],"current":["1"],"size":["30"],"contractType":["1"]}', '22', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578594190244806657', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 11:52:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 11:52:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"name":[""],"tenantId":[""],"current":["1"],"size":["30"],"contractType":["1"]}', '17', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578594191175942146', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 11:52:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 11:52:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"name":[""],"tenantId":[""],"current":["1"],"size":["30"],"contractType":["1"]}', '20', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578595538231197697', '1', 'tofly-flow', 'yj', TO_DATE('2022-10-08 11:57:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 11:57:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578595544380047361', '1', 'tofly-flow', 'yj', TO_DATE('2022-10-08 11:58:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 11:58:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"id":["1572140204302041089"]}', '143', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578595558787481601', '1', 'tofly-flow', 'yj', TO_DATE('2022-10-08 11:58:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 11:58:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '45', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578632971077320705', '0', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 14:26:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:26:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/saveTeamAll', 'POST', '{}', '147', NULL, '### Error updating database.  Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-01400: 无法将 NULL 插入 ("TF_ZMRQ_LC"."TF_BUILD_UNIT_P"."TEAM_TYPE")

### The error may exist in com/tofly/workflow/baseconf/mapper/TfBuildUnitPMapper.java (best guess)
### The error may involve com.tofly.workflow.baseconf.mapper.TfBuildUnitPMapper.insert-Inline
### The error occurred while setting parameters
### SQL: INSERT INTO TF_BUILD_UNIT_P  ( id, tenant_id, order_number, dept_id,   remark, CREATE_USER,  CREATE_TIME, UPDATE_USER,  UPDATE_TIME )  VALUES  ( ?, ?, ?, ?,   ?, ?,  ?, ?,  ? )
### Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-01400: 无法将 NULL 插入 ("TF_ZMRQ_LC"."TF_BUILD_UNIT_P"."TEAM_TYPE")

; ORA-01400: 无法将 NULL 插入 ("TF_ZMRQ_LC"."TF_BUILD_UNIT_P"."TEAM_TYPE")
; nested exception is java.sql.SQLIntegrityConstraintViolationException: ORA-01400: 无法将 NULL 插入 ("TF_ZMRQ_LC"."TF_BUILD_UNIT_P"."TEAM_TYPE")', 'content:新增施工班组相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578633009279041537', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 14:26:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:26:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/1578632983194669058', 'GET', '{"0":["1578632983194669058"]}', '7', NULL, NULL, 'content:通过id查询施工组织单位', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578633106855329793', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 14:27:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:27:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/saveTeamAll', 'POST', '{}', '17', NULL, NULL, 'content:新增施工班组相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578633107308314625', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 14:27:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:27:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '31', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578633108667269121', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 14:27:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:27:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '126', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578633117135568897', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 14:27:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:27:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575426595366707202', 'GET', '{"id":["1575426595366707202"]}', '24', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578633117554999298', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 14:27:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:27:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/1578632983194669058', 'GET', '{"0":["1578632983194669058"]}', '13', NULL, NULL, 'content:通过id查询施工组织单位', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578586952700624898', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 11:23:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 11:23:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"appLabe":["1572832711356719105"],"tenantId":["1569602913205559298"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578586953426239490', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 11:23:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 11:23:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["56"],"id":["1572140204302041089"]}', '116', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578586954818748417', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 11:23:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 11:23:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575688978056167425', 'GET', '{}', '1', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578587473767399425', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 11:25:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 11:25:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578587481635913729', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 11:25:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 11:25:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '46', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578587499260379137', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 11:26:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 11:26:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/1575750722598289409', 'GET', '{"0":["1575750722598289409"]}', '25', NULL, NULL, 'content:通过id查询施工组织单位', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578587517329440770', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 11:26:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 11:26:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/1575750722598289409', 'GET', '{"0":["1575750722598289409"]}', '9', NULL, NULL, 'content:通过id查询施工组织单位', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578587531128700929', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 11:26:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 11:26:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/1575750722598289409', 'GET', '{"0":["1575750722598289409"]}', '9', NULL, NULL, 'content:通过id查询施工组织单位', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578587564452446210', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 11:26:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 11:26:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"nature":[""]}', '32', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578587570601295873', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 11:26:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 11:26:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["9999"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578587596878610434', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 11:26:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 11:26:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '22', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578587789682376706', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-10-08 11:27:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 11:27:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578587789971783681', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-10-08 11:27:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 11:27:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578587876831625218', '1', 'tofly-flow', 'llzm', TO_DATE('2022-10-08 11:27:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 11:27:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessnodel', 'POST', '{}', '19', NULL, NULL, 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578587881780903937', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-10-08 11:27:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 11:27:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"id":["1572140204302041089"]}', '155', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578587882741399553', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-10-08 11:27:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 11:27:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578587882988863489', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-10-08 11:27:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 11:27:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578587885476085762', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-10-08 11:27:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 11:27:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578587893235548161', '1', 'tofly-flow', 'llzm', TO_DATE('2022-10-08 11:27:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 11:27:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["53"],"id":["1572140204302041089"]}', '133', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578587893638201345', '1', 'tofly-flow', 'llzm', TO_DATE('2022-10-08 11:27:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 11:27:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575424433622429698', 'GET', '{"id":["1575424433622429698"]}', '20', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578587955055394817', '1', 'tofly-flow', 'llzm', TO_DATE('2022-10-08 11:27:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 11:27:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578587955281887234', '1', 'tofly-flow', 'llzm', TO_DATE('2022-10-08 11:27:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 11:27:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578587964333195265', '1', 'tofly-flow', 'llzm', TO_DATE('2022-10-08 11:27:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 11:27:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"id":["1572140204302041089"]}', '142', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578587964966535170', '1', 'tofly-flow', 'llzm', TO_DATE('2022-10-08 11:27:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 11:27:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578587965142695937', '1', 'tofly-flow', 'llzm', TO_DATE('2022-10-08 11:27:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 11:27:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578589306011353089', '1', 'tofly-flow', 'llzm', TO_DATE('2022-10-08 11:33:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 11:33:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"id":["1572140204302041089"]}', '134', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578589306707607553', '1', 'tofly-flow', 'llzm', TO_DATE('2022-10-08 11:33:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 11:33:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578589306887962625', '1', 'tofly-flow', 'llzm', TO_DATE('2022-10-08 11:33:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 11:33:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578589309719117826', '1', 'tofly-flow', 'llzm', TO_DATE('2022-10-08 11:33:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 11:33:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578615500261916673', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 13:17:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:17:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578615500526157825', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 13:17:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:17:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '20', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578615503411838977', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 13:17:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:17:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578615503642525697', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 13:17:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:17:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578615507983630337', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 13:17:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:17:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578615569807671297', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 13:17:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:17:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578615596445696001', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 13:17:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:17:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep', 'PUT', '{}', '37', NULL, NULL, 'content:修改基础类型表', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578615596659605506', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 13:17:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:17:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578615881306046466', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 13:18:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:18:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578615886414708737', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 13:18:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:18:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578616383179685891', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 13:20:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:20:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575687892465442818', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-30 11:24:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:24:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '26', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575687894180913154', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-30 11:24:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:24:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '23', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575687901671940098', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-30 11:24:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:24:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"id":["1572140204302041089"]}', '220', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575687902267531265', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-30 11:24:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:24:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '4', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575687902577909762', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-30 11:24:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:24:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '5', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575687905526505474', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-30 11:24:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:24:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '9', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575688100234485761', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-30 11:24:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:24:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["53"],"id":["1572140204302041089"]}', '134', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575688630872662017', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-30 11:26:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:26:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575689182142619649', '1', 'tofly-flow', 'public', TO_DATE('2022-09-30 11:29:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:29:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["56"],"id":["1572140204302041089"]}', '132', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575689182616576002', '1', 'tofly-flow', 'public', TO_DATE('2022-09-30 11:29:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:29:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575688977028562946', 'GET', '{"id":["1575688977028562946"]}', '18', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575689249238900738', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-30 11:29:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:29:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575689276376047617', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-30 11:29:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:29:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["56"],"id":["1572140204302041089"]}', '153', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575689276837421058', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-30 11:29:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:29:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575688977028562946', 'GET', '{"id":["1575688977028562946"]}', '16', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575689447847583745', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-30 11:30:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:30:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessnodel', 'POST', '{}', '196', NULL, NULL, 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575689481347489793', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-30 11:30:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:30:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575689486162550786', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-30 11:30:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:30:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575689518869733378', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-30 11:30:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:30:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '37', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575689518936842241', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-30 11:30:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:30:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"appLabe":["1572832711356719105"],"tenantId":["1569602913205559298"],"isMould":["0"]}', '9', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575689520287408129', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-30 11:30:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:30:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575688978056167425', 'GET', '{}', '2', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575689813427314690', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-30 11:31:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:31:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575689822650589186', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-30 11:31:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:31:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575689832192630785', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-30 11:31:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:31:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '34', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575689833828409345', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-30 11:31:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:31:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"appLabe":["1572832711356719105"],"tenantId":["1569602913205559298"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575689834314948610', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-30 11:31:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:31:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575688978056167425', 'GET', '{}', '1', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575689943396212737', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-30 11:32:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:32:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575689966238392321', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-30 11:32:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:32:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575689993492979713', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-30 11:32:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:32:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '38', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575689993899827202', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-30 11:32:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:32:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"appLabe":["1572832711356719105"],"tenantId":["1569602913205559298"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575690070294880258', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-30 11:32:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:32:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575688978056167425', 'GET', '{}', '2', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575690140700467201', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-30 11:32:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:32:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '36', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575690142894088194', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-30 11:32:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:32:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"appLabe":["1572832711356719105"],"tenantId":["1569602913205559298"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575690150540304386', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-30 11:33:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:33:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["53"],"id":["1572140204302041089"]}', '121', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575690254739398658', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-30 11:33:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:33:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["53"],"id":["1572140204302041089"]}', '145', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575690305792466946', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-30 11:33:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:33:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '124', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575690329565782017', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-30 11:33:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:33:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575426595366707202', 'GET', '{"id":["1575426595366707202"]}', '49', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575690474458013698', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-30 11:34:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:34:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575688978056167425', 'GET', '{}', '2', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575690559061319681', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-30 11:34:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:34:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '37', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575690601675448321', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-30 11:34:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:34:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575688978056167425', 'GET', '{}', '2', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575690627470417921', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-30 11:34:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:34:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '36', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575739587950108674', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-30 14:49:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 14:49:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["53"],"id":["1572140204302041089"]}', '124', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575739617012441090', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-30 14:49:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 14:49:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575426230143492098', 'GET', '{}', '53', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575739617469620225', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-30 14:49:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 14:49:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '113', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575739656971575297', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-30 14:49:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 14:49:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["1000"],"dataType":["1570692286170427394"]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575739657055461378', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-30 14:49:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 14:49:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '29', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575739703327023105', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-30 14:49:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 14:49:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '33', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575739703486406657', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-30 14:49:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 14:49:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"appLabe":["1572832711356719105"],"tenantId":["1569602913205559298"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575739704178466817', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-30 14:49:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 14:49:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["56"],"id":["1572140204302041089"]}', '119', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575739733689589761', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-30 14:50:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 14:50:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575688978056167425', 'GET', '{}', '1', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575739796683841538', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-30 14:50:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 14:50:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '121', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575739798311231490', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-30 14:50:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 14:50:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["1000"],"dataType":["1570692286170427394"]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575739798344785922', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-30 14:50:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 14:50:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '22', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575740014389190657', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-30 14:51:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 14:51:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '129', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575740054985859073', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-30 14:51:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 14:51:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '122', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575740462244388866', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-30 14:52:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 14:52:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '138', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575741890962743297', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-30 14:58:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 14:58:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '131', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575743736003518465', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-30 15:05:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 15:05:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575685082881576961', 'GET', '{}', '127', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575743736045461506', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-30 15:05:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 15:05:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '140', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575743744320823298', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-30 15:05:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 15:05:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["1000"],"dataType":["1570692286170427394"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575743744396320770', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-30 15:05:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 15:05:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '25', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575743791162810370', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-30 15:06:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 15:06:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575685082881576961', 'GET', '{}', '35', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575743791578046466', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-30 15:06:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 15:06:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '137', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575743797529763842', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-30 15:06:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 15:06:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["1000"],"dataType":["1570692286170427394"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575743797596872706', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-30 15:06:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 15:06:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '22', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575773422301569025', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-30 17:03:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 17:03:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575426230143492098', 'GET', '{}', '23', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575773422838439937', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-30 17:03:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 17:03:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '117', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575773513955500033', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-30 17:04:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 17:04:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["1000"],"dataType":["1570692286170427394"]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575773513989054466', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-30 17:04:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 17:04:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '31', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575773912414347267', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-30 17:05:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 17:05:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575426230143492098', 'GET', '{}', '438', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578587670908076033', '1', 'tofly-flow', 'llzm', TO_DATE('2022-10-08 11:26:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 11:26:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578587676729769985', '1', 'tofly-flow', 'llzm', TO_DATE('2022-10-08 11:26:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 11:26:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["53"],"id":["1572140204302041089"]}', '119', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578587677564436481', '1', 'tofly-flow', 'llzm', TO_DATE('2022-10-08 11:26:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 11:26:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575424433622429698', 'GET', '{"id":["1575424433622429698"]}', '28', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578587968401670146', '1', 'tofly-flow', 'llzm', TO_DATE('2022-10-08 11:27:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 11:27:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578588501053112322', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 11:30:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 11:30:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '24', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578588625460363266', '1', 'tofly-flow', 'llzm', TO_DATE('2022-10-08 11:30:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 11:30:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl', 'POST', '{}', '300', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578588626886426626', '1', 'tofly-flow', 'llzm', TO_DATE('2022-10-08 11:30:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 11:30:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '18', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578588718238367746', '1', 'tofly-flow', 'llzm', TO_DATE('2022-10-08 11:30:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 11:30:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"id":["1572140204302041089"]}', '134', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578588718796210178', '1', 'tofly-flow', 'llzm', TO_DATE('2022-10-08 11:30:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 11:30:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578588719031091201', '1', 'tofly-flow', 'llzm', TO_DATE('2022-10-08 11:30:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 11:30:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578626606929920001', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 14:01:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:01:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfreportentryp/page', 'GET', '{"name":["施工组织和技术方案已审批"],"current":["1"],"size":["30"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578626624478887937', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 14:01:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:01:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfreportentryp/page', 'GET', '{"name":["施工组织和技术方案"],"current":["1"],"size":["30"]}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578626635782537217', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 14:01:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:01:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfreportentryp/page', 'GET', '{"name":[""],"current":["1"],"size":["30"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578626636755615745', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 14:01:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:01:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfreportentryp/page', 'GET', '{"name":[""],"current":["1"],"size":["30"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578626703348580353', '0', 'tofly-flow', 'yj', TO_DATE('2022-10-08 14:01:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:01:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessnodel', 'POST', '{}', '152', NULL, '### Error updating database.  Cause: java.sql.SQLDataException: ORA-01438: 值大于为此列指定的允许精度

### The error may exist in com/tofly/workflow/buss/mapper/TfRegisterItemWMapper.java (best guess)
### The error may involve com.tofly.workflow.buss.mapper.TfRegisterItemWMapper.insert-Inline
### The error occurred while setting parameters
### SQL: INSERT INTO TF_REGISTER_ITEM_W  ( id, process_id, node_id, project_name, user_name, region,  addre, longitude,  user_type, contacts, telephone,   household_number, document_type, document_number, urgent_level,   content )  VALUES  ( ?, ?, ?, ?, ?, ?,  ?, ?,  ?, ?, ?,   ?, ?, ?, ?,   ? )
### Cause: java.sql.SQLDataException: ORA-01438: 值大于为此列指定的允许精度

; ORA-01438: 值大于为此列指定的允许精度
; nested exception is java.sql.SQLDataException: ORA-01438: 值大于为此列指定的允许精度', 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578626755139846146', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 14:02:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:02:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578626759002800129', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 14:02:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:02:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '119', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578626759871021058', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 14:02:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:02:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578626764333760513', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 14:02:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:02:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575426230143492098', 'GET', '{"id":["1575426230143492098"]}', '33', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578626777046695937', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 14:02:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:02:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '29', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578626777143164929', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 14:02:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:02:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"appLabe":["1572832711356719105"],"tenantId":["1569602913205559298"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578626778095271937', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 14:02:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:02:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["56"],"id":["1572140204302041089"]}', '135', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578626779013824514', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 14:02:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:02:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575688978056167425', 'GET', '{}', '2', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578627060644560897', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 14:03:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:03:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"appLabe":["1572832711356719105"],"tenantId":["1569602913205559298"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578627061420507137', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 14:03:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:03:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["56"],"id":["1572140204302041089"]}', '129', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578627282921701377', '1', 'tofly-flow', 'llzm', TO_DATE('2022-10-08 14:04:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:04:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["64"],"id":["1572140204302041089"]}', '129', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578627283345326082', '1', 'tofly-flow', 'llzm', TO_DATE('2022-10-08 14:04:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:04:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1578620110460428289', 'GET', '{"id":["1578620110460428289"]}', '22', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578627286147121154', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 14:04:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:04:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578627291587133442', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 14:04:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:04:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578627296070844417', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 14:04:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:04:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '30', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578627296175702017', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 14:04:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:04:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"appLabe":["1572832711356719105"],"tenantId":["1569602913205559298"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578627296884539393', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 14:04:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:04:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["56"],"id":["1572140204302041089"]}', '119', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578627297715011585', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 14:04:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:04:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575688978056167425', 'GET', '{}', '1', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578627314001494017', '1', 'tofly-flow', 'llzm', TO_DATE('2022-10-08 14:04:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:04:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["64"],"id":["1572140204302041089"]}', '119', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578627314852937729', '1', 'tofly-flow', 'llzm', TO_DATE('2022-10-08 14:04:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:04:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["1000"],"dataType":["1570692286170427394"]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578627314894880769', '1', 'tofly-flow', 'llzm', TO_DATE('2022-10-08 14:04:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:04:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '19', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578627423925813250', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 14:04:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:04:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578627452195422209', '1', 'tofly-flow', 'llzm', TO_DATE('2022-10-08 14:04:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:04:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessnodel', 'POST', '{}', '115', NULL, NULL, 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578627643485044737', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 14:05:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:05:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578627698484953089', '1', 'tofly-flow', 'llzm', TO_DATE('2022-10-08 14:05:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:05:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["64"],"id":["1572140204302041089"]}', '128', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578627730273583106', '1', 'tofly-flow', 'llzm', TO_DATE('2022-10-08 14:05:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:05:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1578620110460428289', 'GET', '{}', '24', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578627731447988225', '1', 'tofly-flow', 'llzm', TO_DATE('2022-10-08 14:05:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:05:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["64"],"id":["1572140204302041089"]}', '121', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578627735566794754', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 14:05:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:05:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578627738129514497', '1', 'tofly-flow', 'llzm', TO_DATE('2022-10-08 14:05:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:05:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"size":["1000"],"current":["1"]}', '19', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575773912414347266', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-30 17:05:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 17:05:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '502', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578615886095941633', '0', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 13:18:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:18:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep', 'PUT', '{}', '44', NULL, 'nested exception is org.apache.ibatis.type.TypeException: Could not set parameters for mapping: ParameterMapping{property=''ew.paramNameValuePairs.MPGENVAL1'', mode=IN, javaType=class java.lang.Object, jdbcType=null, numericScale=null, resultMapId=''null'', jdbcTypeName=''null'', expression=''null''}. Cause: org.apache.ibatis.type.TypeException: Error setting null for parameter #1 with JdbcType OTHER . Try setting a different JdbcType for this parameter or a different jdbcTypeForNull configuration property. Cause: java.sql.SQLException: 无效的列类型: 1111', 'content:修改基础类型表', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578616595331776513', '1', 'tofly-flow', 'llzm', TO_DATE('2022-10-08 13:21:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:21:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '38', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578616694426402818', '0', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 13:22:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:22:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep', 'PUT', '{}', '45', NULL, 'nested exception is org.apache.ibatis.type.TypeException: Could not set parameters for mapping: ParameterMapping{property=''ew.paramNameValuePairs.MPGENVAL1'', mode=IN, javaType=class java.lang.Object, jdbcType=null, numericScale=null, resultMapId=''null'', jdbcTypeName=''null'', expression=''null''}. Cause: org.apache.ibatis.type.TypeException: Error setting null for parameter #1 with JdbcType OTHER . Try setting a different JdbcType for this parameter or a different jdbcTypeForNull configuration property. Cause: java.sql.SQLException: 无效的列类型: 1111', 'content:修改基础类型表', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578628934231662593', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 14:10:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:10:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '290', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578633154632646657', '1', 'tofly-flow', 'yj', TO_DATE('2022-10-08 14:27:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:27:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '29', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578633211654209538', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 14:27:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:27:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575426595366707202', 'GET', '{"id":["1575426595366707202"]}', '26', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578634168282677250', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-10-08 14:31:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:31:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["53"],"id":["1572140204302041089"]}', '138', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578634168588861442', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-10-08 14:31:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:31:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575424433622429698', 'GET', '{"id":["1575424433622429698"]}', '15', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578634383832154114', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 14:32:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:32:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/1578634015333191682', 'GET', '{"0":["1578634015333191682"]}', '16', NULL, NULL, 'content:通过id查询施工组织单位', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578634796312592386', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 14:33:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:33:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"appLabe":["1572832711356719105"],"tenantId":["1569602913205559298"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578635089054040065', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 14:35:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:35:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/saveTeamAll', 'POST', '{}', '19', NULL, NULL, 'content:新增施工班组相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578635089490247681', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 14:35:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:35:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":["测试地址"]}', '25', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578635106812723201', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 14:35:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:35:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/1578634015333191682', 'GET', '{"0":["1578634015333191682"]}', '14', NULL, NULL, 'content:通过id查询施工组织单位', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578635132406366209', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 14:35:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:35:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/1578635088924020737', 'GET', '{"0":["1578635088924020737"]}', '19', NULL, NULL, 'content:通过id查询施工组织单位', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578635148994838530', '1', 'tofly-flow', 'yj', TO_DATE('2022-10-08 14:35:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:35:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["64"],"id":["1572140204302041089"]}', '156', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578635521327398914', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 14:36:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:36:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1572837052390055938"],"isMould":["0"]}', '2', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578635521566474241', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 14:36:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:36:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575688978056167425', 'GET', '{}', '1', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578635676260794370', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-10-08 14:37:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:37:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '27', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578635790412972034', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 14:37:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:37:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578635793952964610', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 14:37:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:37:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '35', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578635794078793729', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 14:37:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:37:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"appLabe":["1572832711356719105"],"tenantId":["1569602913205559298"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578635794947014657', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 14:37:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:37:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["56"],"id":["1572140204302041089"]}', '143', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578635795471302658', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 14:37:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:37:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575688978056167425', 'GET', '{}', '2', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578635893269889025', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 14:38:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:38:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '148', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578635900387622913', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 14:38:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:38:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575426595366707202', 'GET', '{"id":["1575426595366707202"]}', '33', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578636210011144193', '1', 'tofly-flow', 'public', TO_DATE('2022-10-08 14:39:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:39:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["56"],"id":["1572140204302041089"]}', '187', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578636231066550274', '1', 'tofly-flow', 'public', TO_DATE('2022-10-08 14:39:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:39:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["64"],"id":["1572140204302041089"]}', '129', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578636237219594242', '1', 'tofly-flow', 'public', TO_DATE('2022-10-08 14:39:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:39:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["64"],"id":["1572140204302041089"]}', '133', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578636242064015361', '1', 'tofly-flow', 'yj', TO_DATE('2022-10-08 14:39:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:39:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1578620110460428289', 'GET', '{}', '35', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578636243091619842', '1', 'tofly-flow', 'yj', TO_DATE('2022-10-08 14:39:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:39:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["64"],"id":["1572140204302041089"]}', '132', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578636243515244545', '1', 'tofly-flow', 'public', TO_DATE('2022-10-08 14:39:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:39:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["62"],"id":["1572140204302041089"]}', '130', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578636255720669186', '1', 'tofly-flow', 'public', TO_DATE('2022-10-08 14:39:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:39:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["53"],"id":["1572140204302041089"]}', '121', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575691466993917953', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-30 11:38:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:38:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["53"],"id":["1572140204302041089"]}', '115', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575692290637783041', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-30 11:41:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:41:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '124', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575692369482309633', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-30 11:41:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:41:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["1000"],"dataType":["1570692286170427394"]}', '54', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575692369562001410', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-30 11:41:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:41:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '60', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575692661598806017', '1', 'tofly-flow', 'public', TO_DATE('2022-09-30 11:43:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:43:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575692666971709442', '1', 'tofly-flow', 'public', TO_DATE('2022-09-30 11:43:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:43:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575693683964600321', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-30 11:47:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:47:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575688978056167425', 'GET', '{}', '2', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575693804924133377', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-30 11:47:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:47:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575693815556694018', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-30 11:47:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:47:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575693831935451138', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-30 11:47:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:47:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '35', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575693832380047362', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-30 11:47:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:47:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"appLabe":["1572832711356719105"],"tenantId":["1569602913205559298"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575693890081087490', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-30 11:47:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:47:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["53"],"id":["1572140204302041089"]}', '116', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575694081609785345', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-30 11:48:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:48:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '131', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575694223872188418', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-30 11:49:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:49:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["1000"],"dataType":["1570692286170427394"]}', '20', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575694223951880193', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-30 11:49:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:49:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '38', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575694274627461122', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-30 11:49:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:49:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["53"],"id":["1572140204302041089"]}', '133', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575694699934081026', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-30 11:51:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:51:06', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"appLabe":["1572832711356719105"],"tenantId":["1569602913205559298"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575695161810837506', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-30 11:52:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:52:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575688978056167425', 'GET', '{}', '2', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575695951426314241', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-30 11:56:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:56:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"appLabe":["1572832711356719105"],"tenantId":["1569602913205559298"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575696399948406786', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-30 11:57:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:57:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575696406894174209', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-30 11:57:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:57:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575696415530246146', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-30 11:57:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:57:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '37', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575696418403344385', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-30 11:57:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:57:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{}', '135', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575696509214220290', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-30 11:58:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:58:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '156', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575696599534362626', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-30 11:58:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:58:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"appLabe":["1572832711356719105"],"tenantId":["1569602913205559298"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575696895031468034', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-30 11:59:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:59:49', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["56"],"id":["1572140204302041089"]}', '132', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575696943412764674', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-30 12:00:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 12:00:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{}', '137', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575722145697849345', '1', 'tofly-flow', 'public', TO_DATE('2022-09-30 13:40:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 13:40:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '34', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575722146008227842', '1', 'tofly-flow', 'public', TO_DATE('2022-09-30 13:40:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 13:40:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575688978056167425', 'GET', '{}', '1', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575739510414204929', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-30 14:49:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 14:49:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl', 'POST', '{}', '93', NULL, NULL, 'content:新增流程信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575739546090954754', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-30 14:49:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 14:49:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl', 'POST', '{}', '69', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575739548678840322', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-30 14:49:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 14:49:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575739895057047553', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-30 14:50:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 14:50:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["53"],"id":["1572140204302041089"]}', '107', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575739919962824706', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-30 14:50:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 14:50:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575739927332216833', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-30 14:50:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 14:50:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["53"],"id":["1572140204302041089"]}', '160', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575739950103093250', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-30 14:50:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 14:50:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575424433622429698', 'GET', '{"id":["1575424433622429698"]}', '21', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575740895721512962', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-30 14:54:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 14:54:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '142', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575740992941285378', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-30 14:55:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 14:55:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '126', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575741300090167297', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-30 14:56:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 14:56:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '149', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578588721677697026', '1', 'tofly-flow', 'llzm', TO_DATE('2022-10-08 11:30:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 11:30:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578590125637074945', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-10-08 11:36:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 11:36:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["1000"],"dataType":["1570692286170427394"]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578590125662240769', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-10-08 11:36:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 11:36:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '22', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578590661258084354', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-10-08 11:38:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 11:38:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["1000"],"dataType":["1570692286170427394"]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578590661333581825', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-10-08 11:38:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 11:38:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '24', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578590785237516290', '1', 'tofly-flow', 'lr', TO_DATE('2022-10-08 11:39:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 11:39:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["53"],"id":["1572140204302041089"]}', '120', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578591341578387457', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-10-08 11:41:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 11:41:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578591357986504705', '2', 'tofly-auth', 'mzadmin', TO_DATE('2022-10-08 11:41:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 11:41:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/fa5c612e-0fa5-4851-aa32-6cd23626a507', 'DELETE', '{}', '1', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578591379457146881', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 11:41:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 11:41:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/1578587823769485314', 'GET', '{"0":["1578587823769485314"]}', '12', NULL, NULL, 'content:通过id查询施工组织单位', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578591379532644354', '1', 'tofly-flow', 'lr', TO_DATE('2022-10-08 11:41:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 11:41:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["53"],"id":["1572140204302041089"]}', '129', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578592749279084546', '1', 'tofly-flow', 'lr', TO_DATE('2022-10-08 11:46:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 11:46:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578592894813044738', '2', 'tofly-auth', 'jtadmin', TO_DATE('2022-10-08 11:47:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 11:47:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/a0d23402-3fb4-43bf-b859-b8b485bdce40', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578592944716873729', '2', 'tofly-auth', 'fsq1', TO_DATE('2022-10-08 11:47:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 11:47:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/5b792c2d-f514-4615-ae1b-96b3c2fc1f3f', 'DELETE', '{}', '1', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578593591642128385', '1', 'tofly-flow', 'lr', TO_DATE('2022-10-08 11:50:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 11:50:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["62"],"id":["1572140204302041089"]}', '143', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578593677084295169', '2', 'tofly-auth', 'jtadmin', TO_DATE('2022-10-08 11:50:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 11:50:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/b2495413-d96f-4901-893c-28cde9126caa', 'DELETE', '{}', '1', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578593681769332738', '1', 'tofly-flow', 'lr', TO_DATE('2022-10-08 11:50:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 11:50:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1578561996038176770', 'GET', '{"id":["1578561996038176770"]}', '21', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578593984384172033', '1', 'tofly-flow', 'lr', TO_DATE('2022-10-08 11:51:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 11:51:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575424433622429698', 'GET', '{}', '19', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578593985336279042', '1', 'tofly-flow', 'lr', TO_DATE('2022-10-08 11:51:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 11:51:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["53"],"id":["1572140204302041089"]}', '137', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578593999135539202', '2', 'tofly-auth', 'jtadmin', TO_DATE('2022-10-08 11:51:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 11:51:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/6e9b5517-2402-4a10-b3f0-0308b2758472', 'DELETE', '{}', '1', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578594054127058945', '1', 'tofly-flow', 'lr', TO_DATE('2022-10-08 11:52:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 11:52:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["53"],"id":["1572140204302041089"]}', '152', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578594392812912641', '1', 'tofly-flow', 'lr', TO_DATE('2022-10-08 11:53:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 11:53:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["53"],"id":["1572140204302041089"]}', '147', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578594407820132354', '1', 'tofly-flow', 'yj', TO_DATE('2022-10-08 11:53:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 11:53:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575426230143492098', 'GET', '{}', '38', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578594408948400130', '1', 'tofly-flow', 'yj', TO_DATE('2022-10-08 11:53:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 11:53:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '143', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578594409598517249', '1', 'tofly-flow', 'yj', TO_DATE('2022-10-08 11:53:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 11:53:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"size":["1000"],"current":["1"]}', '27', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578594447254978561', '1', 'tofly-flow', 'lr', TO_DATE('2022-10-08 11:53:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 11:53:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '145', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578594496097648641', '1', 'tofly-flow', 'yj', TO_DATE('2022-10-08 11:53:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 11:53:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '8', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578594508969967618', '1', 'tofly-flow', 'yj', TO_DATE('2022-10-08 11:53:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 11:53:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"id":["1572140204302041089"]}', '179', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578594528259571713', '1', 'tofly-flow', 'yj', TO_DATE('2022-10-08 11:53:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 11:53:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '43', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578595188518518785', '1', 'tofly-flow', 'yj', TO_DATE('2022-10-08 11:56:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 11:56:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578595923750649857', '1', 'tofly-flow', 'yj', TO_DATE('2022-10-08 11:59:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 11:59:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl', 'POST', '{}', '132', NULL, NULL, 'content:新增流程信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578595950086684674', '1', 'tofly-flow', 'yj', TO_DATE('2022-10-08 11:59:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 11:59:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578603637293809666', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 12:30:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 12:30:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '7', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578603644436709378', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 12:30:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 12:30:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '8', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578603649411153921', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 12:30:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 12:30:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '30', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578603649637646337', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 12:30:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 12:30:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"appLabe":["1572832711356719105"],"tenantId":["1569602913205559298"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578603650371649537', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 12:30:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 12:30:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["56"],"id":["1572140204302041089"]}', '120', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578603650661056513', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 12:30:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 12:30:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575688978056167425', 'GET', '{}', '2', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578603874011938817', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 12:31:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 12:31:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '30', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578603874192293889', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 12:31:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 12:31:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"appLabe":["1572832711356719105"],"tenantId":["1569602913205559298"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578627738980958210', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 14:05:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:05:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578627742936186882', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 14:05:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:05:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '26', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578633964456280066', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-10-08 14:30:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:30:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["53"],"id":["1572140204302041089"]}', '133', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578633964783435777', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-10-08 14:30:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:30:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575424433622429698', 'GET', '{"id":["1575424433622429698"]}', '20', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578633974107373569', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-10-08 14:30:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:30:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575424433622429698', 'GET', '{"id":["1575424433622429698"]}', '24', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578633990855229441', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-10-08 14:30:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:30:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["53"],"id":["1572140204302041089"]}', '132', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578633991366934529', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-10-08 14:30:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:30:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575424433622429698', 'GET', '{"id":["1575424433622429698"]}', '20', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578634417600495618', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 14:32:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:32:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/1578634015333191682', 'GET', '{"0":["1578634015333191682"]}', '16', NULL, NULL, 'content:通过id查询施工组织单位', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578634456217452545', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 14:32:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:32:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["30"],"current":["1"]}', '22', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578634508528812034', '1', 'tofly-flow', 'llzm', TO_DATE('2022-10-08 14:32:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:32:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["64"],"id":["1572140204302041089"]}', '141', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578634641622466561', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 14:33:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:33:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["53"],"id":["1572140204302041089"]}', '143', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578634675512442882', '1', 'tofly-flow', 'yj', TO_DATE('2022-10-08 14:33:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:33:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578634678687531010', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 14:33:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:33:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '147', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578634700707627009', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 14:33:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:33:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575426595366707202', 'GET', '{"id":["1575426595366707202"]}', '22', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578634784551763969', '1', 'tofly-flow', 'yj', TO_DATE('2022-10-08 14:33:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:33:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["53"],"id":["1572140204302041089"]}', '131', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578634792076345346', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 14:33:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:33:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578634796253872129', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 14:33:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:33:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '31', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578635409658249217', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 14:36:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:36:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578635419871379457', '1', 'tofly-flow', 'yj', TO_DATE('2022-10-08 14:36:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:36:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["64"],"id":["1572140204302041089"]}', '140', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578635422228578305', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 14:36:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:36:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '31', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578635449290227713', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 14:36:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:36:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/saveTeamAll', 'POST', '{}', '9', NULL, NULL, 'content:新增施工班组相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578635449629966338', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 14:36:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:36:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '29', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578635569259905026', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 14:37:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:37:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1572836695614169089"],"isMould":["0"]}', '2', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578635569444454401', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 14:37:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:37:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575688978056167425', 'GET', '{}', '1', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578635578558676994', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 14:37:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:37:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578635585848377345', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 14:37:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:37:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '27', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578635586192310273', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 14:37:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:37:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1572836841324290050"],"isMould":["0"]}', '2', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578635586477522945', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 14:37:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:37:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575688978056167425', 'GET', '{}', '2', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578635596711624706', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 14:37:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:37:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1572836939831713793"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578635596942311426', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 14:37:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:37:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575688978056167425', 'GET', '{}', '1', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578635606043951106', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 14:37:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:37:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1572837564405522433"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578635624075264002', '2', 'tofly-auth', 'jtadmin', TO_DATE('2022-10-08 14:37:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:37:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/bf68abe0-88e4-4c48-a3ac-53487fa1c383', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578635630614183937', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 14:37:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:37:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/page', 'GET', '{"current":["1"],"size":["10"],"registerTime":["2022-07-28"],"configId":[""],"ywType":["-1"],"tenantId":["1569602913205559298"],"relationId":["1575688978056167425"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578635632157687810', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 14:37:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:37:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["56"],"id":["1572140204302041089"]}', '147', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578635637253767170', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 14:37:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:37:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578635637295710210', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 14:37:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:37:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578635637354430465', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 14:37:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:37:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578636009615687682', '1', 'tofly-flow', 'public', TO_DATE('2022-10-08 14:38:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:38:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '175', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578636094286102529', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 14:39:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:39:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575426595366707202', 'GET', '{"id":["1575426595366707202"]}', '30', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578642887104098305', '1', 'tofly-flow', 'yj', TO_DATE('2022-10-08 15:06:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:06:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["1000"],"dataType":["1570692286170427394"]}', '24', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578642887129264130', '1', 'tofly-flow', 'yj', TO_DATE('2022-10-08 15:06:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:06:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '42', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578643072966291457', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 15:06:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:06:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"nature":["1574964044849864706"]}', '29', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578643098639626242', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 15:06:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:06:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl', 'POST', '{}', '382', NULL, NULL, 'content:新增流程信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578643247919099905', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 15:07:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:07:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessnodel', 'POST', '{}', '154', NULL, NULL, 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578643283679735809', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 15:07:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:07:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["64"],"id":["1572140204302041089"]}', '149', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578643284128526337', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 15:07:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:07:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1578643097498791937', 'GET', '{"id":["1578643097498791937"]}', '38', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578643536139087874', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 15:08:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:08:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '141', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578643536705318914', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 15:08:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:08:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575426595366707202', 'GET', '{"id":["1575426595366707202"]}', '24', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578644537491419137', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 15:12:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:12:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"name":["沟槽开挖验沟"],"current":["1"],"size":["30"]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578644620983234561', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 15:13:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:13:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '23', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578644632861503489', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 15:13:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:13:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '23', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578644633461288962', '1', 'tofly-flow', 'public', TO_DATE('2022-10-08 15:13:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:13:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575426230143492098', 'GET', '{}', '36', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578644634493087745', '1', 'tofly-flow', 'public', TO_DATE('2022-10-08 15:13:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:13:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '123', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578644635256451074', '1', 'tofly-flow', 'public', TO_DATE('2022-10-08 15:13:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:13:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["1000"],"dataType":["1570692286170427394"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578644693876043777', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 15:13:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:13:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfreportentryp/page', 'GET', '{"name":[""],"current":["1"],"size":["30"]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578644752973787137', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 15:13:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:13:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfreportentryp/page', 'GET', '{"name":[""],"current":["1"],"size":["30"]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578644785370591233', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 15:13:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:13:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfreportentryp/page', 'GET', '{"name":[""],"current":["1"],"size":["30"]}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578644786448527361', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 15:13:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:13:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfreportentryp/page', 'GET', '{"name":[""],"current":["1"],"size":["30"]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578644804077187073', '1', 'tofly-flow', 'public', TO_DATE('2022-10-08 15:13:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:13:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571327917362372610"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578644814349037569', '2', 'tofly-auth', 'public', TO_DATE('2022-10-08 15:13:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:13:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/659a3d54-b58c-4216-b2e2-5bf4b9e94082', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578644874763792386', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 15:14:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:14:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1578643097498791937', 'GET', '{"id":["1578643097498791937"]}', '24', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578644887212486658', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 15:14:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:14:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '27', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578644889947172866', '1', 'tofly-flow', 'lr', TO_DATE('2022-10-08 15:14:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:14:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575424433622429698', 'GET', '{"id":["1575424433622429698"]}', '20', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578644914408353794', '1', 'tofly-flow', 'lr', TO_DATE('2022-10-08 15:14:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:14:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575424433622429698', 'GET', '{"id":["1575424433622429698"]}', '22', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578644968066084865', '1', 'tofly-flow', 'lr', TO_DATE('2022-10-08 15:14:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:14:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["64"],"id":["1572140204302041089"]}', '136', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578645016153780226', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 15:14:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:14:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578645023078576130', '1', 'tofly-flow', 'lr', TO_DATE('2022-10-08 15:14:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:14:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '150', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578645049603354625', '1', 'tofly-flow', 'lr', TO_DATE('2022-10-08 15:14:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:14:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571327917362372610"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578645056364572674', '1', 'tofly-flow', 'lr', TO_DATE('2022-10-08 15:14:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:14:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"id":["1572140204302041089"]}', '173', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578645137855705089', '1', 'tofly-flow', 'yj', TO_DATE('2022-10-08 15:15:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:15:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578645163302547457', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 15:15:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:15:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '24', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578645311428587521', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 15:15:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:15:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"nature":[""]}', '20', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578645320437952513', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 15:15:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:15:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["9999"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578645407528480769', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 15:16:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:16:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"nature":[""]}', '24', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578645418878267394', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 15:16:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:16:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"nature":[""]}', '22', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578645465833500673', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 15:16:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:16:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"nature":["1574964044849864706"]}', '19', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578645504471429121', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 15:16:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:16:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"nature":["1574964044849864706"]}', '23', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578645523488403458', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 15:16:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:16:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1578643097498791937', 'GET', '{"id":["1578643097498791937"]}', '27', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575741464108425218', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-30 14:56:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 14:56:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '150', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575741498241671169', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-30 14:57:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 14:57:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectdispatchw/page', 'GET', '{"current":["1"],"state":[""],"userType":["{}"],"projectLink":[""],"size":["30"]}', '2', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575741567347023874', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-30 14:57:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 14:57:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '140', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575741785673129985', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-30 14:58:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 14:58:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '131', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575754957339582465', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-30 15:50:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 15:50:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '111', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575755225556934658', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-30 15:51:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 15:51:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessnodel', 'POST', '{}', '7', NULL, NULL, 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575755364010909697', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-30 15:52:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 15:52:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessnodel', 'POST', '{}', '8', NULL, NULL, 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575755484974637057', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-30 15:52:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 15:52:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '118', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575755507867148289', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-30 15:52:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 15:52:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["1000"],"dataType":["1570692286170427394"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575755507925868546', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-30 15:52:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 15:52:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '18', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575755538045165569', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-30 15:52:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 15:52:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575426230143492098', 'GET', '{}', '36', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575755539286679554', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-30 15:52:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 15:52:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '149', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575755540008099842', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-30 15:52:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 15:52:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"size":["1000"],"current":["1"]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575755561759760385', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-30 15:52:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 15:52:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '117', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575755638624575490', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-30 15:53:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 15:53:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '128', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575756083652812802', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-30 15:55:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 15:55:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '118', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575756112463486977', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-30 15:55:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 15:55:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '128', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575756672847667201', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-30 15:57:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 15:57:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '119', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575756762064707586', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-30 15:57:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 15:57:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '116', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575757305709420545', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-30 15:59:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 15:59:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '114', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575758783102672898', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-30 16:05:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 16:05:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '119', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575758810705387522', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-30 16:05:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 16:05:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '137', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575759015098015745', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-30 16:06:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 16:06:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '118', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575759045238284290', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-30 16:06:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 16:06:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '137', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578553401535901697', '1', 'tofly-flow', 'lr', TO_DATE('2022-10-08 09:10:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 09:10:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["53"],"id":["1572140204302041089"]}', '125', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578553416421486594', '1', 'tofly-flow', 'lr', TO_DATE('2022-10-08 09:10:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 09:10:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '132', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578553416912220161', '1', 'tofly-flow', 'lr', TO_DATE('2022-10-08 09:10:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 09:10:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575426230143492098', 'GET', '{"id":["1575426230143492098"]}', '46', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578553431772639233', '1', 'tofly-flow', 'lr', TO_DATE('2022-10-08 09:10:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 09:10:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["53"],"id":["1572140204302041089"]}', '123', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578553444338774018', '1', 'tofly-flow', 'lr', TO_DATE('2022-10-08 09:10:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 09:10:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '130', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578553444686901249', '1', 'tofly-flow', 'lr', TO_DATE('2022-10-08 09:10:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 09:10:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575426230143492098', 'GET', '{"id":["1575426230143492098"]}', '26', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578553878763810818', '1', 'tofly-flow', 'lr', TO_DATE('2022-10-08 09:12:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 09:12:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575739510061875201', 'GET', '{"id":["1575739510061875201"]}', '30', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578553881225867265', '1', 'tofly-flow', 'yj', TO_DATE('2022-10-08 09:12:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 09:12:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl', 'POST', '{}', '464', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578553882589016066', '1', 'tofly-flow', 'yj', TO_DATE('2022-10-08 09:12:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 09:12:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578553920375500802', '1', 'tofly-flow', 'lr', TO_DATE('2022-10-08 09:12:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 09:12:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575739510061875201', 'GET', '{"id":["1575739510061875201"]}', '22', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578553943666470913', '1', 'tofly-flow', 'yj', TO_DATE('2022-10-08 09:12:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 09:12:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["53"],"id":["1572140204302041089"]}', '143', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578554044103274498', '1', 'tofly-flow', 'yj', TO_DATE('2022-10-08 09:13:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 09:13:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578554174915227650', '1', 'tofly-flow', 'yj', TO_DATE('2022-10-08 09:13:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 09:13:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '150', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578603874854993921', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 12:31:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 12:31:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["56"],"id":["1572140204302041089"]}', '119', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578603894228484097', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 12:31:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 12:31:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575688978056167425', 'GET', '{}', '2', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578604030182653953', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 12:31:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 12:31:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '2', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578604043184996354', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 12:31:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 12:31:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578604047417049090', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 12:31:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 12:31:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '31', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578604047605792770', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 12:31:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 12:31:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"appLabe":["1572832711356719105"],"tenantId":["1569602913205559298"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578613756446474241', '1', 'tofly-flow', 'yj', TO_DATE('2022-10-08 13:10:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:10:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["62"],"id":["1572140204302041089"]}', '127', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578613769805332482', '1', 'tofly-flow', 'yj', TO_DATE('2022-10-08 13:10:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:10:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1578561996038176770', 'GET', '{"id":["1578561996038176770"]}', '23', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578613806325137409', '1', 'tofly-flow', 'yj', TO_DATE('2022-10-08 13:10:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:10:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1578595923222167553', 'GET', '{"id":["1578595923222167553"]}', '21', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578613859206922241', '1', 'tofly-flow', 'yj', TO_DATE('2022-10-08 13:10:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:10:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["64"],"id":["1572140204302041089"]}', '136', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578613870367965186', '1', 'tofly-flow', 'yj', TO_DATE('2022-10-08 13:10:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:10:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1578595923222167553', 'GET', '{"id":["1578595923222167553"]}', '21', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578614410296524801', '1', 'tofly-flow', 'llzm', TO_DATE('2022-10-08 13:12:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:12:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '119', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578614410812424193', '1', 'tofly-flow', 'llzm', TO_DATE('2022-10-08 13:12:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:12:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575685082881576961', 'GET', '{"id":["1575685082881576961"]}', '28', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578614430102028289', '1', 'tofly-flow', 'llzm', TO_DATE('2022-10-08 13:13:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:13:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["62"],"id":["1572140204302041089"]}', '154', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578614444102615041', '1', 'tofly-flow', 'llzm', TO_DATE('2022-10-08 13:13:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:13:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["64"],"id":["1572140204302041089"]}', '133', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578614759979843586', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 13:14:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:14:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578614765294026753', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 13:14:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:14:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578614769400250369', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 13:14:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:14:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '33', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578614769559633921', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 13:14:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:14:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"appLabe":["1572832711356719105"],"tenantId":["1569602913205559298"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578614770293637121', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 13:14:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:14:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["56"],"id":["1572140204302041089"]}', '124', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578614770599821313', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 13:14:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:14:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575688978056167425', 'GET', '{}', '2', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578614925097009153', '1', 'tofly-flow', 'llzm', TO_DATE('2022-10-08 13:15:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:15:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"id":["1572140204302041089"]}', '131', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578614969028149249', '1', 'tofly-flow', 'llzm', TO_DATE('2022-10-08 13:15:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:15:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '31', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578615507983630338', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 13:17:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:17:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578615569438572546', '0', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 13:17:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:17:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep', 'PUT', '{}', '33', NULL, 'nested exception is org.apache.ibatis.type.TypeException: Could not set parameters for mapping: ParameterMapping{property=''ew.paramNameValuePairs.MPGENVAL1'', mode=IN, javaType=class java.lang.Object, jdbcType=null, numericScale=null, resultMapId=''null'', jdbcTypeName=''null'', expression=''null''}. Cause: org.apache.ibatis.type.TypeException: Error setting null for parameter #1 with JdbcType OTHER . Try setting a different JdbcType for this parameter or a different jdbcTypeForNull configuration property. Cause: java.sql.SQLException: 无效的列类型: 1111', 'content:修改基础类型表', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578615569799282689', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 13:17:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:17:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578615596659605507', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 13:17:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:17:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578615880853061634', '0', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 13:18:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:18:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep', 'PUT', '{}', '45', NULL, 'nested exception is org.apache.ibatis.type.TypeException: Could not set parameters for mapping: ParameterMapping{property=''ew.paramNameValuePairs.MPGENVAL1'', mode=IN, javaType=class java.lang.Object, jdbcType=null, numericScale=null, resultMapId=''null'', jdbcTypeName=''null'', expression=''null''}. Cause: org.apache.ibatis.type.TypeException: Error setting null for parameter #1 with JdbcType OTHER . Try setting a different JdbcType for this parameter or a different jdbcTypeForNull configuration property. Cause: java.sql.SQLException: 无效的列类型: 1111', 'content:修改基础类型表', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578615881297657858', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 13:18:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:18:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578615886414708738', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 13:18:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:18:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578615900855697410', '1', 'tofly-flow', 'llzm', TO_DATE('2022-10-08 13:18:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:18:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"id":["1572140204302041089"]}', '145', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578616090136248322', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 13:19:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:19:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep', 'POST', '{}', '8', NULL, NULL, 'content:新增基础类型表', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578616090375323649', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 13:19:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:19:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578616090408878081', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 13:19:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:19:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '2', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578616374526836737', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 13:20:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:20:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep', 'POST', '{}', '3', NULL, NULL, 'content:新增基础类型表', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578636119309320194', '1', 'tofly-flow', 'public', TO_DATE('2022-10-08 14:39:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:39:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '144', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578636134392037377', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 14:39:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:39:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '147', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578636141287473154', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 14:39:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:39:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575426595366707202', 'GET', '{"id":["1575426595366707202"]}', '31', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578636167136968706', '1', 'tofly-flow', 'public', TO_DATE('2022-10-08 14:39:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:39:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '141', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578636191665258498', '1', 'tofly-flow', 'public', TO_DATE('2022-10-08 14:39:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:39:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '134', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578636217279873025', '1', 'tofly-flow', 'public', TO_DATE('2022-10-08 14:39:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:39:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '143', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578636223227396097', '1', 'tofly-flow', 'public', TO_DATE('2022-10-08 14:39:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:39:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["59"],"id":["1572140204302041089"]}', '171', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578636699058601986', '1', 'tofly-flow', 'llzm', TO_DATE('2022-10-08 14:41:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:41:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["64"],"id":["1572140204302041089"]}', '128', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578636699658387457', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 14:41:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:41:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578636703684919297', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 14:41:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:41:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578636720642490370', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 14:41:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:41:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/page', 'GET', '{"current":["1"],"size":["10"],"registerTime":["2022-07-28"],"configId":[""],"ywType":["-1"],"tenantId":["1569602913205559298"],"relationId":["1575688978056167425"]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578636721451991041', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 14:41:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:41:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["56"],"id":["1572140204302041089"]}', '122', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578636845888602113', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 14:42:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:42:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575426595366707202', 'GET', '{"id":["1575426595366707202"]}', '24', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578637137917018114', '1', 'tofly-flow', 'llzm', TO_DATE('2022-10-08 14:43:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:43:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["64"],"id":["1572140204302041089"]}', '143', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578637161472229377', '1', 'tofly-flow', 'llzm', TO_DATE('2022-10-08 14:43:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:43:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["64"],"id":["1572140204302041089"]}', '120', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578637182582161410', '1', 'tofly-flow', 'yj', TO_DATE('2022-10-08 14:43:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:43:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1578620110460428289', 'GET', '{}', '29', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578637183664291841', '1', 'tofly-flow', 'yj', TO_DATE('2022-10-08 14:43:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:43:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["64"],"id":["1572140204302041089"]}', '126', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578637217747206146', '1', 'tofly-flow', 'yj', TO_DATE('2022-10-08 14:43:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:43:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"size":["1000"],"current":["1"]}', '24', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578637218380546050', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 14:43:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:43:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575426595366707202', 'GET', '{"id":["1575426595366707202"]}', '24', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578637470319804418', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 14:44:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:44:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '122', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578637475415883778', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 14:44:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:44:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575426595366707202', 'GET', '{"id":["1575426595366707202"]}', '30', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578637541920768002', '1', 'tofly-flow', 'llzm', TO_DATE('2022-10-08 14:44:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:44:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["64"],"id":["1572140204302041089"]}', '120', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578639756630781954', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-10-08 14:53:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:53:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"nature":[""]}', '44', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578639764704817154', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-10-08 14:53:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:53:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '77', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578640036994838530', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-10-08 14:54:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:54:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/1578634015333191682', 'GET', '{"0":["1578634015333191682"]}', '23', NULL, NULL, 'content:通过id查询施工组织单位', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578640056817119234', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-10-08 14:54:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:54:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"nature":[""]}', '31', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578640061942558722', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-10-08 14:54:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:54:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"nature":[""]}', '20', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578640062911442946', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-10-08 14:54:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:54:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"nature":[""]}', '17', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578640063804829697', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-10-08 14:54:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:54:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"nature":[""]}', '20', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578640088647692290', '2', 'tofly-auth', 'tnadmin', TO_DATE('2022-10-08 14:55:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:55:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/992809ea-1bda-40f9-adca-9e98b559a4f5', 'DELETE', '{}', '9', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578640120641843201', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 14:55:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:55:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575426595366707202', 'GET', '{"id":["1575426595366707202"]}', '30', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578640134529183745', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-10-08 14:55:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:55:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '30', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578640152984121346', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-10-08 14:55:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:55:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"nature":[""]}', '27', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578640170419843073', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-10-08 14:55:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:55:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"nature":["1574963902897840129"]}', '26', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578640173859172354', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-10-08 14:55:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:55:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"nature":["1574963902897840129"]}', '24', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578640174781919234', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-10-08 14:55:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:55:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"nature":["1574963902897840129"]}', '20', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578640175717249025', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-10-08 14:55:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:55:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"nature":["1574963902897840129"]}', '20', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578636258014953474', '1', 'tofly-flow', 'llzm', TO_DATE('2022-10-08 14:39:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:39:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["64"],"id":["1572140204302041089"]}', '141', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578636279548510209', '1', 'tofly-flow', 'public', TO_DATE('2022-10-08 14:39:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:39:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["53"],"id":["1572140204302041089"]}', '146', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578636406656892929', '1', 'tofly-flow', 'yj', TO_DATE('2022-10-08 14:40:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:40:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"size":["1000"],"current":["1"]}', '19', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578636415288770562', '1', 'tofly-flow', 'llzm', TO_DATE('2022-10-08 14:40:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:40:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["64"],"id":["1572140204302041089"]}', '124', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578636614803423234', '1', 'tofly-flow', 'llzm', TO_DATE('2022-10-08 14:41:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:41:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["64"],"id":["1572140204302041089"]}', '158', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578637261510574081', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 14:43:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:43:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '122', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578637267856556033', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 14:43:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:43:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575426595366707202', 'GET', '{"id":["1575426595366707202"]}', '22', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578637277411180545', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 14:43:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:43:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/page', 'GET', '{"current":["1"],"size":["10"],"registerTime":["2022-10-08"],"configId":[""],"ywType":["-1"],"tenantId":["1569602913205559298"],"relationId":["1575688978056167425"]}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578637279000821761', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 14:43:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:43:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["56"],"id":["1572140204302041089"]}', '130', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578637402346913794', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 14:44:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:44:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575426595366707202', 'GET', '{"id":["1575426595366707202"]}', '27', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578637605447696386', '1', 'tofly-flow', 'llzm', TO_DATE('2022-10-08 14:45:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:45:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["64"],"id":["1572140204302041089"]}', '129', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578637662389567490', '1', 'tofly-flow', 'public', TO_DATE('2022-10-08 14:45:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:45:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["59"],"id":["1572140204302041089"]}', '126', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578637675433852929', '1', 'tofly-flow', 'public', TO_DATE('2022-10-08 14:45:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:45:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["10000"],"current":["1"]}', '54', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578637811245416450', '1', 'tofly-flow', 'llzm', TO_DATE('2022-10-08 14:45:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:45:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["64"],"id":["1572140204302041089"]}', '140', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578638034059427841', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 14:46:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:46:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578638045262413825', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 14:46:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:46:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578638052606640130', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 14:46:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:46:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '29', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578638052971544577', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 14:46:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:46:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"appLabe":["1572832711356719105"],"tenantId":["1569602913205559298"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578638054787678209', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 14:46:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:46:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["56"],"id":["1572140204302041089"]}', '131', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578638056368930817', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 14:46:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:46:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575688978056167425', 'GET', '{}', '1', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578638257200594946', '1', 'tofly-flow', 'llzm', TO_DATE('2022-10-08 14:47:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:47:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["64"],"id":["1572140204302041089"]}', '127', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578638362704117761', '1', 'tofly-flow', 'public', TO_DATE('2022-10-08 14:48:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:48:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '7', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578638364625108994', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 14:48:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:48:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578638373697388545', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 14:48:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:48:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578638379997233153', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 14:48:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:48:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '28', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578638381796589570', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 14:48:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:48:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"appLabe":["1572832711356719105"],"tenantId":["1569602913205559298"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578638383952461826', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 14:48:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:48:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["56"],"id":["1572140204302041089"]}', '119', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578638384891985921', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 14:48:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:48:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575688978056167425', 'GET', '{}', '1', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578638555969257474', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 14:48:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:48:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575426595366707202', 'GET', '{"id":["1575426595366707202"]}', '26', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578638621970825217', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 14:49:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:49:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '130', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578638626676834306', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 14:49:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:49:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575426595366707202', 'GET', '{"id":["1575426595366707202"]}', '25', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578638732964691970', '1', 'tofly-flow', 'llzm', TO_DATE('2022-10-08 14:49:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:49:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1578620110460428289', 'GET', '{}', '29', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578638733883244545', '1', 'tofly-flow', 'llzm', TO_DATE('2022-10-08 14:49:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:49:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["64"],"id":["1572140204302041089"]}', '128', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578638758017269761', '1', 'tofly-flow', 'llzm', TO_DATE('2022-10-08 14:49:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:49:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"size":["1000"],"current":["1"]}', '22', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578639415789056002', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 14:52:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:52:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '269', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578639469555838977', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 14:52:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:52:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '13', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578639476279308289', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 14:52:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:52:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '197', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578639477617291265', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 14:52:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:52:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"appLabe":["1572832711356719105"],"tenantId":["1569602913205559298"],"isMould":["0"]}', '37', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578554217495801857', '1', 'tofly-flow', 'lr', TO_DATE('2022-10-08 09:13:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 09:13:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575739510061875201', 'GET', '{}', '22', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578554218066227202', '1', 'tofly-flow', 'lr', TO_DATE('2022-10-08 09:13:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 09:13:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["59"],"id":["1572140204302041089"]}', '124', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578554227532771330', '1', 'tofly-flow', 'lr', TO_DATE('2022-10-08 09:13:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 09:13:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575685082881576961', 'GET', '{}', '23', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578554227989950465', '1', 'tofly-flow', 'lr', TO_DATE('2022-10-08 09:13:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 09:13:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '137', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578554233522237441', '1', 'tofly-flow', 'lr', TO_DATE('2022-10-08 09:13:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 09:13:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575426595366707202', 'GET', '{}', '23', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578554234021359618', '1', 'tofly-flow', 'lr', TO_DATE('2022-10-08 09:13:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 09:13:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '142', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578554240270872577', '1', 'tofly-flow', 'lr', TO_DATE('2022-10-08 09:13:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 09:13:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575426230143492098', 'GET', '{}', '64', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578554241621438466', '1', 'tofly-flow', 'lr', TO_DATE('2022-10-08 09:13:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 09:13:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '333', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578554242816815105', '1', 'tofly-flow', 'lr', TO_DATE('2022-10-08 09:13:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 09:13:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["1000"],"dataType":["1570692286170427394"]}', '26', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578554242883923970', '1', 'tofly-flow', 'lr', TO_DATE('2022-10-08 09:13:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 09:13:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '55', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578554302229131265', '1', 'tofly-flow', 'lr', TO_DATE('2022-10-08 09:14:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 09:14:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '155', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578554386857603074', '1', 'tofly-flow', 'lr', TO_DATE('2022-10-08 09:14:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 09:14:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '120', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578554946709106690', '1', 'tofly-flow', 'lr', TO_DATE('2022-10-08 09:16:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 09:16:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575426595366707202', 'GET', '{}', '30', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578554947174674433', '1', 'tofly-flow', 'lr', TO_DATE('2022-10-08 09:16:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 09:16:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '137', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578554960357371905', '1', 'tofly-flow', 'lr', TO_DATE('2022-10-08 09:16:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 09:16:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["1000"],"dataType":["1570692286170427394"]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578554960390926337', '1', 'tofly-flow', 'lr', TO_DATE('2022-10-08 09:16:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 09:16:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '20', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578559905781612545', '1', 'tofly-flow', 'lr', TO_DATE('2022-10-08 09:36:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 09:36:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["53"],"id":["1572140204302041089"]}', '299', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578559915030052865', '1', 'tofly-flow', 'lr', TO_DATE('2022-10-08 09:36:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 09:36:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '225', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578559926249816066', '1', 'tofly-flow', 'lr', TO_DATE('2022-10-08 09:36:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 09:36:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '217', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578559945619111937', '1', 'tofly-flow', 'lr', TO_DATE('2022-10-08 09:36:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 09:36:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["59"],"id":["1572140204302041089"]}', '199', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578560041849028609', '1', 'tofly-flow', 'lr', TO_DATE('2022-10-08 09:36:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 09:36:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '184', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578560049587519489', '1', 'tofly-flow', 'lr', TO_DATE('2022-10-08 09:36:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 09:36:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '166', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578560057200181250', '1', 'tofly-flow', 'lr', TO_DATE('2022-10-08 09:37:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 09:37:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '166', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578560575192530946', '1', 'tofly-flow', 'hq', TO_DATE('2022-10-08 09:39:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 09:39:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["10000"],"current":["1"]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578560576664731650', '1', 'tofly-flow', 'hq', TO_DATE('2022-10-08 09:39:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 09:39:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '52', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578560683397185537', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 09:39:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 09:39:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '7', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578560941602734082', '1', 'tofly-flow', 'yj', TO_DATE('2022-10-08 09:40:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 09:40:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '157', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578560987337424898', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 09:40:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 09:40:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578561003296751618', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 09:40:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 09:40:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '68', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578561005729447938', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 09:40:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 09:40:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"appLabe":["1572832711356719105"],"tenantId":["1569602913205559298"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578561006610251778', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 09:40:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 09:40:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["56"],"id":["1572140204302041089"]}', '144', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578561007021293570', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 09:40:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 09:40:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575688978056167425', 'GET', '{}', '14', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578561122486288385', '1', 'tofly-flow', 'llzm', TO_DATE('2022-10-08 09:41:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 09:41:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578561169517019138', '1', 'tofly-flow', 'llzm', TO_DATE('2022-10-08 09:41:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 09:41:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '17', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578561239519952897', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 09:41:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 09:41:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578561239670947842', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 09:41:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 09:41:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578561239721279490', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 09:41:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 09:41:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '7', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578561403517239298', '1', 'tofly-flow', 'yj', TO_DATE('2022-10-08 09:42:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 09:42:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '135', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578561451814649858', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 09:42:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 09:42:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578616383179685890', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 13:20:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:20:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578616597324070914', '1', 'tofly-flow', 'llzm', TO_DATE('2022-10-08 13:21:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:21:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"id":["1572140204302041089"]}', '128', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578616599760961538', '1', 'tofly-flow', 'llzm', TO_DATE('2022-10-08 13:21:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:21:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578616674310520834', '1', 'tofly-flow', 'llzm', TO_DATE('2022-10-08 13:21:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:21:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578616693121974273', '1', 'tofly-flow', 'llzm', TO_DATE('2022-10-08 13:22:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:22:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"id":["1572140204302041089"]}', '126', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578616693864366082', '1', 'tofly-flow', 'llzm', TO_DATE('2022-10-08 13:22:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:22:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '37', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578616694808084482', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 13:22:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:22:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578616697844760577', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 13:22:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:22:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578616728366710786', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 13:22:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:22:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578616728593203202', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 13:22:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:22:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578616997552947202', '1', 'tofly-flow', 'lr', TO_DATE('2022-10-08 13:23:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:23:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/page', 'GET', '{"hitCount":[""],"registerStaff":[""],"processState":[""],"records":[""],"processNumber":[""],"searchCount":[""],"edition":[""],"remark":[""],"relationNumber":[""],"current":[""],"total":[""],"configId":[""],"orders[0].asc":[""],"registerPost":[""],"ywType":[""],"orders[0].column":[""],"id":[""],"processType":[""],"optimizeCountSql":[""],"registerTime":[""],"registerDept":[""],"passingNode":[""],"relationId":[""],"size":[""],"createTime":[""],"name":[""],"tenantId":[""],"createUser":[""],"category":[""],"isDel":[""]}', '18', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578617002229596162', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 13:23:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:23:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578617003114594306', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 13:23:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:23:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578617012652441602', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 13:23:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:23:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '17', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578617012853768193', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 13:23:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:23:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578617017962430465', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 13:23:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:23:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578617019103281153', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 13:23:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:23:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578617023897370626', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 13:23:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:23:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":["1"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578617026418147329', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 13:23:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:23:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578618148914561026', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 13:27:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:27:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '206', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578618149459820546', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 13:27:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:27:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '28', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578618152970452993', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 13:27:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:27:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578618153234694146', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 13:27:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:27:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '7', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578618155931631618', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 13:27:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:27:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '28', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578618370289926146', '1', 'tofly-flow', 'lr', TO_DATE('2022-10-08 13:28:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:28:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '16', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578619859431440385', '1', 'tofly-flow', 'llzm', TO_DATE('2022-10-08 13:34:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:34:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"id":["1572140204302041089"]}', '337', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578619861146910721', '1', 'tofly-flow', 'llzm', TO_DATE('2022-10-08 13:34:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:34:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '146', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578620491185897474', '1', 'tofly-flow', 'llzm', TO_DATE('2022-10-08 13:37:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:37:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1578620110460428289', 'GET', '{"id":["1578620110460428289"]}', '21', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578620553282568193', '1', 'tofly-flow', 'llzm', TO_DATE('2022-10-08 13:37:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:37:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessnodel', 'POST', '{}', '212', NULL, NULL, 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578620902911361025', '1', 'tofly-flow', 'lr', TO_DATE('2022-10-08 13:38:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:38:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578621513383919618', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 13:41:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:41:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '17', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578621513383919619', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 13:41:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:41:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '17', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578621516730974210', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 13:41:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:41:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '18', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578621516982632449', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 13:41:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:41:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '19', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578622245080252418', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 13:44:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:44:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578622263208034306', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 13:44:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:44:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '62', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578640177269141506', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-10-08 14:55:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:55:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"nature":["1574963902897840129"]}', '18', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578640178258997250', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-10-08 14:55:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:55:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"nature":["1574963902897840129"]}', '18', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578640179085275137', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-10-08 14:55:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:55:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"nature":["1574963902897840129"]}', '21', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578640179882192898', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-10-08 14:55:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:55:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"nature":["1574963902897840129"]}', '18', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578640180750413825', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-10-08 14:55:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:55:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"nature":["1574963902897840129"]}', '19', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578640186345615361', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-10-08 14:55:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:55:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"nature":[""]}', '20', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578640187394191362', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-10-08 14:55:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:55:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"nature":[""]}', '18', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578640188308549634', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-10-08 14:55:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:55:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"nature":[""]}', '21', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578640304750817281', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 14:55:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:55:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578640312636108801', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 14:55:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:55:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '7', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578640318826901506', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 14:55:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:55:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '41', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578640320605286402', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 14:55:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:55:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"appLabe":["1572832711356719105"],"tenantId":["1569602913205559298"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578640322886987778', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 14:55:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:55:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["56"],"id":["1572140204302041089"]}', '147', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578640323520327681', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 14:55:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:55:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575688978056167425', 'GET', '{}', '2', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578640443632611330', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 14:56:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:56:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578640443993321474', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 14:56:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:56:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578640444093984769', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 14:56:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:56:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '2', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578640473219231746', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 14:56:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:56:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575426595366707202', 'GET', '{"id":["1575426595366707202"]}', '35', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578640551061319681', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 14:56:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:56:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '162', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578640559357652993', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 14:56:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:56:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575426595366707202', 'GET', '{"id":["1575426595366707202"]}', '36', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578640585773379585', '1', 'tofly-flow', 'public', TO_DATE('2022-10-08 14:57:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:57:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"id":["1572140204302041089"]}', '162', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578640628915990530', '1', 'tofly-flow', 'public', TO_DATE('2022-10-08 14:57:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:57:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '38', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578640679134392322', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 14:57:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:57:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575426595366707202', 'GET', '{"id":["1575426595366707202"]}', '26', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578640702282756098', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 14:57:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:57:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578640708570017793', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 14:57:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:57:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '7', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578640716648247297', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 14:57:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:57:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '39', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578640718485352449', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 14:57:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:57:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"appLabe":["1572832711356719105"],"tenantId":["1569602913205559298"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578640720771248129', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 14:57:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:57:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["56"],"id":["1572140204302041089"]}', '140', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578640721530417154', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 14:57:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:57:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575688978056167425', 'GET', '{}', '3', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578640764350066689', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 14:57:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:57:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '155', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578640772017254401', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 14:57:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:57:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575426595366707202', 'GET', '{"id":["1575426595366707202"]}', '34', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578640839885287425', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-10-08 14:58:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:58:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"nature":["1574963975367024642"]}', '19', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578640840984195073', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-10-08 14:58:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:58:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"nature":["1574963975367024642"]}', '21', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578640995695292418', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 14:58:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:58:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575426595366707202', 'GET', '{"id":["1575426595366707202"]}', '22', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578641015500795905', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-10-08 14:58:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:58:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["9999"]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578641037793521666', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 14:58:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:58:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '141', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578641042654720001', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 14:58:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:58:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575426595366707202', 'GET', '{"id":["1575426595366707202"]}', '30', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578641050972024833', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-10-08 14:58:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:58:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp', 'POST', '{}', '28', NULL, NULL, 'content:新增工程工序/工程管控', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578641051416621057', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-10-08 14:58:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:58:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"nature":["1574963975367024642"]}', '28', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578565945344491522', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 10:00:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 10:00:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '57', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578639480746242050', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 14:52:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:52:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["56"],"id":["1572140204302041089"]}', '285', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578639481996144642', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 14:52:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:52:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575688978056167425', 'GET', '{}', '15', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578639511222054914', '1', 'tofly-flow', 'llzm', TO_DATE('2022-10-08 14:52:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:52:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["64"],"id":["1572140204302041089"]}', '257', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578639681460465666', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-10-08 14:53:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:53:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '88', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578639682072834049', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-10-08 14:53:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:53:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '42', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578639682907500546', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-10-08 14:53:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:53:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '45', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578639733503389697', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-10-08 14:53:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:53:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"typeName":[""],"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '73', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578639736644923394', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-10-08 14:53:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:53:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '57', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578639747638194178', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-10-08 14:53:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:53:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"typeName":[""],"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578639792030707713', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-10-08 14:53:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:53:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '42', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578639794564067329', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-10-08 14:53:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:53:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '39', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578639794941554689', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-10-08 14:53:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:53:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '29', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578639887459512321', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 14:54:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:54:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575426595366707202', 'GET', '{"id":["1575426595366707202"]}', '98', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578639957152067585', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 14:54:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:54:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578639957516972033', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 14:54:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:54:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '8', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578639957642801153', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 14:54:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:54:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '9', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578640017168363521', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-10-08 14:54:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:54:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '33', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578640018116276226', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-10-08 14:54:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:54:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '44', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578640018846085121', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-10-08 14:54:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:54:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '32', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578640436808478721', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-10-08 14:56:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:56:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["9999"]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578641103883169794', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-10-08 14:59:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:59:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '26', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578641110006853634', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-10-08 14:59:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:59:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"nature":[""]}', '26', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578641348067160066', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 15:00:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:00:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578641850863546369', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 15:02:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:02:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578641877241524225', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 15:02:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:02:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578641883394568194', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 15:02:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:02:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '36', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578641887387545602', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 15:02:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:02:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["56"],"id":["1572140204302041089"]}', '132', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578641888155103233', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 15:02:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:02:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575688978056167425', 'GET', '{}', '2', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578642055608496129', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 15:02:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:02:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578642063435067394', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 15:02:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:02:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578642069185458177', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 15:02:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:02:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '33', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578642071014174722', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 15:02:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:02:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"appLabe":["1572832711356719105"],"tenantId":["1569602913205559298"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578642073291681794', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 15:02:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:02:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["56"],"id":["1572140204302041089"]}', '139', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578642074143125506', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 15:02:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:02:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575688978056167425', 'GET', '{}', '2', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578642121240965121', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 15:03:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:03:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575426595366707202', 'GET', '{"id":["1575426595366707202"]}', '37', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578561457716035586', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 09:42:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 09:42:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578561465974620161', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 09:42:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 09:42:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '44', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578561466159169537', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 09:42:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 09:42:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"appLabe":["1572832711356719105"],"tenantId":["1569602913205559298"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578561466968670210', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 09:42:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 09:42:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["56"],"id":["1572140204302041089"]}', '139', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578561467492958210', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 09:42:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 09:42:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575688978056167425', 'GET', '{}', '2', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578562266231046145', '1', 'tofly-flow', 'lr', TO_DATE('2022-10-08 09:45:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 09:45:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '132', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578562364134490113', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 09:46:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 09:46:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575688978056167425', 'GET', '{}', '2', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578562439980089346', '1', 'tofly-flow', 'yj', TO_DATE('2022-10-08 09:46:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 09:46:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578562449014620161', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 09:46:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 09:46:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"appLabe":["1572832711356719105"],"tenantId":["1569602913205559298"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578562449710874626', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 09:46:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 09:46:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["56"],"id":["1572140204302041089"]}', '121', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578562503163084801', '1', 'tofly-flow', 'lr', TO_DATE('2022-10-08 09:46:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 09:46:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578562521278283777', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 09:46:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 09:46:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '137', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578562546519605249', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 09:46:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 09:46:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575688978056167425', 'GET', '{}', '3', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578562555289894913', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 09:46:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 09:46:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '129', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578563114633887745', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-10-08 09:49:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 09:49:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '18', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578563114898128897', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-10-08 09:49:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 09:49:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '17', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578563116215140353', '1', 'tofly-flow', 'hq', TO_DATE('2022-10-08 09:49:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 09:49:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578563122707922946', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-10-08 09:49:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 09:49:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"id":["1572140204302041089"]}', '175', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578563123764887554', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-10-08 09:49:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 09:49:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '4', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578563123982991362', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-10-08 09:49:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 09:49:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578563126772203521', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-10-08 09:49:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 09:49:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578563370515791874', '1', 'tofly-flow', 'lr', TO_DATE('2022-10-08 09:50:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 09:50:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578563375376990209', '2', 'tofly-auth', 'hq', TO_DATE('2022-10-08 09:50:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 09:50:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/a8441fd7-1349-427c-a076-97501cbd7fad', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578571321536249858', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 10:21:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 10:21:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '32', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578571321829851137', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 10:21:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 10:21:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"appLabe":["1572832711356719105"],"tenantId":["1569602913205559298"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578571322672906241', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 10:21:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 10:21:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["56"],"id":["1572140204302041089"]}', '125', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578571323620818946', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 10:21:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 10:21:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575688978056167425', 'GET', '{}', '1', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578571340691636226', '1', 'tofly-flow', 'llzm', TO_DATE('2022-10-08 10:21:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 10:21:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578571360203538434', '1', 'tofly-flow', 'yj', TO_DATE('2022-10-08 10:21:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 10:21:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '130', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578571385470025729', '1', 'tofly-flow', 'yj', TO_DATE('2022-10-08 10:22:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 10:22:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["1000"],"dataType":["1570692286170427394"]}', '30', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578571385511968770', '1', 'tofly-flow', 'yj', TO_DATE('2022-10-08 10:22:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 10:22:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '39', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578571474129223682', '1', 'tofly-flow', 'lr', TO_DATE('2022-10-08 10:22:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 10:22:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '140', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578571498498129921', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 10:22:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 10:22:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578571502864400386', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 10:22:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 10:22:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '7', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578571506656051202', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 10:22:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 10:22:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '42', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578571506878349314', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 10:22:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 10:22:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"appLabe":["1572832711356719105"],"tenantId":["1569602913205559298"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578571507721404418', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 10:22:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 10:22:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["56"],"id":["1572140204302041089"]}', '131', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578571508530905090', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 10:22:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 10:22:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575688978056167425', 'GET', '{}', '2', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575676810262863874', '1', 'tofly-flow', 'tmx', TO_DATE('2022-09-30 10:40:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 10:40:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575676810480967681', '1', 'tofly-flow', 'tmx', TO_DATE('2022-09-30 10:40:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 10:40:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575676815769985025', '1', 'tofly-flow', 'tmx', TO_DATE('2022-09-30 10:40:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 10:40:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575676815967117313', '1', 'tofly-flow', 'tmx', TO_DATE('2022-09-30 10:40:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 10:40:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575676854378553346', '1', 'tofly-flow', 'tmx', TO_DATE('2022-09-30 10:40:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 10:40:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575676854609240066', '1', 'tofly-flow', 'tmx', TO_DATE('2022-09-30 10:40:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 10:40:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575676868202979329', '1', 'tofly-flow', 'tmx', TO_DATE('2022-09-30 10:40:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 10:40:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"id":["1572140204302041089"]}', '123', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575676868882456578', '1', 'tofly-flow', 'tmx', TO_DATE('2022-09-30 10:40:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 10:40:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575676869050228737', '1', 'tofly-flow', 'tmx', TO_DATE('2022-09-30 10:40:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 10:40:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575676871566811137', '1', 'tofly-flow', 'tmx', TO_DATE('2022-09-30 10:40:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 10:40:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578622273765097474', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 13:44:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:44:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/1575750722598289409', 'GET', '{"0":["1575750722598289409"]}', '25', NULL, NULL, 'content:通过id查询施工组织单位', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578622386948390914', '1', 'tofly-flow', 'llzm', TO_DATE('2022-10-08 13:44:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:44:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1578620110460428289', 'GET', '{"id":["1578620110460428289"]}', '21', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578622391465656321', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 13:44:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:44:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/saveTeamAll', 'POST', '{}', '38', NULL, NULL, 'content:新增施工班组相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578622391906058241', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 13:44:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:44:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '37', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578622410977558529', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 13:44:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:44:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/1575750722598289409', 'GET', '{"0":["1575750722598289409"]}', '19', NULL, NULL, 'content:通过id查询施工组织单位', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578622461170794498', '1', 'tofly-flow', 'llzm', TO_DATE('2022-10-08 13:44:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:44:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1578620110460428289', 'GET', '{"id":["1578620110460428289"]}', '21', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578622474160553986', '1', 'tofly-flow', 'llzm', TO_DATE('2022-10-08 13:45:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:45:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1578620110460428289', 'GET', '{"id":["1578620110460428289"]}', '21', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578622505538142209', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 13:45:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:45:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/saveTeamAll', 'POST', '{}', '59', NULL, NULL, 'content:新增施工班组相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578622505986932738', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 13:45:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:45:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '45', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578622515524780034', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 13:45:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:45:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/1575750722598289409', 'GET', '{"0":["1575750722598289409"]}', '27', NULL, NULL, 'content:通过id查询施工组织单位', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578622591366184961', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 13:45:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:45:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/1575750722598289409', 'GET', '{"0":["1575750722598289409"]}', '25', NULL, NULL, 'content:通过id查询施工组织单位', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578622826842800130', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 13:46:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:46:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578622847759794178', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 13:46:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:46:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["30"],"current":["1"]}', '20', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578622860590170113', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 13:46:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:46:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["30"],"current":["1"]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578622884862607362', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 13:46:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:46:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/deleteByIds', 'DELETE', '{"ids":["1574585330374930433"]}', '9', NULL, NULL, 'content:通过id批量删除合同模板公用字段', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578622885122654209', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 13:46:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:46:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["30"],"current":["1"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578623398123782146', '1', 'tofly-flow', 'yj', TO_DATE('2022-10-08 13:48:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:48:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575426230143492098', 'GET', '{}', '33', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578623399537262594', '1', 'tofly-flow', 'yj', TO_DATE('2022-10-08 13:48:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:48:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '159', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578623485512105986', '1', 'tofly-flow', 'llzm', TO_DATE('2022-10-08 13:49:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:49:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578624356807458818', '1', 'tofly-flow', 'yj', TO_DATE('2022-10-08 13:52:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:52:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578624357126225922', '1', 'tofly-flow', 'yj', TO_DATE('2022-10-08 13:52:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:52:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '18', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578624357495324673', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 13:52:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:52:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"name":["预算总价"],"current":["1"],"size":["30"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578624382761811970', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 13:52:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:52:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"name":["户数"],"current":["1"],"size":["30"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578624394082238465', '1', 'tofly-flow', 'yj', TO_DATE('2022-10-08 13:52:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:52:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"id":["1574293601415409665"]}', '39', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578624394644275201', '1', 'tofly-flow', 'yj', TO_DATE('2022-10-08 13:52:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:52:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578624394916904962', '1', 'tofly-flow', 'yj', TO_DATE('2022-10-08 13:52:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:52:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578624397957775361', '1', 'tofly-flow', 'yj', TO_DATE('2022-10-08 13:52:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:52:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578624416190414849', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 13:52:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:52:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"name":["预算户均单价"],"current":["1"],"size":["30"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578624438495723522', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 13:52:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:52:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"name":["设计费折扣"],"current":["1"],"size":["30"]}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578624477339172866', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 13:52:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:52:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '7', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578641066860048385', '2', 'tofly-auth', 'tnadmin', TO_DATE('2022-10-08 14:58:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:58:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/3638611f-4021-45d5-8d6a-a5dbbf880c76', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578641068663599106', '1', 'tofly-flow', 'llzm', TO_DATE('2022-10-08 14:58:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:58:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["64"],"id":["1572140204302041089"]}', '171', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578641086556499970', '1', 'tofly-flow', 'llzm', TO_DATE('2022-10-08 14:58:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:58:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1578620110460428289', 'GET', '{"id":["1578620110460428289"]}', '40', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578641122501685250', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-10-08 14:59:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:59:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["9999"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578641150381223937', '2', 'tofly-auth', 'yj', TO_DATE('2022-10-08 14:59:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:59:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/98bba01a-0479-44c6-8d9c-9f536da41538', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578641233453608961', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-10-08 14:59:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:59:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"nature":["1574963975367024642"]}', '20', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578641234388938753', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-10-08 14:59:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:59:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"nature":["1574963975367024642"]}', '28', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578641235131330562', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-10-08 14:59:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:59:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"nature":["1574963975367024642"]}', '27', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578641235877916673', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-10-08 14:59:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:59:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"nature":["1574963975367024642"]}', '23', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578641236796469250', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-10-08 14:59:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:59:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"nature":["1574963975367024642"]}', '27', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578641247944929282', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-10-08 14:59:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:59:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"nature":["1574963975367024642"]}', '24', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578641286633189377', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-10-08 14:59:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:59:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"nature":["1574963975367024642"]}', '24', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578641319063547906', '1', 'tofly-flow', 'tnadmin', TO_DATE('2022-10-08 14:59:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:59:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"nature":["1574963975367024642"]}', '24', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578641347777753090', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 15:00:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:00:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578641348251709441', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 15:00:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:00:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578641503419985922', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 15:00:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:00:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '2', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578641511804399618', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 15:00:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:00:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578641517781282818', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 15:00:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:00:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '32', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578641519471587329', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 15:00:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:00:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"appLabe":["1572832711356719105"],"tenantId":["1569602913205559298"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578641520784404482', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 15:00:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:00:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["56"],"id":["1572140204302041089"]}', '182', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578641521564545025', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 15:00:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:00:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575688978056167425', 'GET', '{}', '1', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578641637016956929', '1', 'tofly-flow', 'yj', TO_DATE('2022-10-08 15:01:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:01:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578641662321192962', '1', 'tofly-flow', 'yj', TO_DATE('2022-10-08 15:01:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:01:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["53"],"id":["1572140204302041089"]}', '137', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578641667878645761', '2', 'tofly-auth', 'tnadmin', TO_DATE('2022-10-08 15:01:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:01:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/f894c812-d0ab-4503-8df0-05c0624319a6', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578641885160370177', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 15:02:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:02:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"appLabe":["1572832711356719105"],"tenantId":["1569602913205559298"],"isMould":["0"]}', '7', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578642440494608386', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 15:04:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:04:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '141', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578642446282747906', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 15:04:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:04:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575426595366707202', 'GET', '{"id":["1575426595366707202"]}', '24', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578642654311837698', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 15:05:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:05:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578642667280625665', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 15:05:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:05:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575426595366707202', 'GET', '{"id":["1575426595366707202"]}', '23', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578642692840714241', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 15:05:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:05:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"nature":[""]}', '21', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578642725543702530', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 15:05:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:05:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"nature":["1574964044849864706"]}', '20', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578642727343058946', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 15:05:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:05:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578642734267854850', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 15:05:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:05:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["53"],"id":["1572140204302041089"]}', '138', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578642753792339970', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 15:05:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:05:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575424433622429698', 'GET', '{"id":["1575424433622429698"]}', '18', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578642763913195521', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 15:05:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:05:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"id":["1572140204302041089"]}', '131', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578642781818679298', '1', 'tofly-flow', 'llzm', TO_DATE('2022-10-08 15:05:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:05:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578642782212943873', '1', 'tofly-flow', 'llzm', TO_DATE('2022-10-08 15:05:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:05:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '17', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578642203386408961', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 15:03:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:03:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessnodel', 'POST', '{"dto":["{\"createDept\":-1,\"createPost\":-1,\"handleState\":1,\"map\":{\"tfRegisterItemWService\":\"{\\\"addre\\\":\\\"四川省成都市青羊区光华东三路489-3栋附111号靠近鹏瑞利青羊广场\\\",\\\"contacts\\\":\\\"1\\\",\\\"householdNumber\\\":1,\\\"latitude\\\":30.671038,\\\"longitude\\\":103.961072,\\\"projectName\\\":\\\"yck\\\",\\\"region\\\":510683002005,\\\"regionName\\\":\\\"四川省/德阳市/绵竹市/紫岩街道/联合社区\\\",\\\"telephone\\\":\\\"1\\\",\\\"userType\\\":1574610029662175234}\",\"tfSurveyWService\":\"{\\\"content\\\":\\\"内容\\\",\\\"designUnit\\\":1568081579241136130,\\\"isTally\\\":1572840876026634242,\\\"range\\\":\\\"1572842090432831489,1572842167981318146\\\",\\\"remark\\\":\\\"备注\\\",\\\"surveyDate\\\":\\\"2022-10-08 15:03:24\\\",\\\"surveyUser\\\":1571808470779846657}\"},\"processId\":1572140204302041089,\"processStep\":3,\"saveState\":0,\"stepNode\":1}"]}', '30', NULL, NULL, 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578642216908845057', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 15:03:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:03:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessnodel', 'POST', '{"dto":["{\"createDept\":-1,\"createPost\":-1,\"handleState\":1,\"map\":{\"tfRegisterItemWService\":\"{\\\"addre\\\":\\\"四川省成都市青羊区光华东三路489-3栋附111号靠近鹏瑞利青羊广场\\\",\\\"contacts\\\":\\\"1\\\",\\\"householdNumber\\\":1,\\\"latitude\\\":30.671038,\\\"longitude\\\":103.961072,\\\"projectName\\\":\\\"yck\\\",\\\"region\\\":510683002005,\\\"regionName\\\":\\\"四川省/德阳市/绵竹市/紫岩街道/联合社区\\\",\\\"telephone\\\":\\\"1\\\",\\\"userType\\\":1574610029662175234}\",\"tfSurveyWService\":\"{\\\"content\\\":\\\"内容\\\",\\\"designUnit\\\":1568081579241136130,\\\"isTally\\\":1572840876026634242,\\\"range\\\":\\\"1572842090432831489,1572842167981318146\\\",\\\"remark\\\":\\\"备注\\\",\\\"surveyDate\\\":\\\"2022-10-08 15:03:28\\\",\\\"surveyUser\\\":1571808470779846657}\"},\"processId\":1572140204302041089,\"processStep\":3,\"saveState\":0,\"stepNode\":1}"]}', '3', NULL, NULL, 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578642775011323906', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 15:05:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:05:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '39', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578645538776641538', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 15:16:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:16:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1578643097498791937', 'GET', '{"id":["1578643097498791937"]}', '22', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578645836811300865', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 15:17:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:17:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578645859632508929', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 15:17:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:17:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["30"],"current":["1"]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578645940083453954', '1', 'tofly-flow', 'llzm', TO_DATE('2022-10-08 15:18:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:18:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578645947377348609', '1', 'tofly-flow', 'llzm', TO_DATE('2022-10-08 15:18:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:18:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"id":["1572140204302041089"]}', '139', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578645947855499265', '1', 'tofly-flow', 'llzm', TO_DATE('2022-10-08 15:18:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:18:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '29', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578646276558909441', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 15:19:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:19:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1578643097498791937', 'GET', '{"id":["1578643097498791937"]}', '22', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578646755913330690', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 15:21:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:21:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"name":[""],"current":["1"],"size":["30"]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578646760518676481', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 15:21:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:21:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1578643097498791937', 'GET', '{"id":["1578643097498791937"]}', '18', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578646780886216706', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 15:21:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:21:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"name":[""],"current":["1"],"size":["30"]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578646789421625345', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 15:21:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:21:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"name":[""],"current":["1"],"size":["30"]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578646791866904577', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 15:21:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:21:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"nature":[""]}', '15', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578646796610662402', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 15:21:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:21:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '23', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578646805364174850', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 15:21:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:21:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '32', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578646813882806274', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 15:21:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:21:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '23', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578647071807336449', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 15:22:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:22:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["64"],"id":["1572140204302041089"]}', '129', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578647087900880897', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 15:22:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:22:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1578643097498791937', 'GET', '{"id":["1578643097498791937"]}', '23', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578647100139859970', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 15:22:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:22:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1578643097498791937', 'GET', '{"id":["1578643097498791937"]}', '20', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578647231580958721', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 15:23:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:23:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '24', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578647240128950273', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 15:23:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:23:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '29', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578647245212446722', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 15:23:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:23:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"nature":[""]}', '22', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578647258105737218', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 15:23:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:23:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '25', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578647262266486785', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 15:23:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:23:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578647284240445442', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 15:23:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:23:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["30"],"current":["1"]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578647307883737090', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 15:23:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:23:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578647327190118402', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 15:23:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:23:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"name":[""],"current":["1"],"size":["30"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578647335633252353', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 15:23:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:23:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"name":[""],"current":["1"],"size":["30"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578647363315658754', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 15:23:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:23:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"name":["立管前验收"],"current":["1"],"size":["30"]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578572162116714497', '1', 'tofly-flow', 'yj', TO_DATE('2022-10-08 10:25:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 10:25:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessnodel', 'POST', '{}', '17', NULL, NULL, 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578572412013346817', '1', 'tofly-flow', 'lr', TO_DATE('2022-10-08 10:26:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 10:26:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '134', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578572418946531329', '1', 'tofly-flow', 'lr', TO_DATE('2022-10-08 10:26:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 10:26:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '182', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578572788267581441', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 10:27:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 10:27:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578572792910675969', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 10:27:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 10:27:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '9', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578572822988029953', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 10:27:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 10:27:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578572828327378945', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 10:27:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 10:27:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578572831972229121', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 10:27:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 10:27:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '31', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578572832156778498', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 10:27:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 10:27:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"appLabe":["1572832711356719105"],"tenantId":["1569602913205559298"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578572833016610817', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 10:27:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 10:27:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["56"],"id":["1572140204302041089"]}', '131', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578572834040020993', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 10:27:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 10:27:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575688978056167425', 'GET', '{}', '2', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578572933973508097', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 10:28:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 10:28:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '34', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578572934208389121', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 10:28:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 10:28:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"appLabe":["1572832711356719105"],"tenantId":["1569602913205559298"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578572934875283458', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 10:28:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 10:28:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["56"],"id":["1572140204302041089"]}', '119', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578572935152107521', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 10:28:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 10:28:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575688978056167425', 'GET', '{}', '1', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578573300241104897', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 10:29:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 10:29:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578573303932092417', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 10:29:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 10:29:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578573318737985537', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 10:29:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 10:29:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '32', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578573319023198209', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 10:29:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 10:29:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"appLabe":["1572832711356719105"],"tenantId":["1569602913205559298"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578573319933362178', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 10:29:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 10:29:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["56"],"id":["1572140204302041089"]}', '139', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578573320864497665', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 10:29:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 10:29:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575688978056167425', 'GET', '{}', '2', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578573505279655937', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-10-08 10:30:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 10:30:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578573646736752641', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 10:31:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 10:31:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578573652201930754', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 10:31:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 10:31:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578573655783866369', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 10:31:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 10:31:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '30', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578573656035524610', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 10:31:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 10:31:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"appLabe":["1572832711356719105"],"tenantId":["1569602913205559298"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578573656836636674', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 10:31:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 10:31:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["56"],"id":["1572140204302041089"]}', '123', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578573657822298114', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 10:31:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 10:31:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575688978056167425', 'GET', '{}', '1', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578574053131255810', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 10:32:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 10:32:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '29', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578574053227724801', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 10:32:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 10:32:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"appLabe":["1572832711356719105"],"tenantId":["1569602913205559298"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578575240710684673', '1', 'tofly-flow', 'lr', TO_DATE('2022-10-08 10:37:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 10:37:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578575248931520514', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 10:37:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 10:37:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '29', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578575300852809729', '1', 'tofly-flow', 'lr', TO_DATE('2022-10-08 10:37:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 10:37:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578575302878658561', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 10:37:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 10:37:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '35', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578575303029653506', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 10:37:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 10:37:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"appLabe":["1572832711356719105"],"tenantId":["1569602913205559298"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578575303725907969', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 10:37:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 10:37:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["56"],"id":["1572140204302041089"]}', '119', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578575304019509250', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 10:37:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 10:37:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575688978056167425', 'GET', '{}', '1', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578575791733178370', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 10:39:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 10:39:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '29', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578624445332439041', '0', 'tofly-flow', 'llzm', TO_DATE('2022-10-08 13:52:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:52:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessnodel', 'POST', '{}', '180', NULL, '### Error updating database.  Cause: java.sql.SQLDataException: ORA-01438: 值大于为此列指定的允许精度

### The error may exist in com/tofly/workflow/buss/mapper/TfRegisterItemWMapper.java (best guess)
### The error may involve com.tofly.workflow.buss.mapper.TfRegisterItemWMapper.insert-Inline
### The error occurred while setting parameters
### SQL: INSERT INTO TF_REGISTER_ITEM_W  ( id, process_id, node_id, project_name, user_name, region,  addre, longitude,  user_type, contacts, telephone,   household_number, document_type, document_number, urgent_level,   content )  VALUES  ( ?, ?, ?, ?, ?, ?,  ?, ?,  ?, ?, ?,   ?, ?, ?, ?,   ? )
### Cause: java.sql.SQLDataException: ORA-01438: 值大于为此列指定的允许精度

; ORA-01438: 值大于为此列指定的允许精度
; nested exception is java.sql.SQLDataException: ORA-01438: 值大于为此列指定的允许精度', 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578624480442957825', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 13:53:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:53:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"name":["设计费"],"current":["1"],"size":["30"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578624506342785025', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 13:53:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:53:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1572795661505011713"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578624522272751618', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 13:53:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:53:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"id":["1572140204302041089"]}', '142', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578624588110741506', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 13:53:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:53:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"id":["1572140204302041089"]}', '142', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578624612630642689', '1', 'tofly-flow', 'yj', TO_DATE('2022-10-08 13:53:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:53:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578624668423274497', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 13:53:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:53:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578624674169470977', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 13:53:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:53:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578624677235507201', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 13:53:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:53:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '35', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578624677428445185', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 13:53:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:53:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"appLabe":["1572832711356719105"],"tenantId":["1569602913205559298"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578624678351192066', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 13:53:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:53:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["56"],"id":["1572140204302041089"]}', '140', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578624679529791490', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 13:53:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:53:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575688978056167425', 'GET', '{}', '2', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578624697875677186', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 13:53:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:53:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578624701470195713', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 13:53:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:53:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '7', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578624706172010497', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 13:53:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:53:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"name":["designDiscount"],"current":["1"],"size":["30"]}', '2', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578624708810227714', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 13:53:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:53:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '35', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578624709036720130', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 13:53:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:53:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"appLabe":["1572832711356719105"],"tenantId":["1569602913205559298"],"isMould":["0"]}', '7', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578624709665865730', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 13:53:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:53:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1572795661505011713"],"isMould":["0"]}', '25', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578624709963661314', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 13:53:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:53:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["56"],"id":["1572140204302041089"]}', '167', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578624710768967682', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 13:53:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:53:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575688978056167425', 'GET', '{}', '2', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578624718998192129', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 13:53:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:53:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"id":["1572140204302041089"]}', '159', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578624724257849345', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 13:53:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:53:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"name":[""],"current":["1"],"size":["30"]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578624778414702593', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 13:54:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:54:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578624782487371778', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 13:54:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:54:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578624785675042817', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 13:54:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:54:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '33', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578624785838620674', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 13:54:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:54:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"appLabe":["1572832711356719105"],"tenantId":["1569602913205559298"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578624786648121345', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 13:54:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:54:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["56"],"id":["1572140204302041089"]}', '136', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578624787768000513', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 13:54:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:54:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575688978056167425', 'GET', '{}', '1', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578624840075165697', '1', 'tofly-flow', 'yj', TO_DATE('2022-10-08 13:54:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:54:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '7', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578624847620718593', '1', 'tofly-flow', 'yj', TO_DATE('2022-10-08 13:54:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:54:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["64"],"id":["1572140204302041089"]}', '127', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578624859528347649', '1', 'tofly-flow', 'yj', TO_DATE('2022-10-08 13:54:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:54:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1578595923222167553', 'GET', '{"id":["1578595923222167553"]}', '24', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578624863999475713', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 13:54:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:54:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578624869758255105', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 13:54:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:54:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '2', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578624874363600898', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 13:54:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:54:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '34', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578642790362476545', '1', 'tofly-flow', 'llzm', TO_DATE('2022-10-08 15:05:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:05:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"id":["1572140204302041089"]}', '137', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578642791067119617', '1', 'tofly-flow', 'llzm', TO_DATE('2022-10-08 15:05:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:05:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578642791314583554', '1', 'tofly-flow', 'llzm', TO_DATE('2022-10-08 15:05:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:05:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578642794355453953', '1', 'tofly-flow', 'llzm', TO_DATE('2022-10-08 15:05:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:05:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578642846176079874', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 15:05:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:05:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessnodel', 'POST', '{"dto":["{\"createDept\":-1,\"createPost\":-1,\"handleState\":1,\"map\":{\"tfRegisterItemWService\":\"{\\\"addre\\\":\\\"四川省成都市青羊区光华东三路489-3栋附111号靠近鹏瑞利青羊广场\\\",\\\"contacts\\\":\\\"1\\\",\\\"householdNumber\\\":1,\\\"latitude\\\":30.671038,\\\"longitude\\\":103.961072,\\\"projectName\\\":\\\"yck\\\",\\\"region\\\":510683002005,\\\"regionName\\\":\\\"四川省/德阳市/绵竹市/紫岩街道/联合社区\\\",\\\"telephone\\\":\\\"1\\\",\\\"userType\\\":1574610029662175234}\",\"tfSurveyWService\":\"{\\\"content\\\":\\\"内容\\\",\\\"designUnit\\\":1568081579241136130,\\\"isTally\\\":1572840876026634242,\\\"range\\\":\\\"1572842090432831489,1572842167981318146\\\",\\\"remark\\\":\\\"备注\\\",\\\"surveyDate\\\":\\\"2022-10-08 15:03:49\\\",\\\"surveyUser\\\":1571808470779846657}\"},\"processId\":1572140204302041089,\"processStep\":3,\"saveState\":0,\"stepNode\":1}"]}', '1', NULL, NULL, 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578642885208272897', '1', 'tofly-flow', 'yj', TO_DATE('2022-10-08 15:06:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:06:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575426230143492098', 'GET', '{}', '27', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578642886193934337', '1', 'tofly-flow', 'yj', TO_DATE('2022-10-08 15:06:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:06:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '131', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578642888190423041', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 15:06:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:06:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"nature":["1574964044849864706"]}', '23', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578643126686937090', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 15:07:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:07:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578643138808475649', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 15:07:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:07:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"nature":["1574964044849864706"]}', '25', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578643149080326146', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 15:07:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:07:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["64"],"id":["1572140204302041089"]}', '135', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578643150015655937', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 15:07:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:07:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1578643097498791937', 'GET', '{"id":["1578643097498791937"]}', '20', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578643580233805826', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 15:08:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:08:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["64"],"id":["1572140204302041089"]}', '129', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578643580779065345', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 15:08:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:08:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1578643097498791937', 'GET', '{"id":["1578643097498791937"]}', '25', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578643742058442753', '1', 'tofly-flow', 'public', TO_DATE('2022-10-08 15:09:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:09:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578643750610628609', '1', 'tofly-flow', 'public', TO_DATE('2022-10-08 15:09:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:09:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"id":["1572140204302041089"]}', '153', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578643867090644994', '1', 'tofly-flow', 'public', TO_DATE('2022-10-08 15:10:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:10:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '40', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578643934958678018', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 15:10:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:10:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1578643097498791937', 'GET', '{"id":["1578643097498791937"]}', '27', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578644089170653186', '1', 'tofly-flow', 'yj', TO_DATE('2022-10-08 15:10:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:10:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575426230143492098', 'GET', '{}', '31', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578644090554773506', '1', 'tofly-flow', 'yj', TO_DATE('2022-10-08 15:10:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:10:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '129', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578644091435577345', '1', 'tofly-flow', 'yj', TO_DATE('2022-10-08 15:10:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:10:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["1000"],"dataType":["1570692286170427394"]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578644091502686209', '1', 'tofly-flow', 'yj', TO_DATE('2022-10-08 15:10:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:10:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '27', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578644109403975681', '1', 'tofly-flow', 'llzm', TO_DATE('2022-10-08 15:11:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:11:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578644129494691841', '1', 'tofly-flow', 'llzm', TO_DATE('2022-10-08 15:11:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:11:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["64"],"id":["1572140204302041089"]}', '150', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578644130031562754', '1', 'tofly-flow', 'llzm', TO_DATE('2022-10-08 15:11:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:11:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1578620110460428289', 'GET', '{"id":["1578620110460428289"]}', '26', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578644293756219393', '1', 'tofly-flow', 'public', TO_DATE('2022-10-08 15:11:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:11:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571327917362372610"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578644314740322305', '1', 'tofly-flow', 'public', TO_DATE('2022-10-08 15:11:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:11:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '177', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578644373817094145', '1', 'tofly-flow', 'yj', TO_DATE('2022-10-08 15:12:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:12:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessnodel', 'POST', '{}', '7', NULL, NULL, 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578644391567388674', '2', 'tofly-auth', 'yj', TO_DATE('2022-10-08 15:12:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:12:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/ce0b0cd5-dbfa-41a7-a78c-2086f15bcfc8', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578644460161036290', '1', 'tofly-flow', 'public', TO_DATE('2022-10-08 15:12:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:12:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571327917362372610"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578644469476585473', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 15:12:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:12:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578644483263262721', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 15:12:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:12:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"name":[""],"current":["1"],"size":["30"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578644491811254274', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 15:12:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:12:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"name":[""],"current":["1"],"size":["30"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578553815387877377', '1', 'tofly-flow', 'lr', TO_DATE('2022-10-08 09:12:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 09:12:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["59"],"id":["1572140204302041089"]}', '165', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578553816126074881', '1', 'tofly-flow', 'lr', TO_DATE('2022-10-08 09:12:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 09:12:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575739510061875201', 'GET', '{"id":["1575739510061875201"]}', '30', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578555771917447170', '1', 'tofly-flow', 'yj', TO_DATE('2022-10-08 09:19:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 09:19:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578555802795913218', '1', 'tofly-flow', 'yj', TO_DATE('2022-10-08 09:20:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 09:20:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["53"],"id":["1572140204302041089"]}', '119', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578555803722854402', '2', 'tofly-auth', 'llzm', TO_DATE('2022-10-08 09:20:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 09:20:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/1d2670c5-deb2-4dcf-b1b6-6e67d32f75ff', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578557448959569921', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 09:26:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 09:26:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["59"],"id":["1572140204302041089"]}', '130', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578557449592909826', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 09:26:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 09:26:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575739510061875201', 'GET', '{"id":["1575739510061875201"]}', '34', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578557549488648194', '1', 'tofly-flow', 'yj', TO_DATE('2022-10-08 09:27:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 09:27:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '169', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578557565934514177', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 09:27:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 09:27:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578557638995095554', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 09:27:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 09:27:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578574053949145090', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 10:32:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 10:32:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["56"],"id":["1572140204302041089"]}', '115', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578574054188220417', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 10:32:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 10:32:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575688978056167425', 'GET', '{}', '2', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578574121284501506', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 10:32:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 10:32:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '33', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578574121397747714', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 10:32:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 10:32:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"appLabe":["1572832711356719105"],"tenantId":["1569602913205559298"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578574122110779393', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 10:32:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 10:32:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["56"],"id":["1572140204302041089"]}', '124', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578574122341466113', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 10:32:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 10:32:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575688978056167425', 'GET', '{}', '1', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578574304827244545', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 10:33:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 10:33:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '31', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578574304961462274', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 10:33:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 10:33:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"appLabe":["1572832711356719105"],"tenantId":["1569602913205559298"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578574305603190785', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 10:33:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 10:33:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["56"],"id":["1572140204302041089"]}', '119', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578574351677620226', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 10:33:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 10:33:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575688978056167425', 'GET', '{}', '1', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578575234222096386', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 10:37:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 10:37:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578575239213318145', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 10:37:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 10:37:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578575249162207233', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 10:37:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 10:37:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"appLabe":["1572832711356719105"],"tenantId":["1569602913205559298"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578575249929764865', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 10:37:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 10:37:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["56"],"id":["1572140204302041089"]}', '131', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578575250974146561', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 10:37:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 10:37:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575688978056167425', 'GET', '{}', '2', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578575332058431490', '1', 'tofly-flow', 'lr', TO_DATE('2022-10-08 10:37:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 10:37:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578575792794337281', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 10:39:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 10:39:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575688978056167425', 'GET', '{}', '2', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578576936971108353', '1', 'tofly-flow', 'yj', TO_DATE('2022-10-08 10:44:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 10:44:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578577049667862529', '1', 'tofly-flow', 'yj', TO_DATE('2022-10-08 10:44:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 10:44:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578577308611608578', '1', 'tofly-flow', 'yj', TO_DATE('2022-10-08 10:45:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 10:45:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578577471996526593', '1', 'tofly-flow', 'lr', TO_DATE('2022-10-08 10:46:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 10:46:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571327917362372610"],"isMould":["0"]}', '7', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578577505722925057', '1', 'tofly-flow', 'lr', TO_DATE('2022-10-08 10:46:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 10:46:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"id":["1572140204302041089"]}', '158', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578579767585243137', '1', 'tofly-flow', 'lr', TO_DATE('2022-10-08 10:55:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 10:55:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578580015539912705', '1', 'tofly-flow', 'yj', TO_DATE('2022-10-08 10:56:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 10:56:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575426230143492098', 'GET', '{}', '35', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578580016626237442', '1', 'tofly-flow', 'yj', TO_DATE('2022-10-08 10:56:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 10:56:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '130', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578580024591220738', '1', 'tofly-flow', 'yj', TO_DATE('2022-10-08 10:56:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 10:56:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"size":["1000"],"current":["1"]}', '26', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578580077120684033', '1', 'tofly-flow', 'yj', TO_DATE('2022-10-08 10:56:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 10:56:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '129', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578553616284266497', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-10-08 09:11:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 09:11:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578555766418714625', '1', 'tofly-flow', 'llzm', TO_DATE('2022-10-08 09:19:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 09:19:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578555872475885570', '1', 'tofly-flow', 'yj', TO_DATE('2022-10-08 09:20:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 09:20:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578557350322122753', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 09:26:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 09:26:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '15', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578557360833048577', '1', 'tofly-flow', 'yj', TO_DATE('2022-10-08 09:26:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 09:26:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578558261618552833', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 09:29:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 09:29:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"appLabe":["1572832711356719105"],"tenantId":["1569602913205559298"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578558262419664897', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 09:29:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 09:29:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["56"],"id":["1572140204302041089"]}', '122', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578558263967363074', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 09:29:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 09:29:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575688978056167425', 'GET', '{}', '1', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578558320569495554', '1', 'tofly-flow', 'yj', TO_DATE('2022-10-08 09:30:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 09:30:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '124', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578558432939094018', '1', 'tofly-flow', 'yj', TO_DATE('2022-10-08 09:30:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 09:30:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '143', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578558462404079618', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 09:30:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 09:30:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578558473963581442', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 09:30:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 09:30:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578558496956755969', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 09:30:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 09:30:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '31', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578558497116139522', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 09:30:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 09:30:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"appLabe":["1572832711356719105"],"tenantId":["1569602913205559298"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578558497858531330', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 09:30:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 09:30:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["56"],"id":["1572140204302041089"]}', '122', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578558498147938306', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 09:30:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 09:30:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575688978056167425', 'GET', '{}', '2', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578558504305176577', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 09:30:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 09:30:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578561725337796610', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 09:43:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 09:43:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '48', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578562380894928897', '1', 'tofly-flow', 'yj', TO_DATE('2022-10-08 09:46:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 09:46:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578562436800806913', '1', 'tofly-flow', 'lr', TO_DATE('2022-10-08 09:46:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 09:46:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578562448964288514', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 09:46:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 09:46:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '43', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578562463933759490', '1', 'tofly-flow', 'lr', TO_DATE('2022-10-08 09:46:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 09:46:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578563448198496258', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 09:50:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 09:50:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"appLabe":["1572832711356719105"],"tenantId":["1569602913205559298"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578563490560966657', '1', 'tofly-flow', 'yj', TO_DATE('2022-10-08 09:50:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 09:50:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578563709126148098', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 09:51:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 09:51:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575688978056167425', 'GET', '{}', '1', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578563734719791106', '1', 'tofly-flow', 'lr', TO_DATE('2022-10-08 09:51:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 09:51:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578563822313635841', '1', 'tofly-flow', 'lr', TO_DATE('2022-10-08 09:51:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 09:51:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575426230143492098', 'GET', '{}', '72', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578563823362211842', '1', 'tofly-flow', 'lr', TO_DATE('2022-10-08 09:51:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 09:51:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '139', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578563855788376065', '1', 'tofly-flow', 'lr', TO_DATE('2022-10-08 09:52:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 09:52:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["53"],"id":["1572140204302041089"]}', '120', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578564182688235521', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 09:53:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 09:53:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '35', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578564182730178561', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 09:53:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 09:53:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"appLabe":["1572832711356719105"],"tenantId":["1569602913205559298"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578564183556456449', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 09:53:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 09:53:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["56"],"id":["1572140204302041089"]}', '120', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578564315236630529', '1', 'tofly-flow', 'yj', TO_DATE('2022-10-08 09:53:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 09:53:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578564497093263362', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 09:54:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 09:54:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575688978056167425', 'GET', '{}', '2', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578565657288081409', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-10-08 09:59:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 09:59:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578565657539739649', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-10-08 09:59:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 09:59:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575727490302304258', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-30 14:01:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 14:01:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575727490579128322', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-30 14:01:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 14:01:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575727499030650882', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-30 14:01:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 14:01:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"id":["1572140204302041089"]}', '120', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575727499605270530', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-30 14:01:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 14:01:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575727499814985729', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-30 14:01:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 14:01:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575727503015239681', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-30 14:01:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 14:01:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575727887419006977', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-30 14:02:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 14:02:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575424433622429698', 'GET', '{}', '32', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575727888408862721', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-30 14:02:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 14:02:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["53"],"id":["1572140204302041089"]}', '119', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575736077019865090', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-30 14:35:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 14:35:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessnodel', 'POST', '{}', '114', NULL, NULL, 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575736104958124033', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-30 14:35:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 14:35:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessnodel', 'POST', '{}', '95', NULL, NULL, 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575736128718856193', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-30 14:35:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 14:35:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessnodel', 'POST', '{}', '70', NULL, NULL, 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575736225334648834', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-30 14:36:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 14:36:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessnodel', 'POST', '{}', '75', NULL, NULL, 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575736267516764161', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-30 14:36:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 14:36:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '114', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575737906986311681', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-30 14:42:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 14:42:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575738015853666305', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-30 14:43:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 14:43:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575738539353137153', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-30 14:45:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 14:45:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '2', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575738545166442498', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-30 14:45:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 14:45:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575738552812658690', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-30 14:45:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 14:45:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '27', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575738553030762497', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-30 14:45:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 14:45:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"appLabe":["1572832711356719105"],"tenantId":["1569602913205559298"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575738553898983425', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-30 14:45:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 14:45:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["56"],"id":["1572140204302041089"]}', '131', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575738554804953089', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-30 14:45:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 14:45:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575688978056167425', 'GET', '{}', '1', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575738722409340930', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-30 14:46:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 14:46:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575738741350817794', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-30 14:46:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 14:46:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '124', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575738753971478530', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-30 14:46:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 14:46:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575426595366707202', 'GET', '{"id":["1575426595366707202"]}', '32', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578555086224240642', '1', 'tofly-flow', 'yj', TO_DATE('2022-10-08 09:17:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 09:17:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578555087105044481', '1', 'tofly-flow', 'yj', TO_DATE('2022-10-08 09:17:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 09:17:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '17', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578555095959220226', '1', 'tofly-flow', 'yj', TO_DATE('2022-10-08 09:17:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 09:17:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578555096185712641', '1', 'tofly-flow', 'yj', TO_DATE('2022-10-08 09:17:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 09:17:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578555198992297985', '1', 'tofly-flow', 'llzm', TO_DATE('2022-10-08 09:17:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 09:17:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578555199273316354', '1', 'tofly-flow', 'llzm', TO_DATE('2022-10-08 09:17:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 09:17:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578555292990844930', '1', 'tofly-flow', 'llzm', TO_DATE('2022-10-08 09:18:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 09:18:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578555293255086081', '1', 'tofly-flow', 'llzm', TO_DATE('2022-10-08 09:18:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 09:18:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578555303791177730', '1', 'tofly-flow', 'llzm', TO_DATE('2022-10-08 09:18:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 09:18:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"id":["1572140204302041089"]}', '126', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578555304441294850', '1', 'tofly-flow', 'llzm', TO_DATE('2022-10-08 09:18:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 09:18:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578555304718118913', '1', 'tofly-flow', 'llzm', TO_DATE('2022-10-08 09:18:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 09:18:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578555307943538690', '1', 'tofly-flow', 'llzm', TO_DATE('2022-10-08 09:18:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 09:18:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578624874506207233', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 13:54:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:54:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"appLabe":["1572832711356719105"],"tenantId":["1569602913205559298"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578624875303124994', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 13:54:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:54:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["56"],"id":["1572140204302041089"]}', '130', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578624875965825026', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 13:54:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:54:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575688978056167425', 'GET', '{}', '1', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578553893993328641', '1', 'tofly-flow', 'yj', TO_DATE('2022-10-08 09:12:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 09:12:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '7', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578554559327383553', '1', 'tofly-flow', 'lr', TO_DATE('2022-10-08 09:15:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 09:15:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575739510061875201', 'GET', '{}', '27', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578554559960723457', '1', 'tofly-flow', 'lr', TO_DATE('2022-10-08 09:15:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 09:15:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["59"],"id":["1572140204302041089"]}', '181', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578554574816948225', '1', 'tofly-flow', 'lr', TO_DATE('2022-10-08 09:15:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 09:15:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575685082881576961', 'GET', '{}', '29', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578554575227990018', '1', 'tofly-flow', 'lr', TO_DATE('2022-10-08 09:15:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 09:15:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '118', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578554589497012226', '1', 'tofly-flow', 'lr', TO_DATE('2022-10-08 09:15:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 09:15:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575426595366707202', 'GET', '{}', '22', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578554589916442625', '1', 'tofly-flow', 'lr', TO_DATE('2022-10-08 09:15:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 09:15:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '124', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578554599831777281', '1', 'tofly-flow', 'lr', TO_DATE('2022-10-08 09:15:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 09:15:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575426230143492098', 'GET', '{}', '27', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578554600284762113', '1', 'tofly-flow', 'lr', TO_DATE('2022-10-08 09:15:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 09:15:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '131', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578554601060708353', '1', 'tofly-flow', 'lr', TO_DATE('2022-10-08 09:15:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 09:15:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["1000"],"dataType":["1570692286170427394"]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578554601127817218', '1', 'tofly-flow', 'lr', TO_DATE('2022-10-08 09:15:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 09:15:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '23', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578554688742633473', '1', 'tofly-flow', 'yj', TO_DATE('2022-10-08 09:15:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 09:15:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578554688994291714', '1', 'tofly-flow', 'yj', TO_DATE('2022-10-08 09:15:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 09:15:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578554695554183169', '1', 'tofly-flow', 'yj', TO_DATE('2022-10-08 09:15:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 09:15:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"id":["1572140204302041089"]}', '121', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578554696661479425', '1', 'tofly-flow', 'yj', TO_DATE('2022-10-08 09:15:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 09:15:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578554696971857922', '1', 'tofly-flow', 'yj', TO_DATE('2022-10-08 09:15:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 09:15:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578554700046282754', '1', 'tofly-flow', 'yj', TO_DATE('2022-10-08 09:15:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 09:15:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578644500317302785', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 15:12:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:12:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"name":[""],"current":["1"],"size":["30"]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578644508773019649', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 15:12:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:12:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"name":[""],"current":["1"],"size":["30"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578644517287456770', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 15:12:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:12:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"name":[""],"current":["1"],"size":["30"]}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578644521251074050', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 15:12:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:12:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1578643097498791937', 'GET', '{"id":["1578643097498791937"]}', '15', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578644528947621890', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 15:12:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:12:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"name":["沟槽开挖验沟"],"current":["1"],"size":["30"]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578644530554040321', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 15:12:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:12:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1578643097498791937', 'GET', '{"id":["1578643097498791937"]}', '23', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578644546010050561', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 15:12:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:12:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"name":["沟槽开挖验沟"],"current":["1"],"size":["30"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578644547490639873', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 15:12:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:12:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1578643097498791937', 'GET', '{"id":["1578643097498791937"]}', '20', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578644554574819330', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 15:12:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:12:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"name":["沟槽开挖验沟"],"current":["1"],"size":["30"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578644557166899202', '1', 'tofly-flow', 'public', TO_DATE('2022-10-08 15:12:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:12:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578644576544583682', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 15:12:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:12:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"name":[""],"current":["1"],"size":["30"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578644590826188801', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 15:12:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:12:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["30"],"current":["1"]}', '29', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578644599583895554', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 15:12:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:12:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '27', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578644606097649666', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 15:12:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:12:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/page', 'GET', '{"current":["1"],"size":["30"],"yearName":[""]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578644635319365633', '1', 'tofly-flow', 'public', TO_DATE('2022-10-08 15:13:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:13:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '22', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578644791624298497', '1', 'tofly-flow', 'public', TO_DATE('2022-10-08 15:13:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:13:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578644839531638785', '1', 'tofly-flow', 'lr', TO_DATE('2022-10-08 15:13:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:13:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578644840349528065', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 15:13:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:13:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '27', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578644850801733634', '1', 'tofly-flow', 'lr', TO_DATE('2022-10-08 15:13:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:13:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["53"],"id":["1572140204302041089"]}', '161', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578644855197364226', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 15:13:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:13:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '23', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578644856053002242', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 15:13:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:13:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '26', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578644864114454529', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 15:14:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:14:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1578643097498791937', 'GET', '{"id":["1578643097498791937"]}', '18', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578644864542273538', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 15:14:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:14:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575686142572376065', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-30 11:17:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:17:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '47', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575686379659603970', '1', 'tofly-flow', 'public', TO_DATE('2022-09-30 11:18:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:18:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575426595660308481', 'GET', '{}', '2', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575686561700786178', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-30 11:18:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:18:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575686571179913217', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-30 11:18:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:18:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575686571679035393', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-30 11:18:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:18:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessnodel', 'POST', '{}', '117', NULL, NULL, 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575686690109403137', '2', 'tofly-auth', 'jtadmin', TO_DATE('2022-09-30 11:19:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:19:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/e6ac2418-e438-437d-b772-7e6bc46c7dc9', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575686955365576705', '2', 'tofly-auth', 'public', TO_DATE('2022-09-30 11:20:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:20:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/410f8a1c-473a-48fc-8a07-c763af394bad', 'DELETE', '{}', '1', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575686981324124162', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-30 11:20:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:20:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessnodel', 'POST', '{}', '152', NULL, NULL, 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575687008067006465', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-30 11:20:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:20:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessnodel', 'POST', '{}', '87', NULL, NULL, 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575687055311646721', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-30 11:20:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:20:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessnodel', 'POST', '{}', '94', NULL, NULL, 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575749059317686273', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-30 15:27:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 15:27:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '121', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575750541073014785', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-30 15:32:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 15:32:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/1574959605363589121', 'GET', '{"0":["1574959605363589121"]}', '5', NULL, NULL, 'content:通过id查询施工组织单位', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575750555052630017', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-30 15:33:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 15:33:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/1574959023458435074', 'GET', '{"0":["1574959023458435074"]}', '8', NULL, NULL, 'content:通过id查询施工组织单位', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575750575415975938', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-30 15:33:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 15:33:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/1574959023458435074', 'GET', '{"0":["1574959023458435074"]}', '10', NULL, NULL, 'content:通过id查询施工组织单位', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575750624011182082', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-30 15:33:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 15:33:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/deleteByIds', 'DELETE', '{"ids":["1574959023458435074"]}', '17', NULL, NULL, 'content:通过id批量删除施工组织单位', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575750624652910593', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-30 15:33:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 15:33:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575750631753867266', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-30 15:33:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 15:33:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/deleteByIds', 'DELETE', '{"ids":["1574959605363589121"]}', '7', NULL, NULL, 'content:通过id批量删除施工组织单位', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575750632307515393', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-30 15:33:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 15:33:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575750853796126721', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-30 15:34:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 15:34:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/1575750829594984450', 'GET', '{"0":["1575750829594984450"]}', '12', NULL, NULL, 'content:通过id查询施工组织单位', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575750873500966913', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-30 15:34:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 15:34:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/1575750722598289409', 'GET', '{"0":["1575750722598289409"]}', '12', NULL, NULL, 'content:通过id查询施工组织单位', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575750888252334081', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-30 15:34:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 15:34:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/1575750722598289409', 'GET', '{"0":["1575750722598289409"]}', '15', NULL, NULL, 'content:通过id查询施工组织单位', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575751326859091970', '2', 'tofly-auth', 'fsq1', TO_DATE('2022-09-30 15:36:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 15:36:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/698a288a-e635-420c-a22a-66987dae974d', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575751419377049602', '2', 'tofly-auth', 'copy', TO_DATE('2022-09-30 15:36:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 15:36:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/0dc14912-0d5a-49bd-bafd-58290cd8aae4', 'DELETE', '{}', '1', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578580094455742465', '1', 'tofly-flow', 'yj', TO_DATE('2022-10-08 10:56:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 10:56:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["1000"],"dataType":["1570692286170427394"]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578580094497685505', '1', 'tofly-flow', 'yj', TO_DATE('2022-10-08 10:56:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 10:56:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '26', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578580855096967169', '1', 'tofly-flow', 'lr', TO_DATE('2022-10-08 10:59:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 10:59:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578581223344275458', '1', 'tofly-flow', 'lr', TO_DATE('2022-10-08 11:01:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 11:01:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578581714413387778', '1', 'tofly-flow', 'admin', TO_DATE('2022-10-08 11:03:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 11:03:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578646556662919169', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 15:20:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:20:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1578643097498791937', 'GET', '{"id":["1578643097498791937"]}', '21', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578646753304473601', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 15:21:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:21:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1578643097498791937', 'GET', '{"id":["1578643097498791937"]}', '21', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578647380168372225', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 15:23:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:23:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"name":["立管前验收"],"current":["1"],"size":["30"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578647382395547649', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 15:24:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:24:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"name":[""],"current":["1"],"size":["30"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578647388720558081', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 15:24:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:24:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"name":["立管前验收"],"current":["1"],"size":["30"]}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578647397155303426', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 15:24:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:24:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"name":["立管前验收"],"current":["1"],"size":["30"]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578647402284937217', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 15:24:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:24:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"name":["立管前验收"],"current":["1"],"size":["30"]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578647402486263809', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 15:24:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:24:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"name":["立管前验收"],"current":["1"],"size":["30"]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578647402666618881', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 15:24:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:24:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"name":["立管前验收"],"current":["1"],"size":["30"]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578647414465196033', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 15:24:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:24:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"name":[""],"current":["1"],"size":["30"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578647441824641026', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 15:24:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:24:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"name":["沟槽开挖验沟"],"current":["1"],"size":["30"]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578647576080117763', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 15:24:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:24:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578647774357450754', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 15:25:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:25:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep', 'PUT', '{}', '34', NULL, NULL, 'content:修改基础类型表', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578647774718160898', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 15:25:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:25:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578565663130746881', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-10-08 09:59:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 09:59:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"id":["1572140204302041089"]}', '119', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578565663789252610', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-10-08 09:59:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 09:59:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578565663998967809', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-10-08 09:59:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 09:59:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578565666813345794', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-10-08 09:59:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 09:59:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578565945352880129', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 10:00:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 10:00:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"appLabe":["1572832711356719105"],"tenantId":["1569602913205559298"],"isMould":["0"]}', '9', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578565946091077634', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 10:00:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 10:00:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["56"],"id":["1572140204302041089"]}', '122', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578565946309181441', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 10:00:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 10:00:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575688978056167425', 'GET', '{}', '1', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578566494374690818', '1', 'tofly-flow', 'llzm', TO_DATE('2022-10-08 10:02:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 10:02:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '18', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578566505535733761', '1', 'tofly-flow', 'llzm', TO_DATE('2022-10-08 10:02:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 10:02:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578566524267495425', '1', 'tofly-flow', 'llzm', TO_DATE('2022-10-08 10:02:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 10:02:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["53"],"id":["1572140204302041089"]}', '125', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578566524946972673', '1', 'tofly-flow', 'llzm', TO_DATE('2022-10-08 10:02:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 10:02:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575424433622429698', 'GET', '{"id":["1575424433622429698"]}', '15', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578567903086215170', '1', 'tofly-flow', 'llzm', TO_DATE('2022-10-08 10:08:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 10:08:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '7', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578567956253212673', '1', 'tofly-flow', 'llzm', TO_DATE('2022-10-08 10:08:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 10:08:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578568258230517761', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 10:09:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 10:09:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["56"],"id":["1572140204302041089"]}', '117', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578568259132293122', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 10:09:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 10:09:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575688978056167425', 'GET', '{}', '2', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578568300119031809', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 10:09:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 10:09:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '36', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578568300236472322', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 10:09:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 10:09:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"appLabe":["1572832711356719105"],"tenantId":["1569602913205559298"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578568301054361601', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 10:09:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 10:09:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["56"],"id":["1572140204302041089"]}', '139', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578568382562271233', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 10:10:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 10:10:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575688978056167425', 'GET', '{}', '1', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578568690650677250', '1', 'tofly-flow', 'llzm', TO_DATE('2022-10-08 10:11:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 10:11:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '8', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578568795537637377', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 10:11:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 10:11:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578568799585140737', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 10:11:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 10:11:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578568803238379521', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 10:11:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 10:11:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '28', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578568803481649154', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 10:11:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 10:11:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"appLabe":["1572832711356719105"],"tenantId":["1569602913205559298"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578568804370841602', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 10:11:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 10:11:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["56"],"id":["1572140204302041089"]}', '128', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578568805398446082', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 10:11:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 10:11:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575688978056167425', 'GET', '{}', '2', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578568961497858049', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 10:12:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 10:12:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '36', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578568961632075778', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 10:12:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 10:12:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"appLabe":["1572832711356719105"],"tenantId":["1569602913205559298"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578568962265415681', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 10:12:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 10:12:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["56"],"id":["1572140204302041089"]}', '115', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578569188069965826', '1', 'tofly-flow', 'llzm', TO_DATE('2022-10-08 10:13:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 10:13:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578570233059835905', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 10:17:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 10:17:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '38', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578570233093390337', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 10:17:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 10:17:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"appLabe":["1572832711356719105"],"tenantId":["1569602913205559298"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578570233793839105', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 10:17:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 10:17:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["56"],"id":["1572140204302041089"]}', '117', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578570234062274562', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 10:17:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 10:17:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575688978056167425', 'GET', '{}', '2', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578570798015807490', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 10:19:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 10:19:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578570804097548289', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 10:19:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 10:19:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '7', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578570808887443458', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 10:19:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 10:19:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '28', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578624971696619522', '1', 'tofly-flow', 'yj', TO_DATE('2022-10-08 13:54:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:54:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessnodel', 'POST', '{}', '96', NULL, NULL, 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578624988582887425', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 13:55:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:55:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp', 'POST', '{}', '6', NULL, NULL, 'content:新增合同模板公用字段', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578624988868100098', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 13:55:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:55:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["30"],"current":["1"]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578624996292018178', '1', 'tofly-flow', 'yj', TO_DATE('2022-10-08 13:55:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:55:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578625012175847425', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 13:55:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:55:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"name":["设计费"],"current":["1"],"size":["30"]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578625016898633730', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 13:55:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:55:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578625020853862402', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 13:55:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:55:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578625024192528385', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 13:55:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:55:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '33', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578625024343523329', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 13:55:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:55:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"appLabe":["1572832711356719105"],"tenantId":["1569602913205559298"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578625025199161345', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 13:55:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:55:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["56"],"id":["1572140204302041089"]}', '131', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578625025866055682', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 13:55:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:55:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575688978056167425', 'GET', '{}', '1', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578625037429751809', '1', 'tofly-flow', 'yj', TO_DATE('2022-10-08 13:55:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:55:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["64"],"id":["1572140204302041089"]}', '141', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578625053770760194', '1', 'tofly-flow', 'yj', TO_DATE('2022-10-08 13:55:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:55:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1578595923222167553', 'GET', '{"id":["1578595923222167553"]}', '22', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578625053963698178', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 13:55:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:55:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/page', 'GET', '{"current":["1"],"size":["10"],"registerTime":["2022-07-28"],"configId":[""],"ywType":["-1"],"tenantId":["1569602913205559298"],"relationId":["1575688978056167425"]}', '59', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578625055955992578', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 13:55:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:55:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["56"],"id":["1572140204302041089"]}', '160', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578625068513738753', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 13:55:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:55:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578625068559876098', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 13:55:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:55:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '2', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578625068626984962', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 13:55:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:55:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578625102781202434', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 13:55:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:55:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578625113820610562', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 13:55:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:55:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"name":["结算设计费"],"current":["1"],"size":["30"]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578625118300127234', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 13:55:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:55:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '37', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578625118421762050', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 13:55:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:55:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"appLabe":["1572832711356719105"],"tenantId":["1569602913205559298"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578625119264817154', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 13:55:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:55:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["56"],"id":["1572140204302041089"]}', '158', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578625119856214017', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 13:55:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:55:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575688978056167425', 'GET', '{}', '1', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578625214001561602', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 13:55:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:55:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"name":["监理费折扣"],"current":["1"],"size":["30"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578625239863640065', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 13:56:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:56:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"name":["结算监理费"],"current":["1"],"size":["30"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578625264043802626', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 13:56:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:56:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"name":["合同总价"],"current":["1"],"size":["30"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578625280326090753', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 13:56:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:56:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578625286135201793', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 13:56:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:56:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578625290295951362', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 13:56:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:56:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"name":["包干户均单价"],"current":["1"],"size":["30"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578625309346480130', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 13:56:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:56:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '33', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578625309463920642', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 13:56:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:56:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"appLabe":["1572832711356719105"],"tenantId":["1569602913205559298"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578625310223089666', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 13:56:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:56:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["56"],"id":["1572140204302041089"]}', '123', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578625311212945409', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 13:56:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:56:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575688978056167425', 'GET', '{}', '1', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578625317097553922', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 13:56:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:56:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"name":["预付款"],"current":["1"],"size":["30"]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578625320247476226', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 13:56:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:56:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1572795661505011713"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578625345966948353', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 13:56:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:56:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"name":["是否单列费用"],"current":["1"],"size":["30"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578625351616675841', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 13:56:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:56:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["64"],"id":["1572140204302041089"]}', '140', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578625369702514689', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 13:56:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:56:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["62"],"id":["1572140204302041089"]}', '172', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1576867269978894338', '2', 'tofly-auth', 'hq', TO_DATE('2022-10-03 17:30:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-03 17:30:28', 'SYYYY-MM-DD HH24:MI:SS'), '222.209.162.137', NULL, '/token/b160979d-b510-4c72-9f30-734a0bfcdff0', 'DELETE', '{}', '11', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578604048494985217', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 12:31:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 12:31:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["56"],"id":["1572140204302041089"]}', '117', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578604075992842241', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 12:31:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 12:31:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575688978056167425', 'GET', '{}', '1', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578611758644953089', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 13:02:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:02:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578611768639979522', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 13:02:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:02:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578611786486743041', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 13:02:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:02:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '30', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578611786809704450', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 13:02:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:02:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"appLabe":["1572832711356719105"],"tenantId":["1569602913205559298"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578611788986548226', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 13:02:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:02:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["56"],"id":["1572140204302041089"]}', '139', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578611790664269826', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 13:02:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:02:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575688978056167425', 'GET', '{}', '3', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578612294874136577', '1', 'tofly-flow', 'llzm', TO_DATE('2022-10-08 13:04:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:04:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578613785693356034', '1', 'tofly-flow', 'yj', TO_DATE('2022-10-08 13:10:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:10:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["64"],"id":["1572140204302041089"]}', '124', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578613794975350785', '1', 'tofly-flow', 'yj', TO_DATE('2022-10-08 13:10:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:10:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1578595923222167553', 'GET', '{"id":["1578595923222167553"]}', '24', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578613880681758721', '1', 'tofly-flow', 'yj', TO_DATE('2022-10-08 13:10:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:10:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1578595923222167553', 'GET', '{"id":["1578595923222167553"]}', '27', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578614214686769153', '1', 'tofly-flow', 'llzm', TO_DATE('2022-10-08 13:12:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:12:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578614234194477057', '1', 'tofly-flow', 'llzm', TO_DATE('2022-10-08 13:12:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:12:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '138', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578614235851227137', '1', 'tofly-flow', 'llzm', TO_DATE('2022-10-08 13:12:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:12:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '24', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578614235943501825', '1', 'tofly-flow', 'llzm', TO_DATE('2022-10-08 13:12:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:12:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["1000"],"dataType":["1570692286170427394"]}', '45', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578614569843654658', '1', 'tofly-flow', 'llzm', TO_DATE('2022-10-08 13:13:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:13:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578614575770206210', '1', 'tofly-flow', 'llzm', TO_DATE('2022-10-08 13:13:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:13:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"id":["1572140204302041089"]}', '134', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578614576944611329', '1', 'tofly-flow', 'llzm', TO_DATE('2022-10-08 13:13:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:13:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '34', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578615222758375425', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 13:16:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:16:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578615229192437762', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 13:16:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:16:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578615237958533121', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 13:16:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:16:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '29', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578615238180831234', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 13:16:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:16:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"appLabe":["1572832711356719105"],"tenantId":["1569602913205559298"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578615238927417345', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 13:16:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:16:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["56"],"id":["1572140204302041089"]}', '125', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578615239275544578', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 13:16:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:16:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575688978056167425', 'GET', '{}', '1', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578616694808084483', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 13:22:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:22:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578616697521799170', '0', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 13:22:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:22:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep', 'PUT', '{}', '43', NULL, 'nested exception is org.apache.ibatis.type.TypeException: Could not set parameters for mapping: ParameterMapping{property=''ew.paramNameValuePairs.MPGENVAL1'', mode=IN, javaType=class java.lang.Object, jdbcType=null, numericScale=null, resultMapId=''null'', jdbcTypeName=''null'', expression=''null''}. Cause: org.apache.ibatis.type.TypeException: Error setting null for parameter #1 with JdbcType OTHER . Try setting a different JdbcType for this parameter or a different jdbcTypeForNull configuration property. Cause: java.sql.SQLException: 无效的列类型: 1111', 'content:修改基础类型表', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578616697836371969', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 13:22:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:22:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578618819881566209', '1', 'tofly-flow', 'lr', TO_DATE('2022-10-08 13:30:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:30:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571327917362372610"],"isMould":["0"]}', '7', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578618830707064834', '1', 'tofly-flow', 'lr', TO_DATE('2022-10-08 13:30:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:30:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"id":["1572140204302041089"]}', '264', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578619002665140226', '1', 'tofly-flow', 'llzm', TO_DATE('2022-10-08 13:31:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:31:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"id":["1572140204302041089"]}', '236', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578619003554332674', '1', 'tofly-flow', 'llzm', TO_DATE('2022-10-08 13:31:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:31:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '122', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578623561596780545', '1', 'tofly-flow', 'yj', TO_DATE('2022-10-08 13:49:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:49:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["53"],"id":["1572140204302041089"]}', '142', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578623602633850881', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 13:49:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:49:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/1575750722598289409', 'GET', '{"0":["1575750722598289409"]}', '29', NULL, NULL, 'content:通过id查询施工组织单位', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578623607067230210', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 13:49:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:49:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp', 'PUT', '{}', '5', NULL, NULL, 'content:修改合同模板公用字段', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575743819608580097', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-30 15:06:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 15:06:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["59"],"id":["1572140204302041089"]}', '135', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575743836134137858', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-30 15:06:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 15:06:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["56"],"id":["1572140204302041089"]}', '136', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575743878760849409', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-30 15:06:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 15:06:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575688977028562946', 'GET', '{"id":["1575688977028562946"]}', '27', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575743972629372929', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-30 15:06:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 15:06:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '147', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575745014444154881', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-30 15:11:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 15:11:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575426230143492098', 'GET', '{}', '27', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575745014876168193', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-30 15:11:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 15:11:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '127', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575745280342056962', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-30 15:12:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 15:12:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["1000"],"dataType":["1570692286170427394"]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575745280409165826', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-30 15:12:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 15:12:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '30', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575745295491883010', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-30 15:12:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 15:12:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575739510061875201', 'GET', '{"id":["1575739510061875201"]}', '23', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575751756548759554', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-30 15:37:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 15:37:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/1575750829594984450', 'GET', '{"0":["1575750829594984450"]}', '9', NULL, NULL, 'content:通过id查询施工组织单位', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575751765939806209', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-30 15:37:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 15:37:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/1575750829594984450', 'GET', '{"0":["1575750829594984450"]}', '15', NULL, NULL, 'content:通过id查询施工组织单位', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575751798831538177', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-30 15:37:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 15:37:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '19', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575751816837685249', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-30 15:38:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 15:38:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/1575750829594984450', 'GET', '{"0":["1575750829594984450"]}', '13', NULL, NULL, 'content:通过id查询施工组织单位', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575752474118676482', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-30 15:40:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 15:40:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '115', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575752505785671682', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-30 15:40:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 15:40:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '122', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575752957105364993', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-30 15:42:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 15:42:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '150', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575753573408006145', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-30 15:45:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 15:45:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575426595366707202', 'GET', '{}', '21', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575753574523691010', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-30 15:45:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 15:45:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '111', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575753584023789569', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-30 15:45:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 15:45:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575426230143492098', 'GET', '{}', '28', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575753585135280129', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-30 15:45:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 15:45:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '127', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575753718954549250', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-30 15:45:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 15:45:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '143', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575753738323845122', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-30 15:45:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 15:45:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '124', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575753761019224066', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-30 15:45:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 15:45:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575426230143492098', 'GET', '{}', '33', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575753762222989314', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-30 15:45:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 15:45:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '122', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575753801343262721', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-30 15:45:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 15:45:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '125', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575753887842394113', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-30 15:46:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 15:46:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575426230143492098', 'GET', '{}', '29', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575753889327177730', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-30 15:46:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 15:46:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '128', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575754649813213185', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-30 15:49:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 15:49:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575754650039705601', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-30 15:49:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 15:49:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575754658487033858', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-30 15:49:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 15:49:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"id":["1572140204302041089"]}', '123', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575754659132956674', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-30 15:49:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 15:49:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575754659346866178', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-30 15:49:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 15:49:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575754661766979586', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-30 15:49:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 15:49:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578647371788152833', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 15:23:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:23:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"name":["立管前验收"],"current":["1"],"size":["30"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578647481641168898', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 15:24:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:24:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1571326768206962690"],"isMould":["0"]}', '2', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578647522523049985', '1', 'tofly-flow', 'lr', TO_DATE('2022-10-08 15:24:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:24:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571327917362372610"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578647529040998401', '1', 'tofly-flow', 'lr', TO_DATE('2022-10-08 15:24:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:24:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"id":["1572140204302041089"]}', '134', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578648061885378561', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 15:26:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:26:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1576446968057049090', '1', 'tofly-flow', 'hq', TO_DATE('2022-10-02 13:40:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-02 13:40:20', 'SYYYY-MM-DD HH24:MI:SS'), '222.209.162.137', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '35', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1577579761243795457', '1', 'tofly-flow', 'hq', TO_DATE('2022-10-05 16:41:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-05 16:41:39', 'SYYYY-MM-DD HH24:MI:SS'), '222.209.162.137', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '31', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1577579772878794754', '1', 'tofly-flow', 'hq', TO_DATE('2022-10-05 16:41:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-05 16:41:42', 'SYYYY-MM-DD HH24:MI:SS'), '222.209.162.137', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["10000"],"current":["1"]}', '41', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1577579773042372610', '1', 'tofly-flow', 'hq', TO_DATE('2022-10-05 16:41:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-05 16:41:42', 'SYYYY-MM-DD HH24:MI:SS'), '222.209.162.137', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '84', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1577579779451269122', '1', 'tofly-flow', 'hq', TO_DATE('2022-10-05 16:41:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-05 16:41:44', 'SYYYY-MM-DD HH24:MI:SS'), '222.209.162.137', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["30"],"current":["1"]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578570809491423233', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 10:19:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 10:19:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"appLabe":["1572832711356719105"],"tenantId":["1569602913205559298"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578575791863201793', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 10:39:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 10:39:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"appLabe":["1572832711356719105"],"tenantId":["1569602913205559298"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578575792551067649', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 10:39:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 10:39:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["56"],"id":["1572140204302041089"]}', '122', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578576864355123201', '1', 'tofly-flow', 'yj', TO_DATE('2022-10-08 10:43:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 10:43:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578579255074848770', '1', 'tofly-flow', 'lr', TO_DATE('2022-10-08 10:53:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 10:53:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578580429773570050', '1', 'tofly-flow', 'lr', TO_DATE('2022-10-08 10:57:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 10:57:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578580572254076930', '1', 'tofly-flow', 'yj', TO_DATE('2022-10-08 10:58:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 10:58:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessnodel', 'POST', '{}', '8', NULL, NULL, 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578581714421776386', '1', 'tofly-flow', 'admin', TO_DATE('2022-10-08 11:03:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 11:03:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578581725431824386', '1', 'tofly-flow', 'admin', TO_DATE('2022-10-08 11:03:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 11:03:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '21', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578581725696065538', '1', 'tofly-flow', 'admin', TO_DATE('2022-10-08 11:03:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 11:03:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '17', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578581752858378242', '1', 'tofly-flow', 'admin', TO_DATE('2022-10-08 11:03:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 11:03:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"id":["1572140204302041089"]}', '135', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578581753705627649', '1', 'tofly-flow', 'admin', TO_DATE('2022-10-08 11:03:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 11:03:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '4', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578581753965674497', '1', 'tofly-flow', 'admin', TO_DATE('2022-10-08 11:03:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 11:03:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578581756612280322', '1', 'tofly-flow', 'admin', TO_DATE('2022-10-08 11:03:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 11:03:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578591667094126594', '1', 'tofly-flow', 'yj', TO_DATE('2022-10-08 11:42:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 11:42:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["53"],"id":["1572140204302041089"]}', '123', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578591777974747138', '1', 'tofly-flow', 'yj', TO_DATE('2022-10-08 11:43:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 11:43:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["53"],"id":["1572140204302041089"]}', '166', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578592727619698690', '2', 'tofly-auth', 'tnadmin', TO_DATE('2022-10-08 11:46:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 11:46:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/ece9d934-28a1-4100-85db-64e75f334636', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578593009330126850', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 11:47:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 11:47:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578593009602756610', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 11:47:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 11:47:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '19', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578593020315009025', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 11:47:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 11:47:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '21', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578593021107732482', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 11:47:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 11:47:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578593029018189826', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 11:48:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 11:48:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578593029274042369', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 11:48:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 11:48:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578593224166572033', '1', 'tofly-flow', 'lr', TO_DATE('2022-10-08 11:48:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 11:48:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '9', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578593705278406657', '1', 'tofly-flow', 'lr', TO_DATE('2022-10-08 11:50:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 11:50:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1578561996038176770', 'GET', '{"id":["1578561996038176770"]}', '21', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578593908437909506', '1', 'tofly-flow', 'lr', TO_DATE('2022-10-08 11:51:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 11:51:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["53"],"id":["1572140204302041089"]}', '152', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578594082996453377', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 11:52:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 11:52:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578594111844876289', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 11:52:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 11:52:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["10000"],"current":["1"]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578594175053037570', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 11:52:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 11:52:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"name":[""],"tenantId":[""],"current":["1"],"size":["30"],"contractType":[""]}', '44', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578594175879315458', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 11:52:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 11:52:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"name":[""],"tenantId":[""],"current":["1"],"size":["30"],"contractType":[""]}', '40', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578594229411217410', '1', 'tofly-flow', 'lr', TO_DATE('2022-10-08 11:52:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 11:52:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575426230143492098', 'GET', '{}', '30', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578594230388490241', '1', 'tofly-flow', 'lr', TO_DATE('2022-10-08 11:52:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 11:52:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '137', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578594239561433089', '1', 'tofly-flow', 'lr', TO_DATE('2022-10-08 11:52:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 11:52:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"size":["1000"],"current":["1"]}', '26', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575780585862344706', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-30 17:32:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 17:32:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '136', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578553604577964033', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-10-08 09:11:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 09:11:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578553604871565313', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-10-08 09:11:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 09:11:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578553612152877058', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-10-08 09:11:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 09:11:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"id":["1572140204302041089"]}', '150', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578553612878491649', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-10-08 09:11:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 09:11:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578553613084012545', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-10-08 09:11:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 09:11:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578625369903841281', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 13:56:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:56:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"name":["用水、用电费用"],"current":["1"],"size":["30"]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578625389675790338', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 13:56:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:56:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"id":["1572140204302041089"]}', '139', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578625395942080514', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 13:56:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:56:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"name":["社区/村/组名称"],"current":["1"],"size":["30"]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578625396751581186', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 13:56:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:56:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578625401604390914', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 13:56:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:56:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578625404087418881', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 13:56:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:56:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '33', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578625404238413826', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 13:56:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:56:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"appLabe":["1572832711356719105"],"tenantId":["1569602913205559298"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578625405068886017', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 13:56:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:56:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["56"],"id":["1572140204302041089"]}', '145', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578625405807083522', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 13:56:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:56:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575688978056167425', 'GET', '{}', '2', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578625427458080770', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 13:56:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:56:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"name":["包干价燃气管道范围"],"current":["1"],"size":["30"]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578625463654924289', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 13:56:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:56:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"name":["超长范围"],"current":["1"],"size":["30"]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578625528796659713', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 13:57:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:57:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"name":["合同份数"],"current":["1"],"size":["30"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578625536002473986', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 13:57:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:57:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"name":[""],"current":["1"],"size":["30"]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578625537487257602', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 13:57:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:57:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"name":[""],"current":["1"],"size":["30"]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578625543313145857', '1', 'tofly-flow', 'yj', TO_DATE('2022-10-08 13:57:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:57:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["64"],"id":["1572140204302041089"]}', '136', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578625576771108866', '1', 'tofly-flow', 'yj', TO_DATE('2022-10-08 13:57:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:57:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1578595923222167553', 'GET', '{"id":["1578595923222167553"]}', '20', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578625752264982530', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 13:58:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:58:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["56"],"id":["1572140204302041089"]}', '136', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578625752546000897', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 13:58:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:58:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575688978056167425', 'GET', '{}', '1', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578625896419016705', '0', 'tofly-flow', 'yj', TO_DATE('2022-10-08 13:58:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:58:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessnodel', 'POST', '{}', '153', NULL, '### Error updating database.  Cause: java.sql.SQLDataException: ORA-01438: 值大于为此列指定的允许精度

### The error may exist in com/tofly/workflow/buss/mapper/TfRegisterItemWMapper.java (best guess)
### The error may involve com.tofly.workflow.buss.mapper.TfRegisterItemWMapper.insert-Inline
### The error occurred while setting parameters
### SQL: INSERT INTO TF_REGISTER_ITEM_W  ( id, process_id, node_id, project_name, user_name, region,  addre, longitude,  user_type, contacts, telephone,   household_number, document_type, document_number, urgent_level,   content )  VALUES  ( ?, ?, ?, ?, ?, ?,  ?, ?,  ?, ?, ?,   ?, ?, ?, ?,   ? )
### Cause: java.sql.SQLDataException: ORA-01438: 值大于为此列指定的允许精度

; ORA-01438: 值大于为此列指定的允许精度
; nested exception is java.sql.SQLDataException: ORA-01438: 值大于为此列指定的允许精度', 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578625907160629250', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 13:58:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:58:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"appLabe":["1572832711356719105"],"tenantId":["1569602913205559298"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578625907970129922', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 13:58:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:58:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["56"],"id":["1572140204302041089"]}', '137', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578625908242759682', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 13:58:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:58:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575688978056167425', 'GET', '{}', '1', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578625951716720641', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 13:58:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:58:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["30"],"current":["2"]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578625974189801474', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 13:58:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:58:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '9', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578625986521055234', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 13:58:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:58:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578625989851332609', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 13:59:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:59:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '63', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578625989859721218', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 13:59:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:59:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"appLabe":["1572832711356719105"],"tenantId":["1569602913205559298"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578625990711164929', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 13:59:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:59:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["56"],"id":["1572140204302041089"]}', '129', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575661755857231874', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-30 09:40:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 09:40:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"appLabe":["1572832711356719105"],"tenantId":["1569602913205559298"],"isMould":["0"]}', '14', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575662527118434306', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-30 09:43:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 09:43:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"appLabe":["1572832711356719105"],"tenantId":["1569602913205559298"],"isMould":["0"]}', '7', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575662527961489409', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-30 09:43:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 09:43:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{}', '121', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575663393087021057', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-30 09:46:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 09:46:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1572836695614169089"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575666699205206017', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-30 09:59:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 09:59:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '120', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575666710836011009', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-30 09:59:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 09:59:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575426595366707202', 'GET', '{"id":["1575426595366707202"]}', '27', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575666904516386818', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-30 10:00:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 10:00:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575426595366707202', 'GET', '{"id":["1575426595366707202"]}', '28', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575667711529836545', '2', 'tofly-auth', 'jtadmin', TO_DATE('2022-09-30 10:03:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 10:03:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/0f6cf1f9-d6e2-4fb4-98de-2717a6d01cc2', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575667932745818113', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-30 10:04:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 10:04:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575426595366707202', 'GET', '{"id":["1575426595366707202"]}', '29', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575669579400208386', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-30 10:11:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 10:11:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"appLabe":["1572832711356719105"],"tenantId":["1569602913205559298"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575669580088074242', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-30 10:11:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 10:11:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{}', '117', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575673263848808449', '2', 'tofly-auth', 'jtadmin', TO_DATE('2022-09-30 10:25:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 10:25:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/5a68ed7d-def5-4e54-9566-af25f5133649', 'DELETE', '{}', '1', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575673319339450369', '1', 'tofly-flow', 'hq2', TO_DATE('2022-09-30 10:26:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 10:26:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575673335114227713', '1', 'tofly-flow', 'hq2', TO_DATE('2022-09-30 10:26:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 10:26:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '18', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575673361060192257', '2', 'tofly-auth', 'hq2', TO_DATE('2022-09-30 10:26:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 10:26:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/8b2b6c4c-9298-485d-86a7-1c7a34ba827e', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575673383109648385', '1', 'tofly-flow', 'hq2', TO_DATE('2022-09-30 10:26:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 10:26:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575673396745330690', '2', 'tofly-auth', 'hq2', TO_DATE('2022-09-30 10:26:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 10:26:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/1ce72905-52af-427d-bdd7-e719db20cd02', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575737612957212674', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-30 14:41:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 14:41:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575737617956823041', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-30 14:41:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 14:41:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '53', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575737784416165890', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-30 14:42:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 14:42:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectdispatchw/page', 'GET', '{"current":["1"],"state":[""],"userType":["{}"],"projectLink":[""],"size":["30"]}', '2', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575739009509449730', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-30 14:47:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 14:47:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '139', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575739170927239170', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-30 14:47:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 14:47:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575739179764637697', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-30 14:47:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 14:47:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"id":["1572140204302041089"]}', '142', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575739180288925697', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-30 14:47:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 14:47:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '39', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575770902988677122', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-30 16:53:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 16:53:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["53"],"id":["1572140204302041089"]}', '191', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575770903340998658', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-30 16:53:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 16:53:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575424433622429698', 'GET', '{"id":["1575424433622429698"]}', '13', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575770955241316353', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-30 16:54:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 16:54:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '145', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575770962103197698', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-30 16:54:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 16:54:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575426595366707202', 'GET', '{"id":["1575426595366707202"]}', '26', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575771023096766466', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-30 16:54:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 16:54:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["59"],"id":["1572140204302041089"]}', '128', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575771023809798145', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-30 16:54:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 16:54:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575739510061875201', 'GET', '{"id":["1575739510061875201"]}', '19', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575771071691972610', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-30 16:54:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 16:54:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '195', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575771163450761218', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-30 16:54:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 16:54:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '135', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575771378404646914', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-30 16:55:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 16:55:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575771389959954433', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-30 16:55:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 16:55:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["53"],"id":["1572140204302041089"]}', '113', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575771418124705794', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-30 16:55:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 16:55:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575424433622429698', 'GET', '{"id":["1575424433622429698"]}', '15', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575771636043964417', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-30 16:56:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 16:56:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575771649700618241', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-30 16:56:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 16:56:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["53"],"id":["1572140204302041089"]}', '123', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575771673213886465', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-30 16:56:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 16:56:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575424433622429698', 'GET', '{"id":["1575424433622429698"]}', '19', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575675755152138242', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-30 10:35:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 10:35:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '17', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575675755345076226', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-30 10:35:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 10:35:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575675762798354434', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-30 10:35:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 10:35:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"id":["1572140204302041089"]}', '122', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575675763633020930', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-30 10:35:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 10:35:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575675763851124738', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-30 10:35:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 10:35:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575675766514507777', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-30 10:35:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 10:35:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '8', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575722145773346817', '1', 'tofly-flow', 'public', TO_DATE('2022-09-30 13:40:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 13:40:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"appLabe":["1572832711356719105"],"tenantId":["1569602913205559298"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575722663136550914', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-30 13:42:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 13:42:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '19', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575722663425957889', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-30 13:42:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 13:42:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575722670426251265', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-30 13:42:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 13:42:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"id":["1572140204302041089"]}', '132', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575722670933762050', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-30 13:42:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 13:42:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575722671118311425', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-30 13:42:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 13:42:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575722673613922306', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-30 13:42:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 13:42:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575725155983384577', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-30 13:52:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 13:52:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575725512239177730', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-30 13:53:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 13:53:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575725512486641665', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-30 13:53:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 13:53:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575726086602973186', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-30 13:55:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 13:55:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"id":["1572140204302041089"]}', '112', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575726087131455490', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-30 13:55:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 13:55:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575726087345364994', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-30 13:55:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 13:55:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575726089840975873', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-30 13:55:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 13:55:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575767078576152578', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-30 16:38:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 16:38:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575685082881576961', 'GET', '{}', '25', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575767079075274753', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-30 16:38:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 16:38:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '110', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575767114139656193', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-30 16:38:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 16:38:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["1000"],"dataType":["1570692286170427394"]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575767114248708098', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-30 16:38:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 16:38:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '35', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575767467899838466', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-30 16:40:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 16:40:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575685082881576961', 'GET', '{}', '28', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575767468319268865', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-30 16:40:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 16:40:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '119', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575767479299956738', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-30 16:40:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 16:40:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575426595366707202', 'GET', '{}', '23', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575767479719387138', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-30 16:40:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 16:40:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '117', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575767489143988225', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-30 16:40:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 16:40:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575426230143492098', 'GET', '{}', '33', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575767489596973057', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-30 16:40:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 16:40:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '139', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575767708602556417', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-30 16:41:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 16:41:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575426595366707202', 'GET', '{"id":["1575426595366707202"]}', '27', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575767709789544449', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-30 16:41:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 16:41:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["1000"],"dataType":["1570692286170427394"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575767709827293186', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-30 16:41:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 16:41:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '20', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575770897330561026', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-30 16:53:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 16:53:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575771086661443586', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-30 16:54:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 16:54:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575426595366707202', 'GET', '{"id":["1575426595366707202"]}', '22', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575771123739090946', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-30 16:54:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 16:54:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["53"],"id":["1572140204302041089"]}', '130', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575771195256168450', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-30 16:55:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 16:55:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575739510061875201', 'GET', '{"id":["1575739510061875201"]}', '22', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575787467268173826', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-30 17:59:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 17:59:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '130', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575834758922383361', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-30 21:07:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 21:07:38', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.113.146', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '13', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575680189114798081', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-30 10:53:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 10:53:26', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["2"],"id":["1575053258153025538"]}', '262', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575680342848622593', '0', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-30 10:54:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 10:54:03', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '410', NULL, '### Error querying database.  Cause: java.sql.SQLSyntaxErrorException: ORA-00904: "LIST_LABE": 标识符无效

### The error may exist in file [E:\java\work\zmrq\tofly-zmrq\workflow\target\classes\mapper\processconfig\TfProcessConfigStepLMapper.xml]
### The error may involve defaultParameterMap
### The error occurred while setting parameters
### SQL: SELECT ID,STEP_ORDER,STEP_NAME,LABEL,APP_LABE,LIST_LABE,EDITION,STEP_TYPE,HANDLE_MODEL,SEE_DEPT,NODE_NUMBER,COERCE_LEVEL,UPPER_STEP,NEXT_HANDLE_TYPE,NEXT_STEP,HANDLE_MODE,IS_APPOINT_USER,TIME_LIMIT,DAY_TYPE,TIME_REMIND,RETURN_TO_STEP,IS_EDIT,REMARK,1 as USER_TYPE         FROM TF_PROCESS_CONFIG_STEP_L WHERE CONFIG_ID = ? AND EDITION =? AND IS_DEL = 0         ORDER BY STEP_ORDER
### Cause: java.sql.SQLSyntaxErrorException: ORA-00904: "LIST_LABE": 标识符无效

; bad SQL grammar []; nested exception is java.sql.SQLSyntaxErrorException: ORA-00904: "LIST_LABE": 标识符无效', 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575681393655992321', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-30 10:58:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 10:58:13', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '1491', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575695265301094402', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-30 11:53:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:53:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectdispatchw/page', 'GET', '{"current":["1"],"state":[""],"userType":["{}"],"projectLink":[""],"size":["30"]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575695271798071298', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-30 11:53:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:53:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["53"],"id":["1572140204302041089"]}', '124', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575695319118209026', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-30 11:53:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:53:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '124', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575695369554714625', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-30 11:53:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:53:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["53"],"id":["1572140204302041089"]}', '129', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575695728893321218', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-30 11:55:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:55:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575695736564703234', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-30 11:55:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:55:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575695749617377282', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-30 11:55:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:55:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '31', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575695751643226114', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-30 11:55:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:55:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"appLabe":["1572832711356719105"],"tenantId":["1569602913205559298"],"isMould":["0"]}', '7', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575695933919289346', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-30 11:56:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:56:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575695943222255617', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-30 11:56:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:56:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575695949681483778', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-30 11:56:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:56:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '34', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575695952583942145', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-30 11:56:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:56:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{}', '137', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575696417224744962', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-30 11:57:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:57:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"appLabe":["1572832711356719105"],"tenantId":["1569602913205559298"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575696509327466497', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-30 11:58:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:58:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"appLabe":["1572832711356719105"],"tenantId":["1569602913205559298"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575696510195687426', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-30 11:58:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:58:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{}', '131', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575696598901022722', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-30 11:58:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:58:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '34', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575734801141948418', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-30 14:30:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 14:30:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '118', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575734848462086146', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-30 14:30:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 14:30:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575426595366707202', 'GET', '{"id":["1575426595366707202"]}', '31', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575738918484664321', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-30 14:46:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 14:46:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575739439467552769', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-30 14:48:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 14:48:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"id":["1572140204302041089"]}', '137', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575739440046366721', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-30 14:48:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 14:48:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '4', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575739440193167361', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-30 14:48:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 14:48:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575739442709749762', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-30 14:48:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 14:48:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575745315054116865', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-30 15:12:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 15:12:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '157', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575745323077820418', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-30 15:12:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 15:12:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575688977028562946', 'GET', '{"id":["1575688977028562946"]}', '26', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575746709043634177', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-30 15:17:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 15:17:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575688977028562946', 'GET', '{"id":["1575688977028562946"]}', '116', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575746764865626114', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-30 15:17:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 15:17:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575739510061875201', 'GET', '{"id":["1575739510061875201"]}', '13', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575747003399888898', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-30 15:18:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 15:18:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '121', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575747590220767233', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-30 15:21:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 15:21:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '118', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575747608352743425', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-30 15:21:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 15:21:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '132', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578625991386447873', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 13:59:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:59:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575688978056167425', 'GET', '{}', '1', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578625991847821314', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 13:59:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:59:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '23', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578626000269983745', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 13:59:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:59:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/page', 'GET', '{"current":["1"],"size":["30"],"yearName":[""]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578626001146593281', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 13:59:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:59:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/page', 'GET', '{"current":["1"],"size":["30"],"yearName":[""]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578626024966045697', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 13:59:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:59:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/page', 'GET', '{"current":["1"],"size":["30"],"yearName":["2025"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578626032654204929', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 13:59:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:59:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/page', 'GET', '{"current":["1"],"size":["30"],"yearName":[""]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578626111054135297', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 13:59:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:59:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/saveCalendarAll', 'POST', '{}', '40', NULL, NULL, 'content:新增日历年日期相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578626111377096705', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 13:59:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:59:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcalendaryearp/page', 'GET', '{"size":["30"],"current":["1"]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578626233678807042', '1', 'tofly-flow', 'llzm', TO_DATE('2022-10-08 13:59:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:59:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["64"],"id":["1572140204302041089"]}', '123', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578626234224066562', '1', 'tofly-flow', 'llzm', TO_DATE('2022-10-08 13:59:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:59:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1578620110460428289', 'GET', '{"id":["1578620110460428289"]}', '23', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578626274191589377', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 14:00:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:00:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"nature":[""]}', '29', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578626295360241665', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 14:00:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:00:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '21', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578626297243484161', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 14:00:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:00:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"typeName":[""],"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578626303987924993', '1', 'tofly-flow', 'yj', TO_DATE('2022-10-08 14:00:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:00:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1578595923222167553', 'GET', '{"id":["1578595923222167553"]}', '18', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578626330395262977', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 14:00:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:00:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"typeName":[""],"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578626331431256065', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 14:00:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:00:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"typeName":[""],"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578626332324642818', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 14:00:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:00:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"typeName":[""],"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578626333335470082', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 14:00:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:00:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"typeName":[""],"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578626347646435330', '1', 'tofly-flow', 'llzm', TO_DATE('2022-10-08 14:00:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:00:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessnodel', 'POST', '{}', '106', NULL, NULL, 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578626349437403137', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 14:00:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:00:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"typeName":["PE注塑管件"],"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578626357108785153', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 14:00:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:00:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"typeName":[""],"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578626359218520066', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 14:00:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:00:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578626361957400578', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 14:00:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:00:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578626364910190593', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 14:00:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:00:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '33', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578626365010853889', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 14:00:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:00:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"appLabe":["1572832711356719105"],"tenantId":["1569602913205559298"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578626365690331137', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 14:00:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:00:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["56"],"id":["1572140204302041089"]}', '117', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578626366504026114', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 14:00:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:00:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575688978056167425', 'GET', '{}', '2', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578626388469596161', '1', 'tofly-flow', 'llzm', TO_DATE('2022-10-08 14:00:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:00:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["64"],"id":["1572140204302041089"]}', '158', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578626388880637954', '1', 'tofly-flow', 'llzm', TO_DATE('2022-10-08 14:00:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:00:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1578620110460428289', 'GET', '{"id":["1578620110460428289"]}', '23', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578626395650244610', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 14:00:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:00:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["56"],"id":["1572140204302041089"]}', '123', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578626410368057346', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 14:00:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:00:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575688977028562946', 'GET', '{"id":["1575688977028562946"]}', '22', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578626432245547009', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 14:00:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:00:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '23', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578626440302804993', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 14:00:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:00:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575688977028562946', 'GET', '{"id":["1575688977028562946"]}', '21', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578626441137471490', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 14:00:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:00:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '22', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578626442156687362', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 14:00:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:00:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '20', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578626477044908034', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 14:00:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:00:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578626497718632449', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 14:01:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:01:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfreportentryp/page', 'GET', '{"name":[""],"current":["1"],"size":["30"]}', '26', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578626503955562498', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 14:01:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:01:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfreportentryp/page', 'GET', '{"name":[""],"current":["1"],"size":["30"]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578626504932835330', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 14:01:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:01:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfreportentryp/page', 'GET', '{"name":[""],"current":["1"],"size":["30"]}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578626522704101378', '1', 'tofly-flow', 'yj', TO_DATE('2022-10-08 14:01:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:01:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["64"],"id":["1572140204302041089"]}', '122', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578626530006384642', '1', 'tofly-flow', 'yj', TO_DATE('2022-10-08 14:01:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:01:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1578595923222167553', 'GET', '{"id":["1578595923222167553"]}', '24', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575771716146782209', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-30 16:57:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 16:57:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '114', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575771716704624642', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-30 16:57:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 16:57:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575426595366707202', 'GET', '{"id":["1575426595366707202"]}', '22', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575771741732036609', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-30 16:57:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 16:57:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '120', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575772960554835970', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-30 17:02:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 17:02:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '141', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578549781700554753', '1', 'tofly-flow', 'yj', TO_DATE('2022-10-08 08:56:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 08:56:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '40', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578623607365025794', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 13:49:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:49:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["30"],"current":["1"]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578623694887567362', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 13:49:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:49:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["30"],"current":["2"]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578623707055243265', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 13:49:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:49:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["30"],"current":["1"]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578623952052928513', '1', 'tofly-flow', 'yj', TO_DATE('2022-10-08 13:50:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:50:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["53"],"id":["1572140204302041089"]}', '148', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578623962794541058', '1', 'tofly-flow', 'llzm', TO_DATE('2022-10-08 13:50:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:50:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["64"],"id":["1572140204302041089"]}', '146', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578623963478212610', '1', 'tofly-flow', 'llzm', TO_DATE('2022-10-08 13:50:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:50:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1578620110460428289', 'GET', '{"id":["1578620110460428289"]}', '28', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578623974244990977', '1', 'tofly-flow', 'llzm', TO_DATE('2022-10-08 13:50:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:50:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1578620110460428289', 'GET', '{"id":["1578620110460428289"]}', '29', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578624118449356801', '1', 'tofly-flow', 'yj', TO_DATE('2022-10-08 13:51:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:51:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '19', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578624184878743553', '0', 'tofly-flow', 'llzm', TO_DATE('2022-10-08 13:51:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:51:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessnodel', 'POST', '{}', '259', NULL, '### Error updating database.  Cause: java.sql.SQLDataException: ORA-01438: 值大于为此列指定的允许精度

### The error may exist in com/tofly/workflow/buss/mapper/TfRegisterItemWMapper.java (best guess)
### The error may involve com.tofly.workflow.buss.mapper.TfRegisterItemWMapper.insert-Inline
### The error occurred while setting parameters
### SQL: INSERT INTO TF_REGISTER_ITEM_W  ( id, process_id, node_id, project_name, user_name, region,  addre, longitude,  user_type, contacts, telephone,   household_number, document_type, document_number, urgent_level,   content )  VALUES  ( ?, ?, ?, ?, ?, ?,  ?, ?,  ?, ?, ?,   ?, ?, ?, ?,   ? )
### Cause: java.sql.SQLDataException: ORA-01438: 值大于为此列指定的允许精度

; ORA-01438: 值大于为此列指定的允许精度
; nested exception is java.sql.SQLDataException: ORA-01438: 值大于为此列指定的允许精度', 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578624197415518209', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 13:51:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:51:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578624212645036034', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 13:51:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:51:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '8', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578624213878161410', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 13:51:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:51:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"name":["工程预算费"],"current":["1"],"size":["30"]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578624239182397442', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 13:52:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:52:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"name":["工程预算费设计费占比"],"current":["1"],"size":["30"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578624249185812481', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 13:52:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:52:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"name":["设计费占比"],"current":["1"],"size":["30"]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578624275983220737', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 13:52:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:52:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"name":["预算设计费"],"current":["1"],"size":["30"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578624297164455937', '1', 'tofly-flow', 'llzm', TO_DATE('2022-10-08 13:52:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:52:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["64"],"id":["1572140204302041089"]}', '141', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578624297986539522', '1', 'tofly-flow', 'llzm', TO_DATE('2022-10-08 13:52:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:52:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1578620110460428289', 'GET', '{"id":["1578620110460428289"]}', '24', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578627060527120386', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 14:03:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:03:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '30', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578627643510210561', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 14:05:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:05:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578627643568930818', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 14:05:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:05:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '2', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578627743183650818', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 14:05:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:05:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"appLabe":["1572832711356719105"],"tenantId":["1569602913205559298"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578627744014123010', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 14:05:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:05:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["56"],"id":["1572140204302041089"]}', '126', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578627744324501505', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 14:05:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:05:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575688978056167425', 'GET', '{}', '1', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578627772715745281', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 14:06:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:06:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578627842760622081', '1', 'tofly-flow', 'llzm', TO_DATE('2022-10-08 14:06:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:06:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578627843033251842', '1', 'tofly-flow', 'llzm', TO_DATE('2022-10-08 14:06:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:06:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '19', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578627850708828162', '1', 'tofly-flow', 'llzm', TO_DATE('2022-10-08 14:06:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:06:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"id":["1572140204302041089"]}', '141', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578627851308613634', '1', 'tofly-flow', 'llzm', TO_DATE('2022-10-08 14:06:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:06:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '4', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575834763406094338', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-30 21:07:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 21:07:39', 'SYYYY-MM-DD HH24:MI:SS'), '118.112.113.146', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '7', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1577579785461706753', '1', 'tofly-flow', 'hq', TO_DATE('2022-10-05 16:41:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-05 16:41:45', 'SYYYY-MM-DD HH24:MI:SS'), '222.209.162.137', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["10000"],"current":["1"]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1577579785570758657', '1', 'tofly-flow', 'hq', TO_DATE('2022-10-05 16:41:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-05 16:41:45', 'SYYYY-MM-DD HH24:MI:SS'), '222.209.162.137', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '41', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1577580119760318465', '2', 'tofly-auth', 'hq', TO_DATE('2022-10-05 16:43:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-05 16:43:05', 'SYYYY-MM-DD HH24:MI:SS'), '222.209.162.137', NULL, '/token/be174d39-99c3-404d-ba1b-931be328b414', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578634755636232194', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 14:33:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:33:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '2', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578634797445054466', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 14:33:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:33:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["56"],"id":["1572140204302041089"]}', '139', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578634798019674114', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 14:34:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:34:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575688978056167425', 'GET', '{}', '2', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578634817942618114', '1', 'tofly-flow', 'yj', TO_DATE('2022-10-08 14:34:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:34:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '136', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578634824351514625', '1', 'tofly-flow', 'yj', TO_DATE('2022-10-08 14:34:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:34:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575426230143492098', 'GET', '{"id":["1575426230143492098"]}', '36', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578634851845177346', '1', 'tofly-flow', 'yj', TO_DATE('2022-10-08 14:34:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:34:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '139', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578634857784311810', '1', 'tofly-flow', 'yj', TO_DATE('2022-10-08 14:34:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:34:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575685082881576961', 'GET', '{"id":["1575685082881576961"]}', '19', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578634896455794689', '1', 'tofly-flow', 'yj', TO_DATE('2022-10-08 14:34:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:34:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '183', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578634912880689153', '1', 'tofly-flow', 'yj', TO_DATE('2022-10-08 14:34:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:34:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["1000"],"dataType":["1570692286170427394"]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578634912922632194', '1', 'tofly-flow', 'yj', TO_DATE('2022-10-08 14:34:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:34:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '27', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578634966207070210', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 14:34:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:34:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '280', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578634994241798145', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 14:34:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:34:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '18', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578634995038715905', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 14:34:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:34:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578635004945661954', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 14:34:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:34:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":["测试地址"]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578635534904360961', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 14:36:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:36:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectmaterialw/getDispatchRecord', 'GET', '{"relationId":["1575688978056167425"],"materialType":["3"]}', '26', NULL, NULL, 'content:领料记录', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578635534967275522', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 14:36:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:36:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1572837185089445889"],"isMould":["0"]}', '2', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578635550276485121', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 14:36:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:36:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1572837334729629698"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578635561315893249', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 14:37:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:37:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectmaterialw/getDispatchRecord', 'GET', '{"relationId":["1575688978056167425"],"materialType":["3"]}', '3', NULL, NULL, 'content:领料记录', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578635561487859714', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 14:37:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:37:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1572837468880248833"],"isMould":["0"]}', '2', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578646287531208706', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 15:19:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:19:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1578643097498791937', 'GET', '{"id":["1578643097498791937"]}', '23', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578646548639215618', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 15:20:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:20:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1578643097498791937', 'GET', '{"id":["1578643097498791937"]}', '21', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578647558988328961', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 15:24:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:24:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '17', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578647559239987201', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 15:24:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:24:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578647567163027457', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 15:24:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:24:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578647568194826241', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 15:24:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:24:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '18', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578647576080117762', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 15:24:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:24:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578647774718160899', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 15:25:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:25:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578647941936672769', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 15:26:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:26:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '20', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578647942188331010', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 15:26:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:26:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578647954133708802', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 15:26:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:26:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578647955094204417', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 15:26:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:26:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578647962048360449', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 15:26:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:26:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578647962266464258', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 15:26:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:26:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578647966066503681', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 15:26:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:26:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '18', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578647967068942337', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 15:26:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:26:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575661756570263553', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-30 09:40:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 09:40:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/1572140204302041089', 'GET', '{}', '111', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575661766745645057', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-30 09:40:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 09:40:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '37', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575662635469889537', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-30 09:43:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 09:43:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1571326768206962690"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575747914289471490', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-30 15:22:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 15:22:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '121', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575747978684620801', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-30 15:22:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 15:22:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '130', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575748252287459330', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-30 15:23:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 15:23:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '117', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575748439366000641', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-30 15:24:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 15:24:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '123', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575748663471857666', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-30 15:25:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 15:25:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '20', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575748664197472257', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-30 15:25:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 15:25:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '18', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575748664965029890', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-30 15:25:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 15:25:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575748669612318722', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-30 15:25:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 15:25:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '126', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575748669645873153', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-30 15:25:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 15:25:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '31', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575748670556037122', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-30 15:25:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 15:25:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '18', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575750307823575042', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-30 15:32:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 15:32:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575750308050067457', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-30 15:32:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 15:32:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '36', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575750316090548225', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-30 15:32:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 15:32:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/1574959605363589121', 'GET', '{"0":["1574959605363589121"]}', '16', NULL, NULL, 'content:通过id查询施工组织单位', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575750339381518338', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-30 15:32:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 15:32:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/1574959023458435074', 'GET', '{"0":["1574959023458435074"]}', '16', NULL, NULL, 'content:通过id查询施工组织单位', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575750511549308929', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-30 15:32:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 15:32:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/1574959605363589121', 'GET', '{"0":["1574959605363589121"]}', '2', NULL, NULL, 'content:通过id查询施工组织单位', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575750722845761537', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-30 15:33:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 15:33:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/saveTeamAll', 'POST', '{}', '41', NULL, NULL, 'content:新增施工班组相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575750723210665986', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-30 15:33:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 15:33:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575750829754376194', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-30 15:34:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 15:34:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/saveTeamAll', 'POST', '{}', '18', NULL, NULL, 'content:新增施工班组相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575750830165417986', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-30 15:34:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 15:34:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '26', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575750841628450817', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-30 15:34:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 15:34:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/1575750829594984450', 'GET', '{"0":["1575750829594984450"]}', '16', NULL, NULL, 'content:通过id查询施工组织单位', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575750901539889154', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-30 15:34:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 15:34:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/1575750829594984450', 'GET', '{"0":["1575750829594984450"]}', '13', NULL, NULL, 'content:通过id查询施工组织单位', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575750934108659713', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-30 15:34:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 15:34:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '22', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575751152908722177', '2', 'tofly-auth', 'jtadmin', TO_DATE('2022-09-30 15:35:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 15:35:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/495b8d0a-f992-4d4e-878e-49dd7f92834d', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575751174463250433', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-30 15:35:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 15:35:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '20', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575751246026465281', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-30 15:35:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 15:35:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '116', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575751291786321922', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-30 15:35:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 15:35:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '18', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575751298706923521', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-30 15:36:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 15:36:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/1575750829594984450', 'GET', '{"0":["1575750829594984450"]}', '15', NULL, NULL, 'content:通过id查询施工组织单位', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575753953768464385', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-30 15:46:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 15:46:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575426230143492098', 'GET', '{}', '29', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575753955374882818', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-30 15:46:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 15:46:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '115', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575753956117274626', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-30 15:46:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 15:46:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"size":["1000"],"current":["1"]}', '27', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575754009330409474', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-30 15:46:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 15:46:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '125', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575754036329144321', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-30 15:46:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 15:46:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["1000"],"dataType":["1570692286170427394"]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575754036387864577', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-30 15:46:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 15:46:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '20', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575754259222847489', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-30 15:47:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 15:47:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["1000"],"dataType":["1570692286170427394"]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575754259289956353', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-30 15:47:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 15:47:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '28', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575754316928081922', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-30 15:47:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 15:47:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '112', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575754397588742146', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-30 15:48:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 15:48:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '132', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578562177425047554', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 09:45:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 09:45:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"appLabe":["1572832711356719105"],"tenantId":["1569602913205559298"],"isMould":["0"]}', '7', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578562178192605186', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 09:45:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 09:45:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["56"],"id":["1572140204302041089"]}', '127', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578562212984356865', '1', 'tofly-flow', 'yj', TO_DATE('2022-10-08 09:45:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 09:45:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["62"],"id":["1572140204302041089"]}', '184', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578626543608512513', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 14:01:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:01:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfreportentryp', 'PUT', '{}', '7', NULL, NULL, 'content:修改开工报告条目', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578626543797256194', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 14:01:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:01:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfreportentryp/page', 'GET', '{"name":[""],"current":["1"],"size":["30"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578626557256777729', '1', 'tofly-flow', 'yj', TO_DATE('2022-10-08 14:01:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:01:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["64"],"id":["1572140204302041089"]}', '135', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578626561287503873', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 14:01:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:01:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfreportentryp', 'PUT', '{}', '4', NULL, NULL, 'content:修改开工报告条目', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578626561493024769', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 14:01:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:01:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfreportentryp/page', 'GET', '{"name":[""],"current":["1"],"size":["30"]}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578626563590176769', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 14:01:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:01:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578626571685183490', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 14:01:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:01:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578626574843494401', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 14:01:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:01:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '32', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578626574944157698', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 14:01:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:01:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"appLabe":["1572832711356719105"],"tenantId":["1569602913205559298"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578626575715909633', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 14:01:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:01:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["56"],"id":["1572140204302041089"]}', '142', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578626576072425474', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 14:01:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:01:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575688978056167425', 'GET', '{}', '1', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578626576181477377', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 14:01:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:01:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfreportentryp', 'PUT', '{}', '3', NULL, NULL, 'content:修改开工报告条目', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578626576445718530', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 14:01:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:01:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfreportentryp/page', 'GET', '{"name":[""],"current":["1"],"size":["30"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578626578689671170', '1', 'tofly-flow', 'yj', TO_DATE('2022-10-08 14:01:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:01:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1578595923222167553', 'GET', '{"id":["1578595923222167553"]}', '20', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578626929790664705', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 14:02:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:02:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '7', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578626947360604161', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 14:02:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:02:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578626951508770817', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 14:02:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:02:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578626957045252097', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 14:02:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:02:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '37', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578626957129138177', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 14:02:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:02:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"appLabe":["1572832711356719105"],"tenantId":["1569602913205559298"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578626958005747714', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 14:02:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:02:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["56"],"id":["1572140204302041089"]}', '153', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578626958555201537', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 14:02:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:02:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575688978056167425', 'GET', '{}', '2', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578627025181720577', '1', 'tofly-flow', 'yj', TO_DATE('2022-10-08 14:03:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:03:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '120', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578627026041552897', '1', 'tofly-flow', 'yj', TO_DATE('2022-10-08 14:03:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:03:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["1000"],"dataType":["1570692286170427394"]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578627026079301634', '1', 'tofly-flow', 'yj', TO_DATE('2022-10-08 14:03:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:03:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '24', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578627049886171137', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 14:03:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:03:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578627054990639106', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 14:03:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:03:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578627061672165378', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 14:03:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:03:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575688978056167425', 'GET', '{}', '1', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578627974784729090', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 14:06:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:06:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578627982154121217', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 14:06:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:06:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"appLabe":["1572832711356719105"],"tenantId":["1569602913205559298"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578627982867152897', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 14:06:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:06:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["56"],"id":["1572140204302041089"]}', '120', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578627984259661826', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 14:06:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:06:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575688978056167425', 'GET', '{}', '2', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578627991419338754', '1', 'tofly-flow', 'llzm', TO_DATE('2022-10-08 14:06:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:06:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578627991641636866', '1', 'tofly-flow', 'llzm', TO_DATE('2022-10-08 14:06:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:06:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578628022654320641', '1', 'tofly-flow', 'llzm', TO_DATE('2022-10-08 14:07:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:07:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578628254230233090', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 14:07:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:07:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578628259208871937', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 14:08:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:08:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '2', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578628263529005057', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 14:08:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:08:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '26', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578627851514134530', '1', 'tofly-flow', 'llzm', TO_DATE('2022-10-08 14:06:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:06:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578627854567587842', '1', 'tofly-flow', 'llzm', TO_DATE('2022-10-08 14:06:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:06:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578627970661728257', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 14:06:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:06:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '2', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578627981944406017', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 14:06:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:06:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '27', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578631443910262785', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 14:20:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:20:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '41', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578631444048674817', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 14:20:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:20:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"appLabe":["1572832711356719105"],"tenantId":["1569602913205559298"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578631444925284353', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 14:20:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:20:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["56"],"id":["1572140204302041089"]}', '152', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578631596729729026', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 14:21:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:21:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '156', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578631622843465729', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 14:21:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:21:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575688978056167425', 'GET', '{}', '2', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578631632972709890', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 14:21:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:21:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575426595366707202', 'GET', '{"id":["1575426595366707202"]}', '32', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578631765827289090', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 14:21:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:21:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '41', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578632010338435074', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 14:22:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:22:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575688978056167425', 'GET', '{}', '2', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578632254904107009', '1', 'tofly-flow', 'yj', TO_DATE('2022-10-08 14:23:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:23:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '147', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578632294972293122', '1', 'tofly-flow', 'yj', TO_DATE('2022-10-08 14:24:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:24:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["1000"],"dataType":["1570692286170427394"]}', '44', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578632295068762114', '1', 'tofly-flow', 'yj', TO_DATE('2022-10-08 14:24:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:24:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '69', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578632556541673474', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 14:25:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:25:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '129', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578632563399360514', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 14:25:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:25:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575426595366707202', 'GET', '{"id":["1575426595366707202"]}', '27', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578632616549580802', '1', 'tofly-flow', 'yj', TO_DATE('2022-10-08 14:25:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:25:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '130', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578632630583721985', '1', 'tofly-flow', 'yj', TO_DATE('2022-10-08 14:25:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:25:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["1000"],"dataType":["1570692286170427394"]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578632630608887809', '1', 'tofly-flow', 'yj', TO_DATE('2022-10-08 14:25:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:25:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '32', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578632643552509953', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 14:25:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:25:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '20', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578632649437118465', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 14:25:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:25:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '23', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578632785731026945', '1', 'tofly-flow', 'yj', TO_DATE('2022-10-08 14:26:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:26:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '26', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578633057756807169', '0', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 14:27:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:27:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/saveTeamAll', 'POST', '{}', '87', NULL, 'nested exception is org.apache.ibatis.type.TypeException: Could not set parameters for mapping: ParameterMapping{property=''userId'', mode=IN, javaType=class java.lang.Long, jdbcType=null, numericScale=null, resultMapId=''null'', jdbcTypeName=''null'', expression=''null''}. Cause: org.apache.ibatis.type.TypeException: Error setting null for parameter #3 with JdbcType OTHER . Try setting a different JdbcType for this parameter or a different jdbcTypeForNull configuration property. Cause: java.sql.SQLException: 无效的列类型: 1111', 'content:新增施工班组相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578633066157998082', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 14:27:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:27:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575739510061875201', 'GET', '{"id":["1575739510061875201"]}', '26', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578633121455702017', '1', 'tofly-flow', 'yj', TO_DATE('2022-10-08 14:27:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:27:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '130', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578633154531983361', '1', 'tofly-flow', 'yj', TO_DATE('2022-10-08 14:27:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:27:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["1000"],"dataType":["1570692286170427394"]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578633159611285505', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 14:27:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:27:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/1578632983194669058', 'GET', '{"0":["1578632983194669058"]}', '20', NULL, NULL, 'content:通过id查询施工组织单位', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578633192586903554', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 14:27:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:27:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/saveTeamAll', 'POST', '{}', '23', NULL, NULL, 'content:新增施工班组相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578633192997945345', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 14:27:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:27:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '28', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578633197347438594', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 14:27:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:27:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/1578632983194669058', 'GET', '{"0":["1578632983194669058"]}', '16', NULL, NULL, 'content:通过id查询施工组织单位', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578633831001915393', '0', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 14:30:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:30:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/saveTeamAll', 'POST', '{}', '97', NULL, 'nested exception is org.apache.ibatis.type.TypeException: Could not set parameters for mapping: ParameterMapping{property=''userId'', mode=IN, javaType=class java.lang.Long, jdbcType=null, numericScale=null, resultMapId=''null'', jdbcTypeName=''null'', expression=''null''}. Cause: org.apache.ibatis.type.TypeException: Error setting null for parameter #3 with JdbcType OTHER . Try setting a different JdbcType for this parameter or a different jdbcTypeForNull configuration property. Cause: java.sql.SQLException: 无效的列类型: 1111', 'content:新增施工班组相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578633836425150465', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-10-08 14:30:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:30:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578633901046792193', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 14:30:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:30:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/1578587823769485314', 'GET', '{"0":["1578587823769485314"]}', '16', NULL, NULL, 'content:通过id查询施工组织单位', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575659564144648194', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-30 09:31:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 09:31:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '122', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575659591705419777', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-30 09:31:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 09:31:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"size":["1000"],"current":["1"]}', '21', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575659654280241154', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-30 09:31:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 09:31:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575426230143492098', 'GET', '{}', '30', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575659655303651329', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-30 09:31:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 09:31:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '104', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575659666368225282', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-30 09:31:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 09:31:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"size":["1000"],"current":["1"]}', '18', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575659714506252290', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-30 09:32:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 09:32:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '153', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575659730243280898', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-30 09:32:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 09:32:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["1000"],"dataType":["1570692286170427394"]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575659730285223937', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-30 09:32:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 09:32:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '26', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575668974904532993', '2', 'tofly-auth', 'public', TO_DATE('2022-09-30 10:08:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 10:08:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/3428c34c-1fe6-48b8-832c-5a3391e0614a', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575669579307933697', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-30 10:11:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 10:11:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '36', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578557635958419457', '1', 'tofly-flow', 'yj', TO_DATE('2022-10-08 09:27:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 09:27:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '125', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578558203267395586', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 09:29:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 09:29:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578558238004621314', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 09:29:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 09:29:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578558261555638274', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 09:29:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 09:29:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '52', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578558504305176578', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 09:30:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 09:30:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578558504418422785', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 09:30:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 09:30:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578563448122998785', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 09:50:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 09:50:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '39', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578563448928305153', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 09:50:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 09:50:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["56"],"id":["1572140204302041089"]}', '120', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578563996326920194', '1', 'tofly-flow', 'lr', TO_DATE('2022-10-08 09:52:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 09:52:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578564089658572802', '1', 'tofly-flow', 'lr', TO_DATE('2022-10-08 09:53:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 09:53:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '137', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578565309852909569', '1', 'tofly-flow', 'yj', TO_DATE('2022-10-08 09:57:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 09:57:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["53"],"id":["1572140204302041089"]}', '119', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578624306433867777', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 13:52:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:52:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"name":["监理费占工程预算百分比"],"current":["1"],"size":["30"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578624330370760706', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 13:52:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:52:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"name":["预算监理费"],"current":["1"],"size":["30"]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578625615308374018', '1', 'tofly-flow', 'yj', TO_DATE('2022-10-08 13:57:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:57:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1578595923222167553', 'GET', '{"id":["1578595923222167553"]}', '23', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578625743020736513', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 13:58:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:58:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578625748381057025', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 13:58:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:58:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578625751338041345', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 13:58:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:58:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '32', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578625751430316033', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 13:58:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:58:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"appLabe":["1572832711356719105"],"tenantId":["1569602913205559298"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578625787765571586', '1', 'tofly-flow', 'lr', TO_DATE('2022-10-08 13:58:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:58:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1578561996038176770', 'GET', '{}', '14', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578625788885450754', '1', 'tofly-flow', 'lr', TO_DATE('2022-10-08 13:58:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:58:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["62"],"id":["1572140204302041089"]}', '133', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578625805230653441', '1', 'tofly-flow', 'lr', TO_DATE('2022-10-08 13:58:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:58:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["10000"],"current":["1"]}', '63', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578625837770063873', '1', 'tofly-flow', 'lr', TO_DATE('2022-10-08 13:58:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:58:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["53"],"id":["1572140204302041089"]}', '147', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578625863208517634', '1', 'tofly-flow', 'lr', TO_DATE('2022-10-08 13:58:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:58:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '132', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578625884138094594', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 13:58:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:58:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"name":[""],"current":["1"],"size":["30"]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578625885052452866', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 13:58:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:58:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"name":[""],"current":["1"],"size":["30"]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578625886004559873', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 13:58:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:58:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"name":[""],"current":["1"],"size":["30"]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578625887241879554', '1', 'tofly-flow', 'lr', TO_DATE('2022-10-08 13:58:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:58:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '145', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578625898012852225', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 13:58:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:58:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578625904052649986', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 13:58:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:58:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578625906925748226', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 13:58:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:58:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '35', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575671205376679938', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-30 10:17:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 10:17:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '7', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575672011664515074', '2', 'tofly-auth', 'jtadmin', TO_DATE('2022-09-30 10:20:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 10:20:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/94e06c89-8e8e-444c-9f5d-69fdb39343da', 'DELETE', '{}', '1', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575672141268508673', '1', 'tofly-flow', 'fzr', TO_DATE('2022-09-30 10:21:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 10:21:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '24', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575672158708424705', '2', 'tofly-auth', 'fzr', TO_DATE('2022-09-30 10:21:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 10:21:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/ac7cdcb6-e173-4ce4-9bbb-c2cf419f9799', 'DELETE', '{}', '1', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575672196985643009', '2', 'tofly-auth', 'fzr', TO_DATE('2022-09-30 10:21:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 10:21:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/135eb1f1-42d0-4d3a-a444-501eff736356', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575672430037950466', '2', 'tofly-auth', 'jtadmin', TO_DATE('2022-09-30 10:22:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 10:22:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/dbb04c64-814b-4fae-8520-2248194a9276', 'DELETE', '{}', '1', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575754448666976257', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-30 15:48:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 15:48:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '118', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1576447016773890049', '1', 'tofly-flow', 'hq', TO_DATE('2022-10-02 13:40:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-02 13:40:32', 'SYYYY-MM-DD HH24:MI:SS'), '222.209.162.137', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["53"],"id":["1572140204302041089"]}', '145', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1576447086235758594', '1', 'tofly-flow', 'hq', TO_DATE('2022-10-02 13:40:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-02 13:40:48', 'SYYYY-MM-DD HH24:MI:SS'), '222.209.162.137', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["53"],"id":["1572140204302041089"]}', '128', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578550898027147266', '1', 'tofly-flow', 'yj', TO_DATE('2022-10-08 09:00:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 09:00:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '151', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578552394500288513', '1', 'tofly-flow', 'yj', TO_DATE('2022-10-08 09:06:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 09:06:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '150', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578552447205912577', '1', 'tofly-flow', 'yj', TO_DATE('2022-10-08 09:06:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 09:06:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["53"],"id":["1572140204302041089"]}', '131', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578552479791460354', '1', 'tofly-flow', 'yj', TO_DATE('2022-10-08 09:06:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 09:06:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["53"],"id":["1572140204302041089"]}', '141', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578553346779262977', '1', 'tofly-flow', 'lr', TO_DATE('2022-10-08 09:10:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 09:10:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '23', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578553368124076034', '1', 'tofly-flow', 'lr', TO_DATE('2022-10-08 09:10:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 09:10:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '14', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578553496914374657', '1', 'tofly-flow', 'yj', TO_DATE('2022-10-08 09:10:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 09:10:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '22', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578553497187004417', '1', 'tofly-flow', 'yj', TO_DATE('2022-10-08 09:10:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 09:10:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '19', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578553502073368578', '1', 'tofly-flow', 'yj', TO_DATE('2022-10-08 09:10:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 09:10:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578553502283083778', '1', 'tofly-flow', 'yj', TO_DATE('2022-10-08 09:10:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 09:10:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578553509874774018', '1', 'tofly-flow', 'yj', TO_DATE('2022-10-08 09:10:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 09:10:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"id":["1572140204302041089"]}', '134', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578553510659108865', '1', 'tofly-flow', 'yj', TO_DATE('2022-10-08 09:10:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 09:10:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578553510919155713', '1', 'tofly-flow', 'yj', TO_DATE('2022-10-08 09:10:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 09:10:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578553513838391298', '1', 'tofly-flow', 'yj', TO_DATE('2022-10-08 09:11:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 09:11:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578560108328747009', '1', 'tofly-flow', 'llzm', TO_DATE('2022-10-08 09:37:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 09:37:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '178', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578560108739788801', '1', 'tofly-flow', 'llzm', TO_DATE('2022-10-08 09:37:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 09:37:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '20', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578560117447163905', '1', 'tofly-flow', 'llzm', TO_DATE('2022-10-08 09:37:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 09:37:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"id":["1572140204302041089"]}', '178', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578560118432825345', '1', 'tofly-flow', 'llzm', TO_DATE('2022-10-08 09:37:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 09:37:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578560118755786753', '1', 'tofly-flow', 'llzm', TO_DATE('2022-10-08 09:37:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 09:37:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578560122597769217', '1', 'tofly-flow', 'llzm', TO_DATE('2022-10-08 09:37:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 09:37:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '24', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578582050641379330', '1', 'tofly-flow', 'lr', TO_DATE('2022-10-08 11:04:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 11:04:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '19', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578582071713562625', '1', 'tofly-flow', 'lr', TO_DATE('2022-10-08 11:04:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 11:04:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["62"],"id":["1572140204302041089"]}', '133', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578582128428941314', '1', 'tofly-flow', 'lr', TO_DATE('2022-10-08 11:04:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 11:04:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578582138231029761', '1', 'tofly-flow', 'lr', TO_DATE('2022-10-08 11:04:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 11:04:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["53"],"id":["1572140204302041089"]}', '125', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578585236785692673', '1', 'tofly-flow', 'yj', TO_DATE('2022-10-08 11:17:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 11:17:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578585305589055489', '2', 'tofly-auth', 'yj', TO_DATE('2022-10-08 11:17:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 11:17:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/530a8e46-0916-4592-b43e-dea65542e5b0', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578585386698506241', '1', 'tofly-flow', 'public', TO_DATE('2022-10-08 11:17:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 11:17:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '7', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578587580973809666', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 11:26:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 11:26:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["9999"]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578628263742914561', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 14:08:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:08:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"appLabe":["1572832711356719105"],"tenantId":["1569602913205559298"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578628264585969666', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 14:08:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:08:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["56"],"id":["1572140204302041089"]}', '121', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578628265731014658', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 14:08:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:08:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575688978056167425', 'GET', '{}', '2', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578628411239809025', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 14:08:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:08:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578628411386609665', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 14:08:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:08:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578628411411775490', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 14:08:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:08:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578628435952648194', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 14:08:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:08:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '2', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578628441556238338', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 14:08:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:08:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578628444798435329', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 14:08:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:08:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '38', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578628444811018241', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 14:08:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:08:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"appLabe":["1572832711356719105"],"tenantId":["1569602913205559298"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578628445675044865', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 14:08:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:08:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["56"],"id":["1572140204302041089"]}', '128', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578628446530682882', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 14:08:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:08:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575688978056167425', 'GET', '{}', '1', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578628934256828418', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 14:10:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:10:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '226', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578628934122610689', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 14:10:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:10:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '289', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578628934294577154', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 14:10:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:10:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"appLabe":["1572832711356719105"],"tenantId":["1569602913205559298"],"isMould":["0"]}', '38', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578628936286871553', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 14:10:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:10:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["56"],"id":["1572140204302041089"]}', '293', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578628936756633601', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 14:10:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:10:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575688978056167425', 'GET', '{}', '14', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578628945308819458', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 14:10:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:10:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"typeName":[""],"current":["1"],"size":["30"],"dataType":["1570692286170427394"]}', '67', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578628952372027393', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 14:10:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:10:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '121', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578629056273326082', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 14:11:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:11:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '58', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578629057317707778', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 14:11:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:11:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '45', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578629066285129729', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 14:11:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:11:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '134', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578629578309091330', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 14:13:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:13:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '359', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578629580951502850', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 14:13:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:13:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["56"],"id":["1572140204302041089"]}', '474', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578629581828112386', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 14:13:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:13:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575688978056167425', 'GET', '{}', '14', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578629737101246465', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 14:13:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:13:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '64', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578629740230197250', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 14:13:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:13:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '8', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578629745464688642', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 14:13:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:13:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"appLabe":["1572832711356719105"],"tenantId":["1569602913205559298"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578629747712835585', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 14:13:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:13:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["56"],"id":["1572140204302041089"]}', '276', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578629748698497026', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 14:13:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:13:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575688978056167425', 'GET', '{}', '2', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578630064382705665', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 14:15:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:15:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '123', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578630066022678530', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 14:15:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:15:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["56"],"id":["1572140204302041089"]}', '296', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578630066840567809', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 14:15:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:15:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575688978056167425', 'GET', '{}', '15', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578630118212403202', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 14:15:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:15:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/1575750722598289409', 'GET', '{"0":["1575750722598289409"]}', '38', NULL, NULL, 'content:通过id查询施工组织单位', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578630180783030273', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 14:15:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:15:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/1575750722598289409', 'GET', '{"0":["1575750722598289409"]}', '37', NULL, NULL, 'content:通过id查询施工组织单位', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578630200726945793', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 14:15:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:15:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/1575750829594984450', 'GET', '{"0":["1575750829594984450"]}', '17', NULL, NULL, 'content:通过id查询施工组织单位', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578630231567663106', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 14:15:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:15:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/saveTeamAll', 'POST', '{}', '45', NULL, NULL, 'content:新增施工班组相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578630232167448577', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 14:15:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:15:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '69', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578630238211440641', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 14:15:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:15:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/1575750829594984450', 'GET', '{"0":["1575750829594984450"]}', '17', NULL, NULL, 'content:通过id查询施工组织单位', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578630268821471234', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 14:16:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:16:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575726037085020161', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-30 13:55:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 13:55:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"id":["1574293601415409665"]}', '36', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575726037550587906', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-30 13:55:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 13:55:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575726037726748673', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-30 13:55:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 13:55:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575726040318828545', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-30 13:55:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 13:55:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575728216063696898', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-30 14:04:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 14:04:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '17', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575728216344715265', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-30 14:04:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 14:04:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575728223932211202', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-30 14:04:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 14:04:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575728224225812482', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-30 14:04:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 14:04:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575728280957968385', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-30 14:04:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 14:04:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":["1569602913205559298"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575728283440996353', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-30 14:04:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 14:04:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575728400998948865', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-30 14:05:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 14:05:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575728401217052674', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-30 14:05:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 14:05:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575728435492904962', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-30 14:05:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 14:05:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"id":["1572140204302041089"]}', '158', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575728436113661953', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-30 14:05:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 14:05:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575728436344348673', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-30 14:05:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 14:05:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575728439271972866', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-30 14:05:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 14:05:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575728856571666434', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-30 14:06:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 14:06:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575728904353177602', '2', 'tofly-auth', 'yj', TO_DATE('2022-09-30 14:07:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 14:07:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/01c170f7-9b68-4978-905a-5495377383f4', 'DELETE', '{}', '3', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575728996309098497', '2', 'tofly-auth', 'yj', TO_DATE('2022-09-30 14:07:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 14:07:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/24d807f5-de8d-4999-bb2b-5ecf3e3a094c', 'DELETE', '{}', '1', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575729674087653378', '2', 'tofly-auth', 'yj', TO_DATE('2022-09-30 14:10:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 14:10:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/c720f094-dee9-402f-a4b2-b0ee15d7a2e1', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578633869824393217', '0', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 14:30:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:30:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/saveTeamAll', 'POST', '{}', '88', NULL, '### Error updating database.  Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-01400: 无法将 NULL 插入 ("TF_ZMRQ_LC"."TF_CONSTRUCTION_TEAM_P"."NAME")

### The error may exist in com/tofly/workflow/baseconf/mapper/TfConstructionTeamPMapper.java (best guess)
### The error may involve com.tofly.workflow.baseconf.mapper.TfConstructionTeamPMapper.insert-Inline
### The error occurred while setting parameters
### SQL: INSERT INTO TF_CONSTRUCTION_TEAM_P  ( id,  build_unit_id, name,   CREATE_USER, CREATE_TIME, UPDATE_USER, UPDATE_TIME )  VALUES  ( ?,  ?, ?,   ?, ?, ?, ? )
### Cause: java.sql.SQLIntegrityConstraintViolationException: ORA-01400: 无法将 NULL 插入 ("TF_ZMRQ_LC"."TF_CONSTRUCTION_TEAM_P"."NAME")

; ORA-01400: 无法将 NULL 插入 ("TF_ZMRQ_LC"."TF_CONSTRUCTION_TEAM_P"."NAME")
; nested exception is java.sql.SQLIntegrityConstraintViolationException: ORA-01400: 无法将 NULL 插入 ("TF_ZMRQ_LC"."TF_CONSTRUCTION_TEAM_P"."NAME")', 'content:新增施工班组相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578633916356001794', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 14:30:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:30:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/1578632983194669058', 'GET', '{"0":["1578632983194669058"]}', '6', NULL, NULL, 'content:通过id查询施工组织单位', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578633940049625089', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 14:30:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:30:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/deleteByIds', 'DELETE', '{"ids":["1575750829594984450"]}', '9', NULL, NULL, 'content:通过id批量删除施工组织单位', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578633940368392193', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 14:30:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:30:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578633943405068290', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-10-08 14:30:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:30:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["53"],"id":["1572140204302041089"]}', '135', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578633943811915778', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-10-08 14:30:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:30:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575424433622429698', 'GET', '{"id":["1575424433622429698"]}', '23', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578633948287238146', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 14:30:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:30:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/deleteByIds', 'DELETE', '{"ids":["1578587823769485314"]}', '10', NULL, NULL, 'content:通过id批量删除施工组织单位', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578633948551479297', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 14:30:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:30:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578633954897461249', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 14:30:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:30:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/deleteByIds', 'DELETE', '{"ids":["1578632983194669058"]}', '8', NULL, NULL, 'content:通过id批量删除施工组织单位', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578633955102982146', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 14:30:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:30:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578634007703748609', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-10-08 14:30:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:30:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575424433622429698', 'GET', '{"id":["1575424433622429698"]}', '21', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578634015459016706', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 14:30:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:30:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/saveTeamAll', 'POST', '{}', '16', NULL, NULL, 'content:新增施工班组相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578634015706480641', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 14:30:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:30:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578634024325775362', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 14:30:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:30:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/1578634015333191682', 'GET', '{"0":["1578634015333191682"]}', '15', NULL, NULL, 'content:通过id查询施工组织单位', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578634138331152386', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-10-08 14:31:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:31:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessnodel', 'POST', '{}', '72', NULL, NULL, 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578560546595766274', '1', 'tofly-flow', 'hq', TO_DATE('2022-10-08 09:38:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 09:38:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '62', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578560561040949250', '1', 'tofly-flow', 'hq', TO_DATE('2022-10-08 09:39:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 09:39:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["10000"],"current":["1"]}', '38', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578560561208721409', '1', 'tofly-flow', 'hq', TO_DATE('2022-10-08 09:39:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 09:39:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '136', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578560568175460354', '1', 'tofly-flow', 'hq', TO_DATE('2022-10-08 09:39:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 09:39:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["30"],"current":["1"]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578560948439449602', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 09:40:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 09:40:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '17', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578561012826210306', '1', 'tofly-flow', 'yj', TO_DATE('2022-10-08 09:40:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 09:40:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578561640822571009', '1', 'tofly-flow', 'yj', TO_DATE('2022-10-08 09:43:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 09:43:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '7', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578561647688646657', '1', 'tofly-flow', 'yj', TO_DATE('2022-10-08 09:43:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 09:43:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"id":["1572140204302041089"]}', '138', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578561724318580738', '1', 'tofly-flow', 'yj', TO_DATE('2022-10-08 09:43:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 09:43:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '44', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578561725409099777', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 09:43:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 09:43:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"appLabe":["1572832711356719105"],"tenantId":["1569602913205559298"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578561726252154882', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 09:43:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 09:43:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["56"],"id":["1572140204302041089"]}', '148', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578561726558339074', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 09:43:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 09:43:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575688978056167425', 'GET', '{}', '2', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578561997258719233', '1', 'tofly-flow', 'yj', TO_DATE('2022-10-08 09:44:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 09:44:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl', 'POST', '{}', '478', NULL, NULL, 'content:新增流程信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578562037989605377', '1', 'tofly-flow', 'yj', TO_DATE('2022-10-08 09:44:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 09:44:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["53"],"id":["1572140204302041089"]}', '156', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578562059359584258', '1', 'tofly-flow', 'yj', TO_DATE('2022-10-08 09:44:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 09:44:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575424433622429698', 'GET', '{}', '45', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578562060773064706', '1', 'tofly-flow', 'yj', TO_DATE('2022-10-08 09:44:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 09:44:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["53"],"id":["1572140204302041089"]}', '173', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578562100656701441', '1', 'tofly-flow', 'yj', TO_DATE('2022-10-08 09:45:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 09:45:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["62"],"id":["1572140204302041089"]}', '139', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578562135381344257', '1', 'tofly-flow', 'yj', TO_DATE('2022-10-08 09:45:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 09:45:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["62"],"id":["1572140204302041089"]}', '130', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578562177357938690', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 09:45:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 09:45:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '40', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578563075257761794', '2', 'tofly-auth', 'hq', TO_DATE('2022-10-08 09:49:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 09:49:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/774754d3-f601-431a-ada8-2108339f4ba2', 'DELETE', '{}', '7', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578568213787672577', '1', 'tofly-flow', 'llzm', TO_DATE('2022-10-08 10:09:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 10:09:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578568247929307138', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 10:09:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 10:09:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578568252337520642', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 10:09:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 10:09:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578568257244856322', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 10:09:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 10:09:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '34', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578568257429405697', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 10:09:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 10:09:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"appLabe":["1572832711356719105"],"tenantId":["1569602913205559298"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578569249583628290', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 10:13:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 10:13:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575688978056167425', 'GET', '{}', '2', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578569457906319361', '1', 'tofly-flow', 'llzm', TO_DATE('2022-10-08 10:14:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 10:14:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578569884416704513', '1', 'tofly-flow', 'llzm', TO_DATE('2022-10-08 10:16:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 10:16:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '7', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578570093448232961', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 10:16:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 10:16:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578570097801920514', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 10:16:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 10:16:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578570102700867585', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 10:16:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 10:16:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '32', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578570102826696706', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 10:16:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 10:16:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"appLabe":["1572832711356719105"],"tenantId":["1569602913205559298"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578570103577477122', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 10:16:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 10:16:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["56"],"id":["1572140204302041089"]}', '125', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578570104269537282', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 10:16:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 10:16:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575688978056167425', 'GET', '{}', '1', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578570810489667586', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 10:19:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 10:19:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["56"],"id":["1572140204302041089"]}', '147', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578571013372346370', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 10:20:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 10:20:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575688978056167425', 'GET', '{}', '2', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578571267182264321', '1', 'tofly-flow', 'lr', TO_DATE('2022-10-08 10:21:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 10:21:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '122', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578571312141008898', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 10:21:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 10:21:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578571317279031298', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 10:21:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 10:21:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575722752005464065', '1', 'tofly-flow', 'public', TO_DATE('2022-09-30 13:42:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 13:42:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575722756656947201', '1', 'tofly-flow', 'public', TO_DATE('2022-09-30 13:42:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 13:42:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575722761014829057', '1', 'tofly-flow', 'public', TO_DATE('2022-09-30 13:42:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 13:42:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '35', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575722864312147969', '1', 'tofly-flow', 'public', TO_DATE('2022-09-30 13:43:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 13:43:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '27', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575722864467337217', '1', 'tofly-flow', 'public', TO_DATE('2022-09-30 13:43:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 13:43:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"appLabe":["1572832711356719105"],"tenantId":["1569602913205559298"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575722910315274241', '1', 'tofly-flow', 'public', TO_DATE('2022-09-30 13:43:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 13:43:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575688978056167425', 'GET', '{}', '2', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575722978342690817', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-30 13:43:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 13:43:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575722986207010818', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-30 13:43:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 13:43:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575722991739297793', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-30 13:43:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 13:43:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"appLabe":["1572832711356719105"],"tenantId":["1569602913205559298"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575722992381026305', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-30 13:43:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 13:43:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["56"],"id":["1572140204302041089"]}', '107', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575722992720764929', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-30 13:43:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 13:43:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575688978056167425', 'GET', '{}', '1', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575723391053815809', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-30 13:45:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 13:45:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575723429997928450', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-30 13:45:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 13:45:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575724776767971329', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-30 13:50:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 13:50:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575725094725574657', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-30 13:51:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 13:51:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl', 'POST', '{}', '124', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575725095937728513', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-30 13:51:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 13:51:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575725103730745345', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-30 13:51:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 13:51:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"id":["1572140204302041089"]}', '130', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575725104624132098', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-30 13:51:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 13:51:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575725104850624514', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-30 13:51:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 13:51:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575725107379789825', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-30 13:51:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 13:51:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575725379694977025', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-30 13:53:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 13:53:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["53"],"id":["1572140204302041089"]}', '103', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575725411336806401', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-30 13:53:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 13:53:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl', 'POST', '{}', '77', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575725412431519745', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-30 13:53:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 13:53:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575725417913475074', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-30 13:53:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 13:53:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["53"],"id":["1572140204302041089"]}', '126', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575725425907818497', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-30 13:53:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 13:53:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575725426100756482', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-30 13:53:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 13:53:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575725428676059137', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-30 13:53:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 13:53:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575725440545939457', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-30 13:53:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 13:53:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"id":["1572111539262464001"]}', '119', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575725441258971138', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-30 13:53:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 13:53:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":["1"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575725441468686337', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-30 13:53:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 13:53:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575725444140457986', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-30 13:53:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 13:53:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575725570523226114', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-30 13:53:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 13:53:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575725662877605890', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-30 13:54:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 13:54:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '17', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575725663129264130', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-30 13:54:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 13:54:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575725673782796290', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-30 13:54:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 13:54:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"id":["1572140204302041089"]}', '130', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575725674349027330', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-30 13:54:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 13:54:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575725674525188098', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-30 13:54:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 13:54:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575725677033381889', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-30 13:54:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 13:54:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575727086327914497', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-30 13:59:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 13:59:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575727086613127170', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-30 13:59:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 13:59:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '18', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575722761023217665', '1', 'tofly-flow', 'public', TO_DATE('2022-09-30 13:42:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 13:42:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"appLabe":["1572832711356719105"],"tenantId":["1569602913205559298"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575722836055121921', '1', 'tofly-flow', 'public', TO_DATE('2022-09-30 13:42:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 13:42:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '27', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575722836197728258', '1', 'tofly-flow', 'public', TO_DATE('2022-09-30 13:42:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 13:42:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"appLabe":["1572832711356719105"],"tenantId":["1569602913205559298"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575722836352917505', '1', 'tofly-flow', 'public', TO_DATE('2022-09-30 13:42:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 13:42:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575688978056167425', 'GET', '{}', '2', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575722991831572482', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-30 13:43:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 13:43:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '35', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575727581973012482', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-30 14:01:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 14:01:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '16', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575750153317998593', '2', 'tofly-auth', 'jtadmin', TO_DATE('2022-09-30 15:31:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 15:31:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/3a757df7-bc23-4150-969e-ce00b03e9463', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575750161291370498', '2', 'tofly-auth', 'jtadmin', TO_DATE('2022-09-30 15:31:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 15:31:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/3a757df7-bc23-4150-969e-ce00b03e9463', 'DELETE', '{}', '1', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575752078490951681', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-30 15:39:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 15:39:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '126', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575752305293746178', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-30 15:40:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 15:40:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '122', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575752320451960834', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-30 15:40:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 15:40:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '125', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575759383290798082', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-30 16:08:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 16:08:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '153', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575759418938187778', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-30 16:08:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 16:08:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '126', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575759921826848770', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-30 16:10:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 16:10:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '121', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575760387289735169', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-30 16:12:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 16:12:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '119', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575760439890501633', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-30 16:12:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 16:12:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '135', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575761265333723137', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-30 16:15:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 16:15:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '113', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575761903161532418', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-30 16:18:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 16:18:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '122', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575762066013773826', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-30 16:18:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 16:18:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '149', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575762853158805505', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-30 16:21:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 16:21:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '122', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575763103105769474', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-30 16:22:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 16:22:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '117', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575763417468854274', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-30 16:24:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 16:24:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575764417458036738', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-30 16:28:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 16:28:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575426230143492098', 'GET', '{}', '35', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575764418183651330', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-30 16:28:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 16:28:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '146', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575764435531292673', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-30 16:28:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 16:28:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["1000"],"dataType":["1570692286170427394"]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575764435598401538', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-30 16:28:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 16:28:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '30', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575764557048668161', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-30 16:28:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 16:28:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575426595366707202', 'GET', '{}', '21', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575764557501652993', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-30 16:28:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 16:28:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '126', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575764591869779969', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-30 16:28:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 16:28:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '126', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575764603299258369', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-30 16:28:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 16:28:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575426595366707202', 'GET', '{"id":["1575426595366707202"]}', '29', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575764757037277186', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-30 16:29:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 16:29:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '125', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575764761231581186', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-30 16:29:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 16:29:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '120', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575764771536986113', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-30 16:29:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 16:29:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '117', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575764777455149057', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-30 16:29:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 16:29:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '186', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575764783746605057', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-30 16:29:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 16:29:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '126', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575764788851073025', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-30 16:29:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 16:29:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '117', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575687796453629953', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-30 11:23:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:23:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"appLabe":["1572832711356719105"],"tenantId":["1569602913205559298"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575687796738842626', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-30 11:23:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:23:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '138', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575688246066241538', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-30 11:25:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:25:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '17', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575688246523420674', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-30 11:25:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:25:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '22', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575688253402079234', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-30 11:25:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:25:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"id":["1572140204302041089"]}', '143', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575688256220651521', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-30 11:25:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:25:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575688256539418626', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-30 11:25:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:25:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575688260192657409', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-30 11:25:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:25:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575688603160895490', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-30 11:26:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:26:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575688615181770753', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-30 11:26:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:26:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["53"],"id":["1572140204302041089"]}', '137', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575722761459425282', '1', 'tofly-flow', 'public', TO_DATE('2022-09-30 13:42:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 13:42:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575688978056167425', 'GET', '{}', '1', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575726066977824769', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-30 13:55:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 13:55:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"id":["1574689258189930498"]}', '17', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575726067556638721', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-30 13:55:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 13:55:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575726067913154562', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-30 13:55:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 13:55:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575726070484262914', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-30 13:55:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 13:55:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575726724468531202', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-30 13:58:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 13:58:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575726724753743874', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-30 13:58:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 13:58:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575726747533008898', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-30 13:58:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 13:58:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"id":["1572140204302041089"]}', '120', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575726748090851330', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-30 13:58:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 13:58:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575726748275400705', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-30 13:58:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 13:58:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575726750796177410', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-30 13:58:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 13:58:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575727368956895234', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-30 14:00:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 14:00:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl', 'POST', '{}', '64', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575727370554925058', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-30 14:00:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 14:00:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575727380646420482', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-30 14:00:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 14:00:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"id":["1572140204302041089"]}', '119', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575727381250400257', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-30 14:00:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 14:00:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575727381497864194', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-30 14:00:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 14:00:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575727383989280769', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-30 14:00:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 14:00:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575729966946541569', '2', 'tofly-auth', 'public', TO_DATE('2022-09-30 14:11:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 14:11:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/dca4de97-6c1a-4043-b070-677dd42223fc', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575735429918449666', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-30 14:32:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 14:32:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["53"],"id":["1572140204302041089"]}', '115', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575763549937557506', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-30 16:24:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 16:24:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '122', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575763657152356353', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-30 16:25:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 16:25:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575739510061875201', 'GET', '{"id":["1575739510061875201"]}', '23', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575764010551828481', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-30 16:26:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 16:26:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '114', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575765979697864706', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-30 16:34:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 16:34:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '185', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575765993941721090', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-30 16:34:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 16:34:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575426595366707202', 'GET', '{"id":["1575426595366707202"]}', '32', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575766245906145282', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-30 16:35:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 16:35:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575426595366707202', 'GET', '{"id":["1575426595366707202"]}', '31', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575766519303462913', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-30 16:36:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 16:36:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '116', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575768366030348289', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-30 16:43:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 16:43:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '7', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575768457357123585', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-30 16:44:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 16:44:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575768465758314497', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-30 16:44:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 16:44:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["59"],"id":["1572140204302041089"]}', '118', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575678256853118978', '0', 'tofly-flow', 'lz', TO_DATE('2022-09-30 10:45:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 10:45:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '187', NULL, '### Error querying database.  Cause: java.sql.SQLSyntaxErrorException: ORA-00904: "LIST_LABE": 标识符无效

### The error may exist in URL [jar:file:/E:/中民燃气/workflow/workflow-1.0-SNAPSHOT.jar!/BOOT-INF/classes!/mapper/processconfig/TfProcessConfigStepLMapper.xml]
### The error may involve defaultParameterMap
### The error occurred while setting parameters
### SQL: SELECT ID,STEP_ORDER,STEP_NAME,LABEL,APP_LABE,LIST_LABE,EDITION,STEP_TYPE,HANDLE_MODEL,SEE_DEPT,NODE_NUMBER,COERCE_LEVEL,UPPER_STEP,NEXT_HANDLE_TYPE,NEXT_STEP,HANDLE_MODE,IS_APPOINT_USER,TIME_LIMIT,DAY_TYPE,TIME_REMIND,RETURN_TO_STEP,IS_EDIT,REMARK,1 as USER_TYPE         FROM TF_PROCESS_CONFIG_STEP_L WHERE CONFIG_ID = ? AND EDITION =? AND IS_DEL = 0         ORDER BY STEP_ORDER
### Cause: java.sql.SQLSyntaxErrorException: ORA-00904: "LIST_LABE": 标识符无效

; bad SQL grammar []; nested exception is java.sql.SQLSyntaxErrorException: ORA-00904: "LIST_LABE": 标识符无效', 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575678277707198465', '0', 'tofly-flow', 'lz', TO_DATE('2022-09-30 10:45:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 10:45:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '75', NULL, '### Error querying database.  Cause: java.sql.SQLSyntaxErrorException: ORA-00904: "LIST_LABE": 标识符无效

### The error may exist in URL [jar:file:/E:/中民燃气/workflow/workflow-1.0-SNAPSHOT.jar!/BOOT-INF/classes!/mapper/processconfig/TfProcessConfigStepLMapper.xml]
### The error may involve defaultParameterMap
### The error occurred while setting parameters
### SQL: SELECT ID,STEP_ORDER,STEP_NAME,LABEL,APP_LABE,LIST_LABE,EDITION,STEP_TYPE,HANDLE_MODEL,SEE_DEPT,NODE_NUMBER,COERCE_LEVEL,UPPER_STEP,NEXT_HANDLE_TYPE,NEXT_STEP,HANDLE_MODE,IS_APPOINT_USER,TIME_LIMIT,DAY_TYPE,TIME_REMIND,RETURN_TO_STEP,IS_EDIT,REMARK,1 as USER_TYPE         FROM TF_PROCESS_CONFIG_STEP_L WHERE CONFIG_ID = ? AND EDITION =? AND IS_DEL = 0         ORDER BY STEP_ORDER
### Cause: java.sql.SQLSyntaxErrorException: ORA-00904: "LIST_LABE": 标识符无效

; bad SQL grammar []; nested exception is java.sql.SQLSyntaxErrorException: ORA-00904: "LIST_LABE": 标识符无效', 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575678303950958593', '0', 'tofly-flow', 'lz', TO_DATE('2022-09-30 10:45:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 10:45:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '75', NULL, '### Error querying database.  Cause: java.sql.SQLSyntaxErrorException: ORA-00904: "LIST_LABE": 标识符无效

### The error may exist in URL [jar:file:/E:/中民燃气/workflow/workflow-1.0-SNAPSHOT.jar!/BOOT-INF/classes!/mapper/processconfig/TfProcessConfigStepLMapper.xml]
### The error may involve defaultParameterMap
### The error occurred while setting parameters
### SQL: SELECT ID,STEP_ORDER,STEP_NAME,LABEL,APP_LABE,LIST_LABE,EDITION,STEP_TYPE,HANDLE_MODEL,SEE_DEPT,NODE_NUMBER,COERCE_LEVEL,UPPER_STEP,NEXT_HANDLE_TYPE,NEXT_STEP,HANDLE_MODE,IS_APPOINT_USER,TIME_LIMIT,DAY_TYPE,TIME_REMIND,RETURN_TO_STEP,IS_EDIT,REMARK,1 as USER_TYPE         FROM TF_PROCESS_CONFIG_STEP_L WHERE CONFIG_ID = ? AND EDITION =? AND IS_DEL = 0         ORDER BY STEP_ORDER
### Cause: java.sql.SQLSyntaxErrorException: ORA-00904: "LIST_LABE": 标识符无效

; bad SQL grammar []; nested exception is java.sql.SQLSyntaxErrorException: ORA-00904: "LIST_LABE": 标识符无效', 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575678720218853377', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-30 10:47:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 10:47:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '21', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575678870853087234', '0', 'tofly-flow', 'lz', TO_DATE('2022-09-30 10:48:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 10:48:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '80', NULL, '### Error querying database.  Cause: java.sql.SQLSyntaxErrorException: ORA-00904: "LIST_LABE": 标识符无效

### The error may exist in URL [jar:file:/E:/中民燃气/workflow/workflow-1.0-SNAPSHOT.jar!/BOOT-INF/classes!/mapper/processconfig/TfProcessConfigStepLMapper.xml]
### The error may involve defaultParameterMap
### The error occurred while setting parameters
### SQL: SELECT ID,STEP_ORDER,STEP_NAME,LABEL,APP_LABE,LIST_LABE,EDITION,STEP_TYPE,HANDLE_MODEL,SEE_DEPT,NODE_NUMBER,COERCE_LEVEL,UPPER_STEP,NEXT_HANDLE_TYPE,NEXT_STEP,HANDLE_MODE,IS_APPOINT_USER,TIME_LIMIT,DAY_TYPE,TIME_REMIND,RETURN_TO_STEP,IS_EDIT,REMARK,1 as USER_TYPE         FROM TF_PROCESS_CONFIG_STEP_L WHERE CONFIG_ID = ? AND EDITION =? AND IS_DEL = 0         ORDER BY STEP_ORDER
### Cause: java.sql.SQLSyntaxErrorException: ORA-00904: "LIST_LABE": 标识符无效

; bad SQL grammar []; nested exception is java.sql.SQLSyntaxErrorException: ORA-00904: "LIST_LABE": 标识符无效', 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575678952138698754', '1', 'tofly-flow', 'tmx', TO_DATE('2022-09-30 10:48:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 10:48:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569152821327564802"],"label":["1571326768206962690"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575679011194499073', '0', 'tofly-flow', 'lz', TO_DATE('2022-09-30 10:48:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 10:48:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '81', NULL, '### Error querying database.  Cause: java.sql.SQLSyntaxErrorException: ORA-00904: "LIST_LABE": 标识符无效

### The error may exist in URL [jar:file:/E:/中民燃气/workflow/workflow-1.0-SNAPSHOT.jar!/BOOT-INF/classes!/mapper/processconfig/TfProcessConfigStepLMapper.xml]
### The error may involve defaultParameterMap
### The error occurred while setting parameters
### SQL: SELECT ID,STEP_ORDER,STEP_NAME,LABEL,APP_LABE,LIST_LABE,EDITION,STEP_TYPE,HANDLE_MODEL,SEE_DEPT,NODE_NUMBER,COERCE_LEVEL,UPPER_STEP,NEXT_HANDLE_TYPE,NEXT_STEP,HANDLE_MODE,IS_APPOINT_USER,TIME_LIMIT,DAY_TYPE,TIME_REMIND,RETURN_TO_STEP,IS_EDIT,REMARK,1 as USER_TYPE         FROM TF_PROCESS_CONFIG_STEP_L WHERE CONFIG_ID = ? AND EDITION =? AND IS_DEL = 0         ORDER BY STEP_ORDER
### Cause: java.sql.SQLSyntaxErrorException: ORA-00904: "LIST_LABE": 标识符无效

; bad SQL grammar []; nested exception is java.sql.SQLSyntaxErrorException: ORA-00904: "LIST_LABE": 标识符无效', 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575679028231761922', '1', 'tofly-flow', 'tmx', TO_DATE('2022-09-30 10:48:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 10:48:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569152821327564802"],"label":["1571326768206962690"],"isMould":["0"]}', '2', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575679374274424833', '1', 'tofly-flow', 'tmx', TO_DATE('2022-09-30 10:50:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 10:50:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '28', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575679374572220417', '1', 'tofly-flow', 'tmx', TO_DATE('2022-09-30 10:50:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 10:50:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '23', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575678529671622657', '0', 'tofly-flow', 'lz', TO_DATE('2022-09-30 10:46:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 10:46:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '84', NULL, '### Error querying database.  Cause: java.sql.SQLSyntaxErrorException: ORA-00904: "LIST_LABE": 标识符无效

### The error may exist in URL [jar:file:/E:/中民燃气/workflow/workflow-1.0-SNAPSHOT.jar!/BOOT-INF/classes!/mapper/processconfig/TfProcessConfigStepLMapper.xml]
### The error may involve defaultParameterMap
### The error occurred while setting parameters
### SQL: SELECT ID,STEP_ORDER,STEP_NAME,LABEL,APP_LABE,LIST_LABE,EDITION,STEP_TYPE,HANDLE_MODEL,SEE_DEPT,NODE_NUMBER,COERCE_LEVEL,UPPER_STEP,NEXT_HANDLE_TYPE,NEXT_STEP,HANDLE_MODE,IS_APPOINT_USER,TIME_LIMIT,DAY_TYPE,TIME_REMIND,RETURN_TO_STEP,IS_EDIT,REMARK,1 as USER_TYPE         FROM TF_PROCESS_CONFIG_STEP_L WHERE CONFIG_ID = ? AND EDITION =? AND IS_DEL = 0         ORDER BY STEP_ORDER
### Cause: java.sql.SQLSyntaxErrorException: ORA-00904: "LIST_LABE": 标识符无效

; bad SQL grammar []; nested exception is java.sql.SQLSyntaxErrorException: ORA-00904: "LIST_LABE": 标识符无效', 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575678539997999105', '0', 'tofly-flow', 'lz', TO_DATE('2022-09-30 10:46:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 10:46:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["53"],"id":["1572140204302041089"]}', '76', NULL, '### Error querying database.  Cause: java.sql.SQLSyntaxErrorException: ORA-00904: "LIST_LABE": 标识符无效

### The error may exist in URL [jar:file:/E:/中民燃气/workflow/workflow-1.0-SNAPSHOT.jar!/BOOT-INF/classes!/mapper/processconfig/TfProcessConfigStepLMapper.xml]
### The error may involve defaultParameterMap
### The error occurred while setting parameters
### SQL: SELECT ID,STEP_ORDER,STEP_NAME,LABEL,APP_LABE,LIST_LABE,EDITION,STEP_TYPE,HANDLE_MODEL,SEE_DEPT,NODE_NUMBER,COERCE_LEVEL,UPPER_STEP,NEXT_HANDLE_TYPE,NEXT_STEP,HANDLE_MODE,IS_APPOINT_USER,TIME_LIMIT,DAY_TYPE,TIME_REMIND,RETURN_TO_STEP,IS_EDIT,REMARK,1 as USER_TYPE         FROM TF_PROCESS_CONFIG_STEP_L WHERE CONFIG_ID = ? AND EDITION =? AND IS_DEL = 0         ORDER BY STEP_ORDER
### Cause: java.sql.SQLSyntaxErrorException: ORA-00904: "LIST_LABE": 标识符无效

; bad SQL grammar []; nested exception is java.sql.SQLSyntaxErrorException: ORA-00904: "LIST_LABE": 标识符无效', 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575678647992938498', '0', 'tofly-flow', 'lz', TO_DATE('2022-09-30 10:47:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 10:47:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '82', NULL, '### Error querying database.  Cause: java.sql.SQLSyntaxErrorException: ORA-00904: "LIST_LABE": 标识符无效

### The error may exist in URL [jar:file:/E:/中民燃气/workflow/workflow-1.0-SNAPSHOT.jar!/BOOT-INF/classes!/mapper/processconfig/TfProcessConfigStepLMapper.xml]
### The error may involve defaultParameterMap
### The error occurred while setting parameters
### SQL: SELECT ID,STEP_ORDER,STEP_NAME,LABEL,APP_LABE,LIST_LABE,EDITION,STEP_TYPE,HANDLE_MODEL,SEE_DEPT,NODE_NUMBER,COERCE_LEVEL,UPPER_STEP,NEXT_HANDLE_TYPE,NEXT_STEP,HANDLE_MODE,IS_APPOINT_USER,TIME_LIMIT,DAY_TYPE,TIME_REMIND,RETURN_TO_STEP,IS_EDIT,REMARK,1 as USER_TYPE         FROM TF_PROCESS_CONFIG_STEP_L WHERE CONFIG_ID = ? AND EDITION =? AND IS_DEL = 0         ORDER BY STEP_ORDER
### Cause: java.sql.SQLSyntaxErrorException: ORA-00904: "LIST_LABE": 标识符无效

; bad SQL grammar []; nested exception is java.sql.SQLSyntaxErrorException: ORA-00904: "LIST_LABE": 标识符无效', 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575679057608667137', '1', 'tofly-flow', 'tmx', TO_DATE('2022-09-30 10:48:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 10:48:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569152821327564802"],"label":["1571326768206962690"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575679094711480321', '0', 'tofly-flow', 'lz', TO_DATE('2022-09-30 10:49:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 10:49:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '79', NULL, '### Error querying database.  Cause: java.sql.SQLSyntaxErrorException: ORA-00904: "LIST_LABE": 标识符无效

### The error may exist in URL [jar:file:/E:/中民燃气/workflow/workflow-1.0-SNAPSHOT.jar!/BOOT-INF/classes!/mapper/processconfig/TfProcessConfigStepLMapper.xml]
### The error may involve defaultParameterMap
### The error occurred while setting parameters
### SQL: SELECT ID,STEP_ORDER,STEP_NAME,LABEL,APP_LABE,LIST_LABE,EDITION,STEP_TYPE,HANDLE_MODEL,SEE_DEPT,NODE_NUMBER,COERCE_LEVEL,UPPER_STEP,NEXT_HANDLE_TYPE,NEXT_STEP,HANDLE_MODE,IS_APPOINT_USER,TIME_LIMIT,DAY_TYPE,TIME_REMIND,RETURN_TO_STEP,IS_EDIT,REMARK,1 as USER_TYPE         FROM TF_PROCESS_CONFIG_STEP_L WHERE CONFIG_ID = ? AND EDITION =? AND IS_DEL = 0         ORDER BY STEP_ORDER
### Cause: java.sql.SQLSyntaxErrorException: ORA-00904: "LIST_LABE": 标识符无效

; bad SQL grammar []; nested exception is java.sql.SQLSyntaxErrorException: ORA-00904: "LIST_LABE": 标识符无效', 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575679095202213889', '1', 'tofly-flow', 'tmx', TO_DATE('2022-09-30 10:49:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 10:49:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569152821327564802"],"label":["1571326768206962690"],"isMould":["0"]}', '2', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575679116857405442', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-30 10:49:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 10:49:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '7', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575679154035716098', '1', 'tofly-flow', 'tmx', TO_DATE('2022-09-30 10:49:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 10:49:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '184', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575679154396426241', '1', 'tofly-flow', 'tmx', TO_DATE('2022-09-30 10:49:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 10:49:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '26', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575679162675982337', '0', 'tofly-flow', 'tmx', TO_DATE('2022-09-30 10:49:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 10:49:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"id":["1572140204302041089"]}', '83', NULL, '### Error querying database.  Cause: java.sql.SQLSyntaxErrorException: ORA-00904: "LIST_LABE": 标识符无效

### The error may exist in URL [jar:file:/E:/中民燃气/workflow/workflow-1.0-SNAPSHOT.jar!/BOOT-INF/classes!/mapper/processconfig/TfProcessConfigStepLMapper.xml]
### The error may involve defaultParameterMap
### The error occurred while setting parameters
### SQL: SELECT ID,STEP_ORDER,STEP_NAME,LABEL,APP_LABE,LIST_LABE,EDITION,STEP_TYPE,HANDLE_MODEL,SEE_DEPT,NODE_NUMBER,COERCE_LEVEL,UPPER_STEP,NEXT_HANDLE_TYPE,NEXT_STEP,HANDLE_MODE,IS_APPOINT_USER,TIME_LIMIT,DAY_TYPE,TIME_REMIND,RETURN_TO_STEP,IS_EDIT,REMARK,1 as USER_TYPE         FROM TF_PROCESS_CONFIG_STEP_L WHERE CONFIG_ID = ? AND EDITION =? AND IS_DEL = 0         ORDER BY STEP_ORDER
### Cause: java.sql.SQLSyntaxErrorException: ORA-00904: "LIST_LABE": 标识符无效

; bad SQL grammar []; nested exception is java.sql.SQLSyntaxErrorException: ORA-00904: "LIST_LABE": 标识符无效', 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575679187002945537', '1', 'tofly-flow', 'tmx', TO_DATE('2022-09-30 10:49:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 10:49:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '26', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575764794102341633', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-30 16:29:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 16:29:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '112', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575764852453498881', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-30 16:29:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 16:29:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '128', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575764975992528898', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-30 16:30:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 16:30:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '139', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575775353333886979', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-30 17:11:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 17:11:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["59"],"id":["1572140204302041089"]}', '513', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578587823937257474', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 11:27:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 11:27:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/saveTeamAll', 'POST', '{}', '29', NULL, NULL, 'content:新增施工班组相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578587824302161922', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 11:27:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 11:27:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '25', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578587850487201794', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 11:27:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 11:27:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/1578587823769485314', 'GET', '{"0":["1578587823769485314"]}', '13', NULL, NULL, 'content:通过id查询施工组织单位', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578620112029204481', '1', 'tofly-flow', 'llzm', TO_DATE('2022-10-08 13:35:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:35:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl', 'POST', '{}', '558', NULL, NULL, 'content:新增流程信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578620411829665794', '1', 'tofly-flow', 'llzm', TO_DATE('2022-10-08 13:36:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:36:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '602', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578620438882926593', '1', 'tofly-flow', 'llzm', TO_DATE('2022-10-08 13:36:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:36:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["64"],"id":["1572140204302041089"]}', '210', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578620439637901314', '1', 'tofly-flow', 'llzm', TO_DATE('2022-10-08 13:36:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:36:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1578620110460428289', 'GET', '{"id":["1578620110460428289"]}', '54', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578620570986725377', '1', 'tofly-flow', 'llzm', TO_DATE('2022-10-08 13:37:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:37:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["64"],"id":["1572140204302041089"]}', '159', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578620571506819073', '1', 'tofly-flow', 'llzm', TO_DATE('2022-10-08 13:37:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:37:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1578620110460428289', 'GET', '{"id":["1578620110460428289"]}', '36', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578620576766476289', '1', 'tofly-flow', 'llzm', TO_DATE('2022-10-08 13:37:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:37:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1578620110460428289', 'GET', '{"id":["1578620110460428289"]}', '25', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578620581631868930', '1', 'tofly-flow', 'lr', TO_DATE('2022-10-08 13:37:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:37:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571327917362372610"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578620590049837058', '1', 'tofly-flow', 'lr', TO_DATE('2022-10-08 13:37:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:37:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"id":["1572140204302041089"]}', '148', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578620632169037825', '1', 'tofly-flow', 'llzm', TO_DATE('2022-10-08 13:37:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:37:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["64"],"id":["1572140204302041089"]}', '146', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578620632781406209', '1', 'tofly-flow', 'llzm', TO_DATE('2022-10-08 13:37:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:37:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1578620110460428289', 'GET', '{"id":["1578620110460428289"]}', '28', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578620780831948801', '1', 'tofly-flow', 'lr', TO_DATE('2022-10-08 13:38:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:38:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '7', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578620942912438273', '1', 'tofly-flow', 'llzm', TO_DATE('2022-10-08 13:38:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:38:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578620983567826945', '1', 'tofly-flow', 'llzm', TO_DATE('2022-10-08 13:39:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:39:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["64"],"id":["1572140204302041089"]}', '143', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578620984033394690', '1', 'tofly-flow', 'llzm', TO_DATE('2022-10-08 13:39:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:39:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1578620110460428289', 'GET', '{"id":["1578620110460428289"]}', '27', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578620985417515010', '1', 'tofly-flow', 'yj', TO_DATE('2022-10-08 13:39:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:39:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575426230143492098', 'GET', '{}', '67', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578620987539832834', '1', 'tofly-flow', 'yj', TO_DATE('2022-10-08 13:39:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:39:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '161', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578620997228675074', '1', 'tofly-flow', 'yj', TO_DATE('2022-10-08 13:39:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:39:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"size":["1000"],"current":["1"]}', '175', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578621048424349698', '1', 'tofly-flow', 'lr', TO_DATE('2022-10-08 13:39:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:39:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571327917362372610"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578621056875872258', '1', 'tofly-flow', 'lr', TO_DATE('2022-10-08 13:39:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:39:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"id":["1572140204302041089"]}', '151', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578621125876367361', '1', 'tofly-flow', 'yj', TO_DATE('2022-10-08 13:39:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:39:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '140', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578621141672116226', '1', 'tofly-flow', 'yj', TO_DATE('2022-10-08 13:39:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:39:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '32', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578621141768585218', '1', 'tofly-flow', 'yj', TO_DATE('2022-10-08 13:39:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:39:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["1000"],"dataType":["1570692286170427394"]}', '53', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578621460829290497', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 13:41:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:41:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578621486099972098', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 13:41:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:41:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '136', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578621496808030209', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 13:41:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 13:41:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575426595366707202', 'GET', '{"id":["1575426595366707202"]}', '28', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578630510744731649', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 14:16:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:16:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"appLabe":["1572832711356719105"],"tenantId":["1569602913205559298"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578630552314478593', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 14:17:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:17:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578630586141540353', '2', 'tofly-auth', 'lr', TO_DATE('2022-10-08 14:17:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:17:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/682ec6ff-96c3-43af-b1be-6586afa31368', 'DELETE', '{}', '7', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578630682425982977', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 14:17:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:17:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["64"],"id":["1572140204302041089"]}', '197', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575671081854427138', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-30 10:17:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 10:17:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575672543741337601', '2', 'tofly-auth', 'fzr', TO_DATE('2022-09-30 10:23:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 10:23:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/5376acd9-8224-4a61-a2c6-3da308a2b8df', 'DELETE', '{}', '1', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575687109942456321', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-30 11:20:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:20:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessnodel', 'POST', '{}', '83', NULL, NULL, 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575687187239284738', '2', 'tofly-auth', 'jtadmin', TO_DATE('2022-09-30 11:21:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:21:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/214dd578-9ee9-4bac-b0cf-707875d4ad61', 'DELETE', '{}', '1', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575688545497604098', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-30 11:26:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:26:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575688545833148418', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-30 11:26:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:26:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575688563130458113', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-30 11:26:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:26:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"id":["1572140204302041089"]}', '122', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575688563742826498', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-30 11:26:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:26:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575688564069982209', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-30 11:26:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:26:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575688566750142465', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-30 11:26:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:26:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575688568855683073', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-30 11:26:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:26:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl', 'POST', '{}', '329', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575688570168500226', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-30 11:26:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:26:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575688583338614785', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-30 11:26:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:26:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575754834920431617', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-30 15:50:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 15:50:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl', 'POST', '{}', '82', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575754836266803202', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-30 15:50:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 15:50:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575767926823804930', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-30 16:42:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 16:42:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '119', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575767941927493634', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-30 16:42:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 16:42:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575426595366707202', 'GET', '{"id":["1575426595366707202"]}', '30', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575768474620878850', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-30 16:44:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 16:44:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575739510061875201', 'GET', '{"id":["1575739510061875201"]}', '22', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575768553746423810', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-30 16:44:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 16:44:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessnodel', 'POST', '{}', '126', NULL, NULL, 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575768598973603842', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-30 16:44:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 16:44:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["59"],"id":["1572140204302041089"]}', '129', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575768610684100610', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-30 16:44:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 16:44:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575739510061875201', 'GET', '{"id":["1575739510061875201"]}', '26', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575770103390756866', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-30 16:50:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 16:50:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575739510061875201', 'GET', '{"id":["1575739510061875201"]}', '26', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575770247444127746', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-30 16:51:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 16:51:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessnodel', 'POST', '{}', '115', NULL, NULL, 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575770269648773121', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-30 16:51:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 16:51:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["59"],"id":["1572140204302041089"]}', '130', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575770284593078274', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-30 16:51:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 16:51:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575739510061875201', 'GET', '{"id":["1575739510061875201"]}', '31', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575770468613971969', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-30 16:52:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 16:52:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '141', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575770477585588225', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-30 16:52:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 16:52:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575426595366707202', 'GET', '{"id":["1575426595366707202"]}', '25', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575771184879460353', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-30 16:55:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 16:55:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["59"],"id":["1572140204302041089"]}', '124', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575771331512328194', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-30 16:55:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 16:55:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575771331512328195', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-30 16:55:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 16:55:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '28', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575771344145571841', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-30 16:55:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 16:55:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '272', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575771344334315522', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-30 16:55:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 16:55:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575771356812369921', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-30 16:55:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 16:55:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '52', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575771356845924353', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-30 16:55:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 16:55:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '58', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575771494976937985', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-30 16:56:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 16:56:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '132', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578581983306022913', '1', 'tofly-flow', 'lr', TO_DATE('2022-10-08 11:04:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 11:04:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '123', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578582030550663169', '1', 'tofly-flow', 'lr', TO_DATE('2022-10-08 11:04:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 11:04:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["1000"],"dataType":["1570692286170427394"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578582030609383425', '1', 'tofly-flow', 'lr', TO_DATE('2022-10-08 11:04:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 11:04:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '23', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578582178139832321', '1', 'tofly-flow', 'lr', TO_DATE('2022-10-08 11:04:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 11:04:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575424433622429698', 'GET', '{"id":["1575424433622429698"]}', '28', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578582259366723586', '1', 'tofly-flow', 'lr', TO_DATE('2022-10-08 11:05:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 11:05:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '122', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575667687664246785', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-30 10:03:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 10:03:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1571326768206962690"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575667696338067458', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-30 10:03:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 10:03:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1"],"label":["1571326768206962690"],"isMould":["0"]}', '2', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575668024986951682', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-30 10:05:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 10:05:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '114', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575668033195204609', '1', 'tofly-flow', 'lz', TO_DATE('2022-09-30 10:05:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 10:05:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575426595366707202', 'GET', '{"id":["1575426595366707202"]}', '25', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575679270532509698', '0', 'tofly-flow', 'tmx', TO_DATE('2022-09-30 10:49:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 10:49:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"id":["1572140204302041089"]}', '79', NULL, '### Error querying database.  Cause: java.sql.SQLSyntaxErrorException: ORA-00904: "LIST_LABE": 标识符无效

### The error may exist in URL [jar:file:/E:/中民燃气/workflow/workflow-1.0-SNAPSHOT.jar!/BOOT-INF/classes!/mapper/processconfig/TfProcessConfigStepLMapper.xml]
### The error may involve defaultParameterMap
### The error occurred while setting parameters
### SQL: SELECT ID,STEP_ORDER,STEP_NAME,LABEL,APP_LABE,LIST_LABE,EDITION,STEP_TYPE,HANDLE_MODEL,SEE_DEPT,NODE_NUMBER,COERCE_LEVEL,UPPER_STEP,NEXT_HANDLE_TYPE,NEXT_STEP,HANDLE_MODE,IS_APPOINT_USER,TIME_LIMIT,DAY_TYPE,TIME_REMIND,RETURN_TO_STEP,IS_EDIT,REMARK,1 as USER_TYPE         FROM TF_PROCESS_CONFIG_STEP_L WHERE CONFIG_ID = ? AND EDITION =? AND IS_DEL = 0         ORDER BY STEP_ORDER
### Cause: java.sql.SQLSyntaxErrorException: ORA-00904: "LIST_LABE": 标识符无效

; bad SQL grammar []; nested exception is java.sql.SQLSyntaxErrorException: ORA-00904: "LIST_LABE": 标识符无效', 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575679270897414145', '0', 'tofly-flow', 'lz', TO_DATE('2022-09-30 10:49:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 10:49:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '70', NULL, '### Error querying database.  Cause: java.sql.SQLSyntaxErrorException: ORA-00904: "LIST_LABE": 标识符无效

### The error may exist in URL [jar:file:/E:/中民燃气/workflow/workflow-1.0-SNAPSHOT.jar!/BOOT-INF/classes!/mapper/processconfig/TfProcessConfigStepLMapper.xml]
### The error may involve defaultParameterMap
### The error occurred while setting parameters
### SQL: SELECT ID,STEP_ORDER,STEP_NAME,LABEL,APP_LABE,LIST_LABE,EDITION,STEP_TYPE,HANDLE_MODEL,SEE_DEPT,NODE_NUMBER,COERCE_LEVEL,UPPER_STEP,NEXT_HANDLE_TYPE,NEXT_STEP,HANDLE_MODE,IS_APPOINT_USER,TIME_LIMIT,DAY_TYPE,TIME_REMIND,RETURN_TO_STEP,IS_EDIT,REMARK,1 as USER_TYPE         FROM TF_PROCESS_CONFIG_STEP_L WHERE CONFIG_ID = ? AND EDITION =? AND IS_DEL = 0         ORDER BY STEP_ORDER
### Cause: java.sql.SQLSyntaxErrorException: ORA-00904: "LIST_LABE": 标识符无效

; bad SQL grammar []; nested exception is java.sql.SQLSyntaxErrorException: ORA-00904: "LIST_LABE": 标识符无效', 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575679315390590978', '0', 'tofly-flow', 'tmx', TO_DATE('2022-09-30 10:49:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 10:49:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"id":["1572140204302041089"]}', '74', NULL, '### Error querying database.  Cause: java.sql.SQLSyntaxErrorException: ORA-00904: "LIST_LABE": 标识符无效

### The error may exist in URL [jar:file:/E:/中民燃气/workflow/workflow-1.0-SNAPSHOT.jar!/BOOT-INF/classes!/mapper/processconfig/TfProcessConfigStepLMapper.xml]
### The error may involve defaultParameterMap
### The error occurred while setting parameters
### SQL: SELECT ID,STEP_ORDER,STEP_NAME,LABEL,APP_LABE,LIST_LABE,EDITION,STEP_TYPE,HANDLE_MODEL,SEE_DEPT,NODE_NUMBER,COERCE_LEVEL,UPPER_STEP,NEXT_HANDLE_TYPE,NEXT_STEP,HANDLE_MODE,IS_APPOINT_USER,TIME_LIMIT,DAY_TYPE,TIME_REMIND,RETURN_TO_STEP,IS_EDIT,REMARK,1 as USER_TYPE         FROM TF_PROCESS_CONFIG_STEP_L WHERE CONFIG_ID = ? AND EDITION =? AND IS_DEL = 0         ORDER BY STEP_ORDER
### Cause: java.sql.SQLSyntaxErrorException: ORA-00904: "LIST_LABE": 标识符无效

; bad SQL grammar []; nested exception is java.sql.SQLSyntaxErrorException: ORA-00904: "LIST_LABE": 标识符无效', 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575679407354900482', '0', 'tofly-flow', 'yj', TO_DATE('2022-09-30 10:50:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 10:50:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '73', NULL, '### Error querying database.  Cause: java.sql.SQLSyntaxErrorException: ORA-00904: "LIST_LABE": 标识符无效

### The error may exist in URL [jar:file:/E:/中民燃气/workflow/workflow-1.0-SNAPSHOT.jar!/BOOT-INF/classes!/mapper/processconfig/TfProcessConfigStepLMapper.xml]
### The error may involve defaultParameterMap
### The error occurred while setting parameters
### SQL: SELECT ID,STEP_ORDER,STEP_NAME,LABEL,APP_LABE,LIST_LABE,EDITION,STEP_TYPE,HANDLE_MODEL,SEE_DEPT,NODE_NUMBER,COERCE_LEVEL,UPPER_STEP,NEXT_HANDLE_TYPE,NEXT_STEP,HANDLE_MODE,IS_APPOINT_USER,TIME_LIMIT,DAY_TYPE,TIME_REMIND,RETURN_TO_STEP,IS_EDIT,REMARK,1 as USER_TYPE         FROM TF_PROCESS_CONFIG_STEP_L WHERE CONFIG_ID = ? AND EDITION =? AND IS_DEL = 0         ORDER BY STEP_ORDER
### Cause: java.sql.SQLSyntaxErrorException: ORA-00904: "LIST_LABE": 标识符无效

; bad SQL grammar []; nested exception is java.sql.SQLSyntaxErrorException: ORA-00904: "LIST_LABE": 标识符无效', 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575679427718246401', '0', 'tofly-flow', 'tmx', TO_DATE('2022-09-30 10:50:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 10:50:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"id":["1572140204302041089"]}', '94', NULL, '### Error querying database.  Cause: java.sql.SQLSyntaxErrorException: ORA-00904: "LIST_LABE": 标识符无效

### The error may exist in URL [jar:file:/E:/中民燃气/workflow/workflow-1.0-SNAPSHOT.jar!/BOOT-INF/classes!/mapper/processconfig/TfProcessConfigStepLMapper.xml]
### The error may involve defaultParameterMap
### The error occurred while setting parameters
### SQL: SELECT ID,STEP_ORDER,STEP_NAME,LABEL,APP_LABE,LIST_LABE,EDITION,STEP_TYPE,HANDLE_MODEL,SEE_DEPT,NODE_NUMBER,COERCE_LEVEL,UPPER_STEP,NEXT_HANDLE_TYPE,NEXT_STEP,HANDLE_MODE,IS_APPOINT_USER,TIME_LIMIT,DAY_TYPE,TIME_REMIND,RETURN_TO_STEP,IS_EDIT,REMARK,1 as USER_TYPE         FROM TF_PROCESS_CONFIG_STEP_L WHERE CONFIG_ID = ? AND EDITION =? AND IS_DEL = 0         ORDER BY STEP_ORDER
### Cause: java.sql.SQLSyntaxErrorException: ORA-00904: "LIST_LABE": 标识符无效

; bad SQL grammar []; nested exception is java.sql.SQLSyntaxErrorException: ORA-00904: "LIST_LABE": 标识符无效', 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575679169923739650', '0', 'tofly-flow', 'lz', TO_DATE('2022-09-30 10:49:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 10:49:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"id":["1572140204302041089"]}', '88', NULL, '### Error querying database.  Cause: java.sql.SQLSyntaxErrorException: ORA-00904: "LIST_LABE": 标识符无效

### The error may exist in URL [jar:file:/E:/中民燃气/workflow/workflow-1.0-SNAPSHOT.jar!/BOOT-INF/classes!/mapper/processconfig/TfProcessConfigStepLMapper.xml]
### The error may involve defaultParameterMap
### The error occurred while setting parameters
### SQL: SELECT ID,STEP_ORDER,STEP_NAME,LABEL,APP_LABE,LIST_LABE,EDITION,STEP_TYPE,HANDLE_MODEL,SEE_DEPT,NODE_NUMBER,COERCE_LEVEL,UPPER_STEP,NEXT_HANDLE_TYPE,NEXT_STEP,HANDLE_MODE,IS_APPOINT_USER,TIME_LIMIT,DAY_TYPE,TIME_REMIND,RETURN_TO_STEP,IS_EDIT,REMARK,1 as USER_TYPE         FROM TF_PROCESS_CONFIG_STEP_L WHERE CONFIG_ID = ? AND EDITION =? AND IS_DEL = 0         ORDER BY STEP_ORDER
### Cause: java.sql.SQLSyntaxErrorException: ORA-00904: "LIST_LABE": 标识符无效

; bad SQL grammar []; nested exception is java.sql.SQLSyntaxErrorException: ORA-00904: "LIST_LABE": 标识符无效', 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575679187288158210', '1', 'tofly-flow', 'tmx', TO_DATE('2022-09-30 10:49:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 10:49:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '19', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575683168970223618', '1', 'tofly-flow', 'tmx', TO_DATE('2022-09-30 11:05:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:05:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"id":["1572140204302041089"]}', '366', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575683170882826242', '1', 'tofly-flow', 'tmx', TO_DATE('2022-09-30 11:05:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:05:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '4', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575683176599662594', '1', 'tofly-flow', 'tmx', TO_DATE('2022-09-30 11:05:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:05:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '8', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575683714988912642', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-30 11:07:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:07:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '150', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575683715358011394', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-30 11:07:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:07:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '24', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575683718331772929', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-30 11:07:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:07:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '19', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575683718637957122', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-30 11:07:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:07:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575683726263201794', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-30 11:07:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:07:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"id":["1572140204302041089"]}', '164', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575683726842015746', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-30 11:07:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:07:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575683727085285377', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-30 11:07:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:07:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575683730394591233', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-30 11:07:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:07:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '10', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575683925085794305', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-30 11:08:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:08:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '8', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575684015150084098', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-30 11:08:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:08:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"id":["1572140204302041089"]}', '174', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575684029389746177', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-30 11:08:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:08:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '119', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575684948948955138', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-30 11:12:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:12:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '24', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575684949242556417', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-30 11:12:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:12:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '18', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575685084202676226', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-30 11:12:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:12:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl', 'POST', '{}', '501', NULL, NULL, 'content:新增流程信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575685340592091137', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-30 11:13:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:13:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '162', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575685366781325314', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-30 11:14:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:14:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575685082881576961', 'GET', '{"id":["1575685082881576961"]}', '47', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575685618871578626', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-30 11:15:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:15:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '144', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575685649334808578', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-30 11:15:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:15:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575685082881576961', 'GET', '{"id":["1575685082881576961"]}', '35', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575686050457071618', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-30 11:16:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:16:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575686054701707265', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-30 11:16:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:16:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575686058837291009', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-30 11:16:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:16:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '42', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575686058963120129', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-30 11:16:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:16:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"appLabe":["1572832711356719105"],"tenantId":["1569602913205559298"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575686059256721409', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-30 11:16:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:16:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575426595660308481', 'GET', '{}', '1', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575686142689816578', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-30 11:17:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:17:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"appLabe":["1572832711356719105"],"tenantId":["1569602913205559298"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575686189519220737', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-30 11:17:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:17:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575426595660308481', 'GET', '{}', '1', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575686295412813825', '1', 'tofly-flow', 'public', TO_DATE('2022-09-30 11:17:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:17:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575686310264844289', '1', 'tofly-flow', 'public', TO_DATE('2022-09-30 11:17:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:17:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575686324026355714', '1', 'tofly-flow', 'public', TO_DATE('2022-09-30 11:17:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:17:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '42', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575686324089270274', '1', 'tofly-flow', 'public', TO_DATE('2022-09-30 11:17:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:17:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"appLabe":["1572832711356719105"],"tenantId":["1569602913205559298"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578629578309091329', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 14:13:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:13:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"appLabe":["1572832711356719105"],"tenantId":["1569602913205559298"],"isMould":["0"]}', '32', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578629745011703809', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 14:13:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:13:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '187', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578630053779505153', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 14:15:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:15:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '600', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578630054878412801', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 14:15:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:15:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '113', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578630056103149569', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 14:15:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:15:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/1575750722598289409', 'GET', '{"0":["1575750722598289409"]}', '71', NULL, NULL, 'content:通过id查询施工组织单位', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578630056245755905', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 14:15:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:15:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '63', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578630060532334594', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 14:15:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:15:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '9', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578630064374317058', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 14:15:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:15:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"appLabe":["1572832711356719105"],"tenantId":["1569602913205559298"],"isMould":["0"]}', '42', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578630268804694017', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 14:16:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:16:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '12', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578630268871802882', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 14:16:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:16:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578630505921282049', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 14:16:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:16:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '23', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578630506701422594', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 14:16:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:16:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '8', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578630510497267713', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 14:16:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:16:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '58', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578630512082714625', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 14:16:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:16:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["56"],"id":["1572140204302041089"]}', '242', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578630513248731137', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 14:16:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:16:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575688978056167425', 'GET', '{}', '2', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578630552222203905', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 14:17:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:17:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578630552306089986', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 14:17:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:17:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '20', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578630693184372737', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 14:17:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:17:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1578595923222167553', 'GET', '{"id":["1578595923222167553"]}', '95', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578630703925985282', '1', 'tofly-flow', 'public', TO_DATE('2022-10-08 14:17:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:17:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578630707616972801', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 14:17:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:17:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578630711429595138', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 14:17:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:17:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578630714957004801', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 14:17:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:17:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '50', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578630715250606081', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 14:17:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:17:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"appLabe":["1572832711356719105"],"tenantId":["1569602913205559298"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578630716362096642', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 14:17:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:17:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["56"],"id":["1572140204302041089"]}', '182', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578630717213540353', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 14:17:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:17:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575688978056167425', 'GET', '{}', '3', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578630751321620482', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 14:17:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:17:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '142', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578630756849713154', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 14:17:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:17:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575426595366707202', 'GET', '{"id":["1575426595366707202"]}', '40', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578630770808356865', '1', 'tofly-flow', 'public', TO_DATE('2022-10-08 14:17:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:17:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571327917362372610"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578630974810914818', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 14:18:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:18:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/deleteByIds', 'DELETE', '{"ids":["1575750722598289409"]}', '22', NULL, NULL, 'content:通过id批量删除施工组织单位', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578630975125487617', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 14:18:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:18:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '22', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578631090095554561', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 14:19:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:19:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578631137310834689', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 14:19:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:19:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578631164225683458', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 14:19:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:19:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["59"],"id":["1572140204302041089"]}', '138', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578631171095953409', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 14:19:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:19:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575739510061875201', 'GET', '{"id":["1575739510061875201"]}', '26', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578631175453835265', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 14:19:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:19:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/1575750829594984450', 'GET', '{"0":["1575750829594984450"]}', '18', NULL, NULL, 'content:通过id查询施工组织单位', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578631186455494657', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 14:19:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:19:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/1575750829594984450', 'GET', '{"0":["1575750829594984450"]}', '19', NULL, NULL, 'content:通过id查询施工组织单位', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578631234371223554', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 14:19:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:19:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '11', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578631237458231298', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 14:19:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:19:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578631245741981698', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 14:19:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:19:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '41', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575775353333886978', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-30 17:11:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 17:11:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575739510061875201', 'GET', '{}', '405', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575775375752441858', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-30 17:11:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 17:11:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["1000"],"dataType":["1570692286170427394"]}', '195', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575775375878270978', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-30 17:11:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 17:11:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '241', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575775437605842945', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-30 17:11:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 17:11:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '202', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575775438272737281', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-30 17:11:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 17:11:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["1000"],"dataType":["1570692286170427394"]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575775438507618306', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-30 17:11:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 17:11:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '68', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575775446736842754', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-30 17:11:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 17:11:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '211', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575775454278201345', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-30 17:11:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 17:11:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '171', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575775460712263681', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-30 17:12:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 17:12:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["59"],"id":["1572140204302041089"]}', '205', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575775468152958978', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-30 17:12:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 17:12:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["59"],"id":["1572140204302041089"]}', '155', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575775471558733825', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-30 17:12:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 17:12:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["1000"],"dataType":["1570692286170427394"]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575775471684562946', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-30 17:12:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 17:12:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '39', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575776132597821441', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-30 17:14:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 17:14:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '158', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575776552024027138', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-30 17:16:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 17:16:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '156', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575776747747028994', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-30 17:17:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 17:17:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '163', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575776800423292930', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-30 17:17:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 17:17:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '141', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575778283420135426', '1', 'tofly-flow', 'public', TO_DATE('2022-09-30 17:23:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 17:23:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '25', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575778283759874050', '1', 'tofly-flow', 'public', TO_DATE('2022-09-30 17:23:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 17:23:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '20', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575778326868930562', '1', 'tofly-flow', 'public', TO_DATE('2022-09-30 17:23:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 17:23:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '26', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575780750870458369', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-30 17:33:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 17:33:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '14', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575783714825711618', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-30 17:44:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 17:44:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575783737416232962', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-30 17:44:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 17:44:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '49', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575783743699300353', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-30 17:44:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 17:44:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/1575750722598289409', 'GET', '{"0":["1575750722598289409"]}', '27', NULL, NULL, 'content:通过id查询施工组织单位', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575783755627900930', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-30 17:44:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 17:44:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/1575750829594984450', 'GET', '{"0":["1575750829594984450"]}', '15', NULL, NULL, 'content:通过id查询施工组织单位', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575783771075522561', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-30 17:45:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 17:45:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"nature":[""]}', '35', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575783773814403073', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-30 17:45:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 17:45:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["9999"]}', '10', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575783835785244674', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-30 17:45:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 17:45:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '26', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575784901075546114', '1', 'tofly-flow', 'lr', TO_DATE('2022-09-30 17:49:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 17:49:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '22', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578582272968851458', '1', 'tofly-flow', 'lr', TO_DATE('2022-10-08 11:05:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 11:05:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["1000"],"dataType":["1570692286170427394"]}', '9', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578582273119846401', '1', 'tofly-flow', 'lr', TO_DATE('2022-10-08 11:05:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 11:05:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578584620843761666', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 11:14:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 11:14:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["53"],"id":["1572140204302041089"]}', '112', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578584667287289857', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 11:14:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 11:14:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["53"],"id":["1572140204302041089"]}', '130', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578584918433824769', '2', 'tofly-auth', 'yj', TO_DATE('2022-10-08 11:15:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 11:15:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/d32b28f1-f14c-4510-8961-94ac82e0ed3f', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578585074998804481', '2', 'tofly-auth', 'yj', TO_DATE('2022-10-08 11:16:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 11:16:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/7ca4e293-d5bc-452e-b840-0b6f30b4fbe8', 'DELETE', '{}', '1', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578586844005236737', '1', 'tofly-flow', 'llzm', TO_DATE('2022-10-08 11:23:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 11:23:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578586939635367937', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 11:23:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 11:23:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '2', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578586947344498690', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 11:23:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 11:23:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578586952365080577', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 11:23:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 11:23:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '27', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575679897614512130', '0', 'tofly-flow', 'tmx', TO_DATE('2022-09-30 10:52:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 10:52:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"id":["1572140204302041089"]}', '45', NULL, '### Error querying database.  Cause: java.sql.SQLSyntaxErrorException: ORA-00904: "LIST_LABE": 标识符无效

### The error may exist in URL [jar:file:/E:/中民燃气/workflow/workflow-1.0-SNAPSHOT.jar!/BOOT-INF/classes!/mapper/processconfig/TfProcessConfigStepLMapper.xml]
### The error may involve defaultParameterMap
### The error occurred while setting parameters
### SQL: SELECT ID,STEP_ORDER,STEP_NAME,LABEL,APP_LABE,LIST_LABE,EDITION,STEP_TYPE,HANDLE_MODEL,SEE_DEPT,NODE_NUMBER,COERCE_LEVEL,UPPER_STEP,NEXT_HANDLE_TYPE,NEXT_STEP,HANDLE_MODE,IS_APPOINT_USER,TIME_LIMIT,DAY_TYPE,TIME_REMIND,RETURN_TO_STEP,IS_EDIT,REMARK,1 as USER_TYPE         FROM TF_PROCESS_CONFIG_STEP_L WHERE CONFIG_ID = ? AND EDITION =? AND IS_DEL = 0         ORDER BY STEP_ORDER
### Cause: java.sql.SQLSyntaxErrorException: ORA-00904: "LIST_LABE": 标识符无效

; bad SQL grammar []; nested exception is java.sql.SQLSyntaxErrorException: ORA-00904: "LIST_LABE": 标识符无效', 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575683171289673729', '1', 'tofly-flow', 'tmx', TO_DATE('2022-09-30 11:05:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:05:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575683245092646913', '1', 'tofly-flow', 'tmx', TO_DATE('2022-09-30 11:05:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:05:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569152821327564802"],"label":["1571326768206962690"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575683341771354114', '1', 'tofly-flow', 'tmx', TO_DATE('2022-09-30 11:05:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:05:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569152821327564802"],"label":["1571326768206962690"],"isMould":["0"]}', '2', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575683395357782017', '1', 'tofly-flow', 'tmx', TO_DATE('2022-09-30 11:06:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:06:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569152821327564802"],"label":["1571326768206962690"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575683466786779137', '2', 'tofly-auth', 'tmx', TO_DATE('2022-09-30 11:06:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:06:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/3e016826-593b-4fcb-ab05-ecf0281e904e', 'DELETE', '{}', '10', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575683817413816321', '2', 'tofly-auth', 'llzm', TO_DATE('2022-09-30 11:07:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:07:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/572ce79c-e2ce-4d8c-a529-ace0576261c4', 'DELETE', '{}', '1', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575685440139702273', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-30 11:14:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:14:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessnodel', 'POST', '{}', '144', NULL, NULL, 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575686776495288322', '1', 'tofly-flow', 'public', TO_DATE('2022-09-30 11:19:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:19:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575686815238074370', '1', 'tofly-flow', 'public', TO_DATE('2022-09-30 11:19:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:19:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["53"],"id":["1572140204302041089"]}', '129', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575686815733002242', '1', 'tofly-flow', 'public', TO_DATE('2022-09-30 11:19:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:19:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575424433622429698', 'GET', '{"id":["1575424433622429698"]}', '25', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575686825807720450', '1', 'tofly-flow', 'public', TO_DATE('2022-09-30 11:19:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:19:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575424433622429698', 'GET', '{"id":["1575424433622429698"]}', '27', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575686827183452161', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-30 11:19:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:19:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '36', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575686827527385090', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-30 11:19:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:19:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"appLabe":["1572832711356719105"],"tenantId":["1569602913205559298"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575686828945059841', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-30 11:19:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:19:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575424434742308865', 'GET', '{}', '1', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575687063754780674', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-30 11:20:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:20:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575687064019021826', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-30 11:20:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:20:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575687078703280129', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-30 11:20:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:20:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessnodel', 'POST', '{}', '95', NULL, NULL, 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575687082071306241', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-30 11:20:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:20:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"id":["1572140204302041089"]}', '135', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575687082603982850', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-30 11:20:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:20:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575687082813698050', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-30 11:20:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:20:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575687085535801345', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-09-30 11:20:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:20:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575687720717082625', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-30 11:23:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:23:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '287', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575687724567453698', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-30 11:23:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:23:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '40', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575687733065113602', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-30 11:23:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:23:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"id":["1572140204302041089"]}', '266', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575687733811699713', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-30 11:23:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:23:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575687734084329474', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-30 11:23:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:23:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '4', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575687737406218242', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-30 11:23:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:23:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '23', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575687767764590594', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-30 11:23:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:23:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '19', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575687782239133698', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-30 11:23:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:23:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575687796940169218', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-30 11:23:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:23:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575424434742308865', 'GET', '{}', '13', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575687872030793729', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-30 11:23:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:23:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575424433622429698', 'GET', '{}', '85', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575687873515577345', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-30 11:23:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:23:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["53"],"id":["1572140204302041089"]}', '214', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575688098921668609', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-30 11:24:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:24:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575424433622429698', 'GET', '{}', '25', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575686920884203522', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-30 11:20:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:20:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessnodel', 'POST', '{}', '6', NULL, NULL, 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575687136572092417', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-30 11:21:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:21:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessnodel', 'POST', '{}', '88', NULL, NULL, 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575687161398177794', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-30 11:21:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:21:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessnodel', 'POST', '{}', '73', NULL, NULL, 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575687198635208705', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-30 11:21:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:21:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessnodel', 'POST', '{}', '79', NULL, NULL, 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575687724131246081', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-09-30 11:23:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:23:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '186', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575687960694185985', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-30 11:24:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:24:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '638', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575688027098406914', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-30 11:24:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:24:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '140', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575688042176929794', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-30 11:24:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:24:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '146', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575688316031426562', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-30 11:25:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:25:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '134', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575688395953889282', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-30 11:26:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:26:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '136', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575688597905432577', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-30 11:26:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:26:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575688637327695874', '2', 'tofly-auth', 'mzadmin', TO_DATE('2022-09-30 11:27:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:27:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/54a1ca13-56ba-4199-b5dc-2f8eae9dda74', 'DELETE', '{}', '1', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575688688661782529', '1', 'tofly-flow', 'public', TO_DATE('2022-09-30 11:27:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:27:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575688695016153089', '1', 'tofly-flow', 'public', TO_DATE('2022-09-30 11:27:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:27:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"id":["1572140204302041089"]}', '143', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575688696802926593', '1', 'tofly-flow', 'public', TO_DATE('2022-09-30 11:27:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:27:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '51', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575688810716028930', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-30 11:27:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:27:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '43', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575688810850246658', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-30 11:27:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:27:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"appLabe":["1572832711356719105"],"tenantId":["1569602913205559298"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575688812158869506', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-30 11:27:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:27:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575424434742308865', 'GET', '{}', '2', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575688978131673089', '1', 'tofly-flow', 'public', TO_DATE('2022-09-30 11:28:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:28:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl', 'POST', '{}', '363', NULL, NULL, 'content:新增流程信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575689004203466753', '1', 'tofly-flow', 'public', TO_DATE('2022-09-30 11:28:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:28:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["56"],"id":["1572140204302041089"]}', '142', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575689004685811714', '1', 'tofly-flow', 'public', TO_DATE('2022-09-30 11:28:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:28:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575688977028562946', 'GET', '{"id":["1575688977028562946"]}', '20', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575689136131104769', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-30 11:28:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:28:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '150', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575689138765127681', '1', 'tofly-flow', 'public', TO_DATE('2022-09-30 11:29:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:29:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessnodel', 'POST', '{}', '24', NULL, NULL, 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575689149917782017', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-09-30 11:29:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:29:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '132', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575689155626229761', '1', 'tofly-flow', 'public', TO_DATE('2022-09-30 11:29:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:29:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["56"],"id":["1572140204302041089"]}', '140', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575689156003717122', '1', 'tofly-flow', 'public', TO_DATE('2022-09-30 11:29:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:29:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575688977028562946', 'GET', '{"id":["1575688977028562946"]}', '15', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575689209330098177', '2', 'tofly-auth', 'public', TO_DATE('2022-09-30 11:29:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:29:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/0fc6d520-edac-4d3f-9689-32091ccf0f21', 'DELETE', '{}', '1', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575690415842615298', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-30 11:34:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:34:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["53"],"id":["1572140204302041089"]}', '126', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575690451011854337', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-30 11:34:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:34:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["53"],"id":["1572140204302041089"]}', '140', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575690560151838721', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-30 11:34:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:34:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"appLabe":["1572832711356719105"],"tenantId":["1569602913205559298"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575690628279918593', '1', 'tofly-flow', 'yck', TO_DATE('2022-09-30 11:34:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:34:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"appLabe":["1572832711356719105"],"tenantId":["1569602913205559298"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575727121014808577', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-30 13:59:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 13:59:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"id":["1572140204302041089"]}', '112', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575727122101133313', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-30 13:59:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 13:59:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575727122575089665', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-30 13:59:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 13:59:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '1', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575727125221695490', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-30 13:59:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 13:59:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575730057296044034', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-30 14:11:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 14:11:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575730751847620610', '1', 'tofly-flow', 'yj', TO_DATE('2022-09-30 14:14:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 14:14:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["53"],"id":["1572140204302041089"]}', '115', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575683146316787713', '1', 'tofly-flow', 'tmx', TO_DATE('2022-09-30 11:05:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:05:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"id":["1572140204302041089"]}', '539', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575683149139554306', '1', 'tofly-flow', 'tmx', TO_DATE('2022-09-30 11:05:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:05:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '5', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575683149466710018', '1', 'tofly-flow', 'tmx', TO_DATE('2022-09-30 11:05:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:05:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575683155011579906', '1', 'tofly-flow', 'tmx', TO_DATE('2022-09-30 11:05:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:05:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '55', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575683490459430913', '1', 'tofly-flow', 'tmx', TO_DATE('2022-09-30 11:06:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:06:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569152821327564802"],"label":["1571326768206962690"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575683515990159361', '2', 'tofly-auth', 'tmx', TO_DATE('2022-09-30 11:06:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:06:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/4002ccd1-2945-446f-83f3-c9abcc28a3b8', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1575683662786605057', '1', 'tofly-flow', 'llzm', TO_DATE('2022-09-30 11:07:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-09-30 11:07:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '20', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578631245939113985', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 14:19:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:19:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"appLabe":["1572832711356719105"],"tenantId":["1569602913205559298"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578631246824112129', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 14:19:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:19:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["56"],"id":["1572140204302041089"]}', '147', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578631247868493826', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 14:19:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:19:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575688978056167425', 'GET', '{}', '1', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578631255292411905', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 14:19:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:19:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '141', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578631284207943681', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 14:20:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:20:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575426595366707202', 'GET', '{"id":["1575426595366707202"]}', '27', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578631385307447298', '2', 'tofly-auth', 'jtadmin', TO_DATE('2022-10-08 14:20:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:20:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/0296b127-ecac-47fc-b4b0-72bc4afc2ea8', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578631765948923906', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 14:21:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:21:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"appLabe":["1572832711356719105"],"tenantId":["1569602913205559298"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578631766750035969', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 14:21:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:21:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["56"],"id":["1572140204302041089"]}', '131', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578631835133968386', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-10-08 14:22:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:22:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '30', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578632174528659458', '1', 'tofly-flow', 'yj', TO_DATE('2022-10-08 14:23:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:23:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578632401339842561', '1', 'tofly-flow', 'mzadmin', TO_DATE('2022-10-08 14:24:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:24:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '19', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578632437259862018', '2', 'tofly-auth', 'mzadmin', TO_DATE('2022-10-08 14:24:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:24:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/ff403fe8-f683-4bff-b7d1-365f0b963b99', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578632448823558145', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 14:24:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:24:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578632454435536898', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 14:24:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:24:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578632464564781057', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 14:24:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:24:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '37', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578632464724164609', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 14:24:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:24:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"appLabe":["1572832711356719105"],"tenantId":["1569602913205559298"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578632465634328577', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 14:24:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:24:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["56"],"id":["1572140204302041089"]}', '148', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578632465986650114', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 14:24:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:24:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575688978056167425', 'GET', '{}', '1', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578632515466854402', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 14:24:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:24:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575426595366707202', 'GET', '{"id":["1575426595366707202"]}', '25', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578632778227417089', '1', 'tofly-flow', 'yj', TO_DATE('2022-10-08 14:25:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:25:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '144', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578632785655529474', '1', 'tofly-flow', 'yj', TO_DATE('2022-10-08 14:26:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:26:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["1000"],"dataType":["1570692286170427394"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578632815971958786', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 14:26:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:26:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '2', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578632820665384962', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 14:26:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:26:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578632827611152386', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 14:26:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:26:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '35', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578632827837644801', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 14:26:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:26:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"appLabe":["1572832711356719105"],"tenantId":["1569602913205559298"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578632828647145473', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 14:26:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:26:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["56"],"id":["1572140204302041089"]}', '125', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578632829557309442', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 14:26:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:26:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575688978056167425', 'GET', '{}', '1', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578632831256002561', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 14:26:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:26:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575426595366707202', 'GET', '{"id":["1575426595366707202"]}', '37', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578632886360768513', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 14:26:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:26:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["59"],"id":["1572140204302041089"]}', '140', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578632943004844034', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 14:26:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:26:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575739510061875201', 'GET', '{"id":["1575739510061875201"]}', '30', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578632983295328258', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 14:26:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:26:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/saveTeamAll', 'POST', '{}', '9', NULL, NULL, 'content:新增施工班组相关信息', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578632983605706753', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 14:26:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 14:26:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '19', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578667392547479554', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 16:43:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:43:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '145', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578667225354133506', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 16:42:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:42:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '129', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578667241829359617', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 16:42:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:42:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575426595366707202', 'GET', '{"id":["1575426595366707202"]}', '20', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578667241871302658', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 16:42:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:42:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '34', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578667402563477506', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 16:43:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:43:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '32', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578667493017837569', '1', 'tofly-flow', 'lr', TO_DATE('2022-10-08 16:43:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:43:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl', 'POST', '{}', '256', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578667494750085122', '1', 'tofly-flow', 'lr', TO_DATE('2022-10-08 16:43:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:43:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '18', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578667525079097346', '2', 'tofly-auth', 'lr', TO_DATE('2022-10-08 16:44:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:44:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/848fa638-75e6-4215-873f-be17c441f698', 'DELETE', '{}', '12', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578667648785899522', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 16:44:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:44:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessnodel', 'POST', '{}', '67', NULL, NULL, 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578667702418464770', '1', 'tofly-flow', 'lr', TO_DATE('2022-10-08 16:44:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:44:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '21', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578667702510739457', '1', 'tofly-flow', 'lr', TO_DATE('2022-10-08 16:44:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:44:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["1000"],"dataType":["1570692286170427394"]}', '31', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578667766956220417', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 16:45:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:45:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '117', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578667773675495426', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 16:45:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:45:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575426595366707202', 'GET', '{"id":["1575426595366707202"]}', '21', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578667773734215681', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 16:45:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:45:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '32', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578668126265466881', '1', 'tofly-flow', 'llzm', TO_DATE('2022-10-08 16:46:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:46:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1578620110460428289', 'GET', '{}', '32', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578668127293071361', '1', 'tofly-flow', 'llzm', TO_DATE('2022-10-08 16:46:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:46:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["64"],"id":["1572140204302041089"]}', '129', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578668159736012801', '1', 'tofly-flow', 'llzm', TO_DATE('2022-10-08 16:46:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:46:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '130', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578668528897679362', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 16:48:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:48:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578668536887828482', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 16:48:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:48:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '7', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578668543997173761', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 16:48:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:48:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '30', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578668547042238465', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 16:48:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:48:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["56"],"id":["1572140204302041089"]}', '128', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578668547885293570', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 16:48:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:48:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575688977028562946', 'GET', '{}', '24', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578668591401197570', '1', 'tofly-flow', 'lr', TO_DATE('2022-10-08 16:48:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:48:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"id":["1572140204302041089"]}', '140', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578668611009568769', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 16:48:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:48:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '143', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578668615031906305', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 16:48:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:48:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575426595366707202', 'GET', '{"id":["1575426595366707202"]}', '19', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578668627145056257', '1', 'tofly-flow', 'lr', TO_DATE('2022-10-08 16:48:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:48:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["1000"],"dataType":["1570692286170427394"]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578668627195387905', '1', 'tofly-flow', 'lr', TO_DATE('2022-10-08 16:48:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:48:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '23', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578668993702060034', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 16:49:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:49:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '19', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578668994016632834', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 16:49:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:49:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578669028367982594', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 16:50:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:50:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"id":["1572140204302041089"]}', '124', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578669029370421249', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 16:50:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:50:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578669029609496577', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 16:50:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:50:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578669032360960002', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 16:50:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:50:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578669230386634753', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 16:50:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:50:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578669234123759618', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 16:50:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:50:50', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/tfprocessnodel/1575688977028562946', 'GET', '{}', '2', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578670085387116545', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 16:54:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:54:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1572795661505011713"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578670096124534785', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 16:54:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:54:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"id":["1572140204302041089"]}', '141', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578670127841861633', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 16:54:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:54:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["53"],"id":["1572140204302041089"]}', '139', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578670181784805378', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 16:54:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:54:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"id":["1572140204302041089"]}', '138', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578670542704664578', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 16:56:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:56:02', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/tfprocessl/1575688977028562946', 'GET', '{}', '29', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578670583460716546', '2', 'tofly-auth', 'jtadmin', TO_DATE('2022-10-08 16:56:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:56:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/37d3f490-0e5a-4bcc-9bf4-f8f0f8504b0f', 'DELETE', '{}', '0', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578667597200154626', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 16:44:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:44:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575426595366707202', 'GET', '{"id":["1575426595366707202"]}', '19', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578667774631796737', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 16:45:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:45:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575426595366707202', 'GET', '{"id":["1575426595366707202"]}', '18', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578668545830084609', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 16:48:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:48:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"appLabe":["1572832711356719105"],"tenantId":["1569602913205559298"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578668724520017922', '1', 'tofly-flow', 'admin', TO_DATE('2022-10-08 16:48:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:48:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["10000"],"current":["1"]}', '19', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578668724612292610', '1', 'tofly-flow', 'admin', TO_DATE('2022-10-08 16:48:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:48:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["30"],"current":["1"]}', '43', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578662529407229953', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 16:24:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:24:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575426595366707202', 'GET', '{"id":["1575426595366707202"]}', '389', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578662552530427906', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 16:24:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:24:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '284', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578662561988583426', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 16:24:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:24:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575426595366707202', 'GET', '{"id":["1575426595366707202"]}', '34', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578662562135384065', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 16:24:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:24:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '78', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578662564618412033', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 16:24:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:24:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575426595366707202', 'GET', '{"id":["1575426595366707202"]}', '41', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578671340238987266', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 16:59:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:59:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1572795661505011713"],"isMould":["0"]}', '24', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578671357829898242', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 16:59:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:59:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1572795661505011713"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578671370454753281', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 16:59:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:59:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"id":["1572140204302041089"]}', '164', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578671433574834178', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 16:59:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:59:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"id":["1572140204302041089"]}', '171', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578671453271285761', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 16:59:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:59:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '140', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578671745039654913', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 17:00:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 17:00:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"id":["1572140204302041089"]}', '148', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578662529407229954', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 16:24:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:24:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '355', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578667403943403522', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 16:43:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:43:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575426595366707202', 'GET', '{"id":["1575426595366707202"]}', '20', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578666639229509633', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 16:40:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:40:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '152', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578666664537939969', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 16:40:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:40:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '145', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578667259848089601', '1', 'tofly-flow', 'lr', TO_DATE('2022-10-08 16:42:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:42:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578667260041027585', '1', 'tofly-flow', 'lr', TO_DATE('2022-10-08 16:42:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:42:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578667272074485762', '1', 'tofly-flow', 'lr', TO_DATE('2022-10-08 16:43:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:43:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"id":["1572140204302041089"]}', '158', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578667272942706689', '1', 'tofly-flow', 'lr', TO_DATE('2022-10-08 16:43:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:43:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '4', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578667273236307970', '1', 'tofly-flow', 'lr', TO_DATE('2022-10-08 16:43:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:43:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578667276113600514', '1', 'tofly-flow', 'lr', TO_DATE('2022-10-08 16:43:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:43:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578653943591370753', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 15:50:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:50:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["56"],"id":["1572140204302041089"]}', '138', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578653944430231553', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 15:50:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:50:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575688978056167425', 'GET', '{}', '2', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578653974364979201', '0', 'tofly-flow', 'llzm', TO_DATE('2022-10-08 15:50:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:50:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1578620110460428289', 'GET', '{"id":["1578620110460428289"]}', '77', NULL, 'nested exception is org.apache.ibatis.reflection.ReflectionException: Could not set property ''HANDLE_REMARK'' of ''class com.tofly.workflow.process.entity.vo.ProcessNodeVo'' with value ''123123'' Cause: org.apache.ibatis.reflection.ReflectionException: There is no setter for property named ''HANDLE_REMARK'' in ''class com.tofly.workflow.process.entity.vo.ProcessNodeVo''', 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578654067424002049', '0', 'tofly-flow', 'yck', TO_DATE('2022-10-08 15:50:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:50:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessnodel', 'POST', '{"dto":["{\"handleState\":1,\"map\":{\"tfRegisterItemWService\":\"{\\\"addre\\\":\\\"四川省成都市青羊区光华东三路489-3栋附111号靠近鹏瑞利青羊广场\\\",\\\"contacts\\\":\\\"1\\\",\\\"householdNumber\\\":1,\\\"latitude\\\":30.671028,\\\"longitude\\\":103.961084,\\\"projectName\\\":\\\"yck\\\",\\\"region\\\":510683001001,\\\"regionName\\\":\\\"四川省/德阳市/绵竹市/剑南镇/大东街社区\\\",\\\"telephone\\\":\\\"1\\\",\\\"userType\\\":1574610029662175234}\",\"tfSurveyWService\":\"{\\\"content\\\":\\\"内容\\\",\\\"designUnit\\\":1568081538522832897,\\\"isTally\\\":1572840876026634242,\\\"range\\\":\\\"1572842090432831489,1572842167981318146\\\",\\\"remark\\\":\\\"备注\\\",\\\"surveyDate\\\":\\\"2022-10-08 15:50:33\\\",\\\"surveyUser\\\":1571808470779846657}\"},\"processId\":1575688977028562946,\"processStep\":3,\"saveState\":0,\"stepNode\":1}"]}', '84', NULL, 'short overflow : 1572840876026634242', 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578654080942243842', '0', 'tofly-flow', 'yck', TO_DATE('2022-10-08 15:50:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:50:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessnodel', 'POST', '{"dto":["{\"handleState\":1,\"map\":{\"tfRegisterItemWService\":\"{\\\"addre\\\":\\\"四川省成都市青羊区光华东三路489-3栋附111号靠近鹏瑞利青羊广场\\\",\\\"contacts\\\":\\\"1\\\",\\\"householdNumber\\\":1,\\\"latitude\\\":30.671028,\\\"longitude\\\":103.961084,\\\"projectName\\\":\\\"yck\\\",\\\"region\\\":510683001001,\\\"regionName\\\":\\\"四川省/德阳市/绵竹市/剑南镇/大东街社区\\\",\\\"telephone\\\":\\\"1\\\",\\\"userType\\\":1574610029662175234}\",\"tfSurveyWService\":\"{\\\"content\\\":\\\"内容\\\",\\\"designUnit\\\":1568081538522832897,\\\"isTally\\\":1572840876026634242,\\\"range\\\":\\\"1572842090432831489,1572842167981318146\\\",\\\"remark\\\":\\\"备注\\\",\\\"surveyDate\\\":\\\"2022-10-08 15:50:36\\\",\\\"surveyUser\\\":1571808470779846657}\"},\"processId\":1575688977028562946,\"processStep\":3,\"saveState\":0,\"stepNode\":1}"]}', '69', NULL, 'short overflow : 1572840876026634242', 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578654089318268929', '2', 'tofly-auth', 'jtadmin', TO_DATE('2022-10-08 15:50:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:50:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/68bd11d7-bc15-4d0f-bc9c-ccf01ae6fd3b', 'DELETE', '{}', '1', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578654099397181441', '0', 'tofly-flow', 'yck', TO_DATE('2022-10-08 15:50:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:50:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessnodel', 'POST', '{"dto":["{\"handleState\":1,\"map\":{\"tfRegisterItemWService\":\"{\\\"addre\\\":\\\"四川省成都市青羊区光华东三路489-3栋附111号靠近鹏瑞利青羊广场\\\",\\\"contacts\\\":\\\"1\\\",\\\"householdNumber\\\":1,\\\"latitude\\\":30.671028,\\\"longitude\\\":103.961084,\\\"projectName\\\":\\\"yck\\\",\\\"region\\\":510683001001,\\\"regionName\\\":\\\"四川省/德阳市/绵竹市/剑南镇/大东街社区\\\",\\\"telephone\\\":\\\"1\\\",\\\"userType\\\":1574610029662175234}\",\"tfSurveyWService\":\"{\\\"content\\\":\\\"内容\\\",\\\"designUnit\\\":1568081538522832897,\\\"isTally\\\":1572840876026634242,\\\"range\\\":\\\"1572842090432831489,1572842167981318146\\\",\\\"remark\\\":\\\"备注\\\",\\\"surveyDate\\\":\\\"2022-10-08 15:50:41\\\",\\\"surveyUser\\\":1571808470779846657}\"},\"processId\":1575688977028562946,\"processStep\":3,\"saveState\":0,\"stepNode\":1}"]}', '62', NULL, 'short overflow : 1572840876026634242', 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578654195245416449', '0', 'tofly-flow', 'llzm', TO_DATE('2022-10-08 15:51:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:51:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1578620110460428289', 'GET', '{"id":["1578620110460428289"]}', '72', NULL, 'nested exception is org.apache.ibatis.reflection.ReflectionException: Could not set property ''HANDLE_REMARK'' of ''class com.tofly.workflow.process.entity.vo.ProcessNodeVo'' with value ''123123'' Cause: org.apache.ibatis.reflection.ReflectionException: There is no setter for property named ''HANDLE_REMARK'' in ''class com.tofly.workflow.process.entity.vo.ProcessNodeVo''', 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578654201025167362', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 15:51:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:51:06', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578654219786289154', '2', 'tofly-auth', 'jtadmin', TO_DATE('2022-10-08 15:51:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:51:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/ecb90585-57a6-4c57-b510-ac3ef020cb2b', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578654593368752130', '2', 'tofly-auth', 'jtadmin', TO_DATE('2022-10-08 15:52:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:52:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/3288953d-8e61-48a6-8aa6-b5a202d24a58', 'DELETE', '{}', '3', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578654604986974209', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 15:52:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:52:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["64"],"id":["1572140204302041089"]}', '146', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578654618891091970', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 15:52:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:52:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessnodel', 'POST', '{}', '143', NULL, NULL, 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578654801267818497', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 15:53:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:53:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessnodel', 'POST', '{}', '68', NULL, NULL, 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578654898286264321', '1', 'tofly-flow', 'public', TO_DATE('2022-10-08 15:53:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:53:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl', 'POST', '{}', '294', NULL, NULL, 'content:新增审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578654900060454914', '1', 'tofly-flow', 'public', TO_DATE('2022-10-08 15:53:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:53:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '13', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578655084110708738', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 15:54:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:54:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578655090368610306', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 15:54:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:54:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578655094952984577', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 15:54:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:54:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '43', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578655096269996033', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 15:54:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:54:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"appLabe":["1572832711356719105"],"tenantId":["1569602913205559298"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578655097100468226', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 15:54:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:54:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["56"],"id":["1572140204302041089"]}', '127', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578648132408406018', '1', 'tofly-flow', 'yj', TO_DATE('2022-10-08 15:26:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:26:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '23', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578648248993280001', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 15:27:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:27:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578648255897104386', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 15:27:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:27:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '24', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578648803518017538', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 15:29:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:29:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["9999"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578648879732715522', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 15:29:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:29:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["9999"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578648890088452098', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 15:29:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:29:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp', 'POST', '{}', '9', NULL, NULL, 'content:新增工程工序/工程管控', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578648890411413505', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 15:30:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:30:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"nature":[""]}', '25', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578648922007105538', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 15:30:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:30:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["9999"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578648938843041793', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 15:30:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:30:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp', 'POST', '{}', '9', NULL, NULL, 'content:新增工程工序/工程管控', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578648939153420290', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 15:30:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:30:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"nature":[""]}', '23', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578648997072564225', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 15:30:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:30:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["9999"]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578650728426729474', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 15:37:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:37:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["9999"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578650741068361729', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 15:37:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:37:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["9999"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578650782696828930', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 15:37:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:37:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/removeByNatureAndTenantId', 'POST', '{"tenantId":["1"],"nature":["1574963975367024642"]}', '18', NULL, NULL, 'content:通过tenantId和nature删除工程工序/工程管控', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578650791219654657', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 15:37:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:37:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"nature":[""]}', '27', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578650861608464386', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 15:37:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:37:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["9999"]}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578650901299163137', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 15:37:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:37:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp', 'POST', '{}', '16', NULL, NULL, 'content:新增工程工序/工程管控', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578650909859737601', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 15:38:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:38:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"nature":[""]}', '21', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578651145135026178', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 15:38:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:38:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["9999"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578654271573360642', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 15:51:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:51:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '20', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578654271925682177', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 15:51:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:51:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["1"],"content":[""]}', '24', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578654273741815810', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 15:51:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:51:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '19', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578654273943142402', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 15:51:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:51:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '11', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578654279542538241', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 15:51:24', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:51:24', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"id":["1572140204302041089"]}', '137', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578654280121352194', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 15:51:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:51:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578654280360427521', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 15:51:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:51:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578654283086725121', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 15:51:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:51:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578654384081371138', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 15:51:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:51:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1578643097498791937', 'GET', '{"id":["1578643097498791937"]}', '27', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578651455026982913', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 15:40:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:40:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp', 'POST', '{}', '8', NULL, NULL, 'content:新增工程工序/工程管控', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578651455362527233', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 15:40:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:40:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"nature":[""]}', '26', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578651512426033153', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 15:40:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:40:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"nature":["1574963902897840129"]}', '27', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578651515114582018', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 15:40:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:40:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"nature":["1574963902897840129"]}', '25', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578651518029623297', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 15:40:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:40:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"nature":["1574963902897840129"]}', '31', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578651519011090433', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 15:40:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:40:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"nature":["1574963902897840129"]}', '32', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578651587692818434', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 15:40:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:40:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["9999"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578654648813256706', '1', 'tofly-flow', 'public', TO_DATE('2022-10-08 15:52:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:52:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578654668102860802', '1', 'tofly-flow', 'public', TO_DATE('2022-10-08 15:52:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:52:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"id":["1572140204302041089"]}', '134', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578654668643926018', '1', 'tofly-flow', 'public', TO_DATE('2022-10-08 15:52:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:52:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '44', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578654702642954241', '1', 'tofly-flow', 'public', TO_DATE('2022-10-08 15:53:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:53:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578654702928166913', '1', 'tofly-flow', 'public', TO_DATE('2022-10-08 15:53:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:53:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '18', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578654708078772225', '1', 'tofly-flow', 'public', TO_DATE('2022-10-08 15:53:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:53:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"id":["1572140204302041089"]}', '125', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578654708837941249', '1', 'tofly-flow', 'public', TO_DATE('2022-10-08 15:53:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:53:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578654709077016577', '1', 'tofly-flow', 'public', TO_DATE('2022-10-08 15:53:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:53:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578654711547461633', '1', 'tofly-flow', 'public', TO_DATE('2022-10-08 15:53:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:53:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578654711639736322', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 15:53:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:53:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575688977028562946', 'GET', '{"id":["1575688977028562946"]}', '25', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578654916476960770', '1', 'tofly-flow', 'public', TO_DATE('2022-10-08 15:53:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:53:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578655473438588929', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 15:56:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:56:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessnodel', 'POST', '{}', '79', NULL, NULL, 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578655475892256769', '0', 'tofly-flow', 'yck', TO_DATE('2022-10-08 15:56:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:56:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessnodel', 'POST', '{"dto":["{\"handleState\":1,\"map\":{\"tfRegisterItemWService\":\"{\\\"addre\\\":\\\"四川省成都市青羊区光华东三路489-3栋附111号靠近鹏瑞利青羊广场\\\",\\\"contacts\\\":\\\"1\\\",\\\"householdNumber\\\":1,\\\"latitude\\\":30.67101,\\\"longitude\\\":103.961076,\\\"projectName\\\":\\\"yck\\\",\\\"region\\\":510683001001,\\\"regionName\\\":\\\"四川省/德阳市/绵竹市/剑南镇/大东街社区\\\",\\\"telephone\\\":\\\"1\\\",\\\"userType\\\":1574610029662175234}\",\"tfSurveyWService\":\"{\\\"content\\\":\\\"内容\\\",\\\"designUnit\\\":1568081538522832897,\\\"isTally\\\":1572840876026634242,\\\"range\\\":\\\"1572842090432831489,1572842167981318146\\\",\\\"remark\\\":\\\"备注\\\",\\\"surveyDate\\\":\\\"2022-10-08 15:56:09\\\",\\\"surveyUser\\\":1571808470779846657}\"},\"processId\":1575688977028562946,\"processStep\":3,\"saveState\":0,\"stepNode\":1}"]}', '63', NULL, 'short overflow : 1572840876026634242', 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578655677894131713', '0', 'tofly-flow', 'yck', TO_DATE('2022-10-08 15:56:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:56:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessnodel', 'POST', '{"dto":["{\"handleState\":1,\"map\":{\"tfRegisterItemWService\":\"{\\\"addre\\\":\\\"四川省成都市青羊区光华东三路489-3栋附111号靠近鹏瑞利青羊广场\\\",\\\"contacts\\\":\\\"1\\\",\\\"householdNumber\\\":1,\\\"latitude\\\":30.67101,\\\"longitude\\\":103.961076,\\\"projectName\\\":\\\"yck\\\",\\\"region\\\":510683001001,\\\"regionName\\\":\\\"四川省/德阳市/绵竹市/剑南镇/大东街社区\\\",\\\"telephone\\\":\\\"1\\\",\\\"userType\\\":1574610029662175234}\",\"tfSurveyWService\":\"{\\\"content\\\":\\\"内容\\\",\\\"designUnit\\\":1568081538522832897,\\\"isTally\\\":1572840876026634242,\\\"range\\\":\\\"1572842090432831489,1572842167981318146\\\",\\\"remark\\\":\\\"备注\\\",\\\"surveyDate\\\":\\\"2022-10-08 15:56:31\\\",\\\"surveyUser\\\":1571808470779846657}\"},\"processId\":1575688977028562946,\"processStep\":3,\"saveState\":0,\"stepNode\":1}"]}', '75', NULL, 'short overflow : 1572840876026634242', 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578656243386974209', '0', 'tofly-flow', 'public', TO_DATE('2022-10-08 15:59:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:59:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1578620110460428289', 'GET', '{}', '78', NULL, 'nested exception is org.apache.ibatis.reflection.ReflectionException: Could not set property ''HANDLE_REMARK'' of ''class com.tofly.workflow.process.entity.vo.ProcessNodeVo'' with value ''123123'' Cause: org.apache.ibatis.reflection.ReflectionException: There is no setter for property named ''HANDLE_REMARK'' in ''class com.tofly.workflow.process.entity.vo.ProcessNodeVo''', 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578656280288460802', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 15:59:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:59:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575426595366707202', 'GET', '{"id":["1575426595366707202"]}', '27', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578656300882493441', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 15:59:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:59:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessnodel', 'POST', '{}', '57', NULL, NULL, 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578656315369619458', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 15:59:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:59:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '144', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578656330477502465', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 15:59:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:59:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575426595366707202', 'GET', '{"id":["1575426595366707202"]}', '29', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578656623684517889', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 16:00:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:00:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1578643097498791937', 'GET', '{"id":["1578643097498791937"]}', '28', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578655098576863233', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 15:54:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:54:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575688978056167425', 'GET', '{}', '2', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578655228201828353', '0', 'tofly-flow', 'yck', TO_DATE('2022-10-08 15:55:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:55:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessnodel', 'POST', '{"dto":["{\"handleState\":1,\"map\":{\"tfRegisterItemWService\":\"{\\\"addre\\\":\\\"四川省成都市青羊区光华东三路489-3栋附111号靠近鹏瑞利青羊广场\\\",\\\"contacts\\\":\\\"1\\\",\\\"householdNumber\\\":1,\\\"latitude\\\":30.67101,\\\"longitude\\\":103.961076,\\\"projectName\\\":\\\"yck\\\",\\\"region\\\":510683001001,\\\"regionName\\\":\\\"四川省/德阳市/绵竹市/剑南镇/大东街社区\\\",\\\"telephone\\\":\\\"1\\\",\\\"userType\\\":1574610029662175234}\",\"tfSurveyWService\":\"{\\\"content\\\":\\\"内容\\\",\\\"designUnit\\\":1568081538522832897,\\\"isTally\\\":1572840876026634242,\\\"range\\\":\\\"1572842090432831489,1572842167981318146\\\",\\\"remark\\\":\\\"备注\\\",\\\"surveyDate\\\":\\\"2022-10-08 15:55:10\\\",\\\"surveyUser\\\":1571808470779846657}\"},\"processId\":1575688977028562946,\"processStep\":3,\"saveState\":0,\"stepNode\":1}"]}', '75', NULL, 'short overflow : 1572840876026634242', 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578655410377228289', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 15:55:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:55:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1578643097498791937', 'GET', '{"id":["1578643097498791937"]}', '30', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578655866604257281', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 15:57:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:57:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["64"],"id":["1572140204302041089"]}', '147', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578655876855136258', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 15:57:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:57:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1578643097498791937', 'GET', '{"id":["1578643097498791937"]}', '25', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578655910992576514', '1', 'tofly-flow', 'public', TO_DATE('2022-10-08 15:57:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:57:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578655925664251906', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 15:57:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:57:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1578643097498791937', 'GET', '{"id":["1578643097498791937"]}', '25', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578655930143768577', '1', 'tofly-flow', 'public', TO_DATE('2022-10-08 15:57:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:57:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '130', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578655930626113538', '1', 'tofly-flow', 'public', TO_DATE('2022-10-08 15:57:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:57:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575426595366707202', 'GET', '{"id":["1575426595366707202"]}', '26', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578659830791962625', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 16:13:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:13:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["64"],"id":["1572140204302041089"]}', '122', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578659843064496130', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 16:13:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:13:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1578643097498791937', 'GET', '{"id":["1578643097498791937"]}', '23', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578656656391700481', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 16:00:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:00:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1578643097498791937', 'GET', '{"id":["1578643097498791937"]}', '24', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578656689312792577', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 16:00:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:00:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1578643097498791937', 'GET', '{"id":["1578643097498791937"]}', '24', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578656714684137473', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 16:01:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:01:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1578643097498791937', 'GET', '{"id":["1578643097498791937"]}', '23', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578656761702285314', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 16:01:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:01:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1578643097498791937', 'GET', '{"id":["1578643097498791937"]}', '30', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578656775765786625', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 16:01:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:01:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1578643097498791937', 'GET', '{"id":["1578643097498791937"]}', '26', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578656790148055041', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 16:01:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:01:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1578643097498791937', 'GET', '{"id":["1578643097498791937"]}', '20', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578656811622891522', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 16:01:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:01:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1578643097498791937', 'GET', '{"id":["1578643097498791937"]}', '26', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578656829712924674', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 16:01:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:01:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1578643097498791937', 'GET', '{"id":["1578643097498791937"]}', '21', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578656859505065986', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 16:01:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:01:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1578643097498791937', 'GET', '{"id":["1578643097498791937"]}', '20', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578656906690985985', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 16:01:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:01:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessnodel', 'POST', '{}', '55', NULL, NULL, 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578657329179033601', '1', 'tofly-flow', 'yj', TO_DATE('2022-10-08 16:03:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:03:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575426230143492098', 'GET', '{}', '28', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578657331200688129', '1', 'tofly-flow', 'yj', TO_DATE('2022-10-08 16:03:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:03:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '157', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578657332446396417', '1', 'tofly-flow', 'yj', TO_DATE('2022-10-08 16:03:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:03:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '36', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578657560377458690', '1', 'tofly-flow', 'public', TO_DATE('2022-10-08 16:04:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:04:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '3', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578657574633897985', '1', 'tofly-flow', 'public', TO_DATE('2022-10-08 16:04:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:04:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575426230143492098', 'GET', '{}', '33', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578657575749582850', '1', 'tofly-flow', 'public', TO_DATE('2022-10-08 16:04:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:04:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '149', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578657576605220866', '1', 'tofly-flow', 'public', TO_DATE('2022-10-08 16:04:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:04:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["1000"],"dataType":["1570692286170427394"]}', '18', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578657576638775297', '1', 'tofly-flow', 'public', TO_DATE('2022-10-08 16:04:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:04:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '27', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578662011234451458', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 16:22:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:22:08', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/tfprocessnodel/page', 'GET', '{}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578662191715352578', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 16:22:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:22:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '116', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578662204507979778', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 16:22:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:22:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575426595366707202', 'GET', '{"id":["1575426595366707202"]}', '18', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578654429170139138', '2', 'tofly-auth', 'jtadmin', TO_DATE('2022-10-08 15:52:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:52:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/812b4c18-4140-4871-b3e1-090f8bacf8e8', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578654761522593793', '1', 'tofly-flow', 'public', TO_DATE('2022-10-08 15:53:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:53:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"id":["1572140204302041089"]}', '144', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578654762432757761', '1', 'tofly-flow', 'public', TO_DATE('2022-10-08 15:53:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:53:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578654762642472961', '1', 'tofly-flow', 'public', TO_DATE('2022-10-08 15:53:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:53:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578654766031470594', '1', 'tofly-flow', 'public', TO_DATE('2022-10-08 15:53:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:53:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578657332454785025', '1', 'tofly-flow', 'yj', TO_DATE('2022-10-08 16:03:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:03:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["1000"],"dataType":["1570692286170427394"]}', '35', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578657492450705409', '1', 'tofly-flow', 'yj', TO_DATE('2022-10-08 16:04:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:04:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessnodel', 'POST', '{}', '51', NULL, NULL, 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578657510029033474', '2', 'tofly-auth', 'yj', TO_DATE('2022-10-08 16:04:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:04:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/ae8da59c-fcc2-4a3a-87df-bf6225041b66', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578657615549333505', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 16:04:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:04:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["64"],"id":["1572140204302041089"]}', '214', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578657626022510594', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 16:04:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:04:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1578643097498791937', 'GET', '{"id":["1578643097498791937"]}', '31', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578658790516490242', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 16:09:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:09:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessnodel', 'POST', '{}', '69', NULL, NULL, 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578658849115111425', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 16:09:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:09:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessnodel', 'POST', '{"dto":["{\"handleState\":1,\"map\":{\"tfRegisterItemWService\":\"{\\\"addre\\\":\\\"四川省成都市青羊区光华东三路489-3栋附111号靠近鹏瑞利青羊广场\\\",\\\"contacts\\\":\\\"1\\\",\\\"householdNumber\\\":1,\\\"latitude\\\":30.671022,\\\"longitude\\\":103.961077,\\\"projectName\\\":\\\"yck\\\",\\\"region\\\":510683001001,\\\"regionName\\\":\\\"四川省/德阳市/绵竹市/剑南镇/大东街社区\\\",\\\"telephone\\\":\\\"1\\\",\\\"userType\\\":1574611119417851905}\",\"tfSurveyWService\":\"{\\\"content\\\":\\\"内容\\\",\\\"designUnit\\\":1568081538522832897,\\\"isTally\\\":1,\\\"range\\\":\\\"1572842090432831489,1572842167981318146\\\",\\\"remark\\\":\\\"备注\\\",\\\"surveyDate\\\":\\\"2022-10-08 16:09:33\\\",\\\"surveyUser\\\":1571808470779846657}\"},\"processId\":1575688977028562946,\"processStep\":3,\"saveState\":0,\"stepNode\":1}"]}', '50', NULL, NULL, 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578658855452704770', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 16:09:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:09:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '31', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578658855930855425', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 16:09:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:09:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"appLabe":["1572832711356719105"],"tenantId":["1569602913205559298"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578658856916516866', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 16:09:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:09:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["56"],"id":["1572140204302041089"]}', '138', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578658857549856769', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 16:09:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:09:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575688978056167425', 'GET', '{}', '2', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578658888411545601', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 16:09:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:09:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '122', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578658895193735169', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 16:09:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:09:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '31', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578658895688663042', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 16:09:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:09:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"appLabe":["1572832711356719105"],"tenantId":["1569602913205559298"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578658896464609282', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 16:09:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:09:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["56"],"id":["1572140204302041089"]}', '127', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578658896942759938', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 16:09:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:09:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575688978056167425', 'GET', '{}', '1', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578658899295764481', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 16:09:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:09:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575426595366707202', 'GET', '{"id":["1575426595366707202"]}', '27', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578658916219781122', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 16:09:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:09:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '127', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578658928693641217', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 16:09:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:09:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575426595366707202', 'GET', '{"id":["1575426595366707202"]}', '31', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578660026498187266', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 16:14:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:14:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '30', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578660026854703105', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 16:14:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:14:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"appLabe":["1572832711356719105"],"tenantId":["1569602913205559298"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578661064315797505', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 16:18:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:18:22', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/tfprocessnodel/page', 'GET', '{"hitCount":[""],"searchCount":[""],"adder":[""],"appLabe":[""],"handleState":[""],"configId":[""],"orders[0].asc":[""],"orders[0].column":[""],"id":[""],"handlePost":[""],"longitude":[""],"signAnnex":[""],"isOvertime":[""],"optimizeCountSql":[""],"createPost":[""],"condition":[""],"dutyUser":[""],"size":[""],"dataTime":[""],"nodeState":[""],"isTemp":[""],"records":[""],"latitude":[""],"edition":[""],"processStep":[""],"remark":[""],"stepNode":[""],"dutyDept":[""],"current":[""],"total":[""],"processId":[""],"stepName":[""],"startTime":[""],"numberValue":[""],"annex":[""],"outcome":[""],"handleDept":[""],"handleTime":[""],"handleUser":[""],"isValid":[""],"label":[""],"userId":[""],"opinion":[""],"timeLimit":[""],"numberValue1":[""],"createDept":[""],"createTime":[""],"handleResults":[""],"dutyPost":[""],"createUser":[""],"endTime":[""],"isDel":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578661185434714114', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 16:18:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:18:51', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/tfprocessnodel/1575688977213112321', 'GET', '{}', '5', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578661345397080065', '1', 'tofly-flow', 'mzscb', TO_DATE('2022-10-08 16:19:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:19:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578662133691351042', '1', 'tofly-flow', 'lr', TO_DATE('2022-10-08 16:22:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:22:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571327917362372610"],"isMould":["0"]}', '2', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578658929453293569', '0', 'tofly-flow', 'tmxzm', TO_DATE('2022-10-08 16:09:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:09:53', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessl/1578620110460428289', 'GET', '{}', '371', NULL, 'nested exception is org.apache.ibatis.reflection.ReflectionException: There is no setter for property named ''HANDLE_REMARK'' in ''class com.tofly.workflow.process.entity.vo.ProcessNodeVo''', 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578661562075308033', '1', 'tofly-flow', 'tmxzm', TO_DATE('2022-10-08 16:20:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:20:21', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1', NULL, '/tfprocessl/1578620110460428289', 'GET', '{}', '905', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578654534937903106', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 15:52:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:52:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1578643097498791937', 'GET', '{"id":["1578643097498791937"]}', '23', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578655984510337025', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 15:58:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:58:11', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessnodel', 'POST', '{}', '58', NULL, NULL, 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578656199669743617', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 15:59:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:59:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '127', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578656206661648385', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 15:59:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:59:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575426595366707202', 'GET', '{"id":["1575426595366707202"]}', '32', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578656226202910721', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 15:59:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:59:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '131', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578656240081862658', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 15:59:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:59:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575426595366707202', 'GET', '{"id":["1575426595366707202"]}', '30', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578656240442572802', '0', 'tofly-flow', 'public', TO_DATE('2022-10-08 15:59:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:59:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1578620110460428289', 'GET', '{}', '72', NULL, 'nested exception is org.apache.ibatis.reflection.ReflectionException: Could not set property ''HANDLE_REMARK'' of ''class com.tofly.workflow.process.entity.vo.ProcessNodeVo'' with value ''123123'' Cause: org.apache.ibatis.reflection.ReflectionException: There is no setter for property named ''HANDLE_REMARK'' in ''class com.tofly.workflow.process.entity.vo.ProcessNodeVo''', 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578658094710816769', '1', 'tofly-flow', 'llzm', TO_DATE('2022-10-08 16:06:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:06:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578658115271294977', '1', 'tofly-flow', 'llzm', TO_DATE('2022-10-08 16:06:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:06:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["64"],"id":["1572140204302041089"]}', '139', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578658116093378562', '0', 'tofly-flow', 'llzm', TO_DATE('2022-10-08 16:06:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:06:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1578620110460428289', 'GET', '{"id":["1578620110460428289"]}', '52', NULL, 'nested exception is org.apache.ibatis.reflection.ReflectionException: Could not set property ''HANDLE_REMARK'' of ''class com.tofly.workflow.process.entity.vo.ProcessNodeVo'' with value ''123123'' Cause: org.apache.ibatis.reflection.ReflectionException: There is no setter for property named ''HANDLE_REMARK'' in ''class com.tofly.workflow.process.entity.vo.ProcessNodeVo''', 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578658152860647425', '1', 'tofly-flow', 'llzm', TO_DATE('2022-10-08 16:06:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:06:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["64"],"id":["1572140204302041089"]}', '149', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578658164755693569', '0', 'tofly-flow', 'llzm', TO_DATE('2022-10-08 16:06:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:06:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1578620110460428289', 'GET', '{"id":["1578620110460428289"]}', '41', NULL, 'nested exception is org.apache.ibatis.reflection.ReflectionException: Could not set property ''HANDLE_REMARK'' of ''class com.tofly.workflow.process.entity.vo.ProcessNodeVo'' with value ''123123'' Cause: org.apache.ibatis.reflection.ReflectionException: There is no setter for property named ''HANDLE_REMARK'' in ''class com.tofly.workflow.process.entity.vo.ProcessNodeVo''', 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578658297291505666', '1', 'tofly-flow', 'public', TO_DATE('2022-10-08 16:07:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:07:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["1000"],"dataType":["1570692286170427394"]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578660581505269762', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 16:16:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:16:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '32', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578660581748539393', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 16:16:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:16:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"appLabe":["1572832711356719105"],"tenantId":["1569602913205559298"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578660582612566017', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 16:16:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:16:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["56"],"id":["1572140204302041089"]}', '138', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578660593756831746', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 16:16:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:16:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575688978056167425', 'GET', '{}', '2', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578660858484523010', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 16:17:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:17:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["59"],"id":["1572140204302041089"]}', '125', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578661613387939842', '1', 'tofly-flow', 'llzm', TO_DATE('2022-10-08 16:20:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:20:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["64"],"id":["1572140204302041089"]}', '128', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578661622082732034', '0', 'tofly-flow', 'llzm', TO_DATE('2022-10-08 16:20:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:20:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1578620110460428289', 'GET', '{"id":["1578620110460428289"]}', '48', NULL, 'nested exception is org.apache.ibatis.reflection.ReflectionException: Could not set property ''HANDLE_REMARK'' of ''class com.tofly.workflow.process.entity.vo.ProcessNodeVo'' with value ''123123'' Cause: org.apache.ibatis.reflection.ReflectionException: There is no setter for property named ''HANDLE_REMARK'' in ''class com.tofly.workflow.process.entity.vo.ProcessNodeVo''', 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578661907932938242', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 16:21:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:21:43', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/tfprocessnodel/1575688978056167425', 'GET', '{}', '2', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578661920465518594', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 16:21:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:21:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575426595366707202', 'GET', '{"id":["1575426595366707202"]}', '16', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578652125255815171', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 15:42:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:42:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"nature":[""]}', '403', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578652126954508290', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 15:42:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:42:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"nature":["1574963902897840129"]}', '64', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578663682140332034', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 16:28:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:28:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575426595366707202', 'GET', '{"id":["1575426595366707202"]}', '91', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578664214502367234', '1', 'tofly-flow', 'llzm', TO_DATE('2022-10-08 16:30:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:30:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessnodel', 'POST', '{}', '213', NULL, NULL, 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578664236690235394', '1', 'tofly-flow', 'llzm', TO_DATE('2022-10-08 16:30:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:30:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["64"],"id":["1572140204302041089"]}', '171', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578664244793630721', '1', 'tofly-flow', 'llzm', TO_DATE('2022-10-08 16:31:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:31:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1578620110460428289', 'GET', '{"id":["1578620110460428289"]}', '39', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578664282466869249', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 16:31:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:31:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '22', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578664293439168514', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 16:31:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:31:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575426595366707202', 'GET', '{"id":["1575426595366707202"]}', '24', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578664293514665986', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 16:31:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:31:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '40', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578648345474854913', '1', 'tofly-flow', 'llzm', TO_DATE('2022-10-08 15:27:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:27:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578648363795574785', '1', 'tofly-flow', 'llzm', TO_DATE('2022-10-08 15:27:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:27:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["64"],"id":["1572140204302041089"]}', '123', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578648375388631041', '1', 'tofly-flow', 'llzm', TO_DATE('2022-10-08 15:27:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:27:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1578620110460428289', 'GET', '{"id":["1578620110460428289"]}', '29', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578648452584796162', '1', 'tofly-flow', 'llzm', TO_DATE('2022-10-08 15:28:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:28:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["64"],"id":["1572140204302041089"]}', '120', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578648463330603009', '1', 'tofly-flow', 'llzm', TO_DATE('2022-10-08 15:28:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:28:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1578620110460428289', 'GET', '{"id":["1578620110460428289"]}', '32', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578648506632597505', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 15:28:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:28:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/1578634015333191682', 'GET', '{"0":["1578634015333191682"]}', '13', NULL, NULL, 'content:通过id查询施工组织单位', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578648732319707138', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 15:29:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:29:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"nature":[""]}', '18', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578648839232516097', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 15:29:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:29:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["9999"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578648866277388289', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 15:29:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:29:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp', 'POST', '{}', '19', NULL, NULL, 'content:新增工程工序/工程管控', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578648866671652866', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 15:29:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:29:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"nature":[""]}', '29', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578648947504279553', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 15:30:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:30:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["9999"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578648988168056833', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 15:30:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:30:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp', 'POST', '{}', '9', NULL, NULL, 'content:新增工程工序/工程管控', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578648988541349890', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 15:30:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:30:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"nature":[""]}', '31', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578649003632455682', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 15:30:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:30:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578649012989947905', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 15:30:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:30:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '7', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578649013124165634', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 15:30:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:30:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1578643097498791937', 'GET', '{"id":["1578643097498791937"]}', '20', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578649022330662913', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 15:30:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:30:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["56"],"id":["1572140204302041089"]}', '137', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578649023085637633', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 15:30:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:30:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575688978056167425', 'GET', '{}', '1', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578649056610709506', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 15:30:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:30:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1578643097498791937', 'GET', '{"id":["1578643097498791937"]}', '17', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578649155587895297', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 15:31:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:31:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessnodel', 'POST', '{"dto":["{\"handleState\":1,\"map\":{\"tfRegisterItemWService\":\"{\\\"addre\\\":\\\"四川省成都市青羊区光华东三路489-3栋附111号靠近鹏瑞利青羊广场\\\",\\\"contacts\\\":\\\"1\\\",\\\"householdNumber\\\":1,\\\"latitude\\\":30.67102,\\\"longitude\\\":103.961067,\\\"projectName\\\":\\\"yck\\\",\\\"region\\\":510683001002,\\\"regionName\\\":\\\"四川省/德阳市/绵竹市/剑南镇/迎祥街社区\\\",\\\"telephone\\\":\\\"1\\\",\\\"userType\\\":1574610029662175234}\",\"tfSurveyWService\":\"{\\\"content\\\":\\\"vpn\\\",\\\"designUnit\\\":1568081579241136130,\\\"isTally\\\":1572840876026634242,\\\"range\\\":\\\"1572842090432831489,1572842167981318146\\\",\\\"remark\\\":\\\"备注\\\",\\\"surveyDate\\\":\\\"2022-10-08 15:30:57\\\",\\\"surveyUser\\\":1571808470779846657}\"},\"processId\":1572140204302041089,\"processStep\":3,\"saveState\":0,\"stepNode\":1}"]}', '2', NULL, NULL, 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578649171731771394', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 15:31:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:31:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessnodel', 'POST', '{}', '152', NULL, NULL, 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578649532534190081', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 15:32:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:32:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["9999"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578650229656875010', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 15:35:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:35:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["9999"]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578650294463066114', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 15:35:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:35:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp', 'POST', '{}', '6', NULL, NULL, 'content:新增工程工序/工程管控', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578650303136886785', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 15:35:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:35:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"nature":[""]}', '31', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578650342265548802', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 15:35:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:35:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["9999"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578650379154452482', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 15:35:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:35:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["9999"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578650460855300098', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 15:36:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:36:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp', 'POST', '{}', '8', NULL, NULL, 'content:新增工程工序/工程管控', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578650470107934722', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 15:36:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:36:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"nature":[""]}', '26', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578650597438615553', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 15:36:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:36:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp', 'POST', '{}', '22', NULL, NULL, 'content:新增工程工序/工程管控', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578650606007578625', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 15:36:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:36:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"nature":[""]}', '28', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578650622155649026', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 15:36:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:36:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["64"],"id":["1572140204302041089"]}', '131', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578650628736512002', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 15:36:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:36:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1578643097498791937', 'GET', '{"id":["1578643097498791937"]}', '26', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578650661905068034', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 15:37:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:37:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["64"],"id":["1572140204302041089"]}', '124', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578650674710278145', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 15:37:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:37:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1578643097498791937', 'GET', '{"id":["1578643097498791937"]}', '19', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578652125255815172', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 15:42:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:42:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '219', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578652126954508289', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 15:42:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:42:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"nature":[""]}', '58', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578652125255815170', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 15:42:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:42:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"nature":["1574963902897840129"]}', '403', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578652443460796417', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 15:44:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:44:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '378', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578652674663415810', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 15:45:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:45:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"appLabe":["1572832711356719105"],"tenantId":["1569602913205559298"],"isMould":["0"]}', '37', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578652674910879746', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 15:45:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:45:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '180', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578652676919951362', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 15:45:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:45:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["56"],"id":["1572140204302041089"]}', '279', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578652677989498881', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 15:45:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:45:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575688978056167425', 'GET', '{}', '15', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578652816015654914', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 15:45:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:45:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessnodel', 'POST', '{"dto":["{\"handleState\":1,\"map\":{\"tfRegisterItemWService\":\"{\\\"addre\\\":\\\"四川省成都市青羊区光华东三路489-3栋附111号靠近鹏瑞利青羊广场\\\",\\\"contacts\\\":\\\"1\\\",\\\"householdNumber\\\":1,\\\"latitude\\\":30.671021,\\\"longitude\\\":103.961073,\\\"projectName\\\":\\\"yck\\\",\\\"region\\\":510683002001,\\\"regionName\\\":\\\"四川省/德阳市/绵竹市/紫岩街道/蔚泉社区\\\",\\\"telephone\\\":\\\"1\\\",\\\"userType\\\":1574610029662175234}\",\"tfSurveyWService\":\"{\\\"content\\\":\\\"内容\\\",\\\"isTally\\\":1572840876026634242,\\\"range\\\":\\\"1572842090432831489,1572842167981318146,1572842300965920770\\\",\\\"remark\\\":\\\"备注\\\",\\\"surveyDate\\\":\\\"2022-10-08 15:45:34\\\",\\\"surveyUser\\\":1571808470779846657}\"},\"processId\":1575688978056167425,\"processStep\":3,\"saveState\":0,\"stepNode\":1}"]}', '45', NULL, NULL, 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578652856721375233', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 15:45:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:45:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessnodel', 'POST', '{"dto":["{\"handleState\":1,\"map\":{\"tfRegisterItemWService\":\"{\\\"addre\\\":\\\"四川省成都市青羊区光华东三路489-3栋附111号靠近鹏瑞利青羊广场\\\",\\\"contacts\\\":\\\"1\\\",\\\"householdNumber\\\":1,\\\"latitude\\\":30.671021,\\\"longitude\\\":103.961073,\\\"projectName\\\":\\\"yck\\\",\\\"region\\\":510683002001,\\\"regionName\\\":\\\"四川省/德阳市/绵竹市/紫岩街道/蔚泉社区\\\",\\\"telephone\\\":\\\"1\\\",\\\"userType\\\":1574610029662175234}\",\"tfSurveyWService\":\"{\\\"content\\\":\\\"内容\\\",\\\"isTally\\\":1572840876026634242,\\\"range\\\":\\\"1572842090432831489,1572842167981318146,1572842300965920770\\\",\\\"remark\\\":\\\"备注\\\",\\\"surveyDate\\\":\\\"2022-10-08 15:45:44\\\",\\\"surveyUser\\\":1571808470779846657}\"},\"processId\":1575688978056167425,\"processStep\":3,\"saveState\":0,\"stepNode\":1}"]}', '3', NULL, NULL, 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578652868872273922', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 15:45:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:45:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessnodel', 'POST', '{"dto":["{\"handleState\":1,\"map\":{\"tfRegisterItemWService\":\"{\\\"addre\\\":\\\"四川省成都市青羊区光华东三路489-3栋附111号靠近鹏瑞利青羊广场\\\",\\\"contacts\\\":\\\"1\\\",\\\"householdNumber\\\":1,\\\"latitude\\\":30.671021,\\\"longitude\\\":103.961073,\\\"projectName\\\":\\\"yck\\\",\\\"region\\\":510683002001,\\\"regionName\\\":\\\"四川省/德阳市/绵竹市/紫岩街道/蔚泉社区\\\",\\\"telephone\\\":\\\"1\\\",\\\"userType\\\":1574610029662175234}\",\"tfSurveyWService\":\"{\\\"content\\\":\\\"内容\\\",\\\"isTally\\\":1572840876026634242,\\\"range\\\":\\\"1572842090432831489,1572842167981318146,1572842300965920770\\\",\\\"remark\\\":\\\"备注\\\",\\\"surveyDate\\\":\\\"2022-10-08 15:45:47\\\",\\\"surveyUser\\\":1571808470779846657}\"},\"processId\":1575688978056167425,\"processStep\":3,\"saveState\":0,\"stepNode\":1}"]}', '3', NULL, NULL, 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578652910983086082', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 15:45:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:45:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '8', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578653348297998337', '1', 'tofly-flow', 'llzm', TO_DATE('2022-10-08 15:47:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:47:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["64"],"id":["1572140204302041089"]}', '175', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578653357152174082', '1', 'tofly-flow', 'llzm', TO_DATE('2022-10-08 15:47:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:47:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1578620110460428289', 'GET', '{"id":["1578620110460428289"]}', '39', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578653377087700993', '1', 'tofly-flow', 'llzm', TO_DATE('2022-10-08 15:47:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:47:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessnodel', 'POST', '{}', '211', NULL, NULL, 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578653392006840322', '1', 'tofly-flow', 'llzm', TO_DATE('2022-10-08 15:47:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:47:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["64"],"id":["1572140204302041089"]}', '143', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578653393374183426', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 15:47:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:47:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["64"],"id":["1572140204302041089"]}', '160', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578653402110918658', '0', 'tofly-flow', 'llzm', TO_DATE('2022-10-08 15:47:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:47:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1578620110460428289', 'GET', '{"id":["1578620110460428289"]}', '82', NULL, 'nested exception is org.apache.ibatis.reflection.ReflectionException: Could not set property ''HANDLE_REMARK'' of ''class com.tofly.workflow.process.entity.vo.ProcessNodeVo'' with value ''123123'' Cause: org.apache.ibatis.reflection.ReflectionException: There is no setter for property named ''HANDLE_REMARK'' in ''class com.tofly.workflow.process.entity.vo.ProcessNodeVo''', 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578653409937489922', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 15:47:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:47:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1578643097498791937', 'GET', '{"id":["1578643097498791937"]}', '31', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578653639990870017', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 15:48:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:48:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1578643097498791937', 'GET', '{"id":["1578643097498791937"]}', '34', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578653725684695042', '1', 'tofly-flow', 'llzm', TO_DATE('2022-10-08 15:49:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:49:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["64"],"id":["1572140204302041089"]}', '143', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578653761055260674', '2', 'tofly-auth', 'jtadmin', TO_DATE('2022-10-08 15:49:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:49:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/49ca17d0-ba3e-47a8-b548-c6860eda42d8', 'DELETE', '{}', '9', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578653779661193218', '0', 'tofly-flow', 'llzm', TO_DATE('2022-10-08 15:49:25', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:49:25', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1578620110460428289', 'GET', '{"id":["1578620110460428289"]}', '71', NULL, 'nested exception is org.apache.ibatis.reflection.ReflectionException: Could not set property ''HANDLE_REMARK'' of ''class com.tofly.workflow.process.entity.vo.ProcessNodeVo'' with value ''123123'' Cause: org.apache.ibatis.reflection.ReflectionException: There is no setter for property named ''HANDLE_REMARK'' in ''class com.tofly.workflow.process.entity.vo.ProcessNodeVo''', 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578652917492645890', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 15:46:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:46:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578652925143056385', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 15:46:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:46:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '74', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578652926787223553', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 15:46:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:46:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"appLabe":["1572832711356719105"],"tenantId":["1569602913205559298"],"isMould":["0"]}', '7', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578652929375109122', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 15:46:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:46:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["56"],"id":["1572140204302041089"]}', '221', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578652930708897794', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 15:46:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:46:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575688978056167425', 'GET', '{}', '2', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578652949163835393', '1', 'tofly-flow', 'llzm', TO_DATE('2022-10-08 15:46:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:46:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["64"],"id":["1572140204302041089"]}', '662', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578652956428369922', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 15:46:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:46:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '61', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578652957162373121', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 15:46:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:46:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"key":[""]}', '34', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578652961218265090', '1', 'tofly-flow', 'llzm', TO_DATE('2022-10-08 15:46:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:46:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1578620110460428289', 'GET', '{"id":["1578620110460428289"]}', '145', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578653008655843329', '0', 'tofly-flow', 'llzm', TO_DATE('2022-10-08 15:46:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:46:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessnodel', 'POST', '{}', '120', NULL, 'No bean named ''null'' available', 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578653101983301634', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 15:46:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:46:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessnodel', 'POST', '{"dto":["{\"handleState\":1,\"map\":{\"tfRegisterItemWService\":\"{\\\"addre\\\":\\\"四川省成都市青羊区光华东三路489-3栋附111号靠近鹏瑞利青羊广场\\\",\\\"contacts\\\":\\\"1\\\",\\\"householdNumber\\\":1,\\\"latitude\\\":30.671003,\\\"longitude\\\":103.961068,\\\"projectName\\\":\\\"yck\\\",\\\"region\\\":510683001001,\\\"regionName\\\":\\\"四川省/德阳市/绵竹市/剑南镇/大东街社区\\\",\\\"telephone\\\":\\\"1\\\",\\\"userType\\\":1574610029662175234}\",\"tfSurveyWService\":\"{\\\"content\\\":\\\"内容\\\",\\\"designUnit\\\":1568081538522832897,\\\"isTally\\\":1572840876026634242,\\\"range\\\":\\\"1572842090432831489,1572842167981318146\\\",\\\"remark\\\":\\\"备注\\\",\\\"surveyDate\\\":\\\"2022-10-08 15:46:39\\\",\\\"surveyUser\\\":1571808470779846657}\"},\"processId\":1575688978056167425,\"processStep\":3,\"saveState\":0,\"stepNode\":1}"]}', '2', NULL, NULL, 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578653114733985794', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 15:46:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:46:47', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessnodel', 'POST', '{"dto":["{\"handleState\":1,\"map\":{\"tfRegisterItemWService\":\"{\\\"addre\\\":\\\"四川省成都市青羊区光华东三路489-3栋附111号靠近鹏瑞利青羊广场\\\",\\\"contacts\\\":\\\"1\\\",\\\"householdNumber\\\":1,\\\"latitude\\\":30.671003,\\\"longitude\\\":103.961068,\\\"projectName\\\":\\\"yck\\\",\\\"region\\\":510683001001,\\\"regionName\\\":\\\"四川省/德阳市/绵竹市/剑南镇/大东街社区\\\",\\\"telephone\\\":\\\"1\\\",\\\"userType\\\":1574610029662175234}\",\"tfSurveyWService\":\"{\\\"content\\\":\\\"内容\\\",\\\"designUnit\\\":1568081538522832897,\\\"isTally\\\":1572840876026634242,\\\"range\\\":\\\"1572842090432831489,1572842167981318146\\\",\\\"remark\\\":\\\"备注\\\",\\\"surveyDate\\\":\\\"2022-10-08 15:46:46\\\",\\\"surveyUser\\\":1571808470779846657}\"},\"processId\":1575688978056167425,\"processStep\":3,\"saveState\":0,\"stepNode\":1}"]}', '2', NULL, NULL, 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578653666620506113', '0', 'tofly-flow', 'llzm', TO_DATE('2022-10-08 15:48:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:48:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1578620110460428289', 'GET', '{"id":["1578620110460428289"]}', '78', NULL, 'nested exception is org.apache.ibatis.reflection.ReflectionException: Could not set property ''HANDLE_REMARK'' of ''class com.tofly.workflow.process.entity.vo.ProcessNodeVo'' with value ''123123'' Cause: org.apache.ibatis.reflection.ReflectionException: There is no setter for property named ''HANDLE_REMARK'' in ''class com.tofly.workflow.process.entity.vo.ProcessNodeVo''', 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578654295086628865', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 15:51:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:51:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575688977028562946', 'GET', '{"id":["1575688977028562946"]}', '22', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578654492575432706', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 15:52:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:52:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578654492827090945', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 15:52:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:52:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578654498233548801', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 15:52:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:52:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"id":["1572140204302041089"]}', '143', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578654499168878594', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 15:52:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:52:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '6', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578654499403759617', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 15:52:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:52:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578654502075531265', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 15:52:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:52:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578654618916257793', '1', 'tofly-flow', 'llzm', TO_DATE('2022-10-08 15:52:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:52:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["64"],"id":["1572140204302041089"]}', '155', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578654621072130050', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 15:52:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:52:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1578643097498791937', 'GET', '{"id":["1578643097498791937"]}', '26', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578654631704690689', '0', 'tofly-flow', 'llzm', TO_DATE('2022-10-08 15:52:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:52:48', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1578620110460428289', 'GET', '{"id":["1578620110460428289"]}', '71', NULL, 'nested exception is org.apache.ibatis.reflection.ReflectionException: Could not set property ''HANDLE_REMARK'' of ''class com.tofly.workflow.process.entity.vo.ProcessNodeVo'' with value ''123123'' Cause: org.apache.ibatis.reflection.ReflectionException: There is no setter for property named ''HANDLE_REMARK'' in ''class com.tofly.workflow.process.entity.vo.ProcessNodeVo''', 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578654670019657730', '1', 'tofly-flow', 'llzm', TO_DATE('2022-10-08 15:52:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:52:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["64"],"id":["1572140204302041089"]}', '160', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578654693927190530', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 15:53:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:53:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["56"],"id":["1572140204302041089"]}', '143', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578654923154292738', '1', 'tofly-flow', 'public', TO_DATE('2022-10-08 15:53:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:53:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"id":["1572140204302041089"]}', '128', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578653890827026434', '1', 'tofly-flow', 'llzm', TO_DATE('2022-10-08 15:49:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:49:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["64"],"id":["1572140204302041089"]}', '147', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578653926356975617', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 15:50:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:50:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578653934493925378', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 15:50:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:50:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578653940718272514', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 15:50:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:50:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '40', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578653942391799809', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 15:50:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:50:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"appLabe":["1572832711356719105"],"tenantId":["1569602913205559298"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578654252208259073', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 15:51:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:51:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["56"],"id":["1572140204302041089"]}', '139', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578654252698992642', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 15:51:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:51:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575688977028562946', 'GET', '{"id":["1575688977028562946"]}', '21', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578655444850212865', '1', 'tofly-flow', 'public', TO_DATE('2022-10-08 15:56:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:56:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578655445156397057', '1', 'tofly-flow', 'public', TO_DATE('2022-10-08 15:56:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:56:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '18', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578655454291591170', '1', 'tofly-flow', 'public', TO_DATE('2022-10-08 15:56:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:56:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"id":["1572140204302041089"]}', '139', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578655455239503873', '1', 'tofly-flow', 'public', TO_DATE('2022-10-08 15:56:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:56:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578655455461801985', '1', 'tofly-flow', 'public', TO_DATE('2022-10-08 15:56:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:56:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578655457961607170', '1', 'tofly-flow', 'public', TO_DATE('2022-10-08 15:56:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:56:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578655897046515714', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 15:57:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:57:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1578643097498791937', 'GET', '{"id":["1578643097498791937"]}', '24', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578656596794834946', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 16:00:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:00:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["64"],"id":["1572140204302041089"]}', '118', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578656609180614658', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 16:00:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:00:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1578643097498791937', 'GET', '{"id":["1578643097498791937"]}', '25', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578659670204645378', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 16:12:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:12:50', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '125', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578659675413970946', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 16:12:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:12:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575426595366707202', 'GET', '{"id":["1575426595366707202"]}', '26', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578659688311455746', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 16:12:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:12:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '161', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578659693118128130', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 16:12:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:12:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575685082881576961', 'GET', '{"id":["1575685082881576961"]}', '28', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578659712462258178', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 16:13:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:13:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '124', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578659723308728322', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 16:13:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:13:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575426595366707202', 'GET', '{"id":["1575426595366707202"]}', '22', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578659875746512898', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 16:13:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:13:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '30', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578659876128194562', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 16:13:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:13:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"appLabe":["1572832711356719105"],"tenantId":["1569602913205559298"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578659876895752193', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 16:13:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:13:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["56"],"id":["1572140204302041089"]}', '124', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578659877411651585', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 16:13:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:13:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575688978056167425', 'GET', '{}', '1', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578659901763780610', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 16:13:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:13:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '29', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578659902170628098', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 16:13:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:13:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"appLabe":["1572832711356719105"],"tenantId":["1569602913205559298"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578659902980128770', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 16:13:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:13:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["56"],"id":["1572140204302041089"]}', '130', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578659903655411714', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 16:13:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:13:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575688978056167425', 'GET', '{}', '1', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578659932625469442', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 16:13:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:13:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '32', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578659932944236545', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 16:13:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:13:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"appLabe":["1572832711356719105"],"tenantId":["1569602913205559298"],"isMould":["0"]}', '9', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578659933825040386', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 16:13:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:13:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["56"],"id":["1572140204302041089"]}', '144', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578659934395465730', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 16:13:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:13:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575688978056167425', 'GET', '{}', '2', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578659952934289410', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 16:13:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:13:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '32', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578659953102061570', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 16:13:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:13:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessnodel', 'POST', '{}', '48', NULL, NULL, 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578659953198530562', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 16:13:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:13:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"appLabe":["1572832711356719105"],"tenantId":["1569602913205559298"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578659954091917313', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 16:13:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:13:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["56"],"id":["1572140204302041089"]}', '151', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578659954595233793', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 16:13:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:13:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575688978056167425', 'GET', '{}', '2', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578666160143523842', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 16:38:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:38:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575426595366707202', 'GET', '{"id":["1575426595366707202"]}', '26', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578666160202244098', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 16:38:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:38:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '43', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578666220625387521', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 16:38:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:38:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '179', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578666243723419650', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 16:38:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:38:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575426595366707202', 'GET', '{"id":["1575426595366707202"]}', '24', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578666243798917121', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 16:38:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:38:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '45', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578666325046779906', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 16:39:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:39:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578666325382324226', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 16:39:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:39:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578666325478793217', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 16:39:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:39:16', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578666351307317250', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 16:39:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:39:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessnodel', 'POST', '{}', '146', NULL, NULL, 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578666405300592641', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 16:39:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:39:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578666507910045698', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 16:40:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:40:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578666508237201410', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 16:40:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:40:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578666508346253314', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 16:40:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:40:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578666509004759042', '1', 'tofly-flow', 'lr', TO_DATE('2022-10-08 16:40:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:40:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578666596615380993', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 16:40:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:40:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"appLabe":["1572832711356719105"],"tenantId":["1569602913205559298"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578666598884499458', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 16:40:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:40:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["56"],"id":["1572140204302041089"]}', '141', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578666604739747842', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 16:40:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:40:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578666604903325698', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 16:40:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:40:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '2', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578666679834566657', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 16:40:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:40:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575426595366707202', 'GET', '{"id":["1575426595366707202"]}', '22', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578666681264824322', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 16:40:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:40:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575426595366707202', 'GET', '{"id":["1575426595366707202"]}', '19', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578667402487980034', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 16:43:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:43:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575426595366707202', 'GET', '{"id":["1575426595366707202"]}', '23', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578668650125647873', '1', 'tofly-flow', 'public', TO_DATE('2022-10-08 16:48:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:48:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbuildunitp/page', 'GET', '{"current":["1"],"company":[""],"size":["30"],"companyName":[""]}', '53', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578668668756746242', '2', 'tofly-auth', 'public', TO_DATE('2022-10-08 16:48:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:48:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/d7e7f79d-8a3a-44d1-8c7a-396444937c59', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578668691313713153', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 16:48:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:48:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575426595366707202', 'GET', '{"id":["1575426595366707202"]}', '27', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578668715921694721', '1', 'tofly-flow', 'admin', TO_DATE('2022-10-08 16:48:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:48:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '16', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578668728571715586', '1', 'tofly-flow', 'admin', TO_DATE('2022-10-08 16:48:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:48:49', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontractfieldp/page', 'GET', '{"size":["30"],"current":["1"]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578668868246233090', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 16:49:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:49:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575426595366707202', 'GET', '{"id":["1575426595366707202"]}', '25', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578669261005053954', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 16:50:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:50:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1572795661505011713"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578669279602597890', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 16:51:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:51:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"id":["1572140204302041089"]}', '170', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578669285558509569', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 16:51:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:51:02', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/tfprocessnodel/1575688977028562946', 'GET', '{}', '2', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578669803404058626', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 16:53:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:53:06', 'SYYYY-MM-DD HH24:MI:SS'), '192.168.2.226', NULL, '/tfprocesssqlp/1575688977028562946', 'GET', '{}', '2', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578648157431623681', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 15:27:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:27:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1578643097498791937', 'GET', '{"id":["1578643097498791937"]}', '17', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578649786675458049', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 15:33:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:33:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1578643097498791937', 'GET', '{"id":["1578643097498791937"]}', '23', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578649860491014146', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 15:33:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:33:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessnodel', 'POST', '{}', '65', NULL, NULL, 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578649911883821057', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 15:34:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:34:03', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["9999"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578650007786582018', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 15:34:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:34:26', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["9999"]}', '6', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578650093643984898', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 15:34:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:34:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["30"],"current":["1"]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578650220051918849', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 15:35:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:35:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"nature":[""]}', '27', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578650548059074562', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 15:36:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:36:35', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["9999"]}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578651338559549441', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 15:39:43', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:39:43', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["9999"]}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578651440153980929', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 15:40:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:40:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["9999"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578651462203437057', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 15:40:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:40:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["9999"]}', '3', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578654680933236737', '0', 'tofly-flow', 'llzm', TO_DATE('2022-10-08 15:53:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:53:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1578620110460428289', 'GET', '{"id":["1578620110460428289"]}', '71', NULL, 'nested exception is org.apache.ibatis.reflection.ReflectionException: Could not set property ''HANDLE_REMARK'' of ''class com.tofly.workflow.process.entity.vo.ProcessNodeVo'' with value ''123123'' Cause: org.apache.ibatis.reflection.ReflectionException: There is no setter for property named ''HANDLE_REMARK'' in ''class com.tofly.workflow.process.entity.vo.ProcessNodeVo''', 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578654923955404801', '1', 'tofly-flow', 'public', TO_DATE('2022-10-08 15:53:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:53:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '48', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578657705777201154', '0', 'tofly-flow', 'public', TO_DATE('2022-10-08 16:05:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:05:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessnodel', 'POST', '{}', '344', NULL, '### Error updating database.  Cause: java.sql.SQLDataException: ORA-01438: 值大于为此列指定的允许精度

### The error may exist in com/tofly/workflow/buss/mapper/TfDesignBudgetWMapper.java (best guess)
### The error may involve com.tofly.workflow.buss.mapper.TfDesignBudgetWMapper.insert-Inline
### The error occurred while setting parameters
### SQL: INSERT INTO TF_DESIGN_BUDGET_W  ( id, process_id, node_id, design_unit, design_date, content, budget_mode, is_material, project_budget, design, supervisor, budget, material_cost,  explain,  cost_annex,   unit_price )  VALUES  ( ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?,  ?,  ?,   ? )
### Cause: java.sql.SQLDataException: ORA-01438: 值大于为此列指定的允许精度

; ORA-01438: 值大于为此列指定的允许精度
; nested exception is java.sql.SQLDataException: ORA-01438: 值大于为此列指定的允许精度', 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578657738161422337', '0', 'tofly-flow', 'public', TO_DATE('2022-10-08 16:05:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:05:09', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessnodel', 'POST', '{}', '148', NULL, '### Error updating database.  Cause: java.sql.SQLDataException: ORA-01438: 值大于为此列指定的允许精度

### The error may exist in com/tofly/workflow/buss/mapper/TfDesignBudgetWMapper.java (best guess)
### The error may involve com.tofly.workflow.buss.mapper.TfDesignBudgetWMapper.insert-Inline
### The error occurred while setting parameters
### SQL: INSERT INTO TF_DESIGN_BUDGET_W  ( id, process_id, node_id, design_unit, design_date, content, budget_mode, is_material, project_budget, design, supervisor, budget, material_cost,  explain,  cost_annex,   unit_price )  VALUES  ( ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?,  ?,  ?,   ? )
### Cause: java.sql.SQLDataException: ORA-01438: 值大于为此列指定的允许精度

; ORA-01438: 值大于为此列指定的允许精度
; nested exception is java.sql.SQLDataException: ORA-01438: 值大于为此列指定的允许精度', 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578657858672164866', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 16:05:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:05:38', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1578643097498791937', 'GET', '{"id":["1578643097498791937"]}', '28', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578657874098814978', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 16:05:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:05:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1578643097498791937', 'GET', '{"id":["1578643097498791937"]}', '33', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578657930717724674', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 16:05:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:05:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessnodel', 'POST', '{}', '80', NULL, NULL, 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578658297358614529', '1', 'tofly-flow', 'public', TO_DATE('2022-10-08 16:07:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:07:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"current":["1"],"size":["30"],"matterType":[""],"matterName":[""]}', '25', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578658423527473154', '1', 'tofly-flow', 'public', TO_DATE('2022-10-08 16:07:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:07:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessnodel', 'POST', '{}', '123', NULL, NULL, 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578658446109605889', '1', 'tofly-flow', 'public', TO_DATE('2022-10-08 16:07:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:07:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575426230143492098', 'GET', '{}', '30', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578658447267233793', '1', 'tofly-flow', 'public', TO_DATE('2022-10-08 16:07:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:07:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '141', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578658604801097729', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 16:08:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:08:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578658622891130882', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 16:08:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:08:40', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578658671666692097', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 16:08:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:08:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '41', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578658673449271298', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 16:08:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:08:52', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"appLabe":["1572832711356719105"],"tenantId":["1569602913205559298"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578658675848413185', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 16:08:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:08:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["56"],"id":["1572140204302041089"]}', '179', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578658676678885378', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 16:08:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:08:53', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575688978056167425', 'GET', '{}', '1', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578658703316910081', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 16:08:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:08:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '158', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578658715673329666', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 16:09:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:09:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575426595366707202', 'GET', '{"id":["1575426595366707202"]}', '26', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578648062116065282', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 15:26:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:26:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '12', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578648071251259393', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 15:26:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:26:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"id":["1572140204302041089"]}', '130', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578648072308224001', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 15:26:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:26:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '4', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578648072455024642', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 15:26:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:26:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578648075302957057', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 15:26:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:26:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"datatypes":["1568576031811006466"],"id":[""]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578659971909320705', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 16:14:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:14:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["64"],"id":["1572140204302041089"]}', '136', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578659973427658753', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 16:14:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:14:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '36', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578659973763203074', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 16:14:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:14:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"appLabe":["1572832711356719105"],"tenantId":["1569602913205559298"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578659974652395522', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 16:14:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:14:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["56"],"id":["1572140204302041089"]}', '130', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578659975239598082', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 16:14:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:14:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575688978056167425', 'GET', '{}', '2', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578659986518081537', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 16:14:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:14:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1578643097498791937', 'GET', '{"id":["1578643097498791937"]}', '28', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578660875215601665', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 16:17:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:17:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575739510061875201', 'GET', '{"id":["1575739510061875201"]}', '27', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578661962005905410', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 16:21:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:21:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '144', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578661975658364930', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 16:21:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:21:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575426595366707202', 'GET', '{"id":["1575426595366707202"]}', '25', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578663464460148738', '1', 'tofly-flow', 'lr', TO_DATE('2022-10-08 16:27:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:27:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"id":["1572140204302041089"]}', '567', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578663666365554690', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 16:28:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:28:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '206', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578663679325954049', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 16:28:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:28:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575426595366707202', 'GET', '{"id":["1575426595366707202"]}', '38', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578663679636332545', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 16:28:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:28:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '110', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578663738637606914', '1', 'tofly-flow', 'lr', TO_DATE('2022-10-08 16:29:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:29:00', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571327917362372610"],"isMould":["0"]}', '16', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578663748011876354', '1', 'tofly-flow', 'lr', TO_DATE('2022-10-08 16:29:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:29:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"id":["1572140204302041089"]}', '215', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578663812419608577', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 16:29:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:29:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessnodel', 'POST', '{}', '831', NULL, NULL, 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578663828370546689', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 16:29:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:29:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '182', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578663836411027458', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 16:29:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:29:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575426595366707202', 'GET', '{"id":["1575426595366707202"]}', '37', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578663836511690754', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 16:29:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:29:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '55', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578664014006247425', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 16:30:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:30:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575426595366707202', 'GET', '{"id":["1575426595366707202"]}', '31', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578664294680682498', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 16:31:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:31:12', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575426595366707202', 'GET', '{"id":["1575426595366707202"]}', '31', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578664336288178177', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 16:31:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:31:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["56"],"id":["1572140204302041089"]}', '140', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578664337265451009', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 16:31:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:31:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575688977028562946', 'GET', '{}', '28', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578664668498026498', '1', 'tofly-flow', 'llzm', TO_DATE('2022-10-08 16:32:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:32:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessnodel', 'POST', '{}', '118', NULL, NULL, 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578665150327087105', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 16:34:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:34:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["56"],"id":["1572140204302041089"]}', '142', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578665151316942849', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 16:34:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:34:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575688977028562946', 'GET', '{}', '24', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578665520260505602', '1', 'tofly-flow', 'llzm', TO_DATE('2022-10-08 16:36:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:36:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfmatterp/page', 'GET', '{"size":["1000"],"current":["1"]}', '33', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578666143177564161', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 16:38:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:38:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575426595366707202', 'GET', '{"id":["1575426595366707202"]}', '27', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578666143261450242', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 16:38:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:38:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '47', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578666144284860418', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 16:38:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:38:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575426595366707202', 'GET', '{"id":["1575426595366707202"]}', '29', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578666485336301570', '1', 'tofly-flow', 'lr', TO_DATE('2022-10-08 16:39:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:39:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '14', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578666485734760449', '1', 'tofly-flow', 'lr', TO_DATE('2022-10-08 16:39:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:39:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/page', 'GET', '{"current":["1"],"size":["30"],"isMould":["0"],"content":[""]}', '15', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578666492089131010', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 16:39:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:39:56', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '6', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578666496174383106', '1', 'tofly-flow', 'lr', TO_DATE('2022-10-08 16:39:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:39:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"id":["1572140204302041089"]}', '144', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578666499668238337', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 16:39:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:39:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '34', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578666500645511170', '1', 'tofly-flow', 'lr', TO_DATE('2022-10-08 16:39:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:39:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["0"],"id":["1569602913205559298"]}', '3', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578648130302865409', '1', 'tofly-flow', 'yj', TO_DATE('2022-10-08 15:26:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:26:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575426230143492098', 'GET', '{}', '24', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578648131410161666', '1', 'tofly-flow', 'yj', TO_DATE('2022-10-08 15:26:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:26:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '144', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578648143842078721', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 15:27:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:27:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1578643097498791937', 'GET', '{"id":["1578643097498791937"]}', '17', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578649019541450753', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 15:30:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:30:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '31', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578649021168840706', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 15:30:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:30:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"appLabe":["1572832711356719105"],"tenantId":["1569602913205559298"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578649022137724930', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 15:30:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:30:31', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["9999"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578649579799801858', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 15:32:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:32:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp', 'POST', '{}', '12', NULL, NULL, 'content:新增工程工序/工程管控', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578649588435873793', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 15:32:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:32:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"nature":[""]}', '29', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578649727988756481', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 15:33:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:33:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["64"],"id":["1572140204302041089"]}', '168', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578649743235051521', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 15:33:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:33:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1578643097498791937', 'GET', '{"id":["1578643097498791937"]}', '29', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578650729064263682', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 15:37:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:37:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1578643097498791937', 'GET', '{"id":["1578643097498791937"]}', '21', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578650810203074562', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 15:37:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:37:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["9999"]}', '7', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578650841115095041', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 15:37:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:37:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["9999"]}', '4', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578651022350970882', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 15:38:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:38:28', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfworkprocessp/page', 'GET', '{"size":["9999"]}', '5', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578651060766601217', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 15:38:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:38:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessnodel', 'POST', '{"dto":["{\"handleState\":1,\"map\":{\"tfRegisterItemWService\":\"{\\\"addre\\\":\\\"四川省成都市青羊区光华东三路489-3栋附111号靠近鹏瑞利青羊广场\\\",\\\"contacts\\\":\\\"1\\\",\\\"householdNumber\\\":1,\\\"latitude\\\":30.67102,\\\"longitude\\\":103.961067,\\\"projectName\\\":\\\"yck\\\",\\\"region\\\":510683001002,\\\"regionName\\\":\\\"四川省/德阳市/绵竹市/剑南镇/迎祥街社区\\\",\\\"telephone\\\":\\\"1\\\",\\\"userType\\\":1574610029662175234}\",\"tfSurveyWService\":\"{\\\"content\\\":\\\"vpn\\\",\\\"designUnit\\\":1568081579241136130,\\\"isTally\\\":1572840876026634242,\\\"range\\\":\\\"1572842090432831489,1572842167981318146\\\",\\\"remark\\\":\\\"备注\\\",\\\"surveyDate\\\":\\\"2022-10-08 15:31:13\\\",\\\"surveyUser\\\":1571808470779846657}\"},\"processId\":1572140204302041089,\"processStep\":3,\"saveState\":0,\"stepNode\":1}"]}', '2', NULL, NULL, 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578651069851463682', '1', 'tofly-flow', 'jtadmin', TO_DATE('2022-10-08 15:38:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:38:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprojectprocessp/getProjectNumByNature', 'GET', '{"current":["1"],"size":["30"],"nature":[""]}', '28', NULL, NULL, 'content:按工程性质分组查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578651083038355458', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 15:38:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:38:42', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessnodel', 'POST', '{"dto":["{\"handleState\":1,\"map\":{\"tfRegisterItemWService\":\"{\\\"addre\\\":\\\"四川省成都市青羊区光华东三路489-3栋附111号靠近鹏瑞利青羊广场\\\",\\\"contacts\\\":\\\"1\\\",\\\"householdNumber\\\":1,\\\"latitude\\\":30.67102,\\\"longitude\\\":103.961067,\\\"projectName\\\":\\\"yck\\\",\\\"region\\\":510683001002,\\\"regionName\\\":\\\"四川省/德阳市/绵竹市/剑南镇/迎祥街社区\\\",\\\"telephone\\\":\\\"1\\\",\\\"userType\\\":1574610029662175234}\",\"tfSurveyWService\":\"{\\\"content\\\":\\\"vpn\\\",\\\"designUnit\\\":1568081579241136130,\\\"isTally\\\":1572840876026634242,\\\"range\\\":\\\"1572842090432831489,1572842167981318146\\\",\\\"remark\\\":\\\"备注\\\",\\\"surveyDate\\\":\\\"2022-10-08 15:38:40\\\",\\\"surveyUser\\\":1571808470779846657}\"},\"processId\":1572140204302041089,\"processStep\":3,\"saveState\":0,\"stepNode\":1}"]}', '2', NULL, NULL, 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578651097114439682', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 15:38:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:38:46', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessnodel', 'POST', '{"dto":["{\"handleState\":1,\"map\":{\"tfRegisterItemWService\":\"{\\\"addre\\\":\\\"四川省成都市青羊区光华东三路489-3栋附111号靠近鹏瑞利青羊广场\\\",\\\"contacts\\\":\\\"1\\\",\\\"householdNumber\\\":1,\\\"latitude\\\":30.67102,\\\"longitude\\\":103.961067,\\\"projectName\\\":\\\"yck\\\",\\\"region\\\":510683001002,\\\"regionName\\\":\\\"四川省/德阳市/绵竹市/剑南镇/迎祥街社区\\\",\\\"telephone\\\":\\\"1\\\",\\\"userType\\\":1574610029662175234}\",\"tfSurveyWService\":\"{\\\"content\\\":\\\"vpn\\\",\\\"designUnit\\\":1568081579241136130,\\\"isTally\\\":1572840876026634242,\\\"range\\\":\\\"1572842090432831489,1572842167981318146\\\",\\\"remark\\\":\\\"备注\\\",\\\"surveyDate\\\":\\\"2022-10-08 15:38:45\\\",\\\"surveyUser\\\":1571808470779846657}\"},\"processId\":1572140204302041089,\"processStep\":3,\"saveState\":0,\"stepNode\":1}"]}', '1', NULL, NULL, 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578651197270224897', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 15:39:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:39:10', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["64"],"id":["1572140204302041089"]}', '166', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578651211765739521', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 15:39:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:39:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1578643097498791937', 'GET', '{"id":["1578643097498791937"]}', '28', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578648132358074369', '1', 'tofly-flow', 'yj', TO_DATE('2022-10-08 15:26:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 15:26:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/page', 'GET', '{"current":["1"],"size":["1000"],"dataType":["1570692286170427394"]}', '8', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578666578508570626', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 16:40:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:40:17', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '2', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578666585450143745', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 16:40:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:40:18', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578666594832801793', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 16:40:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:40:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '36', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578666646355632129', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 16:40:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:40:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575426230143492098', 'GET', '{"id":["1575426230143492098"]}', '28', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578660027819393026', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 16:14:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:14:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["56"],"id":["1572140204302041089"]}', '153', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578660028385624065', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 16:14:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:14:15', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575688978056167425', 'GET', '{}', '2', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578660101932744705', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 16:14:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:14:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '31', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578660102813548546', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 16:14:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:14:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"appLabe":["1572832711356719105"],"tenantId":["1569602913205559298"],"isMould":["0"]}', '4', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578660104755511297', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 16:14:33', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:14:33', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["56"],"id":["1572140204302041089"]}', '128', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578660106550673409', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 16:14:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:14:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575688978056167425', 'GET', '{}', '1', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578660128222642178', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 16:14:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:14:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '28', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578660128499466241', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 16:14:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:14:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"appLabe":["1572832711356719105"],"tenantId":["1569602913205559298"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578660129254440962', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 16:14:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:14:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["56"],"id":["1572140204302041089"]}', '122', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578660129606762497', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 16:14:39', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:14:39', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575688978056167425', 'GET', '{}', '1', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578660208719724545', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 16:14:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:14:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1578643097498791937', 'GET', '{"id":["1578643097498791937"]}', '15', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578661478448791553', '2', 'tofly-auth', 'mzscb', TO_DATE('2022-10-08 16:20:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:20:01', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/token/1b94826f-0773-4650-bd3b-7c06d436fcea', 'DELETE', '{}', '2', NULL, NULL, 'content:注销登出', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578661492642316290', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 16:20:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:20:04', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '122', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578661506181529602', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 16:20:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:20:07', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575426595366707202', 'GET', '{"id":["1575426595366707202"]}', '20', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578663464460148739', '1', 'tofly-flow', 'llzm', TO_DATE('2022-10-08 16:27:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:27:54', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["64"],"id":["1572140204302041089"]}', '568', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578663474258042881', '1', 'tofly-flow', 'llzm', TO_DATE('2022-10-08 16:27:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:27:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1578620110460428289', 'GET', '{"id":["1578620110460428289"]}', '240', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578663837950337026', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 16:29:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:29:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575426595366707202', 'GET', '{"id":["1575426595366707202"]}', '33', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578663852605235202', '1', 'tofly-flow', 'llzm', TO_DATE('2022-10-08 16:29:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:29:27', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1578620110460428289', 'GET', '{"id":["1578620110460428289"]}', '40', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578663998562820097', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 16:30:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:30:02', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["55"],"id":["1572140204302041089"]}', '154', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578664012529852418', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 16:30:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:30:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575426595366707202', 'GET', '{"id":["1575426595366707202"]}', '27', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578664012571795457', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 16:30:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:30:05', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '52', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578664327626940418', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 16:31:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:31:20', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '9', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578664333436051457', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 16:31:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:31:21', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '42', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578664335126355969', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 16:31:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:31:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"appLabe":["1572832711356719105"],"tenantId":["1569602913205559298"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578664870906748930', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 16:33:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:33:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578664871183572993', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 16:33:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:33:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '4', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578664871317790722', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 16:33:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:33:30', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578664929505370113', '1', 'tofly-flow', 'public', TO_DATE('2022-10-08 16:33:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:33:44', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["64"],"id":["1572140204302041089"]}', '152', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578664937428410369', '1', 'tofly-flow', 'public', TO_DATE('2022-10-08 16:33:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:33:45', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfcontracttemplatep/page', 'GET', '{"size":["10000"],"current":["1"]}', '76', NULL, NULL, 'content:分页查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578665119536701441', '1', 'tofly-flow', 'llzm', TO_DATE('2022-10-08 16:34:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:34:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1578620110460428289', 'GET', '{}', '33', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578665120639803394', '1', 'tofly-flow', 'llzm', TO_DATE('2022-10-08 16:34:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:34:29', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["64"],"id":["1572140204302041089"]}', '145', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578665132140584961', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 16:34:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:34:32', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578665140696965122', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 16:34:34', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:34:34', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '5', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578665147688869889', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 16:34:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:34:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '35', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578665149190430721', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 16:34:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:34:36', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"appLabe":["1572832711356719105"],"tenantId":["1569602913205559298"],"isMould":["0"]}', '6', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578666161347289090', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 16:38:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:38:37', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575426595366707202', 'GET', '{"id":["1575426595366707202"]}', '20', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578666245371781122', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 16:38:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:38:57', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575426595366707202', 'GET', '{"id":["1575426595366707202"]}', '19', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578666599765303297', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 16:40:22', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:40:22', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575688977028562946', 'GET', '{}', '21', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578666604425175041', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 16:40:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:40:23', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfbasetypep/typetree', 'GET', '{"type":["0"],"datatypes":["1568576031811006466"]}', '3', NULL, NULL, 'content:获取类型树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578666679901675522', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 16:40:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:40:41', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '35', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578666721538531329', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 16:40:51', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:40:51', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessnodel', 'POST', '{}', '121', NULL, NULL, 'content:新增流程节点处理信息（操作步骤都有记录）', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578666501299822594', '1', 'tofly-flow', 'lr', TO_DATE('2022-10-08 16:39:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:39:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNames', 'GET', '{"isMould":["1"],"id":[""]}', '2', NULL, NULL, 'content:根据租户工程查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578666501375320066', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 16:39:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:39:58', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"appLabe":["1572832711356719105"],"tenantId":["1569602913205559298"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578666502482616321', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 16:39:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:39:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"edition":["56"],"id":["1572140204302041089"]}', '139', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578666503275339777', '1', 'tofly-flow', 'yck', TO_DATE('2022-10-08 16:39:59', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:39:59', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575688977028562946', 'GET', '{}', '21', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578667243007959042', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 16:42:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:42:55', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575426595366707202', 'GET', '{"id":["1575426595366707202"]}', '23', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578667548655280130', '1', 'tofly-flow', 'lr', TO_DATE('2022-10-08 16:44:08', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:44:08', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571326768206962690"],"isMould":["0"]}', '5', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578667570130116610', '1', 'tofly-flow', 'lr', TO_DATE('2022-10-08 16:44:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:44:13', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configNameInfos', 'GET', '{"tenantId":["1569602913205559298"],"label":["1571327917362372610"],"isMould":["0"]}', '7', NULL, NULL, 'content:通过租户和标签查询流程名称', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578667575041646593', '1', 'tofly-flow', 'lr', TO_DATE('2022-10-08 16:44:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:44:14', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessconfigl/configByIdAnd', 'GET', '{"id":["1572140204302041089"]}', '126', NULL, NULL, 'content:通过id和版本查询历史审批流程配置', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578667596201910274', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 16:44:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:44:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfprocessl/1575426595366707202', 'GET', '{"id":["1575426595366707202"]}', '23', NULL, NULL, 'content:通过ID查询', NULL, NULL, NULL, NULL);
INSERT INTO "ZMRQ"."TF_SMPN_LOG_X" VALUES ('1578667596277407745', '1', 'tofly-flow', 'lz', TO_DATE('2022-10-08 16:44:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-08 16:44:19', 'SYYYY-MM-DD HH24:MI:SS'), '221.182.8.141', NULL, '/tfregionp/tree', 'GET', '{"tenantId":["1569602913205559298"]}', '38', NULL, NULL, 'content:行政区域树', NULL, NULL, NULL, NULL);

-- ----------------------------
-- Primary Key structure for table SYS_APP
-- ----------------------------
ALTER TABLE "ZMRQ"."SYS_APP" ADD CONSTRAINT "SYS_C0021770" PRIMARY KEY ("ID");

-- ----------------------------
-- Checks structure for table SYS_APP
-- ----------------------------
ALTER TABLE "ZMRQ"."SYS_APP" ADD CONSTRAINT "SYS_C0021767" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;
ALTER TABLE "ZMRQ"."SYS_APP" ADD CONSTRAINT "SYS_C0021768" CHECK ("STATUS" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;
ALTER TABLE "ZMRQ"."SYS_APP" ADD CONSTRAINT "SYS_C0022067" CHECK ("DELETED" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Primary Key structure for table SYS_APP_PERMISSION
-- ----------------------------
ALTER TABLE "ZMRQ"."SYS_APP_PERMISSION" ADD CONSTRAINT "SYS_C0023814" PRIMARY KEY ("ID");

-- ----------------------------
-- Checks structure for table SYS_APP_PERMISSION
-- ----------------------------
ALTER TABLE "ZMRQ"."SYS_APP_PERMISSION" ADD CONSTRAINT "SYS_C0023813" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Primary Key structure for table SYS_DEPT
-- ----------------------------
ALTER TABLE "ZMRQ"."SYS_DEPT" ADD CONSTRAINT "SYS_C0021683" PRIMARY KEY ("ID");

-- ----------------------------
-- Checks structure for table SYS_DEPT
-- ----------------------------
ALTER TABLE "ZMRQ"."SYS_DEPT" ADD CONSTRAINT "SYS_C0021682" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;
ALTER TABLE "ZMRQ"."SYS_DEPT" ADD CONSTRAINT "SYS_C0021685" CHECK ("PID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;
ALTER TABLE "ZMRQ"."SYS_DEPT" ADD CONSTRAINT "SYS_C0021686" CHECK ("TENANT_ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;
ALTER TABLE "ZMRQ"."SYS_DEPT" ADD CONSTRAINT "SYS_C0021687" CHECK ("TYPE" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;
ALTER TABLE "ZMRQ"."SYS_DEPT" ADD CONSTRAINT "SYS_C0021688" CHECK ("NAME" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;
ALTER TABLE "ZMRQ"."SYS_DEPT" ADD CONSTRAINT "SYS_C0021691" CHECK ("DELETED" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Primary Key structure for table SYS_DICT
-- ----------------------------
ALTER TABLE "ZMRQ"."SYS_DICT" ADD CONSTRAINT "SYS_C0021697" PRIMARY KEY ("ID");

-- ----------------------------
-- Checks structure for table SYS_DICT
-- ----------------------------
ALTER TABLE "ZMRQ"."SYS_DICT" ADD CONSTRAINT "SYS_C0021694" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;
ALTER TABLE "ZMRQ"."SYS_DICT" ADD CONSTRAINT "SYS_C0021695" CHECK ("ACTIVE" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;
ALTER TABLE "ZMRQ"."SYS_DICT" ADD CONSTRAINT "SYS_C0021696" CHECK ("DELETED" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;
ALTER TABLE "ZMRQ"."SYS_DICT" ADD CONSTRAINT "SYS_C0022470" CHECK ("PID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Primary Key structure for table SYS_LOG
-- ----------------------------
ALTER TABLE "ZMRQ"."SYS_LOG" ADD CONSTRAINT "SYS_C0021494" PRIMARY KEY ("ID");

-- ----------------------------
-- Checks structure for table SYS_LOG
-- ----------------------------
ALTER TABLE "ZMRQ"."SYS_LOG" ADD CONSTRAINT "SYS_C0021421" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;
ALTER TABLE "ZMRQ"."SYS_LOG" ADD CONSTRAINT "SYS_C0021422" CHECK ("DELETED" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;
ALTER TABLE "ZMRQ"."SYS_LOG" ADD CONSTRAINT "SYS_C0030967" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;
ALTER TABLE "ZMRQ"."SYS_LOG" ADD CONSTRAINT "SYS_C0031034" CHECK ("DELETED" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Primary Key structure for table SYS_MENU
-- ----------------------------
ALTER TABLE "ZMRQ"."SYS_MENU" ADD CONSTRAINT "SYS_C0030961" PRIMARY KEY ("ID");

-- ----------------------------
-- Checks structure for table SYS_MENU
-- ----------------------------
ALTER TABLE "ZMRQ"."SYS_MENU" ADD CONSTRAINT "SYS_C0021423" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;
ALTER TABLE "ZMRQ"."SYS_MENU" ADD CONSTRAINT "SYS_C0021424" CHECK ("DELETED" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;
ALTER TABLE "ZMRQ"."SYS_MENU" ADD CONSTRAINT "SYS_C0022472" CHECK ("PARENT_ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;
ALTER TABLE "ZMRQ"."SYS_MENU" ADD CONSTRAINT "SYS_C0030960" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;
ALTER TABLE "ZMRQ"."SYS_MENU" ADD CONSTRAINT "SYS_C0031032" CHECK ("DELETED" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Primary Key structure for table SYS_MENU_TENANT
-- ----------------------------
ALTER TABLE "ZMRQ"."SYS_MENU_TENANT" ADD CONSTRAINT "SYS_C0031038" PRIMARY KEY ("ID");

-- ----------------------------
-- Checks structure for table SYS_MENU_TENANT
-- ----------------------------
ALTER TABLE "ZMRQ"."SYS_MENU_TENANT" ADD CONSTRAINT "SYS_C0021425" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;
ALTER TABLE "ZMRQ"."SYS_MENU_TENANT" ADD CONSTRAINT "SYS_C0021426" CHECK ("MENU_ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;
ALTER TABLE "ZMRQ"."SYS_MENU_TENANT" ADD CONSTRAINT "SYS_C0021427" CHECK ("TENANT_ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;
ALTER TABLE "ZMRQ"."SYS_MENU_TENANT" ADD CONSTRAINT "SYS_C0031035" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;
ALTER TABLE "ZMRQ"."SYS_MENU_TENANT" ADD CONSTRAINT "SYS_C0031036" CHECK ("MENU_ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;
ALTER TABLE "ZMRQ"."SYS_MENU_TENANT" ADD CONSTRAINT "SYS_C0031037" CHECK ("TENANT_ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Primary Key structure for table SYS_MESSAGE
-- ----------------------------
ALTER TABLE "ZMRQ"."SYS_MESSAGE" ADD CONSTRAINT "SYS_C0031094" PRIMARY KEY ("ID");

-- ----------------------------
-- Checks structure for table SYS_MESSAGE
-- ----------------------------
ALTER TABLE "ZMRQ"."SYS_MESSAGE" ADD CONSTRAINT "SYS_C0021428" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;
ALTER TABLE "ZMRQ"."SYS_MESSAGE" ADD CONSTRAINT "SYS_C0021429" CHECK ("DELETED" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;
ALTER TABLE "ZMRQ"."SYS_MESSAGE" ADD CONSTRAINT "SYS_C0031093" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;
ALTER TABLE "ZMRQ"."SYS_MESSAGE" ADD CONSTRAINT "SYS_C0031096" CHECK ("DELETED" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Primary Key structure for table SYS_POST
-- ----------------------------
ALTER TABLE "ZMRQ"."SYS_POST" ADD CONSTRAINT "SYS_C0021843" PRIMARY KEY ("ID");

-- ----------------------------
-- Checks structure for table SYS_POST
-- ----------------------------
ALTER TABLE "ZMRQ"."SYS_POST" ADD CONSTRAINT "SYS_C0021839" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;
ALTER TABLE "ZMRQ"."SYS_POST" ADD CONSTRAINT "SYS_C0021840" CHECK ("TENANT_ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;
ALTER TABLE "ZMRQ"."SYS_POST" ADD CONSTRAINT "SYS_C0021841" CHECK ("NAME" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;
ALTER TABLE "ZMRQ"."SYS_POST" ADD CONSTRAINT "SYS_C0021842" CHECK ("DELETED" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Primary Key structure for table SYS_RESOURCE
-- ----------------------------
ALTER TABLE "ZMRQ"."SYS_RESOURCE" ADD CONSTRAINT "SYS_C0024960" PRIMARY KEY ("ID");

-- ----------------------------
-- Checks structure for table SYS_RESOURCE
-- ----------------------------
ALTER TABLE "ZMRQ"."SYS_RESOURCE" ADD CONSTRAINT "SYS_C0024952" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;
ALTER TABLE "ZMRQ"."SYS_RESOURCE" ADD CONSTRAINT "SYS_C0024953" CHECK ("PID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;
ALTER TABLE "ZMRQ"."SYS_RESOURCE" ADD CONSTRAINT "SYS_C0024954" CHECK ("ACTIVE" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;
ALTER TABLE "ZMRQ"."SYS_RESOURCE" ADD CONSTRAINT "SYS_C0024955" CHECK ("DELETED" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;
ALTER TABLE "ZMRQ"."SYS_RESOURCE" ADD CONSTRAINT "SYS_C0024956" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;
ALTER TABLE "ZMRQ"."SYS_RESOURCE" ADD CONSTRAINT "SYS_C0024957" CHECK ("ACTIVE" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;
ALTER TABLE "ZMRQ"."SYS_RESOURCE" ADD CONSTRAINT "SYS_C0024958" CHECK ("DELETED" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;
ALTER TABLE "ZMRQ"."SYS_RESOURCE" ADD CONSTRAINT "SYS_C0024959" CHECK ("PID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Primary Key structure for table SYS_ROLE
-- ----------------------------
ALTER TABLE "ZMRQ"."SYS_ROLE" ADD CONSTRAINT "SYS_C0030954" PRIMARY KEY ("ID");

-- ----------------------------
-- Checks structure for table SYS_ROLE
-- ----------------------------
ALTER TABLE "ZMRQ"."SYS_ROLE" ADD CONSTRAINT "SYS_C0021430" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;
ALTER TABLE "ZMRQ"."SYS_ROLE" ADD CONSTRAINT "SYS_C0021692" CHECK ("DELETED" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;
ALTER TABLE "ZMRQ"."SYS_ROLE" ADD CONSTRAINT "SYS_C0030953" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Primary Key structure for table SYS_ROLE_MENU
-- ----------------------------
ALTER TABLE "ZMRQ"."SYS_ROLE_MENU" ADD CONSTRAINT "SYS_C0030966" PRIMARY KEY ("ID");

-- ----------------------------
-- Checks structure for table SYS_ROLE_MENU
-- ----------------------------
ALTER TABLE "ZMRQ"."SYS_ROLE_MENU" ADD CONSTRAINT "SYS_C0021432" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;
ALTER TABLE "ZMRQ"."SYS_ROLE_MENU" ADD CONSTRAINT "SYS_C0021433" CHECK ("ROLE_ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;
ALTER TABLE "ZMRQ"."SYS_ROLE_MENU" ADD CONSTRAINT "SYS_C0021434" CHECK ("MENU_ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;
ALTER TABLE "ZMRQ"."SYS_ROLE_MENU" ADD CONSTRAINT "SYS_C0021435" CHECK ("TENANT_ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;
ALTER TABLE "ZMRQ"."SYS_ROLE_MENU" ADD CONSTRAINT "SYS_C0030962" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;
ALTER TABLE "ZMRQ"."SYS_ROLE_MENU" ADD CONSTRAINT "SYS_C0030963" CHECK ("ROLE_ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;
ALTER TABLE "ZMRQ"."SYS_ROLE_MENU" ADD CONSTRAINT "SYS_C0030964" CHECK ("MENU_ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;
ALTER TABLE "ZMRQ"."SYS_ROLE_MENU" ADD CONSTRAINT "SYS_C0030965" CHECK ("TENANT_ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Primary Key structure for table SYS_ROLE_PERMISSION
-- ----------------------------
ALTER TABLE "ZMRQ"."SYS_ROLE_PERMISSION" ADD CONSTRAINT "SYS_C0021496" PRIMARY KEY ("ID");

-- ----------------------------
-- Checks structure for table SYS_ROLE_PERMISSION
-- ----------------------------
ALTER TABLE "ZMRQ"."SYS_ROLE_PERMISSION" ADD CONSTRAINT "SYS_C0021495" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Primary Key structure for table SYS_ROLE_TENANT
-- ----------------------------
ALTER TABLE "ZMRQ"."SYS_ROLE_TENANT" ADD CONSTRAINT "SYS_C0031042" PRIMARY KEY ("ID");

-- ----------------------------
-- Checks structure for table SYS_ROLE_TENANT
-- ----------------------------
ALTER TABLE "ZMRQ"."SYS_ROLE_TENANT" ADD CONSTRAINT "SYS_C0021436" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;
ALTER TABLE "ZMRQ"."SYS_ROLE_TENANT" ADD CONSTRAINT "SYS_C0021437" CHECK ("ROLE_ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;
ALTER TABLE "ZMRQ"."SYS_ROLE_TENANT" ADD CONSTRAINT "SYS_C0021438" CHECK ("TENANT_ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;
ALTER TABLE "ZMRQ"."SYS_ROLE_TENANT" ADD CONSTRAINT "SYS_C0031039" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;
ALTER TABLE "ZMRQ"."SYS_ROLE_TENANT" ADD CONSTRAINT "SYS_C0031040" CHECK ("ROLE_ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;
ALTER TABLE "ZMRQ"."SYS_ROLE_TENANT" ADD CONSTRAINT "SYS_C0031041" CHECK ("TENANT_ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Primary Key structure for table SYS_TASK
-- ----------------------------
ALTER TABLE "ZMRQ"."SYS_TASK" ADD CONSTRAINT "SYS_C0022171" PRIMARY KEY ("ID");

-- ----------------------------
-- Checks structure for table SYS_TASK
-- ----------------------------
ALTER TABLE "ZMRQ"."SYS_TASK" ADD CONSTRAINT "SYS_C0022169" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;
ALTER TABLE "ZMRQ"."SYS_TASK" ADD CONSTRAINT "SYS_C0022170" CHECK ("DELETED" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Primary Key structure for table SYS_TENANT
-- ----------------------------
ALTER TABLE "ZMRQ"."SYS_TENANT" ADD CONSTRAINT "SYS_C0030969" PRIMARY KEY ("ID");

-- ----------------------------
-- Checks structure for table SYS_TENANT
-- ----------------------------
ALTER TABLE "ZMRQ"."SYS_TENANT" ADD CONSTRAINT "SYS_C0021439" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;
ALTER TABLE "ZMRQ"."SYS_TENANT" ADD CONSTRAINT "SYS_C0021675" CHECK ("PARENT_ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;
ALTER TABLE "ZMRQ"."SYS_TENANT" ADD CONSTRAINT "SYS_C0021677" CHECK ("NAME" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;
ALTER TABLE "ZMRQ"."SYS_TENANT" ADD CONSTRAINT "SYS_C0022471" CHECK ("DELETED" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;
ALTER TABLE "ZMRQ"."SYS_TENANT" ADD CONSTRAINT "SYS_C0030968" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;
ALTER TABLE "ZMRQ"."SYS_TENANT" ADD CONSTRAINT "SYS_C0031031" CHECK ("NAME" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Primary Key structure for table SYS_TENANT_RESOURCE
-- ----------------------------
ALTER TABLE "ZMRQ"."SYS_TENANT_RESOURCE" ADD CONSTRAINT "SYS_C0024964" PRIMARY KEY ("ID");

-- ----------------------------
-- Checks structure for table SYS_TENANT_RESOURCE
-- ----------------------------
ALTER TABLE "ZMRQ"."SYS_TENANT_RESOURCE" ADD CONSTRAINT "SYS_C0024961" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;
ALTER TABLE "ZMRQ"."SYS_TENANT_RESOURCE" ADD CONSTRAINT "SYS_C0024962" CHECK ("RESOURCE_ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;
ALTER TABLE "ZMRQ"."SYS_TENANT_RESOURCE" ADD CONSTRAINT "SYS_C0024963" CHECK ("TENANT_ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Primary Key structure for table SYS_USER
-- ----------------------------
ALTER TABLE "ZMRQ"."SYS_USER" ADD CONSTRAINT "SYS_C0030970" PRIMARY KEY ("ID");

-- ----------------------------
-- Checks structure for table SYS_USER
-- ----------------------------
ALTER TABLE "ZMRQ"."SYS_USER" ADD CONSTRAINT "SYS_C0021442" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;
ALTER TABLE "ZMRQ"."SYS_USER" ADD CONSTRAINT "SYS_C0021443" CHECK ("USERNAME" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;
ALTER TABLE "ZMRQ"."SYS_USER" ADD CONSTRAINT "SYS_C0021444" CHECK ("PASSWORD" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;
ALTER TABLE "ZMRQ"."SYS_USER" ADD CONSTRAINT "SYS_C0021693" CHECK ("DELETED" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;
ALTER TABLE "ZMRQ"."SYS_USER" ADD CONSTRAINT "SYS_C0025868" CHECK ("USER_LEVEL" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;
ALTER TABLE "ZMRQ"."SYS_USER" ADD CONSTRAINT "SYS_C0030905" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;
ALTER TABLE "ZMRQ"."SYS_USER" ADD CONSTRAINT "SYS_C0030906" CHECK ("USERNAME" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;
ALTER TABLE "ZMRQ"."SYS_USER" ADD CONSTRAINT "SYS_C0030907" CHECK ("PASSWORD" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Primary Key structure for table SYS_USER_DEPT
-- ----------------------------
ALTER TABLE "ZMRQ"."SYS_USER_DEPT" ADD CONSTRAINT "SYS_C0021501" PRIMARY KEY ("ID");

-- ----------------------------
-- Checks structure for table SYS_USER_DEPT
-- ----------------------------
ALTER TABLE "ZMRQ"."SYS_USER_DEPT" ADD CONSTRAINT "SYS_C0021497" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;
ALTER TABLE "ZMRQ"."SYS_USER_DEPT" ADD CONSTRAINT "SYS_C0021498" CHECK ("USER_ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;
ALTER TABLE "ZMRQ"."SYS_USER_DEPT" ADD CONSTRAINT "SYS_C0021499" CHECK ("DEPT_ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;
ALTER TABLE "ZMRQ"."SYS_USER_DEPT" ADD CONSTRAINT "SYS_C0024057" CHECK ("TENANT_ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Primary Key structure for table SYS_USER_POST
-- ----------------------------
ALTER TABLE "ZMRQ"."SYS_USER_POST" ADD CONSTRAINT "SYS_C0021848" PRIMARY KEY ("ID");

-- ----------------------------
-- Checks structure for table SYS_USER_POST
-- ----------------------------
ALTER TABLE "ZMRQ"."SYS_USER_POST" ADD CONSTRAINT "SYS_C0021844" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;
ALTER TABLE "ZMRQ"."SYS_USER_POST" ADD CONSTRAINT "SYS_C0021845" CHECK ("USER_ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;
ALTER TABLE "ZMRQ"."SYS_USER_POST" ADD CONSTRAINT "SYS_C0021846" CHECK ("POST_ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;
ALTER TABLE "ZMRQ"."SYS_USER_POST" ADD CONSTRAINT "SYS_C0024056" CHECK ("TENANT_ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Primary Key structure for table SYS_USER_ROLE
-- ----------------------------
ALTER TABLE "ZMRQ"."SYS_USER_ROLE" ADD CONSTRAINT "SYS_C0030959" PRIMARY KEY ("ID");

-- ----------------------------
-- Checks structure for table SYS_USER_ROLE
-- ----------------------------
ALTER TABLE "ZMRQ"."SYS_USER_ROLE" ADD CONSTRAINT "SYS_C0021447" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;
ALTER TABLE "ZMRQ"."SYS_USER_ROLE" ADD CONSTRAINT "SYS_C0021448" CHECK ("USER_ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;
ALTER TABLE "ZMRQ"."SYS_USER_ROLE" ADD CONSTRAINT "SYS_C0021449" CHECK ("ROLE_ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;
ALTER TABLE "ZMRQ"."SYS_USER_ROLE" ADD CONSTRAINT "SYS_C0024058" CHECK ("TENANT_ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;
ALTER TABLE "ZMRQ"."SYS_USER_ROLE" ADD CONSTRAINT "SYS_C0030955" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;
ALTER TABLE "ZMRQ"."SYS_USER_ROLE" ADD CONSTRAINT "SYS_C0030956" CHECK ("USER_ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;
ALTER TABLE "ZMRQ"."SYS_USER_ROLE" ADD CONSTRAINT "SYS_C0030957" CHECK ("ROLE_ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Checks structure for table TF_SMPN_LOG_X
-- ----------------------------
ALTER TABLE "ZMRQ"."TF_SMPN_LOG_X" ADD CONSTRAINT "SYS_C0013566" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;
ALTER TABLE "ZMRQ"."TF_SMPN_LOG_X" ADD CONSTRAINT "SYS_C0022631" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;
ALTER TABLE "ZMRQ"."TF_SMPN_LOG_X" ADD CONSTRAINT "SYS_C0080432" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;
ALTER TABLE "ZMRQ"."TF_SMPN_LOG_X" ADD CONSTRAINT "SYS_C0080650" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;
